DROP TABLE IF EXISTS spells;
CREATE TABLE spells (
	id                        INTEGER PRIMARY KEY,
	soe_spell_crc             INTEGER NOT NULL DEFAULT 0,
	type                      INTEGER NOT NULL DEFAULT 0,
	cast_type                 INTEGER NOT NULL DEFAULT 0,
	name                      TEXT NOT NULL DEFAULT 'NoName',
	description               TEXT NOT NULL,
	icon                      INTEGER NOT NULL DEFAULT 0,
	icon_heroic_op            INTEGER NOT NULL DEFAULT 0,
	icon_backdrop             INTEGER NOT NULL DEFAULT 0,
	class_skill               INTEGER NOT NULL DEFAULT 0,
	mastery_skill             INTEGER NOT NULL DEFAULT 0,
	min_class_skill_req       INTEGER NOT NULL DEFAULT 0,
	duration_until_cancel     INTEGER NOT NULL DEFAULT 0,
	target_type               INTEGER NOT NULL DEFAULT 0,
	success_message           TEXT NOT NULL DEFAULT '',
	fade_message              TEXT NOT NULL DEFAULT '',
	fade_message_others       TEXT NOT NULL DEFAULT '',
	interruptable             INTEGER NOT NULL DEFAULT 1,
	cast_while_moving         INTEGER NOT NULL DEFAULT 0,
	lua_script                TEXT NOT NULL DEFAULT '',
	spell_visual              INTEGER NOT NULL DEFAULT 0,
	effect_message            TEXT NOT NULL DEFAULT '',
	spell_book_type           INTEGER NOT NULL DEFAULT 0,
	can_effect_raid           INTEGER NOT NULL DEFAULT 0,
	affect_only_group_members INTEGER NOT NULL DEFAULT 0,
	display_spell_tier        INTEGER NOT NULL DEFAULT 0,
	friendly_spell            INTEGER NOT NULL DEFAULT 0,
	group_spell               INTEGER NOT NULL DEFAULT 0,
	det_type                  INTEGER NOT NULL DEFAULT 0,
	control_effect_type       INTEGER NOT NULL DEFAULT 0,
	incurable                 INTEGER NOT NULL DEFAULT 0,
	linked_timer_id           INTEGER NOT NULL DEFAULT 0,
	not_maintained            INTEGER NOT NULL DEFAULT 0,
	casting_flags             INTEGER NOT NULL DEFAULT 0,
	persist_through_death     INTEGER NOT NULL DEFAULT 0,
	savage_bar                INTEGER NOT NULL DEFAULT 0,
	savage_bar_slot           INTEGER NOT NULL DEFAULT 0,
	is_active                 INTEGER NOT NULL DEFAULT 0,
	is_aa                     INTEGER NOT NULL DEFAULT 0,
	is_deity                  INTEGER NOT NULL DEFAULT 0,
	deity                     INTEGER NOT NULL DEFAULT 0,
	spell_type                TEXT NOT NULL DEFAULT 'Unset',
	last_auto_update          INTEGER NOT NULL DEFAULT 0,
	soe_last_update           INTEGER NOT NULL DEFAULT 0,
	type_group_spell_id       INTEGER NOT NULL DEFAULT 0,
	can_fizzle                INTEGER NOT NULL DEFAULT 1
);
CREATE INDEX idx_spells_name ON spells(name);
CREATE INDEX idx_spells_lua_script ON spells(lua_script);
CREATE INDEX idx_spells_class_mastery_skill ON spells(class_skill, mastery_skill);

INSERT INTO spells VALUES
(1,0,0,0,'Test','',0,0,0,0,0,0,0,0,'Your test was successful on %t!','Your test fades.','',0,0,'Spells/blank.lua',1,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1385011906,0,0,0),
(2,0,0,0,'test','',0,0,0,0,0,0,0,0,'Your test was successful on %t!','Your test fades.','',1,0,'Spells/blank.lua',2,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3,0,0,0,'test','',0,0,0,0,0,0,0,0,'Your test was successful on %t!','Your test fades.','',1,0,'Spells/blank.lua',3,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(4,0,0,0,'test','',0,0,0,0,0,0,0,0,'Your test was successful on %t!','Your test fades.','',1,0,'Spells/blank.lua',4,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(5,0,0,0,'test','',0,0,0,0,0,0,0,0,'Your test was successful on %t!','Your test fades.','',1,0,'Spells/blank.lua',5,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(6,0,0,0,'test','',0,0,0,0,0,0,0,0,'Your test was successful on %t!','Your test fades.','',1,0,'Spells/blank.lua',6,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(7,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',7,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(8,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',8,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(9,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',9,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(10,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',10,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(11,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',11,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(12,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',12,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(13,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',13,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(14,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',14,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(15,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',15,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(16,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',16,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(17,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',17,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(18,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',18,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(19,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',19,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(20,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',20,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(21,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',21,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(22,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',22,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(23,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',23,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(24,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',24,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(25,0,0,0,'test','',0,0,0,0,0,0,0,0,'Your test was successful on %t!','Your test fades.','',1,0,'Spells/blank.lua',25,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(26,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',26,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(27,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',27,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(28,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',28,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(29,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',29,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(30,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',30,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(31,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',31,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(32,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',32,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(33,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',33,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(34,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',34,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(35,0,0,0,'test','',0,0,0,0,0,0,0,0,'Your test was successful on %t!','Your test fades.','',1,0,'Spells/blank.lua',35,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(36,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',36,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(37,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',37,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(38,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',38,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(39,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',39,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(40,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',40,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(41,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',41,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(42,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',42,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(43,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',43,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(44,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',44,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(45,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',45,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(46,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',46,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(47,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',47,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(48,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',48,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(49,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',49,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(50,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',50,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(51,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',51,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(52,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',52,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(53,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',53,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(54,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',54,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(55,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',55,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(56,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',56,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(57,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',57,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(58,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',58,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(59,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',59,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(60,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',60,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(61,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',61,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(62,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',62,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(63,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',63,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(64,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',64,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(65,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',65,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(66,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',66,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(67,0,0,0,'test','',0,0,0,0,0,0,0,0,'Your test was successful on %t!','Your test fades.','',1,0,'Spells/blank.lua',67,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(68,0,0,0,'test','',0,0,0,0,0,0,0,0,'Your test was successful on %t!','Your test fades.','',1,0,'Spells/blank.lua',68,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(69,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',69,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(70,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',70,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(71,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',71,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(72,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',72,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(73,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',73,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(74,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',74,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(75,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',75,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(76,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',76,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(77,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',77,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(78,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',78,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(79,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',79,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(80,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',80,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(81,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',81,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(82,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',82,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(83,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',83,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(84,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',84,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(85,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',85,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(86,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',86,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(87,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',87,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(88,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',88,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(89,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',89,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(90,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',90,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(91,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',91,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(92,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',92,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(93,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',93,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(94,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',94,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(95,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',95,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(96,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',96,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(97,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',97,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(98,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',98,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(99,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',99,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(100,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',100,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(101,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',101,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(102,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',102,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(103,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',103,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(104,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',104,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(105,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',105,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(106,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',106,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(107,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',107,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(108,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',108,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(109,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',109,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(110,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',110,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(111,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',111,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(112,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',112,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(113,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',113,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(114,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',114,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(115,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',115,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(116,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',116,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(117,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',117,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(118,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',118,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(119,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',119,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(120,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',120,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(121,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',121,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(122,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',122,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(123,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',123,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(124,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',124,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(125,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',125,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(126,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',126,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(127,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',127,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(128,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',128,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(129,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',129,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(130,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',130,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(131,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',131,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(132,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',132,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(133,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',133,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(134,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',134,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(135,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',135,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(136,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',136,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(137,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',137,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(138,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',138,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(139,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',139,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(140,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',140,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(141,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',141,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(142,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',142,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(143,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',143,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(144,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',144,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(145,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',145,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(146,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',146,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(147,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',147,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(148,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',148,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(149,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',149,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(150,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',150,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(151,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',151,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(152,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',152,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(153,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',153,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(154,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',154,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(155,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',155,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(156,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',156,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(157,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',157,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(158,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',158,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(159,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',159,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(160,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',160,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(161,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',161,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(162,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',162,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(163,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',163,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(164,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',164,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(165,0,0,0,'Summon...','mage',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',165,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(166,0,0,0,'priest','priest',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',166,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(167,0,0,0,'Cast','fighter',0,0,0,0,0,0,0,0,'Your cast was successful on %t!','Your fighter fades.','',0,0,'Spells/blank.lua',167,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,0),
(168,0,0,0,'auras','',0,0,0,0,0,0,0,0,'Your auras was successful on %t!','Your auras fades.','',1,0,'Spells/blank.lua',168,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(169,0,0,0,'auras','',0,0,0,0,0,0,0,0,'Your auras was successful on %t!','Your auras fades.','',1,0,'Spells/blank.lua',169,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(170,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',170,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(171,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',171,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(172,0,0,0,'test','',0,0,0,0,0,0,0,0,'Your test was successful on %t!','Your test fades.','',1,0,'Spells/blank.lua',172,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(173,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',173,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(174,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',174,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(175,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',175,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(176,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',176,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(177,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',177,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(178,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',178,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(179,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',179,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(180,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',180,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(181,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',181,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(182,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',182,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(183,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',183,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(184,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',184,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(185,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',185,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(186,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',186,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(187,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',187,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(188,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',188,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(189,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',189,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(190,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',190,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(191,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',191,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(192,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',192,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(193,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',193,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(194,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',194,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(195,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',195,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(196,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',196,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(197,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',197,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(198,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',198,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(199,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',199,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(200,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',200,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(201,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',201,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(202,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',202,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(203,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',203,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(204,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',204,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(205,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',205,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(206,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',206,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(207,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',207,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(208,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',208,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(209,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',209,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(210,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',210,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(211,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',211,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(212,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',212,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(213,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',213,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(214,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',214,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(215,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',215,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(216,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',216,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(217,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',217,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(218,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',218,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(219,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',219,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(220,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',220,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(221,0,0,0,'boss','',0,0,0,0,0,0,0,0,'Your boss was successful on %t!','Your boss fades.','',1,0,'Spells/blank.lua',221,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(222,0,0,0,'boss','',0,0,0,0,0,0,0,0,'Your boss was successful on %t!','Your boss fades.','',1,0,'Spells/blank.lua',222,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(223,0,0,0,'boss','',0,0,0,0,0,0,0,0,'Your boss was successful on %t!','Your boss fades.','',1,0,'Spells/blank.lua',223,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(224,0,0,0,'boss','',0,0,0,0,0,0,0,0,'Your boss was successful on %t!','Your boss fades.','',1,0,'Spells/blank.lua',224,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(225,0,0,0,'boss','',0,0,0,0,0,0,0,0,'Your boss was successful on %t!','Your boss fades.','',1,0,'Spells/blank.lua',225,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(226,0,0,0,'boss','',0,0,0,0,0,0,0,0,'Your boss was successful on %t!','Your boss fades.','',1,0,'Spells/blank.lua',226,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(227,0,0,0,'boss','',0,0,0,0,0,0,0,0,'Your boss was successful on %t!','Your boss fades.','',1,0,'Spells/blank.lua',227,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(228,0,0,0,'boss','',0,0,0,0,0,0,0,0,'Your boss was successful on %t!','Your boss fades.','',1,0,'Spells/blank.lua',228,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(229,0,0,0,'boss','',0,0,0,0,0,0,0,0,'Your boss was successful on %t!','Your boss fades.','',1,0,'Spells/blank.lua',229,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(230,0,0,0,'boss','',0,0,0,0,0,0,0,0,'Your boss was successful on %t!','Your boss fades.','',1,0,'Spells/blank.lua',230,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(231,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',231,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(232,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',232,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(233,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',233,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(234,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',234,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(235,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',235,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(236,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',236,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(237,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',237,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(238,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',238,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(239,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',239,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(240,0,0,0,'boss','',0,0,0,0,0,0,0,0,'Your boss was successful on %t!','Your boss fades.','',1,0,'Spells/blank.lua',240,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(241,0,0,0,'boss','',0,0,0,0,0,0,0,0,'Your boss was successful on %t!','Your boss fades.','',1,0,'Spells/blank.lua',241,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(242,0,0,0,'boss','',0,0,0,0,0,0,0,0,'Your boss was successful on %t!','Your boss fades.','',1,0,'Spells/blank.lua',242,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(243,0,0,0,'boss','',0,0,0,0,0,0,0,0,'Your boss was successful on %t!','Your boss fades.','',1,0,'Spells/blank.lua',243,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(244,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',244,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(245,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',245,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(246,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',246,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(247,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',247,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(248,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',248,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(249,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',249,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(250,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',250,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(251,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',251,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(252,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',252,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(253,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',253,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(254,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',254,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(255,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',255,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(256,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',256,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(257,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',257,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(258,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',258,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(259,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',259,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(260,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',260,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(261,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',261,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(262,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',262,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(263,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',263,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(264,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',264,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(265,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',265,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(266,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',266,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(267,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',267,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(268,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',268,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(269,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',269,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(270,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',270,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(271,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',271,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(272,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',272,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(273,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',273,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(274,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',274,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(275,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',275,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(276,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',276,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(277,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',277,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(278,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',278,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(279,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',279,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(280,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',280,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(281,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',281,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(282,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',282,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(283,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',283,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(284,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',284,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(285,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',285,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(286,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',286,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(287,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',287,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(288,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',288,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(289,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',289,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(290,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',290,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(291,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',291,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(292,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',292,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(293,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',293,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(294,0,0,0,'persist','',0,0,0,0,0,0,0,0,'Your persist was successful on %t!','Your persist fades.','',1,0,'Spells/blank.lua',294,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(295,0,0,0,'persist','',0,0,0,0,0,0,0,0,'Your persist was successful on %t!','Your persist fades.','',1,0,'Spells/blank.lua',295,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(296,0,0,0,'persist','',0,0,0,0,0,0,0,0,'Your persist was successful on %t!','Your persist fades.','',1,0,'Spells/blank.lua',296,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(297,0,0,0,'persist','',0,0,0,0,0,0,0,0,'Your persist was successful on %t!','Your persist fades.','',1,0,'Spells/blank.lua',297,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(298,0,0,0,'persist','',0,0,0,0,0,0,0,0,'Your persist was successful on %t!','Your persist fades.','',1,0,'Spells/blank.lua',298,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(299,0,0,0,'persist','',0,0,0,0,0,0,0,0,'Your persist was successful on %t!','Your persist fades.','',1,0,'Spells/blank.lua',299,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(300,0,0,0,'persist','',0,0,0,0,0,0,0,0,'Your persist was successful on %t!','Your persist fades.','',1,0,'Spells/blank.lua',300,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(301,0,0,0,'persist','',0,0,0,0,0,0,0,0,'Your persist was successful on %t!','Your persist fades.','',1,0,'Spells/blank.lua',301,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(302,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',302,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(303,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',303,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(304,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',304,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(305,0,0,0,'persist','',0,0,0,0,0,0,0,0,'Your persist was successful on %t!','Your persist fades.','',1,0,'Spells/blank.lua',305,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(306,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',306,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(307,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',307,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(308,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',308,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(309,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',309,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(310,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',310,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(311,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',311,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(312,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',312,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(313,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',313,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(314,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',314,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(315,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',315,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(316,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',316,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(317,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',317,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(318,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',318,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(319,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',319,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(320,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',320,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(321,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',321,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(322,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',322,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(323,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',323,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(324,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',324,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(325,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',325,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(326,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',326,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(327,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',327,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(328,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',328,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(329,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',329,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(330,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',330,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(331,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',331,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(332,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',332,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(333,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',333,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(334,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',334,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(335,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',335,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(336,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',336,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(337,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',337,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(338,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',338,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(339,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',339,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(340,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',340,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(341,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',341,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(342,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',342,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(343,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',343,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(344,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',344,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(345,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',345,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(346,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',346,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(347,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',347,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(348,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',348,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(349,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',349,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(350,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',350,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(351,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',351,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(352,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',352,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(353,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',353,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(354,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',354,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(355,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',355,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(356,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',356,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(357,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',357,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(358,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',358,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(359,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',359,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(360,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',360,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(361,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',361,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(362,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',362,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(363,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',363,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(364,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',364,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(365,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',365,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(366,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',366,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(367,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',367,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(368,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',368,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(369,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',369,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(370,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',370,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(371,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',371,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(372,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',372,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(373,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',373,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(374,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',374,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(375,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',375,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(376,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',376,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(377,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',377,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(378,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',378,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(379,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',379,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(380,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',380,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(381,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',381,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(382,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',382,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(383,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',383,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(384,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',384,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(385,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',385,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(386,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',386,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(387,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',387,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(388,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',388,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(389,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',389,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(390,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',390,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(391,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',391,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(392,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',392,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(393,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',393,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(394,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',394,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(395,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',395,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(396,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',396,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(397,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',397,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(398,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',398,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(399,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',399,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(400,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',400,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(401,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',401,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(402,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',402,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(403,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',403,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(404,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',404,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(405,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',405,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(406,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',406,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(407,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',407,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(408,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',408,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(409,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',409,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(410,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',410,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(411,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',411,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(412,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',412,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(413,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',413,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(414,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',414,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(415,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',415,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(416,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',416,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(417,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',417,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(418,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',418,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(419,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',419,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(420,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',420,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(421,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',421,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(422,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',422,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(423,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',423,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(424,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',424,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(425,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',425,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(426,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',426,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(427,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',427,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(428,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',428,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(429,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',429,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(430,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',430,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(431,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',431,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(432,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',432,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(433,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',433,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(434,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',434,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(435,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',435,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(436,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',436,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(437,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',437,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(438,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',438,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(439,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',439,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(440,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',440,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(441,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',441,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(442,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',442,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(443,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',443,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(444,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',444,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(445,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',445,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(446,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',446,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(447,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',447,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(448,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',448,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(449,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',449,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(450,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',450,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(451,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',451,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(452,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',452,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(453,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',453,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(454,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',454,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(455,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',455,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(456,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',456,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(457,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',457,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(458,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',458,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(459,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',459,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(460,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',460,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(461,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',461,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(462,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',462,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(463,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',463,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(464,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',464,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(465,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',465,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(466,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',466,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(467,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',467,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(468,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',468,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(469,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',469,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(470,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',470,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(471,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',471,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(472,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',472,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(473,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',473,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(474,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',474,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(475,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',475,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(476,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',476,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(477,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',477,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(478,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',478,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(479,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',479,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(480,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',480,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(481,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',481,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(482,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',482,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(483,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',483,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(484,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',484,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(485,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',485,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(486,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',486,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(487,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',487,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(488,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',488,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(489,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',489,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(490,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',490,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(491,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',491,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(492,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',492,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(493,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',493,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(494,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',494,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(495,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',495,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(496,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',496,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(497,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',497,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(498,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',498,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(499,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',499,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(500,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',500,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(501,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',501,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(502,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',502,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(503,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',503,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(504,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',504,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(505,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',505,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(506,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',506,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(507,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',507,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(508,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',508,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(509,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',509,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(510,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',510,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(511,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',511,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(512,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',512,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(513,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',513,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(514,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',514,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(515,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',515,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(516,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',516,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(517,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',517,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(518,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',518,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(519,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',519,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(520,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',520,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(521,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',521,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(522,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',522,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(523,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',523,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(524,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',524,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(525,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',525,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(526,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',526,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(527,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',527,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(528,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',528,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(529,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',529,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(530,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',530,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(531,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',531,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(532,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',532,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(533,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',533,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(534,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',534,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(535,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',535,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(536,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',536,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(537,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',537,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(538,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',538,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(539,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',539,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(540,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',540,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(541,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',541,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(542,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',542,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(543,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',543,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(544,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',544,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(545,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',545,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(546,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',546,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(547,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',547,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(548,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',548,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(549,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',549,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(550,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',550,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(551,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',551,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(552,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',552,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(553,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',553,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(554,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',554,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(555,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',555,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(556,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',556,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(557,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',557,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(558,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',558,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(559,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',559,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(560,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',560,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(561,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',561,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(562,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',562,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(563,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',563,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(564,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',564,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(565,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',565,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(566,0,0,0,'harvesting','',0,0,0,0,0,0,0,1,'Your harvesting was successful on %t!','Your harvesting fades.','',1,0,'Spells/blank.lua',566,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(567,0,0,0,'harvesting','',0,0,0,0,0,0,0,0,'Your harvesting was successful on %t!','Your harvesting fades.','',1,0,'Spells/blank.lua',567,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(568,0,0,0,'harvesting','',0,0,0,0,0,0,0,0,'Your harvesting was successful on %t!','Your harvesting fades.','',1,0,'Spells/blank.lua',568,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(569,0,0,0,'harvesting','',0,0,0,0,0,0,0,0,'Your harvesting was successful on %t!','Your harvesting fades.','',1,0,'Spells/blank.lua',569,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(570,0,0,0,'harvesting','',0,0,0,0,0,0,0,0,'Your harvesting was successful on %t!','Your harvesting fades.','',1,0,'Spells/blank.lua',570,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(571,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',571,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(572,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',572,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(573,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',573,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(574,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',574,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(575,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',575,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(576,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',576,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(577,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',577,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(578,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',578,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(579,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',579,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(580,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',580,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(581,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',581,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(582,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',582,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(583,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',583,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(584,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',584,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(585,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',585,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(586,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',586,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(587,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',587,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(588,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',588,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(589,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',589,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(590,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',590,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(591,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',591,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(592,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',592,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(593,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',593,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(594,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',594,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(595,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',595,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(596,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',596,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(597,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',597,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(598,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',598,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(599,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',599,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(600,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',600,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(601,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',601,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(602,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',602,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(603,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',603,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(604,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',604,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(605,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',605,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(606,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',606,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(607,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',607,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(608,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',608,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(609,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',609,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(610,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',610,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(611,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',611,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(612,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',612,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(613,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',613,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(614,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',614,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(615,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',615,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(616,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',616,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(617,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',617,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(618,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',618,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(619,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',619,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(620,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',620,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(621,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',621,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(622,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',622,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(623,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',623,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(624,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',624,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(625,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',625,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(626,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',626,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(627,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',627,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(628,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',628,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(629,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',629,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(630,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',630,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(631,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',631,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(632,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',632,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(633,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',633,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(634,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',634,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(635,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',635,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(636,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',636,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(637,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',637,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(638,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',638,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(639,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',639,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(640,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',640,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(641,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',641,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(642,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',642,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(643,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',643,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(644,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',644,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(645,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',645,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(646,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',646,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(647,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',647,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(648,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',648,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(649,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',649,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(650,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',650,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(651,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',651,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(652,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',652,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(653,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',653,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(654,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',654,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(655,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',655,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(656,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',656,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(657,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',657,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(658,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',658,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(659,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',659,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(660,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',660,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(661,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',661,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(662,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',662,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(663,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',663,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(664,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',664,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(665,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',665,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(666,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',666,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(667,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',667,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(668,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',668,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(669,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',669,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(670,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',670,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(671,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',671,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(672,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',672,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(673,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',673,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(674,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',674,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(675,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',675,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(676,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',676,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(677,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',677,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(678,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',678,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(679,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',679,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(680,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',680,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(681,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',681,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(682,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',682,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(683,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',683,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(684,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',684,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(685,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',685,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(686,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',686,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(687,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',687,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(688,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',688,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(689,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',689,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(690,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',690,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(691,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',691,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(692,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',692,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(693,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',693,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(694,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',694,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(695,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',695,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(696,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',696,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(697,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',697,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(698,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',698,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(699,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',699,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(700,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',700,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(701,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',701,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(702,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',702,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(703,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',703,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(704,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',704,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(705,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',705,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(706,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',706,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(707,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',707,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(708,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',708,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(709,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',709,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(710,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',710,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(711,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',711,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(712,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',712,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(713,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',713,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(714,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',714,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(715,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',715,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(716,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',716,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(717,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',717,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(718,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',718,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(719,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',719,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(720,0,0,0,'ho','',0,0,0,0,0,0,0,0,'Your ho was successful on %t!','Your ho fades.','',1,0,'Spells/blank.lua',720,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(721,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',721,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(722,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',722,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(723,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',723,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(724,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',724,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(725,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',725,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(726,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',726,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(727,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',727,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(728,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',728,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(729,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',729,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(730,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',730,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(731,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',731,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(732,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',732,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(733,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',733,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(734,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',734,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(735,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',735,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(736,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',736,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(737,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',737,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(738,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',738,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(739,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',739,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(740,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',740,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(741,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',741,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(742,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',742,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(743,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',743,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(744,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',744,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(745,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',745,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(746,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',746,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(747,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',747,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(748,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',748,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(749,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',749,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(750,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',750,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(751,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',751,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(752,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',752,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(753,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',753,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(754,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',754,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(755,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',755,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(756,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',756,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(757,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',757,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(758,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',758,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(759,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',759,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(760,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',760,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(761,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',761,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(762,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',762,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(763,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',763,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(764,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',764,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(765,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',765,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(766,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',766,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(767,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',767,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(768,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',768,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(769,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',769,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(770,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',770,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(771,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',771,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(772,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',772,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(773,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',773,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(774,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',774,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(775,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',775,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(776,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',776,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(777,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',777,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(778,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',778,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(779,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',779,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(780,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',780,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(781,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',781,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(782,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',782,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(783,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',783,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(784,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',784,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(785,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',785,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(786,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',786,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(787,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',787,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(788,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',788,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(789,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',789,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(790,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',790,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(791,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',791,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(792,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',792,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(793,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',793,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(794,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',794,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(795,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',795,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(796,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',796,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(797,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',797,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(798,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',798,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(799,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',799,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(800,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',800,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(801,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',801,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(802,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',802,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(803,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',803,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(804,0,0,0,'boss','',0,0,0,0,0,0,0,0,'Your boss was successful on %t!','Your boss fades.','',1,0,'Spells/blank.lua',804,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(805,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',805,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(806,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',806,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(807,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',807,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(808,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',808,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(809,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',809,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(810,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',810,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(811,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',811,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(812,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',812,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(813,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',813,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(814,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',814,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(815,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',815,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(816,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',816,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(817,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',817,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(818,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',818,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(819,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',819,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(820,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',820,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(821,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',821,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(822,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',822,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(823,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',823,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(824,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',824,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(825,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',825,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(826,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',826,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(827,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',827,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(828,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',828,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(829,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',829,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(830,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',830,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(831,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',831,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(832,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',832,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(833,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',833,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(834,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',834,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(835,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',835,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(836,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',836,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(837,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',837,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(838,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',838,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(839,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',839,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(840,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',840,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(841,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',841,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(842,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',842,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(843,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',843,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(844,0,0,0,'adventure_pack_02','',0,0,0,0,0,0,0,0,'Your adventure_pack_02 was successful on %t!','Your adventure_pack_02 fades.','',1,0,'Spells/blank.lua',844,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(845,0,0,0,'adventure_pack_02','',0,0,0,0,0,0,0,0,'Your adventure_pack_02 was successful on %t!','Your adventure_pack_02 fades.','',1,0,'Spells/blank.lua',845,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(846,0,0,0,'adventure_pack_02','',0,0,0,0,0,0,0,0,'Your adventure_pack_02 was successful on %t!','Your adventure_pack_02 fades.','',1,0,'Spells/blank.lua',846,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(847,0,0,0,'adventure_pack_02','',0,0,0,0,0,0,0,0,'Your adventure_pack_02 was successful on %t!','Your adventure_pack_02 fades.','',1,0,'Spells/blank.lua',847,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(848,0,0,0,'adventure_pack_02','',0,0,0,0,0,0,0,0,'Your adventure_pack_02 was successful on %t!','Your adventure_pack_02 fades.','',1,0,'Spells/blank.lua',848,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(849,0,0,0,'adventure_pack_02','',0,0,0,0,0,0,0,0,'Your adventure_pack_02 was successful on %t!','Your adventure_pack_02 fades.','',1,0,'Spells/blank.lua',849,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(850,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',850,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(851,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',851,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(852,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',852,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(853,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',853,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(854,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',854,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(855,0,0,0,'adventure_pack_02','',0,0,0,0,0,0,0,0,'Your adventure_pack_02 was successful on %t!','Your adventure_pack_02 fades.','',1,0,'Spells/blank.lua',855,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(856,0,0,0,'adventure_pack_02','',0,0,0,0,0,0,0,0,'Your adventure_pack_02 was successful on %t!','Your adventure_pack_02 fades.','',1,0,'Spells/blank.lua',856,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(857,0,0,0,'adventure_pack_02','',0,0,0,0,0,0,0,0,'Your adventure_pack_02 was successful on %t!','Your adventure_pack_02 fades.','',1,0,'Spells/blank.lua',857,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(858,0,0,0,'adventure_pack_02','',0,0,0,0,0,0,0,0,'Your adventure_pack_02 was successful on %t!','Your adventure_pack_02 fades.','',1,0,'Spells/blank.lua',858,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(859,0,0,0,'adventure_pack_02','',0,0,0,0,0,0,0,0,'Your adventure_pack_02 was successful on %t!','Your adventure_pack_02 fades.','',1,0,'Spells/blank.lua',859,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(860,0,0,0,'adventure_pack_02','',0,0,0,0,0,0,0,0,'Your adventure_pack_02 was successful on %t!','Your adventure_pack_02 fades.','',1,0,'Spells/blank.lua',860,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(861,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',861,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(862,0,0,0,'adventure_pack_02','',0,0,0,0,0,0,0,0,'Your adventure_pack_02 was successful on %t!','Your adventure_pack_02 fades.','',1,0,'Spells/blank.lua',862,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(863,0,0,0,'adventure_pack_02','',0,0,0,0,0,0,0,0,'Your adventure_pack_02 was successful on %t!','Your adventure_pack_02 fades.','',1,0,'Spells/blank.lua',863,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(864,0,0,0,'adventure_pack_02','',0,0,0,0,0,0,0,0,'Your adventure_pack_02 was successful on %t!','Your adventure_pack_02 fades.','',1,0,'Spells/blank.lua',864,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(865,0,0,0,'adventure_pack_02','',0,0,0,0,0,0,0,0,'Your adventure_pack_02 was successful on %t!','Your adventure_pack_02 fades.','',1,0,'Spells/blank.lua',865,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(866,0,0,0,'adventure_pack_02','',0,0,0,0,0,0,0,0,'Your adventure_pack_02 was successful on %t!','Your adventure_pack_02 fades.','',1,0,'Spells/blank.lua',866,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(867,0,0,0,'adventure_pack_02','',0,0,0,0,0,0,0,0,'Your adventure_pack_02 was successful on %t!','Your adventure_pack_02 fades.','',1,0,'Spells/blank.lua',867,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(868,0,0,0,'adventure_pack_02','',0,0,0,0,0,0,0,0,'Your adventure_pack_02 was successful on %t!','Your adventure_pack_02 fades.','',1,0,'Spells/blank.lua',868,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(869,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',869,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(870,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',870,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(871,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',871,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(872,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',872,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(873,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',873,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(874,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',874,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(875,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',875,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(876,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',876,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(877,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',877,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(878,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',878,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(879,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',879,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(880,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',880,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(881,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',881,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(882,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',882,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(883,0,0,0,'adventure_pack_02','',0,0,0,0,0,0,0,0,'Your adventure_pack_02 was successful on %t!','Your adventure_pack_02 fades.','',1,0,'Spells/blank.lua',883,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(884,0,0,0,'adventure_pack_02','',0,0,0,0,0,0,0,0,'Your adventure_pack_02 was successful on %t!','Your adventure_pack_02 fades.','',1,0,'Spells/blank.lua',884,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(885,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',885,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(886,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',886,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(887,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',887,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(888,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',888,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(889,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',889,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(890,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',890,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(891,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',891,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(892,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',892,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(893,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',893,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(894,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',894,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(895,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',895,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(896,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',896,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(897,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',897,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(898,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',898,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(899,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',899,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(900,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',900,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(901,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',901,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(902,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',902,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(903,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',903,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(904,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',904,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(905,0,0,0,'adventure_pack_02','',0,0,0,0,0,0,0,0,'Your adventure_pack_02 was successful on %t!','Your adventure_pack_02 fades.','',1,0,'Spells/blank.lua',905,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(906,0,0,0,'adventure_pack_02','',0,0,0,0,0,0,0,0,'Your adventure_pack_02 was successful on %t!','Your adventure_pack_02 fades.','',1,0,'Spells/blank.lua',906,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(907,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',907,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(908,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',908,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(909,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',909,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(910,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',910,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(911,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',911,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(912,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',912,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(913,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',913,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(914,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',914,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(915,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',915,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(916,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',916,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(917,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',917,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(918,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',918,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(919,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',919,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(920,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',920,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(921,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',921,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(922,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',922,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(923,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',923,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(924,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',924,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(925,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',925,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(926,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',926,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(927,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',927,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(928,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',928,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(929,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',929,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(930,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',930,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(931,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',931,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(932,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',932,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(933,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',933,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(934,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',934,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(935,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',935,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(936,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',936,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(937,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',937,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(938,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',938,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(939,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',939,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(940,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',940,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(941,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',941,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(942,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',942,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(943,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',943,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(944,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',944,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(945,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',945,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(946,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',946,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(947,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',947,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(948,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',948,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(949,0,0,0,'adventure_pack_02','',0,0,0,0,0,0,0,0,'Your adventure_pack_02 was successful on %t!','Your adventure_pack_02 fades.','',1,0,'Spells/blank.lua',949,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(950,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',950,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(951,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',951,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(952,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',952,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(953,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',953,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(954,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',954,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(955,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',955,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(956,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',956,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(957,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',957,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(958,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',958,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(959,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',959,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(960,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',960,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(961,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',961,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(962,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',962,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(963,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',963,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(964,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',964,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(965,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',965,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(966,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',966,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(967,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',967,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(968,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',968,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(969,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',969,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(970,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',970,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(971,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',971,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(972,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',972,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(973,0,0,0,'test','',0,0,0,0,0,0,0,0,'Your test was successful on %t!','Your test fades.','',1,0,'Spells/blank.lua',973,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(974,0,0,0,'test','',0,0,0,0,0,0,0,0,'Your test was successful on %t!','Your test fades.','',1,0,'Spells/blank.lua',974,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(975,0,0,0,'test','',0,0,0,0,0,0,0,0,'Your test was successful on %t!','Your test fades.','',1,0,'Spells/blank.lua',975,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(976,0,0,0,'test','',0,0,0,0,0,0,0,0,'Your test was successful on %t!','Your test fades.','',1,0,'Spells/blank.lua',976,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(977,0,0,0,'test','',0,0,0,0,0,0,0,0,'Your test was successful on %t!','Your test fades.','',1,0,'Spells/blank.lua',977,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(978,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',978,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(979,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',979,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(980,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',980,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(981,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',981,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(982,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',982,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(983,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',983,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(984,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',984,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(985,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',985,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(986,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',986,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(987,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',987,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(988,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',988,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(989,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',989,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(990,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',990,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(991,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',991,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(992,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',992,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(993,0,4,1,'Diseased','This creature appears afflicted with a disease and is obviously unwell.  Perhaps a simple healing spell will cure this.',258,0,315,0,0,0,1,0,'','The creature''s disease appears to fade temporarily.','',0,0,'Spells/Diseased.lua',0,'',4,0,0,0,1,0,3,0,1,0,1,0,1,0,0,1,0,0,0,'Buff',0,0,0,0),
(994,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',994,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(995,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',995,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(996,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',996,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(997,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',997,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(998,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',998,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(999,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',999,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1000,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1000,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1001,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1001,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1002,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1002,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1003,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1003,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1004,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1004,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1005,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1005,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1006,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1006,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1007,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',1007,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1008,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',1008,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1009,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',1009,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1010,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',1010,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1011,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',1011,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1012,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',1012,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1013,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',1013,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1014,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',1014,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1015,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',1015,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1016,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',1016,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1017,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',1017,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1018,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',1018,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1019,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',1019,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1020,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',1020,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1021,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',1021,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1022,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',1022,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1023,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',1023,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1024,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',1024,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1025,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1025,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1026,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1026,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1027,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1027,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1028,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1028,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1029,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1029,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1030,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1030,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1031,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1031,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1032,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1032,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1033,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1033,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1034,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1034,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1035,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1035,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1036,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1036,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1037,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1037,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1038,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1038,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1039,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1039,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1040,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1040,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1041,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1041,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1042,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1042,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1043,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1043,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1044,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1044,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1045,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1045,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1046,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1046,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1047,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1047,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1048,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1048,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1049,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1049,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1050,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1050,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1051,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1051,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1052,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1052,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1053,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1053,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1054,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1054,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1055,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1055,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1056,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1056,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1057,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1057,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1058,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1058,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1059,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1059,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1060,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1060,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1061,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1061,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1062,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1062,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1063,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1063,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1064,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1064,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1065,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1065,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1066,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1066,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1067,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1067,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1068,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1068,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1069,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1069,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1070,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1070,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1071,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1071,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1072,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1072,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1073,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1073,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1074,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1074,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1075,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1075,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1076,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1076,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1077,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1077,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1078,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1078,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1079,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',1079,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1080,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1080,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1081,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',1081,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1082,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1082,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1083,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1083,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1084,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1084,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1085,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1085,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1086,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1086,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1087,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1087,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1088,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1088,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1089,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1089,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1090,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1090,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1091,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1091,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1092,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1092,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1093,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1093,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1094,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1094,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1095,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1095,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1096,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1096,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1097,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1097,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1098,0,0,0,'expansion_02','',0,0,0,0,0,0,0,0,'Your expansion_02 was successful on %t!','Your expansion_02 fades.','',1,0,'Spells/blank.lua',1098,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1099,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',1099,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1100,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',1100,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1101,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',1101,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1102,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',1102,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1103,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',1103,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1104,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',1104,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1105,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',1105,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1106,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',1106,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1107,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',1107,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1108,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',1108,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1109,0,0,0,'expansion_01','',0,0,0,0,0,0,0,0,'Your expansion_01 was successful on %t!','Your expansion_01 fades.','',1,0,'Spells/blank.lua',1109,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1110,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1110,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1111,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1111,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1112,0,0,0,'adventure_pack_04','',0,0,0,0,0,0,0,0,'Your adventure_pack_04 was successful on %t!','Your adventure_pack_04 fades.','',1,0,'Spells/blank.lua',1112,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1113,0,0,0,'adventure_pack_04','',0,0,0,0,0,0,0,0,'Your adventure_pack_04 was successful on %t!','Your adventure_pack_04 fades.','',1,0,'Spells/blank.lua',1113,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1114,0,0,0,'adventure_pack_04','',0,0,0,0,0,0,0,0,'Your adventure_pack_04 was successful on %t!','Your adventure_pack_04 fades.','',1,0,'Spells/blank.lua',1114,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1115,0,0,0,'adventure_pack_04','',0,0,0,0,0,0,0,0,'Your adventure_pack_04 was successful on %t!','Your adventure_pack_04 fades.','',1,0,'Spells/blank.lua',1115,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1116,0,0,0,'adventure_pack_04','',0,0,0,0,0,0,0,0,'Your adventure_pack_04 was successful on %t!','Your adventure_pack_04 fades.','',1,0,'Spells/blank.lua',1116,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1117,0,0,0,'adventure_pack_04','',0,0,0,0,0,0,0,0,'Your adventure_pack_04 was successful on %t!','Your adventure_pack_04 fades.','',1,0,'Spells/blank.lua',1117,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1118,0,0,0,'adventure_pack_04','',0,0,0,0,0,0,0,0,'Your adventure_pack_04 was successful on %t!','Your adventure_pack_04 fades.','',1,0,'Spells/blank.lua',1118,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1119,0,0,0,'adventure_pack_04','',0,0,0,0,0,0,0,0,'Your adventure_pack_04 was successful on %t!','Your adventure_pack_04 fades.','',1,0,'Spells/blank.lua',1119,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1120,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1120,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1121,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1121,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1122,0,0,0,'adventure_pack_04','',0,0,0,0,0,0,0,0,'Your adventure_pack_04 was successful on %t!','Your adventure_pack_04 fades.','',1,0,'Spells/blank.lua',1122,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1123,0,0,0,'adventure_pack_04','',0,0,0,0,0,0,0,0,'Your adventure_pack_04 was successful on %t!','Your adventure_pack_04 fades.','',1,0,'Spells/blank.lua',1123,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1124,0,0,0,'adventure_pack_04','',0,0,0,0,0,0,0,0,'Your adventure_pack_04 was successful on %t!','Your adventure_pack_04 fades.','',1,0,'Spells/blank.lua',1124,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1125,0,0,0,'adventure_pack_04','',0,0,0,0,0,0,0,0,'Your adventure_pack_04 was successful on %t!','Your adventure_pack_04 fades.','',1,0,'Spells/blank.lua',1125,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1126,0,0,0,'adventure_pack_04','',0,0,0,0,0,0,0,0,'Your adventure_pack_04 was successful on %t!','Your adventure_pack_04 fades.','',1,0,'Spells/blank.lua',1126,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1127,0,0,0,'adventure_pack_04','',0,0,0,0,0,0,0,0,'Your adventure_pack_04 was successful on %t!','Your adventure_pack_04 fades.','',1,0,'Spells/blank.lua',1127,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1128,0,0,0,'adventure_pack_02','',0,0,0,0,0,0,0,0,'Your adventure_pack_02 was successful on %t!','Your adventure_pack_02 fades.','',1,0,'Spells/blank.lua',1128,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1129,0,0,0,'adventure_pack_02','',0,0,0,0,0,0,0,0,'Your adventure_pack_02 was successful on %t!','Your adventure_pack_02 fades.','',1,0,'Spells/blank.lua',1129,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1130,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1130,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1131,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1131,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1132,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1132,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1133,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',1133,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1134,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',1134,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1135,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1135,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1136,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1136,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1137,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1137,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1138,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1138,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1139,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1139,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1140,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',1140,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1141,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',1141,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1142,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1142,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1143,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1143,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1144,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1144,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1145,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1145,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1146,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1146,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1147,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1147,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1148,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1148,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1149,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1149,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1150,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1150,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1151,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1151,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1152,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1152,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1153,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1153,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1154,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1154,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1155,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1155,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1156,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1156,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1157,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1157,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1158,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1158,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1159,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1159,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1160,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1160,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1161,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1161,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1162,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',1162,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1163,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1163,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1164,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1164,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1165,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1165,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1166,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',1166,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1167,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1167,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1168,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1168,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1169,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1169,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1170,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1170,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1171,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1171,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1172,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1172,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1173,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1173,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1174,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1174,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1175,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1175,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1176,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1176,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1177,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1177,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1178,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1178,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1179,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1179,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1180,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1180,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1181,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1181,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1182,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1182,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1183,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1183,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1184,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1184,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1185,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1185,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1186,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1186,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1187,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1187,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1188,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1188,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1189,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1189,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1190,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1190,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1191,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1191,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1192,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1192,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1193,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1193,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1194,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1194,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1195,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1195,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1196,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1196,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1197,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1197,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1198,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1198,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1199,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1199,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1200,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1200,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1201,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1201,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1202,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1202,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1203,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1203,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1204,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1204,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1205,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1205,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1206,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1206,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1207,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1207,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1208,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1208,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1209,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1209,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1210,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1210,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1211,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1211,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1212,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1212,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1213,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1213,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1214,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1214,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1215,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1215,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1216,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1216,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1217,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1217,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1218,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1218,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1219,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1219,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1220,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1220,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1221,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1221,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1222,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1222,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1223,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1223,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1224,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1224,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1225,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1225,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1226,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1226,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1227,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1227,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1228,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1228,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1229,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1229,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1230,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1230,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1231,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1231,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1232,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1232,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1233,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1233,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1234,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1234,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1235,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1235,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1236,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1236,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1237,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1237,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1238,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1238,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1239,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1239,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1240,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1240,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1241,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',1241,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1242,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1242,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1243,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1243,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1244,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1244,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1245,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1245,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1246,0,0,0,'harvesting','',0,0,0,0,0,0,0,0,'Your harvesting was successful on %t!','Your harvesting fades.','',1,0,'Spells/blank.lua',1246,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1247,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1247,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1248,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1248,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1249,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1249,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1250,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1250,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1251,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1251,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1252,0,0,0,'expansion_03','',0,0,0,0,0,0,0,0,'Your expansion_03 was successful on %t!','Your expansion_03 fades.','',1,0,'Spells/blank.lua',1252,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1253,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1253,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1254,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1254,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1255,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1255,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1256,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1256,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1257,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1257,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1258,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1258,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1259,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1259,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1260,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1260,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1261,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1261,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1262,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1262,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1263,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1263,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1264,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1264,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1265,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1265,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1266,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',1266,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1267,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1267,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1268,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1268,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1269,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1269,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1270,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1270,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1271,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1271,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1272,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1272,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1273,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1273,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1274,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1274,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1275,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1275,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1276,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1276,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1277,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1277,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1278,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1278,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1279,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1279,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1280,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1280,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1281,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1281,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1282,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1282,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1283,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1283,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1284,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1284,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1285,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1285,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1286,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1286,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1287,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1287,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1288,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1288,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1289,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1289,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1290,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1290,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1291,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1291,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1292,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1292,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1293,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1293,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1294,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1294,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1295,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1295,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1296,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1296,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1297,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1297,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1298,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1298,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1299,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1299,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1300,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1300,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1301,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1301,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1302,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1302,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1303,0,0,0,'procs','',0,0,0,0,0,0,0,0,'Your procs was successful on %t!','Your procs fades.','',1,0,'Spells/blank.lua',1303,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1304,0,0,0,'procs','',0,0,0,0,0,0,0,0,'Your procs was successful on %t!','Your procs fades.','',1,0,'Spells/blank.lua',1304,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1305,0,0,0,'procs','',0,0,0,0,0,0,0,0,'Your procs was successful on %t!','Your procs fades.','',1,0,'Spells/blank.lua',1305,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1306,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1306,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1307,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1307,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1308,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1308,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1309,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1309,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1310,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1310,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1311,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1311,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1312,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1312,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1313,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',1313,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1314,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',1314,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1315,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',1315,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1316,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',1316,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1317,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1317,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1318,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1318,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1319,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1319,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1320,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1320,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1321,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1321,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1322,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1322,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1323,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1323,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1324,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1324,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1325,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1325,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1326,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1326,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1327,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1327,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1328,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1328,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1329,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1329,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1330,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1330,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1331,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1331,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1332,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1332,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1333,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1333,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1334,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1334,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1335,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',1335,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1336,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',1336,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1337,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',1337,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1338,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1338,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1339,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1339,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1340,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1340,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1341,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1341,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1342,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1342,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1343,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',1343,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1344,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1344,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1345,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1345,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1346,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1346,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1347,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1347,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1348,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1348,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1349,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1349,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1350,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1350,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1351,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',1351,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1352,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',1352,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1353,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',1353,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1354,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',1354,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1355,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1355,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1356,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',1356,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1357,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1357,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1358,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1358,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1359,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',1359,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1360,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',1360,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1361,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1361,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1362,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1362,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1363,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1363,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1364,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1364,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1365,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1365,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1366,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1366,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1367,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1367,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1368,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1368,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1369,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1369,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1370,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1370,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1371,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',1371,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1372,0,0,0,'procs','',0,0,0,0,0,0,0,0,'Your procs was successful on %t!','Your procs fades.','',1,0,'Spells/blank.lua',1372,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1373,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1373,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1374,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1374,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1375,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1375,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1376,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1376,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1377,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1377,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1378,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1378,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1379,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1379,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1380,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1380,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1381,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1381,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1382,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1382,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1383,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1383,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1384,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1384,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1385,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1385,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1386,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1386,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1387,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1387,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1388,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1388,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1389,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1389,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1390,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1390,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1391,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1391,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1392,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1392,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1393,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1393,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1394,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1394,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1395,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1395,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1396,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1396,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1397,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1397,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1398,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1398,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1399,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1399,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1400,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1400,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1401,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1401,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1402,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1402,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1403,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1403,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1404,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1404,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1405,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1405,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1406,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1406,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1407,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1407,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1408,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1408,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1409,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1409,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1410,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1410,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1411,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1411,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1412,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1412,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1413,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1413,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1414,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1414,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1415,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1415,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1416,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1416,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1417,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1417,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1418,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1418,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1419,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1419,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1420,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1420,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1421,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1421,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1422,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1422,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1423,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1423,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1424,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1424,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1425,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1425,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1426,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1426,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1427,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1427,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1428,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1428,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1429,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1429,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1430,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1430,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1431,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1431,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1432,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1432,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1433,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1433,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1434,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1434,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1435,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1435,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1436,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1436,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1437,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1437,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1438,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1438,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1439,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1439,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1440,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1440,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1441,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1441,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1442,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1442,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1443,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1443,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1444,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1444,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1445,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1445,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1446,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1446,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1447,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1447,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1448,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1448,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1449,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1449,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1450,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1450,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1451,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1451,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1452,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1452,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1453,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1453,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1454,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1454,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1455,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',1455,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1456,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',1456,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1457,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',1457,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1458,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',1458,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1459,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1459,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1460,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1460,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1461,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1461,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1462,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',1462,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1463,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',1463,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1464,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1464,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1465,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1465,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1466,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1466,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1467,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1467,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1468,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',1468,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1469,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',1469,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1470,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',1470,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1471,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',1471,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1472,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',1472,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1473,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1473,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1474,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1474,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1475,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',1475,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1476,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',1476,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1477,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',1477,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1478,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',1478,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1479,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',1479,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1480,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',1480,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1481,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',1481,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1482,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',1482,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1483,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',1483,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1484,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',1484,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1485,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',1485,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1486,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1486,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1487,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',1487,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1488,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1488,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1489,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1489,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1490,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1490,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1491,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',1491,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1492,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1492,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1493,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1493,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1494,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1494,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1495,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1495,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1496,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1496,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1497,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1497,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1498,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1498,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1499,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1499,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1500,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1500,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1501,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1501,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1502,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1502,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1503,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1503,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1504,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1504,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1505,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1505,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1506,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1506,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1507,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1507,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1508,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1508,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1509,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1509,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1510,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1510,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1511,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1511,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1512,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1512,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1513,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1513,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1514,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1514,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1515,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1515,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1516,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1516,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1517,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1517,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1518,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1518,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1519,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1519,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1520,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1520,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1521,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1521,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1522,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1522,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1523,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1523,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1524,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1524,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1525,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1525,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1526,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1526,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1527,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1527,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1528,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1528,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1529,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1529,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1530,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1530,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1531,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1531,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1532,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1532,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1533,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1533,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1534,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1534,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1535,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1535,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1536,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1536,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1537,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1537,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1538,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1538,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1539,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1539,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1540,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1540,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1541,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1541,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1542,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1542,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1543,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1543,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1544,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1544,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1545,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1545,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1546,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1546,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1547,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1547,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1548,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1548,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1549,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1549,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1550,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1550,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1551,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1551,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1552,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1552,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1553,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1553,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1554,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1554,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1555,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1555,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1556,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1556,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1557,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1557,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1558,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1558,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1559,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1559,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1560,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1560,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1561,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1561,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1562,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1562,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1563,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1563,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1564,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1564,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1565,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1565,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1566,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1566,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1567,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1567,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1568,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1568,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1569,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1569,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1570,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1570,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1571,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1571,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1572,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1572,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1573,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1573,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1574,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1574,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1575,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1575,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1576,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1576,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1577,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1577,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1578,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1578,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1579,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1579,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1580,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1580,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1581,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1581,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1582,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1582,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1583,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1583,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1584,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1584,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1585,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1585,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1586,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1586,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1587,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1587,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1588,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1588,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1589,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1589,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1590,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1590,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1591,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1591,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1592,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1592,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1593,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1593,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1594,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1594,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1595,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1595,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1596,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1596,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1597,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1597,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1598,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1598,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1599,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1599,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1600,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1600,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1601,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1601,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1602,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1602,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1603,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1603,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1604,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1604,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1605,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1605,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1606,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1606,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1607,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1607,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1608,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1608,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1609,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1609,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1610,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1610,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1611,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1611,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1612,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1612,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1613,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1613,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1614,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1614,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1615,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1615,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1616,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1616,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1617,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1617,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1618,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1618,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1619,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1619,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1620,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1620,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1621,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1621,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1622,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1622,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1623,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1623,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1624,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1624,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1625,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1625,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1626,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1626,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1627,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1627,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1628,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1628,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1629,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1629,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1630,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1630,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1631,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1631,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1632,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1632,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1633,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1633,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1634,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1634,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1635,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1635,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1636,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1636,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1637,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1637,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1638,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1638,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1639,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1639,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1640,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1640,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1641,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1641,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1642,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1642,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1643,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1643,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1644,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1644,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1645,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1645,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1646,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1646,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1647,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1647,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1648,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1648,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1649,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1649,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1650,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1650,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1651,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1651,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1652,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1652,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1653,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1653,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1654,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1654,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1655,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1655,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1656,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1656,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1657,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1657,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1658,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1658,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1659,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1659,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1660,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1660,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1661,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1661,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1662,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1662,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1663,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1663,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1664,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1664,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1665,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1665,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1666,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1666,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1667,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1667,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1668,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1668,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1669,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1669,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1670,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1670,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1671,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1671,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1672,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1672,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1673,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1673,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1674,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1674,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1675,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1675,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1676,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1676,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1677,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1677,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1678,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1678,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1679,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1679,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1680,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1680,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1681,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1681,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1682,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1682,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1683,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1683,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1684,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1684,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1685,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1685,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1686,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1686,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1687,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1687,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1688,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1688,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1689,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1689,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1690,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1690,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1691,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1691,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1692,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1692,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1693,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1693,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1694,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1694,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1695,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1695,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1696,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1696,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1697,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1697,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1698,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1698,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1699,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1699,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1700,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1700,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1701,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1701,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1702,0,0,0,'expansion_04','',0,0,0,0,0,0,0,0,'Your expansion_04 was successful on %t!','Your expansion_04 fades.','',1,0,'Spells/blank.lua',1702,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1703,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',1703,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1704,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',1704,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1705,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1705,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1706,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1706,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1707,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1707,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1708,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1708,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1709,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1709,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1710,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1710,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1711,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1711,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1712,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1712,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1713,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1713,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1714,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1714,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1715,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1715,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1716,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1716,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1717,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1717,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1718,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1718,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1719,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1719,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1720,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',1720,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1721,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1721,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1722,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1722,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1723,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1723,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1724,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1724,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1725,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1725,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1726,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1726,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1727,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1727,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1728,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1728,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1729,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1729,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1730,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1730,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1731,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1731,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1732,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1732,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1733,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1733,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1734,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1734,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1735,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1735,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1736,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1736,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1737,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1737,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1738,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1738,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1739,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1739,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1740,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1740,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1741,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1741,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1742,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1742,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1743,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1743,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1744,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1744,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1745,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1745,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1746,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1746,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1747,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1747,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1748,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1748,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1749,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1749,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1750,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1750,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1751,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1751,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1752,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1752,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1753,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1753,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1754,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1754,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1755,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1755,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1756,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1756,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1757,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1757,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1758,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1758,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1759,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1759,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1760,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1760,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1761,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1761,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1762,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1762,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1763,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1763,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1764,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1764,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1765,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1765,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1766,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1766,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1767,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1767,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1768,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1768,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1769,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1769,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1770,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1770,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1771,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1771,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1772,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1772,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1773,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1773,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1774,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1774,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1775,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1775,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1776,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1776,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1777,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1777,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1778,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1778,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1779,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1779,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1780,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1780,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1781,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1781,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1782,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1782,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1783,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1783,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1784,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1784,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1785,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1785,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1786,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1786,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1787,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1787,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1788,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1788,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1789,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1789,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1790,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1790,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1791,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1791,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1792,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1792,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1793,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1793,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1794,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1794,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1795,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1795,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1796,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1796,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1797,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1797,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1798,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1798,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1799,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1799,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1800,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1800,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1801,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1801,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1802,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1802,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1803,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1803,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1804,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1804,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1805,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1805,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1806,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1806,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1807,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1807,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1808,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1808,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1809,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1809,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1810,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1810,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1811,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1811,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1812,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1812,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1813,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1813,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1814,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1814,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1815,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1815,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1816,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1816,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1817,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1817,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1818,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1818,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1819,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1819,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1820,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1820,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1821,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1821,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1822,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1822,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1823,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1823,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1824,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1824,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1825,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1825,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1826,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1826,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1827,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1827,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1828,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1828,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1829,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1829,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1830,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1830,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1831,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1831,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1832,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1832,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1833,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1833,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1834,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1834,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1835,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1835,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1836,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1836,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1837,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1837,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1838,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1838,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1839,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1839,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1840,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1840,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1841,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1841,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1842,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1842,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1843,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1843,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1844,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1844,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1845,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1845,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1846,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1846,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1847,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1847,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1848,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1848,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1849,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1849,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1850,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1850,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1851,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1851,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1852,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1852,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1853,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1853,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1854,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1854,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1855,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1855,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1856,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1856,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1857,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1857,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1858,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1858,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1859,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1859,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1860,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1860,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1861,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1861,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1862,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1862,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1863,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1863,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1864,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1864,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1865,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1865,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1866,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1866,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1867,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1867,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1868,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1868,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1869,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1869,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1870,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1870,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1871,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1871,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1872,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1872,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1873,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1873,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1874,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1874,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1875,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1875,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1876,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1876,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1877,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1877,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1878,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1878,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1879,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1879,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1880,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1880,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1881,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1881,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1882,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1882,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1883,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1883,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1884,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1884,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1885,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1885,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1886,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1886,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1887,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1887,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1888,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1888,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1889,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1889,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1890,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1890,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1891,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1891,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1892,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1892,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1893,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1893,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1894,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1894,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1895,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1895,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1896,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1896,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1897,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1897,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1898,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1898,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1899,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1899,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1900,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1900,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1901,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1901,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1902,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1902,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1903,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1903,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1904,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1904,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1905,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1905,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1906,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1906,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1907,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1907,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1908,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1908,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1909,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1909,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1910,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1910,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1911,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1911,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1912,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1912,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1913,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1913,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1914,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1914,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1915,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1915,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1916,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1916,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1917,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1917,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1918,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1918,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1919,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1919,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1920,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1920,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1921,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1921,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1922,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1922,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1923,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1923,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1924,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1924,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1925,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1925,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1926,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1926,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1927,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1927,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1928,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1928,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1929,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1929,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1930,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1930,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1931,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1931,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1932,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1932,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1933,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1933,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1934,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1934,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1935,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1935,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1936,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1936,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1937,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1937,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1938,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1938,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1939,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1939,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1940,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1940,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1941,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1941,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1942,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1942,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1943,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1943,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1944,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1944,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1945,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1945,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1946,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1946,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1947,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1947,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1948,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1948,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1949,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1949,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1950,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1950,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1951,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1951,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1952,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1952,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1953,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1953,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1954,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1954,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1955,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1955,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1956,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1956,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1957,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1957,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1958,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1958,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1959,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1959,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1960,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1960,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1961,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1961,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1962,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1962,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1963,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1963,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1964,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1964,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1965,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1965,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1966,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1966,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1967,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1967,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1968,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1968,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1969,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1969,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1970,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1970,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1971,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1971,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1972,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1972,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1973,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1973,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1974,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',1974,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1975,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1975,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1976,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1976,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1977,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1977,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1978,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1978,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1979,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1979,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1980,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1980,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1981,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1981,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1982,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1982,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1983,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1983,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1984,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1984,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1985,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1985,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1986,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1986,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1987,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1987,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1988,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1988,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1989,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1989,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1990,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1990,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1991,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1991,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1992,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1992,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1993,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',1993,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1994,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',1994,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1995,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',1995,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1996,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',1996,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1997,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',1997,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1998,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',1998,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(1999,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',1999,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2000,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2000,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2001,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2001,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2002,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2002,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2003,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2003,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2004,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2004,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2005,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2005,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2006,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2006,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2007,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2007,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2008,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2008,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2009,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2009,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2010,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2010,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2011,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2011,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2012,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2012,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2013,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2013,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2014,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2014,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2015,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2015,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2016,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2016,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2017,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',2017,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2018,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2018,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2019,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2019,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2020,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2020,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2021,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2021,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2022,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2022,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2023,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',2023,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2024,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',2024,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2025,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',2025,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2026,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',2026,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2027,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',2027,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2028,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',2028,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2029,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',2029,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2030,0,0,0,'expansion_05','',0,0,0,0,0,0,0,0,'Your expansion_05 was successful on %t!','Your expansion_05 fades.','',1,0,'Spells/blank.lua',2030,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2031,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',2031,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2032,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',2032,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2033,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',2033,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2034,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2034,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2035,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2035,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2036,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2036,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2037,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2037,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2038,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2038,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2039,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2039,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2040,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2040,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2041,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2041,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2042,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2042,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2043,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2043,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2044,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2044,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2045,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2045,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2046,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2046,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2047,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2047,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2048,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2048,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2049,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2049,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2050,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2050,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2051,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2051,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2052,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',2052,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2053,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2053,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2054,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2054,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2055,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2055,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2056,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2056,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2057,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',2057,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2058,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',2058,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2059,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2059,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2060,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',2060,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2061,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',2061,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2062,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',2062,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2063,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',2063,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2064,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2064,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2065,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2065,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2066,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2066,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2067,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2067,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2068,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2068,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2069,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2069,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2070,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2070,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2071,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2071,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2072,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2072,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2073,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2073,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2074,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2074,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2075,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2075,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2076,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2076,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2077,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2077,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2078,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2078,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2079,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2079,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2080,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2080,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2081,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2081,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2082,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2082,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2083,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2083,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2084,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2084,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2085,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2085,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2086,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2086,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2087,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2087,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2088,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2088,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2089,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2089,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2090,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2090,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2091,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2091,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2092,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2092,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2093,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2093,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2094,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2094,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2095,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2095,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2096,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2096,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2097,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2097,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2098,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2098,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2099,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2099,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2100,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2100,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2101,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2101,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2102,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2102,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2103,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2103,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2104,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2104,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2105,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2105,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2106,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2106,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2107,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2107,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2108,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2108,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2109,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2109,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2110,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2110,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2111,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2111,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2112,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2112,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2113,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2113,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2114,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2114,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2115,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2115,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2116,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2116,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2117,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2117,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2118,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2118,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2119,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2119,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2120,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2120,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2121,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2121,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2122,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2122,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2123,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2123,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2124,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2124,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2125,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2125,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2126,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2126,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2127,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2127,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2128,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2128,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2129,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2129,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2130,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2130,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2131,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2131,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2132,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2132,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2133,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2133,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2134,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2134,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2135,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2135,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2136,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2136,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2137,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2137,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2138,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2138,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2139,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2139,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2140,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2140,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2141,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2141,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2142,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2142,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2143,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2143,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2144,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2144,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2145,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2145,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2146,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2146,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2147,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2147,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2148,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2148,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2149,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2149,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2150,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2150,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2151,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2151,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2152,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2152,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2153,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2153,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2154,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2154,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2155,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2155,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2156,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2156,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2157,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2157,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2158,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2158,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2159,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2159,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2160,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2160,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2161,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2161,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2162,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2162,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2163,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2163,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2164,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2164,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2165,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2165,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2166,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2166,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2167,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2167,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2168,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2168,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2169,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2169,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2170,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2170,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2171,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2171,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2172,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2172,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2173,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2173,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2174,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2174,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2175,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2175,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2176,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2176,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2177,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2177,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2178,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2178,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2179,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2179,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2180,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2180,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2181,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2181,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2182,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2182,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2183,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2183,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2184,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2184,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2185,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2185,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2186,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2186,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2187,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2187,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2188,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2188,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2189,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2189,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2190,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2190,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2191,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2191,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2192,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2192,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2193,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2193,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2194,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2194,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2195,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2195,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2196,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2196,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2197,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2197,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2198,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2198,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2199,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2199,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2200,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2200,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2201,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2201,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2202,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2202,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2203,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2203,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2204,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2204,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2205,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2205,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2206,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2206,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2207,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2207,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2208,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2208,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2209,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2209,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2210,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2210,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2211,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2211,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2212,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2212,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2213,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2213,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2214,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2214,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2215,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2215,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2216,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2216,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2217,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2217,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2218,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2218,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2219,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2219,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2220,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2220,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2221,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2221,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2222,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2222,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2223,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2223,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2224,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2224,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2225,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2225,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2226,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2226,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2227,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2227,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2228,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2228,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2229,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2229,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2230,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2230,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2231,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2231,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2232,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2232,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2233,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2233,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2234,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2234,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2235,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2235,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2236,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2236,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2237,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2237,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2238,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2238,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2239,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2239,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2240,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2240,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2241,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2241,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2242,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2242,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2243,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2243,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2244,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2244,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2245,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2245,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2246,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2246,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2247,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2247,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2248,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2248,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2249,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2249,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2250,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2250,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2251,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2251,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2252,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2252,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2253,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2253,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2254,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2254,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2255,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2255,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2256,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2256,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2257,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2257,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2258,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2258,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2259,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2259,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2260,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2260,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2261,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2261,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2262,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2262,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2263,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2263,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2264,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2264,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2265,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2265,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2266,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2266,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2267,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2267,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2268,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2268,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2269,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2269,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2270,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2270,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2271,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2271,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2272,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2272,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2273,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2273,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2274,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2274,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2275,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2275,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2276,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2276,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2277,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2277,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2278,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2278,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2279,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2279,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2280,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2280,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2281,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2281,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2282,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2282,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2283,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2283,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2284,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2284,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2285,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2285,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2286,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2286,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2287,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2287,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2288,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2288,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2289,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',2289,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2290,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2290,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2291,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2291,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2292,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2292,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2293,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2293,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2294,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2294,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2295,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2295,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2296,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2296,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2297,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2297,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2298,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2298,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2299,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2299,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2300,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2300,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2301,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2301,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2302,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2302,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2303,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2303,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2304,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2304,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2305,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2305,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2306,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2306,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2307,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2307,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2308,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2308,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2309,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2309,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2310,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2310,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2311,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2311,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2312,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2312,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2313,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2313,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2314,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2314,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2315,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2315,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2316,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2316,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2317,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2317,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2318,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2318,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2319,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2319,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2320,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2320,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2321,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2321,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2322,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2322,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2323,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2323,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2324,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2324,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2325,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2325,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2326,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2326,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2327,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2327,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2328,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2328,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2329,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2329,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2330,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2330,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2331,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2331,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2332,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2332,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2333,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2333,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2334,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2334,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2335,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2335,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2336,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2336,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2337,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2337,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2338,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2338,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2339,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2339,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2340,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2340,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2341,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2341,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2342,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2342,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2343,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2343,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2344,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2344,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2345,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2345,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2346,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2346,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2347,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2347,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2348,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2348,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2349,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2349,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2350,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2350,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2351,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2351,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2352,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2352,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2353,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2353,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2354,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2354,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2355,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2355,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2356,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2356,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2357,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2357,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2358,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2358,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2359,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2359,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2360,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2360,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2361,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2361,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2362,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2362,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2363,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2363,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2364,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2364,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2365,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2365,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2366,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2366,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2367,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2367,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2368,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2368,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2369,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2369,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2370,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2370,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2371,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2371,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2372,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2372,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2373,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2373,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2374,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2374,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2375,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2375,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2376,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2376,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2377,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2377,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2378,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2378,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2379,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2379,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2380,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2380,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2381,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2381,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2382,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2382,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2383,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2383,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2384,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2384,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2385,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2385,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2386,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2386,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2387,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2387,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2388,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2388,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2389,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2389,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2390,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2390,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2391,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2391,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2392,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2392,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2393,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2393,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2394,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2394,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2395,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2395,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2396,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2396,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2397,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2397,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2398,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2398,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2399,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2399,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2400,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2400,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2401,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2401,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2402,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2402,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2403,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2403,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2404,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2404,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2405,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2405,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2406,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2406,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2407,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2407,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2408,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2408,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2409,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2409,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2410,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2410,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2411,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2411,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2412,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2412,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2413,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2413,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2414,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2414,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2415,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2415,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2416,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',2416,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2417,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2417,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2418,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2418,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2419,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2419,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2420,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2420,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2421,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2421,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2422,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2422,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2423,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2423,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2424,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2424,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2425,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2425,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2426,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2426,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2427,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2427,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2428,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2428,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2429,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2429,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2430,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2430,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2431,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2431,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2432,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2432,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2433,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2433,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2434,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2434,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2435,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2435,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2436,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2436,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2437,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2437,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2438,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2438,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2439,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2439,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2440,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2440,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2441,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2441,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2442,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2442,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2443,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2443,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2444,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2444,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2445,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2445,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2446,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2446,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2447,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2447,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2448,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2448,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2449,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2449,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2450,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2450,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2451,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2451,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2452,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2452,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2453,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2453,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2454,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2454,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2455,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2455,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2456,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2456,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2457,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2457,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2458,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2458,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2459,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2459,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2460,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2460,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2461,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2461,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2462,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2462,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2463,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2463,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2464,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2464,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2465,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2465,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2466,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2466,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2467,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2467,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2468,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2468,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2469,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2469,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2470,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2470,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2471,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2471,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2472,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2472,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2473,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2473,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2474,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2474,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2475,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2475,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2476,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2476,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2477,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2477,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2478,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2478,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2479,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2479,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2480,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2480,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2481,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2481,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2482,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2482,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2483,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2483,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2484,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2484,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2485,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2485,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2486,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2486,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2487,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2487,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2488,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2488,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2489,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2489,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2490,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2490,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2491,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2491,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2492,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2492,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2493,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2493,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2494,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2494,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2495,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2495,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2496,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2496,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2497,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2497,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2498,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2498,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2499,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2499,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2500,0,0,0,'expansion_06','',0,0,0,0,0,0,0,0,'Your expansion_06 was successful on %t!','Your expansion_06 fades.','',1,0,'Spells/blank.lua',2500,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2501,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',2501,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2502,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',2502,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2503,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',2503,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2504,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',2504,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2505,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',2505,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2506,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',2506,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2507,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',2507,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2508,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',2508,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2509,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',2509,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2510,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2510,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2511,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2511,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2512,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2512,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2513,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2513,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2514,0,0,0,'procs','',0,0,0,0,0,0,0,0,'Your procs was successful on %t!','Your procs fades.','',1,0,'Spells/blank.lua',2514,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2515,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2515,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2516,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2516,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2517,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2517,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2518,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2518,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2519,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2519,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2520,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2520,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2521,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2521,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2522,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2522,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2523,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2523,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2524,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2524,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2525,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2525,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2526,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2526,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2527,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2527,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2528,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2528,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2529,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2529,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2530,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2530,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2531,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2531,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2532,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2532,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2533,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2533,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2534,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2534,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2535,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2535,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2536,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2536,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2537,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2537,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2538,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2538,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2539,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2539,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2540,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2540,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2541,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2541,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2542,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2542,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2543,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2543,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2544,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2544,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2545,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2545,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2546,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2546,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2547,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2547,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2548,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2548,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2549,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2549,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2550,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2550,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2551,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2551,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2552,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2552,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2553,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2553,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2554,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2554,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2555,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2555,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2556,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2556,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2557,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2557,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2558,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2558,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2559,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2559,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2560,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2560,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2561,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2561,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2562,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2562,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2563,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2563,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2564,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2564,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2565,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2565,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2566,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2566,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2567,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2567,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2568,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2568,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2569,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2569,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2570,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2570,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2571,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2571,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2572,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2572,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2573,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2573,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2574,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2574,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2575,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2575,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2576,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2576,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2577,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2577,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2578,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2578,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2579,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2579,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2580,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2580,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2581,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2581,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2582,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2582,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2583,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2583,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2584,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2584,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2585,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2585,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2586,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2586,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2587,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2587,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2588,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2588,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2589,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2589,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2590,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2590,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2591,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2591,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2592,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2592,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2593,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2593,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2594,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2594,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2595,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2595,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2596,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2596,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2597,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2597,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2598,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2598,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2599,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2599,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2600,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2600,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2601,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2601,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2602,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2602,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2603,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2603,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2604,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2604,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2605,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2605,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2606,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2606,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2607,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2607,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2608,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2608,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2609,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2609,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2610,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2610,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2611,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2611,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2612,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2612,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2613,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2613,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2614,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2614,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2615,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2615,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2616,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2616,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2617,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2617,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2618,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2618,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2619,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2619,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2620,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2620,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2621,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2621,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2622,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2622,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2623,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2623,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2624,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2624,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2625,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2625,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2626,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2626,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2627,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2627,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2628,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2628,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2629,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2629,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2630,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2630,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2631,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2631,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2632,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2632,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2633,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2633,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2634,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2634,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2635,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2635,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2636,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2636,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2637,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2637,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2638,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2638,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2639,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2639,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2640,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2640,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2641,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2641,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2642,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2642,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2643,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2643,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2644,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2644,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2645,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2645,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2646,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2646,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2647,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2647,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2648,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2648,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2649,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2649,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2650,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2650,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2651,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2651,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2652,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2652,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2653,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2653,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2654,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2654,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2655,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2655,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2656,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2656,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2657,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2657,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2658,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2658,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2659,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2659,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2660,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2660,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2661,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2661,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2662,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2662,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2663,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2663,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2664,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2664,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2665,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2665,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2666,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2666,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2667,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2667,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2668,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2668,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2669,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2669,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2670,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2670,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2671,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2671,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2672,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2672,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2673,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2673,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2674,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2674,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2675,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2675,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2676,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2676,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2677,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2677,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2678,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2678,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2679,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2679,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2680,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2680,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2681,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2681,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2682,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2682,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2683,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2683,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2684,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2684,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2685,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2685,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2686,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2686,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2687,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2687,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2688,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2688,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2689,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2689,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2690,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2690,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2691,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2691,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2692,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2692,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2693,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2693,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2694,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2694,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2695,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2695,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2696,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2696,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2697,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2697,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2698,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2698,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2699,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2699,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2700,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2700,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2701,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2701,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2702,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2702,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2703,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2703,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2704,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2704,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2705,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2705,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2706,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2706,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2707,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2707,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2708,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2708,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2709,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2709,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2710,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2710,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2711,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2711,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2712,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2712,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2713,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2713,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2714,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2714,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2715,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2715,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2716,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2716,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2717,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2717,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2718,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2718,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2719,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2719,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2720,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2720,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2721,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2721,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2722,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2722,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2723,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2723,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2724,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2724,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2725,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2725,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2726,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2726,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2727,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2727,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2728,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2728,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2729,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2729,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2730,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2730,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2731,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2731,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2732,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2732,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2733,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2733,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2734,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2734,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2735,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2735,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2736,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2736,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2737,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2737,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2738,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2738,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2739,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2739,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2740,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2740,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2741,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2741,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2742,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2742,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2743,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2743,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2744,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2744,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2745,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2745,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2746,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2746,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2747,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2747,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2748,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2748,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2749,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2749,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2750,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2750,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2751,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2751,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2752,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2752,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2753,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2753,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2754,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2754,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2755,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2755,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2756,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2756,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2757,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2757,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2758,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2758,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2759,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2759,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2760,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2760,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2761,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2761,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2762,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2762,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2763,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2763,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2764,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2764,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2765,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2765,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2766,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2766,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2767,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2767,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2768,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2768,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2769,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2769,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2770,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2770,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2771,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2771,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2772,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2772,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2773,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2773,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2774,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2774,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2775,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2775,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2776,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2776,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2777,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2777,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2778,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2778,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2779,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2779,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2780,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2780,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2781,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2781,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2782,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2782,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2783,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2783,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2784,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2784,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2785,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2785,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2786,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2786,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2787,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2787,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2788,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2788,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2789,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2789,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2790,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2790,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2791,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2791,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2792,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2792,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2793,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2793,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2794,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2794,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2795,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2795,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2796,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2796,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2797,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2797,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2798,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',2798,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2799,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',2799,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2800,0,0,0,'priest','',0,0,0,0,0,0,0,0,'Your priest was successful on %t!','Your priest fades.','',1,0,'Spells/blank.lua',2800,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2801,0,0,0,'scout','',0,0,0,0,0,0,0,0,'Your scout was successful on %t!','Your scout fades.','',1,0,'Spells/blank.lua',2801,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2802,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',2802,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2803,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',2803,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2804,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',2804,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2805,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',2805,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2806,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',2806,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2807,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',2807,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2808,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',2808,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2809,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',2809,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2810,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',2810,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2811,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',2811,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2812,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',2812,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2813,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',2813,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2814,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',2814,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2815,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',2815,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2816,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',2816,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2817,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',2817,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2818,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',2818,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2819,0,0,0,'boss','',0,0,0,0,0,0,0,0,'Your boss was successful on %t!','Your boss fades.','',1,0,'Spells/blank.lua',2819,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2820,0,0,0,'boss','',0,0,0,0,0,0,0,0,'Your boss was successful on %t!','Your boss fades.','',1,0,'Spells/blank.lua',2820,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2821,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',2821,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2822,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2822,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2823,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2823,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2824,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2824,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2825,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2825,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2826,0,0,0,'mage','',0,0,0,0,0,0,0,0,'Your mage was successful on %t!','Your mage fades.','',1,0,'Spells/blank.lua',2826,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2827,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',2827,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2828,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',2828,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2829,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',2829,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2830,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2830,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2831,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2831,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2832,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2832,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2833,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2833,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2834,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2834,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2835,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2835,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2836,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2836,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2837,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2837,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2838,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2838,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2839,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2839,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2840,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2840,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2841,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2841,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2842,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2842,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2843,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2843,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2844,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2844,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2845,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2845,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2846,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2846,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2847,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2847,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2848,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2848,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2849,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2849,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2850,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2850,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2851,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2851,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2852,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2852,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2853,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2853,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2854,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2854,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2855,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2855,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2856,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2856,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2857,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2857,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2858,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2858,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2859,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2859,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2860,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2860,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2861,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2861,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2862,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2862,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2863,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2863,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2864,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2864,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2865,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2865,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2866,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2866,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2867,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2867,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2868,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2868,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2869,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2869,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2870,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2870,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2871,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2871,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2872,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2872,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2873,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2873,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2874,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2874,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2875,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2875,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2876,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2876,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2877,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2877,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2878,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2878,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2879,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2879,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2880,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2880,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2881,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2881,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2882,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2882,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2883,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2883,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2884,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2884,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2885,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2885,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2886,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2886,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2887,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2887,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2888,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2888,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2889,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2889,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2890,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2890,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2891,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2891,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2892,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2892,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2893,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',2893,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2894,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',2894,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2895,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',2895,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2896,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',2896,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2897,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',2897,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2898,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2898,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2899,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2899,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2900,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2900,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2901,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2901,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2902,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',2902,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2903,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2903,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2904,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2904,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2905,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2905,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2906,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2906,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2907,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2907,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2908,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',2908,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2909,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',2909,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2910,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',2910,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2911,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',2911,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2912,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',2912,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2913,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',2913,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2914,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',2914,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2915,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',2915,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2916,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2916,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2917,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2917,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2918,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2918,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2919,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2919,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2920,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2920,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2921,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2921,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2922,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',2922,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2923,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',2923,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2924,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',2924,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2925,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',2925,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2926,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',2926,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2927,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',2927,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2928,0,0,0,'creatures','',0,0,0,0,0,0,0,0,'Your creatures was successful on %t!','Your creatures fades.','',1,0,'Spells/blank.lua',2928,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2929,0,0,0,'vampire','',0,0,0,0,0,0,0,0,'Your vampire was successful on %t!','Your vampire fades.','',1,0,'Spells/blank.lua',2929,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2930,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',2930,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2931,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2931,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2932,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2932,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2933,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2933,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2934,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2934,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2935,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2935,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2936,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2936,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2937,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2937,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2938,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2938,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2939,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2939,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2940,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2940,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2941,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2941,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2942,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2942,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2943,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2943,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2944,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2944,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2945,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2945,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2946,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2946,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2947,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2947,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2948,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',2948,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2949,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2949,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2950,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2950,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2951,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2951,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2952,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2952,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2953,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2953,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2954,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2954,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2955,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2955,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2956,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2956,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2957,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2957,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2958,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2958,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2959,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2959,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2960,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2960,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2961,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2961,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2962,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2962,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2963,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2963,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2964,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2964,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2965,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2965,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2966,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2966,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2967,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2967,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2968,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2968,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2969,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2969,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2970,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2970,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2971,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2971,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2972,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2972,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2973,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2973,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2974,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2974,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2975,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2975,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2976,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2976,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2978,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2978,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2979,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2979,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2980,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2980,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2981,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2981,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2982,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2982,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2983,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2983,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2984,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2984,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2985,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2985,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2986,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2986,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2987,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2987,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2988,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2988,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2989,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2989,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2990,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2990,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2991,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2991,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2992,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2992,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2993,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2993,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2994,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2994,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2995,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2995,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2996,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2996,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2997,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2997,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2998,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2998,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2999,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',2999,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3000,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3000,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3001,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3001,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3002,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3002,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3003,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3003,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3004,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3004,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3005,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3005,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3006,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3006,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3007,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3007,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3008,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3008,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3009,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3009,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3010,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3010,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3011,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3011,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3012,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3012,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3013,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3013,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3014,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3014,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3015,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3015,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3016,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3016,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3017,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',3017,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3018,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',3018,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3019,0,0,0,'fighter','',0,0,0,0,0,0,0,0,'Your fighter was successful on %t!','Your fighter fades.','',1,0,'Spells/blank.lua',3019,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3020,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3020,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3021,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3021,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3022,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3022,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3023,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3023,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3024,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3024,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3025,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3025,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3026,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3026,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3027,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3027,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3028,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3028,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3029,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3029,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3030,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3030,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3031,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3031,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3032,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3032,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3033,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3033,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3034,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3034,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3035,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3035,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3036,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3036,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3037,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3037,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3038,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3038,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3039,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3039,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3040,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3040,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3041,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3041,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3042,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3042,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3043,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3043,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3044,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3044,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3045,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3045,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3046,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3046,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3047,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3047,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3048,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3048,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3049,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3049,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3050,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3050,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3051,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3051,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3052,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3052,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3053,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3053,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3054,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3054,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3055,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3055,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3056,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3056,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3057,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3057,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3058,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3058,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3059,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3059,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3060,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3060,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3061,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3061,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3062,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3062,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3063,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3063,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3064,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3064,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3065,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3065,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3066,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3066,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3067,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3067,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3068,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3068,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3069,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3069,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3070,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3070,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3071,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3071,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3072,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3072,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3073,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3073,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3074,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3074,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3075,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3075,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3076,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3076,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3077,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3077,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3078,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3078,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3079,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',3079,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3080,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3080,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3081,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3081,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3082,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3082,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3083,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3083,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3084,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3084,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3085,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3085,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3086,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3086,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3087,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3087,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3088,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3088,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3089,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3089,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3090,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3090,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3091,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3091,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3092,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',3092,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3093,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3093,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3094,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3094,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3095,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3095,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3096,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3096,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3097,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3097,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3098,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3098,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3099,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3099,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3100,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3100,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3101,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3101,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3102,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3102,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3103,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3103,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3104,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3104,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3105,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3105,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3106,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3106,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3107,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3107,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3108,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3108,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3109,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3109,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3110,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3110,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3111,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3111,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3112,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3112,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3113,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3113,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3114,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3114,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3115,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3115,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3116,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3116,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3117,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3117,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3118,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3118,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3119,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3119,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3120,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3120,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3121,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3121,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3122,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3122,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3123,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3123,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3124,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3124,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3125,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3125,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3126,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3126,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3127,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3127,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3128,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3128,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3129,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3129,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3130,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3130,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3131,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3131,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3132,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3132,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3133,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3133,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3134,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3134,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3135,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3135,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3136,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3136,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3137,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3137,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3138,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3138,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3139,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3139,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3140,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3140,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3141,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3141,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3142,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3142,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3143,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',3143,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3144,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3144,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3145,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3145,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3146,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3146,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3147,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3147,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3148,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3148,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3149,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3149,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3150,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3150,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3151,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3151,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3152,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3152,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3153,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3153,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3154,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',3154,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3155,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',3155,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3156,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3156,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3157,0,0,0,'design','',0,0,0,0,0,0,0,0,'Your design was successful on %t!','Your design fades.','',1,0,'Spells/blank.lua',3157,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3158,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',3158,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3159,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',3159,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3160,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',3160,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3161,0,0,0,'npc','',0,0,0,0,0,0,0,0,'Your npc was successful on %t!','Your npc fades.','',1,0,'Spells/blank.lua',3161,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3162,0,0,0,'boss','',0,0,0,0,0,0,0,0,'Your boss was successful on %t!','Your boss fades.','',1,0,'Spells/blank.lua',3162,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3163,0,0,0,'boss','',0,0,0,0,0,0,0,0,'Your boss was successful on %t!','Your boss fades.','',1,0,'Spells/blank.lua',3163,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3164,0,0,0,'boss','',0,0,0,0,0,0,0,0,'Your boss was successful on %t!','Your boss fades.','',1,0,'Spells/blank.lua',3164,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3165,0,0,0,'boss','',0,0,0,0,0,0,0,0,'Your boss was successful on %t!','Your boss fades.','',1,0,'Spells/blank.lua',3165,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3166,0,0,0,'boss','',0,0,0,0,0,0,0,0,'Your boss was successful on %t!','Your boss fades.','',1,0,'Spells/blank.lua',3166,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3167,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3167,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3168,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3168,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3169,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3169,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3170,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3170,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3171,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3171,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3172,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3172,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3173,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3173,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3174,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3174,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3175,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3175,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3176,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3176,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3177,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3177,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3178,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3178,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3179,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3179,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3180,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3180,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3181,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3181,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3182,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',3182,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3183,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3183,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3184,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3184,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3185,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3185,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3186,0,0,0,'boss','',0,0,0,0,0,0,0,0,'Your boss was successful on %t!','Your boss fades.','',1,0,'Spells/blank.lua',3186,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3187,0,0,0,'boss','',0,0,0,0,0,0,0,0,'Your boss was successful on %t!','Your boss fades.','',1,0,'Spells/blank.lua',3187,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3188,0,0,0,'boss','',0,0,0,0,0,0,0,0,'Your boss was successful on %t!','Your boss fades.','',1,0,'Spells/blank.lua',3188,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3189,0,0,0,'boss','',0,0,0,0,0,0,0,0,'Your boss was successful on %t!','Your boss fades.','',1,0,'Spells/blank.lua',3189,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3190,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',3190,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3191,0,0,0,'artisan','',0,0,0,0,0,0,0,0,'Your artisan was successful on %t!','Your artisan fades.','',1,0,'Spells/blank.lua',3191,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3192,0,0,0,'expansion_09','',0,0,0,0,0,0,0,0,'Your expansion_09 was successful on %t!','Your expansion_09 fades.','',1,0,'Spells/blank.lua',3192,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3193,0,0,0,'expansion_09','',0,0,0,0,0,0,0,0,'Your expansion_09 was successful on %t!','Your expansion_09 fades.','',1,0,'Spells/blank.lua',3193,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3194,0,0,0,'expansion_09','',0,0,0,0,0,0,0,0,'Your expansion_09 was successful on %t!','Your expansion_09 fades.','',1,0,'Spells/blank.lua',3194,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3195,0,0,0,'expansion_09','',0,0,0,0,0,0,0,0,'Your expansion_09 was successful on %t!','Your expansion_09 fades.','',1,0,'Spells/blank.lua',3195,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3196,0,0,0,'expansion_09','',0,0,0,0,0,0,0,0,'Your expansion_09 was successful on %t!','Your expansion_09 fades.','',1,0,'Spells/blank.lua',3196,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3197,0,0,0,'expansion_09','',0,0,0,0,0,0,0,0,'Your expansion_09 was successful on %t!','Your expansion_09 fades.','',1,0,'Spells/blank.lua',3197,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3198,0,0,0,'expansion_09','',0,0,0,0,0,0,0,0,'Your expansion_09 was successful on %t!','Your expansion_09 fades.','',1,0,'Spells/blank.lua',3198,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3199,0,0,0,'expansion_09','',0,0,0,0,0,0,0,0,'Your expansion_09 was successful on %t!','Your expansion_09 fades.','',1,0,'Spells/blank.lua',3199,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3200,0,0,0,'expansion_09','',0,0,0,0,0,0,0,0,'Your expansion_09 was successful on %t!','Your expansion_09 fades.','',1,0,'Spells/blank.lua',3200,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3201,0,0,0,'expansion_09','',0,0,0,0,0,0,0,0,'Your expansion_09 was successful on %t!','Your expansion_09 fades.','',1,0,'Spells/blank.lua',3201,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3202,0,0,0,'expansion_09','',0,0,0,0,0,0,0,0,'Your expansion_09 was successful on %t!','Your expansion_09 fades.','',1,0,'Spells/blank.lua',3202,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3203,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3203,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3204,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3204,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3205,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3205,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3206,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3206,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3207,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3207,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3208,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3208,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3209,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3209,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3210,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3210,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3211,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3211,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3212,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3212,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3213,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3213,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3214,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3214,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3215,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3215,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3216,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3216,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3217,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3217,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3218,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3218,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3219,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3219,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3220,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3220,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3221,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3221,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3222,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3222,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3223,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3223,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3224,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3224,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3225,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3225,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3226,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3226,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3227,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3227,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3228,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3228,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3229,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3229,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3230,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3230,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3231,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3231,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3232,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3232,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3233,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3233,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3234,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3234,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3235,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3235,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3236,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3236,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3237,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3237,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3238,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3238,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3239,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3239,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3240,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3240,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3241,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3241,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3242,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3242,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3243,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3243,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3244,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3244,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3245,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3245,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3246,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3246,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3247,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3247,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3248,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3248,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3249,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3249,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3250,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3250,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3251,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3251,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3252,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3252,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3253,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3253,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3254,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3254,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3255,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3255,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3256,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3256,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3257,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3257,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3258,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3258,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3259,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3259,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3260,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3260,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3261,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3261,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3262,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3262,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3263,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3263,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3264,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3264,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3265,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3265,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3266,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3266,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3267,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3267,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3268,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3268,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3269,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3269,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3270,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3270,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3271,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3271,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3272,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3272,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3273,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3273,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3274,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3274,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3275,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3275,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3276,0,0,0,'expansion_09','',0,0,0,0,0,0,0,0,'Your expansion_09 was successful on %t!','Your expansion_09 fades.','',1,0,'Spells/blank.lua',3276,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3277,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3277,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3278,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3278,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3279,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3279,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3280,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3280,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3281,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3281,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3282,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3282,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3283,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3283,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3284,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3284,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3285,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3285,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3286,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3286,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3287,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3287,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3288,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3288,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3289,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3289,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3290,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3290,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3291,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3291,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3292,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3292,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3293,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3293,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3294,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3294,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3295,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3295,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3296,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3296,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3297,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3297,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3298,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3298,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3299,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3299,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3300,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3300,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3301,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3301,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3302,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3302,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3303,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3303,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3304,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3304,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3305,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3305,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3306,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3306,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3307,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3307,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3308,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3308,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3309,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3309,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3310,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3310,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3311,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3311,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3312,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3312,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3313,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3313,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3314,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3314,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3315,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3315,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3316,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3316,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3317,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3317,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3318,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3318,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3319,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3319,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3320,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3320,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3321,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3321,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3322,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3322,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3323,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3323,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3324,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3324,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3325,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3325,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3326,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3326,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3327,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3327,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3328,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3328,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3329,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3329,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3330,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3330,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3331,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3331,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3332,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3332,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3333,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3333,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3334,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3334,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3335,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3335,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3336,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3336,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3337,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3337,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3338,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3338,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3339,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3339,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3340,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3340,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3341,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3341,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3342,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3342,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3343,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3343,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3344,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3344,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3345,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3345,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3346,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3346,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3347,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3347,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3348,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3348,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3349,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3349,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3350,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3350,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3351,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3351,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3352,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3352,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3353,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3353,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3354,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3354,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3355,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3355,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3356,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3356,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3357,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3357,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3358,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3358,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3359,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3359,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3360,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3360,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3361,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3361,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3362,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3362,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3363,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3363,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3364,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3364,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3365,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3365,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3366,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3366,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3367,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3367,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3368,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3368,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3369,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3369,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3370,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3370,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3371,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3371,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3372,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3372,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3373,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3373,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3374,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3374,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3375,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3375,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3376,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3376,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3377,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3377,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3378,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3378,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3379,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3379,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3380,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3380,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3381,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3381,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3382,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3382,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3383,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3383,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3384,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3384,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3385,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3385,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3386,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3386,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3387,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3387,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3388,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3388,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3389,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3389,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3390,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3390,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3391,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3391,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3392,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3392,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3393,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3393,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3394,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3394,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3395,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3395,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3396,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3396,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3397,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3397,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3398,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3398,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3399,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3399,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3400,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3400,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3401,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3401,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3402,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3402,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3403,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3403,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3404,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3404,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3405,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3405,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3406,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3406,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3407,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3407,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3408,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3408,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3409,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3409,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3410,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3410,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3411,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3411,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3412,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3412,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3413,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3413,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3414,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3414,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3415,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3415,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3416,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3416,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3417,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3417,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3418,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3418,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3419,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3419,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3420,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3420,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3421,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3421,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3422,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3422,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3423,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3423,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3424,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3424,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3425,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3425,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3426,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3426,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3427,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3427,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3428,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3428,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3429,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3429,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3430,0,0,0,'expansion_09','',0,0,0,0,0,0,0,0,'Your expansion_09 was successful on %t!','Your expansion_09 fades.','',1,0,'Spells/blank.lua',3430,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3431,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3431,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3432,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3432,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3433,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3433,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3434,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3434,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3435,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3435,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3436,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3436,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3437,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3437,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3438,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3438,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3439,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3439,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3440,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3440,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3441,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3441,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3442,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3442,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3443,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3443,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3444,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3444,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3445,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3445,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3446,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3446,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3447,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3447,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3448,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3448,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3449,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3449,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3450,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3450,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3451,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3451,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3452,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3452,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3453,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3453,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3454,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3454,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3455,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3455,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3456,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3456,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3457,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3457,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3458,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3458,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3459,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3459,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3460,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3460,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3461,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',3461,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3462,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',3462,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3463,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',3463,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3464,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',3464,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3465,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',3465,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3466,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',3466,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3467,0,0,0,'expansion_09','',0,0,0,0,0,0,0,0,'Your expansion_09 was successful on %t!','Your expansion_09 fades.','',1,0,'Spells/blank.lua',3467,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3468,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3468,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3469,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3469,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3470,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3470,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3471,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3471,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3472,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3472,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3473,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3473,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3474,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3474,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3475,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3475,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3476,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3476,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3477,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3477,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3478,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3478,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3479,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3479,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3480,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3480,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3481,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3481,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3482,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3482,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3483,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3483,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3484,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3484,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3485,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3485,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3486,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3486,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3487,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3487,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3488,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3488,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3489,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3489,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3490,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3490,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3491,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3491,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3492,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3492,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3493,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3493,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3494,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3494,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3495,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3495,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3496,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3496,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3497,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3497,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3498,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3498,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3499,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3499,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3500,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3500,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3501,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3501,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3502,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3502,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3503,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3503,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3504,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3504,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3505,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3505,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3506,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3506,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3507,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3507,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3508,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3508,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3509,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3509,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3510,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3510,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3511,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3511,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3512,0,0,0,'expansion_09','',0,0,0,0,0,0,0,0,'Your expansion_09 was successful on %t!','Your expansion_09 fades.','',1,0,'Spells/blank.lua',3512,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3513,0,0,0,'expansion_09','',0,0,0,0,0,0,0,0,'Your expansion_09 was successful on %t!','Your expansion_09 fades.','',1,0,'Spells/blank.lua',3513,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3514,0,0,0,'expansion_09','',0,0,0,0,0,0,0,0,'Your expansion_09 was successful on %t!','Your expansion_09 fades.','',1,0,'Spells/blank.lua',3514,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3515,0,0,0,'expansion_09','',0,0,0,0,0,0,0,0,'Your expansion_09 was successful on %t!','Your expansion_09 fades.','',1,0,'Spells/blank.lua',3515,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3516,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',3516,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3517,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',3517,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3518,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',3518,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3519,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',3519,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3520,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',3520,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3521,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',3521,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3522,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',3522,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3523,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',3523,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3524,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',3524,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3525,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',3525,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3526,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',3526,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3527,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',3527,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3528,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3528,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3529,0,0,0,'expansion_07','',0,0,0,0,0,0,0,0,'Your expansion_07 was successful on %t!','Your expansion_07 fades.','',1,0,'Spells/blank.lua',3529,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3530,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3530,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3531,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3531,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3532,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3532,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3533,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3533,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3534,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3534,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3535,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3535,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3536,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3536,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3537,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3537,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3538,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3538,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3539,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3539,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3540,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3540,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3541,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3541,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3542,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3542,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3543,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3543,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3544,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3544,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3545,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3545,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3546,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3546,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3547,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3547,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3548,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3548,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3549,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3549,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3550,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3550,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3551,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3551,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3552,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3552,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3553,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3553,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3554,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3554,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3555,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3555,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3556,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3556,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3557,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3557,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3558,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3558,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3559,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3559,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3560,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3560,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3561,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3561,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3562,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3562,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3563,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3563,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3564,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3564,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3565,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3565,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3566,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3566,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3567,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3567,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3568,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',3568,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3569,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',3569,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3570,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',3570,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3571,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',3571,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3572,0,0,0,'deity','',0,0,0,0,0,0,0,0,'Your deity was successful on %t!','Your deity fades.','',1,0,'Spells/blank.lua',3572,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3573,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',3573,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3574,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',3574,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3575,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',3575,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3576,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',3576,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3577,0,0,0,'expansion_09','',0,0,0,0,0,0,0,0,'Your expansion_09 was successful on %t!','Your expansion_09 fades.','',1,0,'Spells/blank.lua',3577,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3578,0,0,0,'expansion_09','',0,0,0,0,0,0,0,0,'Your expansion_09 was successful on %t!','Your expansion_09 fades.','',1,0,'Spells/blank.lua',3578,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3579,0,0,0,'expansion_09','',0,0,0,0,0,0,0,0,'Your expansion_09 was successful on %t!','Your expansion_09 fades.','',1,0,'Spells/blank.lua',3579,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3580,0,0,0,'expansion_09','',0,0,0,0,0,0,0,0,'Your expansion_09 was successful on %t!','Your expansion_09 fades.','',1,0,'Spells/blank.lua',3580,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3581,0,0,0,'expansion_09','',0,0,0,0,0,0,0,0,'Your expansion_09 was successful on %t!','Your expansion_09 fades.','',1,0,'Spells/blank.lua',3581,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3582,0,0,0,'expansion_09','',0,0,0,0,0,0,0,0,'Your expansion_09 was successful on %t!','Your expansion_09 fades.','',1,0,'Spells/blank.lua',3582,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3583,0,0,0,'expansion_09','',0,0,0,0,0,0,0,0,'Your expansion_09 was successful on %t!','Your expansion_09 fades.','',1,0,'Spells/blank.lua',3583,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3584,0,0,0,'expansion_09','',0,0,0,0,0,0,0,0,'Your expansion_09 was successful on %t!','Your expansion_09 fades.','',1,0,'Spells/blank.lua',3584,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3585,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3585,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3586,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3586,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3587,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3587,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3588,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',0,0,'Spells/blank.lua',3588,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1385011956,0,0,1),
(3589,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3589,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3590,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3590,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3591,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3591,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3592,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3592,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3593,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3593,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3594,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3594,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3595,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3595,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3596,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3596,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3597,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3597,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3598,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3598,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3599,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3599,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3600,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3600,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3601,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3601,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3602,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3602,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3603,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3603,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3604,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3604,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3605,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3605,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3606,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3606,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3607,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3607,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3608,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3608,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3609,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3609,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3610,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3610,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3611,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3611,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3612,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3612,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3613,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3613,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3614,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3614,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3615,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3615,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3616,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3616,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3617,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3617,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3618,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3618,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3619,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3619,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3620,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3620,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3621,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3621,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3622,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3622,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3623,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3623,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3624,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3624,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3625,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3625,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3626,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3626,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3627,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3627,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3628,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3628,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3629,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3629,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3630,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3630,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3631,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3631,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3632,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3632,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3633,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3633,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3634,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3634,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3635,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3635,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3636,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3636,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3637,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3637,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3638,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3638,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3639,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3639,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3640,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3640,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3641,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3641,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3642,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3642,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3643,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3643,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3644,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3644,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3645,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3645,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3646,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3646,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3647,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3647,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3648,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3648,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3649,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3649,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3650,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3650,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3651,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3651,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3652,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3652,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3653,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3653,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3654,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3654,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3655,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3655,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3656,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3656,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3657,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3657,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3658,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3658,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3659,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3659,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3660,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3660,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3661,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3661,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3662,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3662,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3663,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3663,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3664,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3664,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3665,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3665,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3666,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3666,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3667,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3667,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3668,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3668,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3669,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3669,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3670,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3670,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3671,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3671,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3672,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3672,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3673,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3673,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3674,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3674,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3675,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3675,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3676,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3676,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3677,0,0,0,'any','',0,0,0,0,0,0,0,0,'Your any was successful on %t!','Your any fades.','',1,0,'Spells/blank.lua',3677,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3678,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3678,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3679,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3679,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3680,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3680,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3681,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3681,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3682,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3682,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3683,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3683,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3684,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3684,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3685,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3685,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3686,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3686,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3687,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3687,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3688,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3688,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3689,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3689,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3690,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3690,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3691,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3691,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3692,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3692,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3693,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3693,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3694,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3694,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3695,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3695,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3696,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3696,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3697,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3697,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3698,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3698,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3699,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3699,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3700,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3700,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3701,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3701,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3702,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3702,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3703,0,0,0,'expansion_08','',0,0,0,0,0,0,0,0,'Your expansion_08 was successful on %t!','Your expansion_08 fades.','',1,0,'Spells/blank.lua',3703,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3704,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3704,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3705,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3705,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3706,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3706,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3707,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3707,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3708,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3708,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3709,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3709,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3710,0,0,0,'expansion_10','',0,0,0,0,0,0,0,0,'Your expansion_10 was successful on %t!','Your expansion_10 fades.','',1,0,'Spells/blank.lua',3710,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3711,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3711,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3712,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3712,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3713,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3713,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3714,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3714,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3715,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3715,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3716,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3716,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3717,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3717,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3718,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3718,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3719,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3719,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(3720,0,0,0,'spell_revamp','',0,0,0,0,0,0,0,0,'Your spell_revamp was successful on %t!','Your spell_revamp fades.','',1,0,'Spells/blank.lua',3720,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(5000,0,0,0,'Touch of the Grey','Spell proc of Velium Winds',308,0,315,3467160477,0,0,0,1,'Your Touch of the Grey was successful on %t!','Your Touch of the Grey fades.','',0,0,'Spells/Commoner/TouchoftheGray.lua',0,'',4,0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1385080119,0,0,1),
(5001,0,0,0,'Knockdown','Proc from Bash spell',0,0,0,0,0,0,0,1,'Your Knockdown was successful on %t!','Your Knockdown fades.','',0,1,'Spells/Commoner/Knockdown.lua',72,'What is an effect message?',4,0,0,0,0,0,0,4,0,0,0,0,0,0,0,1,0,0,0,'Unset',1385156133,0,0,0),
(5002,0,0,0,'Stunspore Paralysis','Applies Stunspore Paralysis when Activated. Lasts for 8.0 seconds',0,0,0,0,0,0,0,1,'You douse the skeleton with stunspore dust!','','',0,0,'Spells/Commoner/StunsporeParalysis.lua',2802,'',4,0,0,0,0,0,0,4,0,0,0,0,0,0,0,1,0,0,0,'Unset',1513408384,0,0,1),
(5003,0,0,0,'A Basic Firework','Claim reward A Basic Firework',0,0,0,0,0,0,0,0,'MURICA FUCK YEAH!','Fireworks!','',0,1,'Spells/Commoner/ABasicFirework.lua',994,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1566184132,0,0,1),
(5004,0,0,0,'A Fancy Firework','Claim reward A Basic Firework',464,0,0,0,0,0,0,0,'MURICA FUCK YEAH!','Fireworks!','',0,1,'Spells/Commoner/AFancyFirework.lua',996,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1566186147,0,0,1),
(5005,0,0,0,'Firework: Confetti Shower','Claim reward A Basic Firework',0,0,0,0,0,0,0,0,'MURICA FUCK YEAH!','Fireworks!','',0,0,'Spells/Commoner/AFancyFirework.lua',3461,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1566187056,0,0,1),
(5006,0,0,0,'Firework: Prismatic Burst','Claim reward A Basic Firework',464,0,0,0,0,0,0,0,'MURICA FUCK YEAH!','Fireworks!','',0,1,'Spells/Commoner/AFancyFirework.lua',1681,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1566187860,0,0,1),
(5007,0,0,0,'Firework: Rose Petal Shower','Claim reward A Basic Firework',464,0,0,0,0,0,0,0,'MURICA FUCK YEAH!','Fireworks!','',0,0,'Spells/Commoner/FireworkRosePetalShower.lua',2058,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1566188341,0,0,1),
(5008,0,0,0,'Firework: Swirling Snowflakes','Claim reward A Basic Firework',464,0,0,0,0,0,0,0,'MURICA FUCK YEAH!','Fireworks!','',0,1,'Spells/Commoner/FireworkSwirlingSnowflakes.lua',2062,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1566188546,0,0,1),
(5009,0,0,0,'Normal Drink','Description needed',131,0,0,0,0,0,0,0,'','','',0,1,'Spells/Commoner/flaskofwater.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,1,0,0,1,0,0,0,'Drink',1566189672,0,0,0),
(5010,0,4,0,'Normal Meal','Description needed',130,0,0,0,0,0,0,0,'','','',0,1,'Spells/Commoner/ration.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,1,0,0,1,0,0,0,'Food',1566194995,0,0,1),
(5011,0,4,0,'Noxious Remedy','',0,0,0,0,0,0,0,0,'','','',0,1,'Spells/Commoner/NoxiousRemedyGeneric.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1566196918,0,0,1),
(5012,0,0,0,'Mole Rat for Preventative Maintenance','Preventative Maintenance  Test',0,0,0,0,0,0,0,0,'','','',0,0,'Spells/Commoner/MoleratTest.lua',3461,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1567108119,0,0,1),
(5013,0,0,0,'Draw upon Heart','A heart that grants power replenishment over-time in exchange for health when used.',0,0,0,0,0,0,0,0,'Your Draw upon Heart was successful on %t!','Your Draw upon Heart fades.','',0,0,'Spells/Commoner/DrawUponHeart.lua',295,'You cast Draw upon Heart on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1571261537,0,0,1),
(5014,0,0,0,'Draw upon Essence','Conj item',0,0,0,0,0,0,0,0,'Your Draw upon Essence was successful on %t!','Your Draw upon Essence fades.','',0,0,'Spells/Commoner/DrawuponEssence.lua',995,'You cast Draw upon Essence on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1571278884,0,0,1),
(5015,0,4,0,'Snow Ball','Frostfell snowballs',0,0,0,0,0,0,0,1,'','','',0,1,'Spells/Commoner/SnowBall.lua',1030,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1572222316,0,0,1),
(5016,0,0,1,'Unroll Carpet of El''khazi','Carpet of El''Khazi mount.',7,0,0,0,0,0,1,0,'The Carpet of El''Khazi Lives!','','',0,0,'Spells/Commoner/CarpetofEl''Khazi.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1573838935,0,0,1),
(5017,0,0,1,'Blue-saddled Black Nightmare','Blue-saddled Black Nightmare',7,0,0,0,0,0,1,0,'Blue-saddled Black NightMare','','',0,0,'Spells/Commoner/BlueSaddleBlackNightmare.lua',0,'',4,0,0,0,1,0,0,0,0,5017,0,0,0,0,0,1,0,0,0,'Unset',1573862114,0,0,1),
(5018,0,0,1,'Indigo-saddled Nightmare','Indigo-saddled Black Nightmare',7,0,0,0,0,0,1,0,'Blue-saddled Indigo NightMare','','',0,0,'Spells/Commoner/BlueSaddleIndigoNightmare.lua',0,'',4,0,0,0,1,0,0,0,0,5017,0,0,0,0,0,1,0,0,0,'Unset',1573865059,0,0,1),
(5019,0,0,1,'Blue-saddled Red Nightmare','Blue-saddled Red Nightmare',7,0,0,0,0,0,1,0,'Blue-saddled Indigo NightMare','','',0,0,'Spells/Commoner/BlueSaddleRedNightmare.lua',0,'',4,0,0,0,1,0,0,0,0,5017,0,0,0,0,0,1,0,0,0,'Unset',1573865205,0,0,1),
(5020,0,0,1,'Blue-saddled Purple Nightmare','Blue-saddled Purple Nightmare',7,0,0,0,0,0,1,0,'Blue-saddled Purple NightMare','','',0,0,'Spells/Commoner/BlueSaddlePurpleNightmare.lua',0,'',4,0,0,0,1,0,0,0,0,5017,0,0,0,0,0,1,0,0,0,'Unset',1573865240,0,0,1),
(5021,0,0,1,'Pegasus','Pegasus',7,0,0,0,0,0,1,0,'Pegasus','','',0,0,'Spells/Commoner/Pegasus.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1573925845,0,0,1),
(5022,0,0,1,'Frostfell Storm Wings','Frostfell Storm Wings',7,0,0,0,0,0,1,0,'Frostfell Storm Wings','','',0,0,'Spells/Commoner/FrostfellStormWings.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1573928820,0,0,1),
(5023,0,0,1,'Wings of Frostfell Wrapping','Wings of Frostfell Wrapping',7,0,0,0,0,0,1,0,'Wings of Frostfell Wrapping','','',0,0,'Spells/Commoner/WingsofFrostfellWrapping.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1573930508,0,0,1),
(5024,0,0,1,'Frostfell Snowstag','Frostfell Snowstag',7,0,0,0,0,0,1,0,'Frostfell Snowstag','','',0,0,'Spells/Commoner/FrostfellSnowstag.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1573931787,0,0,1),
(5025,0,0,1,'Frostfell Snow Cloud','Frostfell Snow Cloud',7,0,0,0,0,0,1,0,'Frostfell Snow Cloud','','',0,0,'Spells/Commoner/FrostfellSnowCloud.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1573932085,0,0,1),
(5026,0,0,1,'Blue Nightmare with Blue Saddle','Blue Nightmare with Blue Saddle',7,0,0,0,0,0,1,0,'Blue-saddled Purple NightMare','','',0,0,'Spells/Commoner/BlueNightmareBlueSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1573936334,0,0,1),
(5027,0,0,1,'Dark Red Nightmare with Red Saddle','Dark Red Nightmare with Red Saddle',7,0,0,0,0,0,1,0,'Dark Red Nightmare with Red Saddle','','',0,0,'Spells/Commoner/DarkRedNightmareRedSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1573937685,0,0,1),
(5028,0,0,1,'Plague Cloud','Plague Cloud',7,0,0,0,0,0,1,0,'Plague Cloud','','',0,0,'Spells/Commoner/PlagueCloud.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1573954607,0,0,1),
(5029,0,0,1,'Stormfeather Brood Guardian','Stormfeather Brood Guardian',7,0,0,0,0,0,1,0,'Stormfeather Brood Guardian','','',0,0,'Spells/Commoner/StormfeatherBroodGuardian.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1573955367,0,0,1),
(5030,0,0,1,'Dark Red Nightmare with Black Saddle','Dark Red Nightmare with Black Saddle',7,0,0,0,0,0,1,0,'Dark Red Nightmare with Black Saddle','','',0,0,'Spells/Commoner/DarkRedNightmareBlackSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1573959077,0,0,1),
(5031,0,0,1,'Undead Mount','Undead Mount',7,0,0,0,0,0,1,0,'Undead Mount','','',0,0,'Spells/Commoner/UndeadMount.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1574133435,0,0,1),
(5032,0,0,1,'Appaloosa Pack Horse','Appaloosa Pack Horse',7,0,0,0,0,0,1,0,'Appaloosa Pack Horse','','',0,0,'Spells/Commoner/AppaloosaPackHorse.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1574133782,0,0,1),
(5033,0,0,1,'Terrorbird','Terrorbird',7,0,0,0,0,0,1,0,'Terrorbird','','',0,0,'Spells/Commoner/Terrorbird.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1574134498,0,0,1),
(5034,0,0,1,'White Cavalry Horse with War-barding','White Cavalry Horse with War-barding',7,0,0,0,0,0,1,0,'White Cavalry Horse with War-barding','','',0,0,'Spells/Commoner/WarBardingWhiteCavalryHorse.lua',0,'',4,0,0,0,1,0,0,0,0,5017,0,0,0,0,0,1,0,0,0,'Unset',1574135437,0,0,1),
(5035,0,0,1,'Black Cavalry Horse with War-barding','Black Cavalry Horse with War-barding',7,0,0,0,0,0,1,0,'Black Cavalry Horse with War-barding','','',0,0,'Spells/Commoner/WarBardingBlackCavalryHorse.lua',0,'',4,0,0,0,1,0,0,0,0,5017,0,0,0,0,0,1,0,0,0,'Unset',1574137489,0,0,1),
(5036,0,0,1,'Beryllium Armored Rhino with Pink Saddle','Beryllium Armored Rhino with Pink Saddle',7,0,0,0,0,0,1,0,'Beryllium Armored Rhino with Pink Saddle','','',0,0,'Spells/Commoner/BerylliumArmoredRhinoPinkSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,5017,0,0,0,0,0,1,0,0,0,'Unset',1574138538,0,0,1),
(5037,0,0,1,'Dervish Destrier','Dervish Destrier',7,0,0,0,0,0,1,0,'Dervish Destrier','','',0,0,'Spells/Commoner/DeverishDestrier.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1574214403,0,0,1),
(5038,0,0,1,'Bastion of Truth''s Disc of Journey','Bastion of Truth''s Disc of Journey',7,0,0,0,0,0,1,0,'Bastion of Truth''s Disc of Journey','','',0,0,'Spells/Commoner/BastionofTruthsDisc.lua',0,'',4,0,0,0,1,0,0,0,0,5017,0,0,0,0,0,1,0,0,0,'Unset',1574217920,0,0,1),
(5039,0,0,1,'Shadowed Deathcharger','Shadowed Deathcharger',7,0,0,0,0,0,1,0,'Shadowed Deathcharger','','',0,0,'Spells/Commoner/ShadowedDeathcharger.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1574219415,0,0,1),
(5040,0,0,1,'Halasian Draft Horse','Halasian Draft Horse',7,0,0,0,0,0,1,0,'Halasian Draft Horse','','',0,0,'Spells/Commoner/HalasianDraftHorse.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1574219424,0,0,1),
(5041,0,0,1,'Cavalry Appaloosa with War-barding','Cavalry Appaloosa with War-barding',7,0,0,0,0,0,1,0,'Cavalry Appaloosa with War-barding','','',0,0,'Spells/Commoner/CavalryAppaloosaWarbarding.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1574219431,0,0,1),
(5042,0,0,1,'Gold Armored Rhino with Red Saddle','Gold Armored Rhino with Red Saddle',7,0,0,0,0,0,1,0,'Gold Armored Rhino with Red Saddle','','',0,0,'Spells/Commoner/GoldArmoredRhinoRedSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,5017,0,0,0,0,0,1,0,0,0,'Unset',1574219905,0,0,1),
(5043,0,0,1,'Self Contained Cloud','Self Contained Cloud',7,0,0,0,0,0,1,0,'Self Contained Cloud','','',0,0,'Spells/Commoner/SelfContainedCloud.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1574222047,0,0,1),
(5044,0,0,1,'Cavalry Morgan with War-barding','Cavalry Morgan with War-barding',7,0,0,0,0,0,1,0,'Cavalry Morgan with War-barding','','',0,0,'Spells/Commoner/CavalryMorganWarbarding.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1574387508,0,0,1),
(5045,0,0,1,'Cavalry Palomino with War-barding   ','Cavalry Palomino with War-barding   ',7,0,0,0,0,0,1,0,'Cavalry Palomino with War-barding   ','','',0,0,'Spells/Commoner/CavalryPalominoWarbarding.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1574387513,0,0,1),
(5046,0,0,1,'Cavalry Pinto with War-barding','Cavalry Pinto with War-barding\r\n',7,0,0,0,0,0,1,0,'Cavalry Pinto with War-barding','','',0,0,'Spells/Commoner/CavalryPintoWarbarding.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1574387518,0,0,1),
(5047,0,0,1,'Cavalry Spiritsteed with War-barding','Cavalry Spiritsteed with War-barding',7,0,0,0,0,0,1,0,'Cavalry Spiritsteed with War-barding','','',0,0,'Spells/Commoner/CavalrySpiritsteedWarbarding.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1574387523,0,0,1),
(5048,0,0,1,'Blood Roan Stallion','Blood Roan Stallion',7,0,0,0,0,0,1,0,'Blood Roan Stallion','','',0,0,'Spells/Commoner/BloodRoanStallion.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1574387528,0,0,1),
(5049,0,0,1,'Bronze Armored Rhino with Black Saddle ','Bronze Armored Rhino with Black Saddle ',7,0,0,0,0,0,1,0,'Bronze Armored Rhino with Black Saddle ','','',0,0,'Spells/Commoner/BronzeArmoredRhinoBlackSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1574387532,0,0,1),
(5050,0,0,1,'Bronze Armored Rhino with Red Saddle ','Bronze Armored Rhino with Red Saddle ',7,0,0,0,0,0,1,0,'Bronze Armored Rhino with Red Saddle ','','',0,0,'Spells/Commoner/BronzeArmoredRhinoRedSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1574387537,0,0,1),
(5051,0,0,1,'Bronze Armored Rhino with Yellow Saddle ','Bronze Armored Rhino with Yellow Saddle ',7,0,0,0,0,0,1,0,'Bronze Armored Rhino with Yellow Saddle ','','',0,0,'Spells/Commoner/BronzeArmoredRhinoYellowSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1574387541,0,0,1),
(5052,0,0,1,'Black Spotted Warg with Black Saddle','Black Spotted Warg with Black Saddle',7,0,0,0,0,0,1,0,'Black Spotted Warg with Black Saddle','','',0,0,'Spells/Commoner/BlackSpottedWargwithBlackSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1574387545,0,0,1),
(5053,0,0,1,'Black Spotted Warg with Blue Saddle','Black Spotted Warg with Blue Saddle',7,0,0,0,0,0,1,0,'Black Spotted Warg with Blue Saddle','','',0,0,'Spells/Commoner/BlackSpottedWargwithBlueSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1574387550,0,0,1),
(5054,0,0,1,'Russet Warg','Russet Warg',7,0,0,0,0,0,1,0,'Russet Warg','','',0,0,'Spells/Commoner/RussetWarg.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1574387555,0,0,1),
(5055,0,4,0,'Sturdy Fruitcake','Sturdy Fruitcake',0,0,0,0,0,0,0,1,'','','',0,0,'Spells/Commoner/SnowBall.lua',1223,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1574524197,0,0,1),
(5056,0,0,1,'Lightning Wolf','Lightning Wolf',7,0,0,0,0,0,1,0,'Lightning Wolf','','',0,0,'Spells/Commoner/LightningWolf.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1574742653,0,0,1),
(5057,0,0,1,'Black Spotted Warg with Purple Saddle','Black Spotted Warg with Purple Saddle',7,0,0,0,0,0,1,0,'Black Spotted Warg with Purple Saddle','','',0,0,'Spells/Commoner/BlackSpottedWargwithPurpleSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1575949720,0,0,1),
(5058,0,0,1,'Black Spotted Warg with Red Saddle','Black Spotted Warg with Red Saddle',7,0,0,0,0,0,1,0,'Black Spotted Warg with Red Saddle','','',0,0,'Spells/Commoner/BlackSpottedWargwithRedSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1575949726,0,0,1),
(5059,0,0,1,'Black Spotted Warg with Black Armor','Black Spotted Warg with Black Armor',7,0,0,0,0,0,1,0,'Black Spotted Warg with Black Armor','','',0,0,'Spells/Commoner/BlackSpottedWargwithBlackArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1575949732,0,0,1),
(5060,0,0,1,'Black Spotted Warg with Blue Armor','Black Spotted Warg with Blue Armor',7,0,0,0,0,0,1,0,'Black Spotted Warg with Blue Armor','','',0,0,'Spells/Commoner/BlackSpottedWargwithBlueArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1575949737,0,0,1),
(5061,0,0,1,'Black Spotted Warg with Purple Armor','Black Spotted Warg with Purple Armor',7,0,0,0,0,0,1,0,'Black Spotted Warg with Purple Armor','','',0,0,'Spells/Commoner/BlackSpottedWargwithPurpleArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1575949742,0,0,1),
(5062,0,0,1,'Black Spotted Warg with Red Armor','Black Spotted Warg with Red Armor',7,0,0,0,0,0,1,0,'Black Spotted Warg with Red Armor','','',0,0,'Spells/Commoner/BlackSpottedWargwithRedArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1575949747,0,0,1),
(5063,0,0,1,'Black Two-Tone Warg with Black Armor','Black Two-Tone Warg with Black Armor',7,0,0,0,0,0,1,0,'Black Two-Tone Warg with Black Armor','','',0,0,'Spells/Commoner/BlackTwoToneWargwithBlackArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1575949753,0,0,1),
(5064,0,0,1,'Black Two-Tone Warg with Blue Armor','Black Two-Tone Warg with Blue Armor',7,0,0,0,0,0,1,0,'Black Two-Tone Warg with Blue Armor','','',0,0,'Spells/Commoner/BlackTwoToneWargwithBlueArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1575949757,0,0,1),
(5065,0,0,1,'Black Two-Tone Warg with Green Armor','Black Two-Tone Warg with Green Armor',7,0,0,0,0,0,1,0,'Black Two-Tone Warg with Green Armor','','',0,0,'Spells/Commoner/BlackTwoToneWargwithGreenArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1575949761,0,0,1),
(5066,0,0,1,'Black Two-Tone Warg with Orange Armor','Black Two-Tone Warg with Orange Armor',7,0,0,0,0,0,1,0,'Black Two-Tone Warg with Orange Armor','','',0,0,'Spells/Commoner/BlackTwoToneWargwithOrangeArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1575949765,0,0,1),
(5067,0,0,1,'Black Two-Tone Warg with Purple Armor','Black Two-Tone Warg with Purple Armor',7,0,0,0,0,0,1,0,'Black Two-Tone Warg with Purple Armor','','',0,0,'Spells/Commoner/BlackTwoToneWargwithPurpleArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1575949769,0,0,1),
(5068,0,0,1,'Black Two-Tone Warg with Red Armor','Black Two-Tone Warg with Red Armor',7,0,0,0,0,0,1,0,'Black Two-Tone Warg with Red Armor','','',0,0,'Spells/Commoner/BlackTwotoneWargwithRedArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1576292294,0,0,1),
(5069,0,0,1,'Black Two-Tone Warg with Yellow Armor','Black Two-Tone Warg with Yellow Armor',7,0,0,0,0,0,1,0,'Black Two-Tone Warg with Yellow Armor','','',0,0,'Spells/Commoner/BlackTwoToneWargwithYellowArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1576292299,0,0,1),
(5070,0,0,1,'Black Two-Tone Warg with Black Saddle','Black Two-Tone Warg with Black Saddle',7,0,0,0,0,0,1,0,'Black Two-Tone Warg with Black Saddle','','',0,0,'Spells/Commoner/BlackTwoToneWargwithBlackSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1576292305,0,0,1),
(5071,0,0,1,'Black Two-Tone Warg with Blue Saddle','Black Two-Tone Warg with Blue Saddle',7,0,0,0,0,0,1,0,'Black Two-Tone Warg with Blue Saddle','','',0,0,'Spells/Commoner/BlackTwoToneWargwithBlueSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1576292312,0,0,1),
(5072,0,0,1,'Black Two-Tone Warg with Green Saddle','Black Two-Tone Warg with Green Saddle',7,0,0,0,0,0,1,0,'Black Two-Tone Warg with Green Saddle','','',0,0,'Spells/Commoner/BlackTwoToneWargwithGreenSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1576292319,0,0,1),
(5073,0,0,1,'Black Two-Tone Warg with Orange Saddle','Black Two-Tone Warg with Orange Saddle',7,0,0,0,0,0,1,0,'Black Two-Tone Warg with Orange Saddle','','',0,0,'Spells/Commoner/BlackTwoToneWargwithOrangeSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1576292323,0,0,1),
(5074,0,0,1,'Black Two-Tone Warg with Purple Saddle','Black Two-Tone Warg with Purple Saddle',7,0,0,0,0,0,1,0,'Black Two-Tone Warg with Purple Saddle','','',0,0,'Spells/Commoner/BlackTwoToneWargwithPurpleSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1576292327,0,0,1),
(5075,0,0,1,'Black Two-Tone Warg with Red Saddle','Black Two-Tone Warg with Red Saddle',7,0,0,0,0,0,1,0,'Black Two-Tone Warg with Red Saddle','','',0,0,'Spells/Commoner/BlackTwoToneWargwithRedSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1576292331,0,0,1),
(5076,0,0,1,'Black Two-Tone Warg with Yellow Saddle','Black Two-Tone Warg with Yellow Saddle',7,0,0,0,0,0,1,0,'Black Two-Tone Warg with Yellow Saddle','','',0,0,'Spells/Commoner/BlackTwoToneWargwithYellowSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1576292335,0,0,1),
(5077,0,0,1,'Bronze Mechamagic Wings','Bronze Mechamagic Wings',7,0,0,0,0,0,1,0,'Bronze Mechamagic Wings','','',0,0,'Spells/Commoner/BronzeMechamagicWings.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1576292342,0,0,1),
(5078,0,0,1,'Brown Nightmare Warg with Blue Armor','Brown Nightmare Warg with Blue Armor',7,0,0,0,0,0,1,0,'Brown Nightmare Warg with Blue Armor','','',0,0,'Spells/Commoner/BrownNightmareWargwithBlueArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1576292347,0,0,1),
(5079,0,0,1,'Brown Nightmare Warg with Indigo Armor','Brown Nightmare Warg with Indigo Armor',7,0,0,0,0,0,1,0,'Brown Nightmare Warg with Indigo Armor','','',0,0,'Spells/Commoner/BrownNightmareWargwithIndigoArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1576292350,0,0,1),
(5080,0,0,1,'Brown Nightmare Warg with Purple Armor','Brown Nightmare Warg with Purple Armor',7,0,0,0,0,0,1,0,'Brown Nightmare Warg with Purple Armor','','',0,0,'Spells/Commoner/BlackSpottedWargwithPurpleArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1576292354,0,0,1),
(5081,0,0,1,'Brown Nightmare Warg with Red Armor','Brown Nightmare Warg with Red Armor',7,0,0,0,0,0,1,0,'Brown Nightmare Warg with Red Armor','','',0,0,'Spells/Commoner/BrownNightmareWargwithRedArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1576292358,0,0,1),
(5082,0,0,1,'Brown Treeglider','Brown Treeglider',7,0,0,0,0,0,1,0,'Brown Treeglider','','',0,0,'Spells/Commoner/BrownTreeglider.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1576292362,0,0,1),
(5083,0,0,1,'Brown Two-Tone Warg with Red Armor','Brown Two-Tone Warg with Red Armor',7,0,0,0,0,0,1,0,'Brown Two-Tone Warg with Red Armor','','',0,0,'Spells/Commoner/BrownTwotoneWargwithRedArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1576292390,0,0,1),
(5084,0,0,1,'Brown Two-Tone Warg with Red Saddle','Brown Two-Tone Warg with Red Saddle',7,0,0,0,0,0,1,0,'Brown Two-Tone Warg with Red Saddle','','',0,0,'Spells/Commoner/BrownTwoToneWargwithRedSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1576292394,0,0,1),
(5085,0,0,1,'Craft Keeper''s Disc of Flight','Craft Keeper''s Disc of Flight',7,0,0,0,0,0,1,0,'Craft Keeper''s Disc of Flight','','',0,0,'Spells/Commoner/CraftKeepersDiscofFlight.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1576292399,0,0,1),
(5086,0,0,1,'Crimson Hand''s Disc of Voyage','Crimson Hand''s Disc of Voyage',7,0,0,0,0,0,1,0,'Crimson Hand''s Disc of Voyage','','',0,0,'Spells/Commoner/CrimsonHandsDiscofVoyage.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1576292403,0,0,1),
(5087,0,0,1,'Crimson Nightmare Pegasus','Crimson Nightmare Pegasus',7,0,0,0,0,0,1,0,'Crimson Nightmare Pegasus','','',0,0,'Spells/Commoner/CrimsonNightmarePegasus.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1576292413,0,0,1),
(5088,0,0,1,'Dark Pegasus','Dark Pegasus',7,0,0,0,0,0,1,0,'Dark Pegasus','','',0,0,'Spells/Commoner/DarkPegasus.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1576292417,0,0,1),
(5089,0,0,1,'Dark Treeglider','Dark Treeglider',7,0,0,0,0,0,1,0,'Dark Treeglider','','',0,0,'Spells/Commoner/DarkTreeglider.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1577298578,0,0,1),
(5090,0,0,1,'Elddarian Charger','Elddarian Charger',7,0,0,0,0,0,1,0,'Elddarian Charger','','',0,0,'Spells/Commoner/ElddarianCharger.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1577298599,0,0,1),
(5091,0,0,1,'Gold Armored Rhino with Red Saddle ','Gold Armored Rhino with Red Saddle ',7,0,0,0,0,0,1,0,'Gold Armored Rhino with Red Saddle ','','',0,0,'Spells/Commoner/GoldArmoredRhinoRedSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1577298612,0,0,1),
(5092,0,0,1,'Gray Cavalry Horse with War-barding','Gray Cavalry Horse with War-barding',7,0,0,0,0,0,1,0,'Gray Cavalry Horse with War-barding','','',0,0,'Spells/Commoner/WarBardingGrayCavalryHorse.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1577298622,0,0,1),
(5093,0,0,1,'Incandescent Swiftwing','Incandescent Swiftwing',7,0,0,0,0,0,1,0,'Incandescent Swiftwing','','',0,0,'Spells/Commoner/IncandescentSwiftwing.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1577298631,0,0,1),
(5094,0,0,1,'Iridescent Swiftwing','Iridescent Swiftwing',7,0,0,0,0,0,1,0,'Iridescent Swiftwing','','',0,0,'Spells/Commoner/Iridescent Swiftwing.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1577298639,0,0,1),
(5095,0,0,1,'Jade Armored Rhino with Teal Saddle   ','Jade Armored Rhino with Teal Saddle   ',7,0,0,0,0,0,1,0,'Jade Armored Rhino with Teal Saddle   ','','',0,0,'Spells/Commoner/JadeArmoredRhinowithTealSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1577298652,0,0,1),
(5096,0,0,1,'Karana Plainstrider','Karana Plainstrider',7,0,0,0,0,0,1,0,'Karana Plainstrider','','',0,0,'Spells/Commoner/KaranaPlainstrider.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578024468,0,0,1),
(5097,0,0,1,'Magical Storm Whistle','Magical Storm Whistle',7,0,0,0,0,0,1,0,'Magical Storm Whistle','','',0,0,'Spells/Commoner/MagicalStormWhistle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578024475,0,0,1),
(5098,0,0,1,'Malevolent Disc','Malevolent Disc',7,0,0,0,0,0,1,0,'Malevolent Disc','','',0,0,'Spells/Commoner/MalevolentDisc.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578024481,0,0,1),
(5099,0,0,1,'Misty Mustang','Misty Mustang',7,0,0,0,0,0,1,0,'Misty Mustang','','',0,0,'Spells/Commoner/MistyMustang.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578024485,0,0,1),
(5100,0,0,1,'Misty Unicorn','Misty Unicorn',7,0,0,0,0,0,1,0,'Misty Unicorn','','',0,0,'Spells/Commoner/MistyUnicorn.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578024490,0,0,1),
(5101,0,0,1,'Nightmare with Black Saddle','Nightmare with Black Saddle',7,0,0,0,0,0,1,0,'Nightmare with Black Saddle','','',0,0,'Spells/Commoner/NightmareBlackSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578024494,0,0,1),
(5102,0,0,1,'Nightmare with Plain Saddle','Nightmare with Plain Saddle',7,0,0,0,0,0,1,0,'Nightmare with Plain Saddle','','',0,0,'Spells/Commoner/NightmarePlainSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578024499,0,0,1),
(5103,0,0,1,'Nightmare with Red Saddle','Nightmare with Red Saddle',7,0,0,0,0,0,1,0,'Nightmare with Red Saddle','','',0,0,'Spells/Commoner/NightmareRedSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578024504,0,0,1),
(5104,0,0,0,'Drawing Rays','',7,0,0,0,0,0,1,1,'','','',0,1,'Spells/Commoner/QSTDrawingRays.lua',184,'',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1578024510,0,0,1),
(5105,0,0,0,'Test','',7,0,0,0,0,0,1,1,'','','',0,0,'Spells/Commoner/TestSpellOne.lua',1714,'',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,'Unset',1578619632,0,0,1),
(5106,0,0,1,'Onyx Armored Rhino','Onyx Armored Rhino',7,0,0,0,0,0,1,0,'Onyx Armored Rhino','','',0,0,'Spells/Commoner/OnyxArmoredRhino.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578621505,0,0,1),
(5107,0,0,1,'Onyx Armored Rhino with Blue Saddle','Onyx Armored Rhino with Blue Saddle',7,0,0,0,0,0,1,0,'Onyx Armored Rhino with Blue Saddle','','',0,0,'Spells/Commoner/OnyxArmoredRhinoBlueSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578621512,0,0,1),
(5108,0,0,1,'Onyx Armored Rhino with Green Saddle','Onyx Armored Rhino with Green Saddle',7,0,0,0,0,0,1,0,'Onyx Armored Rhino with Green Saddle','','',0,0,'Spells/Commoner/OnyxArmoredRhinoGreenSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578621517,0,0,1),
(5109,0,0,1,'Onyx Armored Rhino with Purple Saddle','Onyx Armored Rhino with Purple Saddle',7,0,0,0,0,0,1,0,'Onyx Armored Rhino with Purple Saddle','','',0,0,'Spells/Commoner/OnyxArmoredRhinoPurpleSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578621521,0,0,1),
(5110,0,0,1,'Onyx Armored Rhino with Red Saddle','Onyx Armored Rhino with Red Saddle',7,0,0,0,0,0,1,0,'Onyx Armored Rhino with Red Saddle','','',0,0,'Spells/Commoner/OnyxArmoredRhinoRedSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578621528,0,0,1),
(5111,0,0,1,'Orange Two-Tone Warg with Brown Armor','Orange Two-Tone Warg with Brown Armor',7,0,0,0,0,0,1,0,'Orange Two-Tone Warg with Brown Armor','','',0,0,'Spells/Commoner/OrangeTwoToneWargwithBrownArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578621532,0,0,1),
(5112,0,0,1,'Orange Two-Tone Warg with Red Armor','Orange Two-Tone Warg with Red Armor',7,0,0,0,0,0,1,0,'Orange Two-Tone Warg with Red Armor','','',0,0,'Spells/Commoner/OrangeTwoToneWargwithRedArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578621536,0,0,1),
(5113,0,0,1,'Orange Two-Tone Warg with Brown Saddle','Orange Two-Tone Warg with Brown Saddle',7,0,0,0,0,0,1,0,'Orange Two-Tone Warg with Brown Saddle','','',0,0,'Spells/Commoner/OrangeTwoToneWargwithBrownSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578621545,0,0,1),
(5114,0,0,1,'Orange Two-Tone Warg with Red Saddle','Orange Two-Tone Warg with Red Saddle',7,0,0,0,0,0,1,0,'Orange Two-Tone Warg with Red Saddle','','',0,0,'Spells/Commoner/OrangeTwoToneWargwithRedSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578621550,0,0,1),
(5115,0,0,1,'Parade Elddarian Charger','Parade Elddarian Charger',7,0,0,0,0,0,1,0,'Parade Elddarian Charger','','',0,0,'Spells/Commoner/ParadeElddarianCharger.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578621557,0,0,1),
(5116,0,0,1,'Parade Halasian Draft Horse','Parade Halasian Draft Horse',7,0,0,0,0,0,1,0,'Parade Halasian Draft Horse','','',0,0,'Spells/Commoner/ParadeHalasianDraftHorse.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578621561,0,0,1),
(5117,0,0,1,'Parade Karana Plainstrider','Parade Karana Plainstrider',7,0,0,0,0,0,1,0,'Parade Karana Plainstrider','','',0,0,'Spells/Commoner/ParadeKaranaPlainstrider.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578621566,0,0,1),
(5118,0,0,1,'Parade Misty Mustang','Parade Misty Mustang',7,0,0,0,0,0,1,0,'Parade Misty Mustang','','',0,0,'Spells/Commoner/ParadeMistyMustang.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579477346,0,0,1),
(5119,0,0,1,'Parade Rujarkian Hillrunner','Parade Rujarkian Hillrunner',7,0,0,0,0,0,1,0,'Parade Rujarkian Hillrunner','','',0,0,'Spells/Commoner/ParadeRujarkianHillrunner.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579477352,0,0,1),
(5120,0,0,1,'Parade Steppes Pony','Parade Steppes Pony',7,0,0,0,0,0,1,0,'Parade Steppes Pony','','',0,0,'Spells/Commoner/ParadeSteppesPony.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579477356,0,0,1),
(5121,0,0,1,'Pink Two-Tone Warg with Pink Armor','Pink Two-Tone Warg with Pink Armor',7,0,0,0,0,0,1,0,'Pink Two-Tone Warg with Pink Armor','','',0,0,'Spells/Commoner/PinkTwoToneWargwithPinkArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579477364,0,0,1),
(5122,0,0,1,'Pink Two-Tone Warg with Pink Saddle','Pink Two-Tone Warg with Pink Saddle',7,0,0,0,0,0,1,0,'Pink Two-Tone Warg with Pink Saddle','','',0,0,'Spells/Commoner/PinkTwoToneWargwithPinkSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579477369,0,0,1),
(5123,0,0,1,'Red Two-Tone Warg with Purple Armor','Red Two-Tone Warg with Purple Armor',7,0,0,0,0,0,1,0,'Red Two-Tone Warg with Purple Armor','','',0,0,'Spells/Commoner/RedTwoToneWargwithPurpleArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579477374,0,0,1),
(5124,0,0,1,'Red Two-Tone Warg with Purple Saddle   ','Red Two-Tone Warg with Purple Saddle   ',7,0,0,0,0,0,1,0,'Red Two-Tone Warg with Purple Saddle   ','','',0,0,'Spells/Commoner/RedTwoToneWargwithPurpleSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579477378,0,0,1),
(5125,0,0,1,'Rose-Saddled Highland Snowmane','Rose-Saddled Highland Snowmane',7,0,0,0,0,0,1,0,'Rose-Saddled Highland Snowmane','','',0,0,'Spells/Commoner/RoseSaddledHighlandSnowmane.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579477384,0,0,1),
(5126,0,0,1,'Rubicite Armored Rhino with Black Saddle','Rubicite Armored Rhino with Black Saddle',7,0,0,0,0,0,1,0,'Rubicite Armored Rhino with Black Saddle','','',0,0,'Spells/Commoner/RubiciteArmoredRhinowithBlackSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579477389,0,0,1),
(5127,0,0,1,'Rujarkian Destrier','Rujarkian Destrier',7,0,0,0,0,0,1,0,'Rujarkian Destrier','','',0,0,'Spells/Commoner/RujarkianDestrier.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579477393,0,0,1),
(5128,0,0,1,'Rujarkian Hillrunner','Rujarkian Hillrunner',7,0,0,0,0,0,1,0,'Rujarkian Hillrunner','','',0,0,'Spells/Commoner/RujarkianHillrunner.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579830290,0,0,1),
(5129,0,0,1,'Shadow-Saddled Highland Snowmane','Shadow-Saddled Highland Snowmane',7,0,0,0,0,0,1,0,'Shadow-Saddled Highland Snowmane','','',0,0,'Spells/Commoner/RShadowedSaddledHighlandSnowmane.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579830298,0,0,1),
(5130,0,0,1,'Spellweaver''s Blue Flying Carpet','Spellweaver''s Blue Flying Carpet',7,0,0,0,0,0,1,0,'Spellweaver''s Blue Flying Carpet','','',0,0,'Spells/Commoner/SpellweaversBlueFlyingCarpet.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579830303,0,0,1),
(5131,0,0,1,'Steed of the Faithful','Steed of the Faithful',7,0,0,0,0,0,1,0,'Steed of the Faithful','','',0,0,'Spells/Commoner/SteedoftheFaithful.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579830310,0,0,1),
(5132,0,0,1,'Steel Armored Rhino with Gold Saddle','Steel Armored Rhino with Gold Saddle',7,0,0,0,0,0,1,0,'Steel Armored Rhino with Gold Saddle','','',0,0,'Spells/Commoner/SteelArmoredRhinoGoldSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579830315,0,0,1),
(5133,0,0,1,'Steel Armored Rhino with Orange Saddle','Steel Armored Rhino with Orange Saddle',7,0,0,0,0,0,1,0,'Steel Armored Rhino with Orange Saddle','','',0,0,'Spells/Commoner/SteelArmoredRhinoOrangeSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579830321,0,0,1),
(5134,0,0,1,'Steppes Pony','Steppes Pony',7,0,0,0,0,0,1,0,'Steppes Pony','','',0,0,'Spells/Commoner/SteppesPony.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579830327,0,0,1),
(5135,0,0,1,'Storm Wind Komodo','Storm Wind Komodo',7,0,0,0,0,0,1,0,'Storm Wind Komodo','','',0,0,'Spells/Commoner/StormWindKomodo.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579830331,0,0,1),
(5136,0,0,1,'Tinkerers Cobalt Flappers','Tinkerers Cobalt Flappers',7,0,0,0,0,0,1,0,'Tinkerers Cobalt Flappers','','',0,0,'Spells/Commoner/TinkerersCobaltFlappers.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579830336,0,0,1),
(5137,0,0,1,'Titanium Mechamagic Wings','Titanium Mechamagic Wings',7,0,0,0,0,0,1,0,'Titanium Mechamagic Wings','','',0,0,'Spells/Commoner/TitaniumMechamagicWings.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579830341,0,0,1),
(5138,0,0,1,'Traveler''s Pack Horse','Traveler''s Pack Horse',7,0,0,0,0,0,1,0,'Traveler''s Pack Horse','','',0,0,'Spells/Commoner/TravelersPackHorse.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579830347,0,0,1),
(5139,0,0,1,'Tropical Saliraptor','Tropical Saliraptor',7,0,0,0,0,0,1,0,'Tropical Saliraptor','','',0,0,'Spells/Commoner/TropicalSaliraptor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579830352,0,0,1),
(5140,0,0,1,'Turborotor 1000','Turborotor 1000',7,0,0,0,0,0,1,0,'Turborotor 1000','','',0,0,'Spells/Commoner/Turborotor1000.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579830357,0,0,1),
(5141,0,0,1,'Velium-Saddled Warhog','Velium-Saddled Warhog',7,0,0,0,0,0,1,0,'Velium-Saddled Warhog','','',0,0,'Spells/Commoner/VeliumSaddledWarhog.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579830362,0,0,1),
(5142,0,0,1,'Vicious Mountain Saliraptor','Vicious Mountain Saliraptor',7,0,0,0,0,0,1,0,'Vicious Mountain Saliraptor','','',0,0,'Spells/Commoner/ViciousMountainSaliraptor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579830367,0,0,1),
(5143,0,0,1,'Violet Nightmare Pegasus','Violet Nightmare Pegasus',7,0,0,0,0,0,1,0,'Violet Nightmare Pegasus','','',0,0,'Spells/Commoner/VioletNightmarePegasus.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579830371,0,0,1),
(5144,0,0,1,'White-Saddled Highland Snowmane','White-Saddled Highland Snowmane',7,0,0,0,0,0,1,0,'White-Saddled Highland Snowmane','','',0,0,'Spells/Commoner/WhiteSaddledHighlandSnowmane.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579830375,0,0,1),
(5145,0,0,1,'Battlehardened Fire Warg','Battlehardened Fire Warg',7,0,0,0,0,0,1,0,'Battlehardened Fire Warg','','',0,0,'Spells/Commoner/BattlehardenedFireWarg.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579830390,0,0,1),
(5146,0,0,1,'Icewind Komodo','Icewind Komodo',7,0,0,0,0,0,1,0,'Icewind Komodo','','',0,0,'Spells/Commoner/IcewindKomodo.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579830394,0,0,1),
(5147,0,0,1,'Prankster''s Sepia Skystrider','Prankster''s Sepia Skystrider',7,0,0,0,0,0,1,0,'Prankster''s Sepia Skystrider','','',0,0,'Spells/Commoner/PrankstersSepiaSkystrider.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579830399,0,0,1),
(5148,0,0,1,'Prankster''s Teal Skystrider','Prankster''s Teal Skystrider',7,0,0,0,0,0,1,0,'Prankster''s Teal Skystrider','','',0,0,'Spells/Commoner/PrankstersTealSkystrider.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579830404,0,0,1),
(5149,0,0,1,'Cobalt Armored Saliraptor','Cobalt Armored Saliraptor',7,0,0,0,0,0,1,0,'Cobalt Armored Saliraptor','','',0,0,'Spells/Commoner/CobaltArmoredSaliraptor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579830408,0,0,1),
(5150,0,0,1,'Awakened Drakota','Awakened Drakota',7,0,0,0,0,0,1,0,'Awakened Drakota','','',0,0,'Spells/Commoner/AwakenedDrakota.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579830412,0,0,1),
(5151,0,0,1,'Blue Canvas Oscillating Kajiggers','Blue Canvas Oscillating Kajiggers',7,0,0,0,0,0,1,0,'Blue Canvas Oscillating Kajiggers','','',0,0,'Spells/Commoner/BlueCanvasOscillatingKajiggers.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579830418,0,0,1),
(5152,0,0,1,'Cevern Vastspan','Cevern Vastspan',7,0,0,0,0,0,1,0,'Cevern Vastspan','','',0,0,'Spells/Commoner/CevernVastspan.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579830468,0,0,1),
(5153,0,0,1,'Dark Canvas Oscillating Kajiggers','Dark Canvas Oscillating Kajiggers',7,0,0,0,0,0,1,0,'Dark Canvas Oscillating Kajiggers','','',0,0,'Spells/Commoner/DarkCanvasOscillatingKajiggers.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1580530542,0,0,1),
(5154,0,0,1,'Dark Harbinger''s Flight Wings','Dark Harbinger''s Flight Wings',7,0,0,0,0,0,1,0,'Dark Harbinger''s Flight Wings','','',0,0,'Spells/Commoner/DarkHarbingersFlightWings.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1580530549,0,0,1),
(5155,0,0,1,'Derakar the Soul Melter','Derakar the Soul Melter',7,0,0,0,0,0,1,0,'Derakar the Soul Melter','','',0,0,'Spells/Commoner/DerakartheSoulMelter.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1580530554,0,0,1),
(5156,0,0,1,'Eashindor the Far-Seer','Eashindor the Far-Seer',7,0,0,0,0,0,1,0,'Eashindor the Far-Seer','','',0,0,'Spells/Commoner/EashindortheFarSeer.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1580530559,0,0,1),
(5157,0,0,1,'Elemental Disc of Air','Elemental Disc of Air',7,0,0,0,0,0,1,0,'Elemental Disc of Air','','',0,0,'Spells/Commoner/ElementalDiscofAir.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1580530565,0,0,1),
(5158,0,0,1,'Elemental Disc of Earth','Elemental Disc of Earth\r\n',7,0,0,0,0,0,1,0,'Elemental Disc of Earth','','',0,0,'Spells/Commoner/ElementalDiscofEarth.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1580530571,0,0,1),
(5159,0,0,1,'Elemental Disc of Flame','Elemental Disc of Flame\r\n',7,0,0,0,0,0,1,0,'Elemental Disc of Flame','','',0,0,'Spells/Commoner/ElementalDiscofFlame.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1580530576,0,0,1),
(5160,0,0,1,'Elemental Disc of Water','Elemental Disc of Water',7,0,0,0,0,0,1,0,'Elemental Disc of Water','','',0,0,'Spells/Commoner/ElementalDiscofWater.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1580530582,0,0,1),
(5161,0,0,1,'Mystic Moppet Disguise','',699,0,314,0,0,0,1,0,'','','',1,0,'Spells/Commoner/MysticMoppetDisguise.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1580530588,0,0,1),
(5162,0,0,1,'Revived Sickness','Revived Sickness',7,0,0,0,0,0,0,0,'','Your Revived Sickness fades.','',0,0,'Spells/Commoner/RevivedSickness.lua',0,'',4,0,0,0,0,0,0,0,1,5162,1,0,0,0,0,1,0,0,0,'Unset',1580530593,0,0,0),
(5163,0,2,0,'Transmute Item','',0,0,0,0,0,0,0,0,'','','',0,1,'Spells/Commoner/TransmuteItem.lua',2289,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1580530598,0,0,1),
(5164,0,0,0,'Battle Fury','Primal Fury Proc I',232,0,316,3067436248,0,0,0,0,'','','',0,1,'Spells/Commoner/PrimalFuryproc.lua',2491,'',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1580530604,0,0,1),
(5165,0,1,0,'On the March','While death march is active, every time a group member slays an enemy, the shadowknight''s group gains increased intelligence, Multi-Attack Chance, casting speed, and immunity to control spells for a short duration.  If the caster enters PVP combat, the duration of this effect will be reduced.  In PVP combat, this will also make the caster''s group immune to taunt effects. ',210,65535,314,2741805322,723762198,290,0,2,'Your Death March was successful on %t!','Your Death March fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/OntheMarch.lua',1803,'You cast Death March on %t.',1,0,0,1,1,1,0,0,0,5165,1,0,0,0,0,1,0,0,0,'Unset',1582398636,0,0,0),
(5166,0,0,0,'Battle Fury','Primal Fury Proc II',232,0,316,3067436248,0,0,0,0,'','','',0,0,'Spells/Commoner/PrimalFuryproc.lua',2491,'',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1582477769,0,0,1),
(5167,0,0,0,'Battle Fury','Primal Fury Proc III',232,0,316,3067436248,0,0,0,0,'','','',0,0,'Spells/Commoner/PrimalFuryproc.lua',2491,'',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,'Unset',1582477778,0,0,1),
(5168,0,0,0,'Battle Fury','Primal Fury Proc IV',232,0,316,3067436248,0,0,0,0,'','','',0,0,'Spells/Commoner/PrimalFuryproc.lua',2491,'',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,'Unset',1582477783,0,0,1),
(5169,0,0,0,'Battle Fury','Primal Fury Proc V',232,0,316,3067436248,0,0,0,0,'','','',0,0,'Spells/Commoner/PrimalFuryproc.lua',2491,'',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,'Unset',1582477789,0,0,1),
(5170,0,0,0,'Battle Fury','Primal Fury Proc VI',232,0,316,3067436248,0,0,0,0,'','','',0,0,'Spells/Commoner/PrimalFuryproc.lua',2491,'',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,'Unset',1582477794,0,0,1),
(5171,0,0,0,'Battle Fury','Primal Fury Proc VII',232,0,316,3067436248,0,0,0,0,'','','',0,0,'Spells/Commoner/PrimalFuryproc.lua',2491,'',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,'Unset',1582477799,0,0,1),
(5172,0,0,0,'Berserk','Builds rage within the berserker, granting a chance at becoming berserk while in combat. While berserk, attack speed and Damage Per Second is increased.',356,0,317,1433335062,1433335062,0,0,0,'','','',0,1,'Spells/Commoner/Berserk.lua',1338,'',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'CombatBuff',1582944061,0,0,1),
(5173,0,0,0,'Berserk','Berserk Proc II',356,0,317,0,0,0,0,0,'','','',0,0,'Spells/Commoner/Berserk.lua',1714,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1582949344,0,0,1),
(5174,0,0,0,'Berserk','Berserk Proc III',356,0,317,0,0,0,0,0,'','','',0,0,'Spells/Commoner/Berserk.lua',1714,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1582949362,0,0,1),
(5175,0,0,0,'Berserk','Berserk Proc IV',356,0,317,0,0,0,0,0,'','','',0,0,'Spells/Commoner/Berserk.lua',1714,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1582949376,0,0,1),
(5176,0,0,0,'Berserk','Berserk Proc V',356,0,317,0,0,0,0,0,'','','',0,0,'Spells/Commoner/Berserk.lua',1714,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1582949398,0,0,1),
(5177,0,0,0,'Berserk','Berserk Proc VI',356,0,317,0,0,0,0,0,'','','',0,0,'Spells/Commoner/Berserk.lua',1714,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1582949411,0,0,1),
(5178,0,0,0,'Berserk','Berserk Proc VII',356,0,317,0,0,0,0,0,'','','',0,0,'Spells/Commoner/Berserk.lua',1714,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1582949436,0,0,1),
(5179,0,0,0,'Berserk','Berserk Proc VIII',356,0,317,0,0,0,0,0,'','','',0,0,'Spells/Commoner/Berserk.lua',1714,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1582949450,0,0,1),
(5180,0,0,0,'Berserk','Berserk Proc IX',356,0,317,0,0,0,0,0,'','','',0,0,'Spells/Commoner/Berserk.lua',1714,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1582949502,0,0,1),
(5181,0,0,0,'Ancient Crucible','Instantly heals power and HP.',0,0,0,0,0,0,0,0,'','','',0,1,'Spells/Commoner/AncientCrucible.lua',666,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1583455270,0,0,1),
(5182,0,0,0,'Ancient Demise','Area of Effect Crushing Direct Damage and Decrease Haste(10%?) ',0,0,0,0,0,0,0,1,'','','',0,0,'Spells/Commoner/HOTemplate.lua',677,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1583455414,0,0,1),
(5183,0,0,0,'Cry of Conviction','Area of Effect Direct Damage and Stun (long)',0,0,0,3809066846,0,0,0,2,'','','',0,1,'Spells/Commoner/AncientWrath.lua',623,'',4,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1583455418,0,0,1),
(5184,0,0,0,'Ancient''s Embrace','Slashing Damage Shield on Group',0,0,0,0,0,0,0,2,'','','',0,1,'Spells/Commoner/HOTemplate.lua',647,'',4,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1583455423,0,0,1),
(5185,0,0,0,'Arcane Aegis','Increases Magic and Crushing mitigations of the party.',56,0,0,0,0,0,0,2,'','','',0,1,'Spells/Commoner/ArcaneAegis.lua',710,'',4,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1583455441,0,0,1),
(5186,0,0,0,'Arcane Chalice','Increase Power of Group Member',0,0,0,0,0,0,0,0,'','','',0,1,'Spells/Commoner/ArcaneChalice.lua',674,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1583455447,0,0,1),
(5187,0,0,0,'Arcane Enlightenment','Sometimes gives power when you are struck.',15,0,0,0,0,0,0,0,'','','',0,1,'Spells/Commoner/ArcaneEnlightenment.lua',678,'',4,0,0,0,1,0,0,0,0,5187,0,0,0,0,0,1,0,0,0,'Unset',1583455452,0,0,0),
(5188,0,0,0,'Arcane Fury','Magic DD (target)',0,0,0,0,0,0,0,1,'','','',0,1,'Spells/Commoner/ArcaneFury.lua',624,'',4,0,0,0,0,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'DD',1583455457,0,0,1),
(5189,0,0,0,'Arcane Salvation','Instant group power restoration.',0,0,0,0,0,0,0,2,'','','',0,1,'Spells/Commoner/HOTemplate.lua',711,'',4,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1583455460,0,0,1),
(5190,0,0,0,'Arcane Trickery','Decreases lightning and piercing damage mitigation.',86,0,0,0,0,0,0,1,'','','',0,1,'Spells/Commoner/ArcaneTrickery.lua',648,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1583455464,0,0,1),
(5191,0,0,0,'Archaic Ruin','Inflicts magic damage and decreases magic and slashing damage mitigation.',91,0,0,0,0,0,0,1,'','','',0,1,'Spells/Commoner/ArchaicRuin.lua',668,'',4,0,0,0,0,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'DD',1583455468,0,0,1),
(5192,0,0,0,'Archaic Shackles','Decrease attack speed of enemy',0,0,0,0,0,0,0,1,'','','',0,0,'Spells/Commoner/HOTemplate.lua',625,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1583455472,0,0,1),
(5193,0,0,0,'Archaic Shackles B','Decrease attack speed of enemy',0,0,0,0,0,0,0,1,'','','',0,0,'Spells/Commoner/HOTemplate.lua',626,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1583455476,0,0,1),
(5194,0,0,0,'Ardent Challenge','Increase Strength and Agility of Group',291,0,316,0,0,0,0,1,'','','',0,1,'Spells/Commoner/ArdentChallenge.lua',712,'',4,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1583455480,0,0,1),
(5195,0,0,0,'Blessing of Faith','Increases power of caster by 30.0% instantly and every 30 seconds',41,0,0,0,0,0,0,1,'','','',0,1,'Spells/Commoner/BlessingofFaith.lua',675,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1583455485,0,0,0),
(5196,0,0,0,'Bravo''s Dance','Attack Speed buff (self)',76,0,0,0,0,0,0,0,'','','',0,1,'Spells/Commoner/BravosDance.lua',641,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1583455488,0,0,0),
(5197,0,0,0,'Breaking Faith','Divine damage',0,0,0,0,0,0,0,1,'','','',0,0,'Spells/Commoner/HOTemplate.lua',684,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1583455492,0,0,1),
(5198,0,0,0,'Capricious Strike','Piercing damage',0,0,0,0,0,0,0,1,'','','',0,0,'Spells/Commoner/HOTemplate.lua',713,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1583455495,0,0,1),
(5199,0,0,0,'Celestial Bloom','Increase Health of Group Member',0,0,0,0,0,0,0,0,'','','',0,1,'Spells/Commoner/CelestialBloom.lua',714,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1583455500,0,0,1),
(5200,0,0,0,'Chalice of Life','Instant Heal, Ward and Heal over Time',74,0,0,0,0,0,0,0,'','','',0,1,'Spells/Commoner/ChaliceofLife.lua',679,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1583455504,0,0,1),
(5201,0,0,0,'Crippling Shroud','Sometimes decreases attack rate of any that damage you.',58,0,0,0,0,0,0,1,'','','',0,1,'Spells/Commoner/CripplingShroud.lua',680,'',4,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1583455509,0,0,1),
(5202,0,0,0,'Crucible of Life','Increase Power and Health (100%?)',0,0,0,0,0,0,0,1,'','','',0,0,'Spells/Commoner/HOTemplate.lua',642,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1583455513,0,0,1),
(5203,0,0,0,'Crushing Anvil','Crushing damage',0,0,312,0,0,0,0,1,'','','',0,1,'Spells/Commoner/CrushingAnvil.lua',669,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1583455517,0,0,0),
(5204,0,0,0,'Divine Blade','Divine Direct Damage',0,0,0,0,0,0,0,1,'','','',0,1,'Spells/Commoner/DivineBlade.lua',627,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1583455521,0,0,1),
(5205,0,0,0,'Divine Judgment','Divine damage',0,0,0,90523872,0,0,0,1,'','','',0,1,'Spells/Commoner/DivineJudgment.lua',628,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1583455525,0,0,1),
(5206,0,0,0,'Divine Nobility','Replenishes minor heath over time.',72,0,0,0,0,0,0,1,'','','',0,1,'Spells/Commoner/DivineNobility.lua',715,'',4,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1583455528,0,0,1),
(5207,0,0,0,'Divine Trickery','Divine damage on target',0,0,0,0,0,0,0,1,'','','',0,1,'Spells/Commoner/DivineTrickery.lua',681,'',4,0,0,0,0,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'DD',1583455532,0,0,1),
(5208,0,0,0,'Faith''s Bulwark','Greatly increases armor',83,0,0,0,0,0,0,2,'','','',0,1,'Spells/Commoner/FaithsBulwark.lua',688,'',4,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1583455536,0,0,1),
(5209,0,0,0,'Fervent Quickening','Increases the defense skill and periodically replenishes some health.',184,0,316,0,0,0,0,0,'','','',0,1,'Spells/Commoner/FerventQuickening.lua',716,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1583455539,0,0,1),
(5210,0,0,0,'Grand Proclamation','Increase Power Pool of Group',0,0,0,0,0,0,0,1,'','','',0,0,'Spells/Commoner/HOTemplate.lua',717,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1583455543,0,0,1),
(5211,0,0,0,'Hero''s Armor','Increases Mitigation of caster vs physical damage by based on character level',29,0,0,0,0,0,0,0,'','','',0,1,'Spells/Commoner/HerosArmor.lua',649,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1583455547,0,0,1),
(5212,0,0,0,'Inspiring Piety','Divine damage and increase focus for 180sec',41,0,0,0,0,0,0,1,'','','',0,1,'Spells/Commoner/InspiringPiety.lua',643,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1583455551,0,0,1),
(5213,0,0,0,'Luck''s Bite','Deals X - Y piercing damage on target based on level.',0,0,0,0,0,0,0,1,'','','',0,1,'Spells/Commoner/LucksBite.lua',670,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1583455555,0,0,1),
(5214,0,0,0,'Luck''s Bite 2','Piercing damage + ?',0,0,0,0,0,0,0,1,'','','',0,0,'Spells/Commoner/HOTemplate.lua',700,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1583455560,0,0,1),
(5215,0,0,0,'Luminary Fate','Not confirmed Increase Power over Time ',0,0,0,0,0,0,0,1,'','','',0,0,'Spells/Commoner/HOTemplate.lua',718,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1583455564,0,0,1),
(5216,0,0,0,'Nature''s Growth','Group Heal over Time',0,0,0,0,0,0,0,2,'','','',0,0,'Spells/Commoner/HOTemplate.lua',667,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1583455567,0,0,1),
(5217,0,0,0,'Past''s Awakening','Massive Direct Damage (4x?) or Increase Spell Damage?, Increase Health and Power (100%?) ',0,0,0,0,0,0,0,1,'','','',0,0,'Spells/Commoner/HOTemplate.lua',689,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1583455571,0,0,1),
(5218,0,0,0,'Piercing Faith','piercing damage DD',0,0,0,0,0,0,0,1,'','','',0,1,'Spells/Commoner/PiercingFaith.lua',682,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1583455575,0,0,1),
(5219,0,0,0,'Raging Sword','Deals x - y slashing damage based on level to target.',0,0,0,0,0,0,0,1,'','','',0,1,'Spells/Commoner/RagingSword.lua',683,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1583455620,0,0,1),
(5220,0,0,0,'Resonating Cascade','Increases power replenishment.',185,0,317,0,0,0,0,2,'','','',0,1,'Spells/Commoner/ResonatingCascade.lua',719,'',4,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1583455625,0,0,1),
(5221,0,0,0,'Ringing Blow','Piercing DD (single target)',0,0,0,0,0,0,0,1,'','','',0,1,'Spells/Commoner/RingingBlow.lua',671,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1583455629,0,0,0),
(5222,0,0,0,'Scholar''s Insight','Increases Disruption skill of Mage and inflicts magic damage on target',0,0,0,0,0,0,0,1,'','','',0,0,'Spells/Commoner/HOTemplate.lua',629,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1583455632,0,0,1),
(5223,0,0,0,'Shield of Ancients','Increases mitigation of group',0,0,0,0,0,0,0,1,'','','',0,0,'Spells/Commoner/HOTemplate.lua',663,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1583455636,0,0,1),
(5224,0,0,0,'Shower of Daggers','Grants the opportunity finisher a chance to deal magic damage each successful melee hit.',86,0,0,0,0,0,0,0,'','','',0,1,'Spells/Commoner/ShowerofDaggers.lua',644,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1583455639,0,0,1),
(5225,0,0,0,'Sky Cleave','Slashing DD (target)',0,0,0,0,0,0,0,1,'','','',0,1,'Spells/Commoner/SkyCleave.lua',672,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1583455643,0,0,0),
(5226,0,0,0,'Soldier''s Gambit','Crushing damage + ?',0,0,0,0,0,0,0,1,'','','',0,0,'Spells/Commoner/HOTemplate.lua',699,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1583455651,0,0,1),
(5227,0,0,0,'Soldier''s Instinct','Grants a chance to increase attack speed on a successful attack that deals piercing, crushing, or slashing damage.',76,0,0,0,0,0,0,0,'','','',0,1,'Spells/Commoner/SoldiersInstinct.lua',645,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1583455654,0,0,1),
(5228,0,0,0,'Storm of Ancients','Encounter AoE Magic DD',0,0,0,0,0,0,0,2,'','','',0,1,'Spells/Commoner/StormofAncients.lua',630,'',4,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1583455658,0,0,1),
(5229,0,0,0,'Strength in Unity','Increase Strength and Agility of Group',0,0,0,0,0,0,0,2,'','','',0,0,'Spells/Commoner/HOTemplate.lua',690,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1583455661,0,0,1),
(5230,0,0,0,'Suffocating Wrath','Deals X - Y magic damage based on CLevel.',0,0,0,0,0,0,0,1,'','','',0,1,'Spells/Commoner/SuffocatingWrath.lua',673,'',4,0,0,0,0,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'DD',1583455665,0,0,1),
(5231,0,0,0,'Swindler''s Gift','Increases a party''s attack techniques for a short time.',56,0,0,0,0,0,0,2,'','','',0,1,'Spells/Commoner/SwindlersGift.lua',691,'',4,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1583455669,0,0,1),
(5232,0,0,0,'Swindler''s Luck','Increases a scout''s attack techniques for a short time.',19,0,314,0,0,0,0,0,'','','',0,1,'Spells/Commoner/SwindlersLuck.lua',692,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1583455672,0,0,0),
(5233,0,0,0,'Tears of Luclin','Powerful Magic Direct Damage',0,0,0,0,0,0,0,1,'','','',0,0,'Spells/Commoner/HOTemplate.lua',720,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1583455676,0,0,1),
(5234,0,0,0,'Thunder Slash','Slashing, magic and divine damage',0,0,0,0,0,0,0,1,'','','',0,1,'Spells/Commoner/ThunderSlash.lua',631,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1583455679,0,0,1),
(5235,0,0,0,'Trickster''s Grasp','Deals magic damage over time.',291,0,315,0,0,0,0,1,'','','',0,1,'Spells/Commoner/TrickstersGrasp.lua',632,'',4,0,0,0,0,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'DoT',1583455683,0,0,1),
(5236,0,0,0,'Trickster''s Grasp 2','Magic DoT',0,0,0,0,0,0,0,1,'','','',0,0,'Spells/Commoner/HOTemplate.lua',693,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DoT',1583455687,0,0,1),
(5237,0,0,0,'Trinity Divide','AoE Piercing damage',0,0,0,0,0,0,0,1,'','','',0,0,'Spells/Commoner/HOTemplate.lua',646,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1583455691,0,0,1),
(5238,0,0,0,'Verdant Trinity','Group Heal',0,0,0,0,0,0,0,2,'','','',0,0,'Spells/Commoner/VerdantTrinity.lua',687,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1583455694,0,0,1),
(5239,0,0,0,'Arcane Enlightenment','Magic Damage Encounter',0,0,0,0,0,0,0,1,'','','',0,1,'Spells/Commoner/ArcaneEnlightenment.lua',624,'',4,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1583455698,0,0,1),
(5240,0,0,0,'Arcane Storm','Encounter Magic AoE DD',0,0,0,0,0,0,0,2,'','','',0,1,'Spells/Commoner/ArcaneStorm.lua',625,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1583455703,0,0,1),
(5241,0,0,1,'Emerald Nightmare Pegasus','Emerald Nightmare Pegasus',7,0,0,0,0,0,1,0,'Emerald Nightmare Pegasus','','',0,0,'Spells/Commoner/EmeraldNightmarePegasus.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584414062,0,0,1),
(5242,0,0,1,'Frost Gryphon','Frost Gryphon\r\n',7,0,0,0,0,0,1,0,'Frost Gryphon','','',0,0,'Spells/Commoner/FrostGryphon.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584414067,0,0,1),
(5243,0,0,1,'Gwey Vastspan','Gwey Vastspan',7,0,0,0,0,0,1,0,'Gwey Vastspan','','',0,0,'Spells/Commoner/GweyVastspan.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584414072,0,0,1),
(5244,0,0,1,'Herlakar the Alluring Wyvern','Herlakar the Alluring Wyvern',7,0,0,0,0,0,1,0,'Herlakar the Alluring Wyvern','','',0,0,'Spells/Commoner/HerlakartheAlluringWyvern.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584414076,0,0,1),
(5245,0,0,1,'Hordus the Covetous Wyvern','Hordus the Covetous Wyvern',7,0,0,0,0,0,1,0,'Hordus the Covetous Wyvern','','',0,0,'Spells/Commoner/HordustheCovetousWyvern.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584414081,0,0,1),
(5246,0,0,1,'Majestic Pridewing','Majestic Pridewing',7,0,0,0,0,0,1,0,'Majestic Pridewing','','',0,0,'Spells/Commoner/MajesticPridewing.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584414085,0,0,1),
(5247,0,0,1,'Nightmare Flight Wings','Nightmare Flight Wings',7,0,0,0,0,0,1,0,'Nightmare Flight Wings','','',0,0,'Spells/Commoner/NightmareFlightWings.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584414090,0,0,1),
(5248,0,0,1,'Pegasus Feather Flight Wings','Pegasus Feather Flight Wings',7,0,0,0,0,0,1,0,'Pegasus Feather Flight Wings','','',0,0,'Spells/Commoner/PegasusFeatherFlightWings.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584414114,0,0,1),
(5249,0,0,1,'Prismatic Cloud','Prismatic Cloud',7,0,0,0,0,0,1,0,'Prismatic Cloud','','',0,0,'Spells/Commoner/PrismaticCloud.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584414119,0,0,1),
(5250,0,0,1,'Qeynos Protector Pegasus','Qeynos Protector Pegasus',7,0,0,0,0,0,1,0,'Qeynos Protector Pegasus','','',0,0,'Spells/Commoner/QeynosProtectorPegasus.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584414123,0,0,1),
(5251,0,0,1,'Reklaarn Onyxstorm','Reklaarn Onyxstorm',7,0,0,0,0,0,1,0,'Reklaarn Onyxstorm','','',0,0,'Spells/Commoner/ReklaarnOnyxstorm.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584414126,0,0,1),
(5252,0,0,1,'Sarlak the Frenzied Wyvern','Sarlak the Frenzied Wyvern',7,0,0,0,0,0,1,0,'Sarlak the Frenzied Wyvern','','',0,0,'Spells/Commoner/SarlaktheFrenziedWyvern.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584414130,0,0,1),
(5253,0,0,1,'Shadowscale Drakota','Shadowscale Drakota',7,0,0,0,0,0,1,0,'Shadowscale Drakota','','',0,0,'Spells/Commoner/ShadowscaleDrakota.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584414134,0,0,1),
(5254,0,0,1,'Skyshrine Drakota','Skyshrine Drakota',7,0,0,0,0,0,1,0,'Skyshrine Drakota','','',0,0,'Spells/Commoner/SkyshrineDrakota.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584414145,0,0,1),
(5255,0,0,1,'Stormscale Drakota','Stormscale Drakota',7,0,0,0,0,0,1,0,'Stormscale Drakota','','',0,0,'Spells/Commoner/StormscaleDrakota.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584414151,0,0,1),
(5256,0,0,1,'Sun-Blazoned Pegasus','Sun-Blazoned Pegasus',7,0,0,0,0,0,1,0,'Sun-Blazoned Pegasus','','',0,0,'Spells/Commoner/Sun-BlazonedPegasus.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584414156,0,0,1),
(5257,0,0,1,'Tan Canvas Oscillating Kajiggers','Tan Canvas Oscillating Kajiggers',7,0,0,0,0,0,1,0,'Tan Canvas Oscillating Kajiggers','','',0,0,'Spells/Commoner/TanCanvasOscillatingKajiggers.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584414160,0,0,1),
(5258,0,0,1,'Validon Stormweaver','Validon Stormweaver',7,0,0,0,0,0,1,0,'Validon Stormweaver','','',0,0,'Spells/Commoner/ValidonStormweaver.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584414164,0,0,1),
(5259,0,0,1,'Abyssal Carpet','Abyssal Carpet',7,0,0,0,0,0,1,0,'Abyssal Carpet','','',0,0,'Spells/Commoner/AbyssalCarpet.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584414168,0,0,1),
(5260,0,0,1,'Armored Highland Stalker whistle','Armored Highland Stalker whistle',7,0,0,0,0,0,1,0,'Armored Highland Stalker whistle','','',0,0,'Spells/Commoner/ArmoredHighlandStalkerwhistle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584414172,0,0,1),
(5261,0,0,1,'Armored Pinto','Armored Pinto',7,0,0,0,0,0,1,0,'Armored Pinto','','',0,0,'Spells/Commoner/ArmoredPinto.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584414176,0,0,1),
(5262,0,0,1,'Battlehardened Fighting Warg','Battlehardened Fighting Warg',7,0,0,0,0,0,1,0,'Battlehardened Fighting Warg','','',0,0,'Spells/Commoner/BattlehardenedFightingWarg.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584414180,0,0,1),
(5263,0,0,1,'Bearded Frost Rhino','Bearded Frost Rhino',7,0,0,0,0,0,1,0,'Bearded Frost Rhino','','',0,0,'Spells/Commoner/BeardedFrostRhino.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584414183,0,0,1),
(5264,0,0,1,'Bjorn','Bjorn',7,0,0,0,0,0,1,0,'Bjorn','','',0,0,'Spells/Commoner/Bjorn.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584414261,0,0,1),
(5265,0,0,1,'Black Nightmare with Purple Saddle','Black Nightmare with Purple Saddle',7,0,0,0,0,0,1,0,'Black Nightmare with Purple Saddle','','',0,0,'Spells/Commoner/BlackNightmarePurpleSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584414265,0,0,1),
(5266,0,0,1,'Black Striped Warg with Blue Saddle','Black Striped Warg with Blue Saddle',7,0,0,0,0,0,1,0,'Black Striped Warg with Blue Saddle','','',0,0,'Spells/Commoner/BlackStripedWargBlueSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584919285,0,0,1),
(5267,0,0,1,'Black Warg with Brown Saddle','Black Warg with Brown Saddle',7,0,0,0,0,0,1,0,'Black Warg with Brown Saddle','','',0,0,'Spells/Commoner/BlackWargBrownSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584919290,0,0,1),
(5268,0,0,1,'Black Warg with Green Saddle','Black Warg with Green Saddle',7,0,0,0,0,0,1,0,'Black Warg with Green Saddle','','',0,0,'Spells/Commoner/BlackWargwithGreenSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584919294,0,0,1),
(5269,0,0,1,'Blue Ancient Champions Flying Symbol','Blue Ancient Champions Flying Symbol',7,0,0,0,0,0,1,0,'Blue Ancient Champions Flying Symbol','','',0,0,'Spells/Commoner/BlueAncientChampionsFlyingSymbol.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584919297,0,0,1),
(5270,0,0,1,'Blue Nightmare with Black Saddle','Blue Nightmare with Black Saddle',7,0,0,0,0,0,1,0,'Blue Nightmare with Black Saddle','','',0,0,'Spells/Commoner/BlueNightmareBlackSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584919307,0,0,1),
(5271,0,0,1,'Boneclaw, Fetidspine Prowler','Boneclaw, Fetidspine Prowler',7,0,0,0,0,0,1,0,'Boneclaw, Fetidspine Prowler','','',0,0,'Spells/Commoner/BoneclawFetidspineProwler.lua',0,'This model might not be accurate',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584919310,0,0,1),
(5272,0,0,1,'Bregolon the Burly','Bregolon the Burly',7,0,0,0,0,0,1,0,'Bregolon the Burly','','',0,0,'Spells/Commoner/BregolontheBurly.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584919315,0,0,1),
(5273,0,0,1,'Brown Mistrunner Warg with Blue Armor','Brown Mistrunner Warg with Blue Armor',7,0,0,0,0,0,1,0,'Brown Mistrunner Warg with Blue Armor','','',0,0,'Spells/Commoner/BrownMistrunnerWargBlueArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584919318,0,0,1),
(5274,0,0,1,'Brown Mistrunner Warg with Orange Armor','Brown Mistrunner Warg with Orange Armor',7,0,0,0,0,0,1,0,'Brown Mistrunner Warg with Orange Armor','','',0,0,'Spells/Commoner/BrownMistrunnerWargOrangeArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584919322,0,0,1),
(5275,0,0,1,'Brown Mistrunner Warg with Purple Armor','Brown Mistrunner Warg with Purple Armor',7,0,0,0,0,0,1,0,'Brown Mistrunner Warg with Purple Armor','','',0,0,'Spells/Commoner/BrownMistrunnerWargwithPurpleArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584919325,0,0,1),
(5276,0,0,1,'Brown Mistrunner Warg with Red Armor','Brown Mistrunner Warg with Red Armor',7,0,0,0,0,0,1,0,'Brown Mistrunner Warg with Red Armor','','',0,0,'Spells/Commoner/BrownMistrunnerWargwithRedArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584919329,0,0,1),
(5277,0,0,1,'Brown Spotted Warg with Red Saddle','Brown Spotted Warg with Red Saddle',7,0,0,0,0,0,1,0,'Brown Spotted Warg with Red Saddle','','',0,0,'Spells/Commoner/BrownSpottedWargwithRedSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584919332,0,0,1),
(5278,0,0,1,'Brown Striped Warg with Blue Saddle','Brown Striped Warg with Blue Saddle',7,0,0,0,0,0,1,0,'Brown Striped Warg with Blue Saddle','','',0,0,'Spells/Commoner/BrownStripedWargwithBlueSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584919336,0,0,1),
(5279,0,0,1,'Brown Warg with Brown Saddle','Brown Warg with Brown Saddle',7,0,0,0,0,0,1,0,'Brown Warg with Brown Saddle','','',0,0,'Spells/Commoner/BrownWargwithBrownSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584919339,0,0,1),
(5280,0,0,1,'Brown Warg with Green Saddle','Brown Warg with Green Saddle',937,0,0,0,0,0,1,0,'Brown Warg with Green Saddle','','',0,0,'Spells/Commoner/BrownWargwithGreenSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1584919342,0,0,1),
(5281,0,0,0,'Enlightenment','Sometimes gives power when you are struck.(heroic opp from arcane-enlightenment)',15,0,0,0,0,0,0,0,'','','',0,1,'Spells/Commoner/Enlightenment.lua',678,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1585621605,0,0,1),
(5282,0,0,1,'Carpet of Clover','Carpet of Clover',7,0,0,0,0,0,1,0,'Carpet of Clover','','',0,0,'Spells/Commoner/CarpetofClover.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1585624025,0,0,1),
(5283,0,0,1,'Dallyn''s Trotter','Dallyn''s Trotter',7,0,0,0,0,0,1,0,'Dallyn''s Trotter','','',0,0,'Spells/Commoner/DallynsTrotter.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1585624029,0,0,1),
(5284,0,0,1,'Dark Armored Rhino','Dark Armored Rhino',7,0,0,0,0,0,1,0,'Dark Armored Rhino','','',0,0,'Spells/Commoner/DarkArmoredRhino.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1585624034,0,0,1),
(5285,0,0,1,'Dark Armored Warg','Dark Armored Warg',7,0,0,0,0,0,1,0,'Dark Armored Warg','','',0,0,'Spells/Commoner/DarkArmoredWarg.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1585624327,0,0,1),
(5286,0,0,1,'Deadly Dire Wolf','Deadly Dire Wolf',7,0,0,0,0,0,1,0,'Deadly Dire Wolf','','',0,0,'Spells/Commoner/DeadlyDireWolf.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1585879785,0,0,1),
(5287,0,0,1,'Deathclaw, Fetidspine Prowler','Deathclaw, Fetidspine Prowler',7,0,0,0,0,0,1,0,'Deathclaw, Fetidspine Prowler','','',0,0,'Spells/Commoner/DeathclawFetidspineProwler.lua',0,'This model might not be accurate',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1585880497,0,0,1),
(5288,0,0,1,'Deepwater Disk of the Scion','Deepwater Disk of the Scion',7,0,0,0,0,0,1,0,'Deepwater Disk of the Scion','','',0,0,'Spells/Commoner/DeepwaterDiskScion.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1585880973,0,0,1),
(5289,0,0,0,'5-Year Firework','Claim reward 5-Year Firework',0,0,0,0,0,0,0,0,'MURICA FUCK YEAH!','Fireworks!','',0,0,'',1599,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586018257,0,0,1),
(5290,0,0,0,'Gust of Insight','Increases power of caster by 2 instantly and every 5 seconds.',438,0,313,0,0,0,0,0,'','','',0,0,'Spells/Commoner/GustofInsight.lua',304,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586018880,0,0,1),
(5291,0,0,0,'Spirit of the Beetles','',438,0,317,0,0,0,0,0,'','','',0,0,'Spells/Commoner/SpiritoftheBeetles.lua',17,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586021358,0,0,1),
(5292,0,0,0,'Spirit of the Frog','',191,0,317,0,0,0,0,0,'','','',0,0,'Spells/Commoner/SpiritoftheFrog.lua',17,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586025447,0,0,1),
(5293,0,0,0,'Spirit of the Rat','',168,0,317,0,0,0,0,0,'','','',0,0,'Spells/Commoner/SpiritoftheRat.lua',17,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586028954,0,0,1),
(5294,0,0,0,'Spirit of the Goblin','',269,0,317,0,0,0,0,0,'','','',0,0,'Spells/Commoner/SpiritoftheGoblin.lua',17,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586037201,0,0,1),
(5295,0,0,0,'Spirit of the Cockatrice','',278,0,317,0,0,0,0,0,'','','',0,0,'Spells/Commoner/SpiritoftheCockatrice.lua',17,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586038906,0,0,1),
(5296,0,0,0,'Spirit of the Hawk','',169,0,317,0,0,0,0,0,'','','',0,0,'Spells/Commoner/SpiritoftheHawk.lua',17,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586040932,0,0,1),
(5297,0,0,0,'Spirit of the Monkey','',269,0,317,0,0,0,0,0,'','','',0,0,'Spells/Commoner/SpiritoftheMonkey.lua',17,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586041881,0,0,1),
(5298,0,0,0,'Spirit Totem of the Bamboo','',269,0,317,0,0,0,0,0,'','','',0,0,'Spells/Commoner/SpiritTotemoftheBamboo.lua',17,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586042584,0,0,1),
(5299,0,0,0,'Spirit Totem of the Fearstalker','',278,0,317,0,0,0,0,0,'','','',0,0,'Spells/Commoner/SpiritTotemoftheFearstalker.lua',17,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586042848,0,0,1),
(5300,0,0,0,'Spirit of the Lion','',334,0,317,0,0,0,0,0,'','','',0,0,'Spells/Commoner/SpiritoftheLion.lua',17,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586043108,0,0,1),
(5301,0,0,0,'Spirit Totem of the Wolf','',226,0,0,0,0,0,0,0,'','','',0,0,'Spells/Commoner/SpiritTotemoftheWolf.lua',17,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586043725,0,0,1),
(5302,0,0,0,'Spirit of the Bear','',634,0,317,0,0,0,0,0,'','','',0,0,'Spells/Commoner/SpiritoftheBear.lua',17,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586045297,0,0,1),
(5303,0,0,0,'Totem of the Enduring Spirit','',239,0,318,0,0,0,0,0,'','','',0,0,'Spells/Commoner/TotenoftheEnduringSpirit.lua',17,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586046451,0,0,1),
(5304,0,0,1,'Dervish Destrier with Black Saddle','Dervish Destrier with Black Saddle',7,0,0,0,0,0,1,0,'Dervish Destrier with Black Saddle','','',0,0,'Spells/Commoner/DervishDestrierBlackSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586055419,0,0,1),
(5305,0,0,1,'Dervish Destrier with Blue Saddle','Dervish Destrier with Blue Saddle',7,0,0,0,0,0,1,0,'Dervish Destrier with Blue Saddle','','',0,0,'Spells/Commoner/DervishDestrierBlueSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586056566,0,0,1),
(5306,0,0,1,'Dervish Destrier with Green Saddle','Dervish Destrier with Green Saddle',7,0,0,0,0,0,1,0,'Dervish Destrier with Green Saddle','','',0,0,'Spells/Commoner/DervishDestrierGreenSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586057316,0,0,1),
(5307,0,0,1,'Dervish Destrier with Pink Saddle','Dervish Destrier with Pink Saddle',7,0,0,0,0,0,1,0,'Dervish Destrier with Pink Saddle','','',0,0,'Spells/Commoner/DervishDestrierPinkSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586057828,0,0,1),
(5308,0,0,1,'Dervish Destrier with Purple Saddle','Dervish Destrier with Purple Saddle',7,0,0,0,0,0,1,0,'Dervish Destrier with Purple Saddle','','',0,0,'Spells/Commoner/DervishDestrierPurpleSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586058217,0,0,1),
(5309,0,0,1,'Dervish Destrier with Red Saddle','Dervish Destrier with Red Saddle',7,0,0,0,0,0,1,0,'Dervish Destrier with Red Saddle','','',0,0,'Spells/Commoner/DervishDestrierRedSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586058674,0,0,1),
(5310,0,0,1,'Dervish Destrier with White Saddle','Dervish Destrier with White Saddle',7,0,0,0,0,0,1,0,'Dervish Destrier with White Saddle','','',0,0,'Spells/Commoner/DervishDestrierWhiteSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586059014,0,0,1),
(5311,0,0,1,'Dervish Destrier with Yellow Saddle','Dervish Destrier with Yellow Saddle',7,0,0,0,0,0,1,0,'Dervish Destrier with Yellow Saddle','','',0,0,'Spells/Commoner/DervishDestrierYellowSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586059360,0,0,1),
(5312,0,0,0,'Spirit of the Beholder','',269,0,317,0,0,0,0,0,'','','',0,0,'Spells/Commoner/SpiritoftheBeholder.lua',17,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586138300,0,0,1),
(5313,0,0,0,'Spirit Totem of the Chokidai','',226,0,0,0,0,0,0,0,'','','',0,0,'Spells/Commoner/SpiritTotemoftheChokidai.lua',17,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586138717,0,0,1),
(5314,0,0,0,'Spirit of the Carnivorous Plant','',278,0,317,0,0,0,0,0,'','','',0,0,'Spells/Commoner/SpiritoftheCarnivorousPlant.lua',17,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586139067,0,0,1),
(5315,0,0,0,'Spirit of the Cobra','',278,0,317,0,0,0,0,0,'','','',0,0,'Spells/Commoner/SpiritoftheCobra.lua',17,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586143251,0,0,1),
(5316,0,0,0,'Spirit of the Bat','',169,0,317,0,0,0,0,0,'','','',0,1,'Spells/Commoner/SpiritoftheBat.lua',17,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586144653,0,0,1),
(5317,0,0,0,'Spirit of the White Bear','',634,0,317,0,0,0,0,0,'','','',0,0,'Spells/Commoner/SpiritoftheWhiteBear.lua',17,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586146088,0,0,1),
(5318,0,0,0,'Spirit of the Winged Viper','',238,0,317,0,0,0,0,0,'','','',0,0,'Spells/Commoner/SpiritoftheWingedViper.lua',17,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586147508,0,0,1),
(5319,0,0,0,'Spirit of the Tiger','',232,0,317,0,0,0,0,0,'','','',0,0,'Spells/Commoner/SpiritoftheTiger.lua',17,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586148183,0,0,1),
(5320,0,0,1,'Discord''s Enduring Disk','Discord''s Enduring Disk',7,0,0,0,0,0,1,0,'Discord''s Enduring Disk','','',0,0,'Spells/Commoner/DiscordEnduringDisk.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586221942,0,0,1),
(5321,0,0,1,'Discord''s Prescient Disk','Discord''s Prescient Disk',7,0,0,0,0,0,1,0,'Discord''s Prescient Disk','','',0,0,'Spells/Commoner/DiscordPrescientDisk.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586225647,0,0,1),
(5322,0,0,1,'Disk of Chaotic Energy','Disk of Chaotic Energy',7,0,0,0,0,0,1,0,'Disk of Chaotic Energy','','',0,0,'Spells/Commoner/DiskChaoticEnergy.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586226347,0,0,1),
(5323,0,0,1,'Ebon Vanguard Steed','Ebon Vanguard Steed',7,0,0,0,0,0,1,0,'Ebon Vanguard Steed','','',0,0,'Spells/Commoner/EbonVanguardSteed.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586649814,0,0,1),
(5324,0,0,1,'Ebon Warbarded Parade Horse','Ebon Warbarded Parade Horse',7,0,0,0,0,0,1,0,'Ebon Warbarded Parade Horse','','',0,0,'Spells/Commoner/EbonWarbardedParadeHorse.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586650677,0,0,1),
(5325,0,0,1,'Elevation of the Renda''dal','Elevation of the Renda''dal',7,0,0,0,0,0,1,0,'Elevation of the Renda''dal','','',0,0,'Spells/Commoner/ElevationheRendadal.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586652527,0,0,1),
(5326,0,0,1,'Enchanted Warg','Enchanted Warg',7,0,0,0,0,0,1,0,'Enchanted Warg','','',0,0,'Spells/Commoner/EnchantedWarg.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586653707,0,0,1),
(5327,0,0,1,'Energized Tinkerfest Hovercog','Energized Tinkerfest Hovercog',7,0,0,0,0,0,1,0,'Energized Tinkerfest Hovercog','','',0,0,'Spells/Commoner/EnergizedTinkerfestHovercog.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586654832,0,0,1),
(5328,0,0,1,'Ethereal Prowler','Ethereal Prowler',7,0,0,0,0,0,1,0,'Ethereal Prowler','','',0,0,'Spells/Commoner/EtherealProwler.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586655426,0,0,1),
(5329,0,0,1,'Ethereal Skeletal Prowler','Ethereal Skeletal Prowler',7,0,0,0,0,0,1,0,'Ethereal Skeletal Prowler','','',0,0,'Spells/Commoner/EtherealSkeletalProwler.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586656308,0,0,1),
(5330,0,0,1,'Ethernere Cloud','Ethernere Cloud',7,0,0,0,0,0,1,0,'Ethernere Cloud','','',0,0,'Spells/Commoner/EthernereCloud .lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586656736,0,0,1),
(5331,0,0,1,'Faris'' Disk of Meditation','Faris'' Disk of Meditation',7,0,0,0,0,0,1,0,'Faris'' Disk of Meditation','','',0,0,'Spells/Commoner/FarisDiskMeditation.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586746199,0,0,1),
(5332,0,0,1,'Fiery Dire Bear','Fiery Dire Bear',7,0,0,0,0,0,1,0,'Fiery Dire Bear','','',0,0,'Spells/Commoner/FieryDireBear.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586748163,0,0,1),
(5333,0,0,1,'Fiery Horse','Fiery Horse',7,0,0,0,0,0,1,0,'Fiery Horse','','',0,0,'Spells/Commoner/FieryHorse.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586748562,0,0,1),
(5334,0,0,1,'Fire Spirit Horse','Fire Spirit Horse',7,0,0,0,0,0,1,0,'Fire Spirit Horse','','',0,0,'Spells/Commoner/FireSpiritHorse.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586749286,0,0,1),
(5335,0,0,1,'Fitzpitzle''s Hover Platform','Fitzpitzle''s Hover Platform',7,0,0,0,0,0,1,0,'Fitzpitzle''s Hover Platform','','',0,0,'Spells/Commoner/FitzpitzleHoverPlatform.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586822501,0,0,1),
(5336,0,0,1,'Frost Dire Bear','Frost Dire Bear',7,0,0,0,0,0,1,0,'Frost Dire Bear','','',0,0,'Spells/Commoner/FrostDireBear.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586826722,0,0,1),
(5337,0,0,1,'Frost Horse','Frost Horse',7,0,0,0,0,0,1,0,'Frost Horse','','',0,0,'Spells/Commoner/FrostHorse.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586827436,0,0,1),
(5338,0,0,1,'Frostspirit Unicorn','Frostspirit Unicorn',7,0,0,0,0,0,1,0,'Frostspirit Unicorn','','',0,0,'Spells/Commoner/FrostspiritUnicorn.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586827991,0,0,1),
(5339,0,0,1,'Ghostly Dark Warg','Ghostly Dark Warg',7,0,0,0,0,0,1,0,'Ghostly Dark Warg','','',0,0,'Spells/Commoner/GhostlyDarkWarg.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586828861,0,0,1),
(5340,0,0,1,'Ghostly Warg','Ghostly Warg',7,0,0,0,0,0,1,0,'Ghostly Warg','','',0,0,'Spells/Commoner/GhostlyWarg.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586829829,0,0,1),
(5341,0,0,1,'Glacial Battle Steed','Glacial Battle Steed',7,0,0,0,0,0,1,0,'Glacial Battle Steed','','',0,0,'Spells/Commoner/GlacialBattleSteed.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1586830869,0,0,1),
(5342,0,0,1,'Glacial Brute','Glacial Brute',7,0,0,0,0,0,1,0,'Glacial Brute','','',0,0,'Spells/Commoner/GlacialBrute.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587002080,0,0,1),
(5343,0,0,1,'Glacial Rhino','Glacial Rhino',7,0,0,0,0,0,1,0,'Glacial Rhino','','',0,0,'Spells/Commoner/GlacialRhino.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587003713,0,0,1),
(5344,0,0,1,'Glacial Savage','Glacial Savage',7,0,0,0,0,0,1,0,'Glacial Savage','','',0,0,'Spells/Commoner/GlacialSavage.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587004330,0,0,1),
(5345,0,0,1,'Glacial Warg','Glacial Warg',7,0,0,0,0,0,1,0,'Glacial Warg','','',0,0,'Spells/Commoner/GlacialWarg.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587004828,0,0,1),
(5346,0,0,1,'Gnomish Hovering Device','Gnomish Hovering Device',7,0,0,0,0,0,1,0,'Gnomish Hovering Device','','',0,0,'Spells/Commoner/GnomishHoveringDevice.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587005429,0,0,1),
(5347,0,0,1,'Gorowyn Destrier whistle','Gorowyn Destrier whistle',7,0,0,0,0,0,1,0,'Gorowyn Destrier whistle','','',0,0,'Spells/Commoner/GorowynDestrierwhistle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587085645,0,0,1),
(5348,0,0,1,'Graol','Graol',7,0,0,0,0,0,1,0,'Graol','','',0,0,'Spells/Commoner/Graol.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587088358,0,0,1),
(5349,0,0,1,'Gray Mustang Pack Horse','Gray Mustang Pack Horse',7,0,0,0,0,0,1,0,'Gray Mustang Pack Horse','','',0,0,'Spells/Commoner/GrayMustangPackHorse.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587090482,0,0,1),
(5350,0,0,1,'Green Ancient Champions Flying Symbol','Green Ancient Champions Flying Symbol',7,0,0,0,0,0,1,0,'Green Ancient Champions Flying Symbol','','',0,0,'Spells/Commoner/GreenAncientChampionsFlyingSymbol.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587345228,0,0,1),
(5351,0,0,1,'Grey Spotted Warg with Red Saddle','Grey Spotted Warg with Red Saddle',7,0,0,0,0,0,1,0,'Grey Spotted Warg with Red Saddle','','',0,0,'Spells/Commoner/GreySpottedWargwithRedSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,5017,0,0,0,0,0,1,0,0,0,'Unset',1587347423,0,0,1),
(5352,0,0,1,'Grey Striped Warg with Blue Saddle','Grey Striped Warg with Blue Saddle',7,0,0,0,0,0,1,0,'Grey Striped Warg with Blue Saddle','','',0,0,'Spells/Commoner/GreyStripedWargBlueSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587350744,0,0,1),
(5353,0,0,1,'Grey Warg with Brown Saddle','Grey Warg with Brown Saddle',7,0,0,0,0,0,1,0,'Grey Warg with Brown Saddle','','',0,0,'Spells/Commoner/GreyWargwithBrownSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587351777,0,0,1),
(5354,0,0,1,'Grey Warg with Green Saddle','Grey Warg with Green Saddle',7,0,0,0,0,0,1,0,'Grey Warg with Green Saddle','','',0,0,'Spells/Commoner/GreyWargwithGreenSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587433916,0,0,1),
(5355,0,0,1,'Highland Stalker whistle','Highland Stalker whistle',7,0,0,0,0,0,1,0,'Highland Stalker whistle','','',0,0,'Spells/Commoner/HighlandStalkerwhistle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587434761,0,0,1),
(5356,0,0,1,'Hillrunner Pack Horse','Hillrunner Pack Horse',7,0,0,0,0,0,1,0,'Hillrunner Pack Horse','','',0,0,'Spells/Commoner/HillrunnerPackHorse.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587435324,0,0,1),
(5357,0,0,1,'Horse of a Different Color','Horse of a Different Color',7,0,0,0,0,0,1,0,'Horse of a Different Color','','',0,0,'Spells/Commoner/HorseoDifferentColor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587436442,0,0,1),
(5358,0,0,1,'Hotwired Gnomish Hoverpad','Hotwired Gnomish Hoverpad',7,0,0,0,0,0,1,0,'Hotwired Gnomish Hoverpad','','',0,0,'Spells/Commoner/HotwiredGnomishHoverpad.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587437255,0,0,1),
(5359,0,0,1,'Illuminated Tinkerfest Hovercog','Illuminated Tinkerfest Hovercog',7,0,0,0,0,0,1,0,'Illuminated Tinkerfest Hovercog','','',0,0,'Spells/Commoner/IlluminatedTinkerfestHovercog.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587684665,0,0,1),
(5360,0,0,1,'Kelethin Courser whistle','Kelethin Courser whistle',7,0,0,0,0,0,1,0,'Kelethin Courser whistle','','',0,0,'Spells/Commoner/KelethinCourserwhistle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587686842,0,0,1),
(5361,0,0,1,'Lavaborn Warg','Lavaborn Warg',7,0,0,0,0,0,1,0,'Lavaborn Warg','','',0,0,'Spells/Commoner/LavabornWarg.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587688341,0,0,1),
(5362,0,0,1,'Lavawalker''s Stallion','Lavawalker''s Stallion',7,0,0,0,0,0,1,0,'Lavawalker''s Stallion','','',0,0,'Spells/Commoner/LavawalkersStallion.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587689610,0,0,1),
(5363,0,2,0,'Gigglegibber Giggle Giver','',0,0,0,0,0,0,0,0,'','','',1,0,'Spells/Commoner/GigglegibberGiggleGiver.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1587773026,0,0,1),
(5364,0,0,1,'Maj''dul Carpet','Maj''dul Carpet',7,0,0,0,0,0,1,0,'Maj''dul Carpet','','',0,0,'Spells/Commoner/Maj''dulCarpet.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587869019,0,0,1),
(5365,0,0,1,'Maj''dul Enchanted Carpet','Maj''dul Enchanted Carpet',7,0,0,0,0,0,1,0,'Maj''dul Enchanted Carpet','','',0,0,'Spells/Commoner/Maj''dulEnchantedCarpet.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587869742,0,0,1),
(5366,0,0,1,'Mana Spirit Horse','Mana Spirit Horse',7,0,0,0,0,0,1,0,'Mana Spirit Horse','','',0,0,'Spells/Commoner/ManaSpiritHorse.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587870318,0,0,1),
(5367,0,0,1,'Meleen''s Mare','Meleen''s Mare',7,0,0,0,0,0,1,0,'Meleen''s Mare','','',0,0,'Spells/Commoner/Meleen''s Mare.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587870762,0,0,1),
(5368,0,0,1,'Midnight Mistrunner with Pink Saddle','Midnight Mistrunner with  Pink Saddle',7,0,0,0,0,0,1,0,'Midnight Mistrunner with Pink Saddle','','',0,0,'Spells/Commoner/MidnightMistrunnerPinkSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587952151,0,0,1),
(5369,0,0,1,'Midnight Mistrunner with Blue Saddle','Midnight Mistrunner with Blue Saddle',7,0,0,0,0,0,1,0,'Midnight Mistrunner with Blue Saddle','','',0,0,'Spells/Commoner/MidnightMistrunnerBlueSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587953411,0,0,1),
(5370,0,0,1,'Midnight Mistrunner with Gold Saddle','Midnight Mistrunner with Gold Saddle',7,0,0,0,0,0,1,0,'Midnight Mistrunner with Gold Saddle','','',0,0,'Spells/Commoner/MidnightMistrunnerGoldSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587953706,0,0,1),
(5371,0,0,1,'Midnight Mistrunner with Red Saddle','Midnight Mistrunner with Red Saddle',7,0,0,0,0,0,1,0,'Midnight Mistrunner with Red Saddle','','',0,0,'Spells/Commoner/MidnightMistrunnerRedSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587954046,0,0,1),
(5372,0,0,1,'Mistrunner Horse with Blue Saddle','Mistrunner Horse with Blue Saddle',7,0,0,0,0,0,1,0,'Mistrunner Horse with Blue Saddle','','',0,0,'Spells/Commoner/MistrunnerHorseBlueSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587954327,0,0,1),
(5373,0,0,1,'Mistrunner Horse with Purple Saddle','Mistrunner Horse with Purple Saddle',7,0,0,0,0,0,1,0,'Mistrunner Horse with Purple Saddle','','',0,0,'Spells/Commoner/MistrunnerHorsePurpleSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1587955385,0,0,1),
(5374,0,0,1,'Moltenspirit Unicorn','Moltenspirit Unicorn',7,0,0,0,0,0,1,0,'Moltenspirit Unicorn','','',0,0,'Spells/Commoner/MoltenspiritUnicorn.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588036488,0,0,1),
(5375,0,0,1,'Myron''s Combustible Gearskif','Myron''s Combustible Gearskif',7,0,0,0,0,0,1,0,'Myron''s Combustible Gearskif','','',0,0,'Spells/Commoner/MyronsCombustibleGearskif.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588037475,0,0,1),
(5376,0,0,1,'Myron''s Energized Gearskif','Myron''s Energized Gearskif',7,0,0,0,0,0,1,0,'Myron''s Energized Gearskif','','',0,0,'Spells/Commoner/MyronsEnergizedGearskif.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588038291,0,0,1),
(5377,0,0,1,'Myron''s Illuminated Gearskif','Myron''s Illuminated Gearskif',7,0,0,0,0,0,1,0,'Myron''s Illuminated Gearskif','','',0,0,'Spells/Commoner/MyronsIlluminatedGearskif.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588038797,0,0,1),
(5378,0,0,1,'Mystic Order of Rime Icemare','Mystic Order of Rime Icemare',7,0,0,0,0,0,1,0,'Mystic Order of Rime Icemare','','',0,0,'Spells/Commoner/MysticOrderRimeIcemare.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588212540,0,0,1),
(5379,0,0,1,'New Halasian Courser whistle','New Halasian Courser whistle',7,0,0,0,0,0,1,0,'New Halasian Courser whistle','','',0,0,'Spells/Commoner/NewHalasianCourserwhistle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588214456,0,0,1),
(5380,0,0,1,'Opalescent Prowler','Opalescent Prowler',7,0,0,0,0,0,1,0,'Opalescent Prowler','','',0,0,'Spells/Commoner/OpalescentProwler.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588215023,0,0,1),
(5381,0,0,1,'Rujarkian Destrier with Black Saddle','Rujarkian Destrier with Black Saddle',7,0,0,0,0,0,1,0,'Rujarkian Destrier with Black Saddle','','',0,0,'Spells/Commoner/RujarkianDestrierBlackSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588216282,0,0,1),
(5382,0,0,1,'Rujarkian Destrier with Blue Saddle','Rujarkian Destrier with Blue Saddle',7,0,0,0,0,0,1,0,'Rujarkian Destrier with Blue Saddle','','',0,0,'Spells/Commoner/RujarkianDestrierBlueSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588298171,0,0,1),
(5383,0,0,1,'Rujarkian Destrier with Green Saddle','Rujarkian Destrier with Green Saddle',7,0,0,0,0,0,1,0,'Rujarkian Destrier with Green Saddle','','',0,0,'Spells/Commoner/RujarkianDestrierGreenSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588298652,0,0,1),
(5384,0,0,1,'Rujarkian Destrier with Pink Saddle','Rujarkian Destrier with Pink Saddle',7,0,0,0,0,0,1,0,'Rujarkian Destrier with Pink Saddle','','',0,0,'Spells/Commoner/RujarkianDestrierPinkSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588299253,0,0,1),
(5385,0,0,1,'Rujarkian Destrier with Purple Saddle','Rujarkian Destrier with Purple Saddle',7,0,0,0,0,0,1,0,'Rujarkian Destrier with Purple Saddle','','',0,0,'Spells/Commoner/RujarkianDestrierPurpleSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588299685,0,0,1),
(5386,0,0,1,'Rujarkian Destrier with Red Saddle','Rujarkian Destrier with Red Saddle',7,0,0,0,0,0,1,0,'Rujarkian Destrier with Red Saddle','','',0,0,'Spells/Commoner/RujarkianDestrierRedSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588300068,0,0,1),
(5387,0,0,1,'Rujarkian Destrier with White Saddle','Rujarkian Destrier with White Saddle',7,0,0,0,0,0,1,0,'Rujarkian Destrier with White Saddle','','',0,0,'Spells/Commoner/RujarkianDestrierWhiteSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588300466,0,0,1),
(5388,0,0,1,'Rujarkian Destrier with Yellow Saddle','Rujarkian Destrier with Yellow Saddle',7,0,0,0,0,0,1,0,'Rujarkian Destrier with Yellow Saddle','','',0,0,'Spells/Commoner/RujarkianDestrierYellowSaddle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588300755,0,0,1),
(5389,0,0,1,'Ykeshan Spellbear with Silvered Black Armor','Ykeshan Spellbear with Silvered Black Armor',7,0,0,0,0,0,1,0,'Ykeshan Spellbear with Silvered Black Armor','','',0,0,'Spells/Commoner/YkeshanSpellbearSilveredBlackArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588558461,0,0,1),
(5390,0,0,1,'Ykeshan Spellbear with Silvered Blue Armor','Ykeshan Spellbear with Silvered Blue Armor',7,0,0,0,0,0,1,0,'Ykeshan Spellbear with Silvered Blue Armor','','',0,0,'Spells/Commoner/YkeshanSpellbearSilveredBlueArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588560159,0,0,1),
(5391,0,0,1,'Ykeshan Spellbear with Silvered Red Armor','Ykeshan Spellbear with Silvered Red Armor',7,0,0,0,0,0,1,0,'Ykeshan Spellbear with Silvered Red Armor','','',0,0,'Spells/Commoner/YkeshanSpellbearSilveredRedArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588560642,0,0,1),
(5392,0,0,1,'Ykeshan Warbear with Golden Blue Armor','Ykeshan Warbear with Golden Blue Armor',7,0,0,0,0,0,1,0,'Ykeshan Warbear with Golden Blue Armor','','',0,0,'Spells/Commoner/YkeshanSpellbearGoldenBlueArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588561219,0,0,1),
(5393,0,0,1,'Ykeshan Warbear with Golden Black Armor','Ykeshan Warbear with Golden Black Armor',7,0,0,0,0,0,1,0,'Ykeshan Warbear with Golden Black Armor','','',0,0,'Spells/Commoner/YkeshanSpellbearGoldenBlackArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588561645,0,0,1),
(5394,0,0,1,'Ykeshan Warbear with Golden Red Armor','Ykeshan Warbear with Golden Red Armor',7,0,0,0,0,0,1,0,'Ykeshan Warbear with Golden Red Armor','','',0,0,'Spells/Commoner/YkeshanSpellbearGoldenRedArmor.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588561921,0,0,1),
(5395,0,0,1,'Sinister Prowler','Sinister Prowler',7,0,0,0,0,0,1,0,'Sinister Prowler','','',0,0,'Spells/Commoner/SinisterProwler.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588562422,0,0,1),
(5396,0,0,1,'Sinister Skeletal Prowler','Sinister Skeletal Prowler',7,0,0,0,0,0,1,0,'Sinister Skeletal Prowler','','',0,0,'Spells/Commoner/SinisterSkeletalProwler.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588562783,0,0,1),
(5397,0,0,1,'Winter Wolf','Winter Wolf',7,0,0,0,0,0,1,0,'Winter Wolf','','',0,0,'Spells/Commoner/WinterWolf.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588643598,0,0,1),
(5398,0,0,1,'Voidspirit Unicorn ','Voidspirit Unicorn ',7,0,0,0,0,0,1,0,'Voidspirit Unicorn ','','',0,0,'Spells/Commoner/VoidspiritUnicorn .lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588644719,0,0,1),
(5399,0,0,1,'Velium Demon Steed','Velium Demon Steed',7,0,0,0,0,0,1,0,'Velium Demon Steed','','',0,0,'Spells/Commoner/VeliumDemonSteed.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588645330,0,0,1),
(5400,0,0,1,'Ulteran Prowler','Ulteran Prowler',7,0,0,0,0,0,1,0,'Ulteran Prowler','','',0,0,'Spells/Commoner/UlteranProwler.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588646060,0,0,1),
(5401,0,0,1,'Ulteran Skeletal Prowler','Ulteran Skeletal Prowler',7,0,0,0,0,0,1,0,'Ulteran Skeletal Prowler','','',0,0,'Spells/Commoner/UlteranSkeletalProwler.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588646961,0,0,1),
(5402,0,0,1,'Ornate Maj''dul Carpet','Ornate Maj''dul Carpet',7,0,0,0,0,0,1,0,'Ornate Maj''dul Carpet','','',0,0,'Spells/Commoner/OrnateMajdulCarpet.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588647192,0,0,1),
(5403,0,0,1,'Order of Flame Lava-threaded Carpet','Order of Flame Lava-threaded Carpet',7,0,0,0,0,0,1,0,'Order of Flame Lava-threaded Carpet','','',0,0,'Spells/Commoner/OrderFlameLavathreadedCarpet.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588818608,0,0,1),
(5404,0,0,1,'Order of Rime Icemare','Order of Rime Icemare',7,0,0,0,0,0,1,0,'Order of Rime Icemare','','',0,0,'Spells/Commoner/OrderRimeIcemare.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588820179,0,0,1),
(5405,0,0,1,'Overclocked Gnomish Hovering Device','Overclocked Gnomish Hovering Device',7,0,0,0,0,0,1,0,'Overclocked Gnomish Hovering Device','','',0,0,'Spells/Commoner/OverclockedGnomishHoveringDevice.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588900903,0,0,1),
(5406,0,0,1,'Pack Unicorn','Pack Unicorn',7,0,0,0,0,0,1,0,'Pack Unicorn','','',0,0,'Spells/Commoner/PackUnicorn.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588902573,0,0,1),
(5407,0,0,1,'Pale Armored Albino Warg','Pale Armored Albino Warg',7,0,0,0,0,0,1,0,'Pale Armored Albino Warg','','',0,0,'Spells/Commoner/PaleArmoredAlbinoWarg.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588903624,0,0,1),
(5408,0,0,1,'Pale Armored Rhino','Pale Armored Rhino',7,0,0,0,0,0,1,0,'Pale Armored Rhino','','',0,0,'Spells/Commoner/PaleArmoredRhino.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588904560,0,0,1),
(5409,0,0,1,'Pink Unicorn','Pink Unicorn',7,0,0,0,0,0,1,0,'Pink Unicorn','','',0,0,'Spells/Commoner/PinkUnicorn.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1589158638,0,0,1),
(5410,0,0,1,'A pink-saddled white tiger collar','A pink-saddled white tiger collar',7,0,0,0,0,0,1,0,'A pink-saddled white tiger collar','','',0,0,'Spells/Commoner/Apinksaddledwhitetigercollar.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1589159565,0,0,1),
(5411,0,0,1,'Quadror the Stou','Quadror the Stou',7,0,0,0,0,0,1,0,'Quadror the Stou','','',0,0,'Spells/Commoner/QuadrortheStou.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1589161433,0,0,1),
(5412,0,0,1,'Red Ancient Champions Flying Symbol','Red Ancient Champions Flying Symbol',7,0,0,0,0,0,1,0,'Red Ancient Champions Flying Symbol','','',0,0,'Spells/Commoner/RedAncientChampionsFlyingSymbol.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1589163219,0,0,1),
(5413,0,0,1,'Reinforced Warg','Reinforced Warg',7,0,0,0,0,0,1,0,'Reinforced Warg','','',0,0,'Spells/Commoner/ReinforcedWarg.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1589164050,0,0,1),
(5414,0,0,1,'Rhyan''s Mustang','Rhyan''s Mustang',7,0,0,0,0,0,1,0,'Rhyan''s Mustang','','',0,0,'Spells/Commoner/RhyansMustang.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1589248520,0,0,1),
(5415,0,0,1,'Rilissian Soldier''s Rhino','Rilissian Soldier''s Rhino',7,0,0,0,0,0,1,0,'Rilissian Soldier''s Rhino','','',0,0,'Spells/Commoner/RilissianSoldierRhino.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1589249575,0,0,1),
(5416,0,0,1,'Rilissian War Rhino','Rilissian War Rhino',7,0,0,0,0,0,1,0,'Rilissian War Rhino','','',0,0,'Spells/Commoner/RilissianWarRhino.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1589251108,0,0,1),
(5417,0,0,1,'Saryrn Deathcharger','Saryrn Deathcharger',7,0,0,0,0,0,1,0,'Saryrn Deathcharger','','',0,0,'Spells/Commoner/SaryrnDeathcharger.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1589409886,0,0,1),
(5418,0,0,1,'Scorn, Disk of the Deathmage','Scorn, Disk of the Deathmage',7,0,0,0,0,0,1,0,'Scorn, Disk of the Deathmage','','',0,0,'Spells/Commoner/ScornDiskDeathmage.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1589411093,0,0,1),
(5419,0,0,1,'Seeker''s Disc of Darktruth','Seeker''s Disc of Darktruth',7,0,0,0,0,0,1,0,'Seeker''s Disc of Darktruth','','',0,0,'Spells/Commoner/SeekerDiscDarktruth.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1589412204,0,0,1),
(5420,0,0,1,'Shard of Love Unicorn','Shard of Love Unicorn',7,0,0,0,0,0,1,0,'Shard of Love Unicorn','','',0,0,'Spells/Commoner/ShardLoveUnicorn.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1589413283,0,0,1),
(5421,0,0,1,'Sootfoot Spiky Lava Cow','Sootfoot Spiky Lava Cow',7,0,0,0,0,0,1,0,'Sootfoot Spiky Lava Cow','','',0,0,'Spells/Commoner/SootfootSpikyLavaCow.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1589507249,0,0,1),
(5422,0,0,1,'Spirit Steed','Spirit Steed',7,0,0,0,0,0,1,0,'Spirit Steed','','',0,0,'Spells/Commoner/SpiritSteed.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1589508324,0,0,1),
(5423,0,0,1,'Stalwart Snow Stallion','Stalwart Snow Stallion',7,0,0,0,0,0,1,0,'Stalwart Snow Stallion','','',0,0,'Spells/Commoner/StalwartSnowStallion.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1589508823,0,0,1),
(5424,0,0,1,'Steed of the Blazing Sun','Steed of the Blazing Sun',7,0,0,0,0,0,1,0,'Steed of the Blazing Sun','','',0,0,'Spells/Commoner/SteedBlazingSun.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1589510161,0,0,1),
(5425,0,0,1,'Steed of the Death Lord','Steed of the Death Lord',7,0,0,0,0,0,1,0,'Steed of the Death Lord','','',0,0,'Spells/Commoner/SteedDeathLord.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1589768795,0,0,1),
(5426,0,0,1,'TVosh','TVosh',7,0,0,0,0,0,1,0,'TVosh','','',0,0,'Spells/Commoner/TVosh.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1589769582,0,0,1),
(5427,0,0,1,'Takha''s Stallion','Takha''s Stallion',7,0,0,0,0,0,1,0,'Takha''s Stallion','','',0,0,'Spells/Commoner/TakhasStallion.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1589850492,0,0,1),
(5428,0,0,1,'Timber Wolf Mount Whistle','Timber Wolf Mount Whistle',7,0,0,0,0,0,1,0,'Timber Wolf Mount Whistle','','',0,0,'Spells/Commoner/TimberWolfMountWhistle.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1589851044,0,0,1),
(5429,0,0,1,'Void Prowler','Void Prowler',7,0,0,0,0,0,1,0,'Void Prowler','','',0,0,'Spells/Commoner/VoidProwler.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1589851399,0,0,1),
(5430,0,0,1,'Malefic Fury','',234,0,317,0,0,0,1,0,'Malefic Fury was successful on %t!','','',1,1,'Spells/Commoner/MaleficFury.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1590802137,0,0,1),
(5431,0,0,0,'Cripple','',234,0,317,2711101135,0,0,0,1,'','','',1,1,'Spells/Commoner/Cripple.lua',0,'',4,0,0,0,0,1,1,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1598017573,0,0,1),
(5432,0,0,1,'Aura of the Ratonga','',922,0,314,0,0,0,1,0,'','','',1,0,'Spells/Commoner/AuraoftheRatonga.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1598212080,0,0,1),
(5433,0,0,1,'Barbarian Tendencies','Allows the user to have a drink while sitting.',922,0,314,0,0,0,1,0,'','','',1,0,'Spells/Commoner/BarbarianTendencies.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1599340169,0,0,1),
(5434,0,0,0,'Venomous Runes','Inflicts X - Y poison damage on target instantly and every 4 seconds',240,0,316,193411854,0,0,0,1,'','','',0,1,'Spells/Commoner/VenomousRunes.lua',300,'',4,0,0,0,0,0,3,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1601079683,0,0,1),
(5435,0,0,0,'Primal Instincts','',234,0,317,0,0,0,0,1,'','','',0,1,'Spells/Commoner/PrimalInstincts.lua',61,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1601127884,0,0,1),
(5436,0,0,0,'Flametongue','Inflicts X - Y heat damage on target instantly and every second',240,0,316,2662430630,0,105,0,1,'','','',0,1,'Spells/Commoner/Flametongue.lua',78,'',4,0,0,0,0,0,4,0,0,0,0,0,0,0,0,1,0,0,0,'DoT',1601137938,0,0,0),
(5437,0,0,0,'Nihilistics','Inflicts 39 - 47 poison damage on target encounter',240,0,316,0,0,0,0,2,'','','',0,1,'Spells/Commoner/Nihilistics.lua',300,'',4,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1601139422,0,0,1),
(5438,0,0,0,'Bravado','--     Increases Hate Gain of caster by 5.0%\r\n--     Increases Haste of caster by 28.5\r\n--     Dispelled when target takes damaget',240,0,316,2950599749,0,0,0,0,'','','',0,1,'Spells/Commoner/Bravado.lua',300,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1601249636,0,0,1),
(5439,0,0,0,'Abhorrence','Inflicts 12 - 22 poison damage on target encounter',240,0,316,3191839982,0,0,0,2,'','','',0,1,'Spells/Commoner/Abhorrence.lua',300,'',4,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1601330813,0,0,1),
(5440,0,0,0,'Mana Boon','When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  \r\nIncreases power of target by 3 instantly and every 4 seconds\r\nIncreases power of caster by 3 instantly and every 4 seconds',356,0,317,0,0,0,0,1,'','','',0,0,'Spells/Commoner/ManaBoon.lua',1714,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1601333352,0,0,1),
(5441,0,0,0,'Concurrence','When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  \r\nIncreases power of target by 12\r\nIncreases power of caster by 12',356,0,317,2662430630,0,0,0,1,'','','',0,1,'Spells/Commoner/Concurrence.lua',1714,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1601338945,0,0,1),
(5442,0,0,0,'Lich''s Siphoning','-- On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  \r\n--     Inflicts 72 disease damage on target\r\n--     Heals caster for 48',240,0,316,0,0,0,0,1,'','','',0,1,'Spells/Commoner/LichSiphoning.lua',300,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1601422621,0,0,1),
(5443,0,0,0,'Distract','Disorientation',356,0,317,3341842907,0,0,0,0,'','','',1,1,'Spells/Commoner/Disorientation.lua',1714,'',4,0,0,0,1,0,0,4,0,0,0,0,0,0,0,1,0,0,0,'Unset',1601501931,0,0,1),
(5444,0,0,0,'Linked Pain','Linked Pain',356,0,317,0,0,0,0,1,'','','',0,1,'Spells/Commoner/LinkedPain.lua',1714,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1601503078,0,0,1),
(5445,0,0,0,'Shock of Mana','--     Inflicts 32 - 39 magic damage on target',240,0,316,0,0,0,0,1,'','','',0,1,'Spells/Commoner/ShockofMana.lua',300,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1601682521,0,0,1),
(5446,0,0,0,'Blamed','Increases hate gain by X',240,0,316,0,0,0,0,1,'','','',0,1,'Spells/Commoner/Blamed.lua',0,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1603646847,0,0,1),
(5447,0,0,0,'Combat Glory','Heals Group for X',240,0,316,0,0,0,0,2,'','','',0,1,'Spells/Commoner/GlorySubspell.lua',0,'',4,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1603752198,0,0,1),
(5448,0,0,0,'Salvation','On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  \r\nHeals target for 512\r\nIncreases Mitigation of target vs physical damage by 369',240,0,316,2581053277,0,0,0,0,'','','',0,1,'Spells/Commoner/Salvation.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1603757211,0,0,1),
(5449,0,0,0,'Mark of Nobility','Heals target for x instantly and every 2 seconds for 8 seconds.',240,0,316,0,0,0,0,1,'','','',0,1,'Spells/Commoner/MarkofNobility.lua',0,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1603764988,0,0,1),
(5450,0,0,0,'Tendrils of Fear','--     Decreases DPS of target by 15.2\r\n--     Decreases Haste of target by 12.1',240,0,316,3191839982,0,0,0,1,'','','',0,1,'Spells/Commoner/TendrilsofFear.lua',0,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1603837939,0,0,1),
(5451,0,0,0,'Feral Tenacity','Feral Tenacity',240,0,316,1624274802,0,0,0,1,'','','',0,1,'Spells/Commoner/FeralTenacitySubSpell.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1603841660,0,0,1),
(5452,0,0,0,'Pin','--     Roots target\r\n--     5% chance to dispel when target takes damage\r\n--     5% chance to dispel when target receives hostile action\r\n--     Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',240,0,316,0,0,0,0,1,'','','',0,1,'Spells/Commoner/Pin.lua',0,'',4,0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1603855403,0,0,1),
(5453,0,0,0,'Favor of the Phoenix','Favor of the Phoenix',240,0,316,3282420779,0,0,0,6,'','','',0,0,'Spells/Commoner/FavorofthePhoenix.lua',0,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1604590055,0,0,1),
(5454,0,0,0,'Spirit Guide','Spirit Guide',240,0,316,3343700951,0,0,0,6,'','','',0,0,'Spells/Commoner/SpiritGuideItem.lua',0,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1604590721,0,0,1),
(5455,0,0,0,'Vitae','Vitae is bestowed to those with Bestowal of Vitae.\r\n\r\nThis Icon should not be visible for longer than a second.',240,0,316,0,0,0,0,0,'','','',0,1,'Spells/Procs/Vitae.lua',721,'',4,0,0,0,1,0,0,0,0,5455,1,0,0,0,0,1,0,0,0,'Heal',1605048579,0,0,0),
(5456,0,0,1,'Living Nightmare','',696,65535,65535,0,0,0,1,1,'','','',0,1,'Spells/ZoneSpells/LivingNightmare.lua',0,'',4,0,0,0,0,0,4,0,1,0,0,0,1,0,0,1,0,0,0,'Unset',1609009434,0,0,1),
(5457,0,4,1,'Rusty Spikes','',696,65535,65535,0,0,0,1,1,'','','',0,0,'Spells/ZoneSpells/LivingNightmare.lua',0,'',4,0,0,0,0,0,1,0,1,0,0,0,0,0,0,0,0,0,0,'Unset',1609011439,0,0,1),
(5458,0,4,1,'Ghostly Flames','',696,65535,65535,0,0,0,1,1,'','','',0,0,'Spells/ZoneSpells/LivingNightmare.lua',0,'',4,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1609012175,0,0,1),
(5459,0,0,1,'courier costume','',5,65535,313,0,0,0,1,0,'','','',0,1,'Spells/Commoner/couriercostume.lua',0,'',4,0,0,0,1,0,0,0,1,0,1,0,0,0,0,1,0,0,0,'Unset',1609985642,0,0,1),
(5460,0,0,0,'Madness','',240,0,316,0,0,0,0,0,'','','',0,0,'Spells/Commoner/VisionofMadnessSub.lua',300,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1610203927,0,0,1),
(5461,0,0,0,'Ice Lash','',240,0,316,0,0,0,0,1,'','','',0,0,'Spells/Commoner/FrigidGiftSub.lua',300,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1610205324,0,0,1),
(5462,0,4,0,'Homemade Meal','Description needed',130,0,0,0,0,0,0,0,'','','',0,1,'Spells/Commoner/HomemadeMealGeneric.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,1,0,0,1,0,0,0,'Food',1611526411,0,0,0),
(5463,0,4,0,'Homemade Drink','Description needed',131,0,0,0,0,0,0,0,'','','',0,1,'Spells/Commoner/HomemadeDrinkGeneric.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,1,0,0,1,0,0,0,'Drink',1611526437,0,0,0),
(5464,0,4,0,'Arcane Remedy','',0,0,0,0,0,0,0,0,'','','',0,0,'Spells/Commoner/ArcaneRemedyGeneric.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1611526684,0,0,1),
(5465,0,4,0,'Elemental Remedy','',0,0,0,0,0,0,0,0,'','','',0,0,'Spells/Commoner/ElementalRemedyGeneric.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1611526707,0,0,1),
(5466,0,4,0,'Trauma Remedy','',0,0,0,0,0,0,0,0,'','','',0,0,'Spells/Commoner/TraumaRemedyGeneric.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1611526728,0,0,1),
(5467,0,4,0,'Flask of Achievements I','',0,0,0,0,0,0,0,0,'','','',0,0,'Spells/Commoner/BoombasPickles.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1611527167,0,0,1),
(5468,0,4,1,'Frenzy','This orc has consumed Bloodskull Frenzy Root.',60,65535,0,1433335062,0,0,1,0,'','','',0,1,'Spells/Commoner/FrenzyOrcSpell.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1618936234,0,0,0),
(5469,0,4,1,'Bloodskull Root Frenzy','This orc has consumed Bloodskull Frenzy Root.',60,65535,0,0,0,0,1,0,'','','',0,0,'Spells/Commoner/BloodskullRootFrenzy.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1619023402,0,0,1),
(5470,0,0,0,'Hate Spores','',160,0,315,0,0,0,0,1,'','','',0,1,'Spells/Commoner/HateSpores.lua',2171,'',4,0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1624227880,0,0,0),
(5471,0,0,0,'Hate Blossom','',207,0,315,0,0,0,0,1,'','','',0,1,'Spells/Commoner/HateBlossom.lua',0,'',4,0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1624227890,0,0,1),
(5472,0,0,0,'Spiteweed Rash','',234,0,315,0,0,0,0,1,'','','',0,1,'Spells/Commoner/SpiteweedRash.lua',0,'',4,0,0,0,0,0,3,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1624228727,0,0,0),
(5473,0,0,0,'Regal Arc','',160,0,315,0,0,0,0,1,'','','',0,1,'Spells/Commoner/RegalArc.lua',407,'',4,1,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1651437619,0,0,0),
(5474,0,0,0,'Soul Tide','',160,0,315,0,0,0,0,1,'','','',0,0,'Spells/Commoner/KingZalakSoulTide.lua',407,'',4,1,0,0,0,1,2,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1651454171,0,0,1),
(5475,0,0,0,'Noble Wrath','Handles Ferith Anar''s DD',160,0,315,0,0,0,0,1,'','','',0,1,'Spells/Commoner/NobleWrath.lua',784,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1653156585,0,0,0),
(5476,0,0,0,'Royal Pixie Dust','Deals instant mental damage. This spell has a fast casting time.',161,0,315,0,0,0,0,1,'Royal Pixie Dust','Royal Pixie Dust','',1,0,'Spells/Generic/SingleTargetDD.lua',301,'Royal Pixie Dust',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1653157015,0,0,0),
(5477,0,0,0,'Goblin Healing','Instantly heals some of target ally''s health.\n\n \n\n\"They pray for peace, but we''d rather have healing.\" - an unknown soldier',158,12,316,0,0,0,0,1,'Your Goblin Healing was successful on %t!','Your Goblin Healing fades.','',1,0,'Spells/Priest/MinorHealing.lua',53,'You cast Goblin Healing on %t.',0,1,0,1,1,0,0,0,0,110012,0,0,0,0,0,1,0,0,0,'Heal',1663339947,0,0,0),
(5478,0,1,1,'Ooze','Physical damage mitigation for Mire Bogs.',514,65535,317,1408356869,0,0,1,0,'','','',0,0,'Spells/Fighter/Ooze.lua',0,'',1,0,0,1,1,1,0,0,0,30000,0,0,0,0,0,1,0,0,0,'Unset',1663469075,0,0,1),
(5479,0,2,0,'Blessing of Lasydia','Grants water-breathing to the chosen of Lasydia. \r\n\r\n\"Lasydia - Deliverer of the drowned and caretaker of the castaway.\"',19,65535,314,0,0,0,0,0,'','Your Blessing of Lasydia fades.','',0,1,'Spells/Blessing_of_Lasydia.lua',68,'You are filled with the Blessing of Lasydia.',2,0,0,0,1,0,0,0,0,0,0,0,1,0,0,1,0,0,0,'Buff',1664114782,0,0,0),
(5480,0,0,0,'Crippling Trap','You attack and move more slowly.',261,0,320,0,0,0,0,1,'','','',0,0,'',161,'',4,0,0,0,0,1,3,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1665458570,0,0,0),
(5481,0,0,0,'Poison Trap','Deals poison damage over time.',234,0,317,0,0,0,0,1,'','','',1,0,'Spells/Commoner/Cripple.lua',0,'',4,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1665458579,0,0,1),
(5482,0,0,0,'Disease Trap','Lowers your attributes.',651,0,320,0,0,0,0,1,'','','',1,0,'Spells/Commoner/Cripple.lua',120,'',4,0,0,0,0,1,3,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1665458588,0,0,1),
(5483,0,0,0,'Stun Trap','You are stunned.',642,0,320,0,0,0,0,1,'','','',1,0,'Spells/Commoner/Cripple.lua',330,'',4,0,0,0,0,1,1,4,0,0,0,0,0,0,0,0,0,0,0,'Unset',1665458595,0,0,1),
(5484,0,0,0,'Ice Trap','',234,0,317,0,0,0,0,1,'','','',1,0,'Spells/Commoner/Cripple.lua',131,'',4,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1665458602,0,0,1),
(5485,0,0,0,'Fire Trap','',234,0,317,0,0,0,0,1,'','','',1,0,'Spells/Commoner/Cripple.lua',328,'',4,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1665458631,0,0,1),
(5486,0,0,0,'Needle Trap','',234,0,317,0,0,0,0,1,'','','',1,0,'Spells/Commoner/Cripple.lua',254,'',4,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1665458639,0,0,1),
(5487,0,0,0,'Deadly Trap','',234,0,317,0,0,0,0,1,'','','',1,0,'Spells/Commoner/Cripple.lua',175,'',4,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1665458645,0,0,1),
(5488,0,0,0,'Dazzling Trap','',234,0,317,0,0,0,0,1,'','','',1,0,'Spells/Commoner/Cripple.lua',0,'',4,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1665458654,0,0,1),
(5489,0,0,0,'Cripple','',234,0,317,2711101135,0,0,0,1,'','','',1,0,'Spells/Commoner/Cripple.lua',0,'',4,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1665458663,0,0,1),
(5490,0,0,0,'Cripple','',234,0,317,2711101135,0,0,0,1,'','','',1,0,'Spells/Commoner/Cripple.lua',0,'',4,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1665458671,0,0,1),
(5491,0,0,0,'Dwarven Battle Bread','Battle Bread',0,0,0,0,0,0,0,1,'MURICA FUCK YEAH!','EAT SOME BREAD BITCH','',0,1,'Spells/Commoner/DwarvenBattleBread.lua',1460,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1665861184,0,0,0),
(5492,0,1,0,'Banish!','Player is banished from the immediate area.',512,0,315,1408356869,0,0,0,1,'%t has been banished from the area!','Your Wild Swing fades.','',0,0,'Spells/Fighter/Banish!.lua',400,'You cast Banish! on %t.',1,0,0,1,0,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1667747442,0,0,0),
(5493,0,1,0,'Telluric Strike','Increases the target''s hate towards the fighter.',161,2,315,1408356869,0,5,0,1,'Your Telluric Strike was successful on %t!','Your Telluric Strike fades.','',1,1,'Spells/Pet/TelluricStrike.lua',841,'You cast Telluric Strike on %t.',1,0,0,1,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1668782561,0,0,0),
(5494,0,1,0,'Scarab''s Snapping Mandibles','Tellurian Scarab''s magic DD.',375,5,315,0,0,5,0,1,'Your Snapping Mandible was successful on %t!','Your Snapping Mandible fades.','',0,1,'Spells/Pet/ScarabsSnappingMandibles.lua',1019,'You cast Snapping Mandible on %t.',1,0,0,1,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1668805738,0,0,0),
(5495,0,1,0,'Tellurian Force','Tellurian recruit Magic  DD + Stun.  App4+',477,5,315,1408356869,0,5,0,1,'Your Tellurian Force was successful on %t!','Your Tellurian Force fades.','',1,0,'Spells/Pet/TellurianForce.lua',1022,'You cast Tellurian Force on %t.',1,0,0,1,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1668809660,0,0,0),
(5496,0,0,0,'Flame Surge','Inflicts 38 - 46 heat damage on target instantly and every second',240,0,316,0,0,0,0,1,'','','',0,0,'Spells/Commoner/FlameSurge.lua',300,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1668829815,0,0,1),
(5497,0,1,0,'Telluric Bash','Tellurian Recruit Magic DD+Knockdown',326,3,315,0,0,10,0,1,'Your Telluric Bash was successful on %t!','Your Telluric Bash fades.','',1,1,'Spells/Pet/TelluricBash.lua',705,'You cast Telluric Bash on %t.',1,0,0,1,0,0,0,0,0,30016,0,0,0,0,0,1,0,0,0,'Unset',1668837891,0,0,0),
(5498,0,1,0,'Obsidian Webbing','Tellurian Crawler Magic DD + Root',369,24,315,0,0,5,0,1,'Your Obsidian Webbing was successful on %t!','Your Obsidian Webbing fades.','',1,1,'Spells/Mage/ObsidianWebbing.lua',170,'You cast Obsidian Webbing on %t.',1,0,0,1,0,0,2,0,0,5498,0,0,0,0,0,1,0,0,0,'Root',1668903799,0,0,0),
(5499,0,0,0,'Unifying Essence','',0,0,0,0,0,0,0,0,'Your Unifying Essence was successful on %t!','Your Unifying Essence fades.','',0,0,'Spells/UnifyingEssence.lua',85,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1669477428,0,0,1),
(5500,0,0,0,'Ensnare','Ice Snare proc.',0,0,0,1921433074,0,0,0,1,'','','',0,0,'Spells/Procs/Ensnare.lua',131,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1669675167,0,0,1),
(5501,0,0,0,'Ensnare','Ice Snare Proc.  10 second, ice visuals.',308,41,315,1921433074,0,0,0,1,'Your Ensnare was successful on %t!','Your Ensnare fades.','',0,0,'Spells/Procs/Ensnare.lua',131,'You cast Ensnare on %t.',0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,1,0,0,0,'Snare',1669675220,0,0,0),
(5502,0,0,0,'Blink','Blink teleport proc.',477,27,313,287643040,0,0,0,0,'Your Blink was successful on %t!','Your Blink fades.','',0,0,'Spells/Procs/Blink.lua',2122,'You cast Blink on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1669755385,0,0,0),
(5503,0,0,0,'Nettleshield Thorns','Nettleshield damage shield proc.',0,0,0,0,0,0,0,1,'Your test was successful on %t!','Your test fades.','',0,0,'Spells/Procs/NettleshieldThorns.lua',1,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1669823517,0,0,0),
(5504,0,0,0,'RootImmunity','Root Immunity for Epic NPCs after being initially rooted.',0,0,0,0,0,0,0,0,'','','',0,0,'Spells/Procs/RootImmunity.lua',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1669829516,0,0,0),
(5505,0,0,0,'Migraine','DD proc for Enchanter Cerebral Spasm spell line.',0,0,0,0,0,0,0,1,'Your Migraine was successful on %t!','Your Migrain fades.','',0,0,'Spells/Procs/Migraine.lua',71,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1670139206,0,0,0),
(5506,0,1,0,'Wild Swing','A melee attack that does some extra damage.',273,0,315,1408356869,0,15,0,1,'Your Wild Swing was successful on %t!','Your Wild Swing fades.','',0,0,'Spells/Fighter/WildSwingFire.lua',283,'You cast Wild Swing on %t.',1,0,0,1,0,0,0,0,0,10019,0,0,0,0,0,1,0,0,0,'Unset',1677793677,0,0,0),
(5508,0,0,0,'Minor Healing','Instantly heals some of target ally''s health.\n\n \n\n\"They pray for peace, but we''d rather have healing.\" - an unknown soldier',158,12,316,2463145248,366253016,15,0,2,'Your Minor Healing was successful on %t!','Your Minor Healing fades.','',1,0,'Spells/Priest/MinorHealingGrimgash.lua',53,'You cast Minor Healing on %t.',0,0,0,1,1,0,0,0,0,110012,0,0,0,0,0,1,0,0,0,'Unset',1677795245,0,0,1),
(5509,0,0,0,'Minor Healing','Instantly heals some of target ally''s health.\n\n \n\n\"They pray for peace, but we''d rather have healing.\" - an unknown soldier',158,12,316,2463145248,366253016,15,0,2,'Your Minor Healing was successful on %t!','Your Minor Healing fades.','',1,0,'Spells/Priest/MinorHealingHighChief.lua',53,'You cast Minor Healing on %t.',0,0,0,1,1,0,0,0,0,110012,0,0,0,0,0,1,0,0,0,'Unset',1677816411,0,0,1),
(5510,0,1,0,'Stun','Stun Proc.  ',348,0,315,0,0,0,0,1,'Your Stun was successful on %t!','Your Stun fades.','',0,1,'Spells/Procs/Stun.lua',551,'You cast Stun on %t.',1,0,0,0,0,0,1,4,0,0,0,0,0,0,0,1,0,0,0,'Unset',1694319771,0,0,0),
(5511,0,0,0,'Combat Healing','Instantly heals some of target ally''s health.',158,12,316,3341842907,366253016,80,0,1,'Your Combat Healing was successful on %t!','Your Combat Healing fades.','',1,0,'Spells/Priest/Cleric/LadonCombatHealing.lua',14,'You cast Combat Healing on %t.',0,0,0,1,1,0,0,0,0,110012,0,0,0,0,0,1,0,0,0,'Unset',1708980079,0,0,1),
(5512,0,2,1,'Dragon Hide','',368,5,317,0,0,0,1,0,'','','',0,0,'Spells/Commoner/LadonDragonHide.lua',1008,'',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1709003778,0,0,0),
(5513,0,2,1,'Dervish Mastery','',370,5,317,0,0,0,1,0,'','','',0,1,'Spells/Commoner/MarcusWarklarHide.lua',371,'',4,0,0,0,1,0,0,0,1,0,1,0,0,0,0,1,0,0,0,'Unset',1709245440,0,0,0),
(5514,0,2,0,'Poison Breath','Anguis'' Poison Breath',368,0,315,0,0,0,0,1,'','','',1,0,'Spells/PoisonBreath.lua',70,'',0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1710265744,0,0,1),
(5516,0,2,1,'Dragon Hide','',368,5,317,0,0,0,1,0,'','','',0,0,'Spells/Commoner/AnguisDragonHide.lua',1008,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1710266096,0,0,1),
(5517,0,0,0,'Test of the Wolf','',226,0,0,0,0,0,0,0,'','','',0,0,'Spells/Commoner/SpiritTotemoftheWolf.lua',17,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1746465473,0,0,1),
(8000,1434051002,2,0,'Aanya''s Enforced Worship','Coerces the target to perform an action.',160,65535,316,2950599749,0,250,0,1,'Your Aanya''s Enforced Worship was successful on %t!','Your Aanya''s Enforced Worship fades.','',1,0,'Spells/Commoner/AanyasEnforcedWorship.lua',0,'You cast Aanya''s Enforced Worship on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384711708,1384377850,0,1),
(8001,1724329583,2,0,'Acidic Fireball','',481,65535,315,0,0,0,0,1,'Your Acidic Fireball was successful on %t!','Your Acidic Fireball fades.','',1,0,'',0,'You cast Acidic Fireball on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377859,0,1),
(8002,2247788359,2,1,'Al''Cenari''s Scaled Companion','Summons a familiar to the Wizard''s side.',237,65535,317,0,0,0,1,0,'Your Al''Cenari''s Scaled Companion was successful on %t!','Your Al''Cenari''s Scaled Companion fades.','',1,0,'Spells/Commoner/GenericCosmeticPet.lua',165,'You cast Al''Cenari''s Scaled Companion on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670342,1384367310,0,1),
(8003,1696299194,2,1,'Al''Kabor''s Flaming Visage','Causes the wizard to be encased in raging fires.',190,65535,317,0,0,0,1,0,'Your Al''Kabor''s Flaming Visage was successful on %t!','Your Al''Kabor''s Flaming Visage fades.','',1,0,'Spells/Commoner/GenericVisualState.lua',0,'You cast Al''Kabor''s Flaming Visage on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670342,1384377892,0,1),
(8004,2378791706,2,0,'Amygdalan Assault','\"Yes! Destroy the enemy!\" \n-Vilucidae commanding an assault against Harla Dar''s lyceum',732,65535,315,0,0,0,0,1,'Your Amygdalan Assault was successful on %t!','Your Amygdalan Assault fades.','',1,0,'',0,'You cast Amygdalan Assault on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8005,522085441,2,0,'Angel of Death','Call forth the faithful and blessed with eternal life!',789,65535,313,0,0,0,0,1,'Your Angel of Death was successful on %t!','Your Angel of Death fades.','',1,0,'',0,'You cast Angel of Death on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377860,0,1),
(8006,3113238740,2,0,'Anvils of Fizzlethorpe','\"I don''t care if there are ten or a hundred orcs out there, I''ve got a gift from Bristlebane for ''em!\" \n-Unidentified barbarian captain',706,65535,315,0,0,0,0,1,'Your Anvils of Fizzlethorpe was successful on %t!','Your Anvils of Fizzlethorpe fades.','',1,0,'',0,'You cast Anvils of Fizzlethorpe on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8007,3762411983,2,0,'Aquavision','Provides clear vision underwater, removing any blur. \n\n',167,65535,317,0,0,0,0,0,'Your Aquavision was successful on %t!','Your Aquavision fades.','',1,0,'Spells/Traditions/Aquavision.lua',0,'You cast Aquavision on %t.',2,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1589732720,1384378116,0,1),
(8008,2004564425,2,0,'Arcane Soothing','Rodcet Nife can soothe the most chaotic mind with sermons of health and wellness.\n-- Proctor Eiolie, Priest of Rodcet Nife',786,65535,317,0,0,0,0,1,'Your Arcane Soothing was successful on %t!','Your Arcane Soothing fades.','',1,0,'',0,'You cast Arcane Soothing on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8009,2404396676,2,0,'Armies of the Underfoot','\"And may my armies be the dirt on the field, the cracks in the ground and the rocks on the mountains.\" \n-Brell Serilis',734,65535,312,0,0,0,0,1,'Your Armies of the Underfoot was successful on %t!','Your Armies of the Underfoot fades.','',1,0,'',0,'You cast Armies of the Underfoot on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8010,3857369345,2,0,'Armor of Faith','Don the armor of life itself and protection from the deadliest foes will be yours.',787,65535,317,0,0,0,0,1,'Your Armor of Faith was successful on %t!','Your Armor of Faith fades.','',1,0,'',0,'You cast Armor of Faith on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8011,4089230609,2,0,'Aura Sense','Shows a glow around magical beings',167,65535,317,0,0,0,0,0,'Your Aura Sense was successful on %t!','Your Aura Sense fades.','',1,1,'Spells/Commoner/AuraSense.lua',0,'You cast Aura Sense on %t.',2,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670342,1360617700,0,1),
(8012,854923789,2,0,'Aura of Tranquility','\"If you wish to understand conflict, you must understand tranquility.\" \n-Seta Bakindo, the Silent Fist Clan',726,65535,317,0,0,0,0,1,'Your Aura of Tranquility was successful on %t!','Your Aura of Tranquility fades.','',1,0,'',0,'You cast Aura of Tranquility on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8013,1359700741,2,0,'Baleful Storm','\"Let those that doubt be forewarned!  The storms of Karana can block out the very light of the sun and rip the world asunder!\" \n-Jale Phlintoes',782,65535,315,0,0,0,0,1,'Your Baleful Storm was successful on %t!','Your Baleful Storm fades.','',1,0,'',0,'You cast Baleful Storm on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8014,3740067059,2,0,'Battle Chaos','\"In the chaos of battle all hope of order is lost and intellect gives way to instinct.\" \n-Commandant Tychus',725,65535,317,0,0,0,0,1,'Your Battle Chaos was successful on %t!','Your Battle Chaos fades.','',1,0,'',0,'You cast Battle Chaos on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8015,4274466006,2,0,'Battlegod''s Furor','\"The fury of Rallos will not be denied by the cowards or the peaceful.\" \n-Suteng',724,65535,317,0,0,0,0,1,'Your Battlegod''s Furor was successful on %t!','Your Battlegod''s Furor fades.','',1,0,'',0,'You cast Battlegod''s Furor on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8016,3073518031,2,0,'Battlerage','\"Do not allow our soldiers to think, for thinking will lead them to abandon their posts.\" \n-The Overlord, Lucan D''Lere',725,65535,317,0,0,0,0,1,'Your Battlerage was successful on %t!','Your Battlerage fades.','',1,0,'',0,'You cast Battlerage on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8017,3034112512,2,1,'Berserker''s Fury','\"How did you do that?  How is it that you''re not burnt to a crisp?\"\n\n\"Better not to ask questions, kid.\"\n\nThrough concentration and intense rage, a berserker can channel his anger and cause his body to shimmer with flame.',377,65535,317,0,0,0,1,0,'Your Berserker''s Fury was successful on %t!','Your Berserker''s Fury fades.','',1,0,'Spells/Commoner/GenericVisualState.lua',0,'You cast Berserker''s Fury on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670342,1384377844,0,1),
(8018,3688681590,2,0,'Bertoxxulous'' Curse','\"May all of his curses done unto others be done unto you as blessings, and may they grant you power that others cannot imagine.\" \n-High Priest Ultor Szanvon\n',784,65535,315,0,0,0,0,1,'Your Bertoxxulous'' Curse was successful on %t!','Your Bertoxxulous'' Curse fades.','',1,0,'',0,'You cast Bertoxxulous'' Curse on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8019,859873352,2,0,'Bind Wound','Binds your wounds by healing you for 2% of your total health while out of combat.',751,65535,317,0,0,0,0,1,'Your Bind Wound was successful on %t!','Your Bind Wound fades.','',1,0,'Spells/Commoner/BindWound.lua',0,'You cast Bind Wound on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384378110,0,1),
(8020,606997987,2,0,'Bind Wound','Binds your wounds by healing you for 2% of your total health while out of combat.',751,65535,317,0,0,0,0,1,'Your Bind Wound was successful on %t!','Your Bind Wound fades.','',1,0,'Spells/Commoner/BindWound.lua',0,'You cast Bind Wound on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377823,0,1),
(8021,4179412715,2,0,'Bind Wound','Binds your wounds by healing you for 2% of your total health while out of combat.',751,65535,317,0,0,0,0,1,'Your Bind Wound was successful on %t!','Your Bind Wound fades.','',1,0,'Spells/Commoner/BindWound.lua',0,'You cast Bind Wound on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377823,0,1),
(8022,1143831162,2,0,'Bind Wound','Binds your wounds by healing you for 2% of your total health while out of combat.',751,65535,317,0,0,0,0,1,'Your Bind Wound was successful on %t!','Your Bind Wound fades.','',1,0,'Spells/Commoner/BindWound.lua',0,'You cast Bind Wound on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384378109,0,1),
(8023,1361143873,2,0,'Bind Wound','Binds your wounds by healing you for 2% of your total health while out of combat.',751,65535,317,0,0,0,0,1,'Your Bind Wound was successful on %t!','Your Bind Wound fades.','',1,0,'Spells/Commoner/BindWound.lua',0,'You cast Bind Wound on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377823,0,1),
(8024,3904691425,2,0,'Bind Wound','Binds your wounds by healing you for 2% of your total health while out of combat.',751,65535,317,0,0,0,0,1,'Your Bind Wound was successful on %t!','Your Bind Wound fades.','',1,0,'Spells/Traits/BindWound.lua',0,'You cast Bind Wound on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384378110,0,1),
(8025,4267992621,2,0,'Bind Wound','Binds your wounds by healing you for 2% of your total health while out of combat.',751,65535,317,0,0,0,0,1,'Your Bind Wound was successful on %t!','Your Bind Wound fades.','',1,0,'Spells/Traits/BindWound.lua',0,'You cast Bind Wound on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670342,1384378109,0,1),
(8026,759649341,2,0,'Blessing','Blesses the target.',185,65535,316,0,0,0,0,1,'Your Blessing was successful on %t!','Your Blessing fades.','',1,0,'',0,'You cast Blessing on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377887,0,1),
(8027,633357444,2,0,'Blessing of A''Sul','',740,65535,313,0,0,0,0,1,'Your Blessing of A''Sul was successful on %t!','Your Blessing of A''Sul fades.','',1,0,'',0,'You cast Blessing of A''Sul on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384367296,0,1),
(8028,1151065410,2,0,'Blessing of Cahn''Ahry','',741,65535,317,0,0,0,0,1,'Your Blessing of Cahn''Ahry was successful on %t!','Your Blessing of Cahn''Ahry fades.','',1,0,'',0,'You cast Blessing of Cahn''Ahry on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384367296,0,1),
(8029,146938908,2,0,'Blessing of F''uusia','',741,65535,315,0,0,0,0,1,'Your Blessing of F''uusia was successful on %t!','Your Blessing of F''uusia fades.','',1,0,'',0,'You cast Blessing of F''uusia on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384367296,0,1),
(8030,139864609,2,0,'Blessing of Serenity','\"Only through harmony and peace does one truly understand the ways of nature and the elements.\" \n-Zan Fi',781,65535,317,0,0,0,0,1,'Your Blessing of Serenity was successful on %t!','Your Blessing of Serenity fades.','',1,0,'',0,'You cast Blessing of Serenity on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8031,121132430,2,0,'Blessing of Shelter','\"Karana can bring forth the greatest wind and rain you will ever see, but the forest is always there to grant you shelter.\"\n-Hager Sureshot, Surefall Glades',781,65535,317,0,0,0,0,1,'Your Blessing of Shelter was successful on %t!','Your Blessing of Shelter fades.','',1,0,'',0,'You cast Blessing of Shelter on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8032,518012349,2,0,'Blessing of Solusek','\"Fire is both blessing and curse, but a life without fire is no life at all.\" \n-Solomen to a student in the Temple of Solusek Ro',723,65535,317,0,0,0,0,1,'Your Blessing of Solusek was successful on %t!','Your Blessing of Solusek fades.','',1,0,'',0,'You cast Blessing of Solusek on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8033,1366683520,2,0,'Blessing of Tunare','\"In the light of Tunare all things grow.\" \n-Te''alla, the Heartwood Matron',720,65535,317,0,0,0,0,1,'Your Blessing of Tunare was successful on %t!','Your Blessing of Tunare fades.','',1,0,'',0,'You cast Blessing of Tunare on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8034,714708076,2,1,'Blessing of Xegony','Xegony''s Blessing imbues the Fae or Arasai with energy, shrinking them and allowing them to fly.',936,65535,317,0,0,0,1,1,'Your Blessing of Xegony was successful on %t!','Your Blessing of Xegony fades.','',1,0,'',0,'You cast Blessing of Xegony on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377877,0,1),
(8035,3149971598,2,0,'Blessing of the Glade','\"Sometimes the work of the gods isn''t always plain to see, but that''s where true faith comes in.\"\n-Briana Treewhisper',781,65535,317,0,0,0,0,1,'Your Blessing of the Glade was successful on %t!','Your Blessing of the Glade fades.','',1,0,'',0,'You cast Blessing of the Glade on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8036,3580430077,2,0,'Blessing of the Storm','\"Wind, rain, typhoons and even sandstorms... these are the work of Karana.\" \n-an Antonican farmer',781,65535,317,0,0,0,0,1,'Your Blessing of the Storm was successful on %t!','Your Blessing of the Storm fades.','',1,0,'',0,'You cast Blessing of the Storm on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8037,2737256953,2,0,'Blessing of the Tempest','\"What, were you foolish enough to think that Karana simply made it rain all day?  I''ll have you know that he grants those loyal to him many abilites, even to a ranger of the wood such as myself.\"\n-Kithicor, Protector of the Forest',781,65535,317,0,0,0,0,1,'Your Blessing of the Tempest was successful on %t!','Your Blessing of the Tempest fades.','',1,0,'',0,'You cast Blessing of the Tempest on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8038,1112792499,2,1,'Blizzard Blue Gumdrop','',507,65535,317,0,0,0,1,1,'Your Blizzard Blue Gumdrop was successful on %t!','Your Blizzard Blue Gumdrop fades.','',1,0,'',0,'You cast Blizzard Blue Gumdrop on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377872,0,1),
(8039,3420897692,2,0,'Bone Cage','',166,65535,315,0,0,0,0,1,'Your Bone Cage was successful on %t!','Your Bone Cage fades.','',1,0,'',0,'You cast Bone Cage on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377859,0,1),
(8040,1080564426,2,0,'Bones','',275,65535,315,0,0,0,0,1,'Your Bones was successful on %t!','Your Bones fades.','',1,0,'',0,'You cast Bones on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377859,0,1),
(8041,124121121,2,0,'Breath of Karana','\"May my calming breeze bring you both renewed vigor and soul.\" \n-Karana the Rainkeeper',782,65535,314,0,0,0,0,1,'Your Breath of Karana was successful on %t!','Your Breath of Karana fades.','',1,0,'',0,'You cast Breath of Karana on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8042,886959707,2,0,'Brell''s Hammer','\"A dwarf only needs two things to rule his kingdom: a mug of ale and a big durn hammer.\" \n-King Kazon Stormhammer',735,65535,317,0,0,0,0,1,'Your Brell''s Hammer was successful on %t!','Your Brell''s Hammer fades.','',1,0,'',0,'You cast Brell''s Hammer on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8043,233804128,2,1,'Briarthorn Enthraller','',473,65535,317,0,0,0,1,1,'Your Briarthorn Entraller was successful on %t!','Your Briarthorn Entraller fades.','',1,0,'',0,'You cast Briarthorn Entraller on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377852,0,1),
(8044,4089701879,2,0,'Bristlebane''s Hymn','\"Strike fast and strike loud. Let the flurry of my strings smite the enemy.\"\n-Vhalen',707,65535,317,0,0,0,0,1,'Your Bristlebane''s Hymn was successful on %t!','Your Bristlebane''s Hymn fades.','',1,0,'',0,'You cast Bristlebane''s Hymn on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8045,3538317037,2,1,'Brusco''s Flavorful Aura','Surrounds the troubador with lasting streaks of light.',173,65535,317,0,0,0,1,0,'Your Brusco''s Flavorful Aura was successful on %t!','Your Brusco''s Flavorful Aura fades.','',1,0,'Spells/Commoner/GenericVisualState.lua',0,'You cast Brusco''s Flavorful Aura on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670342,1384291139,0,1),
(8046,3125823505,2,0,'Busy Bee Companion','',473,65535,317,0,0,0,0,1,'Your Busy Bee Companion was successful on %t!','Your Busy Bee Companion fades.','',1,0,'',0,'You cast Busy Bee Companion on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377875,0,1),
(8047,1281158065,2,0,'Call Ice Wolf Pup','',473,65535,317,0,0,0,0,0,'Your Call Ice Wolf Pup was successful on %t!','Your Call Ice Wolf Pup fades.','',1,0,'Spells/Commoner/GenericCosmeticPet.lua',0,'You cast Call Ice Wolf Pup on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670342,1384377875,0,1),
(8048,2080170082,2,0,'Call Loyal Snow Hound','',473,65535,317,0,0,0,0,1,'Your Call Loyal Snow Hound was successful on %t!','Your Call Loyal Snow Hound fades.','',1,0,'',0,'You cast Call Loyal Snow Hound on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377875,0,1),
(8049,2730987592,2,1,'Call Prototype Cognitive Clockwork','',473,65535,317,0,0,0,1,1,'Your Call Prototype Cognitive Clockwork was successful on %t!','Your Call Prototype Cognitive Clockwork fades.','',1,0,'',0,'You cast Call Prototype Cognitive Clockwork on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377864,0,1),
(8050,804927950,2,0,'Call of Power','',146,65535,315,0,0,0,0,1,'Your Call of Power was successful on %t!','Your Call of Power fades.','',1,0,'',0,'You cast Call of Power on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377859,0,1),
(8051,3706753900,2,0,'Call of Power','',146,65535,315,0,0,0,0,1,'Your Call of Power was successful on %t!','Your Call of Power fades.','',1,0,'',0,'You cast Call of Power on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377859,0,1),
(8052,1295699801,2,0,'Call of Power','',146,65535,315,0,0,0,0,1,'Your Call of Power was successful on %t!','Your Call of Power fades.','',1,0,'',0,'You cast Call of Power on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377859,0,1),
(8053,820431419,2,0,'Call of Power','',146,65535,315,0,0,0,0,1,'Your Call of Power was successful on %t!','Your Call of Power fades.','',1,0,'',0,'You cast Call of Power on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377859,0,1),
(8054,1893765436,2,1,'Call of the Fae','Changes the form of the fury.',224,65535,317,0,0,0,1,0,'Your Call of the Fae was successful on %t!','Your Call of the Fae fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',0,'You cast Call of the Fae on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670342,1384377860,0,1),
(8055,172664827,2,1,'Call of the Fae','Changes the form of the warden.',243,65535,317,0,0,0,1,0,'Your Call of the Fae was successful on %t!','Your Call of the Fae fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',0,'You cast Call of the Fae on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670342,1384377900,0,1),
(8056,3745306907,2,0,'Call of the Plaguebringer','\"Can''t you hear it?  The master calls to us all at one point or another in our lives, the key is to heed that call.\" \n-Bruax Grengar\n',784,65535,315,0,0,0,0,1,'Your Call of the Plaguebringer was successful on %t!','Your Call of the Plaguebringer fades.','',1,0,'',0,'You cast Call of the Plaguebringer on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8057,3114477944,2,0,'Call to Home','Teleport to my bind location.',230,65535,317,0,0,0,0,0,'Your Call to Home was successful on %t!','Your Call to Home fades.','',1,0,'Spells/Commoner/CalltoHome.lua',101,'You cast Call to Home on %t.',2,0,0,0,1,0,0,0,0,8057,0,0,0,0,0,1,0,0,0,'Unset',1579219298,1384377833,0,0),
(8058,1566149585,2,0,'Cazic''s Will','\"Beware all infidels who dare to taint my plane, for I shall rend your minds with fright, dread, and terror!\" \n-Cazic-Thule, the Faceless',732,65535,315,0,0,0,0,1,'Your Cazic''s Will was successful on %t!','Your Cazic''s Will fades.','',1,0,'',0,'You cast Cazic''s Will on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8059,4276155784,2,0,'Clobber','\"...ungh\"\n\nSometimes, a quick whack to the back of the head is the best way to let someone know they''re not doing things right.',326,65535,315,1519965519,0,0,0,1,'Your Clobber was successful on %t!','Your Clobber fades.','',1,0,'Spells/Commoner/Clobber.lua',1232,'You cast Clobber on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670342,1384377848,0,1),
(8060,791335043,2,1,'Clockwork Disguise','Shapechanges the gnome into a tinkered repair robot.',832,65535,317,0,0,0,1,0,'Your Clockwork Disguise was successful on %t!','Your Clockwork Disguise fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',235,'You cast Clockwork Disguise on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670342,1384378109,0,1),
(8061,3960877367,2,0,'Cloud of Bats','Shapechanges the Freeblood into a swarm of bats, increasing your movement speed while out of combat. Adventurers and tradeskillers of 85th season and above can achieve true flight in this form. If you wish to learn more about the mystery surrounding this ability, you should seek out Drammind Gul in the Great Divide of Velious.',935,65535,317,0,0,0,0,1,'Your Cloud of Bats was successful on %t!','Your Cloud of Bats fades.','',1,0,'',0,'You cast Cloud of Bats on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377886,0,1),
(8062,2820547139,2,0,'Collecting','',778,65535,65535,0,0,0,0,7,'Your Collecting was successful on %t!','Your Collecting fades.','',1,0,'Spells/Commoner/harvest.lua',0,'You cast Collecting on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1385182118,1384378116,0,0),
(8063,1336949036,2,1,'Commanding Presence','Allows the ogre to grow larger in order to lead their troops into battle.',16,65535,317,1209716810,0,0,1,0,'Your Commanding Presence was successful on %t!','Your Commanding Presence fades.','',1,0,'Spells/Commoner/CommandingPresence.lua',0,'You cast Commanding Presence on %t.',2,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670342,1384378109,0,1),
(8064,1762647410,2,1,'Construct Color: Blue','Changes the construct''s energy color to blue.',236,65535,317,0,0,0,1,1,'Your Construct Color: Blue was successful on %t!','Your Construct Color: Blue fades.','',1,0,'',0,'You cast Construct Color: Blue on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377849,0,1),
(8065,1114612145,2,1,'Construct Color: Gold','Changes the construct''s energy color to gold.',274,65535,317,0,0,0,1,1,'Your Construct Color: Gold was successful on %t!','Your Construct Color: Gold fades.','',1,0,'',0,'You cast Construct Color: Gold on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377848,0,1),
(8066,1885888318,2,1,'Construct Color: Green','Changes the construct''s energy color to green.',278,65535,317,0,0,0,1,1,'Your Construct Color: Green was successful on %t!','Your Construct Color: Green fades.','',1,0,'',0,'You cast Construct Color: Green on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377849,0,1),
(8067,3039781423,2,1,'Construct Color: Purple','Changes the construct''s energy color to purple.',260,65535,317,0,0,0,1,1,'Your Construct Color: Purple was successful on %t!','Your Construct Color: Purple fades.','',1,0,'',0,'You cast Construct Color: Purple on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377850,0,1),
(8068,2410609750,2,1,'Construct Color: Yellow','Changes the construct''s energy color to yellow.',272,65535,317,0,0,0,1,1,'Your Construct Color: Yellow was successful on %t!','Your Construct Color: Yellow fades.','',1,0,'',0,'You cast Construct Color: Yellow on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377849,0,1),
(8069,2724924098,2,1,'Construct Energy: Cinder','Enshrouds the construct in fiery energy.',190,65535,317,0,0,0,1,3,'Your Construct Energy: Cinder was successful on %t!','Your Construct Energy: Cinder fades.','',1,0,'',0,'You cast Construct Energy: Cinder on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377850,0,1),
(8070,719098596,2,1,'Construct Energy: Shadow','Enshrouds the construct in shadowy energy.',269,65535,317,0,0,0,1,3,'Your Construct Energy: Shadow was successful on %t!','Your Construct Energy: Shadow fades.','',1,0,'',0,'You cast Construct Energy: Shadow on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377848,0,1),
(8071,1397905386,2,1,'Construct Tinkerer''s Companion','',473,65535,317,0,0,0,1,1,'Your Construct Tinkerer''s Companion was successful on %t!','Your Construct Tinkerer''s Companion fades.','',1,0,'',0,'You cast Construct Tinkerer''s Companion on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377864,0,1),
(8072,2250385430,2,0,'Crippling Blow','A small nudge dealt in the final moments can push one into a state of everlasting life!',788,65535,65535,0,0,0,0,1,'Your Crippling Blow was successful on %t!','Your Crippling Blow fades.','',1,0,'',0,'You cast Crippling Blow on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8073,3052484751,2,1,'Curse of the Unnatural','Changes the target into a hideous creature.',217,65535,315,0,0,0,1,1,'Your Curse of the Unnatural was successful on %t!','Your Curse of the Unnatural fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',0,'You cast Curse of the Unnatural on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670342,1384377861,0,1),
(8074,1204583059,2,0,'Cyclone of Fire','',228,65535,315,0,0,0,0,1,'Your Cyclone of Fire was successful on %t!','Your Cyclone of Fire fades.','',1,0,'',0,'You cast Cyclone of Fire on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377859,0,1),
(8075,2468455509,2,0,'Cyclone of Rocks','',228,65535,315,0,0,0,0,1,'Your Cyclone of Rocks was successful on %t!','Your Cyclone of Rocks fades.','',1,0,'',0,'You cast Cyclone of Rocks on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377859,0,1),
(8076,3211321677,2,0,'Cyclone of Sand','',228,65535,315,0,0,0,0,1,'Your Cyclone of Sand was successful on %t!','Your Cyclone of Sand fades.','',1,0,'',0,'You cast Cyclone of Sand on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377859,0,1),
(8077,697423599,2,0,'Cyclone of Snow','',228,65535,315,0,0,0,0,1,'Your Cyclone of Snow was successful on %t!','Your Cyclone of Snow fades.','',1,0,'',0,'You cast Cyclone of Snow on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377859,0,1),
(8078,3916984772,2,0,'Dark Whispers','\"Embrace our lord before your soul departs, and perhaps he shall grant you the boon of eternal life in his service!\" \n-whispered by clerics of hate',731,65535,317,0,0,0,0,1,'Your Dark Whispers was successful on %t!','Your Dark Whispers fades.','',1,0,'',0,'You cast Dark Whispers on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8079,873559312,2,1,'Dartain''s Cloaking Debris','Causes the necromancer to be encased in swirling debris.',269,65535,317,0,0,0,1,0,'Your Dartain''s Cloaking Debris was successful on %t!','Your Dartain''s Cloaking Debris fades.','',1,0,'Spells/Commoner/GenericVisualState.lua',0,'You cast Dartain''s Cloaking Debris on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670342,1384377872,0,1),
(8080,1347452478,2,1,'Dartain''s Dead Sight','Shows a heat profile for all living creatures in view. \n\n',269,65535,317,0,0,0,1,1,'Your Dartain''s Dead Sight was successful on %t!','Your Dartain''s Dead Sight fades.','',1,0,'',0,'You cast Dartain''s Dead Sight on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377872,0,1),
(8081,2172318178,2,0,'Deadly Rampage','Unleash the fury and the power of the Goddess, Anashti Sul. Through her your foes will fall to immortality.',789,65535,315,0,0,0,0,1,'Your Deadly Rampage was successful on %t!','Your Deadly Rampage fades.','',1,0,'',0,'You cast Deadly Rampage on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8082,1193950097,2,0,'Deck of the King''s Court','\"Never let a follower of Bristlebane deal you a hand of King''s Court.\" \n-Cartographer Piri, after losing his coin purse',707,65535,317,0,0,0,0,1,'Your Deck of the King''s Court was successful on %t!','Your Deck of the King''s Court fades.','',1,0,'',0,'You cast Deck of the King''s Court on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8083,2890135946,2,1,'Dedicated Jack-o-Lantern','',497,65535,317,0,0,0,1,1,'Your Dedicated Jack-o-Lantern was successful on %t!','Your Dedicated Jack-o-Lantern fades.','',1,0,'',0,'You cast Dedicated Jack-o-Lantern on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377864,0,1),
(8084,2385815545,2,0,'Destroying','This governs your ability to destroy mystical objects. This ability may be used on special objects sometimes found while completing quests.',35,65535,65535,0,0,0,0,1,'Your Destroying was successful on %t!','Your Destroying fades.','',1,0,'Spells/Commoner/Destroying.lua',0,'You cast Destroying on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1385183234,1384378116,0,1),
(8085,1456352733,2,0,'Detect Evil','Detect whether the target is evil.',170,65535,316,0,0,0,0,1,'Your Detect Evil was successful on %t!','Your Detect Evil fades.','',1,0,'',0,'You cast Detect Evil on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670342,1384377886,0,1),
(8086,4180752250,2,0,'Detect Good','Detect whether the target is good or evil.',170,65535,315,0,0,0,0,1,'Your Detect Good was successful on %t!','Your Detect Good fades.','',1,0,'Spells/Commoner/DetectGood.lua',0,'You cast Detect Good on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670342,1384377867,0,1),
(8087,210332724,2,0,'Devout Healing','An attitude of good will and health is contagious.',787,65535,316,0,0,0,0,1,'Your Devout Healing was successful on %t!','Your Devout Healing fades.','',1,0,'',0,'You cast Devout Healing on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8088,1953871628,2,1,'Diffusion','\"Dis going to hurt yu a lot mor den it''s going to hurt me. Harharhharharharh!\" \n-Grummus\n',783,65535,317,0,0,0,1,1,'Your Diffusion was successful on %t!','Your Diffusion fades.','',1,0,'',0,'You cast Diffusion on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8089,304843978,2,0,'Diplomacy','Temporarily calms the human''s target by reducing their aggro radius.',752,65535,315,0,0,0,0,1,'Your Diplomacy was successful on %t!','Your Diplomacy fades.','',1,0,'Spells/Commoner/Diplomacy.lua',0,'You cast Diplomacy on %t.',2,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670342,1384378116,0,1),
(8090,1607081024,2,0,'Disappearing Act','\"Always save the best prank for last.\"\n-Fizzlethorpe Bristlebane',706,65535,315,0,0,0,0,2,'Your Disappearing Act was successful on %t!','Your Disappearing Act fades.','',1,0,'',0,'You cast Disappearing Act on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670342,1384377856,0,1),
(8091,2432597024,2,1,'Disguise: Dark Elf','Disguises the dirge as a dark elf.',231,65535,317,0,0,0,1,0,'Your Disguise: Dark Elf was successful on %t!','Your Disguise: Dark Elf fades.','',1,0,'Spells/Commoner/GenericGenderDisguise.lua',0,'You cast Disguise: Dark Elf on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377857,0,1),
(8092,3317372435,2,1,'Disguise: Half Elf','\"I wonder how on earth I''ll get in looking like this...\"\n\nSwashbucklers have a knack for finding a way into places that require a different appearance.',231,65535,317,0,0,0,1,0,'Your Disguise: Half Elf was successful on %t!','Your Disguise: Half Elf fades.','',1,0,'Spells/Commoner/GenericGenderDisguise.lua',0,'You cast Disguise: Half Elf on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377885,0,1),
(8093,197105021,2,1,'Disguise: High Elf','Disguises the assassin as a high elf.',231,65535,317,0,0,0,1,0,'Your Disguise: High Elf was successful on %t!','Your Disguise: High Elf fades.','',1,0,'Spells/Commoner/GenericGenderDisguise.lua',0,'You cast Disguise: High Elf on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377840,0,1),
(8094,3795328592,2,1,'Disguise: High Elf','Disguises the Troubador as a High Elf.',267,65535,317,0,0,0,1,0,'Your Disguise: High Elf was successful on %t!','Your Disguise: High Elf fades.','',1,0,'Spells/Commoner/GenericGenderDisguise.lua',0,'You cast Disguise: High Elf on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377889,0,1),
(8095,254959905,2,1,'Disguise: Ogre','\"Hey, where''d he go? Have you seen him?\"\n\nThe best way to slip out of trouble is a good disguise.  The best way to slip out of really bad trouble is a better one.',231,65535,317,0,0,0,1,0,'Your Disguise: Ogre was successful on %t!','Your Disguise: Ogre fades.','',1,0,'Spells/Commoner/GenericGenderDisguise.lua',0,'You cast Disguise: Ogre on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377844,0,1),
(8096,3782683257,2,1,'Disguise: Wood Elf','\"Hey, where''d he go? Have you seen him?\"\n\nThe best way to slip out of trouble is a good disguise.  The best way to slip out of really bad trouble is a better one.',231,65535,317,0,0,0,1,0,'Your Disguise: Wood Elf was successful on %t!','Your Disguise: Wood Elf fades.','',1,0,'Spells/Commoner/GenericGenderDisguise.lua',0,'You cast Disguise: Wood Elf on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377846,0,1),
(8097,646887611,2,0,'Dreadnaught Kata','The brutality of the Dreadnaughts is legendary, even among those who make war for a living.',350,65535,317,3067436248,0,0,0,1,'Your Dreadnaught Kata was successful on %t!','Your Dreadnaught Kata fades.','',1,0,'',0,'You cast Dreadnaught Kata on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670344,1384377846,0,1),
(8098,370645261,2,0,'Dust','',275,65535,315,0,0,0,0,1,'Your Dust was successful on %t!','Your Dust fades.','',1,0,'',0,'You cast Dust on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670344,1384377859,0,1),
(8099,2190018817,2,1,'Dust Cloud','Covers the target in a dust cloud, making it easier to single out.',189,65535,316,1040683335,0,0,1,0,'Your Dust Cloud was successful on %t!','Your Dust Cloud fades.','',1,0,'Spells/Commoner/GenericVisualState.lua',0,'You cast Dust Cloud on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377892,0,1),
(8100,1411000976,2,0,'Earth''s Vigil','\"Brell yields his most profound secrets to those most determined to uncover them.\" \n-Opolla',735,65535,317,0,0,0,0,1,'Your Earth''s Vigil was successful on %t!','Your Earth''s Vigil fades.','',1,0,'',0,'You cast Earth''s Vigil on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670344,1384377856,0,1),
(8101,2940076372,2,0,'Earthmother''s Aegis','\"Nature protects you, shields you from the elements, and heals all wounds.\" \n-Kelethin''s Heartwood Master',721,65535,317,0,0,0,0,1,'Your Earthmother''s Aegis was successful on %t!','Your Earthmother''s Aegis fades.','',1,0,'',0,'You cast Earthmother''s Aegis on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670344,1384377856,0,1),
(8102,3903482442,2,0,'Emerald Baby Dragon','',473,65535,317,0,0,0,0,1,'Your Emerald Baby Dragon was successful on %t!','Your Emerald Baby Dragon fades.','',1,0,'',0,'You cast Emerald Baby Dragon on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670344,1384377885,0,1),
(8103,3023956051,2,0,'Empower','',190,65535,317,0,0,0,0,1,'Your Empower was successful on %t!','Your Empower fades.','',1,0,'',0,'You cast Empower on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670344,1384377859,0,1),
(8104,2072927394,2,0,'Empowered Prayer','It is good for the mind and the soul to give of one''s self for the sake of others.',787,65535,316,0,0,0,0,1,'Your Empowered Prayer was successful on %t!','Your Empowered Prayer fades.','',1,0,'',0,'You cast Empowered Prayer on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670344,1384377856,0,1),
(8105,267588059,2,0,'Enforced Reverence','Forces the target into reverence.',160,65535,315,0,0,0,0,1,'Your Enforced Reverence was successful on %t!','Your Enforced Reverence fades.','',1,0,'Spells/Commoner/EnforcedReverence.lua',0,'You cast Enforced Reverence on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377863,0,1),
(8106,2279627666,2,1,'Erqu''s Emissary','Summons a familiar to the Warlock''s side.',165,65535,317,0,0,0,1,0,'Your Erqu''s Emissary was successful on %t!','Your Erqu''s Emissary fades.','',1,0,'Spells/Commoner/GenericCosmeticPet.lua',165,'You cast Erqu''s Emissary on %t.',2,0,0,0,1,0,0,0,0,8490,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377891,0,1),
(8107,2483293040,2,1,'Erqu''s Hex of the Rat','Polymorphs the target of the spell into another creature.',218,65535,316,0,0,0,1,1,'Your Erqu''s Hex of the Rat was successful on %t!','Your Erqu''s Hex of the Rat fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',71,'You cast Erqu''s Hex of the Rat on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377893,0,1),
(8108,2631508837,2,1,'Experimental Air Pocket','The erudite surrounds themself with a pocket of air allowing them to breathe underwater.',239,65535,65535,0,0,0,1,0,'Your Experimental Air Pocket was successful on %t!','Your Experimental Air Pocket fades.','',1,1,'Spells/Commoner/ExperimentalAirPocket.lua',0,'You cast Experimental Air Pocket on %t.',2,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384378109,0,1),
(8109,773991712,2,1,'Eyes of the Truespirit','Fills the beastlord''s eyes with power',628,65535,317,0,0,0,1,0,'Your Eyes of the Truespirit was successful on %t!','Your Eyes of the Truespirit fades.','',1,0,'Spells/Commoner/GenericVisualState.lua',0,'You cast Eyes of the Truespirit on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377842,0,1),
(8110,1054578240,2,1,'Faerie Fire','Wreaths the target in a green, glowing flame.',218,65535,316,1624274802,0,0,1,0,'Your Faerie Fire was successful on %t!','Your Faerie Fire fades.','',1,0,'Spells/Commoner/FaerieFire.lua',0,'You cast Faerie Fire on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377860,0,1),
(8111,3522352375,2,0,'Faith Respect','Enforces a faithful respect of the Templar.',158,65535,315,2581053277,0,0,0,1,'Your Faith Respect was successful on %t!','Your Faith Respect fades.','',1,0,'',0,'You cast Faith Respect on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670344,1384367305,0,1),
(8112,4202901831,2,1,'Falling Grace','The erudite calls upon their magical powers to float down from great heights.',224,65535,317,0,0,0,1,0,'Your Falling Grace was successful on %t!','Your Falling Grace fades.','',1,1,'Spells/Commoner/FallingGrace.lua',0,'You cast Falling Grace on %t.',2,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377878,0,1),
(8113,1947089622,2,0,'Fear''s Grasp','\"Fear has a strong hold over those of weak will.\" \n-Venekor to a gathered horde of Tae Ew lizardmen',733,65535,315,0,0,0,0,1,'Your Fear''s Grasp was successful on %t!','Your Fear''s Grasp fades.','',1,0,'',0,'You cast Fear''s Grasp on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670344,1384377856,0,1),
(8114,2443321790,2,0,'Feral Rage','The kerra can call upon a short burst of speed when they sense the opportunity to catch their prey.',232,65535,317,0,0,0,0,0,'Your Feral Rage was successful on %t!','Your Feral Rage fades.','',1,1,'Spells/Commoner/FeralRage.lua',814,'You cast Feral Rage on %t.',2,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377878,0,1),
(8115,842499147,2,0,'Ferverous Touch','',250,65535,315,0,0,0,0,1,'Your Ferverous Touch was successful on %t!','Your Ferverous Touch fades.','',1,0,'',0,'You cast Ferverous Touch on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670344,1384377859,0,1),
(8116,4195671819,2,0,'Fiery Kick','',331,65535,315,0,0,0,0,1,'Your Fiery Kick was successful on %t!','Your Fiery Kick fades.','',1,0,'',0,'You cast Fiery Kick on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670344,1384377859,0,1),
(8117,2706737719,2,0,'Final Judgment','\"There is never a need to compel a free person to take up a cause that is both necessary and just; but a person who is volunteered is never free, and thus their cause can never be assumed to be either necessary or just.\" \n-The Tribunal',780,65535,315,0,0,0,0,1,'Your Final Judgment was successful on %t!','Your Final Judgment fades.','',1,0,'',0,'You cast Final Judgment on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670344,1384377856,0,1),
(8118,2995138422,2,0,'Fire From Below','',482,65535,315,0,0,0,0,1,'Your Fire From Below was successful on %t!','Your Fire From Below fades.','',1,0,'',0,'You cast Fire From Below on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670344,1384377859,0,1),
(8119,2341521174,2,0,'Fishing','',775,65535,65535,2319450178,0,0,0,7,'Your Fishing was successful on %t!','Your Fishing fades.','',1,0,'Spells/Commoner/harvest.lua',566,'You cast a line towards %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1385183431,1384378156,0,1),
(8120,1972626608,2,0,'Flurry','',383,65535,315,0,0,0,0,1,'Your Flurry was successful on %t!','Your Flurry fades.','',1,0,'',0,'You cast Flurry on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670344,1384377858,0,1),
(8121,3510783662,2,0,'Wild Spirit','\"You may harness nature through understanding, rather than brute force.\" \n-Dill Fireshine',721,65535,317,3282420779,0,0,0,1,'Your Forest Spirit was successful on %t!','Your Forest Spirit fades.','',1,1,'',0,'You cast Forest Spirit on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670344,1384377856,0,1),
(8122,4074561465,2,0,'Foresting','',777,65535,65535,688591146,688591146,0,0,7,'Your Foresting was successful on %t!','Your Foresting fades.','',1,0,'Spells/Commoner/harvest.lua',567,'You begin to chop %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1385183455,1384378116,0,0),
(8123,3714847899,2,0,'Forgehammer','\"Brell, guide my hammer. Lend me the strength to drive the Kromzek from our home!\" \n-Dain Frostreaver IV before leading a battle',734,65535,315,0,0,0,0,1,'Your Forgehammer was successful on %t!','Your Forgehammer fades.','',1,0,'',0,'You cast Forgehammer on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670344,1384377856,0,1),
(8124,1023192891,2,1,'Form of the Builder','Covers the form of the Mystic with an illusory image.',193,65535,317,0,0,0,1,0,'Your Form of the Builder was successful on %t!','Your Form of the Builder fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',166,'You cast Form of the Builder on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377868,0,1),
(8125,2507419444,2,0,'Form of the Furious Bear','Through an uncontained burst of fury, a berserker is able to become as a bear.',241,65535,317,0,0,0,0,0,'Your Form of the Furious Bear was successful on %t!','Your Form of the Furious Bear fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',0,'You cast Form of the Furious Bear on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377841,0,1),
(8126,2909964287,2,1,'Form of the Great Stag','Covers the form of the caster with an illusory image.',198,65535,317,0,0,0,1,0,'Your Form of the Great Stag was successful on %t!','Your Form of the Great Stag fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',166,'You cast Form of the Great Stag on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377869,0,1),
(8127,2557301725,2,1,'Form of the Rook','A mystical transference of the desire to protect the party may sometimes result in the guardian becoming as the rook.',484,65535,317,0,0,0,1,0,'Your Form of the Rook was successful on %t!','Your Form of the Rook fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',0,'You cast Form of the Rook on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377863,0,1),
(8128,2324807059,2,1,'Form of the Spirit Hawk','Covers the form of the caster with an illusory image.',196,65535,317,0,0,0,1,0,'Your Form of the Spirit Hawk was successful on %t!','Your Form of the Spirit Hawk fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',166,'You cast Form of the Spirit Hawk on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377855,0,1),
(8129,1254241876,2,1,'Form of the Strange Bear','Changes the target into a strange creature.',241,65535,316,0,0,0,1,0,'Your Form of the Strange Bear was successful on %t!','Your Form of the Strange Bear fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',0,'You cast Form of the Strange Bear on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377891,0,1),
(8130,2194647824,2,0,'Fortunate Baby Dragon','',473,65535,317,0,0,0,0,1,'Your Fortunate Baby Dragon was successful on %t!','Your Fortunate Baby Dragon fades.','',1,0,'',0,'You cast Fortunate Baby Dragon on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670344,1384377859,0,1),
(8131,3269826183,2,1,'Fury of Fire','\"Hey, Jed?  Why''s that guy''s fist glowing?\"\n\n\"I''m not sure, but it seems like a perfectly good time to leave...\"\n\nIn times of intense stress, a berserker''s fury can often show through bursts of flame.  Usually it''s not wise to stick around and find out why the berserker is so angry.',275,65535,317,1433335062,0,0,1,0,'Your Fury of Fire was successful on %t!','Your Fury of Fire fades.','',1,0,'Spells/Commoner/GenericVisualState.lua',0,'You cast Fury of Fire on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377843,0,1),
(8132,1520143191,2,0,'Fury of the Storm','Calls down lightning on a group member to show the Fury''s displeasure.',161,65535,315,0,0,0,0,1,'Your Fury of the Storm was successful on %t!','Your Fury of the Storm fades.','',1,0,'Spells/Commoner/FuryoftheStorm.lua',0,'You cast Fury of the Storm on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377860,0,1),
(8133,1548696579,2,0,'Garnet Baby Dragon','',473,65535,317,0,0,0,0,1,'Your Garnet Baby Dragon was successful on %t!','Your Garnet Baby Dragon fades.','',1,0,'',0,'You cast Garnet Baby Dragon on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670344,1384377885,0,1),
(8134,3853042386,2,0,'Gathering','',774,65535,65535,1048513601,1048513601,0,0,7,'Your Gathering was successful on %t!','Your Gathering fades.','',1,0,'Spells/Commoner/harvest.lua',568,'You begin to gather %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1550200059,1384378116,0,0),
(8135,3303794903,2,0,'Gaze of Erollisi','',497,65535,314,0,0,0,0,1,'Your Gaze of Erollisi was successful on %t!','Your Gaze of Erollisi fades.','',1,0,'Spells/Commoner/GazeofErollisi.lua',1244,'You cast Gaze of Erollisi on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377877,0,1),
(8136,3911167082,2,0,'Gift of Devotion','Give of yourself to save another and be blessed by the protection of Rodcet Nife.',786,65535,317,0,0,0,0,1,'Your Gift of Devotion was successful on %t!','Your Gift of Devotion fades.','',1,0,'',0,'You cast Gift of Devotion on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670344,1384377856,0,1),
(8137,2488899313,2,0,'Glare of Rejection','',340,65535,313,0,0,0,0,1,'Your Glare of Rejection was successful on %t!','Your Glare of Rejection fades.','',1,0,'',0,'You cast Glare of Rejection on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670344,1384377877,0,1),
(8138,4201333698,2,1,'Glide','Combined with the Arasai''s natural ability to slow their descent when falling, Glide allows the Arasai to travel a greater distance than before after jumping. Glide is inactive while on horseback.',304,65535,317,0,0,0,1,0,'Your Glide was successful on %t!','Your Glide fades.','',1,0,'Spells/Commoner/Glide.lua',0,'You cast Glide on %t.',2,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377875,0,1),
(8139,720000449,2,1,'Glide','Combined with the Fae''s natural ability to slow their descent when falling, Glide allows the Fae to travel a greater distance than before after jumping. Glide is inactive while on horseback.',304,65535,317,0,0,0,1,0,'Your Glide was successful on %t!','Your Glide fades.','',0,0,'Spells/Commoner/Glide.lua',592,'You cast Glide on %t.',2,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1384670344,1384378109,0,1),
(8140,4162601513,2,0,'Glorious Steed','\"All paladins must treat their steed with the same loyalty and respect with which they treat their fellow man.\" \n-Sir Xantille',729,65535,317,0,0,0,0,1,'Your Glorious Steed was successful on %t!','Your Glorious Steed fades.','',1,0,'',0,'You cast Glorious Steed on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670344,1384377858,0,1),
(8141,83423086,2,0,'Glowing Chest of Wonders','',403,65535,317,0,0,0,0,1,'Your Glowing Chest of Wonders was successful on %t!','Your Glowing Chest of Wonders fades.','',1,0,'',0,'You cast Glowing Chest of Wonders on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670344,1384367306,0,1),
(8142,458243673,2,0,'Greth''s Willing Scout','Summons a rodent pet  for the assassin.',289,65535,317,2711101135,0,0,0,0,'Your Greth''s Willing Scout was successful on %t!','Your Greth''s Willing Scout fades.','',1,0,'Spells/Commoner/GenericCosmeticPet.lua',0,'You cast Greth''s Willing Scout on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377840,0,1),
(8143,2323581428,2,0,'Grim Aura','\"I''m not sure what it was about him, but his very presence made people fall ill.\"\n-Qeynosian guard Wilhelm',783,65535,317,0,0,0,0,1,'Your Grim Aura was successful on %t!','Your Grim Aura fades.','',1,0,'',0,'You cast Grim Aura on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670344,1384377856,0,1),
(8144,250194489,2,0,'Grin of the Trickster','\"They won''t be expecting this!\"\n-Liem the halfling, just before leaping from a barstool into a group of thugs.',707,65535,317,0,0,0,0,1,'Your Grin of the Trickster was successful on %t!','Your Grin of the Trickster fades.','',1,0,'',0,'You cast Grin of the Trickster on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670344,1384377856,0,1),
(8145,4084457654,2,1,'Group Illusion: Air Elemental','Covers the form of the caster and his or her group with an illusory image.',272,65535,314,0,0,0,1,2,'Your Group Illusion: Air Elemental was successful on %t!','Your Group Illusion: Air Elemental fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',95,'You cast Group Illusion: Air Elemental on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377852,0,1),
(8146,4200717974,2,1,'Group Illusion: Earth Elemental','Covers the form of the caster and his or her group with an illusory image.',272,65535,314,0,0,0,1,2,'Your Group Illusion: Earth Elemental was successful on %t!','Your Group Illusion: Earth Elemental fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',795,'You cast Group Illusion: Earth Elemental on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377852,0,1),
(8147,715395251,2,1,'Group Illusion: Gnoll','Covers the form of the caster and his or her group with an illusory image.',267,65535,314,0,0,0,1,2,'Your Group Illusion: Gnoll was successful on %t!','Your Group Illusion: Gnoll fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',805,'You cast Group Illusion: Gnoll on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377868,0,1),
(8148,983553140,2,1,'Group Illusion: Half Elf','Covers the form of the caster and his or her group with an illusory image.',267,65535,314,0,0,0,1,2,'Your Group Illusion: Half Elf was successful on %t!','Your Group Illusion: Half Elf fades.','',1,0,'Spells/Commoner/GenericGenderDisguise.lua',805,'You cast Group Illusion: Half Elf on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377861,0,1),
(8149,2583883401,2,1,'Group Illusion: Human','Covers the form of the caster and his or her group with an illusory image.',267,65535,314,0,0,0,1,2,'Your Group Illusion: Human was successful on %t!','Your Group Illusion: Human fades.','',1,0,'Spells/Commoner/GenericGenderDisguise.lua',805,'You cast Group Illusion: Human on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377865,0,1),
(8150,775676177,2,0,'Grove''s Entanglement','\"Nature is everywhere, if you try to run from it you will only find yourself entangled by it.\" \n-Tunare',720,65535,312,0,0,0,0,1,'Your Grove''s Entanglement was successful on %t!','Your Grove''s Entanglement fades.','',1,0,'',0,'You cast Grove''s Entanglement on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670344,1384377856,0,1),
(8151,2651897142,2,0,'Growth''s Replenishment','\"I love Tunare, and all her children, however I would be dead a hundred times over were it not for my friends.\" \n-Firiona Vie',720,65535,314,0,0,0,0,2,'Your Growth''s Replenishment was successful on %t!','Your Growth''s Replenishment fades.','',1,0,'',0,'You cast Growth''s Replenishment on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670344,1384377856,0,1),
(8152,2230445789,2,1,'Guardian''s Sanctuary','\"Dad, why''s he glowing?\" - a child asking his father about a famed Guardian during a parade.\n\nA guardian''s desire to protect his party can manifest itself in strange ways.',377,65535,317,0,0,0,1,0,'Your Guardian''s Sanctuary was successful on %t!','Your Guardian''s Sanctuary fades.','',1,0,'Spells/Commoner/GenericVisualState.lua',0,'You cast Guardian''s Sanctuary on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377863,0,1),
(8153,1983902114,2,0,'Haero''s Aura Awareness','Allows the defiler to see beyond the realm of the living and use the eyes of the spirit realm.',199,65535,317,0,0,0,0,1,'Your Haero''s Aura Awareness was successful on %t!','Your Haero''s Aura Awareness fades.','',1,0,'',0,'You cast Haero''s Aura Awareness on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670344,1384377868,0,1),
(8154,1602178606,2,0,'Hammer of Justice','\"They never leave their court, but when a summons for some being in the universe is called, they rely on their brother enforcer, The Seventh Hammer.\" \n-a Qeynosian historian',780,65535,315,0,0,0,0,1,'Your Hammer of Justice was successful on %t!','Your Hammer of Justice fades.','',1,0,'',0,'You cast Hammer of Justice on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670344,1384377856,0,1),
(8155,2543720402,2,1,'Hand of Bayle','Covers the paladin''s hand with a holy light.',209,65535,317,0,0,0,1,0,'Your Hand of Bayle was successful on %t!','Your Hand of Bayle fades.','',1,0,'Spells/Commoner/GenericVisualState.lua',0,'You cast Hand of Bayle on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377884,0,1),
(8156,4045740160,2,0,'Hand of Death','What is life without death? Only one can offer you eternal life and eliminate death.',788,65535,65535,0,0,0,0,1,'Your Hand of Death was successful on %t!','Your Hand of Death fades.','',1,0,'',0,'You cast Hand of Death on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670344,1384377856,0,1),
(8157,3224598566,2,1,'Hand of Lucan','Covers the shadowknight''s hand with an unholy light.',326,65535,317,2741805322,0,250,1,0,'Your Hand of Lucan was successful on %t!','Your Hand of Lucan fades.','',1,0,'Spells/Commoner/GenericVisualState.lua',0,'You cast Hand of Lucan on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1582601758,1384377883,0,1),
(8158,3543141630,2,1,'Hand of the Just','\"If hand start to glow, we start to retreat.\"  - Un-named orc war chief before a battle.',275,65535,317,1209716810,0,0,1,0,'Your Hand of the Just was successful on %t!','Your Hand of the Just fades.','',1,0,'Spells/Commoner/GenericVisualState.lua',0,'You cast Hand of the Just on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377863,0,1),
(8159,3316650642,2,1,'Hand of the Truespirit','Covers the beastlord''s hands with power.',81,65535,317,0,0,0,1,0,'Your Hand of the Truespirit was successful on %t!','Your Hand of the Truespirit fades.','',1,0,'Spells/Commoner/GenericVisualState.lua',0,'You cast Hand of the Truespirit on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377842,0,1),
(8160,71804973,2,1,'Hatch Gorg Egg','',473,65535,317,0,0,0,1,1,'Your Hatch Gorg Egg was successful on %t!','Your Hatch Gorg Egg fades.','',1,0,'',0,'You cast Hatch Gorg Egg on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1582601733,1384377852,0,1),
(8161,4000475251,2,0,'Healing Prayers','Focused through Rodcet Nife''s blessings one can achieve extraordinary restoration of health and well being.',786,65535,317,0,0,0,0,1,'Your Healing Prayers was successful on %t!','Your Healing Prayers fades.','',1,0,'',0,'You cast Healing Prayers on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670344,1384377856,0,1),
(8162,601230426,2,1,'Herder''s Hog Call','',497,65535,317,0,0,0,1,1,'Your Herder''s Hog Call was successful on %t!','Your Herder''s Hog Call fades.','',1,0,'',0,'You cast Herder''s Hog Call on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670344,1384377877,0,1),
(8163,317333198,2,1,'Holy Acolyte','Summons an Acolyte to the Templar''s side.',218,65535,317,0,0,0,1,1,'Your Holy Acolyte was successful on %t!','Your Holy Acolyte fades.','',1,0,'',0,'You cast Holy Acolyte on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670344,1384377886,0,1),
(8164,664379806,2,1,'Holy Aura','Covers the templar in a holy aura.',184,65535,317,0,0,0,1,0,'Your Holy Aura was successful on %t!','Your Holy Aura fades.','',1,0,'Spells/Commoner/GenericVisualState.lua',0,'You cast Holy Aura on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377887,0,1),
(8165,1842814926,2,1,'Holy Steed','A paladin can summon a holy steed to his side.',558,65535,317,90523872,0,100,1,0,'Your Holy Steed was successful on %t!','Your Holy Steed fades.','',0,0,'Spells/Commoner/HolySteed.lua',11859,'You cast Holy Steed on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1577156120,1384377875,0,1),
(8166,34296967,2,0,'Honor''s Call','\"Dad? I want to be like him some day! I want to be a hero!\" \n-overheard during a parade in Qeynos',728,65535,315,0,0,0,0,1,'Your Honor''s Call was successful on %t!','Your Honor''s Call fades.','',1,0,'',0,'You cast Honor''s Call on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670344,1384377856,0,1),
(8167,2267470060,2,1,'Hover','Allows the dark elf to slowly lower themselves from high places.',244,65535,317,0,0,0,1,0,'Your Hover was successful on %t!','Your Hover fades.','',1,1,'Spells/Commoner/Hover.lua',592,'You cast Hover on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1570903038,1384377875,0,1),
(8168,344563500,2,0,'Hunter''s Fury','Sensing they are about to catch their prey, the sarnak are able to call upon a short burst of speed to ensure they capture their prey.',232,65535,65535,0,0,0,0,0,'Your Hunter''s Fury was successful on %t!','Your Hunter''s Fury fades.','',1,0,'Spells/Commoner/HuntersFury.lua',814,'You cast Hunter''s Fury on %t.',2,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384378109,0,1),
(8169,2691542882,2,1,'Hydromotion','Causes the froglok to sink in water and walk along the bottom easily.',239,65535,312,0,0,0,1,0,'Your Hydromotion was successful on %t!','Your Hydromotion fades.','',1,1,'Spells/Commoner/Hydromotion.lua',0,'You cast Hydromotion on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384378109,0,1),
(8170,2613238654,2,0,'Ice','',275,65535,315,0,0,0,0,1,'Your Ice was successful on %t!','Your Ice fades.','',1,0,'',0,'You cast Ice on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670344,1384377859,0,1),
(8171,1770144267,2,0,'Icy Kick','',331,65535,315,0,0,0,0,1,'Your Icy Kick was successful on %t!','Your Icy Kick fades.','',1,0,'',0,'You cast Icy Kick on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670344,1384377859,0,1),
(8172,3292877338,2,0,'Id''s Release','\"Revel in the dread of our master! Let the fear embrace your mind!\" \n-The Dracoliche',732,65535,313,0,0,0,0,1,'Your Id''s Release was successful on %t!','Your Id''s Release fades.','',1,0,'',0,'You cast Id''s Release on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670344,1384377856,0,1),
(8173,1971244748,2,0,'Ignore Terror','Grants the troll temporary immunity to fear based effects.',160,65535,317,0,0,0,0,0,'Your Ignore Terror was successful on %t!','Your Ignore Terror fades.','',1,0,'Spells/Commoner/IgnoreTerror.lua',441,'You cast Ignore Terror on %t.',2,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377875,0,1),
(8174,36317154,2,1,'Illusion Other: Ratonga','Covers the form of the targeted individual with an illusory image.',260,65535,316,0,0,0,1,1,'Your Illusion Other: Ratonga was successful on %t!','Your Illusion Other: Ratonga fades.','',1,0,'Spells/Commoner/GenericGenderDisguise.lua',147,'You cast Illusion Other: Ratonga on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377849,0,1),
(8175,1040831085,2,1,'Illusion Other: Troll','Covers the form of the targeted individual with an illusory image.',260,65535,316,0,0,0,1,1,'Your Illusion Other: Troll was successful on %t!','Your Illusion Other: Troll fades.','',1,0,'Spells/Commoner/GenericGenderDisguise.lua',147,'You cast Illusion Other: Troll on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377849,0,1),
(8176,1875949831,2,1,'Illusion: Air Elemental','Covers the form of the caster with an illusory image.',272,65535,317,0,0,0,1,0,'Your Illusion: Air Elemental was successful on %t!','Your Illusion: Air Elemental fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',95,'You cast Illusion: Air Elemental on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377852,0,1),
(8177,195696835,2,1,'Illusion: Barbarian','Covers the form of the caster with an illusory image.',267,65535,317,0,0,0,1,0,'Your Illusion: Barbarian was successful on %t!','Your Illusion: Barbarian fades.','',1,0,'Spells/Commoner/GenericGenderDisguise.lua',147,'You cast Illusion: Barbarian on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377866,0,1),
(8178,1376144895,2,1,'Illusion: Dwarf','Covers the form of the caster with an illusory image.',267,65535,317,0,0,0,1,0,'Your Illusion: Dwarf was successful on %t!','Your Illusion: Dwarf fades.','',1,0,'Spells/Commoner/GenericGenderDisguise.lua',147,'You cast Illusion: Dwarf on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377865,0,1),
(8179,2671347925,2,1,'Illusion: Earth Elemental','Covers the form of the caster with an illusory image.',272,65535,317,0,0,0,1,0,'Your Illusion: Earth Elemental was successful on %t!','Your Illusion: Earth Elemental fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',795,'You cast Illusion: Earth Elemental on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377852,0,1),
(8180,2750138222,2,1,'Illusion: Fire Elemental','Covers the form of the caster with an illusory image.',272,65535,317,0,0,0,1,0,'Your Illusion: Fire Elemental was successful on %t!','Your Illusion: Fire Elemental fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',78,'You cast Illusion: Fire Elemental on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377848,0,1),
(8181,640657594,2,1,'Illusion: Gnoll','Covers the form of the caster with an illusory image.',267,65535,317,0,0,0,1,0,'Your Illusion: Gnoll was successful on %t!','Your Illusion: Gnoll fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',147,'You cast Illusion: Gnoll on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377866,0,1),
(8182,4064977650,2,1,'Illusion: Half Elf','Covers the form of the caster with an illusory image.',267,65535,317,0,0,0,1,0,'Your Illusion: Half Elf was successful on %t!','Your Illusion: Half Elf fades.','',1,0,'Spells/Commoner/GenericGenderDisguise.lua',147,'You cast Illusion: Half Elf on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377865,0,1),
(8183,2788052708,2,1,'Illusion: Human','Covers the form of the caster with an illusory image.',267,65535,317,0,0,0,1,0,'Your Illusion: Human was successful on %t!','Your Illusion: Human fades.','',1,0,'Spells/Commoner/GenericGenderDisguise.lua',147,'You cast Illusion: Human on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377868,0,1),
(8184,264083108,2,1,'Illusion: Water Elemental','Covers the form of the caster with an illusory image.',272,65535,317,0,0,0,1,0,'Your Illusion: Water Elemental was successful on %t!','Your Illusion: Water Elemental fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',26,'You cast Illusion: Water Elemental on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377852,0,1),
(8185,491251896,2,0,'Impenetrable Will','When cast, the ogre will be immune to stun based effects for a short duration of time.',329,65535,317,0,0,0,0,0,'Your Impenetrable Will was successful on %t!','Your Impenetrable Will fades.','',1,1,'Spells/Commoner/ImpenetrableWill.lua',441,'You cast Impenetrable Will on %t.',2,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377823,0,1),
(8186,2380073790,2,0,'Impenetrable Will','The barbarian will become immune to stuns for a short duration.',243,65535,317,0,0,0,0,0,'Your Impenetrable Will was successful on %t!','Your Impenetrable Will fades.','',1,0,'Spells/Commoner/ImpenetrableWill.lua',606,'You cast Impenetrable Will on %t.',2,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384377875,0,1),
(8187,2301782951,2,0,'Engulf','\"Burn.\" \n- Solusek Ro',722,65535,315,0,0,0,0,1,'Your Incinerate was successful on %t!','Your Incinerate fades.','',1,0,'',0,'You cast Incinerate on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670344,1384377856,0,1),
(8188,2251611136,2,0,'Inferno''s Glory','\"Beautiful to behold yet devastating to touch, the glory of flame cannot be denied.\" \n-Rizlona',723,65535,317,0,0,0,0,1,'Your Inferno''s Glory was successful on %t!','Your Inferno''s Glory fades.','',1,0,'',0,'You cast Inferno''s Glory on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670344,1384377856,0,1),
(8189,1283789001,2,0,'Infravision','Shows a heat profile for all living creatures in view. \r\n\r\n',167,65535,317,0,0,0,0,0,'Your Infravision was successful on %t!','Your Infravision fades.','',1,1,'Spells/Traditions/Infravision.lua',0,'You cast Infravision on %t.',2,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670344,1384378116,0,1),
(8190,4293368688,2,0,'Inquiry','\"Make it known to all, that when you are brought before the Tribunal during an inquiry, speaking the truth is the only option.\" \n-Raqlo the Just',779,65535,317,0,0,0,0,1,'Your Inquiry was successful on %t!','Your Inquiry fades.','',1,0,'',0,'You cast Inquiry on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8191,3019314082,2,0,'Interdimensional Portal','Allows the high elf to teleport to a group member that is located within the same zone.',636,65535,316,0,0,0,0,1,'Your Interdimensional Portal was successful on %t!','Your Interdimensional Portal fades.','',1,0,'Spells/Commoner/InterdimensionalPortal.lua',0,'You cast Interdimensional Portal on %t.',2,1,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670346,1384378109,0,1),
(8192,48426276,2,0,'Investigating','Your ability to investigate various objects and discern any clues they might possess. This ability may be used on special objects sometimes found while completing quests.',167,65535,65535,0,0,0,0,1,'Your Investigating was successful on %t!','Your Investigating fades.','',1,0,'',0,'You cast Investigating on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670346,1384377877,0,1),
(8193,1711611170,2,1,'Iron Skin Style','Only the most dedicated Dreadnaughts have learned the secrets of strengthening their bodies as hard as iron.',329,65535,317,0,0,0,1,0,'Your Iron Skin Style was successful on %t!','Your Iron Skin Style fades.','',1,0,'Spells/Commoner/GenericVisualState.lua',0,'You cast Iron Skin Style on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670346,1384377846,0,1),
(8194,2083470574,2,1,'Jeth''s Cuddly Companion','Summons a friendly animal to the ranger''s side.',241,65535,317,0,0,0,1,0,'Your Jeth''s Cuddly Companion was successful on %t!','Your Jeth''s Cuddly Companion fades.','',1,0,'Spells/Commoner/GenericCosmeticPet.lua',0,'You cast Jeth''s Cuddly Companion on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670346,1384377876,0,1),
(8195,1924329520,2,0,'Jin''tu''s Gift','',230,65535,317,0,0,0,0,1,'Your Jin''tu''s Gift was successful on %t!','Your Jin''tu''s Gift fades.','',1,0,'',0,'You cast Jin''tu''s Gift on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670346,1384377877,0,1),
(8196,1301587872,2,1,'Juka''s Smoldering Essence','Covers the defiler in a smoldering, smoky essence.',198,65535,317,0,0,0,1,0,'Your Juka''s Smoldering Essence was successful on %t!','Your Juka''s Smoldering Essence fades.','',1,0,'Spells/Commoner/GenericVisualState.lua',0,'You cast Juka''s Smoldering Essence on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670346,1384377855,0,1),
(8197,1708468590,2,0,'Kintaz'' Boggling Request','Coerces the target to perform an action.',160,65535,316,0,0,0,0,1,'Your Kintaz'' Boggling Request was successful on %t!','Your Kintaz'' Boggling Request fades.','',1,0,'',0,'You cast Kintaz'' Boggling Request on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670346,1384377847,0,1),
(8198,1009142259,2,0,'Kintaz'' Mournful Pose','Coerces the target to perform an action.',160,65535,316,0,0,0,0,1,'Your Kintaz'' Mournful Pose was successful on %t!','Your Kintaz'' Mournful Pose fades.','',1,0,'',0,'You cast Kintaz'' Mournful Pose on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670346,1384377849,0,1),
(8199,3747819178,2,1,'Kraylith''s Curse of the Toad','Polymorphs the target of the spell into another creature.',218,65535,316,193411854,0,100,1,1,'Your Kraylith''s Curse of the Toad was successful on %t!','Your Kraylith''s Curse of the Toad fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',71,'You cast Kraylith''s Curse of the Toad on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1582601986,1384377893,0,1),
(8200,3860393933,2,1,'Kraylith''s Minor Familiar','Summons a familiar to the Warlock''s side.',165,65535,317,0,0,0,1,1,'Your Kraylith''s Minor Familiar was successful on %t!','Your Kraylith''s Minor Familiar fades.','',1,0,'',0,'You cast Kraylith''s Minor Familiar on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670346,1384377891,0,1),
(8201,3410996818,2,0,'Kunzite Baby Dragon','',473,65535,317,0,0,0,0,1,'Your Kunzite Baby Dragon was successful on %t!','Your Kunzite Baby Dragon fades.','',1,0,'',0,'You cast Kunzite Baby Dragon on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670346,1384377884,0,1),
(8202,1151502683,2,0,'Law and Order','\"A law following society is an orderly society.\"\n-Dargon McPherson',779,65535,317,0,0,0,0,1,'Your Law and Order was successful on %t!','Your Law and Order fades.','',1,0,'',0,'You cast Law and Order on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8203,319489577,2,0,'Life''s Restoration','\"Understanding that life sprouts from decay means you never need to fear death.\" \n-Horth Evergreen',720,65535,315,0,0,0,0,1,'Your Life''s Restoration was successful on %t!','Your Life''s Restoration fades.','',1,0,'',0,'You cast Life''s Restoration on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8204,2330053446,2,0,'Lure of Innoruuk','\"Feel the embrace of an elder god, and know the true meaning of hate!\" \n-Innoruuk, the Prince of Hate',730,65535,315,0,0,0,0,1,'Your Lure of Innoruuk was successful on %t!','Your Lure of Innoruuk fades.','',1,0,'',0,'You cast Lure of Innoruuk on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8205,485377790,2,0,'Lysira''s Forced Jig','Coerces the target to perform an action.',160,65535,316,2950599749,0,0,0,1,'Your Lysira''s Forced Jig was successful on %t!','Your Lysira''s Forced Jig fades.','',1,0,'',0,'You cast Lysira''s Forced Jig on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670346,1384377851,0,1),
(8206,640743447,2,0,'Lysira''s Forced Mirth','Coerces the target to perform an action.',160,65535,316,2950599749,0,0,0,1,'Your Lysira''s Forced Mirth was successful on %t!','Your Lysira''s Forced Mirth fades.','',1,0,'',0,'You cast Lysira''s Forced Mirth on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670346,1384377848,0,1),
(8207,519582990,2,1,'Lyssa''s Perpetual Motion','Surrounds the dirge with lasting motes of light.',173,65535,317,0,0,0,1,0,'Your Lyssa''s Perpetual Motion was successful on %t!','Your Lyssa''s Perpetual Motion fades.','',1,0,'Spells/Commoner/GenericVisualState.lua',0,'You cast Lyssa''s Perpetual Motion on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670346,1384377857,0,1),
(8208,2451806684,2,0,'Maestro''s Song','\"I will craft your bones into instruments of music, and my master will craft your soul into an instrument of his desire!\" \n-Maestro of Rancor',730,65535,315,0,0,0,0,1,'Your Maestro''s Song was successful on %t!','Your Maestro''s Song fades.','',1,0,'',0,'You cast Maestro''s Song on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8209,86560318,2,0,'Malevolent Wail','\"The howl of the banshee can drive even the most loving to hate.\" \n-Necromancer I''Vara, Tutor in the Lodge of the Dead',730,65535,315,0,0,0,0,1,'Your Malevolent Wail was successful on %t!','Your Malevolent Wail fades.','',1,0,'',0,'You cast Malevolent Wail on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8210,1980425311,2,0,'Malice of the Dark God','\"Fill yourself with hate and you will become a tool of Innoruuk.\" \n-The Spite Golem''s mantra',731,65535,317,0,0,0,0,1,'Your Malice of the Dark God was successful on %t!','Your Malice of the Dark God fades.','',1,0,'',0,'You cast Malice of the Dark God on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8211,4082437209,2,0,'Mana Cloak','',244,65535,317,0,0,0,0,2,'Your Mana Cloak was successful on %t!','Your Mana Cloak fades.','',1,0,'',0,'You cast Mana Cloak on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670346,1384377858,0,1),
(8212,1123604891,2,0,'Manifest Spirit','',184,65535,317,0,0,0,0,2,'Your Manifest Spirit was successful on %t!','Your Manifest Spirit fades.','',1,0,'',0,'You cast Manifest Spirit on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670346,1384377858,0,1),
(8213,4118582766,2,0,'Mark of Mithaniel','\"Give not only what you have; also give what you are.\" \n-Inte Akera',729,65535,316,0,0,0,0,1,'Your Mark of Mithaniel was successful on %t!','Your Mark of Mithaniel fades.','',1,0,'',0,'You cast Mark of Mithaniel on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8214,2995714021,2,0,'Marr''s Barrier','\"A hero is no different than any other man, save that he is courageous long after being interred.\" \n-a young Lucan D''Lere',728,65535,317,0,0,0,0,1,'Your Marr''s Barrier was successful on %t!','Your Marr''s Barrier fades.','',1,0,'',0,'You cast Marr''s Barrier on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8215,4238601725,2,0,'Marr''s Perseverance','\"Heroism is the endurance to last for one moment more! Hold the line!\" \n-Valeron Dushire during the Crusade of Tears',729,65535,316,0,0,0,0,1,'Your Marr''s Perseverance was successful on %t!','Your Marr''s Perseverance fades.','',1,0,'',0,'You cast Marr''s Perseverance on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8216,4176220546,2,1,'Melancholy Melody','Plays a mournful melody for the dirge''s party.',199,65535,314,340921594,0,0,1,2,'Your Melancholy Melody was successful on %t!','Your Melancholy Melody fades.','',1,0,'',0,'You cast Melancholy Melody on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670346,1384377857,0,1),
(8217,3937953857,2,1,'Mind over Matter','The high elf can use their magical powers to slow down their falling speed.',40,65535,65535,0,0,0,1,0,'Your Mind over Matter was successful on %t!','Your Mind over Matter fades.','',1,1,'Spells/Commoner/MindoverMatter.lua',0,'You cast Mind over Matter on %t.',2,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670346,1384377823,0,1),
(8218,3526590636,2,0,'Mini Militia','\"Goblins?  Goblins did you say?  They are no match for the armies of Rivervale!\" \n-Deputy Pittin regarding his views on Runnyeye.',706,65535,315,0,0,0,0,1,'Your Mini Militia was successful on %t!','Your Mini Militia fades.','',1,0,'',0,'You cast Mini Militia on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8219,3516188648,2,0,'Mining','',773,65535,65535,3659699625,3659699625,0,0,7,'Your Mining was successful on %t!','Your Mining fades.','',1,0,'Spells/Commoner/harvest.lua',569,'You start to mine %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1385183477,1384378158,0,0),
(8220,2478114132,2,0,'Minions of Evil','\"Eeeeeheheheheheheheee! Blearg!\" \n-an evil little imp',731,65535,317,0,0,0,0,1,'Your Minions of Evil was successful on %t!','Your Minions of Evil fades.','',1,0,'',0,'You cast Minions of Evil on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8221,2430323575,2,0,'Mischief Maker','\"So, ya wanna stir up some trouble do ya?  Well, yer in luck ''cause I''ve got just the thing.\" \n-The Drafling to a follower of Bristlebane',707,65535,317,0,0,0,0,1,'Your Mischief Maker was successful on %t!','Your Mischief Maker fades.','',1,0,'',0,'You cast Mischief Maker on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8222,4138989379,2,0,'Nature''s Caress','\"All things may die, but all things must stop growing before they can decay.\" \n-Ail the Elder',721,65535,317,1040683335,0,0,0,1,'Your Nature''s Caress was successful on %t!','Your Nature''s Caress fades.','',1,0,'',0,'You cast Nature''s Caress on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8223,2364500073,2,1,'Nature''s Irate Form','Changes the form of the fury.',198,65535,317,0,0,0,1,0,'Your Nature''s Irate Form was successful on %t!','Your Nature''s Irate Form fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',0,'You cast Nature''s Irate Form on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670346,1384377861,0,1),
(8224,3376974914,2,1,'Nylph''s Bone Form','Covers the form of the caster with an illusory image.',279,65535,317,2894715199,0,0,1,0,'Your Nylph''s Bone Form was successful on %t!','Your Nylph''s Bone Form fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',156,'You cast Nylph''s Bone Form on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670346,1384377871,0,1),
(8225,1592161690,2,1,'Nylph''s Misty Image','Covers the form of the caster with an illusory image.',279,65535,317,0,0,0,1,0,'Your Nylph''s Misty Image was successful on %t!','Your Nylph''s Misty Image fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',0,'You cast Nylph''s Misty Image on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670346,1384377872,0,1),
(8226,1489711088,2,1,'Nylph''s Skeletal Regiment','Covers the form of the caster and his or her group with an illusory image.',279,65535,314,0,0,0,1,2,'Your Nylph''s Skeletal Regiment was successful on %t!','Your Nylph''s Skeletal Regiment fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',156,'You cast Nylph''s Skeletal Regiment on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670346,1384377878,0,1),
(8227,2619033073,2,1,'Nylph''s Zombie Form','Covers the form of the caster with an illusory image.',279,65535,317,0,0,0,1,0,'Your Nylph''s Zombie Form was successful on %t!','Your Nylph''s Zombie Form fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',0,'You cast Nylph''s Zombie Form on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670346,1384377872,0,1),
(8228,2981445187,2,0,'Onyx Baby Dragon','',473,65535,317,0,0,0,0,1,'Your Onyx Baby Dragon was successful on %t!','Your Onyx Baby Dragon fades.','',1,0,'',0,'You cast Onyx Baby Dragon on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670346,1384377884,0,1),
(8229,443238428,2,0,'Pacification','\"All wars can be won on the battlefield of your mind.\" \n-Master Makoto Shoda',727,65535,317,0,0,0,0,1,'Your Pacification was successful on %t!','Your Pacification fades.','',1,0,'',0,'You cast Pacification on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8230,4136372738,2,0,'Passive Assault','\"Misdirection, evasion, and guile, if you can avoid the battle you are one step closer to peace.\" \n-Ran''Un to a student',727,65535,317,0,0,0,0,1,'Your Passive Assault was successful on %t!','Your Passive Assault fades.','',1,0,'',0,'You cast Passive Assault on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8231,267525301,1,0,'Pathfinding','Grants increased movement speed to group. It suspends during combat.',334,38,314,1921433074,3587918036,5,0,2,'Your Pathfinding was successful on %t!','Your Pathfinding fades.','',1,1,'Spells/Commoner/Pathfinding.lua',816,'You cast Pathfinding on %t.',1,0,0,0,1,0,0,0,0,8231,0,0,0,0,0,1,0,0,0,'Buff',1385182928,1384378116,0,1),
(8232,4043099366,2,0,'Patience of the Smith','\"Patience and time are required of those who work with steel.\"\n-Murlond Everhot on the subject of smithing',735,65535,317,0,0,0,0,1,'Your Patience of the Smith was successful on %t!','Your Patience of the Smith fades.','',1,0,'',0,'You cast Patience of the Smith on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8233,2561817018,2,1,'Peaceful Visage','',727,65535,317,0,0,0,1,0,'Your Peaceful Visage was successful on %t!','Your Peaceful Visage fades.','',1,0,'Spells/Commoner/PeacefulVisage.lua',1196,'You cast Peaceful Visage on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670346,1384377833,0,1),
(8234,3632729562,2,0,'Pensive Preoccupation','\"I am one with Quellious. I have no enemies. I fight no battles.\" \n-Puab Closk, Guildmaster of the Ashen Order',727,65535,317,0,0,0,0,1,'Your Pensive Preoccupation was successful on %t!','Your Pensive Preoccupation fades.','',1,0,'',0,'You cast Pensive Preoccupation on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8235,2587680254,2,0,'Perjury','\"Only a fool would lie directly to the Tribunal while under oath.  I just happen to be one of them.\" \n-Uric M''Ots, on the subject of blind obedience',780,65535,315,0,0,0,0,1,'Your Perjury was successful on %t!','Your Perjury fades.','',1,0,'',0,'You cast Perjury on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8236,1073283237,2,1,'Phyn''s Hunting Hawk','Summons a friendly animal to the ranger''s side.',335,65535,317,1400160844,0,0,1,0,'Your Phyn''s Hunting Hawk was successful on %t!','Your Phyn''s Hunting Hawk fades.','',1,0,'Spells/Commoner/GenericCosmeticPet.lua',0,'You cast Phyn''s Hunting Hawk on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670346,1384377875,0,1),
(8237,3474406232,2,0,'Pick Pocket','Allows the halfling to attempt to steal a small amount of coin from any humanoid target.',556,65535,65535,0,0,0,0,1,'Your Pick Pocket was successful on %t!','Your Pick Pocket fades.','',1,0,'Spells/Commoner/PickPocket.lua',1055,'You cast Pick Pocket on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670346,1384377875,0,1),
(8238,760310237,2,0,'Pick of the Duke','\"What, you think gold digs itself?\" \n-Tundra Jack',735,65535,317,0,0,0,0,1,'Your Pick of the Duke was successful on %t!','Your Pick of the Duke fades.','',1,0,'',0,'You cast Pick of the Duke on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8239,1167426345,2,0,'Pious Patience','\"Among its other benefits, healing liberates the soul of the healer.\" \n-Tholius Quey, Guildmaster of the Priests of Marr',729,65535,317,0,0,0,0,1,'Your Pious Patience was successful on %t!','Your Pious Patience fades.','',1,0,'',0,'You cast Pious Patience on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8240,1268003348,2,0,'Power Fountain','',243,65535,317,0,0,0,0,2,'Your Power Fountain was successful on %t!','Your Power Fountain fades.','',1,0,'',0,'You cast Power Fountain on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670346,1384377858,0,1),
(8241,2169498639,2,0,'Power From Beyond','Imagine living eternally, without fear of the blackness of death?  You can truly live forever under her wing, free from disease, free from oblivion!\n-- Plumetor Dul''Sadma',788,65535,65535,0,0,0,0,1,'Your Power From Beyond was successful on %t!','Your Power From Beyond fades.','',1,0,'',0,'You cast Power From Beyond on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8242,3879036231,2,0,'Pox of Bertoxxulous','\"I wouldn''t cast that off as a simple cold or a mere case of the snivels, Bertoxxulous'' reach is quite longer than you think.\" \n-a Paladin speaking to a commoner with a runny nose\n',784,65535,315,0,0,0,0,1,'Your Pox of Bertoxxulous was successful on %t!','Your Pox of Bertoxxulous fades.','',1,0,'',0,'You cast Pox of Bertoxxulous on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8243,1262910918,2,0,'Protection of Brell','\"Brell protect me! This doesn''t look good!\" \n-Hasten Bootstrutter upon stumbling into a giant encampment',734,65535,314,0,0,0,0,1,'Your Protection of Brell was successful on %t!','Your Protection of Brell fades.','',1,0,'',0,'You cast Protection of Brell on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8244,3299582751,2,1,'Pucker Pink Gumdrop','',507,65535,317,0,0,0,1,1,'Your Pucker Pink Gumdrop was successful on %t!','Your Pucker Pink Gumdrop fades.','',1,0,'',0,'You cast Pucker Pink Gumdrop on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670346,1384377868,0,1),
(8245,2935752123,2,0,'Pus Bolt','\"I make it a habit not to interfere with the dealings of Necromancers and Warlocks.\" \n-a Far Seas Mariner\n',783,65535,317,0,0,0,0,1,'Your Pus Bolt was successful on %t!','Your Pus Bolt fades.','',1,0,'',0,'You cast Pus Bolt on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,1,1,'Unset',1384670346,1384377856,0,1),
(8246,3610339525,2,0,'Quelled Rage','\"War only means an end, it is never an end to a means.\" \n-LuSun, Guildmaster of the Silent Fist Clan',726,65535,315,0,0,0,0,1,'Your Quelled Rage was successful on %t!','Your Quelled Rage fades.','',1,0,'',0,'You cast Quelled Rage on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8247,230511187,2,0,'Quellious'' Will','\"Tranquility, once realized, can be taught, even to those who are unwilling.\" \n-note affixed to the collar of Giang Yin',726,65535,315,0,0,0,0,1,'Your Quellious'' Will was successful on %t!','Your Quellious'' Will fades.','',1,0,'',0,'You cast Quellious'' Will on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8248,477342693,2,1,'Radiance of the Silent Fist','It is said that the true masters of the Clan of the Silent Fist glow with an inner light.',332,65535,317,0,0,0,1,0,'Your Radiance of the Silent Fist was successful on %t!','Your Radiance of the Silent Fist fades.','',1,0,'Spells/Commoner/GenericVisualState.lua',0,'You cast Radiance of the Silent Fist on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670346,1384377868,0,1),
(8249,1592338133,2,0,'Rallos'' Devastation','\"Chaos. Panic. Disorder. My work here is done.\" \n-Warlord McMarrin during the Age of Blood',724,65535,313,0,0,0,0,1,'Your Rallos'' Devastation was successful on %t!','Your Rallos'' Devastation fades.','',1,0,'',0,'You cast Rallos'' Devastation on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377860,0,1),
(8250,2544811830,2,1,'Reebo''s Circling Runes','Surrounds the warden with gentle runes.',191,65535,317,0,0,0,1,0,'Your Reebo''s Circling Runes was successful on %t!','Your Reebo''s Circling Runes fades.','',1,0,'Spells/Commoner/GenericVisualState.lua',0,'You cast Reebo''s Circling Runes on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670346,1384377892,0,1),
(8251,427735786,2,0,'Refine','Has a chance to refine certain raw harvestables into pure harvestables.  An equipment item crafted with a pure primary component will have higher attributes.  Higher tiers of this ability will lower the cooldown.',906,65535,317,0,0,0,0,1,'Your Refine was successful on %t!','Your Refine fades.','',1,0,'Spells/Commoner/Refine.lua',0,'You cast Refine on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,'Unset',1384670346,1384377903,0,1),
(8252,1024631131,2,0,'Retribution of Rallos','\"Dominate your will. Drive yourself to succeed. Only in death may a soldier finally find rest.\" \n-Kylan O''Danos',724,65535,317,0,0,0,0,1,'Your Retribution of Rallos was successful on %t!','Your Retribution of Rallos fades.','',1,0,'',0,'You cast Retribution of Rallos on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8253,3916399570,2,1,'Reveal Inner Demon','Shapeshifts the vampire into their true demonic form.',932,65535,317,0,0,0,1,0,'Your Reveal Inner Demon was successful on %t!','Your Reveal Inner Demon fades.','',1,0,'Spells/Commoner/RevealInnerDemon.lua',0,'You cast Reveal Inner Demon on %t.',2,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670346,1384377883,0,1),
(8254,3659210414,2,1,'Rhyn''s Feline Hunter','Summons a friendly animal to the ranger''s side.',477,65535,317,0,0,0,1,0,'Your Rhyn''s Feline Hunter was successful on %t!','Your Rhyn''s Feline Hunter fades.','',1,0,'Spells/Commoner/GenericCosmeticPet.lua',0,'You cast Rhyn''s Feline Hunter on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670346,1384377879,0,1),
(8255,180910847,2,0,'Rift from Below','\"Only the dead take their footing for granted. Any true friend of the earth knows Brell''s realm can shake you to your core.\" \n-anonymous trail guide',734,65535,313,0,0,0,0,1,'Your Rift from Below was successful on %t!','Your Rift from Below fades.','',1,0,'',0,'You cast Rift from Below on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8256,1187309658,2,0,'Ro''s Fury','\"Ro''s anger burns wood, cracks rock and destroys the living. What is your claim?\" \n-Jiva',723,65535,317,0,0,0,0,1,'Your Ro''s Fury was successful on %t!','Your Ro''s Fury fades.','',1,0,'',0,'You cast Ro''s Fury on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1583795509,1384377856,0,1),
(8257,3638240110,2,0,'Whack','Grants the ratonga a chance to steal some coin from a nearby target.',493,65535,315,0,0,0,0,1,'Your Rob was successful on %t!','Your Rob fades.','',1,0,'Spells/Commoner/Rob.lua',1055,'You cast Rob on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1585885347,1384377877,0,1),
(8258,4119976466,2,0,'Rogue''s Folly','\"Sometimes you gotta stand your ground and give ''em all you got.\" \n-Mrylokar',707,65535,317,0,0,0,0,1,'Your Rogue''s Folly was successful on %t!','Your Rogue''s Folly fades.','',1,0,'',0,'You cast Rogue''s Folly on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8259,1023908290,2,0,'Rotting Army','\"Yes... Oh yes, rise my minions and show those that oppose us the true meaning of suffering and decay.\" \n-Bertoxxulous the Plaguebringer\n',784,65535,315,0,0,0,0,1,'Your Rotting Army was successful on %t!','Your Rotting Army fades.','',1,0,'',0,'You cast Rotting Army on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8260,2872238123,2,0,'Rousing Celebration','Plays a celebratory melody for the troubador''s  party.',227,65535,314,296246391,0,0,0,1,'Your Rousing Celebration was successful on %t!','Your Rousing Celebration fades.','',1,0,'',789,'You cast Rousing Celebration on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670346,1384367297,0,1),
(8261,2626692171,2,1,'Rowyl''s Form of the Vale','Changes the form of the warden.',198,65535,317,0,0,0,1,0,'Your Rowyl''s Form of the Vale was successful on %t!','Your Rowyl''s Form of the Vale fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',0,'You cast Rowyl''s Form of the Vale on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670346,1384367308,0,1),
(8262,2328404575,2,1,'Rowyl''s Furious Barrier','Surrounds the Fury with rings of light.',184,65535,317,0,0,0,1,0,'Your Rowyl''s Furious Barrier was successful on %t!','Your Rowyl''s Furious Barrier fades.','',1,0,'Spells/Commoner/GenericVisualState.lua',0,'You cast Rowyl''s Furious Barrier on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670346,1384377861,0,1),
(8263,307404843,2,1,'Rune''s Tome of Knowledge','Summons a familiar to the Wizard''s side.',237,65535,317,0,0,0,1,0,'Your Rune''s Tome of Knowledge was successful on %t!','Your Rune''s Tome of Knowledge fades.','',1,0,'Spells/Commoner/GenericCosmeticPet.lua',165,'You cast Rune''s Tome of Knowledge on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670346,1384377900,0,1),
(8264,676014542,2,0,'Sacred Shield','Deals instant Divine damage and has a chance to deal additional Divine damage over-time when a vampire opponent attacks the recipient of this spell.',243,13,315,0,0,0,0,1,'Your Sacred Shield was successful on %t!','Your Sacred Shield fades.','',1,0,'',0,'You cast Sacred Shield on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670346,1384377841,0,1),
(8265,1158150046,2,0,'Sacrifice of Marr','\"Marr''s teachings tell us that the main purpose of existence is to kindle a light in the darkness of our fellows.\" \n-Eestyana Naestra, High Priest of Marr',728,65535,316,0,0,0,0,1,'Your Sacrifice of Marr was successful on %t!','Your Sacrifice of Marr fades.','',1,0,'',0,'You cast Sacrifice of Marr on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8266,2266640201,2,0,'Salvage','Salvages the target item into raw materials.  Higher quality items will result in higher quality raw materials.  Higher tiers of this ability will lower the cooldown.',540,65535,317,0,0,0,0,1,'Your Salvage was successful on %t!','Your Salvage fades.','',1,0,'Spells/Commoner/Salvage.lua',0,'You cast Salvage on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,'Unset',1384670346,1384377901,0,1),
(8267,1369045398,2,0,'Salve','Instantly heals some of the group''s health and cures hostile effects.',158,12,314,0,0,0,0,2,'Your Salve was successful on %t!','Your Salve fades.','',1,0,'',0,'You cast Salve on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670346,1384377830,0,1),
(8268,2031752496,2,0,'Sapphire Baby Dragon','',473,65535,317,0,0,0,0,1,'Your Sapphire Baby Dragon was successful on %t!','Your Sapphire Baby Dragon fades.','',1,0,'',0,'You cast Sapphire Baby Dragon on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670346,1384377884,0,1),
(8269,1852499350,2,0,'Scales of Justice','\"The Tribunal do their best to maintain fairness and balance wherever possible, even here in the city of Maj''Dul.\" \n-Nazheera, a poor beggar',779,65535,317,0,0,0,0,1,'Your Scales of Justice was successful on %t!','Your Scales of Justice fades.','',1,0,'',0,'You cast Scales of Justice on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8270,986637489,2,0,'Searing Sun','',190,65535,315,0,0,0,0,1,'Your Searing Sun was successful on %t!','Your Searing Sun fades.','',1,0,'',0,'You cast Searing Sun on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670346,1384377858,0,1),
(8271,2366691129,2,0,'Searing Sun','',190,65535,315,0,0,0,0,1,'Your Searing Sun was successful on %t!','Your Searing Sun fades.','',1,0,'',0,'You cast Searing Sun on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670346,1384377858,0,1),
(8272,1849770504,2,0,'Searing Sun','',190,65535,315,0,0,0,0,1,'Your Searing Sun was successful on %t!','Your Searing Sun fades.','',1,0,'',0,'You cast Searing Sun on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670346,1384377858,0,1),
(8273,1276195385,2,0,'See No Evil','\"Here, try this on.  I''m sure no one will notice...\" \n-Girard Sprocketbender',706,65535,315,0,0,0,0,1,'Your See No Evil was successful on %t!','Your See No Evil fades.','',1,0,'',0,'You cast See No Evil on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8274,927950271,2,0,'Seething Hatred','\"Oh yes, they shall learn to hate us, and in doing so, shall bring the Prince of Hate more power!\" \n-an Indigo Brotherhood mercenary',731,65535,317,0,0,0,0,1,'Your Seething Hatred was successful on %t!','Your Seething Hatred fades.','',1,0,'',0,'You cast Seething Hatred on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8275,2885196221,2,0,'Seething Infection','\"Don''t let my size fool you, Bertoxxulous grants favor to all that spread death and decay in his name, regardless of size.\" \n-Eonis Mournunder\n',784,65535,315,0,0,0,0,1,'Your Seething Infection was successful on %t!','Your Seething Infection fades.','',1,0,'',0,'You cast Seething Infection on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8276,1840144242,2,0,'Servant of Fear','\"From the depths of Thule''s domain, I summon a fiend born of sinew and bone!\" \n-The Priest of Fear',733,65535,317,0,0,0,0,1,'Your Servant of Fear was successful on %t!','Your Servant of Fear fades.','',1,0,'',0,'You cast Servant of Fear on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670346,1384377856,0,1),
(8277,412866087,2,0,'Servant of Flame','\"Yes master! Burn they shall!\" \n-Qayzl the Imp',723,65535,317,0,0,0,0,1,'Your Servant of Flame was successful on %t!','Your Servant of Flame fades.','',1,0,'',0,'You cast Servant of Flame on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1583796387,1384377856,0,1),
(8278,590823185,2,0,'Set Recall Point','Use this ability when within a home city of your alignment to change the location you will teleport to when using your \"Call of ...\" ability.',218,65535,317,0,0,0,0,0,'Your spirit has been bound to this location.','','',1,0,'Spells/Commoner/SetRecallPoint.lua',232,'',2,0,0,0,1,0,0,0,0,8278,0,0,0,0,0,1,0,0,0,'Unset',1579221695,1384377886,0,0),
(8279,2125498669,2,0,'Shadow Walk','Ports the Vampire to an ally within the current zone.',928,65535,316,0,0,0,0,1,'Your Shadow Walk was successful on %t!','Your Shadow Walk fades.','',1,0,'Spells/Commoner/ShadowWalk.lua',0,'You cast Shadow Walk on %t.',2,1,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670346,1384378109,0,1),
(8280,1977529593,2,1,'Shadowed Form of the Assassin','Swaths the assassin in moving shadows.',231,65535,317,0,0,0,1,0,'Your Shadowed Form of the Assassin was successful on %t!','Your Shadowed Form of the Assassin fades.','',1,0,'Spells/Commoner/GenericVisualState.lua',0,'You cast Shadowed Form of the Assassin on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670346,1384377841,0,1),
(8281,24720233,2,0,'Sharpened Focus','',163,65535,317,0,0,0,0,1,'Your Sharpened Focus was successful on %t!','Your Sharpened Focus fades.','',1,0,'',0,'You cast Sharpened Focus on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670346,1384377858,0,1),
(8282,3918739677,2,0,'Sharpened Focus','',163,65535,317,0,0,0,0,1,'Your Sharpened Focus was successful on %t!','Your Sharpened Focus fades.','',1,0,'',0,'You cast Sharpened Focus on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377858,0,1),
(8283,1466853455,2,0,'Sharpened Focus','',163,65535,314,0,0,0,0,2,'Your Sharpened Focus was successful on %t!','Your Sharpened Focus fades.','',1,0,'',0,'You cast Sharpened Focus on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377859,0,1),
(8284,3281154386,2,0,'Sharpened Focus','',163,65535,317,0,0,0,0,1,'Your Sharpened Focus was successful on %t!','Your Sharpened Focus fades.','',1,0,'',0,'You cast Sharpened Focus on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377858,0,1),
(8285,1611485225,2,0,'Sharpened Focus','',163,65535,314,0,0,0,0,2,'Your Sharpened Focus was successful on %t!','Your Sharpened Focus fades.','',1,0,'',0,'You cast Sharpened Focus on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377858,0,1),
(8286,2293567519,2,0,'Sharpened Focus','',163,65535,314,0,0,0,0,2,'Your Sharpened Focus was successful on %t!','Your Sharpened Focus fades.','',1,0,'',0,'You cast Sharpened Focus on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377858,0,1),
(8287,2427102855,2,0,'Shield of the Tranquil','\"You need not fight, eventually all those who wage war will destroy themselves.\" \n-Paladin Depnar Bulrious of the Peace Keepers',726,65535,317,0,0,0,0,1,'Your Shield of the Tranquil was successful on %t!','Your Shield of the Tranquil fades.','',1,0,'',0,'You cast Shield of the Tranquil on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670348,1384377856,0,1),
(8288,3005542892,2,0,'Shower of Arrows','',363,65535,315,0,0,0,0,1,'Your Shower of Arrows was successful on %t!','Your Shower of Arrows fades.','',1,0,'',0,'You cast Shower of Arrows on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377859,0,1),
(8289,2868933941,2,0,'Shroud of Clouds','\"And there he was, all covered in some kinda smoke or fog or somethin''.  I couldn''t rightly see his face now could I, being that it was all covered in that strange fog.  There''s naught left to say to that but the handy-work of the gods.\" \n-a Leatherfoot Captain reporting to a superior',782,65535,315,0,0,0,0,1,'Your Shroud of Clouds was successful on %t!','Your Shroud of Clouds fades.','',1,0,'',0,'You cast Shroud of Clouds on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670348,1384377856,0,1),
(8290,1430986925,2,0,'Silent Fist Kata','\"Members of our order must control their desires and temper their body and mind.\" - Master Makoto Shoda',331,65535,317,2011726342,0,0,0,1,'Your Silent Fist Kata was successful on %t!','Your Silent Fist Kata fades.','',1,0,'',0,'You cast Silent Fist Kata on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377864,0,1),
(8291,2124942176,2,1,'Silvani Form','The Fae are magical beings with close ties to Growth.  When necessary, they can evoke the form of a spirit bud, allowing them to quickly slip away or surprise their enemies.\n \n\"Our spirits are ageless and forever youthful.\" \n \nAbility, placed upon you, which allows you to use the Silvani form while not in combat.\n \n \n',78,65535,65535,0,0,0,1,1,'Your Silvani Form was successful on %t!','Your Silvani Form fades.','',1,0,'',0,'You cast Silvani Form on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377832,0,1),
(8292,4026518400,2,1,'Singular Focus','This ability prevents any effect that causes the caster''s auto-attack to strike multiple targets.',377,65535,317,0,0,0,1,0,'Your Singular Focus was successful on %t!','Your Singular Focus fades.','',1,1,'',605,'You cast Singular Focus on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377848,0,1),
(8293,1869910222,2,0,'Six Feet Under','Place your faith in one who brings everlasting life, cure to illness, and protection from death.',789,65535,315,0,0,0,0,1,'Your Six Feet Under was successful on %t!','Your Six Feet Under fades.','',1,0,'',0,'You cast Six Feet Under on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670348,1384377856,0,1),
(8294,4043268719,2,1,'Slithering Form of the Serpent','Covers the form of the caster with an illusory image.',193,65535,317,0,0,0,1,0,'Your Slithering Form of the Serpent was successful on %t!','Your Slithering Form of the Serpent fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',166,'You cast Slithering Form of the Serpent on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670348,1384377870,0,1),
(8295,2673174799,2,0,'Smite','',29,65535,315,2463145248,0,0,0,1,'Your Smite was successful on %t!','Your Smite fades.','',1,0,'',0,'You cast Smite on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377887,0,1),
(8296,3698630299,2,0,'Smoke','',275,65535,315,0,0,0,0,1,'Your Smoke was successful on %t!','Your Smoke fades.','',1,0,'',0,'You cast Smoke on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377858,0,1),
(8297,2172145216,2,1,'Solist''s Dark Flame','Causes the wizard to be surrounded by swirling energy.',190,65535,317,0,0,0,1,0,'Your Solist''s Dark Flame was successful on %t!','Your Solist''s Dark Flame fades.','',1,0,'Spells/Commoner/GenericVisualState.lua',0,'You cast Solist''s Dark Flame on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670348,1384377902,0,1),
(8298,751271645,2,0,'Solusek''s Gift','\"Come closer... Feel the heat... Burn in the fires of eternity!\" \n-Xuzl',723,65535,317,0,0,0,0,1,'Your Solusek''s Gift was successful on %t!','Your Solusek''s Gift fades.','',1,0,'',0,'You cast Solusek''s Gift on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670348,1384377856,0,1),
(8299,3424779025,2,0,'Solusek''s Soothing Scorch','\"To those for whom fire is life, shall fire nurture their spirit and grant them sustenance when they are at their weakest.\" \n-Civean Il''Pernod\nThis miracle will only trigger off heat based spells.',722,65535,317,0,0,0,0,1,'Your Solusek''s Soothing Scorch was successful on %t!','Your Solusek''s Soothing Scorch fades.','',1,0,'',0,'You cast Solusek''s Soothing Scorch on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670348,1384377856,0,1),
(8300,1868715877,2,0,'Sonicvision','Highlights moving creatures.',167,65535,317,0,0,0,0,0,'Your Sonicvision was successful on %t!','Your Sonicvision fades.','',0,1,'Spells/Traditions/Sonicvision.lua',0,'You cast Sonicvision on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670348,1384378116,0,1),
(8301,2465069463,2,0,'Soothing Spirit','The spirit of healing can be called forth by those loyal to Rodcet Nife and his healing ways.',787,65535,317,0,0,0,0,1,'Your Soothing Spirit was successful on %t!','Your Soothing Spirit fades.','',1,0,'',0,'You cast Soothing Spirit on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670348,1384377856,0,1),
(8302,8128863,2,0,'Soothing Thoughts','Blessed are those who look inward for soothing inner demons who can corrupt the soul and taint the well being of the body.\n-- Proctor Eiolie, Priest of Rodcet Nife',786,65535,317,0,0,0,0,1,'Your Soothing Thoughts was successful on %t!','Your Soothing Thoughts fades.','',1,0,'',0,'You cast Soothing Thoughts on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670348,1384377856,0,1),
(8303,407757382,2,0,'Soul Devour','',259,65535,315,0,0,0,0,1,'Your Soul Devour was successful on %t!','Your Soul Devour fades.','',1,0,'',0,'You cast Soul Devour on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377859,0,1),
(8304,222990242,2,0,'Soulsieve','Deals instant damage to a vampiric enemy''s Health and Power and transfers a portion of this damage to the caster''s Health and Power.',281,24,315,0,0,0,0,1,'Your Soulsieve was successful on %t!','Your Soulsieve fades.','',1,0,'',0,'You cast Soulsieve on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377841,0,1),
(8305,815143560,2,0,'Spear of the Sun','\"The Spear of Ro symbolizes the raw, creative power of flame, for without it, no metalwork could be accomplished.\" \n-Lord Ironforge',722,65535,317,0,0,0,0,1,'Your Spear of the Sun was successful on %t!','Your Spear of the Sun fades.','',1,0,'',0,'You cast Spear of the Sun on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670348,1384377856,0,1),
(8306,3681544176,2,0,'Spines of Thule','\"Ouch master, you''re hurting me!\" \n-unnamed Tae Ew ritualist',733,65535,317,0,0,0,0,1,'Your Spines of Thule was successful on %t!','Your Spines of Thule fades.','',1,0,'',0,'You cast Spines of Thule on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670348,1384377856,0,1),
(8307,4135436660,2,0,'Spirit Siphon','Take from those who wish you harm and empower yourself to become a true evangelical spirit.',789,65535,315,0,0,0,0,1,'Your Spirit Siphon was successful on %t!','Your Spirit Siphon fades.','',1,0,'',0,'You cast Spirit Siphon on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670348,1384377856,0,1),
(8308,1571882540,2,1,'Sprint','This ability allows your character to run at an increased rate for a short period of time at the cost of Power. (Can be used while in combat)',303,65535,317,0,0,0,0,0,'Your Sprint was successful on %t!','Your Sprint fades.','',0,1,'Spells/Commoner/Sprint.lua',0,'You cast Sprint on %t.',2,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1588983031,1384378116,0,0),
(8309,3440724872,2,0,'Stature of Serilis','\"It''s not the size of the dwarf in the fight, but the size of the dwarf''s axe.\" \n-Master at Arms Dagorel, speaking to a new trainee',735,65535,317,0,0,0,0,1,'Your Stature of Serilis was successful on %t!','Your Stature of Serilis fades.','',1,0,'',0,'You cast Stature of Serilis on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670348,1384377856,0,1),
(8310,407289269,2,0,'Stench of Decay','You pay homage to a \"god\" who promises you health and life, but what has he brought you?  Can you not still die?  Are there loved ones who do not still get sick?\n-- Plumetor Dul''Sadma',788,65535,65535,0,0,0,0,1,'Your Stench of Decay was successful on %t!','Your Stench of Decay fades.','',1,0,'',0,'You cast Stench of Decay on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670348,1384377856,0,1),
(8311,2715253361,2,0,'Strife''s Curse','\"Oh how the feeling of powerlessness summons forth rage and anger!\" \n-an unnamed Teir''dal priest of Innoruuk',731,65535,317,0,0,0,0,1,'Your Strife''s Curse was successful on %t!','Your Strife''s Curse fades.','',1,0,'',0,'You cast Strife''s Curse on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670348,1384377856,0,1),
(8312,2638548691,2,0,'Summon Abolisher','',473,65535,317,0,0,0,0,1,'Your Summon Abolisher was successful on %t!','Your Summon Abolisher fades.','',1,0,'',0,'You cast Summon Abolisher on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377875,0,1),
(8313,1222671013,2,0,'Summon Arcane Prowler Kitten','',473,65535,317,0,0,0,0,1,'Your Summon Arcane Prowler Kitten was successful on %t!','Your Summon Arcane Prowler Kitten fades.','',1,0,'',0,'You cast Summon Arcane Prowler Kitten on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377884,0,1),
(8314,830684220,2,0,'Summon Armadillo','',473,65535,317,0,0,0,0,1,'Your Summon Armadillo was successful on %t!','Your Summon Armadillo fades.','',1,0,'',0,'You cast Summon Armadillo on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377885,0,1),
(8315,3050987830,2,1,'Summon Artisan''s Gathering Goblin','Summons an expert goblin harvester to help the Artisan Harvest.  This harvest helper has a chance of harvesting rares.  Higher ranks of this ability lower the cooldown.',565,65535,317,0,0,0,1,1,'Your Summon Artisan''s Gathering Goblin was successful on %t!','Your Summon Artisan''s Gathering Goblin fades.','',1,0,'',0,'You cast Summon Artisan''s Gathering Goblin on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,'Unset',1384670348,1384377839,0,1),
(8316,2144640907,2,0,'Summon Artisan''s Pack Pony','',573,65535,317,0,0,0,0,1,'Your Summon Artisan''s Pack Pony was successful on %t!','Your Summon Artisan''s Pack Pony fades.','',1,0,'',0,'You cast Summon Artisan''s Pack Pony on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377834,0,1),
(8317,489077796,2,1,'Summon Bear Cub','This bear''s owner supported the Child''s Play Winter Holiday Charity Drive in 2009! Sony Online Entertainment extends a warm thanks to them!',473,65535,317,0,0,0,1,1,'Your Summon Bear Cub was successful on %t!','Your Summon Bear Cub fades.','',1,0,'',0,'You cast Summon Bear Cub on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377884,0,1),
(8318,210704788,2,0,'Summon Bixie Companion','',473,65535,317,0,0,0,0,1,'Your Summon Bixie Companion was successful on %t!','Your Summon Bixie Companion fades.','',1,0,'',0,'You cast Summon Bixie Companion on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377886,0,1),
(8319,888257590,2,0,'Summon Black Kitten','',473,65535,317,0,0,0,0,1,'Your Summon Black Kitten was successful on %t!','Your Summon Black Kitten fades.','',1,0,'',0,'You cast Summon Black Kitten on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377886,0,1),
(8320,1488999970,2,1,'Summon Boarfiend','',473,65535,317,0,0,0,1,1,'Your Summon Boarfiend was successful on %t!','Your Summon Boarfiend fades.','',1,0,'',0,'You cast Summon Boarfiend on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377886,0,1),
(8321,880965821,2,1,'Summon Boarfiend','',473,65535,317,0,0,0,1,1,'Your Summon Boarfiend was successful on %t!','Your Summon Boarfiend fades.','',1,0,'',0,'You cast Summon Boarfiend on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377885,0,1),
(8322,3960685609,2,1,'Summon Bonded Drakkel Pup','',473,65535,317,0,0,0,1,1,'Your Summon Bonded Drakkel Pup was successful on %t!','Your Summon Bonded Drakkel Pup fades.','',1,0,'',0,'You cast Summon Bonded Drakkel Pup on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377877,0,1),
(8323,1303159258,2,1,'Summon Bugbear','',473,65535,317,0,0,0,1,1,'Your Summon Bugbear was successful on %t!','Your Summon Bugbear fades.','',1,0,'',0,'You cast Summon Bugbear on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377884,0,1),
(8324,1648093148,2,0,'Summon Chemistry Table','Grants the ability to summon mobile crafting stations.  These summons share a reuse timer.  Higher ranks of this ability lower the cooldown on the station summons.',753,65535,317,0,0,0,0,1,'Your Summon Chemistry Table was successful on %t!','Your Summon Chemistry Table fades.','',1,0,'',0,'You cast Summon Chemistry Table on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,'Unset',1384670348,1384377903,0,1),
(8325,3770344480,2,0,'Summon Child''s Play Cube','',473,65535,317,0,0,0,0,1,'Your Summon Child''s Play Cube was successful on %t!','Your Summon Child''s Play Cube fades.','',1,0,'',0,'You cast Summon Child''s Play Cube on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377875,0,1),
(8326,1179043299,2,0,'Summon Clockwork Surveillance Unit','',473,65535,317,0,0,0,0,1,'Your Summon Clockwork Surveillance Unit was successful on %t!','Your Summon Clockwork Surveillance Unit fades.','',1,0,'',0,'You cast Summon Clockwork Surveillance Unit on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377833,0,1),
(8327,1007918190,2,1,'Summon Curious Little Monkey','',473,65535,317,0,0,0,1,1,'Your Summon Curious Little Monkey was successful on %t!','Your Summon Curious Little Monkey fades.','',1,0,'',0,'You cast Summon Curious Little Monkey on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377868,0,1),
(8328,3773828885,2,1,'Summon Enchanted Snowman','',473,65535,317,0,0,0,1,1,'Your Summon Enchanted Snowman was successful on %t!','Your Summon Enchanted Snowman fades.','',1,0,'',0,'You cast Summon Enchanted Snowman on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377868,0,1),
(8329,356308810,2,0,'Summon Engraved Desk','Grants the ability to summon mobile crafting stations.  These summons share a reuse timer.  Higher ranks of this ability lower the cooldown on the station summons.',799,65535,317,0,0,0,0,1,'Your Summon Engraved Desk was successful on %t!','Your Summon Engraved Desk fades.','',1,0,'',0,'You cast Summon Engraved Desk on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,'Unset',1384670348,1384377904,0,1),
(8330,1474085062,2,0,'Summon Ethereal Prowler Kitten','',473,65535,317,0,0,0,0,1,'Your Summon Ethereal Prowler Kitten was successful on %t!','Your Summon Ethereal Prowler Kitten fades.','',1,0,'',0,'You cast Summon Ethereal Prowler Kitten on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377885,0,1),
(8331,3583867322,2,0,'Summon Etherpine','',473,65535,317,0,0,0,0,1,'Your Summon Etherpine was successful on %t!','Your Summon Etherpine fades.','',1,0,'',0,'You cast Summon Etherpine on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377875,0,1),
(8332,2717447730,2,0,'Summon Fearsome Companion','This item is awarded to those who achieve the rank of AttachÃ© in the SOE Recruit Rewards program.  Visit www.soe.com/recruit for more information.',473,65535,317,0,0,0,0,1,'Your Summon Fearsome Companion was successful on %t!','Your Summon Fearsome Companion fades.','',1,0,'',0,'You cast Summon Fearsome Companion on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377885,0,1),
(8333,4290227098,2,1,'Summon Festive Burynai','',473,65535,317,0,0,0,1,1,'Your Summon Festive Burynai was successful on %t!','Your Summon Festive Burynai fades.','',1,0,'',0,'You cast Summon Festive Burynai on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377885,0,1),
(8334,307303251,2,0,'Summon Forge','Grants the ability to summon mobile crafting stations.  Higher ranks of this ability lower the cooldown on the station summons.',770,65535,317,0,0,0,0,1,'Your Summon Forge was successful on %t!','Your Summon Forge fades.','',1,0,'',0,'You cast Summon Forge on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,'Unset',1384670348,1384377899,0,1),
(8335,1432797090,2,0,'Summon Frostpaw Kitten','',473,65535,317,0,0,0,0,1,'Your Summon Frostpaw Kitten was successful on %t!','Your Summon Frostpaw Kitten fades.','',1,0,'',0,'You cast Summon Frostpaw Kitten on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377882,0,1),
(8336,1989988913,2,0,'Summon Frosty Cap  Frostfell Cube','',473,65535,317,0,0,0,0,1,'Your Summon Frosty Cap  Frostfell Cube was successful on %t!','Your Summon Frosty Cap  Frostfell Cube fades.','',1,0,'',0,'You cast Summon Frosty Cap  Frostfell Cube on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377885,0,1),
(8337,1756485965,2,1,'Summon Gazer Pet','',473,65535,317,0,0,0,1,1,'Your Summon Gazer Pet was successful on %t!','Your Summon Gazer Pet fades.','',1,0,'Spells/Commoner/SummonGazerPet.lua',0,'You cast Summon Gazer Pet on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670348,1384377851,0,1),
(8338,4069528649,2,0,'Summon Glacial Animated Defender','',473,65535,317,0,0,0,0,1,'Your Summon Glacial Animated Defender was successful on %t!','Your Summon Glacial Animated Defender fades.','',1,0,'',0,'You cast Summon Glacial Animated Defender on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377886,0,1),
(8339,2099968383,2,0,'Summon Golden Animated Defender','',473,65535,317,0,0,0,0,1,'Your Summon Golden Animated Defender was successful on %t!','Your Summon Golden Animated Defender fades.','',1,0,'',0,'You cast Summon Golden Animated Defender on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377886,0,1),
(8340,1263200303,2,0,'Summon Halasian Mauler Pup','',473,65535,317,0,0,0,0,1,'Your Summon Halasian Mauler Pup was successful on %t!','Your Summon Halasian Mauler Pup fades.','',1,0,'',0,'You cast Summon Halasian Mauler Pup on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377885,0,1),
(8341,1565830639,2,1,'Summon Handy Companion','',473,65535,317,0,0,0,1,1,'Your Summon Handy Companion was successful on %t!','Your Summon Handy Companion fades.','',1,0,'',0,'You cast Summon Handy Companion on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377884,0,1),
(8342,763603777,2,0,'Summon Highland Stalker Kitten','',473,65535,317,0,0,0,0,1,'Your Summon Highland Stalker Kitten was successful on %t!','Your Summon Highland Stalker Kitten fades.','',1,0,'',0,'You cast Summon Highland Stalker Kitten on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377884,0,1),
(8343,2774385668,2,0,'Summon Holy Symbol','Summons a holy symbol for the target.',163,65535,316,0,0,0,0,1,'Your Summon Holy Symbol was successful on %t!','Your Summon Holy Symbol fades.','',1,0,'',0,'You cast Summon Holy Symbol on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384367305,0,1),
(8344,787824439,2,0,'Summon Imperial Prowler Kitten','',473,65535,317,0,0,0,0,1,'Your Summon Imperial Prowler Kitten was successful on %t!','Your Summon Imperial Prowler Kitten fades.','',1,0,'',0,'You cast Summon Imperial Prowler Kitten on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377884,0,1),
(8345,2681655417,2,1,'Summon Knight of Shadow''s End','',473,65535,317,0,0,0,1,1,'Your Summon Knight of Shadow''s End was successful on %t!','Your Summon Knight of Shadow''s End fades.','',1,0,'',0,'You cast Summon Knight of Shadow''s End on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377884,0,1),
(8346,2368827486,2,1,'Summon Kobold','',473,65535,317,0,0,0,1,1,'Your Summon Kobold was successful on %t!','Your Summon Kobold fades.','',1,0,'',0,'You cast Summon Kobold on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377885,0,1),
(8347,2428901995,2,1,'Summon Loyal Stormwing Whelp','',473,65535,317,0,0,0,1,1,'Your Summon Loyal Stormwing Whelp was successful on %t!','Your Summon Loyal Stormwing Whelp fades.','',1,0,'',0,'You cast Summon Loyal Stormwing Whelp on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377877,0,1),
(8348,1740295210,2,1,'Summon Lucky Teralid','',473,65535,317,0,0,0,1,1,'Your Summon Lucky Teralid was successful on %t!','Your Summon Lucky Teralid fades.','',1,0,'',0,'You cast Summon Lucky Teralid on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377851,0,1),
(8349,1822726328,2,1,'Summon Mage of Shadow''s End','',473,65535,317,0,0,0,1,1,'Your Summon Mage of Shadow''s End was successful on %t!','Your Summon Mage of Shadow''s End fades.','',1,0,'',0,'You cast Summon Mage of Shadow''s End on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377884,0,1),
(8350,3560394529,2,1,'Summon Mini-Cognatic Bixie Bopper','',473,65535,317,0,0,0,1,1,'Your Summon Mini-Cognatic Bixie Bopper was successful on %t!','Your Summon Mini-Cognatic Bixie Bopper fades.','',1,0,'',0,'You cast Summon Mini-Cognatic Bixie Bopper on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377833,0,1),
(8351,1059920647,2,0,'Summon Netherborn Prowler Kitten','',473,65535,317,0,0,0,0,1,'Your Summon Netherborn Prowler Kitten was successful on %t!','Your Summon Netherborn Prowler Kitten fades.','',1,0,'',0,'You cast Summon Netherborn Prowler Kitten on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377884,0,1),
(8352,4224670280,2,0,'Summon Opalescent Prowler Kitten','',473,65535,317,0,0,0,0,1,'Your Summon Opalescent Prowler Kitten was successful on %t!','Your Summon Opalescent Prowler Kitten fades.','',1,0,'',0,'You cast Summon Opalescent Prowler Kitten on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377886,0,1),
(8353,2434262809,2,1,'Summon Orc Priest Pet','',473,65535,317,0,0,0,1,1,'Your Summon Orc Priest Pet was successful on %t!','Your Summon Orc Priest Pet fades.','',1,0,'',0,'You cast Summon Orc Priest Pet on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377877,0,1),
(8354,2890983034,2,1,'Summon Orc Warrior Pet','',473,65535,317,0,0,0,1,1,'Your Summon Orc Warrior Pet was successful on %t!','Your Summon Orc Warrior Pet fades.','',1,0,'',0,'You cast Summon Orc Warrior Pet on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377882,0,1),
(8355,597924091,2,1,'Summon Panda Cub','This bear''s owner supported the Child''s Play Winter Holiday Charity Drive in 2009! Sony Online Entertainment extends a warm thanks to them!',473,65535,317,0,0,0,1,1,'Your Summon Panda Cub was successful on %t!','Your Summon Panda Cub fades.','',1,0,'',0,'You cast Summon Panda Cub on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377884,0,1),
(8356,1078041888,2,1,'Summon Panderpana Pest','',473,65535,317,0,0,0,1,1,'Your Summon Panderpana Pest was successful on %t!','Your Summon Panderpana Pest fades.','',1,0,'',0,'You cast Summon Panderpana Pest on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377884,0,1),
(8357,3447847685,2,1,'Summon Pet Cat','',473,65535,317,0,0,0,1,1,'Your Summon Pet Cat was successful on %t!','Your Summon Pet Cat fades.','',1,0,'',0,'You cast Summon Pet Cat on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377885,0,1),
(8358,1409734883,2,1,'Summon Pet Lizard','',473,65535,317,0,0,0,1,1,'Your Summon Pet Lizard was successful on %t!','Your Summon Pet Lizard fades.','',1,0,'',0,'You cast Summon Pet Lizard on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377884,0,1),
(8359,639762896,2,1,'Summon Pet Lizard','',473,65535,317,0,0,0,1,1,'Your Summon Pet Lizard was successful on %t!','Your Summon Pet Lizard fades.','',1,0,'',0,'You cast Summon Pet Lizard on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377886,0,1),
(8360,3696626137,2,0,'Summon Plague Rat','',473,65535,317,0,0,0,0,1,'Your Summon Plague Rat was successful on %t!','Your Summon Plague Rat fades.','',1,0,'',0,'You cast Summon Plague Rat on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377886,0,1),
(8361,1108930489,2,0,'Summon Prowler Family','',473,65535,317,0,0,0,0,1,'Your Summon Prowler Family was successful on %t!','Your Summon Prowler Family fades.','',1,0,'',0,'You cast Summon Prowler Family on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670348,1384377884,0,1),
(8362,2090854822,2,1,'Summon Sacrament','Summons a willing squire to the shadow knight''s side.',280,65535,317,0,0,0,1,0,'Your Summon Sacrament was successful on %t!','Your Summon Sacrament fades.','',1,0,'Spells/Commoner/GenericCosmeticPet.lua',0,'You cast Summon Sacrament on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670348,1384377882,0,1),
(8363,1997428605,2,1,'Summon Satyr','',473,65535,317,0,0,0,1,1,'Your Summon Satyr was successful on %t!','Your Summon Satyr fades.','',1,0,'',0,'You cast Summon Satyr on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377885,0,1),
(8364,2118555139,2,1,'Summon Scary Spider','',473,65535,317,0,0,0,1,1,'Your Summon Scary Spider was successful on %t!','Your Summon Scary Spider fades.','',1,0,'',0,'You cast Summon Scary Spider on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377888,0,1),
(8365,3590469030,2,1,'Summon Self Help Manual','',473,65535,317,0,0,0,1,1,'Your Summon Self Help Manual was successful on %t!','Your Summon Self Help Manual fades.','',1,0,'',0,'You cast Summon Self Help Manual on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377886,0,1),
(8366,1700144069,2,0,'Summon Sewing Table','Grants the ability to summon mobile crafting stations.  Higher ranks of this ability lower the cooldown on the station summons.',367,65535,317,0,0,0,0,1,'Your Summon Sewing Table was successful on %t!','Your Summon Sewing Table fades.','',1,0,'',0,'You cast Summon Sewing Table on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,'Unset',1384670350,1384377903,0,1),
(8367,2027688467,2,0,'Summon Sinister Prowler Kitten','',473,65535,317,0,0,0,0,1,'Your Summon Sinister Prowler Kitten was successful on %t!','Your Summon Sinister Prowler Kitten fades.','',1,0,'',0,'You cast Summon Sinister Prowler Kitten on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377885,0,1),
(8368,2487640720,2,0,'Summon Skeletal Prowler Kitten','',473,65535,317,0,0,0,0,1,'Your Summon Skeletal Prowler Kitten was successful on %t!','Your Summon Skeletal Prowler Kitten fades.','',1,0,'',0,'You cast Summon Skeletal Prowler Kitten on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377885,0,1),
(8369,2130147478,2,0,'Summon Skeletal Valet','',473,65535,317,0,0,0,0,1,'Your Summon Skeletal Valet was successful on %t!','Your Summon Skeletal Valet fades.','',1,0,'',0,'You cast Summon Skeletal Valet on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377886,0,1),
(8370,1495634265,2,1,'Summon Slimy Slug','',473,65535,317,0,0,0,1,1,'Your Summon Slimy Slug was successful on %t!','Your Summon Slimy Slug fades.','',1,0,'',0,'You cast Summon Slimy Slug on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377875,0,1),
(8371,2676183239,2,1,'Summon Squire','Summons a dutiful squire to the paladin''s side.',218,65535,317,90523872,0,200,1,0,'Your Summon Squire was successful on %t!','Your Summon Squire fades.','',1,0,'Spells/Commoner/SummonSquire.lua',0,'You cast Summon Squire on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1582607066,1384377876,0,1),
(8372,2611527929,2,1,'Summon Squire','Summons a willing squire to the shadow knight''s side.',218,65535,317,2741805322,0,200,1,0,'Your Summon Squire was successful on %t!','Your Summon Squire fades.','',1,0,'Spells/Commoner/SummonSquire.lua',0,'You cast Summon Squire on %t.',2,0,0,0,1,0,0,0,0,8372,0,0,0,0,0,1,0,0,0,'Unset',1582604872,1384377883,0,1),
(8373,579340356,2,1,'Summon Stirge','',473,65535,317,0,0,0,1,1,'Your Summon Stirge was successful on %t!','Your Summon Stirge fades.','',1,0,'',0,'You cast Summon Stirge on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377886,0,1),
(8374,2352318192,2,0,'Summon Stove & Keg','Grants the ability to summon mobile crafting stations.  Higher ranks of this ability lower the cooldown on the station summons.',774,65535,317,0,0,0,0,1,'Your Summon Stove & Keg was successful on %t!','Your Summon Stove & Keg fades.','',1,0,'',0,'You cast Summon Stove & Keg on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,'Unset',1384670350,1384377911,0,1),
(8375,3201972507,2,0,'Summon Terrorbird Hatchling','',473,65535,317,0,0,0,0,1,'Your Summon Terrorbird Hatchling was successful on %t!','Your Summon Terrorbird Hatchling fades.','',1,0,'',0,'You cast Summon Terrorbird Hatchling on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377884,0,1),
(8376,743042643,2,1,'Summon The Bat Pack','',473,65535,317,0,0,0,1,1,'Your Summon The Bat Pack was successful on %t!','Your Summon The Bat Pack fades.','',1,0,'',0,'You cast Summon The Bat Pack on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377886,0,1),
(8377,1080260565,2,0,'Summon Tirun Pet','',473,65535,317,0,0,0,0,1,'Your Summon Tirun Pet was successful on %t!','Your Summon Tirun Pet fades.','',1,0,'',0,'You cast Summon Tirun Pet on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377851,0,1),
(8378,1372112151,2,1,'Summon Tome of Erudin','',473,65535,317,0,0,0,1,1,'Your Summon Tome of Erudin was successful on %t!','Your Summon Tome of Erudin fades.','',1,0,'',0,'You cast Summon Tome of Erudin on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377885,0,1),
(8379,3751259637,2,1,'Summon Treant Sapling','',473,65535,317,0,0,0,1,1,'Your Summon Treant Sapling was successful on %t!','Your Summon Treant Sapling fades.','',1,0,'',0,'You cast Summon Treant Sapling on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377867,0,1),
(8380,3594482804,2,1,'Summon Tribal Goblin Pet','',473,65535,317,0,0,0,1,1,'Your Summon Tribal Goblin Pet was successful on %t!','Your Summon Tribal Goblin Pet fades.','',1,0,'',0,'You cast Summon Tribal Goblin Pet on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377868,0,1),
(8381,1920850715,2,1,'Summon Troll Pirate','',473,65535,317,0,0,0,1,1,'Your Summon Troll Pirate was successful on %t!','Your Summon Troll Pirate fades.','',1,0,'',0,'You cast Summon Troll Pirate on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377885,0,1),
(8382,944983655,2,0,'Summon Unfortunate Elf Frostfell Cube','',473,65535,317,0,0,0,0,1,'Your Summon Unfortunate Elf Frostfell Cube was successful on %t!','Your Summon Unfortunate Elf Frostfell Cube fades.','',1,0,'',0,'You cast Summon Unfortunate Elf Frostfell Cube on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377886,0,1),
(8383,3207448121,2,0,'Summon Unholy Symbol','Summons an unholy symbol for the target.',164,65535,316,0,0,0,0,1,'Your Summon Unholy Symbol was successful on %t!','Your Summon Unholy Symbol fades.','',1,0,'',0,'You cast Summon Unholy Symbol on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377866,0,1),
(8384,3161658255,2,1,'Summon Void Beast','',473,65535,317,0,0,0,1,1,'Your Summon Void Beast was successful on %t!','Your Summon Void Beast fades.','',1,0,'',0,'You cast Summon Void Beast on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377885,0,1),
(8385,3105815366,2,0,'Summon Void Prowler Kitten','',473,65535,317,0,0,0,0,1,'Your Summon Void Prowler Kitten was successful on %t!','Your Summon Void Prowler Kitten fades.','',1,0,'',0,'You cast Summon Void Prowler Kitten on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377887,0,1),
(8386,4111328504,2,1,'Summon Void Residue','',473,65535,317,0,0,0,1,1,'Your Summon Void Residue was successful on %t!','Your Summon Void Residue fades.','',1,0,'',0,'You cast Summon Void Residue on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377875,0,1),
(8387,3708249208,2,0,'Summon Wisp','',473,65535,317,0,0,0,0,1,'Your Summon Wisp was successful on %t!','Your Summon Wisp fades.','',1,0,'',0,'You cast Summon Wisp on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377877,0,1),
(8388,4214404710,2,0,'Summon Woodworking Table','Grants the ability to summon mobile crafting stations.  Higher ranks of this ability lower the cooldown on the station summons.',778,65535,317,0,0,0,0,1,'Your Summon Woodworking Table was successful on %t!','Your Summon Woodworking Table fades.','',1,0,'',0,'You cast Summon Woodworking Table on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,'Unset',1384670350,1384377901,0,1),
(8389,2573167120,2,0,'Summon Work Bench','Grants the ability to summon mobile crafting stations.  Higher ranks of this ability lower the cooldown on the station summons.',848,65535,317,0,0,0,0,1,'Your Summon Workbench was successful on %t!','Your Summon Workbench fades.','',1,0,'',0,'You cast Summon Workbench on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,'Unset',1384670350,1384377918,0,1),
(8390,3846192340,2,1,'Summon Zygomyd Sporeling','Summons a friendly Zygomyd to the character''s side.',47,65535,317,0,0,0,1,1,'Your Summon Zygomyd Sporeling was successful on %t!','Your Summon Zygomyd Sporeling fades.','',1,0,'',0,'You cast Summon Zygomyd Sporeling on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377835,0,1),
(8391,1612217760,2,1,'Summon a Bitter Gingerdread Pet','',473,65535,317,0,0,0,1,1,'Your Summon a Bitter Gingerdread Pet was successful on %t!','Your Summon a Bitter Gingerdread Pet fades.','',1,0,'',0,'You cast Summon a Bitter Gingerdread Pet on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377885,0,1),
(8392,3476621091,2,1,'Summon a Chipper Gingerbread Pet','',473,65535,317,0,0,0,1,1,'Your Summon a Chipper Gingerbread Pet was successful on %t!','Your Summon a Chipper Gingerbread Pet fades.','',1,0,'',0,'You cast Summon a Chipper Gingerbread Pet on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377884,0,1),
(8393,3000999267,2,1,'Summon a Crunchy Gingerbread Pet','',473,65535,317,0,0,0,1,1,'Your Summon a Crunchy Gingerbread Pet was successful on %t!','Your Summon a Crunchy Gingerbread Pet fades.','',1,0,'',0,'You cast Summon a Crunchy Gingerbread Pet on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377885,0,1),
(8394,4276750750,2,1,'Summon a Delectable Gingerbread Pet','',473,65535,317,0,0,0,1,1,'Your Summon a Delectable Gingerbread Pet was successful on %t!','Your Summon a Delectable Gingerbread Pet fades.','',1,0,'',0,'You cast Summon a Delectable Gingerbread Pet on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377885,0,1),
(8395,1330416556,2,1,'Summon a Docile Ice Slurry','',473,65535,317,0,0,0,1,1,'Your Summon a Docile Ice Slurry was successful on %t!','Your Summon a Docile Ice Slurry fades.','',1,0,'',0,'You cast Summon a Docile Ice Slurry on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377868,0,1),
(8396,316899012,2,1,'Summon a Festive Gingerbread Pet','',473,65535,317,0,0,0,1,1,'Your Summon a Festive Gingerbread Pet was successful on %t!','Your Summon a Festive Gingerbread Pet fades.','',1,0,'',0,'You cast Summon a Festive Gingerbread Pet on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377884,0,1),
(8397,1783925669,2,1,'Summon a Gleeful Gingerbread Pet','',473,65535,317,0,0,0,1,1,'Your Summon a Gleeful Gingerbread Pet was successful on %t!','Your Summon a Gleeful Gingerbread Pet fades.','',1,0,'',0,'You cast Summon a Gleeful Gingerbread Pet on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377885,0,1),
(8398,4175185140,2,1,'Summon a Merry Gingerbread Pet','',473,65535,317,0,0,0,1,1,'Your Summon a Merry Gingerbread Pet was successful on %t!','Your Summon a Merry Gingerbread Pet fades.','',1,0,'',0,'You cast Summon a Merry Gingerbread Pet on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377886,0,1),
(8399,695951255,2,1,'Summon a Sulky Gingerdread Pet','',473,65535,317,0,0,0,1,1,'Your Summon a Sulky Gingerdread Pet was successful on %t!','Your Summon a Sulky Gingerdread Pet fades.','',1,0,'',0,'You cast Summon a Sulky Gingerdread Pet on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377886,0,1),
(8400,1411274853,2,1,'Summon a Sweet Gingerbread Pet','',473,65535,317,0,0,0,1,1,'Your Summon a Sweet Gingerbread Pet was successful on %t!','Your Summon a Sweet Gingerbread Pet fades.','',1,0,'',0,'You cast Summon a Sweet Gingerbread Pet on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377886,0,1),
(8401,456361357,2,1,'Summon a Tasty Gingerbread Pet','',473,65535,317,0,0,0,1,1,'Your Summon a Tasty Gingerbread Pet was successful on %t!','Your Summon a Tasty Gingerbread Pet fades.','',1,0,'',0,'You cast Summon a Tasty Gingerbread Pet on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377885,0,1),
(8402,3693973141,2,1,'Summon an Affronted Gingerdread Pet','',473,65535,317,0,0,0,1,1,'Your Summon an Affronted Gingerdread Pet was successful on %t!','Your Summon an Affronted Gingerdread Pet fades.','',1,0,'',0,'You cast Summon an Affronted Gingerdread Pet on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377884,0,1),
(8403,3167330729,2,0,'Summon an Eerie Essence','',473,65535,317,0,0,0,0,1,'Your Summon an Eerie Essence was successful on %t!','Your Summon an Eerie Essence fades.','',1,0,'',0,'You cast Summon an Eerie Essence on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377864,0,1),
(8404,676853444,2,0,'Summon an Essence of Fear','',473,65535,317,0,0,0,0,1,'Your Summon an Essence of Fear was successful on %t!','Your Summon an Essence of Fear fades.','',1,0,'',0,'You cast Summon an Essence of Fear on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377864,0,1),
(8405,325715057,2,1,'Summon an Irate Gingerdread Pet','',473,65535,317,0,0,0,1,1,'Your Summon an Irate Gingerdread Pet was successful on %t!','Your Summon an Irate Gingerdread Pet fades.','',1,0,'',0,'You cast Summon an Irate Gingerdread Pet on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377885,0,1),
(8406,2660759524,2,1,'Summon: Anashti''s Undying Servant','',184,65535,317,0,0,0,1,0,'Your Summon: Anashti''s Undying Servant was successful on %t!','Your Summon: Anashti''s Undying Servant fades.','',1,0,'Spells/Commoner/SummonAnashtisUndyingServant.lua',1196,'You cast Summon: Anashti''s Undying Servant on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670350,1384377856,0,1),
(8407,3521291185,2,1,'Summon: Beloved of Bristlebane','',707,65535,317,0,0,0,1,0,'Your Summon: Beloved of Bristlebane was successful on %t!','Your Summon: Beloved of Bristlebane fades.','',1,0,'Spells/Commoner/SummonBelovedofBristlebane.lua',1196,'You cast Summon: Beloved of Bristlebane on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670350,1384377856,0,1),
(8408,4236327149,2,1,'Summon: Elemental of Karana','',781,65535,317,0,0,0,1,0,'Your Summon: Elemental of Karana was successful on %t!','Your Summon: Elemental of Karana fades.','',1,0,'Spells/Commoner/SummonElementalofKarana.lua',1196,'You cast Summon: Elemental of Karana on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670350,1384377856,0,1),
(8409,147034985,2,1,'Summon: Fae Drake Companion','Summons a friendly Zygomyd to the character''s side.',368,65535,317,0,0,0,1,1,'Your Summon: Fae Drake Companion was successful on %t!','Your Summon: Fae Drake Companion fades.','',1,0,'',0,'You cast Summon: Fae Drake Companion on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377864,0,1),
(8410,1904783793,2,1,'Summon: Friend of Growth','',721,65535,317,0,0,0,1,0,'Your Summon: Friend of Growth was successful on %t!','Your Summon: Friend of Growth fades.','',1,0,'Spells/Commoner/SummonFriendofGrowth.lua',1196,'You cast Summon: Friend of Growth on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670350,1384377856,0,1),
(8411,4205124548,2,1,'Summon: Imp of Ro','',723,65535,317,0,0,0,1,0,'Your Summon: Imp of Ro was successful on %t!','Your Summon: Imp of Ro fades.','',1,1,'Spells/Commoner/SummonImpofRo.lua',1196,'You cast Summon: Imp of Ro on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670350,1384377856,0,1),
(8412,2545852343,2,1,'Summon: Minion of Hate','',731,65535,317,0,0,0,1,0,'Your Summon: Minion of Hate was successful on %t!','Your Summon: Minion of Hate fades.','',1,0,'Spells/Commoner/SummonMinionofHate.lua',1196,'You cast Summon: Minion of Hate on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670350,1384377856,0,1),
(8413,2464267603,2,1,'Summon: Pariah of Bertoxxulous','',783,65535,317,0,0,0,1,0,'Your Summon: Pariah of Bertoxxulous was successful on %t!','Your Summon: Pariah of Bertoxxulous fades.','',1,0,'Spells/Commoner/SummonPariahofBertoxxulous.lua',1196,'You cast Summon: Pariah of Bertoxxulous on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670350,1384377856,0,1),
(8414,7637225,2,1,'Summon: Rodcet Nife''s Healing Companion','',17,65535,313,0,0,0,1,0,'Your Summon: Rodcet Nife''s Healing Companion was successful on %t!','Your Summon: Rodcet Nife''s Healing Companion fades.','',1,0,'Spells/Commoner/SummonRodcetNifesHealingCompanion.lua',1196,'You cast Summon: Rodcet Nife''s Healing Companion on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670350,1384377832,0,1),
(8415,1828918584,2,1,'Summon: Servant of Thule','',733,65535,317,0,0,0,1,0,'Your Summon: Servant of Thule was successful on %t!','Your Summon: Servant of Thule fades.','',1,0,'Spells/Commoner/SummonServantofThule.lua',1196,'You cast Summon: Servant of Thule on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670350,1384377856,0,1),
(8416,1146172115,2,1,'Summon: Skyfire Drake Companion','Summons a friendly Zygomyd to the character''s side.',368,65535,317,0,0,0,1,1,'Your Summon: Skyfire Drake Companion was successful on %t!','Your Summon: Skyfire Drake Companion fades.','',1,0,'',0,'You cast Summon: Skyfire Drake Companion on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377864,0,1),
(8417,4144858167,2,1,'Summon: The Tribunal''s Bailiff','',779,65535,317,0,0,0,1,0,'Your Summon: The Tribunal''s Bailiff was successful on %t!','Your Summon: The Tribunal''s Bailiff fades.','',1,0,'Spells/Commoner/SummonTheTribunalsBailiff.lua',1196,'You cast Summon: The Tribunal''s Bailiff on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377856,0,1),
(8418,3723397518,2,1,'Summon: Warrior of Zek','',725,65535,317,0,0,0,1,0,'Your Summon: Warrior of Zek was successful on %t!','Your Summon: Warrior of Zek fades.','',1,1,'Spells/Commoner/SummonWarriorofZek.lua',1196,'You cast Summon: Warrior of Zek on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1582601693,1384377856,0,1),
(8419,3401218826,2,0,'Sun Sphere','\"Solusek''s domain is over all flame and the blazing star we have called Ro in his honor.\" \n-Vurgo the Instructor',722,65535,315,0,0,0,0,1,'Your Sun Sphere was successful on %t!','Your Sun Sphere fades.','',1,0,'',0,'You cast Sun Sphere on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670350,1384377856,0,1),
(8420,2241335381,2,0,'Sunbolt','Deals instant Heat damage, additional Heat damage over-time, and decreases attack speed on vampire opponents.',234,25,315,0,0,0,0,1,'Your Sunbolt was successful on %t!','Your Sunbolt fades.','',1,0,'',0,'You cast Sunbolt on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377841,0,1),
(8421,3922130464,2,0,'Swashbuckler''s Charm','On more than one occasion, a swashbuckler''s charm has gotten them out of trouble.  Sometimes though, it does the opposite.',172,65535,316,2663054519,0,0,0,1,'Your Swashbuckler''s Charm was successful on %t!','Your Swashbuckler''s Charm fades.','',1,0,'',0,'You cast Swashbuckler''s Charm on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377885,0,1),
(8422,3774477311,2,0,'Swindle Fate','\"Looks like me lucks just about run out.  Guess it be killin'' time!\"\n-Nyzil Bloodforge just before meeting his fate',706,65535,315,0,0,0,0,1,'Your Swindle Fate was successful on %t!','Your Swindle Fate fades.','',1,0,'',0,'You cast Swindle Fate on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670350,1384377856,0,1),
(8423,1446268920,2,1,'T''Lys'' Minor Familiar','Summons a familiar to the Wizard''s side.',237,65535,317,2662430630,0,0,1,0,'Your T''Lys'' Minor Familiar was successful on %t!','Your T''Lys'' Minor Familiar fades.','',1,0,'Spells/Commoner/TLysMinorFamiliar.lua',165,'You cast T''Lys'' Minor Familiar on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670350,1384377897,0,1),
(8424,324908747,2,0,'Tactical Formation','\"Stand beside your fellows, and the heat of battle shall see you through to the end.\" \n-General Murdunk',725,65535,314,0,0,0,0,2,'Your Tactical Formation was successful on %t!','Your Tactical Formation fades.','',1,0,'',0,'You cast Tactical Formation on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670350,1384377856,0,1),
(8425,3516271473,2,0,'Tactical Retreat','\"Flee whelps! Flee before the might of the Warlord!\" \n-Rallos Zek',724,65535,314,0,0,0,0,1,'Your Tactical Retreat was successful on %t!','Your Tactical Retreat fades.','',1,0,'',0,'You cast Tactical Retreat on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670350,1384377856,0,1),
(8426,354253516,2,1,'Talisman of the Spiritist','Covers the mystic in a sparkling essence.',235,65535,317,0,0,0,1,0,'Your Talisman of the Spiritist was successful on %t!','Your Talisman of the Spiritist fades.','',1,0,'Spells/Commoner/GenericVisualState.lua',0,'You cast Talisman of the Spiritist on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670350,1384377869,0,1),
(8427,929420667,2,1,'Tangy Orange Gumdrop','',507,65535,317,0,0,0,1,1,'Your Tangy Orange Gumdrop was successful on %t!','Your Tangy Orange Gumdrop fades.','',1,0,'',0,'You cast Tangy Orange Gumdrop on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670350,1384377867,0,1),
(8428,1403801124,2,0,'Teachings of Quellious','\"Peace is the only true path to power.\" \n-Temple Master Leraena Shelyrak of the Temple of Divine Light',727,65535,317,0,0,0,0,1,'Your Teachings of Quellious was successful on %t!','Your Teachings of Quellious fades.','',1,0,'',0,'You cast Teachings of Quellious on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670350,1384377856,0,1),
(8429,2261644839,2,0,'Squall','\"It is wise not to anger a devout follower of Karana for their fury comes swift, with a howling squall shortly thereafter.\" \n-a Prophet of Karana to a band of highway robbers',782,65535,315,0,0,0,0,1,'Your Tempest was successful on %t!','Your Tempest fades.','',1,0,'',0,'You cast Tempest on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670350,1384377856,0,1),
(8430,1336108769,2,0,'Tendrils of Hate','\"Your hate shall rise from the very bowels of Norrath and strike at your foes!\" \n-Priest Kelian',730,65535,315,0,0,0,0,1,'Your Tendrils of Hate was successful on %t!','Your Tendrils of Hate fades.','',1,0,'',0,'You cast Tendrils of Hate on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670350,1384377856,0,1),
(8431,3008770669,2,0,'Terror Link','\"Those who oppose the will of Cazic-Thule shall be made to face their own fears!\" \n-Fright',732,65535,312,0,0,0,0,1,'Your Terror Link was successful on %t!','Your Terror Link fades.','',1,0,'',0,'You cast Terror Link on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670350,1384377856,0,1),
(8432,1453727515,2,0,'Terror of the Fear-Servant','\"Those who serve Thule shall not be immune to his gifts, but shall deliver them unto others.\" \n-The Cenobite',733,65535,317,0,0,0,0,1,'Your Terror of the Fear-Servant was successful on %t!','Your Terror of the Fear-Servant fades.','',1,0,'',0,'You cast Terror of the Fear-Servant on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670350,1384377856,0,1),
(8433,2694428217,2,0,'Theft of Vitality','Decreases Strength and Stamina of a vampire opponent.',193,16,315,0,0,0,0,1,'Your Theft of Vitality was successful on %t!','Your Theft of Vitality fades.','',1,0,'Spells/Commoner/TheftofVitality.lua',166,'You cast Theft of Vitality on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670350,1384377841,0,1),
(8434,379570022,2,0,'Thule''s Blessing','\"Perhaps breaking your will shall influence the others...\" \n-Sinephobis to one of Harla Dar''s followers',733,65535,317,0,0,0,0,1,'Your Thule''s Blessing was successful on %t!','Your Thule''s Blessing fades.','',1,0,'',0,'You cast Thule''s Blessing on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670350,1384377856,0,1),
(8435,1953155406,2,0,'Thule''s Fear Mastery','\"My apologies to the master, but I must remove their brain and their fear for this process.\" \n-the Torturer',732,65535,317,0,0,0,0,1,'Your Thule''s Fear Mastery was successful on %t!','Your Thule''s Fear Mastery fades.','',1,0,'',0,'You cast Thule''s Fear Mastery on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670350,1384377856,0,1),
(8436,34608786,2,1,'Tiger Style','By channeling his inner chi, a monk is able to take the form of a tiger to combat enemies.',198,65535,317,0,0,0,1,0,'Your Tiger Style was successful on %t!','Your Tiger Style fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',0,'You cast Tiger Style on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670350,1384377868,0,1),
(8437,2876693991,2,0,'Tinkered Field Repair','Allows the gnome to fully repair their equipment once a day.',413,65535,65535,0,0,0,0,0,'Your Tinkered Field Repair was successful on %t!','Your Tinkered Field Repair fades.','',1,0,'Spells/Traditions/TinkeredFieldRepair.lua',0,'You cast Tinkered Field Repair on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670350,1384377829,0,1),
(8438,2289958187,2,1,'Tishan''s Freezing Form','Causes the wizard to be encased in ice.',190,65535,317,0,0,0,1,0,'Your Tishan''s Freezing Form was successful on %t!','Your Tishan''s Freezing Form fades.','',1,0,'Spells/Commoner/GenericVisualState.lua',0,'You cast Tishan''s Freezing Form on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670350,1384377901,0,1),
(8439,1802682125,2,0,'Touch of Decay','\"Let my knowledge of Neriak''s dark arts enlighten my close minded brothers from Qeynos and my pompous peers hailing from Erudin.\" \n-Miragul, speaking after having learned of Necromantic power\n',783,65535,317,0,0,0,0,1,'Your Touch of Decay was successful on %t!','Your Touch of Decay fades.','',1,0,'',0,'You cast Touch of Decay on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670350,1384377856,0,1),
(8440,2082114170,2,0,'Track Harvestables','Allows the user to track harvestables.',773,65535,317,0,0,0,0,1,'Your Track Harvestables was successful on %t!','Your Track Harvestables fades.','',1,0,'',0,'You cast Track Harvestables on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,'Unset',1384670350,1384377912,0,1),
(8441,1773743787,2,0,'Tracking','',772,65535,65535,1468243427,0,5,0,0,'Your Tracking was successful on %t!','Your Tracking fades.','',0,1,'Spells/Commoner/Tracking.lua',0,'You cast Tracking on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1571437638,1384378116,0,1),
(8442,1408047903,2,0,'Tracking','',772,65535,317,1468243427,0,0,0,1,'Your Tracking was successful on %t!','Your Tracking fades.','',1,0,'Spells/Commoner/Tracking.lua',0,'You cast Tracking on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670352,1384377884,0,1),
(8443,2652413180,2,0,'Tranquil Blessing','Touched by the outreaching hand of Rodcet Nife one can focus on bringing good health and restoration to those who truly need it.',786,65535,317,2011726342,0,0,0,1,'Your Tranquil Blessing was successful on %t!','Your Tranquil Blessing fades.','',1,0,'',0,'You cast Tranquil Blessing on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670352,1384377856,0,1),
(8444,1649909061,2,0,'Tranquil Trance','\"Tranquility lives within each of us, to touch that essence may overwhelm you, but it will also rejuvenate you.\" \n-Quellious',726,65535,317,0,0,0,0,1,'Your Tranquil Trance was successful on %t!','Your Tranquil Trance fades.','',1,0,'',0,'You cast Tranquil Trance on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670352,1384377856,0,1),
(8445,3943362837,2,0,'Transmute','',425,65535,65535,0,0,0,0,0,'','','',1,1,'Spells/Commoner/Transmute.lua',0,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1385183021,1384378116,0,1),
(8446,2614945029,2,0,'Trapping','',776,65535,65535,0,0,0,0,7,'Your Trapping was successful on %t!','Your Trapping fades.','',1,0,'Spells/Commoner/harvest.lua',570,'You cast Trapping on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1385183498,1384378116,0,1),
(8447,275630809,2,0,'Traverse Shadow','Ports the Dark Elf to a friend within the current zone.',859,65535,316,0,0,0,0,0,'Your Traverse Shadow was successful on %t!','Your Traverse Shadow fades.','',1,0,'Spells/Commoner/TraverseShadow.lua',0,'You cast Traverse Shadow on %t.',2,1,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1582601941,1384378109,0,1),
(8448,1179555123,2,0,'Trueshot','\"The true hunter understands that she must take no more than she needs.\" \n-Maesyn Trueshot',721,65535,317,0,0,0,0,1,'Your Trueshot was successful on %t!','Your Trueshot fades.','',1,0,'',0,'You cast Trueshot on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670352,1384377856,0,1),
(8449,3920934470,2,0,'Truthbringer','\"Seek not greatness, but instead truth, and you shall find both.\" \n-a Knight of Marr',728,65535,317,0,0,0,0,1,'Your Truthbringer was successful on %t!','Your Truthbringer fades.','',1,0,'',0,'You cast Truthbringer on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670352,1384377856,0,1),
(8450,2242213014,2,0,'Tunare''s Behest','\"If you are a friend to nature, nature will be a friend to you.\" \n-a Sister of Erollisi',721,65535,317,0,0,0,0,1,'Your Tunare''s Behest was successful on %t!','Your Tunare''s Behest fades.','',1,0,'',0,'You cast Tunare''s Behest on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670352,1384377856,0,1),
(8451,398322049,2,0,'Tunare''s Lifeshield','\"Tunare whispers her secrets to those that are determined to know them.\" \n-Queen Joleena',720,65535,317,0,0,0,0,1,'Your Tunare''s Lifeshield was successful on %t!','Your Tunare''s Lifeshield fades.','',1,0,'',0,'You cast Tunare''s Lifeshield on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670352,1384377856,0,1),
(8452,1026304422,2,0,'Turgur''s Instant Relief','Temporarily forces a person to be sick.',204,65535,316,0,0,0,0,1,'Your Turgur''s Instant Relief was successful on %t!','Your Turgur''s Instant Relief fades.','',1,0,'Spells/Commoner/TurgursInstantRelief.lua',0,'You cast Turgur''s Instant Relief on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670352,1384377855,0,1),
(8453,1254415875,2,1,'Turgur''s Spirit Sight','Allows the defiler to see beyond the realm of the living and use the eyes of the spirit realm.',279,65535,317,0,0,0,1,0,'Your Turgur''s Spirit Sight was successful on %t!','Your Turgur''s Spirit Sight fades.','',1,0,'Spells/Commoner/TurgursSpiritSight.lua',0,'You cast Turgur''s Spirit Sight on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670352,1384377855,0,1),
(8454,740903275,2,0,'Turquoise Baby Dragon','',473,65535,317,0,0,0,0,1,'Your Turquoise Baby Dragon was successful on %t!','Your Turquoise Baby Dragon fades.','',1,0,'',0,'You cast Turquoise Baby Dragon on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670352,1384377885,0,1),
(8455,4257359515,2,1,'Udor''s Spirit of the Hawk','Covers the form of the caster with an illusory image.',198,65535,317,3467160477,0,0,1,0,'Your Udor''s Spirit of the Hawk was successful on %t!','Your Udor''s Spirit of the Hawk fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',166,'You cast Udor''s Spirit of the Hawk on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670352,1384377870,0,1),
(8456,4095805900,2,0,'Ulteran Scholar','Allows the erudite to teleport to a group member that is located within the same zone.',172,65535,316,0,0,0,0,1,'Your Ulteran Scholar was successful on %t!','Your Ulteran Scholar fades.','',1,0,'Spells/Commoner/UlteranScholar.lua',0,'You cast Ulteran Scholar on %t.',2,1,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670352,1384378109,0,1),
(8457,1856699407,2,1,'Ultravision','Provides high contrast vision, but washes out color\r\n\r\n',167,65535,317,0,0,0,0,0,'Your Ultravision was successful on %t!','Your Ultravision fades.','',1,1,'Spells/Traditions/Ultravision.lua',0,'You cast Ultravision on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670352,1384378116,0,0),
(8458,522049688,2,1,'Underfoot Attendant','',735,65535,317,0,0,0,1,0,'Your Underfoot Attendant was successful on %t!','Your Underfoot Attendant fades.','',1,0,'Spells/Commoner/UnderfootAttendant.lua',1196,'You cast Underfoot Attendant on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670352,1384377830,0,1),
(8459,1746490583,2,0,'Undying Fury','Anashti Sul was banished because of her love for mortals, and her efforts to share that love with you!  \n-- Plumetor Dul''Sadma',789,65535,317,0,0,0,0,1,'Your Undying Fury was successful on %t!','Your Undying Fury fades.','',1,0,'',1606,'You cast Undying Fury on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670352,1384377856,0,1),
(8460,1866566947,2,0,'Undying Hatred','Through bouts of banishment, a power has arisen to take its true place as the Goddess of Life. Should any stand in her way they shall feel her wrath!',788,65535,65535,0,0,0,0,2,'Your Undying Hatred was successful on %t!','Your Undying Hatred fades.','',1,0,'',0,'You cast Undying Hatred on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670352,1384377856,0,1),
(8461,1037427221,2,1,'Unholy Adept','Summons an Adept to the Inquisitor''s side.',218,65535,317,0,0,0,1,1,'Your Unholy Adept was successful on %t!','Your Unholy Adept fades.','',1,0,'',0,'You cast Unholy Adept on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670352,1384377866,0,1),
(8462,249021346,2,1,'Unholy Aura','Covers the inquisitor in an unholy aura.',184,65535,317,2741805322,0,0,1,0,'Your Unholy Aura was successful on %t!','Your Unholy Aura fades.','',1,0,'Spells/Commoner/GenericVisualState.lua',0,'You cast Unholy Aura on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670352,1384377867,0,1),
(8463,444438556,2,0,'Unholy Fear','Enforces the fear of faith upon the inquisitor''s group.',158,65535,314,1829443087,0,0,0,2,'Your Unholy Fear was successful on %t!','Your Unholy Fear fades.','',1,0,'Spells/Commoner/UnholyFear.lua',783,'You cast Unholy Fear on %t.',2,0,1,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',1384670352,1384377867,0,1),
(8464,2640393288,2,1,'Unholy Steed','A shadow knight can summon an unholy steed to his side.',558,65535,317,2741805322,0,100,1,0,'Your Unholy Steed was successful on %t!','Your Unholy Steed fades.','',1,0,'Spells/Commoner/UnholySteed.lua',0,'You cast Unholy Steed on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670352,1384377882,0,1),
(8465,542623477,2,0,'Unquestioned Oath','\"Let not my words speak for me, but the proof of my deeds.\"\n-a Halasian warrior',779,65535,317,0,0,0,0,1,'Your Unquestioned Oath was successful on %t!','Your Unquestioned Oath fades.','',1,0,'',0,'You cast Unquestioned Oath on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670352,1384377856,0,1),
(8466,1883890132,2,1,'Unseelie Form','The Arasai are malicious beings embodying hate and dark magic.  At their whim, they can evoke the form of a tainted spirit bud, allowing them to escape peril or surprise their enemies.\n \n\"You do not know when the hate of our deleterious mother will strike.\"\n \nAbility, placed upon you, which allows you to use the Unseelie form while not in combat.\n \n \n',477,65535,65535,0,0,0,1,1,'Your Unseelie Form was successful on %t!','Your Unseelie Form fades.','',1,0,'',0,'You cast Unseelie Form on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670352,1384377832,0,1),
(8467,3102166467,2,0,'Unyielding Ice Storm','\"A little rain?  Some lightning?  Nay, for I''ve got something much better planned to rout this horde!\"\n-Slarun Moonglade, during the siege of Kithicor Forest by the Horde of Inferno in the Age of War, 5462',782,65535,315,0,0,0,0,1,'Your Unyielding Ice Storm was successful on %t!','Your Unyielding Ice Storm fades.','',1,0,'',0,'You cast Unyielding Ice Storm on %t.',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670352,1384377856,0,1),
(8468,2487061512,2,1,'Valiant Beast','',729,65535,317,0,0,0,1,0,'Your Valiant Beast was successful on %t!','Your Valiant Beast fades.','',1,0,'Spells/Commoner/ValiantBeast.lua',1196,'You cast Valiant Beast on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670352,1384377833,0,1),
(8469,3297486647,2,0,'Valor of Marr','\"Never let defeat have the last word!\" \n-Bayden Cauldthorn',729,65535,317,0,0,0,0,1,'Your Valor of Marr was successful on %t!','Your Valor of Marr fades.','',1,0,'',0,'You cast Valor of Marr on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670352,1384377856,0,1),
(8470,3717795242,2,0,'Valorous Service','\"The man who sows virtue shall reap honor in reward.\" \n-Mithaniel Marr',728,65535,316,0,0,0,0,1,'Your Valorous Service was successful on %t!','Your Valorous Service fades.','',1,0,'',0,'You cast Valorous Service on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670352,1384377856,0,1),
(8471,1504590819,2,0,'Vengeance''s Decree','\"Perhaps this soul will serve you better than it did me.\" \n-Lanys T''Vyl',730,65535,317,0,0,0,0,1,'Your Vengeance''s Decree was successful on %t!','Your Vengeance''s Decree fades.','',1,0,'',0,'You cast Vengeance''s Decree on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670352,1384377856,0,1),
(8472,1783803510,2,0,'Vigilante Justice','\"Now, I would never recommend you take the law into your own hands... but let''s say your wife or husband is slain by a local hoodlum.  Are you going to wait for vindication from the local legal system?  I didn''t think so.\" \n-a Freeportian',780,65535,315,0,0,0,0,1,'Your Vigilante Justice was successful on %t!','Your Vigilante Justice fades.','',1,0,'',0,'You cast Vigilante Justice on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670352,1384377856,0,1),
(8473,3959234537,2,0,'Virtue of the Six','\"It is not for us to judge what is right or wrong here on Norrath, that job is saved for the Council of Justice.\" \n-Field Priest Keven',779,65535,317,0,0,0,0,1,'Your Virtue of the Six was successful on %t!','Your Virtue of the Six fades.','',1,0,'',0,'You cast Virtue of the Six on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670352,1384377856,0,1),
(8474,123036470,2,1,'Visage of the Truespirit','Shrouds the beastlord''s warder in the essence of truespirit.',880,65535,317,0,0,0,1,3,'Your Visage of the Truespirit was successful on %t!','Your Visage of the Truespirit fades.','',1,0,'Spells/Commoner/GenericVisualState.lua',0,'You cast Visage of the Truespirit on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670352,1384377844,0,1),
(8475,1980239116,2,0,'Voice of Quellious','\"Once you have reached enlightenment, you will find that tranquility will extend your endurance.\" \n-Master Wu',727,65535,317,0,0,0,0,1,'Your Voice of Quellious was successful on %t!','Your Voice of Quellious fades.','',1,0,'',0,'You cast Voice of Quellious on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670352,1384377856,0,1),
(8476,1775276930,2,0,'Walking Blight','\"Let all those that touch me become cursed, and may the ending of that curse bring me life renewed!\" \n-Qezzin Adan',783,65535,317,0,0,0,0,1,'Your Walking Blight was successful on %t!','Your Walking Blight fades.','',1,0,'',0,'You cast Walking Blight on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670352,1384377856,0,1),
(8477,382567405,2,0,'War''s Aftermath','\"Only the dead have seen the end of war.\" \n-Einhorst McMannus',724,65535,317,0,0,0,0,1,'Your War''s Aftermath was successful on %t!','Your War''s Aftermath fades.','',1,0,'',0,'You cast War''s Aftermath on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670352,1384377856,0,1),
(8478,4282827880,2,0,'War''s Enlightenment','\"Think not on what you may lose in death, but what you will win through victory!\" \n-rallying cry uttered by Freeport officers ',725,65535,317,0,0,0,0,1,'Your War''s Enlightenment was successful on %t!','Your War''s Enlightenment fades.','',1,0,'',0,'You cast War''s Enlightenment on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670352,1384377856,0,1),
(8479,3800501528,2,0,'Ward of Devotion','Surrounded by the protection of good health and well being one can be warded from the worst diseases.\n-- Bainyn Fairwind, Prophet of Rodcet Nife',787,65535,316,0,0,0,0,1,'Your Ward of Devotion was successful on %t!','Your Ward of Devotion fades.','',1,0,'',0,'You cast Ward of Devotion on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670352,1384377856,0,1),
(8480,3791265666,2,0,'Warden''s Gentle Reminder','Every now and then, a warden may wish to remind someone of inappropriate disposition towards the forests.',263,65535,316,0,0,0,0,1,'Your Warden''s Gentle Reminder was successful on %t!','Your Warden''s Gentle Reminder fades.','',1,0,'Spells/Commoner/WardensGentleReminder.lua',0,'You cast Warden''s Gentle Reminder on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670352,1384377890,0,1),
(8481,3666791824,2,1,'Weapon Blur','\"I just don''t understand... His dagger moved so quickly that I could barely see it!\"\n\nA swashbuckler can move a weapon so fast, it seems they can distort the very air around it.',377,65535,317,0,0,0,1,1,'Your Weapon Blur was successful on %t!','Your Weapon Blur fades.','',1,0,'',0,'You cast Weapon Blur on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670352,1384377885,0,1),
(8482,1195996386,2,0,'Wind Walker','The arasai can call upon a gust of wind to give them a short burst of speed.',198,65535,65535,0,0,0,0,0,'Your Wind Walker was successful on %t!','Your Wind Walker fades.','',1,1,'Spells/Commoner/WindWalker.lua',0,'You cast Wind Walker on %t.',2,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670352,1384378109,0,1),
(8483,3734021198,2,0,'Wind Walker','The fae can call upon a  gust of wind to give them a short burst of speed.',198,65535,65535,0,0,0,0,0,'Your Wind Walker was successful on %t!','Your Wind Walker fades.','',1,1,'Spells/Commoner/WindWalker.lua',592,'You cast Wind Walker on %t.',2,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670352,1384378109,0,1),
(8484,3280226334,2,1,'Wooden Skin Style','Through ancient magics and studies, the Dreadnaughts have discovered secrets to make their skin as hard as bark.',294,65535,317,0,0,0,1,0,'Your Wooden Skin Style was successful on %t!','Your Wooden Skin Style fades.','',1,0,'Spells/Commoner/GenericVisualState.lua',0,'You cast Wooden Skin Style on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670352,1384377846,0,1),
(8485,2492590471,2,0,'Word of the Magistrate','\"Listen, once the Tribunal makes a decision that''s it, end of story.  There''s nothing you can do about it once the word has been decreed.\" \n-Haligan, dwarven Paladin of the Knights of Truth',780,65535,315,0,0,0,0,1,'Your Word of the Magistrate was successful on %t!','Your Word of the Magistrate fades.','',1,0,'',0,'You cast Word of the Magistrate on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670352,1384377856,0,1),
(8486,3096716935,2,0,'Wrath of the Burning Prince','\"Be careful that you do not anger Solusek Ro, for his anger results in the destruction of all that you hold dear.\" \n-anonymous student in the temple',722,65535,317,0,0,0,0,1,'Your Wrath of the Burning Prince was successful on %t!','Your Wrath of the Burning Prince fades.','',1,0,'',0,'You cast Wrath of the Burning Prince on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670352,1384377856,0,1),
(8487,2571397456,2,0,'Wunshi''s Foul Sickening','Temporarily forces a person to be sick.',269,65535,316,3191839982,0,150,0,1,'Your Wunshi''s Foul Sickening was successful on %t!','Your Wunshi''s Foul Sickening fades.','',1,0,'Spells/Commoner/GenericAnimation.lua',0,'You cast Wunshi''s Foul Sickening on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1583795424,1384377858,0,1),
(8488,2930001208,2,1,'Yoppa''s Rodent Form','Covers the form of the caster with an illusory image.',196,65535,317,3191839982,0,0,1,0,'Your Yoppa''s Rodent Form was successful on %t!','Your Yoppa''s Rodent Form fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',166,'You cast Yoppa''s Rodent Form on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670352,1384377855,0,1),
(8489,1977307253,2,1,'Yreth''s Bat Vexation','Polymorphs the target of the spell into another creature.',218,65535,316,0,0,0,1,1,'Your Yreth''s Bat Vexation was successful on %t!','Your Yreth''s Bat Vexation fades.','',1,0,'Spells/Commoner/GenericShapeshifter.lua',71,'You cast Yreth''s Bat Vexation on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670352,1384377893,0,1),
(8490,189257110,2,1,'Yreth''s Flying Friend','Summons a familiar to the Warlock''s side.',165,65535,317,0,0,0,1,0,'Your Yreth''s Flying Friend was successful on %t!','Your Yreth''s Flying Friend fades.','',1,0,'Spells/Commoner/GenericCosmeticPet.lua',165,'You cast Yreth''s Flying Friend on %t.',2,0,0,0,1,0,0,0,0,8490,0,0,0,0,0,1,0,0,0,'Unset',1384670352,1384377900,0,1),
(8491,432702364,2,0,'Zek''s Rending','\"My blades rend flesh and break steel! You cannot hope to triumph!\" \n-Rallosian Army ogre before the Greenmist enveloped him',725,65535,317,0,0,0,0,1,'Your Zek''s Rending was successful on %t!','Your Zek''s Rending fades.','',1,0,'',0,'You cast Zek''s Rending on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1583796479,1384377856,0,1),
(8492,1450257991,2,0,'Zumaik''s Call of the Banshee','Coerces the target to perform an action.',160,65535,316,0,0,0,0,1,'Your Zumaik''s Call of the Banshee was successful on %t!','Your Zumaik''s Call of the Banshee fades.','',1,0,'',0,'You cast Zumaik''s Call of the Banshee on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670352,1384377849,0,1),
(8493,1558448791,2,0,'Zumaik''s Wincing Posture','Coerces the target to perform an action.',160,65535,316,0,0,0,0,1,'Your Zumaik''s Wincing Posture was successful on %t!','Your Zumaik''s Wincing Posture fades.','',1,0,'',0,'You cast Zumaik''s Wincing Posture on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670352,1384377850,0,1),
(8494,0,0,0,'Minor Healing','Instantly heals some of target ally''s health.\r\n',158,12,316,2463145248,366253016,15,0,1,'Your Minor Healing was successful on %t!','Your Minor Healing fades.','',1,0,'Spells/Priest/MinorHealing.lua',2356,'You cast Minor Healing on %t.',0,0,0,1,1,0,0,0,0,110012,0,0,0,0,0,0,0,0,0,'Heal',1663877442,0,0,1),
(9000,601887089,3,0,'Agitate','Agitate allows you to counter Minor Congeal, Congeal, and Major Congeal.  Durability is increased at the cost of power.',402,65535,65535,0,2591116872,0,0,0,'Your Agitate was successful on %t!','Your Agitate fades.','',0,0,'Spells/Tradeskills/DurabilityAdd.lua',245,'',3,0,0,0,1,0,0,0,0,9000,0,0,0,0,0,1,0,0,0,'Unset',1385185858,1384378116,0,0),
(9001,1854918620,3,0,'Analyze','Analyze allows you to counter Emulsing, Solvolysis, and Catacaustic.  Durability is increased at the cost of some of your power.',404,65535,65535,0,2557647574,0,0,0,'Your Analyze was successful on %t!','Your Analyze fades.','',0,0,'Spells/Tradeskills/DurabilityAdd.lua',199,'',3,0,0,0,1,0,0,0,0,9001,0,0,0,0,0,1,0,0,0,'Unset',1385185946,1384378116,0,0),
(9002,3807464266,3,0,'Angle Joint','Angle Joint allows you to counter Small Red Bead, Orange Bead, and White Bead.  Progress is increased at the cost of some of your power.',413,65535,65535,0,3108933728,0,0,0,'Your Angle Joint was successful on %t!','Your Angle Joint fades.','',0,0,'Spells/Tradeskills/ProgressAdd.lua',234,'',3,0,0,0,1,0,0,0,0,9009,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378114,0,0),
(9003,3836796205,3,0,'Anneal','Anneal allows you to counter Minor Hardened Metal, Hardened Metal, and Extensive Hardened Metal.  Progress is increased at the cost of power. ',426,65535,65535,0,4032608519,0,0,0,'Your Anneal was successful on %t!','Your Anneal fades.','',0,0,'Spells/Tradeskills/ProgressAdd.lua',186,'',3,0,0,0,1,0,0,0,0,9018,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378114,0,0),
(9004,1172049349,3,0,'Augment','Augment allows you to counter Debased Material.  Durability is increased but progress is decreased.  This has a small power cost.',424,65535,65535,0,0,0,0,0,'Your Augment was successful on %t!','Your Augment fades.','',0,0,'Spells/Tradeskills/ProgressModDurabilityAdd.lua',213,'',3,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1385194792,1384377839,0,0),
(9005,2434963242,3,0,'Awareness','Awareness allows you to counter Puff of Steam, Billow of Steam, and Gale of Steam.  Progress is increased at the cost of some of your power.',423,65535,65535,0,3881305672,0,0,0,'Your Awareness was successful on %t!','Your Awareness fades.','',0,0,'Spells/Tradeskills/ProgressAdd.lua',213,'',3,0,0,0,1,0,0,0,0,9062,0,0,0,0,0,1,0,0,0,'Unset',1385187470,1384378116,0,0),
(9006,2376804293,3,0,'Binding','Binding allows you to counter Minor Frayed Material, Frayed Material, Substantial Frayed Material, Trivial Knotting, Knotting, and Liberal Knotting.  Durability is increased at the cost of some of your power.',418,65535,65535,0,2082133324,0,0,0,'Your Binding was successful on %t!','Your Binding fades.','',0,0,'Spells/Tradeskills/DurabilityAdd.lua',286,'',3,0,0,0,1,0,0,0,0,9006,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9007,4064821565,3,0,'Braid','Braid allows you to counter Minor Loose Weave, Loose Weave, and Major Loose Weave.  Progress is increased but the chance of success is lowered.',418,65535,65535,0,2896808154,0,0,0,'Your Braid was successful on %t!','Your Braid fades.','',0,0,'Spells/Tradeskills/SuccessModProgressAdd.lua',286,'',3,0,0,0,1,0,0,0,0,9007,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9008,4255853343,3,0,'Brell''s Favor','\"It''s been said that Brell is the font of all creation. That''s absurd. He''s just the source of all worthwhile creation.\" \n-Tinmizer',734,65535,317,0,0,0,0,0,'Your Brell''s Favor was successful on %t!','Your Brell''s Favor fades.','',0,0,'',0,'',3,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,'Unset',1384670322,1384377856,0,0),
(9009,2079857392,3,0,'Bridle Joint','Bridle Joint allows you to counter Small Red Bead, Orange Bead, and White Bead.  Durability is increased at the cost of some of your power.',413,65535,65535,0,3108933728,0,0,0,'Your Bridle Joint was successful on %t!','Your Bridle Joint fades.','',0,0,'Spells/Tradeskills/DurabilityAdd.lua',234,'',3,0,0,0,1,0,0,0,0,9009,0,0,0,0,0,1,0,0,0,'Unset',1385189463,1384378116,0,0),
(9010,922343203,3,0,'Calibrate','Calibrate allows you to counter Deranged Measurements.  Durability growth is increased but success chance is lowered.',404,65535,65535,0,0,0,0,0,'Your Calibrate was successful on %t!','Your Calibrate fades.','',0,0,'Spells/Tradeskills/SuccessModDurabilityAdd.lua',199,'',3,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1385192610,1384377907,0,0),
(9011,1189070679,3,0,'Calibrate','Calibrate allows you to counter Minor Mismeasurement, Mismeasurement, and Major Mismeasurement.  Durability is increased, but the chance of a success is lowered.',410,65535,65535,0,3076004370,0,0,0,'Your Calibrate was successful on %t!','Your Calibrate fades.','',0,0,'Spells/Tradeskills/SuccessModDurabilityAdd.lua',208,'',3,0,0,0,1,0,0,0,0,9011,0,0,0,0,0,1,0,0,0,'Unset',1385192633,1384378116,0,0),
(9012,2192010889,3,0,'Calligraphy','Calligraphy allows you to counter Common Writing, Uncommon Writing, and Outlandish Writing.  Durability is increased at the cost of some of your power.',400,65535,65535,0,773137566,0,0,0,'Your Calligraphy was successful on %t!','Your Calligraphy fades.','',0,0,'Spells/Tradeskills/DurabilityAdd.lua',188,'',3,0,0,0,1,0,0,0,0,9012,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9013,1182846284,3,0,'Carve','Carve allows you to counter Minor Knotted Wood, Knotted Wood, and Major Knotted Wood.  Progress is increased but the chance of success is lowered.',407,65535,65535,0,1478114179,0,0,0,'Your Carve was successful on %t!','Your Carve fades.','',0,0,'Spells/Tradeskills/SuccessModProgressAdd.lua',248,'',3,0,0,0,1,0,0,0,0,9013,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378114,0,0),
(9014,2431185618,3,0,'Carving','Carving allows you to counter Minor Knot, Knot, Major Knot, Minor Unyielding Board, Unyielding Board, and Major Unyielding Board.  Progress is increased, but durability is lowered.',407,65535,65535,0,3076004370,0,0,0,'Your Carving was successful on %t!','Your Carving fades.','',0,0,'Spells/Tradeskills/DurabilityModProgressAdd.lua',248,'',3,0,0,0,1,0,0,0,0,9016,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378114,0,0),
(9015,1472287022,3,0,'Center of Spirit','Center of Spirit allows you to counter Minor Paradigm Shift, Paradigm Shift, and Major Paradigm Shift.  Durability is increased, but the chance of a success is lowered.',422,65535,65535,0,3330500131,0,0,0,'Your Center of Spirit was successful on %t!','Your Center of Spirit fades.','',0,0,'Spells/Tradeskills/SuccessModDurabilityAdd.lua',193,'',3,0,0,0,1,0,0,0,0,9015,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9016,165782376,3,0,'Chiselling','Chiselling allows you to counter Minor Knot, Knot, Major Knot, Minor Unyielding Board, Unyielding Board, and Major Unyielding Board.  Durability is increased, but progress is lowered.',407,65535,65535,0,3076004370,0,0,0,'Your Chiselling was successful on %t!','Your Chiselling fades.','',0,0,'Spells/Tradeskills/ProgressModDurabilityAdd.lua',248,'',3,0,0,0,1,0,0,0,0,9016,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9017,260481552,3,0,'Coalesce','Coalesce allows you to counter Minor Liquefy, Liquefy, and Major Liquefy.  Progress is increased but the chance of success is lowered.',421,65535,65535,0,2591116872,0,0,0,'Your Coalesce was successful on %t!','Your Coalesce fades.','',0,0,'Spells/Tradeskills/SuccessModProgressAdd.lua',190,'',3,0,0,0,1,0,0,0,0,9017,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9018,2109312151,3,0,'Compress','Compress allows you to counter Minor Hardened Metal, Hardened Metal, and Extensive Hardened Metal.  Durability is increased at the cost of some of your power.',426,65535,65535,2011726342,4032608519,0,0,0,'Your Compress was successful on %t!','Your Compress fades.','',0,0,'Spells/Tradeskills/DurabilityAdd.lua',186,'',3,0,0,0,1,0,0,0,0,9018,0,0,0,0,0,1,0,0,0,'Unset',1385192683,1384378116,0,0),
(9019,547975023,3,0,'Concentrate','Concentrate allows you to counter Minor Distraction, Distraction, and Major Distraction. Progress is increased but the chance of success is lowered.',414,65535,65535,0,1039865549,0,0,0,'Your Concentrate was successful on %t!','Your Concentrate fades.','',0,0,'Spells/Tradeskills/SuccessModProgressAdd.lua',187,'',3,0,0,0,1,0,0,0,0,9059,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9020,2526016426,3,0,'Consolidate','Consolidate allows you to counter Minor Liquefy, Liquefy, and Major Liquefy.  Durability is increased but the chance of success is lowered.',421,65535,65535,0,2591116872,0,0,0,'Your Consolidate was successful on %t!','Your Consolidate fades.','',0,0,'Spells/Tradeskills/SuccessModDurabilityAdd.lua',190,'',3,0,0,0,1,0,0,0,0,9017,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9021,2405336148,3,0,'Constant Heat','Constant Heat allows you to counter Minor Heat Spike, Heat Spike, Major Heat Spike, Minor Heat Loss, Heat Loss, and Major Heat Loss.  Progress is increased, but durability is lowered.',424,65535,65535,0,3881305672,0,0,0,'Your Constant Heat was successful on %t!','Your Constant Heat fades.','',0,0,'Spells/Tradeskills/DurabilityModProgressAdd.lua',213,'',3,0,0,0,1,0,0,0,0,9021,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378114,0,0),
(9022,40002768,3,0,'Contrapt','Contrapt allows you to increase your durability at the cost of success chance for the round while working on Tinkering recipes.\n',405,65535,65535,0,1038997614,1,0,0,'Your Contrapt was successful on %t!','Your Contrapt fades.','',0,0,'Spells/Tradeskills/SuccessModDurabilityAdd.lua',206,'',3,0,0,0,1,0,0,0,0,9022,0,0,0,0,0,1,0,0,0,'Unset',1552483178,1384377835,0,0),
(9023,3692131627,3,0,'Contrive','Contrive allows you to counter Minor Density, Density, Major Density.  Durability is increased but the chance of success is lowered.',411,65535,65535,0,1386343008,0,0,0,'Your Contrive was successful on %t!','Your Contrive fades.','',0,0,'Spells/Tradeskills/SuccessModDurabilityAdd.lua',204,'',3,0,0,0,1,0,0,0,0,9023,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384377831,0,0),
(9024,942020200,3,0,'Corporeal Binding','Corporeal Binding allows you to increase your durability at the expense of progress while working on Transmuting recipes.\n',425,65535,65535,0,931275816,0,0,0,'Your Corporeal Binding  was successful on %t!','Your Corporeal Binding  fades.','',0,0,'Spells/Tradeskills/ProgressModDurabilityAdd.lua',245,'',3,0,0,0,1,0,0,0,0,9025,0,0,0,0,0,1,0,0,0,'Unset',1385192782,1384377834,0,0),
(9025,2704230354,3,0,'Corporeal Weave','Corporeal Weave allows you to increase your progress at the expense of durability while working on Transmuting recipes.\n',425,65535,65535,0,931275816,0,0,0,'Your Corporeal Weave  was successful on %t!','Your Corporeal Weave  fades.','',0,0,'Spells/Tradeskills/DurabilityModProgressAdd.lua',245,'',3,0,0,0,1,0,0,0,0,9025,0,0,0,0,0,1,0,0,0,'Unset',1385192833,1384377834,0,0),
(9026,2975585540,3,0,'Cure','Cure allows you to counter Minor Weak Material, Weak Material, and Major Weak Material.  Progress is increased at the cost of power.',408,65535,65535,0,2896808154,0,0,0,'Your Cure was successful on %t!','Your Cure fades.','',0,0,'Spells/Tradeskills/ProgressAdd.lua',0,'',3,0,0,0,1,0,0,0,0,9026,0,0,0,0,0,1,0,0,0,'Unset',1385192877,1384378114,0,0),
(9027,2607494506,3,0,'Data Management','Data Management allows you to increase your progress at the cost of success chance for the round while working on Tinkering recipes.\n',405,65535,65535,0,1038997614,0,0,0,'Your Data Management was successful on %t!','Your Data Management fades.','',0,0,'Spells/Tradeskills/SuccessModProgressAdd.lua',206,'',3,0,0,0,1,0,0,0,0,9022,0,0,0,0,0,1,0,0,0,'Unset',1385192907,1384377835,0,0),
(9028,1547761227,3,0,'Dexterous','Dexterous allows you to counter Small Material Catch, Material Catch, and Extensive Material Catch.  Durability is increased, but the chance of a success is lowered.',420,65535,65535,0,2082133324,0,0,0,'Your Dexterous was successful on %t!','Your Dexterous fades.','',0,0,'Spells/Tradeskills/SuccessModDurabilityAdd.lua',41,'',3,0,0,0,1,0,0,0,0,9028,0,0,0,0,0,1,0,0,0,'Unset',1385192938,1384377831,0,0),
(9029,2951775897,3,0,'Edit','Edit allows you to counter Scattered Method.  Success chance is increased but durability growth is lowered.',410,65535,65535,0,0,0,0,0,'Your Edit was successful on %t!','Your Edit fades.','',0,0,'Spells/Tradeskills/DurabilityModSuccessAdd.lua',208,'',3,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1385194708,1384377913,0,0),
(9030,3188290484,3,0,'Endothermic','Endothermic allows you to counter Minor Mis-Calibration, Mis-Calibration, Major Mis-Calibration, Minor Mis-calculation, Mis-calculation, and Major Mis-calculation.  Progress is increased, but durability is lowered. ',403,65535,65535,0,2557647574,0,0,0,'Your Endothermic was successful on %t!','Your Endothermic fades.','',0,0,'Spells/Tradeskills/DurabilityModProgressAdd.lua',189,'',3,0,0,0,1,0,0,0,0,9034,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384377832,0,0),
(9031,3704970367,3,0,'Enhance','Enhance allows you to counter Fixed Clasp.  Progress is increased while durability is decreased.  This has a small power cost.',421,65535,65535,0,0,0,0,0,'Your Enhance was successful on %t!','Your Enhance fades.','',0,0,'Spells/Tradeskills/DurabilityModProgressAdd.lua',190,'',3,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1385194726,1384377911,0,0),
(9032,1799426183,3,0,'Entwine','Entwine allows you to counter Minor Loose Weave, Loose Weave, and Major Loose Weave.  Durability is increased but the chance of success is lowered.',418,65535,65535,0,2896808154,0,0,0,'Your Entwine was successful on %t!','Your Entwine fades.','',0,0,'Spells/Tradeskills/SuccessModDurabilityAdd.lua',286,'',3,0,0,0,1,0,0,0,0,9007,0,0,0,0,0,1,0,0,0,'Unset',1617501413,1384378114,0,0),
(9033,1481397426,3,0,'Examine','Examine allows you to counter Minor Negative Result, Negative Result, and Major Negative Result.  Durability is increased but progress is lowered.',396,65535,65535,0,2591116872,0,0,0,'Your Examine was successful on %t!','Your Examine fades.','',0,0,'Spells/Tradeskills/ProgressModDurabilityAdd.lua',189,'',3,0,0,0,1,0,0,0,0,9033,0,0,0,0,0,1,0,0,0,'Unset',1385193868,1384378114,0,0),
(9034,654320142,3,0,'Exothermic','Exothermic allows you to counter Minor Mis-Calibration, Mis-Calibration, Major Mis-Calibration, Minor Mis-calculation, Mis-calculation, and Major Mis-calculation.  Durability is increased, but progress is lowered.',403,65535,65535,0,2557647574,0,0,0,'Your Exothermic was successful on %t!','Your Exothermic fades.','',0,0,'Spells/Tradeskills/ProgressModDurabilityAdd.lua',189,'',3,0,0,0,1,0,0,0,0,9034,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9035,4152794726,3,0,'Experiment','Experiment allows you to counter Emulsing, Solvolysis, and Catacaustic.  Progress is increased at the cost of some of your power.',404,65535,65535,0,2557647574,0,0,0,'Your Experiment was successful on %t!','Your Experiment fades.','',0,0,'Spells/Tradeskills/ProgressAdd.lua',199,'',3,0,0,0,1,0,0,0,0,9001,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9036,1159210129,3,0,'Fabricate','Fabricate allows you to counter Minor Density, Density, Major Density.  Progress is increased but the chance of success is lowered.',411,65535,65535,0,1386343008,0,0,0,'Your Fabricate was successful on %t!','Your Fabricate fades.','',0,0,'Spells/Tradeskills/SuccessModProgressAdd.lua',204,'',3,0,0,0,1,0,0,0,0,9023,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9037,779566264,3,0,'Faceting','Faceting allows you to counter Small Impurities, Impurities, and Major Impurities.  Progress is increased at the cost of some of your power.',421,65535,65535,0,3330500131,0,0,0,'Your Faceting was successful on %t!','Your Faceting fades.','',0,0,'Spells/Tradeskills/ProgressAdd.lua',190,'',3,0,0,0,1,0,0,0,0,9064,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378114,0,0);
INSERT INTO `spells` VALUES
(9038,3469213844,3,0,'Focus of Spirit','Focus of Spirit allows you to counter Minor Paradigm Shift, Paradigm Shift, and Major Paradigm Shift.  Progress is increased, but the chance of a success is lowered.',422,65535,65535,0,3330500131,0,0,0,'Your Focus of Spirit was successful on %t!','Your Focus of Spirit fades.','',0,0,'Spells/Tradeskills/SuccessModProgressAdd.lua',193,'',3,0,0,0,1,0,0,0,0,9015,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378114,0,0),
(9039,1203370101,3,0,'Hammering','Hammering allows you to counter Red Hot Metal, Orange Hot Metal, and White Hot Metal.  Durability is increased, but progress is lowered.',411,65535,65535,0,3108933728,0,0,0,'Your Hammering was successful on %t!','Your Hammering fades.','',0,0,'Spells/Tradeskills/ProgressModDurabilityAdd.lua',205,'',3,0,0,0,1,0,0,0,0,9039,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9040,2691899249,3,0,'Handwork','Handwork allows you to counter Minor Kickback, Kickback, and Major Kickback.  Progress is increased at the cost of some of your power.',415,65535,65535,0,3076004370,0,0,0,'Your Handwork was successful on %t!','Your Handwork fades.','',0,0,'Spells/Tradeskills/ProgressAdd.lua',207,'',3,0,0,0,1,0,0,0,0,9095,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378114,0,0),
(9041,1362070726,3,0,'Hardening','Hardening allows you to counter Water Quench, Saltwater Quench, Oil Quench, Minor Soft Metal, Soft Metal, and Extensive Soft Metal.  Progress is increased, but durability is lowered.',427,65535,65535,0,4032608519,0,0,0,'Your Hardening was successful on %t!','Your Hardening fades.','',0,0,'Spells/Tradeskills/DurabilityModProgressAdd.lua',204,'',3,0,0,0,1,0,0,0,0,9070,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378114,0,0),
(9042,3170388899,3,0,'Hem','Hem allows you to counter Negligible Loose Material, Loose Material, and Substantial Loose Material.  Durability is increased, but progress is lowered.',417,65535,65535,0,2082133324,0,0,0,'Your Hem was successful on %t!','Your Hem fades.','',0,0,'Spells/Tradeskills/ProgressModDurabilityAdd.lua',211,'',3,0,0,0,1,0,0,0,0,9042,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9043,2134832578,3,0,'Incantation','Incantation allows you to counter Minor Mystic Anomaly, Mystic Anomaly, Major Mystic Anomaly, Common Spectral Influx, Spectral Influx, and Stellar Spectral Infux.  Durability is increased, but progress is lowered.',399,65535,65535,0,773137566,0,0,0,'Your Incantation was successful on %t!','Your Incantation fades.','',0,0,'Spells/Tradeskills/ProgressModDurabilityAdd.lua',191,'',3,0,0,0,1,0,0,0,0,9043,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9044,889428983,3,0,'Infuse','Infuse allows you to counter Minor Dull Luster, Dull Luster, and Major Dull Luster.  Progress is increased at the cost of some power.',425,65535,65535,0,1386343008,0,0,0,'Your Infuse was successful on %t!','Your Infuse fades.','',0,0,'Spells/Tradeskills/ProgressAdd.lua',202,'',3,0,0,0,1,0,0,0,0,9044,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9045,733648630,3,0,'Infusive Binding','Infusive Binding allows you to increase your progress at the cost of success chance for the round while working on Transmuting recipes.\n',423,65535,65535,0,931275816,0,0,0,'Your Infusive Binding was successful on %t!','Your Infusive Binding fades.','',0,0,'Spells/Tradeskills/SuccessModProgressAdd.lua',247,'',3,0,0,0,1,0,0,0,0,9045,0,0,0,0,0,1,0,0,0,'Unset',1385193896,1384377835,0,0),
(9046,2998126412,3,0,'Infusive Weave','Infusive Weave allows you to increase your durability at the cost of success chance for the round while working on Transmuting recipes.\n',423,65535,65535,0,931275816,0,0,0,'Your Infusive Weave was successful on %t!','Your Infusive Weave fades.','',0,0,'Spells/Tradeskills/SuccessModDurabilityAdd.lua',247,'',3,0,0,0,1,0,0,0,0,9045,0,0,0,0,0,1,0,0,0,'Unset',1385193922,1384377835,0,0),
(9047,346191487,3,0,'Knots','Knots allows you to counter Minor Frayed Material, Frayed Material, Substantial Frayed Material, Trivial Knotting, Knotting, and Liberal Knotting.  Progress is increased at the cost of some of your power.',418,65535,65535,0,2082133324,0,0,0,'Your Knots was successful on %t!','Your Knots fades.','',0,0,'Spells/Tradeskills/ProgressAdd.lua',286,'',3,0,0,0,1,0,0,0,0,9006,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378114,0,0),
(9048,464404275,3,0,'Lettering','Lettering allows you to counter Common Writing, Uncommon Writing, and Outlandish Writing.  Progress is increased at the cost of some of your power.',400,65535,65535,0,773137566,0,0,0,'Your Lettering was successful on %t!','Your Lettering fades.','',0,0,'Spells/Tradeskills/ProgressAdd.lua',188,'',3,0,0,0,1,0,0,0,0,9012,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9049,3755382509,3,0,'Measure','Measure allows you to counter Minor Mismeasurement, Mismeasurement, and Major Mismeasurement.  Progress is increased, but the chance of a success is lowered.',410,65535,65535,0,3076004370,0,0,0,'Your Measure was successful on %t!','Your Measure fades.','',0,0,'Spells/Tradeskills/SuccessModProgressAdd.lua',208,'',3,0,0,0,1,0,0,0,0,9011,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378114,0,0),
(9050,234545878,3,0,'Metallurgy','Metallurgy allows you to counter Minor Impurity Bubble, Impurity Bubble, and Major Impurity Bubble. Progress is increased at the cost of some power.',406,65535,65535,0,1039865549,0,0,0,'Your Metallurgy was successful on %t!','Your Metallurgy fades.','',0,0,'Spells/Tradeskills/ProgressAdd.lua',186,'',3,0,0,0,1,0,0,0,0,9074,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9051,376467363,3,0,'Mind Over Matter','Mind Over Matter allows you to counter Minor Magical Anomaly, Magical Anomaly, Major Magical Anomaly, Minor Magical Influx, Magical Influx, and Major Magical Influx.  Progress is increased, but durability is lowered.',419,65535,65535,0,3330500131,0,0,0,'Your Mind Over Matter was successful on %t!','Your Mind Over Matter fades.','',0,0,'Spells/Tradeskills/DurabilityModProgressAdd.lua',187,'',3,0,0,0,1,0,0,0,0,9072,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378114,0,0),
(9052,445791132,3,0,'Mold','Mold allows you to counter Minor Rough Edges, Rough Edges, and Major Rough Edges.  Progress is increased but durability is lowered.',416,65535,65535,0,1386343008,0,0,0,'Your Mold was successful on %t!','Your Mold fades.','',0,0,'Spells/Tradeskills/DurabilityModProgressAdd.lua',237,'',3,0,0,0,1,0,0,0,0,9052,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9053,3170134745,3,0,'Monkey With','Monkey With allows you to increase your durability at the cost of progress for the round while working on Tinkering recipes.\n',411,65535,65535,0,1038997614,0,0,0,'Your Monkey With was successful on %t!','Your Monkey With fades.','',0,0,'Spells/Tradeskills/ProgressModDurabilityAdd.lua',203,'',3,0,0,0,1,0,0,0,0,9053,0,0,0,0,0,1,0,0,0,'Unset',1385193952,1384377834,0,0),
(9054,3309938673,3,0,'Nimble','Nimble allows you to counter Small Material Catch, Material Catch, and Extensive Material Catch.  Progress is increased, but chance to succeed on the round is lowered.',420,65535,65535,0,2082133324,0,0,0,'Your Nimble was successful on %t!','Your Nimble fades.','',0,0,'Spells/Tradeskills/SuccessModProgressAdd.lua',41,'',3,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378114,0,0),
(9055,1938518746,3,0,'Notation','Notation allows you to counter Uncommon Symbols, Strange Symbols, and Exotic Symbols.  Progress is increased, but the chance of a success is lowered.',396,65535,65535,0,773137566,0,0,0,'Your Notation was successful on %t!','Your Notation fades.','',0,0,'Spells/Tradeskills/SuccessModProgressAdd.lua',189,'',3,0,0,0,1,0,0,0,0,9067,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384377832,0,0),
(9056,2013482324,3,0,'Overhaul','Overhaul allows you to increase your progress at the cost of power while working on Tinkering recipes.\n',404,65535,65535,0,1038997614,0,0,0,'Your Overhaul was successful on %t!','Your Overhaul fades.','',0,0,'Spells/Tradeskills/ProgressAdd.lua',204,'',3,0,0,0,1,0,0,0,0,9056,0,0,0,0,0,1,0,0,0,'Unset',1385193995,1384377834,0,0),
(9057,2886388301,3,0,'Permeate','Permeate allows you to counter Minor Dull Luster, Dull Luster, and Major Dull Luster.  Durability is increased at the cost of some power.',425,65535,65535,0,1386343008,0,0,0,'Your Permeate was successful on %t!','Your Permeate fades.','',0,0,'Spells/Tradeskills/DurabilityAdd.lua',202,'',3,0,0,0,1,0,0,0,0,9044,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9058,3382500464,3,0,'Pinch of Salt','Pinch of Salt allows you to counter Minor Flavor Loss, Flavor Loss, and Major Flavor Loss.  Durability is increased, but the chance of a success is lowered.',130,65535,65535,0,3881305672,0,0,0,'Your Pinch of Salt was successful on %t!','Your Pinch of Salt fades.','',0,0,'Spells/Tradeskills/SuccessModDurabilityAdd.lua',216,'',3,0,0,0,1,0,0,0,0,9058,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9059,3114286805,3,0,'Ponder','Ponder allows you to counter Minor Distraction, Distraction, and Major Distraction. Durability is increased but the chance of success is lowered.',414,65535,65535,0,1039865549,0,0,0,'Your Ponder was successful on %t!','Your Ponder fades.','',0,0,'Spells/Tradeskills/SuccessModDurabilityAdd.lua',187,'',3,0,0,0,1,0,0,0,0,9059,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9060,676496574,3,0,'Preserve','Preserve allows you to counter Minor Weak Material, Weak Material, and Major Weak Material.  Durability is increased at the cost of power.',408,65535,65535,0,2896808154,0,0,0,'Your Preserve was successful on %t!','Your Preserve fades.','',0,0,'Spells/Tradeskills/DurabilityAdd.lua',0,'',3,0,0,0,1,0,0,0,0,9026,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378114,0,0),
(9061,966087132,3,0,'Reactions','Reactions allows you to counter Exothermic Reaction, Endothermic Reaction, and Electrophilic Reaction.  Progress is increased, but the chance of a success is lowered by a small amount.\n\n',402,65535,65535,0,2557647574,0,0,0,'Your Reactions was successful on %t!','Your Reactions fades.','',0,0,'Spells/Tradeskills/SuccessModProgressAdd.lua',245,'',3,0,0,0,1,0,0,0,0,9086,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9062,137086608,3,0,'Realization','Realization allows you to counter Puff of Steam, Billow of Steam, and Gale of Steam.  Durability is increased at the cost of some of your power.',423,65535,65535,0,3881305672,0,0,0,'Your Realization was successful on %t!','Your Realization fades.','',0,0,'Spells/Tradeskills/DurabilityAdd.lua',213,'',3,0,0,0,1,0,0,0,0,9062,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384377839,0,0),
(9063,688400815,3,0,'Revise','Revise allows you to counter Mental Rut.  Success chance is increased but progress rate is lowered.',422,65535,65535,0,0,0,0,0,'Your Revise was successful on %t!','Your Revise fades.','',0,0,'Spells/Tradeskills/ProgressModSuccessAdd.lua',193,'',3,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1385194743,1384377902,0,0),
(9064,3078515970,3,0,'Round Cut','Round Cut allows you to counter Small Impurities, Impurities, and Major Impurities.  Durability is increased at the cost of some of your power.',421,65535,65535,0,3330500131,0,0,0,'Your Round Cut was successful on %t!','Your Round Cut fades.','',0,0,'Spells/Tradeskills/DurabilityAdd.lua',190,'',3,0,0,0,1,0,0,0,0,9064,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9065,1594044859,3,0,'Sand','Sand allows you to counter Minor Splintered, Splintered, and Major Splintered.  Progress is increased at the cost of power.',408,65535,65535,0,1478114179,0,0,0,'Your Sand was successful on %t!','Your Sand fades.','',0,0,'Spells/Tradeskills/ProgressAdd.lua',207,'',3,0,0,0,1,0,0,0,0,9065,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378114,0,0),
(9066,3322568705,3,0,'Scour','Scour allows you to counter Minor Splintered, Splintered, and Major Splintered.  Durability is increased at the cost of power.',408,65535,65535,0,1478114179,0,0,0,'Your Scour was successful on %t!','Your Scour fades.','',0,0,'Spells/Tradeskills/DurabilityAdd.lua',0,'',3,0,0,0,1,0,0,0,0,9065,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9067,3934397280,3,0,'Scripting','Scripting allows you to counter Uncommon Symbols, Strange Symbols, and Exotic Symbols.  Durability is increased, but the chance of a success is lowered.',396,65535,65535,0,773137566,0,0,0,'Your Scripting was successful on %t!','Your Scripting fades.','',0,0,'Spells/Tradeskills/SuccessModDurabilityAdd.lua',189,'',3,0,0,0,1,0,0,0,0,9067,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384377829,0,0),
(9068,3519870705,3,0,'Seam','Seam allows you to counter Minor Rip, Ripped, and Major Rip.  Durability is increased but progress is lowered.',417,65535,65535,0,2896808154,0,0,0,'Your Seam was successful on %t!','Your Seam fades.','',0,0,'Spells/Tradeskills/ProgressModDurabilityAdd.lua',211,'',3,0,0,0,1,0,0,0,0,9068,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378114,0,0),
(9069,1351978442,3,0,'Seasoning','Seasoning allows you to counter Minor Flavor Loss, Flavor Loss, and Major Flavor Loss.  Progress is increased, but the chance of a success is lowered.',130,65535,65535,0,3881305672,0,0,0,'Your Seasoning was successful on %t!','Your Seasoning fades.','',0,0,'Spells/Tradeskills/SuccessModProgressAdd.lua',216,'',3,0,0,0,1,0,0,0,0,9058,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378114,0,0),
(9070,3357990268,3,0,'Set','Set allows you to counter Water Quench, Saltwater Quench, Oil Quench, Minor Soft Metal, Soft Metal, and Extensive Soft Metal.  Durability is increased, but progress is lowered.',427,65535,65535,0,4032608519,0,0,0,'Your Set was successful on %t!','Your Set fades.','',0,0,'Spells/Tradeskills/ProgressModDurabilityAdd.lua',204,'',3,0,0,0,1,0,0,0,0,9070,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9071,2208000550,3,0,'Shape','Shape allows you to counter Minor Rough Edges, Rough Edges, and Major Rough Edges.  Durability is increased but progress is lowered.',416,65535,65535,0,1386343008,0,0,0,'Your Shape was successful on %t!','Your Shape fades.','',0,0,'Spells/Tradeskills/ProgressModDurabilityAdd.lua',237,'',3,0,0,0,1,0,0,0,0,9052,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9072,2407087641,3,0,'Sixth Sense','Sixth Sense allows you to counter Minor Magical Anomaly, Magical Anomaly, Major Magical Anomaly, Minor Magical Influx, Magical Influx, and Major Magical Influx.  Durability is increased, but progress is lowered.',419,65535,65535,0,3330500131,0,0,0,'Your Sixth Sense was successful on %t!','Your Sixth Sense fades.','',0,0,'Spells/Tradeskills/ProgressModDurabilityAdd.lua',187,'',3,0,0,0,1,0,0,0,0,9072,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9073,374855150,3,0,'Slow Simmer','Slow Simmer allows you to counter Minor Heat Spike, Heat Spike, Major Heat Spike, Minor Heat Loss, Heat Loss, and Major Heat Loss.  Durability is increased, but progress is lowered.',424,65535,65535,0,3881305672,0,0,0,'Your Slow Simmer was successful on %t!','Your Slow Simmer fades.','',0,0,'Spells/Tradeskills/ProgressModDurabilityAdd.lua',213,'',3,0,0,0,1,0,0,0,0,9021,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9074,2498999148,3,0,'Smelting','Smelting allows you to counter Minor Impurity Bubble, Impurity Bubble, and Major Impurity Bubble. Durability is increased at the cost of some power. ',406,65535,65535,0,1039865549,0,0,0,'Your Smelting was successful on %t!','Your Smelting fades.','',0,0,'Spells/Tradeskills/DurabilityAdd.lua',186,'',3,0,0,0,1,0,0,0,0,9074,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9075,3862406264,3,0,'Spellbinding','Spellbinding allows you to counter Minor Mystic Anomaly, Mystic Anomaly, Major Mystic Anomaly, Common Spectral Influx, Spectral Influx, and Stellar Spectral Infux.  Progress is increased, but durability is lowered.',399,65535,65535,0,773137566,0,0,0,'Your Spellbinding was successful on %t!','Your Spellbinding fades.','',0,0,'Spells/Tradeskills/DurabilityModProgressAdd.lua',191,'',3,0,0,0,1,0,0,0,0,9043,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9076,1361741776,3,0,'Stain','Stain allows you to counter Minor Blemished, Blemished, and Major Blemished.  Progress is increased but durability is lowered.',402,65535,65535,0,1478114179,0,0,0,'Your Stain was successful on %t!','Your Stain fades.','',0,0,'Spells/Tradeskills/DurabilityModProgressAdd.lua',200,'',3,0,0,0,1,0,0,0,0,9076,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378114,0,0),
(9077,561799470,3,0,'Steady Heat','Steady Heat allows you to counter Slight Heat Wave, Heat Wave, Hefty Heat Wave, Slight Heat Depletion, Heat Depletion, and Hefty Heat Depletion.  Progress is increased, but the chance of a success is lowered.',401,65535,65535,0,3108933728,0,0,0,'Your Steady Heat was successful on %t!','Your Steady Heat fades.','',0,0,'Spells/Tradeskills/SuccessModProgressAdd.lua',41,'',3,0,0,0,1,0,0,0,0,9081,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378114,0,0),
(9078,3135848651,3,0,'Stir','Stir allows you to counter Minor Congeal, Congeal, and Major Congeal.  Progress is increased at the cost of power.',402,65535,65535,0,2591116872,0,0,0,'Your Stir was successful on %t!','Your Stir fades.','',0,0,'Spells/Tradeskills/ProgressAdd.lua',245,'',3,0,0,0,1,0,0,0,0,9000,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384377829,0,0),
(9079,1220912971,3,0,'Stitch','Stitch allows you to counter Minor Rip, Ripped, and Major Rip.  Progress is increased but durability is lowered.',417,65535,65535,0,2896808154,0,0,0,'Your Stitch was successful on %t!','Your Stitch fades.','',0,0,'Spells/Tradeskills/DurabilityModProgressAdd.lua',211,'',3,0,0,0,1,0,0,0,0,9068,0,0,0,0,0,1,0,0,0,'Unset',1384670322,1384378116,0,0),
(9080,636557849,3,0,'Stitching','Stitching allows you to counter Negligible Loose Material, Loose Material, and Substantial Loose Material.  Progress is increased, but lowers durability by a small amount. ',417,65535,65535,0,2082133324,0,0,0,'Your Stitching was successful on %t!','Your Stitching fades.','',0,0,'Spells/Tradeskills/DurabilityModProgressAdd.lua',211,'',3,0,0,0,1,0,0,0,0,9042,0,0,0,0,0,1,0,0,0,'Unset',1384670324,1384378114,0,0),
(9081,3094687892,3,0,'Stoke Coals','Stoke Coals allows you to counter Slight Heat Wave, Heat Wave, Hefty Heat Wave, Slight Heat Depletion, Heat Depletion, and Hefty Heat Depletion.  Durability is increased, but the chance of a success is lowered.',401,65535,65535,0,3108933728,0,0,0,'Your Stoke Coals was successful on %t!','Your Stoke Coals fades.','',0,0,'Spells/Tradeskills/SuccessModDurabilityAdd.lua',41,'',3,0,0,0,1,0,0,0,0,9081,0,0,0,0,0,1,0,0,0,'Unset',1384670324,1384378116,0,0),
(9082,2596101019,3,0,'Strengthening','Strengthening allows you to counter Red Hot Material, Orange Hot Material, and White Hot Material.  Durability is increased, but the chance of a success is lowered.',428,65535,65535,0,4032608519,0,0,0,'Your Strengthening was successful on %t!','Your Strengthening fades.','',0,0,'Spells/Tradeskills/SuccessModDurabilityAdd.lua',204,'',3,0,0,0,1,0,0,0,0,9082,0,0,0,0,0,1,0,0,0,'Unset',1384670324,1384377838,0,0),
(9083,3736119759,3,0,'Strikes','Strikes allows you to counter Red Hot Metal, Orange Hot Metal, and White Hot Metal. Progress is increased, but durability is lowered.',411,65535,65535,0,3108933728,0,0,0,'Your Strikes was successful on %t!','Your Strikes fades.','',0,0,'Spells/Tradeskills/DurabilityModProgressAdd.lua',205,'',3,0,0,0,1,0,0,0,0,9039,0,0,0,0,0,1,0,0,0,'Unset',1384670324,1384378114,0,0),
(9084,1405792196,3,0,'Subastral Binding','Subastral Binding allows you to increase your progress at the cost of power while working on Transmuting recipes.\n',422,65535,65535,0,931275816,0,0,0,'Your Subastral Binding  was successful on %t!','Your Subastral Binding  fades.','',0,0,'Spells/Tradeskills/ProgressAdd.lua',193,'',3,0,0,0,1,0,0,0,0,9085,0,0,0,0,0,1,0,0,0,'Unset',1385194537,1384377834,0,0),
(9085,3401842302,3,0,'Subastral Weave','Subastral Weave allows you to increase your durability at the cost of power while working on Transmuting recipes.\n',422,65535,65535,0,931275816,0,0,0,'Your Subastral Weave  was successful on %t!','Your Subastral Weave  fades.','',0,0,'Spells/Tradeskills/DurabilityAdd.lua',193,'',3,0,0,0,1,0,0,0,0,9085,0,0,0,0,0,1,0,0,0,'Unset',1385194556,1384377834,0,0),
(9086,2694578278,3,0,'Synthesis','Synthesis allows you to counter Exothermic Reaction, Endothermic Reaction, and Electrophilic Reaction. Durability is increased, but the chance of a success is lowered by a small amount.',402,65535,65535,0,2557647574,0,0,0,'Your Synthesis was successful on %t!','Your Synthesis fades.','',0,0,'Spells/Tradeskills/SuccessModDurabilityAdd.lua',245,'',3,0,0,0,1,0,0,0,0,9086,0,0,0,0,0,1,0,0,0,'Unset',1384670324,1384378116,0,0),
(9087,190335613,3,0,'Tee Joint','Tee Joint allows you to counter Minor Loose Joint, Loose Joint, Major Loose Joint, Minor Misalignment, Misalignment, and Major Misalignment. Progress is increased but Durability is lowered.',405,65535,65535,0,1039865549,0,0,0,'Your Tee Joint was successful on %t!','Your Tee Joint fades.','',0,0,'Spells/Tradeskills/DurabilityModProgressAdd.lua',207,'',3,0,0,0,1,0,0,0,0,9093,0,0,0,0,0,1,0,0,0,'Unset',1384670324,1384378116,0,0),
(9088,62130721,3,0,'Tempering','Tempering allows you to counter Red Hot Material, Orange Hot Material, and White Hot Material.  Progress is increased, but the success chance is slightly lowered.',428,65535,65535,0,4032608519,0,0,0,'Your Tempering was successful on %t!','Your Tempering fades.','',0,0,'Spells/Tradeskills/SuccessModProgressAdd.lua',204,'',3,0,0,0,1,0,0,0,0,9082,0,0,0,0,0,1,0,0,0,'Unset',1384670324,1384378114,0,0),
(9089,3242525960,3,0,'Test','Test allows you to counter Minor Negative Result, Negative Result, and Major Negative Result.  Progress is increased but durability is lowered.',396,65535,65535,0,2591116872,0,0,0,'Your Test was successful on %t!','Your Test fades.','',0,0,'Spells/Tradeskills/DurabilityModProgressAdd.lua',189,'',3,0,0,0,1,0,0,0,0,9033,0,0,0,0,0,1,0,0,0,'Unset',1384670324,1384378114,0,0),
(9090,3775536366,3,0,'Test Run','Test Run allows you to increase your durability at the cost of power while working on Tinkering recipes.\n',404,65535,65535,0,1038997614,0,0,0,'Your Test Run was successful on %t!','Your Test Run fades.','',0,0,'Spells/Tradeskills/DurabilityAdd.lua',204,'',3,0,0,0,1,0,0,0,0,9056,0,0,0,0,0,1,0,0,0,'Unset',1385194581,1384377835,0,0),
(9091,2952886293,3,0,'Tweak','Tweak allows you to counter Bad Habit.  Progress rate is increased but the chance of success is lowered.',415,65535,65535,0,0,0,0,0,'Your Tweak was successful on %t!','Your Tweak fades.','',0,0,'Spells/Tradeskills/SuccessModProgressAdd.lua',207,'',3,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1385194771,1384377907,0,0),
(9092,3357791850,3,0,'Varnish','Varnish allows you to counter Minor Blemished, Blemished, and Major Blemished.  Durability is increased but progress is lowered.',402,65535,65535,0,1478114179,0,0,0,'Your Varnish was successful on %t!','Your Varnish fades.','',0,0,'Spells/Tradeskills/ProgressModDurabilityAdd.lua',245,'',3,0,0,0,1,0,0,0,0,9076,0,0,0,0,0,1,0,0,0,'Unset',1384670324,1384378116,0,0),
(9093,2454789063,3,0,'Wedge Joint','Wedge Joint allows you to counter Minor Loose Joint, Loose Joint, Major Loose Joint, Minor Misalignment, Misalignment, and Major Misalignment. Durability is increased but Progress is lowered.',405,65535,65535,0,1039865549,0,0,0,'Your Wedge Joint was successful on %t!','Your Wedge Joint fades.','',0,0,'Spells/Tradeskills/ProgressModDurabilityAdd.lua',207,'',3,0,0,0,1,0,0,0,0,9093,0,0,0,0,0,1,0,0,0,'Unset',1384670324,1384378116,0,0),
(9094,3750337782,3,0,'Whittle','Whittle allows you to counter Minor Knotted Wood, Knotted Wood, and Major Knotted Wood.  Durability is increased but the chance of success is lowered.',407,65535,65535,0,1478114179,0,0,0,'Your Whittle was successful on %t!','Your Whittle fades.','',0,0,'Spells/Tradeskills/SuccessModDurabilityAdd.lua',248,'',3,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670324,1384378159,0,0),
(9095,964316875,3,0,'Whittling','Whittling allows you to counter Minor Kickback, Kickback, and Major Kickback.  Durability is increased at the cost of some of your power.',415,65535,65535,0,3076004370,0,0,0,'Your Whittling was successful on %t!','Your Whittling fades.','',0,0,'Spells/Tradeskills/DurabilityAdd.lua',207,'',3,0,0,0,1,0,0,0,0,9095,0,0,0,0,0,1,0,0,0,'Unset',1384670324,1384378116,0,0),
(9096,637352803,3,0,'Wing It','Wing It allows you to increase your progress at the cost of durability for the round while working on Tinkering recipes.\n',411,65535,65535,0,1038997614,0,0,0,'Your Wing It was successful on %t!','Your Wing It fades.','',0,0,'Spells/Tradeskills/DurabilityModProgressAdd.lua',203,'',3,0,0,0,1,0,0,0,0,9053,0,0,0,0,0,1,0,0,0,'Unset',1385194616,1384377835,0,0),
(10000,2310585748,1,1,'Call to Arms','Increases the offensive combat skills of the fighter''s group.',184,5,314,1408356869,1408356869,45,0,2,'Your Call to Arms was successful on %t!','Your Call to Arms fades.','',1,1,'Spells/Fighter/CalltoArms.lua',1746,'',1,0,1,1,1,1,0,0,0,10000,0,0,0,0,0,1,0,0,0,'Buff',1578004700,1384378116,0,0),
(10001,1169065115,1,0,'Corpsecrush','A smashing attack that does high damage and reduces Strength and Agility on vampire opponents.',348,65535,315,0,0,0,0,1,'Your Corpsecrush was successful on %t!','Your Corpsecrush fades.','',0,0,'',0,'You cast Corpsecrush on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1384670764,1384377839,0,0),
(10002,438025554,1,0,'Fighting Chance','Allows a fighter to begin a heroic opportunity.',324,1,317,1408356869,0,0,0,0,'Your Fighting Chance was successful on %t!','Your Fighting Chance fades.','',0,1,'Spells/Fighter/FightingChance.lua',50,'You cast Fighting Chance on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578005112,1384378112,0,0),
(10003,201994990,1,0,'Goading Gesture','Increases your hate level with the target, with a chance at double the amount of hate increase.',289,2,315,0,0,0,0,1,'Your Goading Gesture was successful on %t!','Your Goading Gesture fades.','',0,0,'',0,'You cast Goading Gesture on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Taunt',1613319046,1384377859,0,0),
(10004,3033583038,1,0,'Intervene','Allows the fighter to protect an ally from taking damage, by absorbing some of the damage an ally would otherwise take for a single hit. If the protected ally is low on health when this ability is cast, the fighter can absorb two hits.',354,2,316,1408356869,1408356869,30,0,9,'Your Intervene was successful on %t!','Your Intervene fades.','',0,0,'Spells/Fighter/Intercept.lua',1758,'You cast Intervene on %t.',1,0,0,1,1,0,0,0,0,10004,0,0,0,0,0,1,0,0,0,'Unset',1582608993,1384378111,0,0),
(10005,1768432098,1,0,'Intervene','Allows the fighter to protect an ally from taking damage, by absorbing some of the damage an ally would otherwise take for a single hit. If the protected ally is low on health when this ability is cast, the fighter can absorb two hits.',354,2,316,1408356869,0,100,0,8,'Your Intercept II was successful on %t!','Your Intercept II fades.','',0,0,'Spells/Fighter/Intercept.lua',1758,'You cast Intercept II on %t.',1,1,0,1,1,1,0,0,0,10004,0,0,0,0,0,1,0,0,0,'Unset',1582609058,1384378112,0,0),
(10006,101378472,1,0,'Intercede','Allows the fighter to protect an ally from taking damage, by absorbing some of the damage an ally would otherwise take for a single hit. If the protected ally is low on health when this ability is cast, the fighter can absorb two hits.',354,2,316,1408356869,0,170,0,8,'Your Intercept III was successful on %t!','Your Intercept III fades.','',0,0,'Spells/Fighter/Intercept.lua',1758,'You cast Intercept III on %t.',1,1,0,1,1,1,0,0,0,10004,0,0,0,0,0,1,0,0,0,'Unset',1582609145,1384378112,0,0),
(10007,3661753847,1,0,'Kick','A kick attack that deals crushing damage to the target.',292,4,315,1408356869,1408356869,25,0,1,'Your Kick was successful on %t!','Your Kick fades.','',0,1,'Spells/Fighter/Kick.lua',46,'You cast Kick on %t.',1,0,0,1,0,0,0,0,0,10007,0,0,0,0,0,1,0,0,0,'DD',1384670847,1384378116,0,0),
(10008,741888734,1,0,'Master''s Rage','Your research into certain enemies grants you a chance at striking for medium damage and debuffing the target''s defense, parry and deflection skills. (Completing Lore and Legend quests adds more races to this ability)',190,2,315,1408356869,0,25,0,1,'Your Master''s Rage was successful on %t!','Your Master''s Rage fades.','',0,0,'',253,'You cast Master''s Rage on %t.',1,0,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1384670862,1384377859,0,0),
(10009,1824802000,1,0,'Taunt','Increases the target''s hate towards the fighter.',289,2,315,1408356869,0,50,0,1,'Your Provoke was successful on %t!','Your Provoke fades.','',0,1,'Spells/Fighter/Provoke.lua',1739,'You cast Provoke on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Taunt',1578005334,1384377825,0,0),
(10010,196531253,1,1,'Subtle Strikes','The fighter measures his blows, reducing threat and removing positional threat increases.',893,5,317,1408356869,0,100,1,0,'Your Recklessness was successful on %t!','Your Recklessness fades.','',0,1,'Spells/Fighter/SubtleStrikes.lua',259,'You cast Recklessness on %t.',1,0,0,0,1,1,0,0,0,10010,0,0,0,0,0,0,0,0,0,'Unset',1582609482,1384378113,0,0),
(10011,2063842153,1,0,'Rescue','Greatly increases the target''s hate towards the fighter.',355,2,315,1408356869,723762198,125,0,1,'Your Rescue was successful on %t!','Your Rescue fades.','',0,1,'Spells/Fighter/Rescue.lua',61,'You cast Rescue on %t.',1,0,0,1,0,0,0,0,0,10011,0,0,0,0,0,1,0,0,0,'Taunt',1582609297,1384378112,0,0),
(10012,550211370,1,0,'Shout','Increases the hate of all enemies in an encounter towards the fighter.',295,2,312,1408356869,723762198,40,0,9,'Your Shout was successful on %t!','Your Shout fades.','',1,1,'Spells/Fighter/Shout.lua',1302,'You cast Shout on %t.',1,0,0,1,0,1,0,0,0,10012,0,6,0,0,0,1,0,0,0,'Taunt',1578005231,1384378116,0,0),
(10013,900240032,1,1,'Stance: Offense','Increases the fighter''s offensive melee skills and strength, at the cost of decreased defense skill. This is the fighter''s primary offensive stance, and is often useful when the fighter must adventure alone.',307,3,317,1408356869,0,20,1,0,'Your Stance: Offense was successful on %t!','Your Stance: Offense fades.','',0,1,'Spells/Fighter/StanceOffense.lua',270,'You cast Stance: Offense on %t.',1,0,0,1,1,1,0,0,0,30000,0,0,1,0,0,0,0,0,0,'Unset',1384670948,1384377825,0,0),
(10014,576934502,1,1,'Toughness','Increases your physical mitigation for a short time.',294,5,317,1408356869,0,20,1,0,'Your Toughness was successful on %t!','Your Toughness fades.','',0,1,'Spells/Fighter/StanceToughness.lua',258,'You cast Toughness on %t.',1,0,0,1,1,1,0,0,0,30000,0,0,1,0,0,0,0,0,0,'Unset',1384670948,1384378112,0,0),
(10015,1432593782,1,0,'Taunt','Increases the target''s hate towards the fighter.',289,2,315,1408356869,723762198,15,0,1,'Your Taunt was successful on %t!','Your Taunt fades.','',0,1,'Spells/Fighter/Taunt.lua',61,'You cast Taunt on %t.',1,0,0,1,0,0,0,0,0,10015,0,0,0,0,0,1,0,0,0,'Taunt',1384670959,1384378116,0,0),
(10016,3271341151,1,0,'Taunt','Increases the target''s hate towards the fighter.',289,2,315,1408356869,0,5,0,1,'Your Taunt was successful on %t!','Your Taunt fades.','',0,0,'Spells/Fighter/Taunt.lua',61,'You cast Taunt on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1578005239,1384378112,0,0),
(10017,3447462764,1,0,'Vicious Embrace','An insidious attack that does medium damage and transfers Health from a vampire opponent to the attacker.',261,65535,315,0,0,0,0,1,'Your Vicious Embrace was successful on %t!','Your Vicious Embrace fades.','',0,0,'',0,'You cast Vicious Embrace on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1384670973,1384377841,0,0),
(10018,2074290976,1,0,'Assault','A melee attack that strikes nearby enemies surrounding the fighter.',302,3,313,1408356869,1408356869,35,0,1,'Your Assault was successful on %t!','Your Assault fades.','',0,1,'Spells/Fighter/Whirl.lua',91,'You cast Assault on %t.',1,0,0,1,0,0,0,0,0,30008,0,0,0,0,0,1,0,0,0,'DD',1578005067,1384377825,0,0),
(10019,2960484168,1,0,'Wild Swing','A melee attack that does some extra damage.',302,0,315,1408356869,1408356869,15,0,1,'Your Wild Swing was successful on %t!','Your Wild Swing fades.','',0,1,'Spells/Fighter/WildSwing.lua',51,'You cast Wild Swing on %t.',1,0,0,1,0,0,0,0,0,10019,0,0,0,0,0,1,0,0,0,'DD',1582674718,1384377832,0,0),
(10020,1331644351,0,1,'Construct Head 1','',36,65535,68,0,0,0,1,1,'Your Construct Head 1 was successful on %t!','Your Construct Head 1 fades.','',1,0,'Spells/Fighter/ConstructHead1.lua',0,'You cast Construct Head 1 on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1573533656,1384377849,0,1),
(10021,3177266324,0,1,'Dire Feet','',1005,65535,317,0,0,0,1,1,'Your Dire Feet was successful on %t!','Your Dire Feet fades.','',1,0,'',0,'You cast Dire Feet on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1613319017,1384377849,0,1),
(10022,3952509103,0,0,'Fire Seeds','\"Sometimes the regrowth process requires the fiery cleansing of the underbrush.\"\n- unknown Fury',510,65535,315,0,0,0,0,1,'Your Fire Seeds was successful on %t!','Your Fire Seeds fades.','',1,0,'Spells/Fighter/FireSeeds.lua',0,'You cast Fire Seeds on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1613318886,1384377868,0,1),
(10023,1066477224,0,1,'Summmon Tamed Gator','Summons a pet to obey the necromancer.',180,29,317,0,0,0,1,1,'Your Summon Tamed Gator was successful on %t!','Your Summon Tamed Gator fades.','',1,0,'',0,'You cast Summon Tamed Gator on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384671684,1384367296,0,1),
(20000,2974328376,1,0,'Anger','Interrupts the target and increases their hate towards the warrior.',295,2,315,1124719197,0,85,0,1,'Your Anger was successful on %t!','Your Anger fades.','',0,1,'Spells/Fighter/Warrior/Anger.lua',61,'You cast Anger on %t.',1,0,0,1,0,0,0,0,0,10015,0,0,0,0,0,1,0,0,0,'Taunt',1578003163,1384378111,0,0),
(20001,4278917199,1,0,'Shield Bash','An attack that knocks the enemy down and stuns them for a short duration.',297,5,315,1124719197,0,65,0,1,'Your Bash was successful on %t!','Your Bash fades.','',0,1,'Spells/Fighter/Warrior/Bash.lua',368,'You cast Bash on %t.',1,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1578003002,1384377825,0,0),
(20002,3000712011,1,1,'Battle Tactics','Increases the maximum health of the warrior''s group.',328,5,314,1124719197,0,95,1,2,'Your Battle Tactics was successful on %t!','Your Battle Tactics fades.','',0,1,'Spells/Fighter/Warrior/BattleTactics.lua',1744,'You cast Battle Tactics on %t.',1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',1578003568,1384377825,0,0),
(20003,3229839933,1,0,'Concussion','A melee attack that deals crushing damage and drains some of the target''s power on a successful hit.',349,0,315,1124719197,0,85,0,1,'Your Concussion was successful on %t!','Your Concussion fades.','',0,1,'Spells/Fighter/Warrior/Concussion.lua',1747,'You cast Concussion on %t.',1,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1578003488,1384378111,0,0),
(20004,2886355156,1,0,'Forced Swing','A melee attack that does some extra damage.',302,0,315,1124719197,0,75,0,1,'Your Forced Swing was successful on %t!','Your Forced Swing fades.','',0,1,'Spells/Fighter/Warrior/ForcedSwing.lua',51,'You cast Forced Swing on %t.',1,0,0,1,0,0,0,0,0,10019,0,4,0,0,0,1,0,0,0,'DD',1578003086,1384378111,0,0),
(20005,897403216,1,1,'Hold the Line','Grants a chance to increase hate with any opponent that damages the warrior. This ability also severely reduces the warrior''s movement.',184,2,317,1124719197,723762198,75,1,1,'Your Hold the Line was successful on %t!','Your Hold the Line fades.','',0,1,'Spells/Fighter/Warrior/HoldtheLine.lua',605,'You cast Hold the Line on %t.',1,0,0,0,1,0,0,0,0,20005,0,0,0,0,0,1,0,0,0,'Taunt',1384670828,1384378111,0,0),
(20006,864721105,1,0,'Hunker Down','Increases the physical mitigation of the warrior in exchange for decreased movement and attack speeds. Also grants a chance to snare nearby opponents whenever the warrior strikes in melee.',358,5,317,1124719197,0,65,0,0,'Your Hunker Down was successful on %t!','Your Hunker Down fades.','',0,1,'Spells/Fighter/Warrior/HunkerDown.lua',1279,'You cast Hunker Down on %t.',1,0,0,0,1,0,0,0,0,2550382,0,0,0,0,0,1,0,0,0,'CombatBuff',1578003022,1384378111,0,0),
(20007,3076260762,1,0,'Knee Break','A kick attack that deals crushing damage to the target.',292,4,315,1124719197,0,95,0,1,'Your Knee break was successful on %t!','Your Knee break fades.','',0,1,'Spells/Fighter/Warrior/Kneebreak.lua',1738,'You cast Knee break on %t.',1,0,0,1,0,0,0,0,0,10007,0,0,0,0,0,1,0,0,0,'DD',1578002454,1384377825,0,0),
(20008,2354814969,1,0,'Mangle','A melee attack that decreases target''s offensive melee skills on a successful hit.',336,0,315,1124719197,0,55,0,1,'Your Mangle was successful on %t!','Your Mangle fades.','',0,1,'Spells/Fighter/Warrior/Mangle.lua',1269,'You cast Mangle on %t.',1,0,0,1,0,0,0,0,0,20008,0,0,0,0,0,1,0,0,0,'DD',1578002793,1384378111,0,0),
(20009,379429836,1,0,'Rallying Cry','Increases the physical defense of the warrior''s group against slashing, piercing, and crushing attacks for a short duration.',295,5,314,1124719197,0,60,0,2,'Your Rallying Cry was successful on %t!','Your Rallying Cry fades.','',0,1,'Spells/Fighter/Warrior/RallyingCry.lua',1756,'You cast Rallying Cry on %t.',1,0,0,1,1,1,0,0,0,20009,0,0,0,0,0,1,0,0,0,'CombatBuff',1578002876,1384377825,0,0),
(20010,3136346523,1,1,'Stance: Soldier''s Stance','Greatly increases defense, parry and physical damage mitigation at the cost of offensive melee skills and combat attack damage. This is the warrior''s primary defensive stance.',294,5,317,1124719197,0,80,1,0,'Your Stance: Soldier''s Stance was successful on %t!','Your Stance: Soldier''s Stance fades.','',0,1,'Spells/Fighter/Warrior/StanceSoldiersStance.lua',1737,'You cast Stance: Soldier''s Stance on %t.',1,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1578003913,1384377825,0,0),
(20011,3468839508,1,1,'Stand Firm','Grants the warrior a chance to shield an ally from melee attacks, by allowing the target a chance to use the warrior''s avoidance check after their own avoidance check. This also increases the warrior''s parry skill.',294,5,316,1124719197,0,90,1,1,'Your Stand Firm was successful on %t!','Your Stand Firm fades.','',0,1,'Spells/Fighter/Warrior/StandFirm.lua',1770,'You cast Stand Firm on %t.',1,0,0,1,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'CombatBuff',1384670948,1384378111,0,0),
(20012,3327854599,1,0,'Taunting Strike','A melee attack that increases the target''s hate towards the warrior if it hits.',326,3,315,1124719197,0,50,0,1,'Your Taunting Blow was successful on %t!','Your Taunting Blow fades.','',0,1,'Spells/Fighter/Warrior/TauntingBlow.lua',1282,'You cast Taunting Blow on %t.',1,0,0,1,0,0,0,0,0,20012,0,0,0,0,0,1,0,0,0,'Taunt',1578002748,1384378111,0,0),
(20013,240725497,1,0,'Unyielding Will','Allows a warrior to be healed and placed at Death''s Door for a short time after death. When Death''s Door wears off the warrior dies.',496,65535,317,1124719197,0,175,0,1,'Your Unyielding Will was successful on %t!','Your Unyielding Will fades.','',0,0,'Spells/Fighter/Warrior/UnyieldingWill.lua',2002,'You cast Unyielding Will on %t.',1,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670970,1384378112,0,0),
(20014,3745423974,1,0,'Wound','A melee attack that deals additional slashing damage over time and reduces the target''s combat attack damage on a successful hit.',327,0,315,1124719197,0,70,0,1,'Your Wound was successful on %t!','Your Wound fades.','',0,1,'Spells/Fighter/Warrior/Wound.lua',1764,'You cast Wound on %t.',1,0,0,1,0,0,1,0,0,20014,0,0,0,0,0,1,0,0,0,'DoT',1384670984,1384378111,0,0),
(30000,778692520,1,1,'Defense','Greatly increases agility, defense, parry, aggression, base avoidance, physical and spell damage mitigation at the cost of offensive melee skills. This is the guardian''s primary defensive stance.',358,5,317,1209716810,0,20,1,0,'Your Armored was successful on %t!','Your Armored fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Armored.lua',1737,'You cast Armored on %t.',1,0,0,1,1,1,0,0,0,30000,0,0,1,0,0,0,0,0,0,'Unset',1578888456,1384378112,0,0),
(30001,975778470,1,1,'Brace','Greatly increases agility, defense, parry, aggression, base avoidance, physical and spell damage mitigation at the cost of offensive melee skills. This is the guardian''s primary defensive stance.',358,5,317,1209716810,0,80,1,0,'Your Armored II was successful on %t!','Your Armored II fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Armored.lua',1737,'You cast Armored II on %t.',1,0,0,1,1,1,0,0,0,30000,0,0,1,0,0,0,0,0,0,'Unset',1578888519,1384378111,0,0),
(30002,416942875,1,1,'Armored III- Not Classic','Greatly increases agility, defense, parry, aggression, base avoidance, physical and spell damage mitigation at the cost of offensive melee skills. This is the guardian''s primary defensive stance.',358,5,317,1209716810,0,150,1,0,'Your Armored III was successful on %t!','Your Armored III fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Armored.lua',1737,'You cast Armored III on %t.',1,0,0,1,1,1,0,0,0,30000,0,0,1,0,0,0,0,0,0,'Unset',1578888547,1384377825,0,0),
(30003,4284188832,1,1,'Fortified Stance','Greatly increases agility, defense, parry, aggression, base avoidance, physical and spell damage mitigation at the cost of offensive melee skills. This is the guardian''s primary defensive stance.',358,5,317,1209716810,0,220,1,0,'Your Armored IV was successful on %t!','Your Armored IV fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Armored.lua',1737,'You cast Armored IV on %t.',1,0,0,1,1,1,0,0,0,30000,0,0,1,0,0,1,0,0,0,'Unset',1578888586,1384377825,0,0),
(30004,3068552036,1,1,'Steadfast Stance','Greatly increases agility, defense, parry, aggression, base avoidance, physical and spell damage mitigation at the cost of offensive melee skills. This is the guardian''s primary defensive stance.',358,5,317,1209716810,0,290,1,0,'Your Armored V was successful on %t!','Your Armored V fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Armored.lua',1737,'You cast Armored V on %t.',1,0,0,1,1,1,0,0,0,30000,0,0,1,0,0,1,0,0,0,'Unset',1572383150,1384377825,0,0),
(30005,3462626570,1,1,'Armored Stance','Greatly increases agility, defense, parry, aggression, base avoidance, physical and spell damage mitigation at the cost of offensive melee skills. This is the guardian''s primary defensive stance.',358,5,317,1209716810,0,360,1,0,'Your Armored VI was successful on %t!','Your Armored VI fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Armored.lua',1737,'You cast Armored VI on %t.',1,0,0,1,1,1,0,0,0,30000,0,0,1,0,0,1,0,0,0,'Unset',1578888640,1384378110,0,0),
(30006,1686228338,1,1,'Armored VII','Greatly increases agility, defense, parry, aggression, base avoidance, physical and spell damage mitigation at the cost of offensive melee skills. This is the guardian''s primary defensive stance.',358,5,317,1209716810,0,410,1,0,'Your Armored VII was successful on %t!','Your Armored VII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Armored.lua',1737,'You cast Armored VII on %t.',1,0,0,1,1,1,0,0,0,30000,0,0,1,0,0,1,0,0,0,'Unset',1572385955,1384377825,0,0),
(30007,2336466508,1,1,'Armored VIII','Greatly increases agility, defense, parry, aggression, base avoidance, physical and spell damage mitigation at the cost of offensive melee skills. This is the guardian''s primary defensive stance.',358,5,317,1209716810,0,460,1,0,'Your Armored VIII was successful on %t!','Your Armored VIII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Armored.lua',1737,'You cast Armored VIII on %t.',1,0,0,1,1,1,0,0,0,30000,0,0,1,0,0,1,0,0,0,'Unset',1578888679,1384377825,0,0),
(30008,11073556,1,0,'Assault','A melee attack that strikes nearby enemies surrounding the guardian.',343,3,313,1408356869,0,35,0,1,'Your Assault was successful on %t!','Your Assault fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Assault.lua',1736,'You cast Assault on %t.',1,0,0,1,0,0,0,0,0,30008,0,0,0,0,0,0,0,0,0,'DD',1578889355,1384378112,0,0),
(30009,692907084,1,0,'Bury- Ready for Testing','A melee attack that strikes nearby enemies surrounding the guardian.',343,3,313,1209716810,1209716810,105,0,1,'Your Bury was successful on %t!','Your Bury fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Bury.lua',91,'You cast Bury on %t.',1,0,0,1,0,1,0,0,0,10018,0,0,0,0,0,1,0,0,0,'DD',1578886211,1384378111,0,0),
(30010,3369513330,1,0,'Topple','A melee attack that strikes nearby enemies surrounding the guardian.',343,3,313,1209716810,0,175,0,1,'Your Assault III was successful on %t!','Your Assault III fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Assault.lua',1736,'You cast Assault III on %t.',1,0,0,1,0,0,0,0,0,30008,0,0,0,0,0,1,0,0,0,'DD',1578889434,1384378110,0,0),
(30011,3098532685,1,0,'Tremor','A melee attack that strikes nearby enemies surrounding the guardian.',343,3,313,1209716810,0,245,0,1,'Your Assault IV was successful on %t!','Your Assault IV fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Assault.lua',1736,'You cast Assault IV on %t.',1,0,0,1,0,0,0,0,0,30008,0,0,0,0,0,1,0,0,0,'DD',1578889467,1384378110,0,0),
(30012,3840626914,1,0,'Besiege','A melee attack that strikes nearby enemies surrounding the guardian.',343,3,313,1209716810,0,315,0,1,'Your Assault V was successful on %t!','Your Assault V fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Assault.lua',1736,'You cast Assault V on %t.',1,0,0,1,0,0,0,0,0,30008,0,0,0,0,0,1,0,0,0,'DD',1578889497,1384378111,0,0),
(30013,933192724,1,0,'Seige','A melee attack that strikes nearby enemies surrounding the guardian.',343,3,313,1209716810,0,375,0,1,'Your Assault VI was successful on %t!','Your Assault VI fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Assault.lua',1736,'You cast Assault VI on %t.',1,0,0,1,0,0,0,0,0,30008,0,0,0,0,0,1,0,0,0,'DD',1578889526,1384378112,0,0),
(30014,1032425574,1,0,'Assault VII','A melee attack that strikes nearby enemies surrounding the guardian.',343,3,313,1209716810,0,425,0,1,'Your Assault VII was successful on %t!','Your Assault VII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Assault.lua',1736,'You cast Assault VII on %t.',1,0,0,1,0,0,0,0,0,30008,0,0,0,0,0,1,0,0,0,'DD',1578889559,1384378111,0,0),
(30015,3528194904,1,0,'Assault VIII','A melee attack that strikes nearby enemies surrounding the guardian.',343,3,313,1209716810,0,475,0,1,'Your Assault VIII was successful on %t!','Your Assault VIII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Assault.lua',1736,'You cast Assault VIII on %t.',1,0,0,1,0,0,0,0,0,30008,0,0,0,0,0,1,0,0,0,'DD',1579125620,1384378112,0,0),
(30016,3160981239,1,0,'Bash','An attack that knocks the enemy down and stuns them for a short duration.',297,3,315,1209716810,0,10,0,1,'Your Bash was successful on %t!','Your Bash fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Bash.lua',1759,'You cast Bash on %t.',1,0,0,1,0,0,1,4,0,30016,0,0,0,0,0,0,0,0,0,'DD',1578887207,1384378112,0,0),
(30017,3083328055,1,0,'Bash II','An attack that knocks the enemy down and stuns them for a short duration.',297,3,315,1209716810,0,40,0,1,'Your Bash II was successful on %t!','Your Bash II fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Bash.lua',1759,'You cast Bash II on %t.',1,0,0,1,0,0,1,4,0,30016,0,0,0,0,0,0,0,0,0,'DD',1578887326,1384378111,0,0),
(30018,3726067606,1,0,'Bull Rush- Ready for Testing','An attack that knocks the enemy down and stuns them for a short duration.',297,3,315,1209716810,0,135,0,1,'Your Bash III was successful on %t!','Your Bash III fades.','',0,1,'Spells/Fighter/Warrior/Guardian/BullRush.lua',368,'You cast Bash III on %t.',1,0,0,1,0,0,1,4,0,30016,0,0,0,0,0,1,0,0,0,'DD',1578887367,1384378110,0,0),
(30019,4048827426,1,0,'Bash IV','An attack that knocks the enemy down and stuns them for a short duration.',297,3,315,1209716810,0,205,0,1,'Your Bash IV was successful on %t!','Your Bash IV fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Bash.lua',1759,'You cast Bash IV on %t.',1,0,0,1,0,0,1,4,0,30016,0,0,0,0,0,1,0,0,0,'DD',1578887402,1384378110,0,0),
(30020,4126670356,1,0,'Bash IX','An attack that knocks the enemy down and stuns them for a short duration.',297,3,315,1209716810,0,495,0,1,'Your Bash IX was successful on %t!','Your Bash IX fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Bash.lua',1759,'You cast Bash IX on %t.',1,0,0,1,0,0,1,4,0,30016,0,0,0,0,0,1,0,0,0,'DD',1579125534,1384377825,0,0),
(30021,3470515914,1,0,'Bash V','An attack that knocks the enemy down and stuns them for a short duration.',297,3,315,1209716810,0,275,0,1,'Your Bash V was successful on %t!','Your Bash V fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Bash.lua',1759,'You cast Bash V on %t.',1,0,0,1,0,0,1,4,0,30016,0,0,0,0,0,1,0,0,0,'DD',1578887438,1384378112,0,0),
(30022,2580870193,1,0,'Bash VI','An attack that knocks the enemy down and stuns them for a short duration.',297,3,315,1209716810,0,345,0,1,'Your Bash VI was successful on %t!','Your Bash VI fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Bash.lua',1759,'You cast Bash VI on %t.',1,0,0,1,0,0,1,4,0,30016,0,0,0,0,0,1,0,0,0,'DD',1578887464,1384378111,0,0),
(30023,3594926895,1,0,'Bash VII','An attack that knocks the enemy down and stuns them for a short duration.',297,3,315,1209716810,0,395,0,1,'Your Bash VII was successful on %t!','Your Bash VII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Bash.lua',1759,'You cast Bash VII on %t.',1,0,0,1,0,0,1,4,0,30016,0,0,0,0,0,1,0,0,0,'DD',1578887548,1384378112,0,0),
(30024,1761091426,1,0,'Bash VIII','An attack that knocks the enemy down and stuns them for a short duration.',297,3,315,1209716810,0,445,0,1,'Your Bash VIII was successful on %t!','Your Bash VIII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Bash.lua',1759,'You cast Bash VIII on %t.',1,0,0,1,0,0,1,4,0,30016,0,0,0,0,0,1,0,0,0,'DD',1578887578,1384378111,0,0),
(30025,4153459018,1,0,'Rallying Cry','Increases the physical defense of the guardian''s group against slashing, piercing, and crushing attacks for a short duration. Defense versus slashing and piercing attacks is improved.',295,5,314,1124719197,0,60,0,2,'','Your Battle Cry fades.','',0,1,'Spells/Fighter/Warrior/Guardian/BattleCry.lua',1756,'',1,0,0,1,1,1,0,0,0,30025,0,0,0,0,0,0,0,0,0,'Unset',1578891011,1384378111,0,0),
(30026,2452056043,1,0,'Battle Cry- Ready for Testing','Increases the physical defense of the guardian''s group against slashing, piercing, and crushing attacks and grants an increase in stamina for a short duration. (Stamina component requires research.)',295,5,314,1209716810,0,130,0,2,'Your Battle Cry was successful on %t!','Your Battle Cry fades.','',0,1,'Spells/Fighter/Warrior/Guardian/BattleCry.lua',260,'You cast Battle Cry on %t.',1,0,0,1,1,1,0,0,0,20009,0,0,0,0,0,1,0,0,0,'Unset',1578891027,1384377825,0,0),
(30027,3133498505,1,0,'Commanding Presence','Increases the physical defense of the guardian''s group against slashing, piercing, and crushing attacks for a short duration. Defense versus slashing and piercing attacks is improved.',295,5,314,1209716810,0,200,0,2,'Your Battle Cry III was successful on %t!','Your Battle Cry III fades.','',0,1,'Spells/Fighter/Warrior/Guardian/BattleCry.lua',1756,'You cast Battle Cry III on %t.',1,0,0,1,1,1,0,0,0,30025,0,0,0,0,0,1,0,0,0,'Unset',1578891060,1384378110,0,0),
(30028,3120342790,1,0,'Commanding Aura','Increases the physical defense of the guardian''s group against slashing, piercing, and crushing attacks for a short duration. Defense versus slashing and piercing attacks is improved.',295,5,314,1209716810,0,270,0,2,'Your Battle Cry IV was successful on %t!','Your Battle Cry IV fades.','',0,1,'Spells/Fighter/Warrior/Guardian/BattleCry.lua',1756,'You cast Battle Cry IV on %t.',1,0,0,1,1,1,0,0,0,30025,0,0,0,0,0,1,0,0,0,'Unset',1578891095,1384378112,0,0),
(30029,2418834266,1,0,'Command','Increases the physical defense of the guardian''s group against slashing, piercing, and crushing attacks for a short duration. Defense versus slashing and piercing attacks is improved.',295,5,314,1209716810,0,340,0,2,'Your Battle Cry V was successful on %t!','Your Battle Cry V fades.','',0,1,'Spells/Fighter/Warrior/Guardian/BattleCry.lua',1756,'You cast Battle Cry V on %t.',1,0,0,1,1,1,0,0,0,30025,0,0,0,0,0,1,0,0,0,'Unset',1578891109,1384378111,0,0),
(30030,1354794159,1,0,'Fortify','Increases the physical defense of the guardian''s group against slashing, piercing, and crushing attacks for a short duration. Defense versus slashing and piercing attacks is improved.',295,5,314,1209716810,0,395,0,2,'Your Battle Cry VI was successful on %t!','Your Battle Cry VI fades.','',0,1,'Spells/Fighter/Warrior/Guardian/BattleCry.lua',1756,'You cast Battle Cry VI on %t.',1,0,0,1,1,1,0,0,0,30025,0,0,0,0,0,1,0,0,0,'Unset',1572375301,1384378112,0,0),
(30031,3672940220,1,0,'Battle Cry VII','Increases the physical defense of the guardian''s group against slashing, piercing, and crushing attacks for a short duration. Defense versus slashing and piercing attacks is improved.',295,5,314,1209716810,0,445,0,2,'Your Battle Cry VII was successful on %t!','Your Battle Cry VII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/BattleCry.lua',1756,'You cast Battle Cry VII on %t.',1,0,0,1,1,1,0,0,0,30025,0,0,0,0,0,1,0,0,0,'Unset',1578891175,1384378111,0,0),
(30032,125454137,1,0,'Battle Cry VIII','Increases the physical defense of the guardian''s group against slashing, piercing, and crushing attacks for a short duration. Defense versus slashing and piercing attacks is improved.',295,5,314,1209716810,0,495,0,2,'Your Battle Cry VIII was successful on %t!','Your Battle Cry VIII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/BattleCry.lua',1756,'You cast Battle Cry VIII on %t.',1,0,0,0,1,0,0,0,0,30025,0,0,0,0,0,1,0,0,0,'Unset',1578891189,1384378112,0,0),
(30033,2092885503,1,1,'Battle Tactics','Increases the stamina of the guardian''s group.',358,5,314,1124719197,0,90,1,2,'Your Battle Tactics was successful on %t!','Your Battle Tactics fades.','',0,1,'Spells/Fighter/Warrior/Guardian/BattleTactics.lua',1744,'You cast Battle Tactics on %t.',1,0,0,1,1,1,0,0,0,30033,0,0,0,0,0,0,0,0,0,'Unset',1578892690,1384378111,0,0),
(30034,3429118468,1,1,'Do or Die','Increases the stamina of the guardian''s group.',358,5,314,1209716810,0,165,1,2,'Your Battle Tactics II was successful on %t!','Your Battle Tactics II fades.','',0,1,'Spells/Fighter/Warrior/Guardian/BattleTactics.lua',1744,'You cast Battle Tactics II on %t.',1,0,0,1,1,1,0,0,0,30033,0,0,0,0,0,1,0,0,0,'Unset',1578892703,1384378110,0,0),
(30035,2961280090,1,1,'Return to Battle','Increases the stamina of the guardian''s group.',358,5,314,1209716810,0,235,1,2,'Your Battle Tactics III was successful on %t!','Your Battle Tactics III fades.','',0,1,'Spells/Fighter/Warrior/Guardian/BattleTactics.lua',1744,'You cast Battle Tactics III on %t.',1,0,0,1,1,1,0,0,0,30033,0,0,0,0,0,1,0,0,0,'Unset',1578892729,1384378110,0,0),
(30036,2486428346,1,1,'Return to War','Increases the stamina of the guardian''s group.',358,5,314,1209716810,0,305,1,2,'Your Battle Tactics IV was successful on %t!','Your Battle Tactics IV fades.','',0,1,'Spells/Fighter/Warrior/Guardian/BattleTactics.lua',1744,'You cast Battle Tactics IV on %t.',1,0,0,1,1,1,0,0,0,30033,0,0,0,0,0,1,0,0,0,'Unset',1402225802,1384377825,0,0),
(30037,2260150617,1,1,'Return to Combat','Increases the stamina of the guardian''s group.',358,5,314,1209716810,0,365,1,2,'Your Battle Tactics V was successful on %t!','Your Battle Tactics V fades.','',0,1,'Spells/Fighter/Warrior/Guardian/BattleTactics.lua',1744,'You cast Battle Tactics V on %t.',1,0,0,1,1,1,0,0,0,30033,0,0,0,0,0,1,0,0,0,'Unset',1578892819,1384378112,0,0),
(30038,3921402638,1,1,'Battle Tactics VI','Increases the stamina of the guardian''s group.',358,5,314,1209716810,0,415,1,2,'Your Battle Tactics VI was successful on %t!','Your Battle Tactics VI fades.','',0,1,'Spells/Fighter/Warrior/Guardian/BattleTactics.lua',1744,'You cast Battle Tactics VI on %t.',1,0,0,1,1,1,0,0,0,30033,0,0,0,0,0,1,0,0,0,'Unset',1578892840,1384378112,0,0),
(30039,1847398477,1,1,'Battle Tactics VII','Increases the stamina of the guardian''s group.',358,5,314,1209716810,0,465,1,2,'Your Battle Tactics VII was successful on %t!','Your Battle Tactics VII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/BattleTactics.lua',1744,'You cast Battle Tactics VII on %t.',1,0,0,1,1,1,0,0,0,30033,0,0,0,0,0,1,0,0,0,'Unset',1578892857,1384377825,0,0),
(30040,3161522653,1,1,'Call of Command- Ready for Testing','Increases the defense skill and stamina of all the Guardian''s allies.',295,5,314,1209716810,1209716810,120,1,2,'Your Call of Command was successful on %t!','Your Call of Command fades.','',0,1,'Spells/Fighter/Warrior/Guardian/CallofShielding.lua',1745,'You cast Call of Command on %t.',1,1,0,1,1,1,0,0,0,30040,0,0,0,0,0,1,0,0,0,'Unset',1578893957,1384378112,0,0),
(30041,3936367436,1,1,'Call of Protection','Increases the defense skill and stamina of all the Guardian''s allies.',295,5,314,1209716810,1209716810,190,1,2,'Your Call of Shielding II was successful on %t!','Your Call of Shielding II fades.','',0,1,'Spells/Fighter/Warrior/Guardian/CallofShielding.lua',1745,'You cast Call of Shielding II on %t.',1,1,0,1,1,1,0,0,0,30040,0,0,0,0,0,1,0,0,0,'Unset',1578893974,1384378110,0,0),
(30042,2936316688,1,1,'Call of Defense','Increases the defense skill and stamina of all the Guardian''s allies.',295,5,314,1209716810,1209716810,260,1,2,'Your Call of Shielding III was successful on %t!','Your Call of Shielding III fades.','',0,1,'Spells/Fighter/Warrior/Guardian/CallofShielding.lua',1745,'You cast Call of Shielding III on %t.',1,1,0,1,1,1,0,0,0,30040,0,0,0,0,0,1,0,0,0,'Unset',1578894009,1384377825,0,0),
(30043,2126160781,1,1,'Call of Armament','Increases the defense skill and stamina of all the Guardian''s allies.',295,5,314,1209716810,1209716810,330,1,2,'Your Call of Shielding IV was successful on %t!','Your Call of Shielding IV fades.','',0,1,'Spells/Fighter/Warrior/Guardian/CallofShielding.lua',1745,'You cast Call of Shielding IV on %t.',1,1,0,1,1,1,0,0,0,30040,0,0,0,0,0,1,0,0,0,'Unset',1578894048,1384378111,0,0),
(30044,3255404865,1,1,'Call of Shielding','Increases the defense skill and stamina of all the Guardian''s allies.',295,5,314,1209716810,1209716810,385,1,2,'Your Call of Shielding V was successful on %t!','Your Call of Shielding V fades.','',0,1,'Spells/Fighter/Warrior/Guardian/CallofShielding.lua',1745,'You cast Call of Shielding V on %t.',1,1,0,1,1,1,0,0,0,30040,0,0,0,0,0,1,0,0,0,'Unset',1578894078,1384377825,0,0),
(30045,3197565280,1,1,'Call of Shielding VI','Increases the defense skill and stamina of all the Guardian''s allies.',295,5,314,1209716810,1209716810,435,1,2,'Your Call of Shielding VI was successful on %t!','Your Call of Shielding VI fades.','',0,1,'Spells/Fighter/Warrior/Guardian/CallofShielding.lua',1745,'You cast Call of Shielding VI on %t.',1,1,0,1,1,1,0,0,0,30040,0,0,0,0,0,1,0,0,0,'Unset',1578894125,1384378111,0,0),
(30046,3690054182,1,1,'Call of Shielding VII','Increases the defense skill and stamina of all the Guardian''s allies.',295,5,314,1209716810,1209716810,485,1,2,'Your Call of Shielding VII was successful on %t!','Your Call of Shielding VII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/CallofShielding.lua',1745,'You cast Call of Shielding VII on %t.',1,1,0,1,1,1,0,0,0,30040,0,0,0,0,0,1,0,0,0,'Unset',1578894154,1384378112,0,0),
(30047,3580663732,1,1,'Call to Arms','Increases the offensive combat skills of the guardian''s group.',184,5,314,1408356869,0,45,1,2,'','Your Call to Arms fades.','',0,1,'Spells/Fighter/Warrior/Guardian/CalltoArms.lua',1746,'',1,0,0,1,1,1,0,0,0,30047,0,0,0,0,0,0,0,0,0,'Unset',1578890198,1384377825,0,0),
(30048,302784069,1,1,'Guardians Call- Ready for Testing','Increases the offensive combat skills of the guardian''s group.',184,5,314,1209716810,0,115,1,2,'Your Guardians Call was successful on %t!','Your Guardians Call fades.','',0,1,'Spells/Fighter/CalltoArms.lua',1746,'You cast Guardians Call on %t.',1,0,1,1,1,1,0,0,0,10000,0,0,0,0,0,1,0,0,0,'CombatBuff',1402229665,1384378112,0,0),
(30049,3770692872,1,1,'Call to Battle','Increases the offensive combat skills of the guardian''s group.',184,5,314,1209716810,0,185,1,2,'Your Call to Arms III was successful on %t!','Your Call to Arms III fades.','',0,1,'Spells/Fighter/Warrior/Guardian/CalltoArms.lua',1746,'You cast Call to Arms III on %t.',1,0,0,1,1,1,0,0,0,30047,0,0,0,0,0,1,0,0,0,'Unset',1578890374,1384378110,0,0),
(30050,641367796,1,1,'Call to War','Increases the offensive combat skills of the guardian''s group.',184,5,314,1209716810,0,255,1,2,'Your Call to Arms IV was successful on %t!','Your Call to Arms IV fades.','',0,1,'Spells/Fighter/Warrior/Guardian/CalltoArms.lua',1746,'You cast Call to Arms IV on %t.',1,0,0,1,1,1,0,0,0,30047,0,0,0,0,0,1,0,0,0,'Unset',1578890363,1384377825,0,0),
(30051,1524685892,1,1,'Call to Siege','Increases the offensive combat skills of the guardian''s group.',184,5,314,1209716810,0,325,1,2,'Your Call to Arms V was successful on %t!','Your Call to Arms V fades.','',0,1,'Spells/Fighter/Warrior/Guardian/CalltoArms.lua',1746,'You cast Call to Arms V on %t.',1,0,0,1,1,1,0,0,0,30047,0,0,0,0,0,1,0,0,0,'Unset',1578890386,1384378111,0,0),
(30052,4060090253,1,1,'Call to Warfare','Increases the offensive combat skills of the guardian''s group.',184,5,314,1209716810,0,380,1,2,'Your Call to Arms VI was successful on %t!','Your Call to Arms VI fades.','',0,1,'Spells/Fighter/Warrior/Guardian/CalltoArms.lua',1746,'You cast Call to Arms VI on %t.',1,0,0,1,1,1,0,0,0,30047,0,0,0,0,0,1,0,0,0,'Unset',1402229934,1384378112,0,0),
(30053,1282535365,1,1,'Call to Arms VII','Increases the offensive combat skills of the guardian''s group.',184,5,314,1209716810,0,430,1,2,'Your Call to Arms VII was successful on %t!','Your Call to Arms VII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/CalltoArms.lua',1746,'You cast Call to Arms VII on %t.',1,0,0,1,1,1,0,0,0,30047,0,0,0,0,0,1,0,0,0,'Unset',1578890471,1384378111,0,0),
(30054,4119475245,1,1,'Call to Arms VIII','Increases the offensive combat skills of the guardian''s group.',184,5,314,1209716810,0,480,1,2,'Your Call to Arms VIII was successful on %t!','Your Call to Arms VIII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/CalltoArms.lua',1746,'You cast Call to Arms VIII on %t.',1,0,0,0,1,1,0,0,0,30047,0,0,0,0,0,1,0,0,0,'Unset',1578890500,1384378112,0,0),
(30055,2365535679,1,0,'Concussion','A melee attack that deals crushing damage and reduces target''s casting skills.',349,0,315,1124719197,1209716810,85,0,1,'Your Concussion was successful on %t!','Your Concussion fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Concussion.lua',1747,'You cast Concussion on %t.',1,0,0,1,0,0,1,0,0,30055,0,0,0,0,0,0,0,0,0,'DD',1578892197,1384378111,0,0),
(30056,4233748842,1,0,'Batter','A melee attack that deals crushing damage and reduces target''s casting skills.',349,0,315,1209716810,0,155,0,1,'Your Concussion II was successful on %t!','Your Concussion II fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Concussion.lua',1747,'You cast Concussion II on %t.',1,0,0,1,0,0,1,0,0,30055,0,0,0,0,0,1,0,0,0,'DD',1578892297,1384378111,0,0),
(30057,3417318900,1,0,'Vindication','A melee attack that deals crushing damage and reduces target''s casting skills.',349,0,315,1209716810,0,225,0,1,'Your Concussion III was successful on %t!','Your Concussion III fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Concussion.lua',1747,'You cast Concussion III on %t.',1,0,0,1,0,0,1,0,0,30055,0,0,0,0,0,1,0,0,0,'DD',1578892352,1384377825,0,0),
(30058,3306684200,1,0,'Buffet','A melee attack that deals crushing damage and reduces target''s casting skills.',349,0,315,1209716810,0,295,0,1,'Your Concussion IV was successful on %t!','Your Concussion IV fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Concussion.lua',1747,'You cast Concussion IV on %t.',1,0,0,1,0,0,1,0,0,30055,0,0,0,0,0,1,0,0,0,'DD',1578892405,1384377825,0,0),
(30059,207868627,1,0,'Head Trauma','A melee attack that deals crushing damage and reduces target''s casting skills.',349,0,315,1209716810,0,365,0,1,'Your Concussion V was successful on %t!','Your Concussion V fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Concussion.lua',1747,'You cast Concussion V on %t.',1,0,0,1,0,0,1,0,0,30055,0,0,0,0,0,1,0,0,0,'DD',1578892420,1384377825,0,0),
(30060,141296680,1,0,'Concussion VI','A melee attack that deals crushing damage and reduces target''s casting skills.',349,0,315,1209716810,0,415,0,1,'Your Concussion VI was successful on %t!','Your Concussion VI fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Concussion.lua',1747,'You cast Concussion VI on %t.',1,0,0,1,0,0,1,0,0,30055,0,0,0,0,0,1,0,0,0,'DD',1578892493,1384378112,0,0),
(30061,3589987757,1,0,'Concussion VII','A melee attack that deals crushing damage and reduces target''s casting skills.',349,0,315,1209716810,0,465,0,1,'Your Concussion VII was successful on %t!','Your Concussion VII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Concussion.lua',1747,'You cast Concussion VII on %t.',1,0,0,1,0,0,1,0,0,30055,0,0,0,0,0,1,0,0,0,'DD',1578892555,1384377825,0,0),
(30062,3156633562,1,0,'Obliterate','A powerful melee attack that rarely misses, and cannot be parried, deflected, riposted, or blocked. On a successful hit, it severely reduces target''s parry, defense, and deflection skills for a short duration.',35,65535,315,1209716810,1209716810,325,0,1,'Your Decimate was successful on %t!','Your Decimate fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Decimate.lua',1768,'You cast Decimate on %t.',1,0,0,1,0,0,1,0,0,30062,0,0,0,0,0,1,0,0,0,'DD',1578895331,1384378111,0,0),
(30063,487564725,1,0,'Decimate','A powerful melee attack that rarely misses, and cannot be parried, deflected, riposted, or blocked. On a successful hit, it severely reduces target''s parry, defense, and deflection skills for a short duration.',35,65535,315,1209716810,1209716810,390,0,1,'Your Decimate II was successful on %t!','Your Decimate II fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Decimate.lua',1768,'You cast Decimate II on %t.',1,0,0,1,0,0,1,0,0,30062,0,0,0,0,0,1,0,0,0,'DD',1578895362,1384377825,0,0),
(30064,2398572915,1,0,'Decimate III','A powerful melee attack that rarely misses, and cannot be parried, deflected, riposted, or blocked. On a successful hit, it severely reduces target''s parry, defense, and deflection skills for a short duration.',35,65535,315,1209716810,1209716810,440,0,1,'Your Decimate III was successful on %t!','Your Decimate III fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Decimate.lua',1768,'You cast Decimate III on %t.',1,0,0,1,0,0,1,0,0,30062,0,0,0,0,0,1,0,0,0,'DD',1578895376,1384378111,0,0),
(30065,1333366451,1,0,'Decimate IV','A powerful melee attack that rarely misses, and cannot be parried, deflected, riposted, or blocked. On a successful hit, it severely reduces target''s parry, defense, and deflection skills for a short duration.',35,65535,315,1209716810,1209716810,490,0,1,'Your Decimate IV was successful on %t!','Your Decimate IV fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Decimate.lua',1768,'You cast Decimate IV on %t.',1,0,0,1,0,0,1,0,0,30062,0,0,0,0,0,1,0,0,0,'DD',1578895428,1384377825,0,0),
(30066,1432018334,1,1,'Focused Offensive','Converts the guardian''s AE Auto Attack Chance directly into Flurry, increases the guardian''s auto-attack damage and allows the guardian''s single target Combat Arts to have a chance to strike twice. This ability prevents any effect that causes the caster''s auto-attack to strike multiple targets.',377,65535,317,0,0,0,1,2,'Your Focused Offensive was successful on %t!','Your Focused Offensive fades.','',0,1,'Spells/Fighter/Warrior/Guardian/FocusedOffensive.lua',605,'You cast Focused Offensive on %t.',1,0,0,0,1,0,0,0,0,30066,0,0,0,0,0,0,0,0,0,'Unset',1589424897,1384377825,0,0),
(30067,2868560380,1,1,'Offense','Increases the guardian''s offensive melee skills and strength, at the cost of decreased defense skill. This is the guardian''s primary offensive stance.',307,3,317,1209716810,1209716810,20,1,0,'Your Forward Charge was successful on %t!','Your Forward Charge fades.','',0,1,'Spells/Fighter/Warrior/Guardian/ForwardCharge.lua',1752,'You cast Forward Charge on %t.',1,0,0,1,1,1,0,0,0,30067,0,0,1,0,0,0,0,0,0,'Unset',1578888723,1384377825,0,0),
(30068,497540478,1,1,'Desperate Offense','Increases the guardian''s offensive melee skills and strength, at the cost of decreased defense skill. This is the guardian''s primary offensive stance.',307,3,317,1209716810,1209716810,80,1,0,'Your Forward Charge II was successful on %t!','Your Forward Charge II fades.','',0,1,'Spells/Fighter/Warrior/Guardian/ForwardCharge.lua',1752,'You cast Forward Charge II on %t.',1,0,0,1,1,1,0,0,0,30067,0,0,1,0,0,0,0,0,0,'Unset',1578888752,1384378111,0,0),
(30069,4062396672,1,1,'Forward Charge III- Not Classic','Increases the guardian''s offensive melee skills and strength, at the cost of decreased defense skill. This is the guardian''s primary offensive stance.',307,3,317,1209716810,1209716810,150,1,0,'Your Forward Charge III was successful on %t!','Your Forward Charge III fades.','',0,1,'Spells/Fighter/Warrior/Guardian/ForwardCharge.lua',1752,'You cast Forward Charge III on %t.',1,0,0,1,1,1,0,0,0,30067,0,0,1,0,0,0,0,0,0,'Unset',1578888782,1384378111,0,0),
(30070,3592649950,1,1,'Desperate Rush','Increases the guardian''s offensive melee skills and strength, at the cost of decreased defense skill. This is the guardian''s primary offensive stance.',307,3,317,1209716810,1209716810,220,1,0,'Your Forward Charge IV was successful on %t!','Your Forward Charge IV fades.','',0,1,'Spells/Fighter/Warrior/Guardian/ForwardCharge.lua',1752,'You cast Forward Charge IV on %t.',1,0,0,1,1,1,0,0,0,30067,0,0,1,0,0,1,0,0,0,'Unset',1578888802,1384377825,0,0),
(30071,556575231,1,1,'Desperate Charge','Increases the guardian''s offensive melee skills and strength, at the cost of decreased defense skill. This is the guardian''s primary offensive stance.',307,3,317,1209716810,1209716810,290,1,0,'Your Forward Charge V was successful on %t!','Your Forward Charge V fades.','',0,1,'Spells/Fighter/Warrior/Guardian/ForwardCharge.lua',1752,'You cast Forward Charge V on %t.',1,0,0,1,1,1,0,0,0,30067,0,0,1,0,0,1,0,0,0,'Unset',1578888837,1384378112,0,0),
(30072,3784487990,1,1,'Forward Charge','Increases the guardian''s offensive melee skills and strength, at the cost of decreased defense skill. This is the guardian''s primary offensive stance.',307,3,317,1209716810,1209716810,360,1,0,'Your Forward Charge VI was successful on %t!','Your Forward Charge VI fades.','',0,1,'Spells/Fighter/Warrior/Guardian/ForwardCharge.lua',1752,'You cast Forward Charge VI on %t.',1,0,0,1,1,1,0,0,0,30067,0,0,1,0,0,1,0,0,0,'Unset',1578888860,1384378110,0,0),
(30073,655394787,1,1,'Forward Charge VII','Increases the guardian''s offensive melee skills and strength, at the cost of decreased defense skill. This is the guardian''s primary offensive stance.',307,3,317,1209716810,1209716810,410,1,0,'Your Forward Charge VII was successful on %t!','Your Forward Charge VII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/ForwardCharge.lua',1752,'You cast Forward Charge VII on %t.',1,0,0,1,1,1,0,0,0,30067,0,0,1,0,0,1,0,0,0,'Unset',1578888886,1384377825,0,0),
(30074,2696301728,1,1,'Forward Charge VIII','Increases the guardian''s offensive melee skills and strength, at the cost of decreased defense skill. This is the guardian''s primary offensive stance.',307,3,317,1209716810,1209716810,460,1,0,'Your Forward Charge VIII was successful on %t!','Your Forward Charge VIII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/ForwardCharge.lua',1752,'You cast Forward Charge VIII on %t.',1,0,0,1,1,1,0,0,0,30067,0,0,1,0,0,1,0,0,0,'Unset',1578888915,1384378111,0,0),
(30075,1885555995,1,0,'Guardian Sphere','Allows the guardian to protect the entire group, sometimes absorbing all the damage a group member or guardian would otherwise take.',357,5,314,1209716810,1209716810,250,0,2,'Your Guardian Sphere was successful on %t!','Your Guardian Sphere fades.','',0,1,'Spells/Fighter/Warrior/Guardian/GuardianSphere.lua',1750,'You cast Guardian Sphere on %t.',1,0,0,1,1,1,0,0,0,30075,0,0,0,0,0,0,0,0,0,'Unset',1578895009,1384377825,0,0),
(30076,1168009288,1,0,'Stone Sphere','Allows the guardian to protect the entire group, sometimes absorbing all the damage a group member would otherwise take. Sometimes, all of the damage the guardian receives is prevented entirely, for up to 6 sources of damage.',357,5,314,1209716810,1209716810,350,0,2,'Your Guardian Sphere II was successful on %t!','Your Guardian Sphere II fades.','',0,1,'Spells/Fighter/Warrior/Guardian/GuardianSphere.lua',1750,'You cast Guardian Sphere II on %t.',1,0,0,1,1,1,0,0,0,30075,0,0,0,0,0,0,0,0,0,'Unset',1578895077,1384377825,0,0),
(30077,3584570474,1,0,'Sentinel Sphere','Allows the guardian to protect the entire group, sometimes absorbing all the damage a group member or guardian would otherwise take.',357,5,314,1209716810,1209716810,400,0,2,'Your Guardian Sphere III was successful on %t!','Your Guardian Sphere III fades.','',0,1,'Spells/Fighter/Warrior/Guardian/GuardianSphere.lua',1750,'You cast Guardian Sphere III on %t.',1,0,0,1,1,1,0,0,0,30075,0,0,0,0,0,0,0,0,0,'Unset',1578895101,1384378111,0,0),
(30078,3513415771,1,0,'Kick','An extra high damage single enemy attack.',292,4,315,1408356869,0,25,0,1,'Your Gut Kick was successful on %t!','Your Gut Kick fades.','',0,1,'Spells/Fighter/Warrior/Guardian/GutKick.lua',1738,'You cast Gut Kick on %t.',1,0,0,1,0,0,0,0,0,30078,0,0,0,0,0,0,0,0,0,'DD',1578888958,1384378112,0,0),
(30079,2402053486,1,0,'Knee Bash','An extra high damage single enemy attack.',292,4,315,1209716810,0,95,0,1,'Your Gut Kick II was successful on %t!','Your Gut Kick II fades.','',0,1,'Spells/Fighter/Warrior/Guardian/GutKick.lua',1738,'You cast Gut Kick II on %t.',1,0,0,1,0,0,0,0,0,30078,0,0,0,0,0,0,0,0,0,'DD',1578888997,1384378111,0,0),
(30080,2093456531,1,0,'Invade','An extra high damage single enemy attack.',292,4,315,1209716810,0,165,0,1,'Your Gut Kick III was successful on %t!','Your Gut Kick III fades.','',0,1,'Spells/Fighter/Warrior/Guardian/GutKick.lua',1738,'You cast Gut Kick III on %t.',1,0,0,1,0,0,0,0,0,30078,0,0,0,0,0,1,0,0,0,'DD',1578889033,1384378110,0,0),
(30081,1304342547,1,0,'Swamp','An extra high damage single enemy attack.',292,4,315,1209716810,0,235,0,1,'Your Gut Kick IV was successful on %t!','Your Gut Kick IV fades.','',0,1,'Spells/Fighter/Warrior/Guardian/GutKick.lua',1738,'You cast Gut Kick IV on %t.',1,0,0,1,0,0,0,0,0,30078,0,0,0,0,0,1,0,0,0,'DD',1578886115,1384378110,0,0),
(30082,3453175655,1,0,'Compression','An extra high damage single enemy attack.',292,4,315,1209716810,0,305,0,1,'Your Gut Kick V was successful on %t!','Your Gut Kick V fades.','',0,1,'Spells/Fighter/Warrior/Guardian/GutKick.lua',1738,'You cast Gut Kick V on %t.',1,0,0,1,0,0,0,0,0,30078,0,0,0,0,0,1,0,0,0,'DD',1578889099,1384378112,0,0),
(30083,395511526,1,0,'Gut Kick','An extra high damage single enemy attack.',292,4,315,1209716810,0,370,0,1,'Your Gut Kick VI was successful on %t!','Your Gut Kick VI fades.','',0,1,'Spells/Fighter/Warrior/Guardian/GutKick.lua',1738,'You cast Gut Kick VI on %t.',1,0,0,1,0,0,0,0,0,30078,0,0,0,0,0,1,0,0,0,'DD',1578889133,1384377825,0,0),
(30084,2221666848,1,0,'Gut Kick VII','An extra high damage single enemy attack.',292,4,315,1209716810,0,420,0,1,'Your Gut Kick VII was successful on %t!','Your Gut Kick VII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/GutKick.lua',1738,'You cast Gut Kick VII on %t.',1,0,0,1,0,0,0,0,0,30078,0,0,0,0,0,1,0,0,0,'DD',1578889161,1384378111,0,0),
(30085,1172647392,1,0,'Gut Kick VIII','An extra high damage single enemy attack.',292,4,315,1209716810,0,470,0,1,'Your Gut Kick VIII was successful on %t!','Your Gut Kick VIII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/GutKick.lua',1738,'You cast Gut Kick VIII on %t.',1,0,0,0,0,0,0,0,0,30078,0,0,0,0,0,1,0,0,0,'DD',1578889296,1384378112,0,0),
(30086,3184863044,1,1,'Hold the Line','Grants a chance to increase hate with any opponent that damages the guardian.\n\n',184,2,317,1124719197,0,15,1,0,'Your Hold the Line was successful on %t!','Your Hold the Line fades.','',0,1,'Spells/Fighter/Warrior/Guardian/HoldtheLine.lua',1742,'You cast Hold the Line on %t.',1,0,0,1,1,0,0,0,0,30086,0,0,0,0,0,0,0,0,0,'Unset',1578887715,1384377825,0,0),
(30087,3601892190,1,1,'Hold the Fort','Grants a chance to increase hate with any opponent that damages the guardian.\n\n',184,2,317,1209716810,723762198,75,1,0,'Your Hold the Line II was successful on %t!','Your Hold the Line II fades.','',0,1,'Spells/Fighter/Warrior/Guardian/HoldtheLine.lua',1742,'You cast Hold the Line II on %t.',1,0,0,1,1,1,0,0,0,30086,0,0,0,0,0,0,0,0,0,'Unset',1578887791,1384378111,0,0),
(30088,3271648559,1,1,'Hold the Line III- Not Classic','Grants a chance to increase hate with any opponent that damages the guardian.\n\n',184,2,317,1209716810,723762198,145,1,0,'Your Hold the Line III was successful on %t!','Your Hold the Line III fades.','',0,1,'Spells/Fighter/Warrior/Guardian/HoldtheLine.lua',1742,'You cast Hold the Line III on %t.',1,0,0,1,1,1,0,0,0,30086,0,0,0,0,0,0,0,0,0,'Unset',1583106021,1384377825,0,0),
(30089,1923380544,1,1,'Inflaming Defense','Grants a chance to increase hate with any opponent that damages the guardian.\n\n',184,2,317,1209716810,0,215,1,0,'Your Hold the Line IV was successful on %t!','Your Hold the Line IV fades.','',0,1,'Spells/Fighter/Warrior/Guardian/HoldtheLine.lua',1742,'You cast Hold the Line IV on %t.',1,0,0,1,1,1,0,0,0,30086,0,0,0,0,0,1,0,0,0,'Unset',1578887889,1384378110,0,0),
(30090,800134352,1,1,'Hold the Aggression','Grants a chance to increase hate with any opponent that damages the guardian.\n\n',184,2,317,1209716810,0,285,1,0,'Your Hold the Line V was successful on %t!','Your Hold the Line V fades.','',0,1,'Spells/Fighter/Warrior/Guardian/HoldtheLine.lua',1742,'You cast Hold the Line V on %t.',1,0,0,1,1,1,0,0,0,30086,0,0,0,0,0,1,0,0,0,'Unset',1578887921,1384378112,0,0),
(30091,2862320110,1,1,'Hold the Line VI','Grants a chance to increase hate with any opponent that damages the guardian.\n\n',184,2,317,1209716810,0,355,1,0,'Your Hold the Line VI was successful on %t!','Your Hold the Line VI fades.','',0,1,'Spells/Fighter/Warrior/Guardian/HoldtheLine.lua',1742,'You cast Hold the Line VI on %t.',1,0,0,1,1,1,0,0,0,30086,0,0,0,0,0,1,0,0,0,'Unset',1578887950,1384378111,0,0),
(30092,1715472794,1,1,'Hold the Line VII','Grants a chance to increase hate with any opponent that damages the guardian.\n\n',184,2,317,1209716810,0,405,1,0,'Your Hold the Line VII was successful on %t!','Your Hold the Line VII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/HoldtheLine.lua',1742,'You cast Hold the Line VII on %t.',1,0,0,1,1,1,0,0,0,30086,0,0,0,0,0,1,0,0,0,'Unset',1578888008,1384378111,0,0),
(30093,3358103563,1,1,'Hold the Line VIII','Grants a chance to increase hate with any opponent that damages the guardian.\n\n',184,2,317,1209716810,0,455,1,0,'Your Hold the Line VIII was successful on %t!','Your Hold the Line VIII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/HoldtheLine.lua',1742,'You cast Hold the Line VIII on %t.',1,0,0,1,1,1,0,0,0,30086,0,0,0,0,0,1,0,0,0,'Unset',1384670830,1384378111,0,0),
(30094,812648090,1,0,'Hunker Down','Increases the physical mitigation of the guardian in exchange for decreased attack speed. Also grants a chance to root any opponent the guardian strikes in melee.  In PVP combat, this will also increase the heals that you receive.',294,5,317,1124719197,0,65,0,0,'','Your Hunker Down fades.','',0,1,'Spells/Fighter/Warrior/Guardian/HunkerDown.lua',1763,'',1,0,0,1,1,0,0,0,0,30094,0,0,0,0,0,0,0,0,0,'Unset',1578891373,1384378111,0,0),
(30095,694273688,1,0,'Dig In','Increases the physical mitigation of the guardian in exchange for decreased attack speed. Also grants a chance to root any opponent the guardian strikes in melee.  In PVP combat, this will also increase the heals that you receive.',294,5,317,1209716810,0,135,0,0,'Your Hunker Down II was successful on %t!','Your Hunker Down II fades.','',0,1,'Spells/Fighter/Warrior/Guardian/HunkerDown.lua',1763,'You cast Hunker Down II on %t.',1,0,0,1,1,1,0,0,0,30094,0,0,0,0,0,0,0,0,0,'Unset',1578891304,1384378110,0,0),
(30096,2538222863,1,0,'Wall of Brawn','Increases the physical mitigation of the guardian in exchange for decreased attack speed. Also grants a chance to root any opponent the guardian strikes in melee.  In PVP combat, this will also increase the heals that you receive.',294,5,317,1209716810,0,205,0,0,'Your Hunker Down III was successful on %t!','Your Hunker Down III fades.','',0,1,'Spells/Fighter/Warrior/Guardian/HunkerDown.lua',1763,'You cast Hunker Down III on %t.',1,0,0,1,1,1,0,0,0,30094,0,0,0,0,0,1,0,0,0,'Unset',1578891393,1384377825,0,0),
(30097,2191724004,1,0,'Wall of Might','Increases the physical mitigation of the guardian in exchange for decreased attack speed. Also grants a chance to root any opponent the guardian strikes in melee.  In PVP combat, this will also increase the heals that you receive.',294,5,317,1209716810,0,275,0,0,'Your Hunker Down IV was successful on %t!','Your Hunker Down IV fades.','',0,1,'Spells/Fighter/Warrior/Guardian/HunkerDown.lua',1763,'You cast Hunker Down IV on %t.',1,0,0,1,1,1,0,0,0,30094,0,0,0,0,0,1,0,0,0,'Unset',1578891423,1384377825,0,0),
(30098,797763229,1,0,'Wall of Force','Increases the physical mitigation of the guardian in exchange for decreased attack speed. Also grants a chance to root any opponent the guardian strikes in melee.  In PVP combat, this will also increase the heals that you receive.',294,5,317,1209716810,0,345,0,0,'Your Hunker Down V was successful on %t!','Your Hunker Down V fades.','',0,1,'Spells/Fighter/Warrior/Guardian/HunkerDown.lua',1763,'You cast Hunker Down V on %t.',1,0,0,1,1,1,0,0,0,30094,0,0,0,0,0,1,0,0,0,'Unset',1578891441,1384378111,0,0),
(30099,2846558936,1,0,'Wall of Armor','Increases the physical mitigation of the guardian in exchange for decreased attack speed. Also grants a chance to root any opponent the guardian strikes in melee.  In PVP combat, this will also increase the heals that you receive.',294,5,317,1209716810,0,395,0,0,'Your Hunker Down VI was successful on %t!','Your Hunker Down VI fades.','',0,1,'Spells/Fighter/Warrior/Guardian/HunkerDown.lua',1763,'You cast Hunker Down VI on %t.',1,0,0,1,1,1,0,0,0,30094,0,0,0,0,0,1,0,0,0,'Unset',1578891479,1384378112,0,0),
(30100,2759434236,1,0,'Hunker Down VII','Increases the physical mitigation of the guardian in exchange for decreased attack speed. Also grants a chance to root any opponent the guardian strikes in melee.  In PVP combat, this will also increase the heals that you receive.',294,5,317,1209716810,0,445,0,0,'Your Hunker Down VII was successful on %t!','Your Hunker Down VII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/HunkerDown.lua',1763,'You cast Hunker Down VII on %t.',1,0,0,1,1,1,0,0,0,30094,0,0,0,0,0,1,0,0,0,'Unset',1578891507,1384378111,0,0),
(30101,964066954,1,0,'Hunker Down VIII','Increases the physical mitigation of the guardian in exchange for decreased attack speed. Also grants a chance to root any opponent the guardian strikes in melee.  In PVP combat, this will also increase the heals that you receive.',294,5,317,1209716810,0,495,0,0,'Your Hunker Down VIII was successful on %t!','Your Hunker Down VIII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/HunkerDown.lua',1763,'You cast Hunker Down VIII on %t.',1,0,0,0,1,0,0,0,0,30094,0,0,0,0,0,1,0,0,0,'Unset',1578891529,1384378112,0,0),
(30102,1368063907,1,1,'Iron Will- Ready for Testing','Increases the guardian''s stamina.',218,5,317,1209716810,1209716810,140,1,0,'Your Iron Will was successful on %t!','Your Iron Will fades.','',0,1,'Spells/Fighter/Warrior/Guardian/IronWill.lua',1256,'You cast Iron Will on %t.',1,0,0,1,1,0,0,0,0,30102,0,0,0,0,0,1,0,0,0,'Buff',1578894462,1384378111,0,0),
(30103,1085269617,1,1,'Iron Conviction','Increases the guardian''s stamina and spell resistance.  Additionally, this reduces the effect of snares on the guardian.',218,5,317,1209716810,1209716810,210,1,0,'Your Iron Will II was successful on %t!','Your Iron Will II fades.','',0,1,'Spells/Fighter/Warrior/Guardian/IronWill.lua',1751,'You cast Iron Will II on %t.',1,0,0,1,1,0,0,0,0,30102,0,0,0,0,0,1,0,0,0,'Unset',1578894512,1384378110,0,0),
(30104,739372680,1,1,'Steely Conviction','Increases the guardian''s stamina and spell resistance.  Additionally, this reduces the effect of snares on the guardian.',218,5,317,1209716810,1209716810,280,1,0,'Your Iron Will III was successful on %t!','Your Iron Will III fades.','',0,1,'Spells/Fighter/Warrior/Guardian/IronWill.lua',1751,'You cast Iron Will III on %t.',1,0,0,1,1,0,0,0,0,30102,0,0,0,0,0,1,0,0,0,'Unset',1578894531,1384378112,0,0),
(30105,3179357638,1,1,'Fortified Conviction','Increases the guardian''s stamina and spell resistance.  Additionally, this reduces the effect of snares on the guardian.',218,5,317,1209716810,1209716810,350,1,0,'Your Iron Will IV was successful on %t!','Your Iron Will IV fades.','',0,1,'Spells/Fighter/Warrior/Guardian/IronWill.lua',1751,'You cast Iron Will IV on %t.',1,0,0,1,1,0,0,0,0,30102,0,0,0,0,0,1,0,0,0,'Unset',1578894562,1384378111,0,0),
(30106,3902621214,1,1,'Fortification','Increases the guardian''s stamina and spell resistance.  Additionally, this reduces the effect of snares on the guardian.',218,5,317,1209716810,1209716810,400,1,1,'Your Iron Will V was successful on %t!','Your Iron Will V fades.','',0,1,'',1751,'You cast Iron Will V on %t.',1,0,0,1,1,0,0,0,0,30102,0,0,0,0,0,1,0,0,0,'Unset',1578894582,1384377825,0,0),
(30107,2598091496,1,1,'Iron Will VI','Increases the guardian''s stamina and spell resistance.  Additionally, this reduces the effect of snares on the guardian.',218,5,317,1209716810,1209716810,450,1,0,'Your Iron Will VI was successful on %t!','Your Iron Will VI fades.','',0,1,'Spells/Fighter/Warrior/Guardian/IronWill.lua',1751,'You cast Iron Will VI on %t.',1,0,0,1,1,0,0,0,0,30102,0,0,0,0,0,1,0,0,0,'Unset',1578894608,1384378111,0,0),
(30108,3672398332,1,1,'Iron Will VII','Increases the guardian''s stamina and spell resistance.  Additionally, this reduces the effect of snares on the guardian.',218,5,317,1209716810,0,500,1,0,'Your Iron Will VII was successful on %t!','Your Iron Will VII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/IronWill.lua',1751,'You cast Iron Will VII on %t.',1,0,0,0,1,0,0,0,0,30102,0,0,0,0,0,1,0,0,0,'Unset',1578894637,1384378112,0,0),
(30109,314166754,1,0,'Lay Waste','This improved Assault deals more damage against a single target, has increased bonuses to hit, cannot be riposted, and has a reduced casting time and power cost while sharing the same reuse timer as Assault.  Everything you need to throw a good slaughter.',343,3,315,0,0,0,0,1,'Your Lay Waste was successful on %t!','Your Lay Waste fades.','',0,1,'',3346,'You cast Lay Waste on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,'Unset',1578886396,1384377904,0,0),
(30110,2827549737,1,1,'Moderate- Not Classic','Grants the guardian a chance to shield an ally from melee attacks, by allowing the target a chance to use the guardian''s avoidance check after their own avoidance check. This also decreases the target''s hate generation.',309,5,316,1209716810,1209716810,105,1,1,'Your Moderate was successful on %t!','Your Moderate fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Moderate.lua',1743,'You cast Moderate on %t.',1,0,0,1,1,1,0,0,0,30110,0,0,0,0,0,0,0,0,0,'Unset',1578893236,1384378111,0,0),
(30111,2674432464,1,1,'Pacify','Grants the guardian a chance to shield an ally from melee attacks, by allowing the target a chance to use the guardian''s avoidance check after their own avoidance check. This also decreases the target''s hate generation.',309,5,316,1209716810,1209716810,175,1,1,'Your Moderate II was successful on %t!','Your Moderate II fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Moderate.lua',1743,'You cast Moderate II on %t.',1,0,0,1,1,1,0,0,0,30110,0,0,0,0,0,0,0,0,0,'Unset',1578893265,1384377825,0,0),
(30112,2615846370,1,1,'Assuage','Grants the guardian a chance to shield an ally from melee attacks, by allowing the target a chance to use the guardian''s avoidance check after their own avoidance check. This also decreases the target''s hate generation.',309,5,316,1209716810,1209716810,245,1,1,'Your Moderate III was successful on %t!','Your Moderate III fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Moderate.lua',1743,'You cast Moderate III on %t.',1,0,0,1,1,1,0,0,0,30110,0,0,0,0,0,0,0,0,0,'Unset',1578893284,1384378110,0,0),
(30113,1339121559,1,1,'Moderate','Grants the guardian a chance to shield an ally from melee attacks, by allowing the target a chance to use the guardian''s avoidance check after their own avoidance check. This also decreases the target''s hate generation.',309,5,316,1209716810,1209716810,315,1,1,'Your Moderate IV was successful on %t!','Your Moderate IV fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Moderate.lua',1743,'You cast Moderate IV on %t.',1,0,0,1,1,1,0,0,0,30110,0,0,0,0,0,0,0,0,0,'Unset',1578893306,1384378111,0,0),
(30114,2193493462,1,1,'Allay','Grants the guardian a chance to shield an ally from melee attacks, by allowing the target a chance to use the guardian''s avoidance check after their own avoidance check. This also increases the guardian''s parry skill.',271,5,316,1209716810,0,105,1,1,'Your Never Surrender was successful on %t!','Your Never Surrender fades.','',0,1,'Spells/Fighter/Warrior/Guardian/NeverSurrender.lua',1770,'You cast Never Surrender on %t.',1,1,0,1,1,1,0,0,0,30114,0,0,0,0,0,0,0,0,0,'Unset',1578893384,1384378111,0,0),
(30115,3834770023,1,1,'Never Surrender','Grants the guardian a chance to shield an ally from melee attacks, by allowing the target a chance to use the guardian''s avoidance check after their own avoidance check. This also increases the guardian''s parry skill.',271,5,316,1209716810,0,160,1,1,'Your Never Surrender II was successful on %t!','Your Never Surrender II fades.','',0,1,'Spells/Fighter/Warrior/Guardian/NeverSurrender.lua',1770,'You cast Never Surrender II on %t.',1,1,0,1,1,1,0,0,0,30114,0,0,0,0,0,0,0,0,0,'Unset',1578893414,1384378110,0,0),
(30116,4168865724,1,1,'Vigilance','Grants the guardian a chance to shield an ally from melee attacks, by allowing the target a chance to use the guardian''s avoidance check after their own avoidance check. This also increases the guardian''s parry skill.',271,5,316,1209716810,0,230,1,1,'Your Never Surrender III was successful on %t!','Your Never Surrender III fades.','',0,1,'Spells/Fighter/Warrior/Guardian/NeverSurrender.lua',1770,'You cast Never Surrender III on %t.',1,1,0,1,1,1,0,0,0,30114,0,0,0,0,0,0,0,0,0,'Unset',1578893427,1384378110,0,0),
(30117,2982903136,1,1,'Unyielding Vigilance','Grants the guardian a chance to shield an ally from melee attacks, by allowing the target a chance to use the guardian''s avoidance check after their own avoidance check. This also increases the guardian''s parry skill.',271,5,316,1209716810,0,300,1,1,'Your Never Surrender IV was successful on %t!','Your Never Surrender IV fades.','',0,1,'Spells/Fighter/Warrior/Guardian/NeverSurrender.lua',1770,'You cast Never Surrender IV on %t.',1,1,0,1,1,1,0,0,0,30114,0,0,0,0,0,0,0,0,0,'Unset',1578893448,1384378112,0,0),
(30118,214502511,1,0,'Swing','A melee attack that does some extra damage.',302,0,315,1209716810,0,5,0,1,'Your Overpower was successful on %t!','Your Overpower fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Overpower.lua',1741,'You cast Overpower on %t.',1,0,0,1,0,0,0,0,0,10019,0,0,0,0,0,0,0,0,0,'DD',1578885849,1384378112,0,0),
(30119,447400300,1,0,'Strike','A melee attack that does some extra damage.',302,0,315,1209716810,0,30,0,1,'Your Overpower II was successful on %t!','Your Overpower II fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Overpower.lua',1741,'You cast Overpower II on %t.',1,0,0,1,0,0,0,0,0,30118,0,0,0,0,0,0,0,0,0,'DD',1578886453,1384378111,0,0),
(30120,290167552,1,0,'Shatter- Ready for Testing','Extra attack that decreases the enemy''s slashing resistance. (Slashing debuff needs values.)',302,0,315,1209716810,0,145,0,1,'Your Shatter was successful on %t!','Your Shatter fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Shatter.lua',282,'You cast Shatter on %t.',1,0,0,1,0,0,0,0,0,10019,0,0,0,0,0,1,0,0,0,'DD',1578886510,1384378111,0,0),
(30121,1031068967,1,0,'Overwhelm','A melee attack that does some extra damage.',302,0,315,1209716810,0,215,0,1,'Your Overpower IV was successful on %t!','Your Overpower IV fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Overpower.lua',1741,'You cast Overpower IV on %t.',1,0,0,1,0,0,0,0,0,30118,0,0,0,0,0,1,0,0,0,'DD',1578886600,1384378110,0,0),
(30122,2056767425,1,0,'Overpower','A melee attack that does some extra damage.',302,0,315,1209716810,0,285,0,1,'Your Overpower V was successful on %t!','Your Overpower V fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Overpower.lua',1741,'You cast Overpower V on %t.',1,0,0,1,0,0,0,0,0,30118,0,0,0,0,0,1,0,0,0,'DD',1578886629,1384378112,0,0),
(30123,2949142456,1,0,'Overmatch','A melee attack that does some extra damage.',302,0,315,1209716810,0,355,0,1,'Your Overpower VI was successful on %t!','Your Overpower VI fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Overpower.lua',1741,'You cast Overpower VI on %t.',1,0,0,1,0,0,0,0,0,30118,0,0,0,0,0,1,0,0,0,'DD',1578886683,1384378111,0,0),
(30124,210570348,1,0,'Overpower VII','A melee attack that does some extra damage.',302,0,315,1209716810,0,405,0,1,'Your Overpower VII was successful on %t!','Your Overpower VII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Overpower.lua',1741,'You cast Overpower VII on %t.',1,0,0,1,0,0,0,0,0,30118,0,0,0,0,0,1,0,0,0,'DD',1578886733,1384377825,0,0),
(30125,2535997443,1,0,'Overpower VIII','A melee attack that does some extra damage.',302,0,315,1209716810,0,455,0,1,'Your Overpower VIII was successful on %t!','Your Overpower VIII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Overpower.lua',1741,'You cast Overpower VIII on %t.',1,0,0,1,0,0,0,0,0,30118,0,0,0,0,0,1,0,0,0,'DD',1579125492,1384377825,0,0),
(30126,3361739219,1,0,'Entrench','Increases the guardian''s hate with targets near them. The enemies will be forced to target the guardian.',308,5,313,1209716810,1209716810,160,0,0,'Your Plant was successful on %t!','Your Plant fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Plant.lua',1749,'You cast Plant on %t.',1,0,0,1,0,1,4,0,0,30126,0,0,0,0,0,1,0,0,0,'Unset',1578894680,1384378112,0,0),
(30127,3022306685,1,0,'Anchor','Increases the guardian''s hate with targets near them. The enemies will be forced to target the guardian.',308,5,313,1209716810,1209716810,230,0,0,'Your Plant II was successful on %t!','Your Plant II fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Plant.lua',1749,'You cast Plant II on %t.',1,0,0,1,0,1,4,0,0,30126,0,0,0,0,0,1,0,0,0,'Unset',1578894719,1384377825,0,0),
(30128,650425460,1,0,'Plant','Increases the guardian''s hate with targets near them. The enemies will be forced to target the guardian.',308,5,313,1209716810,1209716810,300,0,0,'Your Plant III was successful on %t!','Your Plant III fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Plant.lua',1749,'You cast Plant III on %t.',1,0,0,1,0,1,4,0,0,30126,0,0,0,0,0,1,0,0,0,'Unset',1578894735,1384377825,0,0),
(30129,1241231441,1,0,'Immobility','Increases the guardian''s hate with targets near them. The enemies will be forced to target the guardian.',308,5,313,1209716810,1209716810,365,0,0,'Your Plant IV was successful on %t!','Your Plant IV fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Plant.lua',1749,'You cast Plant IV on %t.',1,0,0,1,0,1,4,0,0,30126,0,0,0,0,0,1,0,0,0,'Unset',1578894751,1384378112,0,0),
(30130,44481755,1,0,'Plant V','Increases the guardian''s hate with targets near them. The enemies will be forced to target the guardian.',308,5,313,1209716810,1209716810,415,0,0,'Your Plant V was successful on %t!','Your Plant V fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Plant.lua',1749,'You cast Plant V on %t.',1,0,0,1,0,1,4,0,0,30126,0,0,0,0,0,1,0,0,0,'Unset',1578894776,1384378111,0,0),
(30131,3456941125,1,0,'Plant VI','Increases the guardian''s hate with targets near them. The enemies will be forced to target the guardian.',308,5,313,1209716810,0,465,0,0,'Your Plant VI was successful on %t!','Your Plant VI fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Plant.lua',1749,'You cast Plant VI on %t.',1,0,0,0,0,0,4,0,0,30126,0,0,0,0,0,1,0,0,0,'Unset',1578894797,1384378112,0,0),
(30132,1561711665,1,0,'True Strike- Ready for Testing','A very accurate melee attack that rarely misses.',377,3,315,1209716810,1209716810,130,0,1,'Your Precise Strike was successful on %t!','Your Precise Strike fades.','',0,1,'Spells/Fighter/Warrior/Guardian/TrueStrike.lua',1229,'You cast Precise Strike on %t.',1,0,0,1,0,0,0,0,0,30132,0,0,0,0,0,1,0,0,0,'DD',1578894214,1384378110,0,0),
(30133,1148003078,1,0,'Unerring Strike','A very accurate melee attack that rarely misses.',377,3,315,1209716810,1209716810,200,0,1,'Your Precise Strike II was successful on %t!','Your Precise Strike II fades.','',0,1,'Spells/Fighter/Warrior/Guardian/PreciseStrike.lua',1762,'You cast Precise Strike II on %t.',1,0,0,1,0,0,0,0,0,30132,0,0,0,0,0,1,0,0,0,'DD',1578894245,1384377825,0,0),
(30134,992936821,1,0,'Perfect Strike','A very accurate melee attack that rarely misses.',377,3,315,1209716810,1209716810,270,0,1,'Your Precise Strike III was successful on %t!','Your Precise Strike III fades.','',0,1,'Spells/Fighter/Warrior/Guardian/PreciseStrike.lua',1762,'You cast Precise Strike III on %t.',1,0,0,1,0,0,0,0,0,30132,0,0,0,0,0,1,0,0,0,'DD',1578894289,1384378112,0,0),
(30135,165220544,1,0,'Precise Strike','A very accurate melee attack that rarely misses.',377,3,315,1209716810,1209716810,340,0,1,'Your Precise Strike IV was successful on %t!','Your Precise Strike IV fades.','',0,1,'Spells/Fighter/Warrior/Guardian/PreciseStrike.lua',1762,'You cast Precise Strike IV on %t.',1,0,0,1,0,0,0,0,0,30132,0,0,0,0,0,1,0,0,0,'DD',1578894314,1384378155,0,0),
(30136,2555448243,1,0,'Exact Strike','A very accurate melee attack that rarely misses.',377,3,315,1209716810,1209716810,390,0,1,'Your Precise Strike V was successful on %t!','Your Precise Strike V fades.','',0,1,'Spells/Fighter/Warrior/Guardian/PreciseStrike.lua',1762,'You cast Precise Strike V on %t.',1,0,0,1,0,0,0,0,0,30132,0,0,0,0,0,1,0,0,0,'DD',1578894337,1384377825,0,0),
(30137,1224599638,1,0,'Precise Strike VI','A very accurate melee attack that rarely misses.',377,3,315,1209716810,1209716810,440,0,1,'Your Precise Strike VI was successful on %t!','Your Precise Strike VI fades.','',0,1,'Spells/Fighter/Warrior/Guardian/PreciseStrike.lua',1762,'You cast Precise Strike VI on %t.',1,0,0,1,0,0,0,0,0,30132,0,0,0,0,0,1,0,0,0,'DD',1578894372,1384378111,0,0),
(30138,3478856469,1,0,'Precise Strike VII','A very accurate melee attack that rarely misses.',377,3,315,1209716810,1209716810,490,0,1,'Your Precise Strike VII was successful on %t!','Your Precise Strike VII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/PreciseStrike.lua',1762,'You cast Precise Strike VII on %t.',1,0,0,0,0,0,0,0,0,30132,0,0,0,0,0,1,0,0,0,'DD',1578894392,1384378112,0,0),
(30139,634994807,1,0,'Taunt','Interrupts the target and increases their hate towards the guardian.',295,2,315,1408356869,723762198,5,0,1,'Your Provoke was successful on %t!','Your Provoke fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Provoke.lua',1739,'You cast Provoke on %t.',1,0,0,1,0,0,0,0,0,30139,0,0,0,0,0,0,0,0,0,'Taunt',1578886891,1384377863,0,0),
(30140,2650923631,1,0,'Provoke','Interrupts the target and increases their hate towards the guardian.',295,2,315,1209716810,723762198,45,0,1,'Your Provoke II was successful on %t!','Your Provoke II fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Provoke.lua',1739,'You cast Provoke II on %t.',1,0,0,1,0,0,0,0,0,30139,0,0,0,0,0,0,0,0,0,'Taunt',1578886934,1384377863,0,0),
(30141,271971606,1,0,'Anger','Interrupts the target and increases their hate towards the guardian.',295,2,315,1124719197,723762198,85,0,1,'Your Provoke III was successful on %t!','Your Provoke III fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Provoke.lua',1739,'You cast Provoke III on %t.',1,0,0,1,0,0,0,0,0,30139,0,0,0,0,0,0,0,0,0,'Taunt',1578886980,1384378155,0,0),
(30142,473370692,1,0,'Suppress','Interrupts the target and increases their hate towards the guardian.',295,2,315,1209716810,723762198,155,0,1,'Your Provoke IV was successful on %t!','Your Provoke IV fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Provoke.lua',1739,'You cast Provoke IV on %t.',1,0,0,1,0,0,0,0,0,30139,0,0,0,0,0,1,0,0,0,'Taunt',1578886289,1384378111,0,0),
(30143,3762378616,1,0,'Provoke IX','Interrupts the target and increases their hate towards the guardian.',295,2,315,1209716810,723762198,460,0,1,'Your Provoke IX was successful on %t!','Your Provoke IX fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Provoke.lua',1739,'You cast Provoke IX on %t.',1,0,0,1,0,0,0,0,0,30139,0,0,0,0,0,1,0,0,0,'Taunt',1578887178,1384378112,0,0),
(30144,1406094200,1,0,'Deafen','Interrupts the target and increases their hate towards the guardian.',295,2,315,1209716810,723762198,225,0,1,'Your Provoke V was successful on %t!','Your Provoke V fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Provoke.lua',1739,'You cast Provoke V on %t.',1,0,0,1,0,0,0,0,0,30139,0,0,0,0,0,1,0,0,0,'Taunt',1578887037,1384378110,0,0),
(30145,3802338808,1,0,'Confront','Interrupts the target and increases their hate towards the guardian.',295,2,315,1209716810,723762198,295,0,1,'Your Provoke VI was successful on %t!','Your Provoke VI fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Provoke.lua',1739,'You cast Provoke VI on %t.',1,0,0,1,0,0,0,0,0,30139,0,0,0,0,0,1,0,0,0,'Taunt',1578887067,1384378112,0,0),
(30146,2286108881,1,0,'Impede','Interrupts the target and increases their hate towards the guardian.',295,2,315,1400160844,723762198,360,0,1,'Your Provoke VII was successful on %t!','Your Provoke VII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Provoke.lua',1739,'You cast Provoke VII on %t.',1,0,0,1,0,0,0,0,0,30139,0,0,0,0,0,1,0,0,0,'Taunt',1578887088,1384378110,0,0),
(30147,260258886,1,0,'Provoke VIII','Interrupts the target and increases their hate towards the guardian.',295,2,315,1209716810,723762198,410,0,1,'Your Provoke VIII was successful on %t!','Your Provoke VIII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Provoke.lua',1739,'You cast Provoke VIII on %t.',1,0,0,1,0,0,0,0,0,30139,0,0,0,0,0,1,0,0,0,'Taunt',1578887153,1384377825,0,0),
(30148,2263220460,1,0,'Recapture','Recapture increases the hate position of all your fighter allies and reduces the hate position of non-fighter group members against your enemies.',752,2,312,1209716810,723762198,400,0,1,'Your Recapture was successful on %t!','Your Recapture fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Recapture.lua',1769,'You cast Recapture on %t.',1,0,0,1,0,0,0,0,0,30148,0,0,0,0,0,0,0,0,0,'Unset',1578895868,1384377825,0,0),
(30149,1389945216,1,0,'Reinforcement','Increases the hate position of the guardian for every enemy the guardian successfully attacks.',325,65535,317,1209716810,723762198,260,0,0,'Your Reinforcement was successful on %t!','Your Reinforcement fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Reinforcement.lua',1765,'You cast Reinforcement on %t.',1,0,0,1,1,1,0,0,0,30149,0,0,0,0,0,1,0,0,0,'Unset',1578895156,1384377825,0,0),
(30150,1803794118,1,0,'Retaliate','A high damage attack that staggers the target, preventing them from making normal combat attacks for a short duration.',351,3,315,1209716810,1209716810,200,0,1,'Your Retaliate was successful on %t!','Your Retaliate fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Retaliate.lua',1757,'You cast Retaliate on %t.',1,0,0,1,0,0,1,3,0,30150,0,0,0,0,0,1,0,0,0,'DD',1578894849,1384378110,0,0),
(30151,856071067,1,0,'Quelling Blow','A high damage attack that staggers the target, preventing them from making normal combat attacks for a short duration.',351,3,315,1209716810,1209716810,270,0,1,'Your Retaliate II was successful on %t!','Your Retaliate II fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Retaliate.lua',1757,'You cast Retaliate II on %t.',1,0,0,1,0,0,1,3,0,30150,0,0,0,0,0,1,0,0,0,'DD',1578894873,1384377825,0,0),
(30152,1284079252,1,0,'Retaliation Strike','A high damage attack that staggers the target, preventing them from making normal combat attacks for a short duration.',351,3,315,1209716810,1209716810,340,0,1,'Your Retaliate III was successful on %t!','Your Retaliate III fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Retaliate.lua',1757,'You cast Retaliate III on %t.',1,0,0,1,0,0,1,3,0,30150,0,0,0,0,0,1,0,0,0,'DD',1578894893,1384378111,0,0),
(30153,4122742873,1,0,'Retaliatory Strike','A high damage attack that staggers the target, preventing them from making normal combat attacks for a short duration.',351,3,315,1209716810,1209716810,390,0,1,'Your Retaliate IV was successful on %t!','Your Retaliate IV fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Retaliate.lua',1757,'You cast Retaliate IV on %t.',1,0,0,1,0,0,1,3,0,30150,0,0,0,0,0,1,0,0,0,'DD',1578894917,1384378112,0,0),
(30154,3561626114,1,0,'Retaliate V','A high damage attack that staggers the target, preventing them from making normal combat attacks for a short duration.',351,3,315,1209716810,1209716810,440,0,1,'Your Retaliate V was successful on %t!','Your Retaliate V fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Retaliate.lua',1757,'You cast Retaliate V on %t.',1,0,0,1,0,0,1,3,0,30150,0,0,0,0,0,1,0,0,0,'DD',1578894945,1384378111,0,0),
(30155,1341085293,1,0,'Retaliate VI','A high damage attack that staggers the target, preventing them from making normal combat attacks for a short duration.',351,3,315,1209716810,1209716810,0,0,1,'Your Retaliate VI was successful on %t!','Your Retaliate VI fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Retaliate.lua',1757,'You cast Retaliate VI on %t.',1,0,0,0,0,0,1,3,0,30150,0,0,0,0,0,1,0,0,0,'DD',1578894987,1384377825,0,0),
(30156,1996289843,1,0,'Crumble','A melee attack that decreases the target''s offensive melee skills and deals additional slashing damage over time on a successful hit.',336,0,315,1209716810,0,55,0,1,'Your Ruin was successful on %t!','Your Ruin fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Ruin.lua',1748,'You cast Ruin on %t.',1,0,0,1,0,0,1,0,0,30156,0,0,0,0,0,0,0,0,0,'DoT',1578890593,1384378111,0,0),
(30157,3357652888,1,0,'Ruin- Ready for Testing','A melee attack that decreases the target''s offensive melee skills and deals additional slashing damage over time on a successful hit.',336,0,315,1209716810,0,125,0,1,'Your Ruin was successful on %t!','Your Ruin fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Ruin.lua',1269,'You cast Ruin on %t.',1,0,0,1,0,0,1,0,0,20008,0,0,0,0,0,1,0,0,0,'DoT',1578886241,1384378110,0,0),
(30158,200694212,1,0,'Ferocious Charge','A melee attack that decreases the target''s offensive melee skills and deals additional slashing damage over time on a successful hit.',336,0,315,1209716810,0,195,0,1,'Your Ruin III was successful on %t!','Your Ruin III fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Ruin.lua',1748,'You cast Ruin III on %t.',1,0,0,1,0,0,1,0,0,30156,0,0,0,0,0,1,0,0,0,'DoT',1578890647,1384378110,0,0),
(30159,3774790389,1,0,'Relentless Charge','A melee attack that decreases the target''s offensive melee skills and deals additional slashing damage over time on a successful hit.',336,0,315,1209716810,0,265,0,1,'Your Ruin IV was successful on %t!','Your Ruin IV fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Ruin.lua',1748,'You cast Ruin IV on %t.',1,0,0,1,0,0,1,0,0,30156,0,0,0,0,0,1,0,0,0,'DoT',1578890684,1384378112,0,0),
(30160,325646801,1,0,'Merciless Charge','A melee attack that decreases the target''s offensive melee skills and deals additional slashing damage over time on a successful hit.',336,0,315,1209716810,0,335,0,1,'Your Ruin V was successful on %t!','Your Ruin V fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Ruin.lua',1748,'You cast Ruin V on %t.',1,0,0,1,0,0,1,0,0,30156,0,0,0,0,0,1,0,0,0,'DoT',1578890733,1384378111,0,0),
(30161,3609832889,1,0,'Trespass','A melee attack that decreases the target''s offensive melee skills and deals additional slashing damage over time on a successful hit.',336,0,315,1209716810,0,385,0,1,'Your Ruin VI was successful on %t!','Your Ruin VI fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Ruin.lua',1748,'You cast Ruin VI on %t.',1,0,0,1,0,0,1,0,0,30156,0,0,0,0,0,1,0,0,0,'DoT',1578890775,1384378112,0,0),
(30162,563694045,1,0,'Ruin VII','A melee attack that decreases the target''s offensive melee skills and deals additional slashing damage over time on a successful hit.',336,0,315,1209716810,0,435,0,1,'Your Ruin VII was successful on %t!','Your Ruin VII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Ruin.lua',1748,'You cast Ruin VII on %t.',1,0,0,1,0,0,1,0,0,30156,0,0,0,0,0,1,0,0,0,'DoT',1578890815,1384378111,0,0),
(30163,2280538729,1,0,'Ruin VIII','A melee attack that decreases the target''s offensive melee skills and deals additional slashing damage over time on a successful hit.',336,0,315,1209716810,0,485,0,1,'Your Ruin VIII was successful on %t!','Your Ruin VIII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Ruin.lua',1748,'You cast Ruin VIII on %t.',1,0,0,1,0,0,1,0,0,30156,0,0,0,0,0,1,0,0,0,'DoT',1578890882,1384378112,0,0),
(30164,2200205826,1,1,'Sentinel','Allows the guardian to protect an ally, granting them a small chance to absorb the next attack upon triggering. This can only trigger on physical attacks.',329,5,316,1209716810,1209716810,100,1,1,'Your Sentinel was successful on %t!','Your Sentinel fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Sentinel.lua',1758,'You cast Sentinel on %t.',1,0,0,1,1,1,0,0,0,30164,0,0,0,0,0,0,0,0,0,'Unset',1578892941,1384378111,0,0),
(30165,459388837,1,1,'Safeguard','Allows the guardian to protect an ally, granting them a small chance to absorb the next attack upon triggering. This can only trigger on physical attacks. This ability cannot be used on Fighters or Scouts.',329,5,316,1209716810,1209716810,170,1,1,'Your Sentinel II was successful on %t!','Your Sentinel II fades.','',0,1,'',1758,'You cast Sentinel II on %t.',1,0,0,1,1,1,0,0,0,30164,0,0,0,0,0,0,0,0,0,'Unset',1578893035,1384378110,0,0),
(30166,394791571,1,1,'Sentry','Allows the guardian to protect an ally, granting them a small chance to absorb the next attack upon triggering. This can only trigger on physical attacks.',329,5,316,1209716810,1209716810,240,1,1,'Your Sentinel III was successful on %t!','Your Sentinel III fades.','',0,1,'',1758,'You cast Sentinel III on %t.',1,0,0,1,1,1,0,0,0,30164,0,0,0,0,0,0,0,0,0,'Unset',1578893060,1384378110,0,0),
(30167,2646868696,1,1,'Sustain','Allows the guardian to protect an ally, granting them a small chance to absorb the next attack upon triggering. This can only trigger on physical attacks.',329,5,316,1209716810,1209716810,310,1,1,'Your Sentinel IV was successful on %t!','Your Sentinel IV fades.','',0,1,'',1758,'You cast Sentinel IV on %t.',1,0,0,1,1,1,0,0,0,30164,0,0,0,0,0,0,0,0,0,'Unset',1578893110,1384378112,0,0),
(30168,26580394,1,0,'Sentry Watch','Allows the guardian to intervene and reduce the damage that would have otherwise killed an ally in the group for a short duration. This also increases the enemy''s hate towards the guardian when this effect triggers.',329,5,314,1209716810,0,275,0,1,'Your Sentry Watch was successful on %t!','Your Sentry Watch fades.','',0,1,'Spells/Fighter/Warrior/Guardian/SentryWatch.lua',1766,'You cast Sentry Watch on %t.',1,0,0,1,1,1,0,0,0,30168,0,0,0,0,0,0,0,0,0,'Unset',1589425989,1384377825,0,0),
(30169,2118381896,1,0,'Wound','A melee attack that deals additional slashing damage over time and reduces the target''s combat attack damage on a successful hit.',327,0,315,1124719197,0,70,0,1,'Your Sever was successful on %t!','Your Sever fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Sever.lua',1741,'You cast Sever on %t.',1,0,0,1,0,1,1,0,0,30169,0,0,0,0,0,0,0,0,0,'DoT',1578891585,1384378111,0,0),
(30170,4276337049,1,0,'Maim- Ready for Testing','Deals slashing damage over time and lowers enemy attack speed.',327,0,315,1209716810,0,140,0,1,'Your Sever II was successful on %t!','Your Sever II fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Maim.lua',1227,'You cast Sever II on %t.',1,0,0,1,0,0,1,0,0,30170,0,0,0,0,0,1,0,0,0,'DoT',1578891709,1384378111,0,0),
(30171,890177888,1,0,'Cleave','A melee attack that deals additional slashing damage over time and reduces the target''s combat attack damage on a successful hit.',327,0,315,1209716810,0,210,0,1,'Your Sever III was successful on %t!','Your Sever III fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Sever.lua',1741,'You cast Sever III on %t.',1,0,0,1,0,1,1,0,0,30169,0,0,0,0,0,1,0,0,0,'DoT',1578891738,1384378110,0,0),
(30172,222256032,1,0,'Hew','A melee attack that deals additional slashing damage over time and reduces the target''s combat attack damage on a successful hit.',327,0,315,1209716810,0,280,0,1,'Your Sever IV was successful on %t!','Your Sever IV fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Sever.lua',1741,'You cast Sever IV on %t.',1,0,0,1,0,1,1,0,0,30169,0,0,0,0,0,1,0,0,0,'DoT',1578891761,1384377825,0,0),
(30173,3275245755,1,0,'Sever','A melee attack that deals additional slashing damage over time and reduces the target''s combat attack damage on a successful hit.',327,0,315,1209716810,0,350,0,1,'Your Sever V was successful on %t!','Your Sever V fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Sever.lua',1741,'You cast Sever V on %t.',1,0,0,1,0,1,1,0,0,30169,0,0,0,0,0,1,0,0,0,'DoT',1578891782,1384378111,0,0),
(30174,1444304264,1,0,'Separate','A melee attack that deals additional slashing damage over time and reduces the target''s combat attack damage on a successful hit.',327,0,315,1209716810,0,400,0,1,'Your Sever VI was successful on %t!','Your Sever VI fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Sever.lua',1741,'You cast Sever VI on %t.',1,0,0,1,0,1,1,0,0,30169,0,0,0,0,0,1,0,0,0,'DoT',1578891836,1384377825,0,0),
(30175,3602012809,1,0,'Sever VII','A melee attack that deals additional slashing damage over time and reduces the target''s combat attack damage on a successful hit.',327,0,315,1209716810,0,450,0,1,'Your Sever VII was successful on %t!','Your Sever VII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Sever.lua',1741,'You cast Sever VII on %t.',1,0,0,1,0,1,1,0,0,30169,0,0,0,0,0,1,0,0,0,'DoT',1578891904,1384378111,0,0),
(30176,3733345761,1,0,'Sever VIII','A melee attack that deals additional slashing damage over time and reduces the target''s combat attack damage on a successful hit.',327,0,315,1209716810,0,500,0,1,'Your Sever VIII was successful on %t!','Your Sever VIII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Sever.lua',1741,'You cast Sever VIII on %t.',1,0,0,0,0,0,1,0,0,30169,0,0,0,0,0,1,0,0,0,'DoT',1578891938,1384378112,0,0),
(30177,3090086019,1,0,'Shout','Increases the hate of all enemies in an encounter towards the guardian. This ability can be used while stifled or stunned.',295,2,312,1408356869,723762198,40,0,2,'Your Shout was successful on %t!','Your Shout fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Shout.lua',1740,'You cast Shout on %t.',1,0,0,1,0,1,0,0,0,30177,0,6,0,0,0,0,0,0,0,'Taunt',1578889679,1384377862,0,0),
(30178,1985250081,1,0,'Shouting Cry- Ready for Testing','Increases the hate of all enemies in an encounter towards the guardian. This ability can be used while stifled or stunned.',295,2,312,1209716810,723762198,110,0,9,'Your Shouting Cry was successful on %t!','Your Shouting Cry fades.','',0,1,'Spells/Fighter/Warrior/Guardian/ShoutingCry.lua',1302,'You cast Shouting Cry on %t.',1,0,0,1,0,1,0,0,0,10012,0,0,0,0,0,1,0,0,0,'Taunt',1578889713,1384378111,0,0),
(30179,2584372752,1,0,'Smothering Cry','Increases the hate of all enemies in an encounter towards the guardian. This ability can be used while stifled or stunned.',295,2,312,1209716810,723762198,180,0,2,'Your Shout III was successful on %t!','Your Shout III fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Shout.lua',1740,'You cast Shout III on %t.',1,0,0,1,0,1,0,0,0,30177,0,6,0,0,0,1,0,0,0,'Taunt',1578889752,1384378110,0,0),
(30180,3514595543,1,0,'Protect','Increases the hate of all enemies in an encounter towards the guardian. This ability can be used while stifled or stunned.',295,2,312,1209716810,723762198,250,0,2,'Your Shout IV was successful on %t!','Your Shout IV fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Shout.lua',1740,'You cast Shout IV on %t.',1,0,0,1,0,1,0,0,0,30177,0,6,0,0,0,1,0,0,0,'Taunt',1578889883,1384377825,0,0),
(30181,2268492196,1,0,'Protection','Increases the hate of all enemies in an encounter towards the guardian. This ability can be used while stifled or stunned.',295,2,312,1209716810,723762198,320,0,2,'Your Shout V was successful on %t!','Your Shout V fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Shout.lua',1740,'You cast Shout V on %t.',1,0,0,1,0,1,0,0,0,30177,0,6,0,0,0,1,0,0,0,'Taunt',1578889931,1384378111,0,0),
(30182,2377097070,1,0,'Guard','Increases the hate of all enemies in an encounter towards the guardian. This ability can be used while stifled or stunned.',295,2,312,1209716810,723762198,380,0,2,'Your Shout VI was successful on %t!','Your Shout VI fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Shout.lua',1740,'You cast Shout VI on %t.',1,0,0,1,0,1,0,0,0,30177,0,6,0,0,0,1,0,0,0,'Taunt',1578890041,1384377825,0,0),
(30183,1005885547,1,0,'Shout VII','Increases the hate of all enemies in an encounter towards the guardian. This ability can be used while stifled or stunned.',295,2,312,1209716810,723762198,430,0,2,'Your Shout VII was successful on %t!','Your Shout VII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Shout.lua',1740,'You cast Shout VII on %t.',1,0,0,1,0,1,0,0,0,30177,0,6,0,0,0,1,0,0,0,'Taunt',1578890129,1384378111,0,0),
(30184,4150171893,1,0,'Shout VIII','Increases the hate of all enemies in an encounter towards the guardian. This ability can be used while stifled or stunned.',295,2,312,1209716810,723762198,480,0,2,'Your Shout VIII was successful on %t!','Your Shout VIII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Shout.lua',1740,'You cast Shout VIII on %t.',1,0,0,0,0,1,0,0,0,30177,0,6,0,0,0,1,0,0,0,'Taunt',1578890161,1384377825,0,0),
(30185,801088264,1,0,'Slam- Ready for Testing','A high damage crushing melee attack.',356,0,315,1209716810,1209716810,110,0,1,'Your Slam was successful on %t!','Your Slam fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Slam.lua',1760,'You cast Slam on %t.',1,0,0,1,0,0,0,0,0,30185,0,0,0,0,0,1,0,0,0,'DD',1578893543,1384378111,0,0),
(30186,1781561643,1,0,'Crush','A high damage crushing melee attack.',356,0,315,1209716810,1209716810,180,0,1,'Your Slam II was successful on %t!','Your Slam II fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Slam.lua',1760,'You cast Slam II on %t.',1,0,0,1,0,0,0,0,0,30185,0,0,0,0,0,1,0,0,0,'DD',1578893531,1384378110,0,0),
(30187,1292311401,1,0,'Blast','A high damage crushing melee attack.',356,4,315,1209716810,1209716810,250,0,1,'Your Slam III was successful on %t!','Your Slam III fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Slam.lua',1760,'You cast Slam III on %t.',1,0,0,1,0,0,0,0,0,30185,0,0,0,0,0,1,0,0,0,'DD',1578893604,1384377825,0,0),
(30188,1890850774,1,0,'Flay','A high damage crushing melee attack.',356,0,315,1209716810,1209716810,320,0,1,'Your Slam IV was successful on %t!','Your Slam IV fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Slam.lua',1760,'You cast Slam IV on %t.',1,0,0,1,0,0,0,0,0,30185,0,0,0,0,0,1,0,0,0,'DD',1578893681,1384378111,0,0),
(30189,1379535307,1,0,'Mar','A high damage crushing melee attack.',356,0,315,1209716810,1209716810,380,0,1,'Your Slam V was successful on %t!','Your Slam V fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Slam.lua',1760,'You cast Slam V on %t.',1,0,0,1,0,0,0,0,0,30185,0,0,0,0,0,1,0,0,0,'DD',1578893713,1384378112,0,0),
(30190,274644560,1,0,'Slam VI','A high damage crushing melee attack.',356,0,315,1209716810,1209716810,430,0,1,'Your Slam VI was successful on %t!','Your Slam VI fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Slam.lua',1760,'You cast Slam VI on %t.',1,0,0,1,0,0,0,0,0,30185,0,0,0,0,0,1,0,0,0,'DD',1578893761,1384377825,0,0),
(30191,3056186852,1,0,'Slam VII','A high damage crushing melee attack.',356,4,315,1209716810,0,0,0,1,'Your Slam VII was successful on %t!','Your Slam VII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/Slam.lua',1760,'You cast Slam VII on %t.',1,0,0,0,0,0,0,0,0,30185,0,0,0,0,0,1,0,0,0,'DD',1578893879,1384377825,0,0),
(30192,987756455,1,0,'Taunting Assault','An area of effect melee attack that increases the target encounter''s hate towards the guardian.',326,2,312,1209716810,723762198,220,0,1,'Your Taunting Assault was successful on %t!','Your Taunting Assault fades.','',0,1,'Spells/Fighter/Warrior/Guardian/TauntingAssault.lua',1771,'You cast Taunting Assault on %t.',1,0,0,1,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1402418376,1384378110,0,0),
(30193,2999289713,1,0,'Goading Assault','An area of effect melee attack that increases the target encounter''s hate towards the guardian.',326,2,312,1209716810,723762198,290,0,1,'Your Taunting Assault II was successful on %t!','Your Taunting Assault II fades.','',0,1,'Spells/Fighter/Warrior/Guardian/TauntingAssault.lua',1771,'You cast Taunting Assault II on %t.',1,0,0,1,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1402423164,1384378112,0,0),
(30194,877874230,1,0,'Slanderous Assault','An area of effect melee attack that increases the target encounter''s hate towards the guardian.',326,2,312,1209716810,723762198,355,0,1,'Your Taunting Assault III was successful on %t!','Your Taunting Assault III fades.','',0,1,'Spells/Fighter/Warrior/Guardian/TauntingAssault.lua',1771,'You cast Taunting Assault III on %t.',1,0,0,1,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1402423186,1384378110,0,0),
(30195,1055688231,1,0,'Taunting Assault IV','An area of effect melee attack that increases the target encounter''s hate towards the guardian.',326,2,312,1209716810,723762198,405,0,1,'Your Taunting Assault IV was successful on %t!','Your Taunting Assault IV fades.','',0,1,'Spells/Fighter/Warrior/Guardian/TauntingAssault.lua',1771,'You cast Taunting Assault IV on %t.',1,0,0,1,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1402423289,1384377825,0,0),
(30196,3910010495,1,0,'Taunting Assault V','An area of effect melee attack that increases the target encounter''s hate towards the guardian.',326,2,312,1209716810,723762198,455,0,1,'Your Taunting Assault V was successful on %t!','Your Taunting Assault V fades.','',0,1,'Spells/Fighter/Warrior/Guardian/TauntingAssault.lua',1771,'You cast Taunting Assault V on %t.',1,0,0,1,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1402423347,1384378111,0,0),
(30197,2794458238,1,0,'Taunting Strike','A melee attack that increases the target''s hate towards the guardian if it hits.',326,3,315,1209716810,0,15,0,1,'Your Taunting Blow was successful on %t!','Your Taunting Blow fades.','',0,1,'Spells/Fighter/Warrior/Guardian/TauntingBlow.lua',1282,'You cast Taunting Blow on %t.',1,0,0,1,0,0,0,0,0,30197,0,0,0,0,0,0,0,0,0,'DD',1578888081,1384378112,0,0),
(30198,3261145968,1,0,'Taunting Blow','A melee attack that increases the target''s hate towards the guardian if it hits.',326,3,315,1124719197,0,50,0,1,'Your Taunting Blow II was successful on %t!','Your Taunting Blow II fades.','',0,1,'Spells/Fighter/Warrior/Guardian/TauntingBlow.lua',1282,'You cast Taunting Blow II on %t.',1,0,0,1,0,0,0,0,0,30197,0,0,0,0,0,0,0,0,0,'DD',1578888109,1384378111,0,0),
(30199,1635196194,1,0,'Taunting Challenge- Ready for Testing','Reduces damage slightly while increasing hate with each hit.  (Damage reduction component requires research.)',326,3,315,1209716810,0,120,0,1,'Your Taunting Challenge was successful on %t!','Your Taunting Challenge fades.','',0,1,'Spells/Fighter/Warrior/Guardian/TauntingChallenge.lua',1282,'You cast Taunting Challenge on %t.',1,0,0,1,0,0,0,0,0,20012,0,0,0,0,0,1,0,0,0,'Taunt',1578888155,1384378110,0,0),
(30200,1801279512,1,0,'Vengeful Strike','A melee attack that increases the target''s hate towards the guardian if it hits.',326,3,315,1209716810,0,190,0,1,'Your Taunting Blow IV was successful on %t!','Your Taunting Blow IV fades.','',0,1,'Spells/Fighter/Warrior/Guardian/TauntingBlow.lua',1282,'You cast Taunting Blow IV on %t.',1,0,0,1,0,0,0,0,0,30197,0,0,0,0,0,1,0,0,0,'DD',1578888198,1384378110,0,0),
(30201,712225573,1,0,'Taunting Blow IX','A melee attack that increases the target''s hate towards the guardian if it hits.',326,3,315,1209716810,0,485,0,1,'Your Taunting Blow IX was successful on %t!','Your Taunting Blow IX fades.','',0,1,'Spells/Fighter/Warrior/Guardian/TauntingBlow.lua',1282,'You cast Taunting Blow IX on %t.',1,0,0,1,0,0,0,0,0,30197,0,0,0,0,0,1,0,0,0,'DD',1578888402,1384377825,0,0),
(30202,3108627636,1,0,'Unforgiving Strike','A melee attack that increases the target''s hate towards the guardian if it hits.',326,3,315,1209716810,0,260,0,1,'Your Taunting Blow V was successful on %t!','Your Taunting Blow V fades.','',0,1,'Spells/Fighter/Warrior/Guardian/TauntingBlow.lua',1282,'You cast Taunting Blow V on %t.',1,0,0,1,0,0,0,0,0,30197,0,0,0,0,0,1,0,0,0,'DD',1578888242,1384378112,0,0),
(30203,862709593,1,0,'Vindictive Strike','A melee attack that increases the target''s hate towards the guardian if it hits.',326,3,315,1209716810,0,330,0,1,'Your Taunting Blow VI was successful on %t!','Your Taunting Blow VI fades.','',0,1,'Spells/Fighter/Warrior/Guardian/TauntingBlow.lua',1282,'You cast Taunting Blow VI on %t.',1,0,0,1,0,0,0,0,0,30197,0,0,0,0,0,1,0,0,0,'DD',1578888279,1384377825,0,0),
(30204,1535053201,1,0,'Infraction','A melee attack that increases the target''s hate towards the guardian if it hits.',326,3,315,1209716810,0,385,0,1,'Your Taunting Blow VII was successful on %t!','Your Taunting Blow VII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/TauntingBlow.lua',1282,'You cast Taunting Blow VII on %t.',1,0,0,1,0,0,0,0,0,30197,0,0,0,0,0,1,0,0,0,'DD',1578888314,1384377825,0,0),
(30205,2216370868,1,0,'Taunting Blow VIII','A melee attack that increases the target''s hate towards the guardian if it hits.',326,3,315,1209716810,0,435,0,1,'Your Taunting Blow VIII was successful on %t!','Your Taunting Blow VIII fades.','',0,1,'Spells/Fighter/Warrior/Guardian/TauntingBlow.lua',1282,'You cast Taunting Blow VIII on %t.',1,0,0,1,0,0,0,0,0,30197,0,0,0,0,0,1,0,0,0,'DD',1578888352,1384378111,0,0),
(30206,1110318339,1,0,'Tower of Stone','Allows the guardian to use a tower shield to absorb all damage they would have otherwise received if the damage was greater than 10% of their total health for up to 4 hits.',508,5,317,1209716810,0,290,0,0,'Your Tower of Stone was successful on %t!','Your Tower of Stone fades.','',0,1,'Spells/Fighter/Warrior/Guardian/TowerofStone.lua',1767,'You cast Tower of Stone on %t.',1,0,0,1,1,1,0,0,0,30206,0,0,0,0,0,0,0,0,0,'Unset',1578895252,1384377825,0,0),
(30207,3117379237,1,1,'Wrath of Vel''Arek','This is the condensed energy of an ancient, mythical weapon.',844,65535,317,1209716810,0,400,1,1,'Your Wrath of Vel''Arek was successful on %t!','Your Wrath of Vel''Arek fades.','',0,1,'',3534,'You cast Wrath of Vel''Arek on %t.',1,0,0,1,1,1,0,0,0,30207,0,0,0,0,0,0,0,0,0,'Unset',1578895984,1384377878,0,0),
(40000,1789684870,1,1,'Uproar','Increases the berserker''s offensive melee skills and grants a chance to attack all nearby enemies in an encounter with each melee attack, but at the cost of decreased defense skill. This is the berserker''s primary offensive stance.',288,5,317,1433335062,0,20,1,0,'Your Abandoned Fury was successful on %t!','Your Abandoned Fury fades.','',0,1,'Spells/Fighter/Warrior/Berserker/AbandonedFury.lua',1692,'You cast Abandoned Fury on %t.',1,0,0,1,1,1,0,0,0,40000,0,0,0,0,0,0,0,0,0,'Unset',1578897976,1384378110,0,0),
(40001,3512761551,1,1,'Fury','Increases the berserker''s offensive melee skills and grants a chance to attack all nearby enemies in an encounter with each melee attack, but at the cost of decreased defense skill. This is the berserker''s primary offensive stance.',288,5,317,1433335062,0,80,1,0,'Your Abandoned Fury II was successful on %t!','Your Abandoned Fury II fades.','',0,1,'Spells/Fighter/Warrior/Berserker/AbandonedFury.lua',1692,'You cast Abandoned Fury II on %t.',1,0,0,1,1,1,0,0,0,40000,0,0,0,0,0,0,0,0,0,'Unset',1578897992,1384378112,0,0),
(40002,2307445448,1,1,'Reckless Counter','Increases the berserker''s offensive melee skills and grants a chance to attack all nearby enemies in an encounter with each melee attack, but at the cost of decreased defense skill. This is the berserker''s primary offensive stance.',288,5,317,1433335062,0,180,1,0,'Your Abandoned Fury III was successful on %t!','Your Abandoned Fury III fades.','',0,1,'Spells/Fighter/Warrior/Berserker/AbandonedFury.lua',1692,'You cast Abandoned Fury III on %t.',1,0,0,1,1,1,0,0,0,40000,0,0,0,0,0,1,0,0,0,'Unset',1578898067,1384377825,0,0),
(40003,3150988423,1,1,'Furious Counter','Increases the berserker''s offensive melee skills and grants a chance to attack all nearby enemies in an encounter with each melee attack, but at the cost of decreased defense skill. This is the berserker''s primary offensive stance.',288,5,317,1433335062,0,250,1,0,'Your Abandoned Fury IV was successful on %t!','Your Abandoned Fury IV fades.','',0,1,'Spells/Fighter/Warrior/Berserker/AbandonedFury.lua',1692,'You cast Abandoned Fury IV on %t.',1,0,0,1,1,1,0,0,0,40000,0,0,0,0,0,1,0,0,0,'Unset',1578898054,1384378110,0,0),
(40004,2569422901,1,1,'Unrestrained Fury','Increases the berserker''s offensive melee skills and grants a chance to attack all nearby enemies in an encounter with each melee attack, but at the cost of decreased defense skill. This is the berserker''s primary offensive stance.',288,5,317,1433335062,0,320,1,0,'Your Abandoned Fury V was successful on %t!','Your Abandoned Fury V fades.','',0,1,'Spells/Fighter/Warrior/Berserker/AbandonedFury.lua',1692,'You cast Abandoned Fury V on %t.',1,0,0,1,1,1,0,0,0,40000,0,0,0,0,0,1,0,0,0,'Unset',1578898078,1384378111,0,0),
(40005,3822580819,1,1,'Fury Stance','Increases the berserker''s offensive melee skills and grants a chance to attack all nearby enemies in an encounter with each melee attack, but at the cost of decreased defense skill. This is the berserker''s primary offensive stance.',288,5,317,1433335062,0,380,1,0,'Your Abandoned Fury VI was successful on %t!','Your Abandoned Fury VI fades.','',0,1,'Spells/Fighter/Warrior/Berserker/AbandonedFury.lua',1692,'You cast Abandoned Fury VI on %t.',1,0,0,1,1,1,0,0,0,40000,0,0,0,0,0,1,0,0,0,'Unset',1578898103,1384378110,0,0),
(40006,3794486293,1,1,'Abandoned Fury VII','Increases the berserker''s offensive melee skills and grants a chance to attack all nearby enemies in an encounter with each melee attack, but at the cost of decreased defense skill. This is the berserker''s primary offensive stance.',288,5,317,1433335062,0,430,1,0,'Your Abandoned Fury VII was successful on %t!','Your Abandoned Fury VII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/AbandonedFury.lua',1692,'You cast Abandoned Fury VII on %t.',1,0,0,1,1,1,0,0,0,40000,0,0,0,0,0,1,0,0,0,'Unset',1578898121,1384378112,0,0),
(40007,1703776086,1,1,'Abandoned Fury VIII','Increases the berserker''s offensive melee skills and grants a chance to attack all nearby enemies in an encounter with each melee attack, but at the cost of decreased defense skill. This is the berserker''s primary offensive stance.',288,5,317,1433335062,0,480,1,0,'Your Abandoned Fury VIII was successful on %t!','Your Abandoned Fury VIII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/AbandonedFury.lua',1692,'You cast Abandoned Fury VIII on %t.',1,0,0,0,1,0,0,0,0,40000,0,0,0,0,0,1,0,0,0,'Unset',1578898141,1384377825,0,0),
(40008,577769950,1,0,'Adrenaline','Adrenaline numbs you to pain, causing all damage received to be cut in half. Adrenaline can only be used while berserk, and when it ends, your power is reduced by 1.5% instantly and every 3 seconds.  Adrenaline will suspend if the caster is no longer berserk.  It will reactivate if the caster becomes berserk again.',16,5,317,1433335062,0,400,0,1,'Your Adrenaline was successful on %t!','Your Adrenaline fades.','',0,0,'Spells/Fighter/Warrior/Berserker/Adrenaline.lua',1721,'You cast Adrenaline on %t.',1,0,0,1,1,1,0,0,0,40008,0,0,0,0,0,0,0,0,0,'Unset',1578951977,1384378110,0,0),
(40009,3772536570,1,1,'Bullying Defense','Grants the berserker spell resistance, and a chance to counter attack with increased hate towards any opponent that damages the berserker in melee.',291,5,317,1433335062,723762198,15,1,0,'Your Aggressive Defense was successful on %t!','Your Aggressive Defense fades.','',0,1,'Spells/Fighter/Warrior/Berserker/AggressiveDefense.lua',1697,'You cast Aggressive Defense on %t.',1,0,0,1,1,1,0,0,0,40009,0,0,0,0,0,0,0,0,0,'Unset',1578897302,1384378110,0,0),
(40010,4214564470,1,1,'Intimidating Defense','Grants the berserker spell resistance, and a chance to counter attack with increased hate towards any opponent that damages the berserker in melee.',291,2,317,1433335062,723762198,75,1,0,'Your Aggressive Defense II was successful on %t!','Your Aggressive Defense II fades.','',0,1,'Spells/Fighter/Warrior/Berserker/AggressiveDefense.lua',1697,'You cast Aggressive Defense II on %t.',1,0,0,1,1,1,0,0,0,40009,0,0,0,0,0,0,0,0,0,'Unset',1578897325,1384378112,0,0),
(40011,2491070261,1,1,'Provoking Defense','Grants the berserker spell resistance, and a chance to counter attack with increased hate towards any opponent that damages the berserker in melee.',291,2,317,1433335062,723762198,145,1,0,'Your Aggressive Defense III was successful on %t!','Your Aggressive Defense III fades.','',0,1,'Spells/Fighter/Warrior/Berserker/AggressiveDefense.lua',1697,'You cast Aggressive Defense III on %t.',1,0,0,1,1,1,0,0,0,40009,0,0,0,0,0,0,0,0,0,'Unset',1578897340,1384377825,0,0),
(40012,1294639369,1,1,'Offending Defense','Grants the berserker spell resistance, and a chance to counter attack with increased hate towards any opponent that damages the berserker in melee.',291,2,317,1433335062,723762198,215,1,0,'Your Aggressive Defense IV was successful on %t!','Your Aggressive Defense IV fades.','',0,1,'Spells/Fighter/Warrior/Berserker/AggressiveDefense.lua',1697,'You cast Aggressive Defense IV on %t.',1,0,0,1,1,1,0,0,0,40009,0,0,0,0,0,1,0,0,0,'Unset',1578897353,1384378112,0,0),
(40013,2554451609,1,1,'Taunting Defense','Grants the berserker spell resistance, and a chance to counter attack with increased hate towards any opponent that damages the berserker in melee.',291,2,317,1433335062,723762198,285,1,0,'Your Aggressive Defense V was successful on %t!','Your Aggressive Defense V fades.','',0,1,'Spells/Fighter/Warrior/Berserker/AggressiveDefense.lua',1697,'You cast Aggressive Defense V on %t.',1,0,0,1,1,1,0,0,0,40009,0,0,0,0,0,1,0,0,0,'Unset',1578897363,1384377825,0,0),
(40014,1085361740,1,1,'Aggressive Defense','Grants the berserker spell resistance, and a chance to counter attack with increased hate towards any opponent that damages the berserker in melee.',291,2,317,1433335062,723762198,355,1,0,'Your Aggressive Defense VI was successful on %t!','Your Aggressive Defense VI fades.','',0,1,'Spells/Fighter/Warrior/Berserker/AggressiveDefense.lua',1697,'You cast Aggressive Defense VI on %t.',1,0,0,1,1,1,0,0,0,40009,0,0,0,0,0,1,0,0,0,'Unset',1578897399,1384378110,0,0),
(40015,212124002,1,1,'Aggressive Defense VII','Grants the berserker spell resistance, and a chance to counter attack with increased hate towards any opponent that damages the berserker in melee.',291,2,317,1433335062,723762198,405,1,0,'Your Aggressive Defense VII was successful on %t!','Your Aggressive Defense VII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/AggressiveDefense.lua',1697,'You cast Aggressive Defense VII on %t.',1,0,0,1,1,1,0,0,0,40009,0,0,0,0,0,1,0,0,0,'Unset',1578897531,1384378110,0,0),
(40016,2474525436,1,1,'Aggressive Defense VIII','Grants the berserker spell resistance, and a chance to counter attack with increased hate towards any opponent that damages the berserker in melee.',291,2,317,1433335062,723762198,455,1,0,'Your Aggressive Defense VIII was successful on %t!','Your Aggressive Defense VIII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/AggressiveDefense.lua',1697,'You cast Aggressive Defense VIII on %t.',1,0,0,1,1,1,0,0,0,40009,0,0,0,0,0,1,0,0,0,'Unset',1578897546,1384378110,0,0),
(40017,1975094616,1,1,'Focus Anger','Builds rage within the berserker, granting a chance at becoming berserk while in combat. While berserk, attack speed and Damage Per Second is increased.',243,5,317,1433335062,0,10,1,0,'Your Berserk Rage was successful on %t!','Your Berserk Rage fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BerserkRage.lua',1713,'You cast Berserk Rage on %t.',1,0,0,1,1,1,0,0,0,40017,0,0,0,0,0,0,0,0,0,'Unset',1582944247,1384378110,0,0),
(40018,2191923327,1,1,'Focus Hate','Builds rage within the berserker, granting a chance at becoming berserk while in combat. While berserk, attack speed and Damage Per Second is increased.',243,5,317,1433335062,0,50,1,0,'Your Berserk Rage II was successful on %t!','Your Berserk Rage II fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BerserkRage.lua',1713,'You cast Berserk Rage II on %t.',1,0,0,1,1,1,0,0,0,40017,0,0,0,0,0,0,0,0,0,'Unset',1578896775,1384378110,0,0),
(40019,1802289675,1,1,'Focus Rage- Ready for Testing','Focuses damage taken into a rage that will sometimes cause a berserk state. When berserk, a berserker loses some defense, but gains increased damage and attack rate. In addition, the berserker may use certain combat arts that require the berserk state.',243,5,317,1433335062,0,100,1,0,'Your Focus Rage was successful on %t!','Your Focus Rage fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BerserkRage.lua',1338,'You cast Focus Rage on %t.',1,0,0,1,1,1,0,0,0,40019,0,0,0,0,0,1,0,0,0,'CombatBuff',1578896806,1384378112,0,0),
(40020,1185867097,1,1,'Rage','Builds rage within the berserker, granting a chance at becoming berserk while in combat. While berserk, attack speed and Damage Per Second is increased.',243,5,317,1433335062,0,170,1,0,'Your Berserk Rage IV was successful on %t!','Your Berserk Rage IV fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BerserkRage.lua',1713,'You cast Berserk Rage IV on %t.',1,0,0,1,1,1,0,0,0,40017,0,0,0,0,0,1,0,0,0,'Unset',1578896840,1384378111,0,0),
(40021,2383169532,1,1,'Berserk Rage IX','Builds rage within the berserker, granting a chance at becoming berserk while in combat. While berserk, attack speed and Damage Per Second is increased.',243,5,317,1433335062,0,470,1,0,'Your Berserk Rage IX was successful on %t!','Your Berserk Rage IX fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BerserkRage.lua',1713,'You cast Berserk Rage IX on %t.',1,0,0,1,1,1,0,0,0,40017,0,0,0,0,0,1,0,0,0,'Unset',1578896952,1384378110,0,0),
(40022,4202467025,1,1,'Berserk Mastery','Builds rage within the berserker, granting a chance at becoming berserk while in combat. While berserk, attack speed and Damage Per Second is increased.',243,5,317,1433335062,0,240,1,0,'Your Berserk Rage V was successful on %t!','Your Berserk Rage V fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BerserkRage.lua',1713,'You cast Berserk Rage V on %t.',1,0,0,1,1,1,0,0,0,40017,0,0,0,0,0,1,0,0,0,'Unset',1578896862,1384378110,0,0),
(40023,1073776726,1,1,'Engulfing Rage','Builds rage within the berserker, granting a chance at becoming berserk while in combat. While berserk, attack speed and Damage Per Second is increased.',243,5,317,1433335062,0,310,1,0,'Your Berserk Rage VI was successful on %t!','Your Berserk Rage VI fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BerserkRage.lua',1713,'You cast Berserk Rage VI on %t.',1,0,0,1,1,1,0,0,0,40017,0,0,0,0,0,1,0,0,0,'Unset',1578896894,1384378112,0,0),
(40024,1669291913,1,1,'Berserk Rage','Builds rage within the berserker, granting a chance at becoming berserk while in combat. While berserk, attack speed and Damage Per Second is increased.',243,5,317,1433335062,0,370,1,0,'Your Berserk Rage VII was successful on %t!','Your Berserk Rage VII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BerserkRage.lua',1713,'You cast Berserk Rage VII on %t.',1,0,0,1,1,1,0,0,0,40017,0,0,0,0,0,1,0,0,0,'Unset',1578896904,1384378110,0,0),
(40025,938974228,1,1,'Berserk Rage VIII','Builds rage within the berserker, granting a chance at becoming berserk while in combat. While berserk, attack speed and Damage Per Second is increased.',243,5,317,1433335062,0,420,1,0,'Your Berserk Rage VIII was successful on %t!','Your Berserk Rage VIII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BerserkRage.lua',1713,'You cast Berserk Rage VIII on %t.',1,0,0,1,1,1,0,0,0,40017,0,0,0,0,0,1,0,0,0,'Unset',1578896928,1384378110,0,0),
(40026,3486266993,1,0,'Berserker Barrage','A powerful melee attack that strikes all enemies in an arc in front of the berserker.',307,0,313,1433335062,1433335062,140,0,1,'Your Berserker Barrage was successful on %t!','Your Berserker Onslaught fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BerserkerBarrage.lua',1307,'You cast Berserker Barrage on %t.',1,0,0,1,0,1,0,0,0,40026,0,0,0,0,0,1,0,0,0,'DD',1615117240,1384378112,0,0),
(40027,2762680969,1,0,'Berserker Assault','A powerful melee attack that strikes all enemies in an arc in front of the berserker.',307,0,313,1433335062,0,210,0,1,'Your Berserker Onslaught II was successful on %t!','Your Berserker Onslaught II fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BerserkerOnslaught.lua',1736,'You cast Berserker Onslaught II on %t.',1,0,0,1,0,0,0,0,0,40026,0,0,0,0,0,1,0,0,0,'DD',1578949682,1384377825,0,0),
(40028,1821475525,1,0,'Berserker Rush','A powerful melee attack that strikes all enemies in an arc in front of the berserker.',307,3,313,1433335062,0,280,0,1,'Your Berserker Onslaught III was successful on %t!','Your Berserker Onslaught III fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BerserkerOnslaught.lua',1736,'You cast Berserker Onslaught III on %t.',1,0,0,1,0,0,0,0,0,40026,0,0,0,0,0,1,0,0,0,'DD',1578950280,1384377825,0,0),
(40029,603549184,1,0,'Berserker Onslaught','A powerful melee attack that strikes all enemies in an arc in front of the berserker.',307,0,313,1433335062,0,350,0,1,'Your Berserker Onslaught IV was successful on %t!','Your Berserker Onslaught IV fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BerserkerOnslaught.lua',1736,'You cast Berserker Onslaught IV on %t.',1,0,0,1,0,0,0,0,0,40026,0,0,0,0,0,1,0,0,0,'DD',1578950342,1384378110,0,0),
(40030,2561508080,1,0,'Intrusion','A powerful melee attack that strikes all enemies in an arc in front of the berserker.',307,0,313,1433335062,0,400,0,1,'Your Berserker Onslaught V was successful on %t!','Your Berserker Onslaught V fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BerserkerOnslaught.lua',1736,'You cast Berserker Onslaught V on %t.',1,0,0,1,0,0,0,0,0,40026,0,0,0,0,0,1,0,0,0,'DD',1578950381,1384378110,0,0),
(40031,3897234048,1,0,'Berserker Onslaught VI','A powerful melee attack that strikes all enemies in an arc in front of the berserker.',307,0,313,1433335062,0,450,0,1,'Your Berserker Onslaught VI was successful on %t!','Your Berserker Onslaught VI fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BerserkerOnslaught.lua',1736,'You cast Berserker Onslaught VI on %t.',1,0,0,1,0,0,0,0,0,40026,0,0,0,0,0,1,0,0,0,'DD',1578950418,1384378110,0,0),
(40032,3713251988,1,0,'Berserker Onslaught VII','A powerful melee attack that strikes all enemies in an arc in front of the berserker.',307,0,313,1433335062,0,500,0,1,'Your Berserker Onslaught VII was successful on %t!','Your Berserker Onslaught VII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BerserkerOnslaught.lua',1736,'You cast Berserker Onslaught VII on %t.',1,0,0,0,0,0,0,0,0,40026,0,0,0,0,0,1,0,0,0,'DD',1578950479,1384378155,0,0),
(40033,1077327588,1,0,'Blood Rage- Ready for Testing','Sends a berserker into a frenzy while draining health. Each of the berserker''s melee hits may cause the berserker to perform a crazed swing, an area of effect attack.',190,5,317,1433335062,1433335062,105,0,0,'Your Blood Rage was successful on %t!','Your Blood Rage fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BloodRageClassic.lua',1338,'You cast Blood Rage on %t.',1,0,0,1,1,0,0,0,0,40033,0,0,0,0,0,1,0,0,0,'CombatBuff',1578948790,1384378112,0,0),
(40034,100347445,1,0,'Blood Flow','When the berserker receives melee damage in combat they have a chance to be healed for a small amount.',190,5,317,0,0,0,1,0,'Your Blood Rage II was successful on %t!','Your Blood Rage II fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BloodRage.lua',1713,'You cast Blood Rage II on %t.',1,0,0,0,1,0,0,0,0,40033,0,0,0,0,0,1,0,0,0,'Unset',1384670740,1342537592,0,0),
(40035,456659820,1,0,'Blood Boil','When the berserker receives melee damage in combat they have a chance to be healed for a small amount.',190,5,317,0,0,0,1,0,'Your Blood Rage III was successful on %t!','Your Blood Rage III fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BloodRage.lua',1713,'You cast Blood Rage III on %t.',1,0,0,0,1,0,0,0,0,40033,0,0,0,0,0,0,0,0,0,'Unset',1384670740,1342537634,0,0),
(40036,905218879,1,0,'Blood Craze','When the berserker receives melee damage in combat they have a chance to be healed for a small amount.',190,5,317,0,0,0,1,0,'Your Blood Rage IV was successful on %t!','Your Blood Rage IV fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BloodRage.lua',1713,'You cast Blood Rage IV on %t.',1,0,0,0,1,0,0,0,0,40033,0,0,0,0,0,0,0,0,0,'Unset',1384670740,1342537565,0,0),
(40037,2828742057,1,0,'Blood Regeneration','When the berserker receives melee damage in combat they have a chance to be healed for a small amount.',190,5,317,0,0,0,1,0,'Your Blood Rage V was successful on %t!','Your Blood Rage V fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BloodRage.lua',1713,'You cast Blood Rage V on %t.',1,0,0,0,1,0,0,0,0,40033,0,0,0,0,0,0,0,0,0,'Unset',1384670740,1342538857,0,0),
(40038,2037377981,1,0,'Blood Rage VI','When the berserker receives melee damage in combat they have a chance to be healed for a small amount.',190,5,317,0,0,0,1,0,'Your Blood Rage VI was successful on %t!','Your Blood Rage VI fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BloodRage.lua',1713,'You cast Blood Rage VI on %t.',1,0,0,0,1,0,0,0,0,40033,0,0,0,0,0,0,0,0,0,'Unset',1384670740,1342537559,0,0),
(40039,2767794744,1,0,'Blood Rage VII','When the berserker receives melee damage in combat they have a chance to be healed for a small amount.',190,5,317,0,0,0,1,0,'Your Blood Rage VII was successful on %t!','Your Blood Rage VII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BloodRage.lua',1713,'You cast Blood Rage VII on %t.',1,0,0,0,1,0,0,0,0,40033,0,0,0,0,0,0,0,0,0,'Unset',1384670740,1342537444,0,0),
(40040,1399267038,1,0,'Whirl','A melee attack that strikes nearby enemies surrounding the berserker, and knocks them down for a short duration if this attack hits.',343,3,313,1433335062,0,35,0,1,'Your Bloodbath was successful on %t!','Your Bloodbath fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Bloodbath.lua',1690,'You cast Bloodbath on %t.',1,0,0,1,0,0,0,4,0,40040,0,0,0,0,0,0,0,0,0,'DD',1578898606,1384378110,0,0),
(40041,803933145,1,0,'Furious Onslaught- Ready for Testing','A multi-enemy attack that also grants a chance to berserk.',343,3,313,1433335062,1433335062,105,0,1,'Your Bloodbath II was successful on %t!','Your Bloodbath II fades.','',0,1,'Spells/Fighter/Warrior/Berserker/FuriousOnslaught.lua',1307,'You cast Furious Onslaught on %t.',1,0,0,1,0,1,0,0,0,40041,0,0,0,0,0,1,0,0,0,'DD',1578898654,1384378112,0,0),
(40042,659578157,1,0,'Whirlwind','A melee attack that strikes nearby enemies surrounding the berserker, and knocks them down for a short duration if this attack hits.',343,3,313,1624274802,0,175,0,1,'Your Bloodbath III was successful on %t!','Your Bloodbath III fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Bloodbath.lua',1690,'You cast Bloodbath III on %t.',1,0,0,1,0,0,0,4,0,40040,0,0,0,0,0,1,0,0,0,'DD',1578898677,1384378111,0,0),
(40043,3538562349,1,0,'Slaughter','A melee attack that strikes nearby enemies surrounding the berserker, and knocks them down for a short duration if this attack hits.',343,3,313,1433335062,0,245,0,1,'Your Bloodbath IV was successful on %t!','Your Bloodbath IV fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Bloodbath.lua',1690,'You cast Bloodbath IV on %t.',1,0,0,1,0,0,0,4,0,40040,0,0,0,0,0,1,0,0,0,'DD',1578898708,1384378110,0,0),
(40044,167560929,1,0,'Bloodbath','A melee attack that strikes nearby enemies surrounding the berserker, and knocks them down for a short duration if this attack hits.',343,3,313,1433335062,0,315,0,1,'Your Bloodbath V was successful on %t!','Your Bloodbath V fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Bloodbath.lua',1690,'You cast Bloodbath V on %t.',1,0,0,1,0,0,0,4,0,40040,0,0,0,0,0,1,0,0,0,'DD',1578898735,1384378111,0,0),
(40045,4226914833,1,0,'Bloodshower','A melee attack that strikes nearby enemies surrounding the berserker, and knocks them down for a short duration if this attack hits.',343,3,313,1433335062,0,375,0,1,'Your Bloodbath VI was successful on %t!','Your Bloodbath VI fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Bloodbath.lua',1690,'You cast Bloodbath VI on %t.',1,0,0,1,0,0,0,4,0,40040,0,0,0,0,0,1,0,0,0,'DD',1578898752,1384378110,0,0),
(40046,142139324,1,0,'Bloodbath VII','A melee attack that strikes nearby enemies surrounding the berserker, and knocks them down for a short duration if this attack hits.',343,3,313,1433335062,0,425,0,1,'Your Bloodbath VII was successful on %t!','Your Bloodbath VII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Bloodbath.lua',1690,'You cast Bloodbath VII on %t.',1,0,0,1,0,0,0,4,0,40040,0,0,0,0,0,1,0,0,0,'DD',1578898772,1384378112,0,0),
(40047,2480772051,1,0,'Bloodbath VIII','A melee attack that strikes nearby enemies surrounding the berserker, and knocks them down for a short duration if this attack hits.',343,3,313,1433335062,0,475,0,1,'Your Bloodbath VIII was successful on %t!','Your Bloodbath VIII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Bloodbath.lua',1690,'You cast Bloodbath VIII on %t.',1,0,0,1,0,0,0,4,0,40040,0,0,0,0,0,1,0,0,0,'DD',1578898798,1384378110,0,0),
(40048,3487052871,1,1,'Bloodthirst','Increases the strength and agility of the berserker''s group.',184,5,314,1433335062,0,45,1,2,'Your Bloodlust was successful on %t!','Your Bloodlust fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Bloodlust.lua',1682,'You cast Bloodlust on %t.',1,0,0,1,1,1,0,0,0,40048,0,0,0,0,0,0,0,0,0,'Unset',1578899567,1384378110,0,0),
(40049,2856995721,1,1,'Battle Chant- Ready for Testing','Increases the strength of the berserker''s group.',184,5,314,1433335062,0,115,1,2,'Your Bloodlust II was successful on %t!','Your Bloodlust II fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BattleChant.lua',1253,'You cast Battle Chant on %t.',1,0,0,1,1,1,0,0,0,40049,0,0,0,0,0,1,0,0,0,'Buff',1578899585,1384378112,0,0),
(40050,894664143,1,1,'Tides of War','Increases the strength and agility of the berserker''s group.',184,5,314,1433335062,0,185,1,2,'Your Bloodlust III was successful on %t!','Your Bloodlust III fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Bloodlust.lua',1682,'You cast Bloodlust III on %t.',1,0,0,1,1,1,0,0,0,40048,0,0,0,0,0,1,0,0,0,'Unset',1402493511,1384377825,0,0),
(40051,58102384,1,1,'Berserk Cry','Increases the strength and agility of the berserker''s group.',184,5,314,1433335062,0,255,1,2,'Your Bloodlust IV was successful on %t!','Your Bloodlust IV fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Bloodlust.lua',1682,'You cast Bloodlust IV on %t.',1,0,0,1,1,1,0,0,0,40048,0,0,0,0,0,1,0,0,0,'Unset',1578899625,1384378110,0,0),
(40052,14489104,1,1,'Roar','Increases the strength and agility of the berserker''s group.',184,5,314,1433335062,0,325,1,2,'Your Bloodlust V was successful on %t!','Your Bloodlust V fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Bloodlust.lua',1682,'You cast Bloodlust V on %t.',1,0,0,1,1,1,0,0,0,40048,0,0,0,0,0,1,0,0,0,'Unset',1578899647,1384378110,0,0),
(40053,3742988363,1,1,'Rouse','Increases the strength and agility of the berserker''s group.',184,5,314,1433335062,0,380,1,2,'Your Bloodlust VI was successful on %t!','Your Bloodlust VI fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Bloodlust.lua',1682,'You cast Bloodlust VI on %t.',1,0,0,1,1,1,0,0,0,40048,0,0,0,0,0,1,0,0,0,'Unset',1578899662,1384378110,0,0),
(40054,824840106,1,1,'Bloodlust VII','Increases the strength and agility of the berserker''s group.',184,5,314,1433335062,0,430,1,2,'Your Bloodlust VII was successful on %t!','Your Bloodlust VII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Bloodlust.lua',1682,'You cast Bloodlust VII on %t.',1,0,0,1,1,1,0,0,0,40048,0,0,0,0,0,1,0,0,0,'Unset',1578899680,1384378112,0,0),
(40055,2861515717,1,1,'Bloodlust- Ready for Testing','Increases the offense of party members and grants the berserker a chance to go berserk whenever a party member is hit.',184,5,314,1433335062,1433335062,115,1,2,'Your Bloodlust VIII was successful on %t!','Your Bloodlust VIII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BloodlustClassic.lua',1267,'You cast Bloodlust on %t.',1,0,0,0,1,1,0,0,0,40055,0,0,0,0,0,1,0,0,0,'Buff',1578899703,1384378110,0,0),
(40056,2248674805,1,0,'Tackle','An attack that knocks the opponent down and stuns them for a short duration.',297,3,315,1433335062,0,10,0,1,'Your Body Check was successful on %t!','Your Body Check fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BodyCheck.lua',1693,'You cast Body Check on %t.',1,0,0,1,0,0,1,4,0,40056,0,0,0,0,0,0,0,0,0,'DD',1578896976,1384378155,0,0),
(40057,941588455,1,0,'Press','An attack that knocks the opponent down and stuns them for a short duration.',297,3,315,1433335062,0,40,0,1,'Your Body Check II was successful on %t!','Your Body Check II fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BodyCheck.lua',1693,'You cast Body Check II on %t.',1,0,0,1,0,0,1,4,0,40056,0,0,0,0,0,0,0,0,0,'DD',1578896992,1384378112,0,0),
(40058,30390168,1,0,'Press','An attack that knocks the opponent down and stuns them for a short duration.',297,3,315,1433335062,1433335062,135,0,1,'Your Press was successful on %t!','Your Body Check III fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Press.lua',398,'You cast Press on %t.',1,0,0,1,0,0,1,4,0,40058,0,0,0,0,0,1,0,0,0,'DD',1578897011,1384378111,0,0),
(40059,412187573,1,0,'Devastating Blows','An attack that knocks the opponent down and stuns them for a short duration.',297,3,315,1433335062,0,205,0,1,'Your Body Check IV was successful on %t!','Your Body Check IV fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BodyCheck.lua',1693,'You cast Body Check IV on %t.',1,0,0,1,0,0,1,4,0,40056,0,0,0,0,0,1,0,0,0,'DD',1578897027,1384378112,0,0),
(40060,1880072979,1,0,'Body Check IX','An attack that knocks the opponent down and stuns them for a short duration.',297,3,315,1433335062,0,495,0,1,'Your Body Check IX was successful on %t!','Your Body Check IX fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BodyCheck.lua',1693,'You cast Body Check IX on %t.',1,0,0,0,0,0,1,4,0,40056,0,0,0,0,0,1,0,0,0,'DD',1578897202,1384377825,0,0),
(40061,222281683,1,0,'Agonizing Press','An attack that knocks the opponent down and stuns them for a short duration.',297,3,315,1433335062,0,275,0,1,'Your Body Check V was successful on %t!','Your Body Check V fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BodyCheck.lua',1693,'You cast Body Check V on %t.',1,0,0,1,0,0,1,4,0,40056,0,0,0,0,0,1,0,0,0,'DD',1578897069,1384378110,0,0),
(40062,2530789349,1,0,'Body Check','An attack that knocks the opponent down and stuns them for a short duration.',297,3,315,1433335062,0,345,0,1,'Your Body Check VI was successful on %t!','Your Body Check VI fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BodyCheck.lua',1693,'You cast Body Check VI on %t.',1,0,0,1,0,0,1,4,0,40056,0,0,0,0,0,1,0,0,0,'DD',1578897087,1384378110,0,0),
(40063,2330570659,1,0,'Body Check VII','An attack that knocks the opponent down and stuns them for a short duration.',297,3,315,1433335062,0,395,0,1,'Your Body Check VII was successful on %t!','Your Body Check VII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BodyCheck.lua',1693,'You cast Body Check VII on %t.',1,0,0,1,0,0,1,4,0,40056,0,0,0,0,0,1,0,0,0,'DD',1578897138,1384378110,0,0),
(40064,2912516758,1,0,'Body Check VIII','An attack that knocks the opponent down and stuns them for a short duration.',297,3,315,1433335062,0,445,0,1,'Your Body Check VIII was successful on %t!','Your Body Check VIII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/BodyCheck.lua',1693,'You cast Body Check VIII on %t.',1,0,0,1,0,0,1,4,0,40056,0,0,0,0,0,1,0,0,0,'DD',1578897164,1384378110,0,0),
(40065,2428519641,1,0,'Disorder','Increases the physical defense of the berserker''s group against slashing, piercing, and crushing attacks for a short duration. Defense versus crushing attacks is especially improved.',295,5,314,1433335062,0,60,0,2,'Your Chaos was successful on %t!','Your Chaos fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Chaos.lua',1721,'You cast Chaos on %t.',1,0,0,1,1,1,0,0,0,40065,0,0,0,0,0,0,0,0,0,'Unset',1578900019,1384377825,0,0),
(40066,1344587790,1,0,'Havoc','Increases the group armor class and grants an increase in strength.',295,5,314,1433335062,1433335062,130,0,2,'Your Havoc was successful on %t!','Your Chaos II fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Havoc.lua',260,'You cast Havoc on %t.',1,0,0,1,1,1,0,0,0,40066,0,0,0,0,0,1,0,0,0,'Buff',1578900045,1384378111,0,0),
(40067,3854050564,1,0,'Anarchy','Increases the physical defense of the berserker''s group against slashing, piercing, and crushing attacks for a short duration. Defense versus crushing attacks is especially improved.',295,5,314,1433335062,0,200,0,2,'Your Chaos III was successful on %t!','Your Chaos III fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Chaos.lua',1721,'You cast Chaos III on %t.',1,0,0,1,1,1,0,0,0,40065,0,0,0,0,0,1,0,0,0,'Unset',1578900064,1384378112,0,0),
(40068,3279424308,1,0,'Chaos','Increases the physical defense of the berserker''s group against slashing, piercing, and crushing attacks for a short duration. Defense versus crushing attacks is especially improved.',295,5,314,1433335062,0,270,0,2,'Your Chaos IV was successful on %t!','Your Chaos IV fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Chaos.lua',1721,'You cast Chaos IV on %t.',1,0,0,1,1,1,0,0,0,40065,0,0,0,0,0,1,0,0,0,'Unset',1578900082,1384378110,0,0),
(40069,3342231538,1,0,'Mayhem','Increases the physical defense of the berserker''s group against slashing, piercing, and crushing attacks for a short duration. Defense versus crushing attacks is especially improved.',295,5,314,1433335062,0,340,0,2,'Your Chaos V was successful on %t!','Your Chaos V fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Chaos.lua',1721,'You cast Chaos V on %t.',1,0,0,1,1,1,0,0,0,40065,0,0,0,0,0,1,0,0,0,'Unset',1578900097,1384378110,0,0),
(40070,143428654,1,0,'Anarchism','Increases the physical defense of the berserker''s group against slashing, piercing, and crushing attacks for a short duration. Defense versus crushing attacks is especially improved.',295,5,314,1433335062,0,395,0,2,'Your Chaos VI was successful on %t!','Your Chaos VI fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Chaos.lua',1721,'You cast Chaos VI on %t.',1,0,0,1,1,1,0,0,0,40065,0,0,0,0,0,1,0,0,0,'Unset',1578900120,1384378110,0,0),
(40071,967474981,1,0,'Chaos VII','Increases the physical defense of the berserker''s group against slashing, piercing, and crushing attacks for a short duration. Defense versus crushing attacks is especially improved.',295,5,314,1433335062,0,445,0,2,'Your Chaos VII was successful on %t!','Your Chaos VII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Chaos.lua',1721,'You cast Chaos VII on %t.',1,0,0,1,1,1,0,0,0,40065,0,0,0,0,0,1,0,0,0,'Unset',1578900137,1384378110,0,0),
(40072,4110450619,1,0,'Chaos VIII','Increases the physical defense of the berserker''s group against slashing, piercing, and crushing attacks for a short duration. Defense versus crushing attacks is especially improved.',295,5,314,1433335062,0,495,0,2,'Your Chaos VIII was successful on %t!','Your Chaos VIII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Chaos.lua',1721,'You cast Chaos VIII on %t.',1,0,0,0,1,0,0,0,0,40065,0,0,0,0,0,1,0,0,0,'Unset',1578900168,1384377825,0,0),
(40073,1009445288,1,0,'Stifled Rage','Decreases attack rate and increases defense. Can only be activated while berserk.',218,3,317,1433335062,1433335062,130,0,0,'Your Controlled Rage was successful on %t!','Your Controlled Rage fades.','',0,1,'Spells/Fighter/Warrior/Berserker/StifledRage.lua',1340,'You cast Controlled Rage on %t.',1,0,0,1,1,1,0,0,0,40073,0,0,0,0,0,1,0,0,0,'Buff',1578949390,1384378111,0,0),
(40074,1912505439,1,0,'Controlled Rage','Decreases the berserker''s attack rate and Multi-Attack Chance in exchange for increased defense for a short duration.',218,3,317,1433335062,0,200,0,0,'Your Controlled Rage II was successful on %t!','Your Controlled Rage II fades.','',0,1,'Spells/Fighter/Warrior/Berserker/ControlledRage.lua',1701,'You cast Controlled Rage II on %t.',1,0,0,1,1,1,0,0,0,40073,0,0,0,0,0,1,0,0,0,'Unset',1578949442,1384378112,0,0),
(40075,841548974,1,0,'Subdued Rage','Decreases the berserker''s attack rate and Multi-Attack Chance in exchange for increased defense for a short duration.',218,3,317,1433335062,0,270,0,0,'Your Controlled Rage III was successful on %t!','Your Controlled Rage III fades.','',0,1,'Spells/Fighter/Warrior/Berserker/ControlledRage.lua',1701,'You cast Controlled Rage III on %t.',1,0,0,1,1,1,0,0,0,40073,0,0,0,0,0,1,0,0,0,'Unset',1578949477,1384378110,0,0),
(40076,4009391617,1,0,'Suppressed Rage','Decreases the berserker''s attack rate and Multi-Attack Chance in exchange for increased defense for a short duration.',218,3,317,1433335062,0,340,0,0,'Your Controlled Rage IV was successful on %t!','Your Controlled Rage IV fades.','',0,1,'Spells/Fighter/Warrior/Berserker/ControlledRage.lua',1701,'You cast Controlled Rage IV on %t.',1,0,0,1,1,1,0,0,0,40073,0,0,0,0,0,1,0,0,0,'Unset',1578949491,1384378110,0,0),
(40077,1749060046,1,0,'Controlled Rage V','Decreases the berserker''s attack rate and Multi-Attack Chance in exchange for increased defense for a short duration.',218,3,317,1433335062,0,390,0,0,'Your Controlled Rage V was successful on %t!','Your Controlled Rage V fades.','',0,1,'Spells/Fighter/Warrior/Berserker/ControlledRage.lua',1701,'You cast Controlled Rage V on %t.',1,0,0,1,1,1,0,0,0,40073,0,0,0,0,0,1,0,0,0,'Unset',1578949509,1384378110,0,0),
(40078,2333586123,1,0,'Controlled Rage VI','Decreases the berserker''s attack rate and Multi-Attack Chance in exchange for increased defense for a short duration.',218,3,317,1433335062,0,440,0,0,'Your Controlled Rage VI was successful on %t!','Your Controlled Rage VI fades.','',0,1,'Spells/Fighter/Warrior/Berserker/ControlledRage.lua',1701,'You cast Controlled Rage VI on %t.',1,0,0,1,1,1,0,0,0,40073,0,0,0,0,0,1,0,0,0,'Unset',1578949522,1384378110,0,0),
(40079,1682244650,1,0,'Controlled Rage VII','Decreases the berserker''s attack rate and Multi-Attack Chance in exchange for increased defense for a short duration.',218,3,317,1433335062,0,490,0,0,'Your Controlled Rage VII was successful on %t!','Your Controlled Rage VII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/ControlledRage.lua',1701,'You cast Controlled Rage VII on %t.',1,0,0,0,1,0,0,0,0,40073,0,0,0,0,0,1,0,0,0,'Unset',1588639462,1384378110,0,0),
(40080,4236156790,1,0,'Vanquish','A high damage attack that stifles the target for a short duration.',351,3,315,1433335062,0,200,0,1,'Your Demolish was successful on %t!','Your Demolish fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Demolish.lua',1733,'You cast Demolish on %t.',1,0,0,1,0,0,1,2,0,40080,0,0,0,0,0,1,0,0,0,'DD',1578951127,1384377825,0,0),
(40081,3611418524,1,0,'Slay','A high damage attack that stifles the target for a short duration.',351,3,315,1433335062,0,270,0,1,'Your Demolish II was successful on %t!','Your Demolish II fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Demolish.lua',1733,'You cast Demolish II on %t.',1,0,0,1,0,0,1,2,0,40080,0,0,0,0,0,1,0,0,0,'DD',1578951151,1384378110,0,0),
(40082,155268958,1,0,'Demolish','A high damage attack that stifles the target for a short duration.',351,3,315,1433335062,0,340,0,1,'Your Demolish III was successful on %t!','Your Demolish III fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Demolish.lua',1733,'You cast Demolish III on %t.',1,0,0,1,0,0,1,2,0,40080,0,0,0,0,0,1,0,0,0,'DD',1578951170,1384378110,0,0),
(40083,2045732547,1,0,'Ram','A high damage attack that stifles the target for a short duration.',351,3,315,1433335062,0,390,0,1,'Your Demolish IV was successful on %t!','Your Demolish IV fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Demolish.lua',1733,'You cast Demolish IV on %t.',1,0,0,1,0,0,1,2,0,40080,0,0,0,0,0,1,0,0,0,'DD',1578951185,1384377825,0,0),
(40084,1530338392,1,0,'Demolish V','A high damage attack that stifles the target for a short duration.',351,3,315,1433335062,0,440,0,1,'Your Demolish V was successful on %t!','Your Demolish V fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Demolish.lua',1733,'You cast Demolish V on %t.',1,0,0,1,0,0,1,2,0,40080,0,0,0,0,0,1,0,0,0,'DD',1578951195,1384378110,0,0),
(40085,2595865496,1,0,'Demolish VI','A high damage attack that stifles the target for a short duration.',351,3,315,1433335062,0,0,0,1,'Your Demolish VI was successful on %t!','Your Demolish VI fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Demolish.lua',1733,'You cast Demolish VI on %t.',1,0,0,0,0,0,1,2,0,40080,0,0,0,0,0,0,0,0,0,'DD',1578951275,1384378110,0,0),
(40086,2935194446,1,1,'Screaming Rage','Increases the Damage Per Second of all the Berserker''s allies.',496,5,314,1433335062,0,90,1,2,'Your Destructive Rage was successful on %t!','Your Destructive Rage fades.','',0,1,'Spells/Fighter/Warrior/Berserker/DestructiveRage.lua',1712,'You cast Destructive Rage on %t.',1,1,0,1,1,1,0,0,0,40086,0,0,0,0,0,0,0,0,0,'Unset',1578900734,1384378112,0,0),
(40087,1771886746,1,1,'Screaming Fury','Increases the Damage Per Second of all the Berserker''s allies.',496,5,314,1433335062,0,165,1,2,'Your Destructive Rage II was successful on %t!','Your Destructive Rage II fades.','',0,1,'Spells/Fighter/Warrior/Berserker/DestructiveRage.lua',1712,'You cast Destructive Rage II on %t.',1,1,0,1,1,1,0,0,0,40086,0,0,0,0,0,1,0,0,0,'Unset',1578948486,1384377825,0,0),
(40088,2314105402,1,1,'Destructive Rage','Increases the Damage Per Second of all the Berserker''s allies.',496,5,314,1433335062,0,235,1,2,'Your Destructive Rage III was successful on %t!','Your Destructive Rage III fades.','',0,1,'Spells/Fighter/Warrior/Berserker/DestructiveRage.lua',1712,'You cast Destructive Rage III on %t.',1,1,0,1,1,1,0,0,0,40086,0,0,0,0,0,1,0,0,0,'Unset',1578948510,1384378110,0,0),
(40089,1331103067,1,1,'Combative Rage','Increases the Damage Per Second of all the Berserker''s allies.',496,5,314,1433335062,0,305,1,2,'Your Destructive Rage IV was successful on %t!','Your Destructive Rage IV fades.','',0,1,'Spells/Fighter/Warrior/Berserker/DestructiveRage.lua',1712,'You cast Destructive Rage IV on %t.',1,1,0,1,1,1,0,0,0,40086,0,0,0,0,0,1,0,0,0,'Unset',1578948562,1384378111,0,0),
(40090,1855792306,1,1,'Relentless Rage','Increases the Damage Per Second of all the Berserker''s allies.',496,5,314,1433335062,0,365,1,2,'Your Destructive Rage V was successful on %t!','Your Destructive Rage V fades.','',0,1,'Spells/Fighter/Warrior/Berserker/DestructiveRage.lua',1712,'You cast Destructive Rage V on %t.',1,1,0,1,1,1,0,0,0,40086,0,0,0,0,0,1,0,0,0,'Unset',1578948612,1384378110,0,0),
(40091,1653585243,1,1,'Destructive Rage VI','Increases the Damage Per Second of all the Berserker''s allies.',496,5,314,1433335062,0,415,1,2,'Your Destructive Rage VI was successful on %t!','Your Destructive Rage VI fades.','',0,1,'Spells/Fighter/Warrior/Berserker/DestructiveRage.lua',1712,'You cast Destructive Rage VI on %t.',1,1,0,1,1,1,0,0,0,40086,0,0,0,0,0,1,0,0,0,'Unset',1578948637,1384378110,0,0),
(40092,3043833091,1,1,'Destructive Rage VII','Increases the Damage Per Second of all the Berserker''s allies.',496,5,314,1433335062,0,465,1,2,'Your Destructive Rage VII was successful on %t!','Your Destructive Rage VII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/DestructiveRage.lua',1712,'You cast Destructive Rage VII on %t.',1,1,0,1,1,1,0,0,0,40086,0,0,0,0,0,1,0,0,0,'Unset',1578948666,1384378110,0,0),
(40093,2207368889,1,0,'Growl','Increases the hate of all enemies in an encounter towards the berserker. This ability can be used while stifled or stunned.',295,2,312,1433335062,723762198,40,0,2,'Your Enrage was successful on %t!','Your Enrage fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Enrage.lua',1735,'You cast Enrage on %t.',1,0,0,1,0,1,0,0,0,40093,0,6,0,0,0,0,0,0,0,'Unset',1578898879,1384377842,0,0),
(40094,2166647220,1,0,'Enrage- Ready for Testing','Increases hate towards the berserker and grants the berserker a chance to go berserk.',295,2,312,1433335062,723762198,110,0,9,'Your Enrage II was successful on %t!','Your Enrage II fades.','',0,1,'Spells/Fighter/Warrior/Berserker/EnrageClassic.lua',61,'You cast Enrage II on %t.',1,0,0,1,0,1,0,0,0,40094,0,6,0,0,0,1,0,0,0,'Taunt',1578898916,1384378112,0,0),
(40095,2102131089,1,0,'Sunder','Increases the hate of all enemies in an encounter towards the berserker. This ability can be used while stifled or stunned.',295,2,312,1433335062,723762198,180,0,2,'Your Enrage III was successful on %t!','Your Enrage III fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Enrage.lua',1735,'You cast Enrage III on %t.',1,0,0,1,0,0,0,0,0,40093,0,6,0,0,0,1,0,0,0,'Unset',1578898955,1384378112,0,0),
(40096,4273563521,1,0,'Fearsome Shout','Increases the hate of all enemies in an encounter towards the berserker. This ability can be used while stifled or stunned.',295,2,312,1433335062,723762198,250,0,2,'Your Enrage IV was successful on %t!','Your Enrage IV fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Enrage.lua',1735,'You cast Enrage IV on %t.',1,0,0,1,0,0,0,0,0,40093,0,6,0,0,0,1,0,0,0,'Unset',1578899326,1384377825,0,0),
(40097,295530756,1,0,'Berate','Increases the hate of all enemies in an encounter towards the berserker. This ability can be used while stifled or stunned.',295,2,312,1433335062,723762198,320,0,2,'Your Enrage V was successful on %t!','Your Enrage V fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Enrage.lua',1735,'You cast Enrage V on %t.',1,0,0,1,0,0,0,0,0,40093,0,6,0,0,0,1,0,0,0,'Unset',1578899376,1384377825,0,0),
(40098,2790419223,1,0,'Bellow','Increases the hate of all enemies in an encounter towards the berserker. This ability can be used while stifled or stunned.',295,2,312,1433335062,723762198,380,0,2,'Your Enrage VI was successful on %t!','Your Enrage VI fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Enrage.lua',1735,'You cast Enrage VI on %t.',1,0,0,1,0,0,0,0,0,40093,0,6,0,0,0,1,0,0,0,'Unset',1578899442,1384378110,0,0),
(40099,2420174288,1,0,'Enrage VII','Increases the hate of all enemies in an encounter towards the berserker. This ability can be used while stifled or stunned.',295,2,312,1433335062,723762198,430,0,2,'Your Enrage VII was successful on %t!','Your Enrage VII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Enrage.lua',1735,'You cast Enrage VII on %t.',1,0,0,1,0,0,0,0,0,40093,0,6,0,0,0,1,0,0,0,'Unset',1578899489,1384378110,0,0),
(40100,2268854675,1,0,'Enrage VIII','Increases the hate of all enemies in an encounter towards the berserker. This ability can be used while stifled or stunned.',295,2,312,1433335062,723762198,480,0,2,'Your Enrage VIII was successful on %t!','Your Enrage VIII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Enrage.lua',1735,'You cast Enrage VIII on %t.',1,0,0,0,0,0,0,0,0,40093,0,6,0,0,0,1,0,0,0,'Unset',1578899533,1384377825,0,0),
(40101,975833564,1,0,'Frenzy','Attacks the target up to 3 times. If one of these attacks misses, the successive ones will miss automatically.',383,0,315,1433335062,0,220,0,1,'Your Frenzy was successful on %t!','Your Frenzy fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Frenzy.lua',1696,'You cast Frenzy on %t.',1,0,0,1,0,0,0,0,0,40101,0,0,0,0,0,1,0,0,0,'DD',1578951329,1384378110,0,0),
(40102,1729734970,1,0,'Frenzied Blows','Attacks the target up to 3 times. If one of these attacks misses, the successive ones will miss automatically.',383,0,315,1433335062,0,290,0,1,'Your Frenzy II was successful on %t!','Your Frenzy II fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Frenzy.lua',1696,'You cast Frenzy II on %t.',1,0,0,1,0,0,0,0,0,40101,0,0,0,0,0,1,0,0,0,'DD',1578951353,1384377825,0,0),
(40103,4061981160,1,0,'Frenzied Hits','Attacks the target up to 3 times. If one of these attacks misses, the successive ones will miss automatically.',383,0,315,1433335062,0,355,0,1,'Your Frenzy III was successful on %t!','Your Frenzy III fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Frenzy.lua',1696,'You cast Frenzy III on %t.',1,0,0,1,0,0,0,0,0,40101,0,0,0,0,0,1,0,0,0,'DD',1570841933,1384378110,0,0),
(40104,2499736748,1,0,'Frenzy IV','Attacks the target up to 3 times. If one of these attacks misses, the successive ones will miss automatically.',383,0,315,1433335062,0,405,0,1,'Your Frenzy IV was successful on %t!','Your Frenzy IV fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Frenzy.lua',1696,'You cast Frenzy IV on %t.',1,0,0,1,0,0,0,0,0,40101,0,0,0,0,0,1,0,0,0,'DD',1578951442,1384378110,0,0),
(40105,2206589167,1,0,'Frenzy V','Attacks the target up to 3 times. If one of these attacks misses, the successive ones will miss automatically.',383,0,315,1433335062,0,455,0,1,'Your Frenzy V was successful on %t!','Your Frenzy V fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Frenzy.lua',1696,'You cast Frenzy V on %t.',1,0,0,1,0,0,0,0,0,40101,0,0,0,0,0,1,0,0,0,'DD',1578951467,1384378110,0,0),
(40106,1534257948,1,0,'Surround','A melee attack that interrupts the target and decreases their focus skill on a successful hit.',349,0,315,1433335062,0,85,0,1,'Your Head Crush was successful on %t!','Your Head Crush fades.','',0,1,'Spells/Fighter/Warrior/Berserker/HeadCrush.lua',1694,'You cast Head Crush on %t.',1,0,0,1,0,1,0,0,0,40106,0,0,0,0,0,0,0,0,0,'DD',1578900592,1384378112,0,0),
(40107,158097704,1,0,'Furious Rush','A melee attack that interrupts the target and decreases their focus skill on a successful hit.',349,0,315,1433335062,0,155,0,1,'Your Head Crush II was successful on %t!','Your Head Crush II fades.','',0,1,'Spells/Fighter/Warrior/Berserker/HeadCrush.lua',1694,'You cast Head Crush II on %t.',1,0,0,1,0,1,0,0,0,40106,0,0,0,0,0,1,0,0,0,'DD',1578900610,1384378111,0,0),
(40108,266038244,1,0,'No Quarter','A melee attack that interrupts the target and decreases their focus skill on a successful hit.',349,0,315,1433335062,0,225,0,1,'Your Head Crush III was successful on %t!','Your Head Crush III fades.','',0,1,'Spells/Fighter/Warrior/Berserker/HeadCrush.lua',1694,'You cast Head Crush III on %t.',1,0,0,1,0,1,0,0,0,40106,0,0,0,0,0,1,0,0,0,'DD',1578900627,1384377825,0,0),
(40109,175861007,1,0,'Ruthless Strike','A melee attack that interrupts the target and decreases their focus skill on a successful hit.',349,0,315,1433335062,0,295,0,1,'Your Head Crush IV was successful on %t!','Your Head Crush IV fades.','',0,1,'Spells/Fighter/Warrior/Berserker/HeadCrush.lua',1694,'You cast Head Crush IV on %t.',1,0,0,1,0,1,0,0,0,40106,0,0,0,0,0,1,0,0,0,'DD',1578900641,1384378111,0,0),
(40110,1551038879,1,0,'Head Crush','A melee attack that interrupts the target and decreases their focus skill on a successful hit.',349,0,315,1433335062,0,365,0,1,'Your Head Crush V was successful on %t!','Your Head Crush V fades.','',0,1,'Spells/Fighter/Warrior/Berserker/HeadCrush.lua',1694,'You cast Head Crush V on %t.',1,0,0,1,0,1,0,0,0,40106,0,0,0,0,0,1,0,0,0,'DD',1578900661,1384378110,0,0),
(40111,2063740074,1,0,'Head Crush VI','A melee attack that interrupts the target and decreases their focus skill on a successful hit.',349,0,315,1433335062,0,415,0,1,'Your Head Crush VI was successful on %t!','Your Head Crush VI fades.','',0,1,'Spells/Fighter/Warrior/Berserker/HeadCrush.lua',1694,'You cast Head Crush VI on %t.',1,0,0,1,0,1,0,0,0,40106,0,0,0,0,0,1,0,0,0,'DD',1578900673,1384378110,0,0),
(40112,2794779951,1,0,'Head Crush VII','A melee attack that interrupts the target and decreases their focus skill on a successful hit.',349,0,315,1433335062,0,465,0,1,'Your Head Crush VII was successful on %t!','Your Head Crush VII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/HeadCrush.lua',1694,'You cast Head Crush VII on %t.',1,0,0,0,0,0,0,0,0,40106,0,0,0,0,0,1,0,0,0,'DD',1578900690,1384378110,0,0),
(40113,1915711384,1,0,'Insolent Gibe','A melee attack which increases the hate of all enemies near the berserker.  Additionally, when taking damage there is a chance to increase the hate of all enemies in an encounter.',295,65535,313,1433335062,723762198,260,0,1,'Your Insolence was successful on %t!','Your Insolence fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Insolence.lua',1725,'You cast Insolence on %t.',1,0,0,1,1,1,0,0,0,40113,0,0,0,0,0,0,0,0,0,'DD',1578951716,1384378110,0,0),
(40114,3994089018,1,0,'Insolence','A melee attack which increases the hate of all enemies near the berserker.  Additionally, when taking damage there is a chance to increase the hate of all enemies in an encounter.',295,65535,313,1433335062,723762198,360,0,1,'Your Insolence II was successful on %t!','Your Insolence II fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Insolence.lua',1725,'You cast Insolence II on %t.',1,0,0,1,1,1,0,0,0,40113,0,0,0,0,0,0,0,0,0,'DD',1578951742,1384378110,0,0),
(40115,2625923403,1,0,'Insolence III','A melee attack which increases the hate of all enemies near the berserker.  Additionally, when taking damage there is a chance to increase the hate of all enemies in an encounter.',295,65535,313,1433335062,723762198,410,0,1,'Your Insolence III was successful on %t!','Your Insolence III fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Insolence.lua',1725,'You cast Insolence III on %t.',1,0,0,1,1,1,0,0,0,40113,0,0,0,0,0,0,0,0,0,'DD',1578951761,1384378110,0,0),
(40116,119612708,1,0,'Insolence IV','A melee attack which increases the hate of all enemies near the berserker.  Additionally, when taking damage there is a chance to increase the hate of all enemies in an encounter.',295,65535,313,1433335062,723762198,460,0,1,'Your Insolence IV was successful on %t!','Your Insolence IV fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Insolence.lua',1725,'You cast Insolence IV on %t.',1,0,0,1,1,1,0,0,0,40113,0,0,0,0,0,0,0,0,0,'DD',1578951773,1384378110,0,0),
(40117,2326890007,1,0,'Juggernaut','The berserker''s attacks gain increased critical damage, and all of the berserker''s combat arts gain a damage bonus that matches their critical bonus percentage granted by Juggernaut. While in effect, the berserker''s defenses and resistances are greatly reduced, and it costs health to maintain. This ability can only be activated while berserk but will not suspend if berserk ends before Juggernaut expires.',506,65535,317,1433335062,0,325,0,1,'Your Juggernaut was successful on %t!','Your Juggernaut fades.','',0,0,'Spells/Fighter/Warrior/Berserker/Juggernaut.lua',1726,'You cast Juggernaut on %t.',1,0,0,1,1,1,0,0,0,40117,0,0,0,0,0,1,0,0,0,'Unset',1578951897,1384378112,0,0),
(40118,1171837214,1,0,'Knee Break','A kick attack that deals crushing damage to the target.',292,4,315,1124719197,0,25,0,1,'Your Knee Break was successful on %t!','Your Knee Break fades.','',0,1,'Spells/Fighter/Warrior/Berserker/KneeBreak.lua',1685,'You cast Knee Break on %t.',1,0,0,1,0,0,0,0,0,40118,0,0,0,0,0,0,0,0,0,'DD',1578898327,1384378110,0,0),
(40119,2638497050,1,0,'Knee Break','A kick attack that deals crushing damage to the target.',292,4,315,1124719197,0,95,0,1,'Your Knee Break II was successful on %t!','Your Knee Break II fades.','',0,1,'Spells/Fighter/Warrior/Berserker/KneeBreak.lua',1685,'You cast Knee Break II on %t.',1,0,0,1,0,0,0,0,0,40118,0,0,0,0,0,0,0,0,0,'DD',1578898351,1384378112,0,0),
(40120,457072042,1,0,'Stomp','A kick attack that deals crushing damage to the target.',292,4,315,1433335062,0,165,0,1,'Your Knee Break III was successful on %t!','Your Knee Break III fades.','',0,1,'Spells/Fighter/Warrior/Berserker/KneeBreak.lua',1685,'You cast Knee Break III on %t.',1,0,0,1,0,0,0,0,0,40118,0,0,0,0,0,1,0,0,0,'DD',1578898369,1384378111,0,0),
(40121,1804269319,1,0,'Wallop','A kick attack that deals crushing damage to the target.',292,4,315,1433335062,0,235,0,1,'Your Knee Break IV was successful on %t!','Your Knee Break IV fades.','',0,1,'Spells/Fighter/Warrior/Berserker/KneeBreak.lua',1685,'You cast Knee Break IV on %t.',1,0,0,1,0,0,0,0,0,40118,0,0,0,0,0,1,0,0,0,'DD',1578898394,1384378110,0,0),
(40122,661047727,1,0,'Stampede','A kick attack that deals crushing damage to the target.',292,4,315,1433335062,0,305,0,1,'Your Knee Break V was successful on %t!','Your Knee Break V fades.','',0,1,'Spells/Fighter/Warrior/Berserker/KneeBreak.lua',1685,'You cast Knee Break V on %t.',1,0,0,1,0,0,0,0,0,40118,0,0,0,0,0,1,0,0,0,'DD',1578898460,1384378111,0,0),
(40123,1961262377,1,0,'Trample','A kick attack that deals crushing damage to the target.',292,4,315,1433335062,0,370,0,1,'Your Knee Break VI was successful on %t!','Your Knee Break VI fades.','',0,1,'Spells/Fighter/Warrior/Berserker/KneeBreak.lua',1685,'You cast Knee Break VI on %t.',1,0,0,1,0,0,0,0,0,40118,0,0,0,0,0,1,0,0,0,'DD',1578898471,1384378110,0,0),
(40124,2222870044,1,0,'Knee Break VII','A kick attack that deals crushing damage to the target.',292,4,315,1433335062,0,420,0,1,'Your Knee Break VII was successful on %t!','Your Knee Break VII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/KneeBreak.lua',1685,'You cast Knee Break VII on %t.',1,0,0,1,0,0,0,0,0,40118,0,0,0,0,0,1,0,0,0,'DD',1578898523,1384378110,0,0),
(40125,1508415385,1,0,'Knee Break VIII','A kick attack that deals crushing damage to the target.',292,4,315,1433335062,0,470,0,1,'Your Knee Break VIII was successful on %t!','Your Knee Break VIII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/KneeBreak.lua',1685,'You cast Knee Break VIII on %t.',1,0,0,1,0,0,0,0,0,40118,0,0,0,0,0,1,0,0,0,'DD',1578898545,1384377825,0,0),
(40126,2777877104,1,0,'Mangle','A melee attack that decreases target''s offensive melee skills on a successful hit.',336,0,315,1124719197,0,55,0,1,'Your Maul was successful on %t!','Your Maul fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Maul.lua',1686,'You cast Maul on %t.',1,0,0,1,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1578899750,1384378112,0,0),
(40127,584561398,1,0,'Maul- Ready for Testing','Extra attack that lowers the offense of the enemy and deals an interrupt.',336,0,315,1433335062,1433335062,125,0,1,'Your Maul II was successful on %t!','Your Maul II fades.','',0,1,'Spells/Fighter/Warrior/Berserker/MaulClassic.lua',1269,'You cast Maul on %t.',1,0,0,1,0,1,1,0,0,40127,0,0,0,0,0,1,0,0,0,'DD',1578899789,1384378111,0,0),
(40128,295405519,1,0,'Relentless Battering','A melee attack that decreases target''s offensive melee skills on a successful hit.',336,0,315,1433335062,0,195,0,1,'Your Maul III was successful on %t!','Your Maul III fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Maul.lua',1686,'You cast Maul III on %t.',1,0,0,1,0,1,1,0,0,40048,0,0,0,0,0,1,0,0,0,'DD',1578899815,1384377825,0,0),
(40129,2348545735,1,0,'Unyielding Battering','A melee attack that decreases target''s offensive melee skills on a successful hit.',336,0,315,1433335062,0,265,0,1,'Your Maul IV was successful on %t!','Your Maul IV fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Maul.lua',1686,'You cast Maul IV on %t.',1,0,0,1,0,1,1,0,0,40048,0,0,0,0,0,1,0,0,0,'DD',1578899856,1384377825,0,0),
(40130,2226948804,1,0,'Persistent Battering','A melee attack that decreases target''s offensive melee skills on a successful hit.',336,0,315,1433335062,0,335,0,1,'Your Maul V was successful on %t!','Your Maul V fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Maul.lua',1686,'You cast Maul V on %t.',1,0,0,1,0,1,1,0,0,40048,0,0,0,0,0,1,0,0,0,'DD',1578899879,1384378110,0,0),
(40131,1904804256,1,0,'Invasion','A melee attack that decreases target''s offensive melee skills on a successful hit.',336,0,315,1433335062,0,385,0,1,'Your Maul VI was successful on %t!','Your Maul VI fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Maul.lua',1686,'You cast Maul VI on %t.',1,0,0,1,0,1,1,0,0,40048,0,0,0,0,0,1,0,0,0,'DD',1578899910,1384378110,0,0),
(40132,3413068979,1,0,'Maul VII','A melee attack that decreases target''s offensive melee skills on a successful hit.',336,0,315,1433335062,0,435,0,1,'Your Maul VII was successful on %t!','Your Maul VII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Maul.lua',1686,'You cast Maul VII on %t.',1,0,0,1,0,1,1,0,0,40048,0,0,0,0,0,1,0,0,0,'DD',1578899932,1384378110,0,0),
(40133,1830307591,1,0,'Maul VIII','A melee attack that decreases target''s offensive melee skills on a successful hit.',336,0,315,1433335062,0,485,0,1,'Your Maul VIII was successful on %t!','Your Maul VIII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Maul.lua',1686,'You cast Maul VIII on %t.',1,0,0,1,0,1,1,0,0,40048,0,0,0,0,0,1,0,0,0,'DD',1578899959,1384377825,0,0),
(40134,2797333687,1,0,'Taunt','Interrupts the target and increases their hate towards the berserker.',295,2,315,1408356869,723762198,5,0,1,'Your Mock was successful on %t!','Your Mock fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Mock.lua',1687,'You cast Mock on %t.',1,0,0,1,0,0,0,0,0,40134,0,0,0,0,0,0,0,0,0,'Unset',1578896155,1384377844,0,0),
(40135,501536264,1,0,'Offend','Interrupts the target and increases their hate towards the berserker.',295,2,315,1433335062,723762198,45,0,1,'Your Mock II was successful on %t!','Your Mock II fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Mock.lua',1687,'You cast Mock II on %t.',1,0,0,1,0,0,0,0,0,40134,0,0,0,0,0,0,0,0,0,'Unset',1578896210,1384377840,0,0),
(40136,2908491422,1,0,'Insult','Interrupts the target and increases their hate towards the berserker.',295,2,315,1433335062,723762198,85,0,1,'Your Mock III was successful on %t!','Your Mock III fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Mock.lua',1687,'You cast Mock III on %t.',1,0,0,1,0,0,0,0,0,40134,0,0,0,0,0,0,0,0,0,'Unset',1578896236,1384378112,0,0),
(40137,209514711,1,0,'Mad Cry','Interrupts the target and increases their hate towards the berserker.',295,2,315,1433335062,723762198,155,0,1,'Your Mock IV was successful on %t!','Your Mock IV fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Mock.lua',1687,'You cast Mock IV on %t.',1,0,0,1,0,0,0,0,0,40134,0,0,0,0,0,1,0,0,0,'Unset',1578896255,1384378111,0,0),
(40138,3048725450,1,0,'Mock IX','Interrupts the target and increases their hate towards the berserker.',295,2,315,1433335062,723762198,460,0,1,'Your Mock IX was successful on %t!','Your Mock IX fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Mock.lua',1687,'You cast Mock IX on %t.',1,0,0,1,0,0,0,0,0,40134,0,0,0,0,0,1,0,0,0,'Unset',1578896441,1384378110,0,0),
(40139,4120285026,1,0,'Bully','Interrupts the target and increases their hate towards the berserker.',295,2,315,1433335062,723762198,225,0,1,'Your Mock V was successful on %t!','Your Mock V fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Mock.lua',1687,'You cast Mock V on %t.',1,0,0,1,0,0,0,0,0,40134,0,0,0,0,0,1,0,0,0,'Unset',1578896302,1384378110,0,0),
(40140,2817195384,1,0,'Outrage','Interrupts the target and increases their hate towards the berserker.',295,2,315,1433335062,723762198,295,0,1,'Your Mock VI was successful on %t!','Your Mock VI fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Mock.lua',1687,'You cast Mock VI on %t.',1,0,0,1,0,0,0,0,0,40134,0,0,0,0,0,1,0,0,0,'Unset',1578896331,1384378111,0,0),
(40141,3850936471,1,0,'Mock','Interrupts the target and increases their hate towards the berserker.',295,2,315,1433335062,723762198,360,0,1,'Your Mock VII was successful on %t!','Your Mock VII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Mock.lua',1687,'You cast Mock VII on %t.',1,0,0,1,0,0,0,0,0,40134,0,0,0,0,0,1,0,0,0,'Unset',1578896348,1384378110,0,0),
(40142,331403390,1,0,'Mock VIII','Interrupts the target and increases their hate towards the berserker.',295,2,315,1433335062,723762198,410,0,1,'Your Mock VIII was successful on %t!','Your Mock VIII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Mock.lua',1687,'You cast Mock VIII on %t.',1,0,0,1,0,0,0,0,0,40134,0,0,0,0,0,1,0,0,0,'Unset',1578896393,1384378110,0,0),
(40143,2368986017,1,0,'Vicious Cut','A melee attack that deals additional slashing damage over time and reduces the target''s attack speed on a successful hit.',327,0,315,1433335062,0,70,0,1,'Your Mutilate was successful on %t!','Your Mutilate fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Mutilate.lua',1695,'You cast Mutilate on %t.',1,0,0,1,0,0,1,0,0,40143,0,0,0,0,0,0,0,0,0,'DoT',1578900413,1384378112,0,0),
(40144,1455983470,1,0,'Vicious Blow','A melee attack that deals additional slashing damage over time and also grants a chance to berserk.',327,0,315,1433335062,1433335062,140,0,1,'Your Vicious Blow was successful on %t!','Your Mutilate II fades.','',0,1,'Spells/Fighter/Warrior/Berserker/ViciousBlow.lua',1269,'You cast Vicious Blow on %t.',1,0,0,1,0,1,1,0,0,40144,0,0,0,0,0,1,0,0,0,'DoT',1578900431,1384378112,0,0),
(40145,2867102850,1,0,'Mutilate','A melee attack that deals additional slashing damage over time and reduces the target''s attack speed on a successful hit.',327,0,315,1433335062,0,210,0,1,'Your Mutilate III was successful on %t!','Your Mutilate III fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Mutilate.lua',1695,'You cast Mutilate III on %t.',1,0,0,1,0,1,1,0,0,40143,0,0,0,0,0,1,0,0,0,'DoT',1578900450,1384378112,0,0),
(40146,3392371515,1,0,'Amputate','A melee attack that deals additional slashing damage over time and reduces the target''s attack speed on a successful hit.',327,0,315,1433335062,0,280,0,1,'Your Mutilate IV was successful on %t!','Your Mutilate IV fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Mutilate.lua',1695,'You cast Mutilate IV on %t.',1,0,0,1,0,1,1,0,0,40143,0,0,0,0,0,1,0,0,0,'DoT',1578900468,1384378110,0,0),
(40147,1270536199,1,0,'Disfigure','A melee attack that deals additional slashing damage over time and reduces the target''s attack speed on a successful hit.',327,0,315,1433335062,0,350,0,1,'Your Mutilate V was successful on %t!','Your Mutilate V fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Mutilate.lua',1695,'You cast Mutilate V on %t.',1,0,0,1,0,1,1,0,0,40143,0,0,0,0,0,1,0,0,0,'DoT',1578900480,1384378110,0,0),
(40148,1721568884,1,0,'Dismember','A melee attack that deals additional slashing damage over time and reduces the target''s attack speed on a successful hit.',327,0,315,1433335062,0,400,0,1,'Your Mutilate VI was successful on %t!','Your Mutilate VI fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Mutilate.lua',1695,'You cast Mutilate VI on %t.',1,0,0,1,0,1,1,0,0,40143,0,0,0,0,0,1,0,0,0,'DoT',1578900491,1384378110,0,0),
(40149,1703221688,1,0,'Mutilate VII','A melee attack that deals additional slashing damage over time and reduces the target''s attack speed on a successful hit.',327,0,315,1433335062,0,450,0,1,'Your Mutilate VII was successful on %t!','Your Mutilate VII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Mutilate.lua',1695,'You cast Mutilate VII on %t.',1,0,0,1,0,1,1,0,0,40143,0,0,0,0,0,1,0,0,0,'DoT',1578900513,1384378110,0,0),
(40150,2238540626,1,0,'Mutilate VIII','A melee attack that deals additional slashing damage over time and reduces the target''s attack speed on a successful hit.',327,0,315,1433335062,0,500,0,1,'Your Mutilate VIII was successful on %t!','Your Mutilate VIII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Mutilate.lua',1695,'You cast Mutilate VIII on %t.',1,0,0,0,0,0,1,0,0,40143,0,0,0,0,0,1,0,0,0,'DoT',1578900541,1384378110,0,0),
(40151,1772620467,1,0,'Open Wounds','The berserker will attack all enemies in an area surrounding the berserker with every normal combat attack for up to 4 enemies. The berserker''s attack speed is increased and he or she will inflict additional damage every few seconds to all enemies near him or her.',337,65535,317,1433335062,0,290,0,1,'Your Open Wounds was successful on %t!','Your Open Wounds fades.','',0,1,'Spells/Fighter/Warrior/Berserker/OpenWounds.lua',1727,'You cast Open Wounds on %t.',1,0,0,1,1,1,0,0,0,40151,0,0,0,0,0,0,0,0,0,'Unset',1578951856,1384378110,0,0),
(40152,1607268596,1,0,'Raging Blow','A melee attack that increases the target''s hate towards the berserker if it hits.',326,3,315,1433335062,0,15,0,1,'Your Raging Blow was successful on %t!','Your Raging Blow fades.','',0,1,'Spells/Fighter/Warrior/Berserker/RagingBlow.lua',1689,'You cast Raging Blow on %t.',1,0,0,1,0,0,0,0,0,40152,0,0,0,0,0,0,0,0,0,'DD',1578897596,1384378110,0,0),
(40153,2131326284,1,0,'Raging Strike','A melee attack that increases the target''s hate towards the berserker if it hits.',326,3,315,1433335062,0,50,0,1,'Your Raging Blow II was successful on %t!','Your Raging Blow II fades.','',0,1,'Spells/Fighter/Warrior/Berserker/RagingBlow.lua',1689,'You cast Raging Blow II on %t.',1,0,0,1,0,0,0,0,0,40152,0,0,0,0,0,0,0,0,0,'DD',1578897620,1384378112,0,0),
(40154,1209467100,1,0,'Sunder- Ready for Testing','Increases hate towards the berserker and deals a knockdown to all enemies in an encounter.',326,3,315,1433335062,1433335062,120,0,1,'Your Raging Blow III was successful on %t!','Your Raging Blow III fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Sunder.lua',1282,'You cast Sunder on %t.',1,0,0,1,0,0,0,0,0,40152,0,0,0,0,0,1,0,0,0,'DD',1578897678,1384377825,0,0),
(40155,868207772,1,0,'Brutal Pledge','A melee attack that increases the target''s hate towards the berserker if it hits.',326,3,315,1433335062,0,190,0,1,'Your Raging Blow IV was successful on %t!','Your Raging Blow IV fades.','',0,1,'Spells/Fighter/Warrior/Berserker/RagingBlow.lua',1689,'You cast Raging Blow IV on %t.',1,0,0,1,0,0,0,0,0,40152,0,0,0,0,0,1,0,0,0,'DD',1578897710,1384377825,0,0),
(40156,824405282,1,0,'Raging Blow IX','A melee attack that increases the target''s hate towards the berserker if it hits.',326,3,315,1433335062,0,485,0,1,'Your Raging Blow IX was successful on %t!','Your Raging Blow IX fades.','',0,1,'Spells/Fighter/Warrior/Berserker/RagingBlow.lua',1689,'You cast Raging Blow IX on %t.',1,0,0,0,0,0,0,0,0,40152,0,0,0,0,0,1,0,0,0,'DD',1578897898,1384377825,0,0),
(40157,1093340364,1,0,'Violent Pledge','A melee attack that increases the target''s hate towards the berserker if it hits.',326,3,315,1433335062,0,260,0,1,'Your Raging Blow V was successful on %t!','Your Raging Blow V fades.','',0,1,'Spells/Fighter/Warrior/Berserker/RagingBlow.lua',1689,'You cast Raging Blow V on %t.',1,0,0,1,0,0,0,0,0,40152,0,0,0,0,0,1,0,0,0,'DD',1578897776,1384378110,0,0),
(40158,3172338168,1,0,'War Pledge','A melee attack that increases the target''s hate towards the berserker if it hits.',326,3,315,1433335062,0,330,0,1,'Your Raging Blow VI was successful on %t!','Your Raging Blow VI fades.','',0,1,'Spells/Fighter/Warrior/Berserker/RagingBlow.lua',1689,'You cast Raging Blow VI on %t.',1,0,0,1,0,0,0,0,0,40152,0,0,0,0,0,1,0,0,0,'DD',1578897813,1384378110,0,0),
(40159,2029167442,1,0,'Raging Blow VII','A melee attack that increases the target''s hate towards the berserker if it hits.',326,3,315,1433335062,0,385,0,1,'Your Raging Blow VII was successful on %t!','Your Raging Blow VII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/RagingBlow.lua',1689,'You cast Raging Blow VII on %t.',1,0,0,1,0,0,0,0,0,40152,0,0,0,0,0,1,0,0,0,'DD',1578897839,1384377825,0,0),
(40160,2888600660,1,0,'Raging Blow VIII','A melee attack that increases the target''s hate towards the berserker if it hits.',326,3,315,1433335062,0,435,0,1,'Your Raging Blow VIII was successful on %t!','Your Raging Blow VIII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/RagingBlow.lua',1689,'You cast Raging Blow VIII on %t.',1,0,0,1,0,0,0,0,0,40152,0,0,0,0,0,1,0,0,0,'DD',1578897857,1384378110,0,0),
(40161,1392430040,1,0,'Rampage','Allows the berserker to attack all nearby enemies whenever a successful attack is made. This effect can trigger up to 10 times, and drains a small amount of power from the berserker each time it triggers.',380,3,317,1433335062,0,250,0,0,'Your Rampage was successful on %t!','Your Rampage fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Rampage.lua',1731,'You cast Rampage on %t.',1,0,0,1,1,1,0,0,0,40161,0,0,0,0,0,1,0,0,0,'Unset',1578951520,1384378110,0,0),
(40162,1133692234,1,0,'Destruction','Allows the berserker to attack all nearby enemies whenever a successful attack is made. This effect can trigger up to 10 times, and drains a small amount of power from the berserker each time it triggers.',380,3,317,1433335062,0,350,0,1,'Your Rampage II was successful on %t!','Your Rampage II fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Rampage.lua',1731,'You cast Rampage II on %t.',1,0,0,1,1,1,0,0,0,40161,0,0,0,0,0,1,0,0,0,'Unset',1578951561,1384378110,0,0),
(40163,3745051573,1,0,'Rage','Allows the berserker to attack all nearby enemies whenever a successful attack is made. This effect can trigger up to 10 times, and drains a small amount of power from the berserker each time it triggers.',380,3,317,1433335062,0,400,0,0,'Your Rampage III was successful on %t!','Your Rampage III fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Rampage.lua',1731,'You cast Rampage III on %t.',1,0,0,1,1,1,0,0,0,40161,0,0,0,0,0,1,0,0,0,'Unset',1578951599,1384378110,0,0),
(40164,1220684630,1,0,'Rampage IV','Allows the berserker to attack all nearby enemies whenever a successful attack is made. This effect can trigger up to 10 times, and drains a small amount of power from the berserker each time it triggers.',380,3,317,1433335062,0,450,0,0,'Your Rampage IV was successful on %t!','Your Rampage IV fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Rampage.lua',1731,'You cast Rampage IV on %t.',1,0,0,1,1,1,0,0,0,40161,0,0,0,0,0,1,0,0,0,'Unset',1578951614,1384378110,0,0),
(40165,1968824156,1,0,'Rampage V','Allows the berserker to attack all nearby enemies whenever a successful attack is made. This effect can trigger up to 10 times, and drains a small amount of power from the berserker each time it triggers.',380,3,317,1433335062,0,500,0,0,'Your Rampage V was successful on %t!','Your Rampage V fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Rampage.lua',1731,'You cast Rampage V on %t.',1,0,0,0,1,0,0,0,0,40161,0,0,0,0,0,1,0,0,0,'Unset',1578951628,1384377825,0,0),
(40166,2229994418,1,1,'Reckless Aide','Grants the berserker a chance to shield an ally from melee attacks, by allowing the target a chance to use the berserker''s avoidance check after their own avoidance check. This also increases the berserker''s base avoidance.',271,5,316,1433335062,0,105,1,0,'Your Reckless Aide was successful on %t!','Your Reckless Aide fades.','',0,0,'Spells/Fighter/Warrior/Berserker/RecklessAide.lua',1700,'You cast Reckless Aide on %t.',1,1,0,1,1,1,0,0,0,40166,0,0,0,0,0,0,0,0,0,'Unset',1578949053,1384378112,0,0),
(40167,759160778,1,1,'Infuriation','Grants the berserker a chance to shield an ally from melee attacks, by allowing the target a chance to use the berserker''s avoidance check after their own avoidance check. This also increases the berserker''s base avoidance.',271,5,316,1433335062,0,160,1,0,'Your Reckless Aide II was successful on %t!','Your Reckless Aide II fades.','',0,0,'Spells/Fighter/Warrior/Berserker/RecklessAide.lua',1700,'You cast Reckless Aide II on %t.',1,1,0,1,1,1,0,0,0,40166,0,0,0,0,0,0,0,0,0,'Unset',1578949145,1384378111,0,0),
(40168,4268098652,1,1,'Vehement','Grants the berserker a chance to shield an ally from melee attacks, by allowing the target a chance to use the berserker''s avoidance check after their own avoidance check. This also increases the berserker''s base avoidance.',271,5,316,1433335062,0,230,1,0,'Your Reckless Aide III was successful on %t!','Your Reckless Aide III fades.','',0,0,'Spells/Fighter/Warrior/Berserker/RecklessAide.lua',1700,'You cast Reckless Aide III on %t.',1,1,0,1,1,1,0,0,0,40166,0,0,0,0,0,0,0,0,0,'Unset',1578949130,1384378110,0,0),
(40169,761844627,1,1,'Guarded Vehemence','Grants the berserker a chance to shield an ally from melee attacks, by allowing the target a chance to use the berserker''s avoidance check after their own avoidance check. This also increases the berserker''s base avoidance.',271,5,316,1433335062,0,300,1,0,'Your Reckless Aide IV was successful on %t!','Your Reckless Aide IV fades.','',0,0,'Spells/Fighter/Warrior/Berserker/RecklessAide.lua',1700,'You cast Reckless Aide IV on %t.',1,1,0,1,1,1,0,0,0,40166,0,0,0,0,0,0,0,0,0,'Unset',1578949157,1384378155,0,0),
(40170,1266618833,1,0,'Wild Swing','A melee attack that does some extra damage.',302,0,315,1408356869,0,5,0,1,'Your Rupture II was successful on %t!','Your Rupture fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Rupture.lua',1691,'You cast Rupture II on %t.',1,0,0,1,0,0,0,0,0,10019,0,0,0,0,0,0,0,0,0,'DD',1578896485,1384378110,0,0),
(40171,4172509347,1,0,'Wild Strike','A melee attack that does some extra damage.',302,0,315,1433335062,0,30,0,1,'Your Rupture II was successful on %t!','Your Rupture II fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Rupture.lua',1691,'You cast Rupture II on %t.',1,0,0,1,0,0,0,0,0,40170,0,0,0,0,0,0,0,0,0,'DD',1578896507,1384377825,0,0),
(40172,866833272,1,0,'Coup de Grace','An extra attack that grants a short berserk after the death of the enemy.',302,0,315,1433335062,1433335062,145,0,1,'Coup de Grace was successful on %t!','Your Rupture III fades.','',0,1,'Spells/Fighter/Warrior/Berserker/CoupdeGrace.lua',1254,'Coup de Grace on %t.',1,0,0,1,0,0,0,0,0,40172,0,0,0,0,0,1,0,0,0,'DD',1578896526,1384377825,0,0),
(40173,662631794,1,0,'Rupture','A melee attack that does some extra damage.',302,0,315,1433335062,0,215,0,1,'Your Rupture IV was successful on %t!','Your Rupture IV fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Rupture.lua',1691,'You cast Rupture IV on %t.',1,0,0,1,0,0,0,0,0,40170,0,0,0,0,0,1,0,0,0,'DD',1578896558,1384378110,0,0),
(40174,3265500861,1,0,'Breach','A melee attack that does some extra damage.',302,0,315,1433335062,0,285,0,1,'Your Rupture V was successful on %t!','Your Rupture V fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Rupture.lua',1691,'You cast Rupture V on %t.',1,0,0,1,0,0,0,0,0,40170,0,0,0,0,0,1,0,0,0,'DD',1578896572,1384378110,0,0),
(40175,1038276770,1,0,'Tresspass','A melee attack that does some extra damage.',302,0,315,1433335062,0,355,0,1,'Your Rupture VI was successful on %t!','Your Rupture VI fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Rupture.lua',1691,'You cast Rupture VI on %t.',1,0,0,1,0,0,0,0,0,40170,0,0,0,0,0,1,0,0,0,'DD',1578896635,1384378110,0,0),
(40176,330579322,1,0,'Rupture VII','A melee attack that does some extra damage.',302,0,315,1433335062,0,405,0,1,'Your Rupture VII was successful on %t!','Your Rupture VII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Rupture.lua',1691,'You cast Rupture VII on %t.',1,0,0,1,0,0,0,0,0,40170,0,0,0,0,0,1,0,0,0,'DD',1578896655,1384378110,0,0),
(40177,4235613764,1,0,'Rupture VIII','A melee attack that does some extra damage.',302,0,315,1433335062,0,455,0,1,'Your Rupture VIII was successful on %t!','Your Rupture VIII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Rupture.lua',1691,'You cast Rupture VIII on %t.',1,0,0,1,0,0,0,0,0,40170,0,0,0,0,0,1,0,0,0,'DD',1578896673,1384378110,0,0),
(40178,2165709280,1,1,'Stance: Greater Fury','Increases the berserker''s offensive melee skills and grants a chance to attack all nearby enemies in an encounter with each melee attack, but at the cost of decreased defense skill. This is the berserker''s primary offensive stance.',288,5,317,1433335062,0,180,1,1,'Your Stance: Greater Fury was successful on %t!','Your Stance: Greater Fury fades.','',0,0,'Spells/Fighter/Warrior/Berserker/StanceGreaterFury.lua',1688,'You cast Stance: Greater Fury on %t.',1,0,0,1,1,1,0,0,0,40178,0,0,0,0,0,0,0,0,0,'Unset',1578950979,1384377844,0,0),
(40179,2690388611,1,1,'Stance: Unbridled Fury','Increases the berserker''s offensive melee skills and grants a chance to attack all nearby enemies in an encounter with each melee attack, but at the cost of decreased defense skill. This is the berserker''s primary offensive stance.',288,5,317,1433335062,0,250,1,0,'Your Stance: Unbridled Fury was successful on %t!','Your Stance: Unbridled Fury fades.','',0,0,'',1688,'You cast Stance: Unbridled Fury on %t.',1,0,0,1,1,1,0,0,0,40179,0,0,0,0,0,0,0,0,0,'Unset',1578951049,1384377844,0,0),
(40180,3708869339,1,0,'Stunning Cry','A shout that releases the berserker''s anger in a stunning cry. It damages and stuns the target and all nearby encounter members for a short duration.',295,3,312,1433335062,0,160,0,1,'Your Stunning Roar was successful on %t!','Your Stunning Roar fades.','',0,1,'Spells/Fighter/Warrior/Berserker/StunningRoar.lua',1732,'You cast Stunning Roar on %t.',1,0,0,1,0,1,2,4,0,40180,0,0,0,0,0,1,0,0,0,'DD',1578950791,1384378111,0,0),
(40181,2786201088,1,0,'Stunning Roar','A shout that releases the berserker''s anger in a stunning cry. It damages and stuns the target and all nearby encounter members for a short duration.',295,3,312,1433335062,0,230,0,1,'Your Stunning Roar II was successful on %t!','Your Stunning Roar II fades.','',0,1,'Spells/Fighter/Warrior/Berserker/StunningRoar.lua',1732,'You cast Stunning Roar II on %t.',1,0,0,1,0,1,2,0,0,40180,0,0,0,0,0,1,0,0,0,'DD',1578950818,1384378110,0,0),
(40182,3665543390,1,0,'Stunning Howl','A shout that releases the berserker''s anger in a stunning cry. It damages and stuns the target and all nearby encounter members for a short duration.',295,3,312,1433335062,0,300,0,1,'Your Stunning Roar III was successful on %t!','Your Stunning Roar III fades.','',0,1,'Spells/Fighter/Warrior/Berserker/StunningRoar.lua',1732,'You cast Stunning Roar III on %t.',1,0,0,1,0,1,2,4,0,40180,0,0,0,0,0,1,0,0,0,'DD',1578950846,1384378111,0,0),
(40183,2015389073,1,0,'Stunning Bellow','A shout that releases the berserker''s anger in a stunning cry. It damages and stuns the target and all nearby encounter members for a short duration.',295,3,312,1433335062,0,365,0,1,'Your Stunning Roar IV was successful on %t!','Your Stunning Roar IV fades.','',0,1,'Spells/Fighter/Warrior/Berserker/StunningRoar.lua',1732,'You cast Stunning Roar IV on %t.',1,0,0,1,0,1,2,4,0,40180,0,0,0,0,0,1,0,0,0,'DD',1578950863,1384378110,0,0),
(40184,850879299,1,0,'Stunning Roar V','A shout that releases the berserker''s anger in a stunning cry. It damages and stuns the target and all nearby encounter members for a short duration.',295,3,312,1433335062,0,415,0,1,'Your Stunning Roar V was successful on %t!','Your Stunning Roar V fades.','',0,1,'Spells/Fighter/Warrior/Berserker/StunningRoar.lua',1732,'You cast Stunning Roar V on %t.',1,0,0,1,0,1,2,4,0,40180,0,0,0,0,0,1,0,0,0,'DD',1578950890,1384378110,0,0),
(40185,2631922386,1,0,'Stunning Roar VI','A shout that releases the berserker''s anger in a stunning cry. It damages and stuns the target and all nearby encounter members for a short duration.',295,3,312,1433335062,0,465,0,1,'Your Stunning Roar VI was successful on %t!','Your Stunning Roar VI fades.','',0,1,'Spells/Fighter/Warrior/Berserker/StunningRoar.lua',1732,'You cast Stunning Roar VI on %t.',1,0,0,1,0,1,2,4,0,40180,0,0,0,0,0,1,0,0,0,'DD',1578950908,1384377825,0,0),
(40186,2591797582,1,1,'Defensive Stance','Greatly increases defense, parry, aggression, physical and cold damage mitigation at the cost of offensive melee skills. This is the berserker''s primary defensive stance.',294,5,317,1433335062,0,20,1,0,'Your Unflinching Will was successful on %t!','Your Unflinching Will fades.','',0,1,'Spells/Fighter/Warrior/Berserker/UnflinchingWill.lua',1683,'You cast Unflinching Will on %t.',1,0,0,1,1,1,0,0,0,40186,0,0,0,0,0,0,0,0,0,'Unset',1578898158,1384377825,0,0),
(40187,991043775,1,1,'Mercenary Stance','Greatly increases defense, parry, aggression, physical and cold damage mitigation at the cost of offensive melee skills. This is the berserker''s primary defensive stance.',294,5,317,1433335062,0,80,1,0,'Your Unflinching Will II was successful on %t!','Your Unflinching Will II fades.','',0,1,'Spells/Fighter/Warrior/Berserker/UnflinchingWill.lua',1683,'You cast Unflinching Will II on %t.',1,0,0,1,1,1,0,0,0,40186,0,0,0,0,0,0,0,0,0,'Unset',1578898195,1384378112,0,0),
(40188,852721589,1,1,'Reckless Stance','Greatly increases defense and parry at the cost of offensive melee skills. ',294,5,317,1433335062,1433335062,150,1,0,'Your Reckless Stance was successful on %t!','Your Unflinching Will III fades.','',0,1,'Spells/Fighter/Warrior/Berserker/RecklessStance.lua',260,'You cast Reckless Stance on %t.',1,0,0,1,1,0,0,0,0,40188,0,0,0,0,0,1,0,0,0,'CombatBuff',1578898209,1384378112,0,0),
(40189,4185098560,1,1,'Unflinching Will','Greatly increases defense, parry, aggression, physical and cold damage mitigation at the cost of offensive melee skills. This is the berserker''s primary defensive stance.',294,5,317,1433335062,0,220,1,0,'Your Unflinching Will IV was successful on %t!','Your Unflinching Will IV fades.','',0,1,'Spells/Fighter/Warrior/Berserker/UnflinchingWill.lua',1683,'You cast Unflinching Will IV on %t.',1,0,0,1,1,1,0,0,0,40186,0,0,0,0,0,1,0,0,0,'Unset',1578898227,1384378110,0,0),
(40190,407436343,1,1,'Courageous Will','Greatly increases defense, parry, aggression, physical and cold damage mitigation at the cost of offensive melee skills. This is the berserker''s primary defensive stance.',294,65535,317,1433335062,0,290,1,0,'Your Unflinching Will V was successful on %t!','Your Unflinching Will V fades.','',0,1,'Spells/Fighter/Warrior/Berserker/UnflinchingWill.lua',1683,'You cast Unflinching Will V on %t.',1,0,0,1,1,1,0,0,0,40186,0,0,0,0,0,1,0,0,0,'Unset',1578898245,1384378111,0,0),
(40191,438772449,1,1,'Unlinching Stance','Greatly increases defense, parry, aggression, physical and cold damage mitigation at the cost of offensive melee skills. This is the berserker''s primary defensive stance.',294,5,317,1433335062,0,360,1,0,'Your Unflinching Will VI was successful on %t!','Your Unflinching Will VI fades.','',0,1,'Spells/Fighter/Warrior/Berserker/UnflinchingWill.lua',1683,'You cast Unflinching Will VI on %t.',1,0,0,1,1,1,0,0,0,40186,0,0,0,0,0,1,0,0,0,'Unset',1578898256,1384378110,0,0),
(40192,398861730,1,1,'Unflinching Will VII','Greatly increases defense, parry, aggression, physical and cold damage mitigation at the cost of offensive melee skills. This is the berserker''s primary defensive stance.',294,5,317,1433335062,0,410,1,0,'Your Unflinching Will VII was successful on %t!','Your Unflinching Will VII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/UnflinchingWill.lua',1683,'You cast Unflinching Will VII on %t.',1,0,0,1,1,1,0,0,0,40186,0,0,0,0,0,1,0,0,0,'Unset',1578898274,1384378110,0,0),
(40193,3223627258,1,1,'Unflinching Will VIII','Greatly increases defense, parry, aggression, physical and cold damage mitigation at the cost of offensive melee skills. This is the berserker''s primary defensive stance.',294,5,317,1433335062,0,460,1,0,'Your Unflinching Will VIII was successful on %t!','Your Unflinching Will VIII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/UnflinchingWill.lua',1683,'You cast Unflinching Will VIII on %t.',1,0,0,1,1,1,0,0,0,40186,0,0,0,0,0,1,0,0,0,'Unset',1578898288,1384378110,0,0),
(40194,2055770183,1,1,'Vision of Madness','Grants the berserker a chance to avert death, by quickly replenishing the berserker''s health when they would have taken fatal damage. This effect is more powerful if the berserker is already in a state of berserk.',492,5,317,1433335062,0,275,1,0,'Your Vision of Madness was successful on %t!','Your Vision of Madness fades.','',0,0,'Spells/Fighter/Warrior/Berserker/VisionofMadness.lua',1734,'You cast Vision of Madness on %t.',1,0,0,1,1,1,0,0,0,40194,0,0,0,0,0,1,0,0,0,'Unset',1578951828,1384378110,0,0),
(40195,3955594095,1,1,'Wall of Hatred','This is the condensed energy of an ancient, mythical weapon.',681,65535,317,1433335062,0,400,1,1,'Your Wall of Hatred was successful on %t!','Your Wall of Hatred fades.','',0,1,'',3530,'You cast Wall of Hatred on %t.',1,0,0,1,1,1,0,0,0,40195,0,0,0,0,0,0,0,0,0,'Unset',1578952030,1384377883,0,0),
(40196,2031118870,1,0,'Hunker','Increases the physical mitigation of the berserker in exchange for decreased attack speed. Also grants a chance to snare nearby opponents whenever the berserker strikes in melee.',184,5,317,1433335062,0,65,0,0,'Your Wall of Rage was successful on %t!','Your Wall of Rage fades.','',0,1,'Spells/Fighter/Warrior/Berserker/WallofRage.lua',1692,'You cast Wall of Rage on %t.',1,0,0,1,1,1,0,0,0,40196,0,0,0,0,0,0,0,0,0,'Unset',1578900229,1384377825,0,0),
(40197,195019030,1,0,'Wall of Fury','Increases the physical mitigation of the berserker in exchange for decreased attack speed. Also grants a chance to snare nearby opponents whenever the berserker strikes in melee.',184,5,317,1433335062,0,135,0,0,'Your Wall of Rage II was successful on %t!','Your Wall of Rage II fades.','',0,1,'Spells/Fighter/Warrior/Berserker/WallofRage.lua',1692,'You cast Wall of Rage II on %t.',1,0,0,1,1,1,0,0,0,40196,0,0,0,0,0,0,0,0,0,'Unset',1578900256,1384378111,0,0),
(40198,2906954499,1,0,'Wall of Wrath','Increases the physical mitigation of the berserker in exchange for decreased attack speed. Also grants a chance to snare nearby opponents whenever the berserker strikes in melee.',184,5,317,1433335062,0,205,0,0,'Your Wall of Rage III was successful on %t!','Your Wall of Rage III fades.','',0,1,'Spells/Fighter/Warrior/Berserker/WallofRage.lua',1692,'You cast Wall of Rage III on %t.',1,0,0,1,1,1,0,0,0,40196,0,0,0,0,0,1,0,0,0,'Unset',1578900279,1384378112,0,0),
(40199,2517662622,1,0,'Wall of Rage','Increases the physical mitigation of the berserker in exchange for decreased attack speed. Also grants a chance to snare nearby opponents whenever the berserker strikes in melee.',184,5,317,1433335062,0,275,0,0,'Your Wall of Rage IV was successful on %t!','Your Wall of Rage IV fades.','',0,1,'Spells/Fighter/Warrior/Berserker/WallofRage.lua',1692,'You cast Wall of Rage IV on %t.',1,0,0,1,1,1,0,0,0,40196,0,0,0,0,0,1,0,0,0,'Unset',1578900294,1384378110,0,0),
(40200,4029712326,1,0,'Wall of Ferocity','Increases the physical mitigation of the berserker in exchange for decreased attack speed. Also grants a chance to snare nearby opponents whenever the berserker strikes in melee.',184,5,317,1433335062,0,345,0,0,'Your Wall of Rage V was successful on %t!','Your Wall of Rage V fades.','',0,1,'Spells/Fighter/Warrior/Berserker/WallofRage.lua',1692,'You cast Wall of Rage V on %t.',1,0,0,1,1,1,0,0,0,40196,0,0,0,0,0,1,0,0,0,'Unset',1578900310,1384378110,0,0),
(40201,872952937,1,0,'Wall of Madness','Increases the physical mitigation of the berserker in exchange for decreased attack speed. Also grants a chance to snare nearby opponents whenever the berserker strikes in melee.',184,5,317,1433335062,0,395,0,0,'Your Wall of Rage VI was successful on %t!','Your Wall of Rage VI fades.','',0,1,'Spells/Fighter/Warrior/Berserker/WallofRage.lua',1692,'You cast Wall of Rage VI on %t.',1,0,0,1,1,1,0,0,0,40196,0,0,0,0,0,1,0,0,0,'Unset',1384670979,1384378110,0,0),
(40202,1089181887,1,0,'Wall of Rage VII','Increases the physical mitigation of the berserker in exchange for decreased attack speed. Also grants a chance to snare nearby opponents whenever the berserker strikes in melee.',184,5,317,1433335062,0,445,0,0,'Your Wall of Rage VII was successful on %t!','Your Wall of Rage VII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/WallofRage.lua',1692,'You cast Wall of Rage VII on %t.',1,0,0,1,1,1,0,0,0,40196,0,0,0,0,0,1,0,0,0,'Unset',1578900359,1384378110,0,0),
(40203,4178592599,1,0,'Wall of Rage VIII','Increases the physical mitigation of the berserker in exchange for decreased attack speed. Also grants a chance to snare nearby opponents whenever the berserker strikes in melee.',184,5,317,1433335062,0,495,0,0,'Your Wall of Rage VIII was successful on %t!','Your Wall of Rage VIII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/WallofRage.lua',1692,'You cast Wall of Rage VIII on %t.',1,0,0,0,1,0,0,0,0,40196,0,0,0,0,0,1,0,0,0,'Unset',1578900374,1384378110,0,0),
(40204,1266944537,1,1,'Battle Chant- KoS','Grants a chance for the berserker''s group to berserk in combat for a short duration.',243,3,314,1433335062,1433335062,120,0,2,'Your Battle Chant was successful on %t!','Your War Cry fades.','',0,1,'Spells/Fighter/Warrior/Berserker/WarCry.lua',1338,'You cast Battle Chanton %t.',1,0,0,1,1,1,0,0,0,40204,0,0,0,0,0,0,0,0,0,'Buff',1578949174,1384378112,0,0),
(40205,3035513881,1,1,'War Chant','Grants a chance for the berserker''s group to berserk in combat for a short duration.',243,3,314,1433335062,0,190,1,2,'Your War Cry II was successful on %t!','Your War Cry II fades.','',0,1,'Spells/Fighter/Warrior/Berserker/WarCry.lua',1715,'You cast War Cry II on %t.',1,0,0,1,1,1,0,0,0,40204,0,0,0,0,0,1,0,0,0,'Unset',1578949240,1384378112,0,0),
(40206,1310478572,1,1,'War Call','Grants a chance for the berserker''s group to berserk in combat for a short duration.',243,3,314,1433335062,0,260,1,2,'Your War Cry III was successful on %t!','Your War Cry III fades.','',0,1,'Spells/Fighter/Warrior/Berserker/WarCry.lua',1715,'You cast War Cry III on %t.',1,0,0,1,1,1,0,0,0,40204,0,0,0,0,0,1,0,0,0,'Unset',1578949257,1384378110,0,0),
(40207,2721773560,1,1,'War Cry','Grants a chance for the berserker''s group to berserk in combat for a short duration.',243,3,314,1433335062,0,330,1,2,'Your War Cry IV was successful on %t!','Your War Cry IV fades.','',0,1,'Spells/Fighter/Warrior/Berserker/WarCry.lua',1715,'You cast War Cry IV on %t.',1,0,0,1,1,1,0,0,0,40204,0,0,0,0,0,1,0,0,0,'Unset',1578949273,1384378110,0,0),
(40208,1697907395,1,1,'War Fury','Grants a chance for the berserker''s group to berserk in combat for a short duration.',243,3,314,1433335062,0,385,1,2,'Your War Cry V was successful on %t!','Your War Cry V fades.','',0,1,'Spells/Fighter/Warrior/Berserker/WarCry.lua',1715,'You cast War Cry V on %t.',1,0,0,1,1,1,0,0,0,40204,0,0,0,0,0,1,0,0,0,'Unset',1384670979,1384378110,0,0),
(40209,2877870856,1,1,'War Cry VI','Grants a chance for the berserker''s group to berserk in combat for a short duration.',243,3,314,1433335062,0,435,1,2,'Your War Cry VI was successful on %t!','Your War Cry VI fades.','',0,1,'Spells/Fighter/Warrior/Berserker/WarCry.lua',1715,'You cast War Cry VI on %t.',1,0,0,1,1,1,0,0,0,40204,0,0,0,0,0,1,0,0,0,'Unset',1578949305,1384378110,0,0),
(40210,1145747510,1,1,'War Cry VII','Grants a chance for the berserker''s group to berserk in combat for a short duration.',243,3,314,1433335062,0,485,1,2,'Your War Cry VII was successful on %t!','Your War Cry VII fades.','',0,1,'Spells/Fighter/Warrior/Berserker/WarCry.lua',1715,'You cast War Cry VII on %t.',1,0,0,0,1,0,0,0,0,40204,0,0,0,0,0,1,0,0,0,'Unset',1578949323,1384377825,0,0),
(40211,1514464867,1,0,'Weapon Shield','Increases parry skill.',307,3,317,1433335062,1433335062,150,0,0,'Your Weapon Shield was successful on %t!','Your Weapon Counter fades.','',0,1,'Spells/Fighter/Warrior/Berserker/WeaponShield.lua',259,'You cast Weapon Shield on %t.',1,0,0,1,1,0,0,0,0,40211,0,0,0,0,0,1,0,0,0,'CombatBuff',1578950566,1384378112,0,0),
(40212,4056685447,1,0,'Weapon Guard','If the berserker is struck in melee combat, the berserker will return with a counterattack for up to 3 attacks.',307,3,317,1433335062,0,220,0,0,'Your Weapon Counter II was successful on %t!','Your Weapon Counter II fades.','',0,1,'Spells/Fighter/Warrior/Berserker/WeaponCounter.lua',1722,'You cast Weapon Counter II on %t.',1,0,0,1,1,1,0,0,0,40211,0,0,0,0,0,1,0,0,0,'Unset',1578950590,1384377825,0,0),
(40213,2482225554,1,0,'Weapon Aegis','If the berserker is struck in melee combat, the berserker will return with a counterattack for up to 3 attacks.',307,3,317,1433335062,0,290,0,0,'Your Weapon Counter III was successful on %t!','Your Weapon Counter III fades.','',0,1,'Spells/Fighter/Warrior/Berserker/WeaponCounter.lua',1722,'You cast Weapon Counter III on %t.',1,0,0,1,1,1,0,0,0,40211,0,0,0,0,0,1,0,0,0,'Unset',1578950642,1384378111,0,0),
(40214,2644964549,1,0,'Weapon Counter','If the berserker is struck in melee combat, the berserker will return with a counterattack for up to 3 attacks.',307,3,317,1433335062,0,360,0,0,'Your Weapon Counter IV was successful on %t!','Your Weapon Counter IV fades.','',0,1,'Spells/Fighter/Warrior/Berserker/WeaponCounter.lua',1722,'You cast Weapon Counter IV on %t.',1,0,0,1,1,1,0,0,0,40211,0,0,0,0,0,1,0,0,0,'Unset',1578950658,1384378110,0,0),
(40215,1529136912,1,0,'Weapon Counter V','If the berserker is struck in melee combat, the berserker will return with a counterattack for up to 3 attacks.',307,3,317,1433335062,0,410,0,0,'Your Weapon Counter V was successful on %t!','Your Weapon Counter V fades.','',0,1,'Spells/Fighter/Warrior/Berserker/WeaponCounter.lua',1722,'You cast Weapon Counter V on %t.',1,0,0,1,1,1,0,0,0,40211,0,0,0,0,0,1,0,0,0,'Unset',1578950672,1384378110,0,0),
(40216,3699510355,1,0,'Weapon Counter VI','If the berserker is struck in melee combat, the berserker will return with a counterattack for up to 3 attacks.',307,3,317,1433335062,0,460,0,0,'Your Weapon Counter VI was successful on %t!','Your Weapon Counter VI fades.','',0,1,'Spells/Fighter/Warrior/Berserker/WeaponCounter.lua',1722,'You cast Weapon Counter VI on %t.',1,0,0,1,1,1,0,0,0,40211,0,0,0,0,0,1,0,0,0,'Unset',1578950697,1384377825,0,0),
(40217,2354735354,1,1,'Whirlwind','This is the condensed energy of an ancient, mythical weapon.',296,65535,317,1624274802,0,400,1,1,'Your Whirlwind was successful on %t!','Your Whirlwind fades.','',0,1,'Spells/Fighter/Warrior/Berserker/Whirlwind.lua',3531,'You cast Whirlwind on %t.',1,0,0,1,1,1,0,0,0,40217,0,0,0,0,0,0,0,0,0,'Unset',1578952059,1384377877,0,0),
(40300,0,1,0,'Crazed Swing','Melee damage in an area of effect.',343,0,313,1433335062,1433335062,105,0,9,'','','',0,1,'Spells/Commoner/CrazedSwing.lua',1307,'',4,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',0,0,0,0),
(50000,1471775310,1,0,'Bruising Strike','A high damage melee attack that costs the brawler''s health instead of power.',326,3,315,3856706740,0,0,0,1,'Your Bruising Strike was successful on %t!','Your Bruising Strike fades.','',0,1,'Spells/Fighter/Brawler/BruisingStrike.lua',1274,'You cast Bruising Strike on %t.',1,0,0,1,0,0,0,0,0,50000,0,0,0,0,0,1,0,0,0,'DD',1405066157,1384378116,0,0),
(50001,590395735,1,0,'Devastation Fist','Deals a devastating strike that will instantly kill weaker enemies. It deals massive damage to stronger opponents. Players (except their pets) are immune to this combat art.',356,3,315,3856706740,0,175,0,1,'Your Devastation Fist was successful on %t!','Your Devastation Fist fades.','',0,1,'Spells/Fighter/Brawler/DevastationFist.lua',1910,'You cast Devastation Fist on %t.',1,0,0,1,0,0,0,0,0,50001,0,0,0,0,0,1,0,0,0,'DD',1615182057,1384378112,0,0),
(50002,4103016810,1,0,'Devastating Fist','Deals a devastating strike that will instantly kill weaker enemies. It deals massive damage to stronger opponents. Players (except their pets) are immune to this combat art.',356,3,315,3856706740,0,245,0,1,'Your Devastation Fist II was successful on %t!','Your Devastation Fist II fades.','',0,1,'Spells/Fighter/Brawler/DevastationFist.lua',1910,'You cast Devastation Fist II on %t.',1,0,0,1,0,0,0,0,0,50001,0,0,0,0,0,1,0,0,0,'DD',1615169907,1384378111,0,0),
(50003,1177885585,1,0,'Ravaging Fist','Deals a devastating strike that will instantly kill weaker enemies. It deals massive damage to stronger opponents. Players (except their pets) are immune to this combat art.',356,3,315,3856706740,0,315,0,1,'Your Devastation Fist III was successful on %t!','Your Devastation Fist III fades.','',0,1,'Spells/Fighter/Brawler/DevastationFist.lua',1910,'You cast Devastation Fist III on %t.',1,0,0,1,0,0,0,0,0,50001,0,0,0,0,0,1,0,0,0,'DD',1615182086,1384378112,0,0),
(50004,1371472734,1,0,'Desolating Fist','Deals a devastating strike that will instantly kill weaker enemies. It deals massive damage to stronger opponents. Players (except their pets) are immune to this combat art.',356,3,315,3856706740,0,365,0,1,'Your Devastation Fist IV was successful on %t!','Your Devastation Fist IV fades.','',0,1,'Spells/Fighter/Brawler/DevastationFist.lua',0,'You cast Devastation Fist IV on %t.',1,0,0,1,0,0,0,0,0,50001,0,0,0,0,0,1,0,0,0,'DD',1615182127,1384378112,0,0),
(50005,2277220094,1,0,'Devastation Fist V','Deals a devastating strike that will instantly kill weaker enemies. It deals massive damage to stronger opponents. Players (except their pets) are immune to this combat art.',356,3,315,3856706740,0,415,0,1,'Your Devastation Fist V was successful on %t!','Your Devastation Fist V fades.','',0,1,'Spells/Fighter/Brawler/DevastationFist.lua',1910,'You cast Devastation Fist V on %t.',1,0,0,1,0,0,0,0,0,50001,0,0,0,0,0,1,0,0,0,'DD',1615182026,1384378114,0,0),
(50006,1348017830,1,0,'Devastation Fist VI','Deals a devastating strike that will instantly kill weaker enemies. It deals massive damage to stronger opponents. Players (except their pets) are immune to this combat art.',356,3,315,3856706740,0,465,0,1,'Your Devastation Fist VI was successful on %t!','Your Devastation Fist VI fades.','',0,1,'Spells/Fighter/Brawler/DevastationFist.lua',1910,'You cast Devastation Fist VI on %t.',1,0,0,1,0,0,0,0,0,50001,0,0,0,0,0,1,0,0,0,'DD',1615182177,1384378114,0,0),
(50007,719985106,1,1,'Feign Death','Allows the brawler to sometimes trick enemies into thinking that the brawler is dead. This effect can be cancelled by standing.',333,5,317,3856706740,3856706740,70,0,0,'Your Feign Death was successful on %t!','Your Feign Death fades.','',0,1,'Spells/Fighter/Brawler/FeignDeath.lua',1908,'You cast Feign Death on %t.',1,0,0,1,1,0,0,0,0,50007,0,0,0,0,0,1,0,0,0,'Unset',1572079555,1384378116,0,0),
(50008,1445862745,1,1,'Feign Death','Allows the brawler to sometimes trick enemies into thinking that the brawler is dead. This effect can be cancelled by standing.',333,5,317,3856706740,0,140,0,0,'Your Feign Death II was successful on %t!','Your Feign Death II fades.','',0,1,'Spells/Fighter/Brawler/FeignDeathClassic.lua',1908,'You cast Feign Death II on %t.',1,0,0,1,1,0,0,0,0,50007,0,0,0,0,0,0,0,0,0,'Unset',1572079534,1384378116,0,0),
(50009,1803016588,1,1,'Stop Heart','Allows the brawler to sometimes trick enemies into thinking that the brawler is dead. This effect can be cancelled by standing.',333,5,317,3856706740,0,210,0,0,'Your Feign Death III was successful on %t!','Your Feign Death III fades.','',0,1,'Spells/Fighter/Brawler/FeignDeath.lua',1908,'You cast Feign Death III on %t.',1,0,0,1,1,0,0,0,0,50007,0,0,0,0,0,1,0,0,0,'Unset',1572079515,1384378114,0,0),
(50010,2585520884,1,1,'Stilled Life','Allows the brawler to sometimes trick enemies into thinking that the brawler is dead. This effect can be cancelled by standing.',333,5,317,3856706740,0,280,0,0,'Your Feign Death IV was successful on %t!','Your Feign Death IV fades.','',0,1,'Spells/Fighter/Brawler/FeignDeath.lua',1908,'You cast Feign Death IV on %t.',1,0,0,1,1,0,0,0,0,50007,0,0,0,0,0,1,0,0,0,'Unset',1572081020,1384378112,0,0),
(50011,1801447068,1,1,'Last Breath','Allows the brawler to sometimes trick enemies into thinking that the brawler is dead. This effect can be cancelled by standing.',333,5,317,3856706740,0,350,0,0,'Your Feign Death V was successful on %t!','Your Feign Death V fades.','',0,1,'Spells/Fighter/Brawler/FeignDeath.lua',1908,'You cast Feign Death V on %t.',1,0,0,1,1,0,0,0,0,50007,0,0,0,0,0,1,0,0,0,'Unset',1572081043,1384378112,0,0),
(50012,1678245333,1,0,'Flying Kick','A kick attack that deals moderate crushing damage.',292,4,315,3856706740,0,95,0,1,'Your Flying Kick was successful on %t!','Your Flying Kick fades.','',0,1,'Spells/Fighter/Brawler/FlyingKick.lua',289,'You cast Flying Kick on %t.',1,0,0,1,0,0,0,0,0,10007,0,0,0,0,0,1,0,0,0,'DD',1405066551,1384378116,0,0),
(50013,897144993,1,0,'Focused Strike','An extra attack that can be used at range.',348,3,315,3856706740,0,75,0,1,'Your Focused Strike was successful on %t!','Your Focused Strike fades.','',0,1,'Spells/Fighter/Brawler/FocusedStrike.lua',1289,'You cast Focused Strike on %t.',1,0,0,1,0,0,0,0,0,50013,0,0,0,0,0,1,0,0,0,'DD',1405065885,1384378116,0,0),
(50014,1680980339,1,0,'Indomitable Will','Dispels hostile mental effects. This ability can be used while stifled or stunned.',190,5,317,3856706740,3856706740,65,0,0,'Your Indomitable Will was successful on %t!','Your Indomitable Will fades.','',0,1,'Spells/Fighter/Brawler/IndomitableWill.lua',1284,'You cast Indomitable Will on %t.',1,0,0,0,1,0,0,0,0,0,0,6,0,0,0,1,0,0,0,'Cure',1384670839,1384378116,0,0),
(50015,3398024898,1,0,'Instill Doubt','Using this ability will cause your enemy to flee in terror.  Upgrades decrease the chance of outright resistance.',9,65535,315,3856706740,0,150,0,1,'Your Instill Panic was successful on %t!','Your Instill Panic fades.','',0,1,'',1909,'You cast Instill Panic on %t.',1,0,0,1,0,1,2,0,0,50015,0,0,0,0,0,0,0,0,0,'Unset',1384670843,1384378110,0,0),
(50016,2633204170,1,0,'Instill Doubt','Using this ability will cause your enemy to flee in terror.  Upgrades decrease the chance of outright resistance.',9,65535,315,3856706740,0,250,0,1,'Your Instill Panic II was successful on %t!','Your Instill Panic II fades.','',0,1,'Spells/Fighter/Brawler/InstillPanic.lua',0,'You cast Instill Panic II on %t.',1,0,0,1,0,1,2,0,0,50015,0,0,0,0,0,0,0,0,0,'Unset',1384670843,1384378110,0,0),
(50017,2417951885,1,0,'Martial Focus','This ability increases your deflect and parry skills for a short time.',332,5,317,3856706740,3856706740,60,0,0,'Your Martial Focus was successful on %t!','Your Martial Focus fades.','',0,1,'Spells/Fighter/Brawler/MartialFocus.lua',1288,'You cast Martial Focus on %t.',1,0,0,1,1,0,0,0,0,50017,0,0,0,0,0,1,0,0,0,'CombatBuff',1404995346,1384378116,0,0),
(50018,1335949708,1,0,'Power Strike','A melee attack that deals moderate damage and interrupts the target.',293,3,315,3856706740,3856706740,50,0,1,'Your Power Strike was successful on %t!','Your Power Strike fades.','',0,1,'Spells/Fighter/Brawler/PowerStrike.lua',1289,'You cast Power Strike on %t.',1,0,0,1,0,0,0,0,0,50018,0,0,0,0,0,1,0,0,0,'DD',1404993874,1384378116,0,0),
(50019,2081498370,1,0,'Rapid Swings','Has a chance to launch a series of 4 attacks. If any one attack misses, the remaining attacks will miss as well.',330,3,315,3856706740,0,95,0,1,'Your Rapid Swings was successful on %t!','Your Rapid Swings fades.','',0,1,'Spells/Fighter/Brawler/RapidSwings.lua',310,'You cast Rapid Swings on %t.',1,0,0,1,0,0,0,0,0,50019,0,0,0,0,0,1,0,0,0,'DD',1405066689,1384378158,0,0),
(50020,3434479243,1,0,'Shoulder Charge','A low damage attack that has a chance to stun your opponent.',350,3,315,3856706740,3856706740,65,0,1,'Your Shoulder Charge was successful on %t!','Your Shoulder Charge fades.','',0,1,'Spells/Fighter/Brawler/ShoulderCharge.lua',50,'You cast Shoulder Charge on %t.',1,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1404995845,1384378116,0,0),
(50021,3271524585,1,1,'Staggering Stance','Grants the brawler a chance to shield an ally from melee attacks, by allowing the target a chance to use the brawler''s avoidance check after their own avoidance check. This also increases the brawler''s agility.',294,5,316,3856706740,0,90,1,1,'Your Staggering Stance was successful on %t!','Your Staggering Stance fades.','',0,1,'Spells/Fighter/Brawler/StaggeringStance.lua',521,'You cast Staggering Stance on %t.',1,0,0,1,1,0,0,0,0,50021,0,0,0,0,0,1,0,0,0,'CombatBuff',1384670946,1384378116,0,0),
(50022,1535476072,1,1,'Brawler''s Stance','Greatly increases defense, and deflection at the cost of offensive melee skills. ',294,5,317,3856706740,0,80,1,0,'Your Brawler''s Stance was successful on %t!','Your Brawler''s Stance fades.','',0,0,'Spells/Fighter/Brawler/StanceBrawlersStance.lua',1291,'You cast Brawler''s Stance on %t.',1,0,0,1,1,0,0,0,0,50022,0,0,0,0,0,1,0,0,0,'Buff',1384670946,1384378116,0,0),
(50023,1919208430,1,0,'Taunting Slap','Increases the target''s hate towards the brawler. This ability can be used while the brawler is stifled or stunned.',293,2,315,3856706740,723762198,65,0,1,'Your Taunting Slap was successful on %t!','Your Taunting Slap fades.','',0,1,'Spells/Fighter/Brawler/TauntingSlap.lua',61,'You cast Taunting Slap on %t.',1,0,0,1,0,0,0,0,0,10016,0,6,0,0,0,1,0,0,0,'Taunt',1405066363,1384378116,0,0),
(50024,3951019082,1,0,'Thrust Kick','A powerful kick attack that deals crushing damage.',331,4,315,3856706740,3856706740,55,0,1,'Your Thrust Kick was successful on %t!','Your Thrust Kick fades.','',0,1,'Spells/Fighter/Brawler/ThrustKick.lua',1685,'You cast Thrust Kick on %t.',1,0,0,1,0,0,0,0,0,50024,0,0,0,0,0,1,0,0,0,'DD',1404994379,1384378116,0,0),
(50025,4028452032,1,1,'Thundering Fists','While active, this combat art grants the brawler a small chance to briefly stun their target with each melee hit.',348,5,317,3856706740,0,75,1,0,'Your Thundering Fists was successful on %t!','Your Thundering Fists fades.','',0,1,'Spells/Fighter/Brawler/ThunderingFistsClassic.lua',1858,'You cast Thundering Fists on %t.',1,0,0,1,1,0,0,0,0,50025,0,0,1,0,0,1,0,0,0,'CombatBuff',1405067374,1384378116,0,0),
(60000,3171345798,1,0,'Winter''s Talon- Ready for Testing','A melee punch attack that dazes the opponent on a successful hit, preventing them from auto attacks for a short duration.',335,5,315,2011726342,2011726342,150,0,1,'Your Arctic Talon was successful on %t!','Your Arctic Talon fades.','',0,1,'Spells/Fighter/Brawler/Monk/WintersTalon.lua',284,'You cast Arctic Talon on %t.',1,0,0,1,0,0,4,3,0,60000,0,0,0,0,0,1,0,0,0,'DD',1579991528,1384378111,0,0),
(60001,473373492,1,0,'Icy Talon','A melee punch attack that dazes the opponent on a successful hit, preventing them from auto attacks for a short duration.',335,5,315,2011726342,2011726342,220,0,1,'Your Arctic Talon II was successful on %t!','Your Arctic Talon II fades.','',0,1,'Spells/Fighter/Brawler/Monk/ArcticTalon.lua',1899,'You cast Arctic Talon II on %t.',1,0,0,1,0,0,4,3,0,60000,0,0,0,0,0,1,0,0,0,'DD',1579991556,1384378110,0,0),
(60002,1283847884,1,0,'Arctic Talon','A melee punch attack that dazes the opponent on a successful hit, preventing them from auto attacks for a short duration.',335,5,315,2011726342,2011726342,290,0,1,'Your Arctic Talon III was successful on %t!','Your Arctic Talon III fades.','',0,1,'Spells/Fighter/Brawler/Monk/ArcticTalon.lua',1899,'You cast Arctic Talon III on %t.',1,0,0,1,0,0,4,3,0,60000,0,0,0,0,0,1,0,0,0,'DD',1579991587,1384377825,0,0),
(60003,517400943,1,0,'Velium Talon','A melee punch attack that dazes the opponent on a successful hit, preventing them from auto attacks for a short duration.',335,5,315,2011726342,2011726342,360,0,1,'Your Arctic Talon IV was successful on %t!','Your Arctic Talon IV fades.','',0,1,'Spells/Fighter/Brawler/Monk/ArcticTalon.lua',1899,'You cast Arctic Talon IV on %t.',1,0,0,1,0,0,4,3,0,60000,0,0,0,0,0,1,0,0,0,'DD',1579991706,1384377825,0,0),
(60004,1656512091,1,0,'Arctic Talon V','A melee punch attack that dazes the opponent on a successful hit, preventing them from auto attacks for a short duration.',335,5,315,2011726342,2011726342,410,0,1,'Your Arctic Talon V was successful on %t!','Your Arctic Talon V fades.','',0,1,'Spells/Fighter/Brawler/Monk/ArcticTalon.lua',1899,'You cast Arctic Talon V on %t.',1,0,0,1,0,0,4,3,0,60000,0,0,0,0,0,1,0,0,0,'DD',1579991729,1384378110,0,0),
(60005,3678897587,1,0,'Arctic Talon VI','A melee punch attack that dazes the opponent on a successful hit, preventing them from auto attacks for a short duration.',335,5,315,2011726342,2011726342,460,0,1,'Your Arctic Talon VI was successful on %t!','Your Arctic Talon VI fades.','',0,1,'Spells/Fighter/Brawler/Monk/ArcticTalon.lua',1899,'You cast Arctic Talon VI on %t.',1,0,0,1,0,0,4,3,0,60000,0,0,0,0,0,1,0,0,0,'DD',1579991755,1384378112,0,0),
(60006,480040161,1,0,'Spider Stance','This stance combines some of the elements from the monk''s primary offensive and defensive stances, granting increased physical and mental damage mitigation, deflection and offense skill, and attack speed.',369,5,317,2011726342,0,0,1,0,'Your Black Widow Stance was successful on %t!','Your Black Widow Stance fades.','',0,1,'Spells/Fighter/Brawler/Monk/BlackWidowStance.lua',1901,'You cast Black Widow Stance on %t.',1,0,0,0,1,0,0,0,0,60006,0,0,0,0,0,1,0,0,0,'Unset',1384670735,1342537454,0,0),
(60007,2890556917,1,0,'Black Widow Stance','This stance combines some of the elements from the monk''s primary offensive and defensive stances, granting increased physical and mental damage mitigation, deflection and offense skill, and attack speed.',369,5,317,0,0,0,1,0,'Your Black Widow Stance II was successful on %t!','Your Black Widow Stance II fades.','',0,1,'Spells/Fighter/Brawler/Monk/BlackWidowStance.lua',1901,'You cast Black Widow Stance II on %t.',1,0,0,0,1,0,0,0,0,60006,0,0,0,0,0,1,0,0,0,'Unset',1384670735,1342538856,0,0),
(60008,1511083908,1,0,'Arachnid Stance','This stance combines some of the elements from the monk''s primary offensive and defensive stances, granting increased physical and mental damage mitigation, deflection and offense skill, and attack speed.',369,5,317,0,0,0,1,0,'Your Black Widow Stance III was successful on %t!','Your Black Widow Stance III fades.','',0,1,'Spells/Fighter/Brawler/Monk/BlackWidowStance.lua',1901,'You cast Black Widow Stance III on %t.',1,0,0,0,1,0,0,0,0,60006,0,0,0,0,0,1,0,0,0,'Unset',1384670735,1342538869,0,0),
(60009,4230415954,1,0,'Black Widow Stance IV','This stance combines some of the elements from the monk''s primary offensive and defensive stances, granting increased physical and mental damage mitigation, deflection and offense skill, and attack speed.',369,5,317,0,0,0,1,0,'Your Black Widow Stance IV was successful on %t!','Your Black Widow Stance IV fades.','',0,1,'Spells/Fighter/Brawler/Monk/BlackWidowStance.lua',1901,'You cast Black Widow Stance IV on %t.',1,0,0,0,1,0,0,0,0,60006,0,0,0,0,0,1,0,0,0,'Unset',1384670735,1342537445,0,0),
(60010,1677559244,1,0,'Black Widow Stance V','This stance combines some of the elements from the monk''s primary offensive and defensive stances, granting increased physical and mental damage mitigation, deflection and offense skill, and attack speed.',369,5,317,0,0,0,1,0,'Your Black Widow Stance V was successful on %t!','Your Black Widow Stance V fades.','',0,1,'Spells/Fighter/Brawler/Monk/BlackWidowStance.lua',1901,'You cast Black Widow Stance V on %t.',1,0,0,0,1,0,0,0,0,60006,0,0,0,0,0,1,0,0,0,'Unset',1384670735,1342538846,0,0),
(60011,2487940530,1,0,'Face of the Mountain- Ready for Testing','Increases slashing, piercing, and crushing resistance and roots the monk in place.',294,5,317,2011726342,2011726342,130,0,0,'Your Body Like Mountain was successful on %t!','Your Body Like Mountain fades.','',0,1,'Spells/Fighter/Brawler/Monk/FaceoftheMountain.lua',1291,'You cast Face of the Mountain on %t.',1,0,0,1,1,0,0,0,0,60011,0,0,0,0,0,1,0,0,0,'CombatBuff',1579990771,1384377825,0,0),
(60012,2091348854,1,0,'Walk Like Mountain','Increases slashing, piercing, and crushing resistance and roots the monk in place.',294,5,317,2011726342,2011726342,200,0,0,'Your Body Like Mountain II was successful on %t!','Your Body Like Mountain II fades.','',0,1,'Spells/Fighter/Brawler/Monk/BodyLikeMountain.lua',1898,'You cast Body Like Mountain II on %t.',1,0,0,1,1,0,0,0,0,60011,0,0,0,0,0,1,0,0,0,'Unset',1579990836,1384378110,0,0),
(60013,3721031795,1,0,'Skin Like Mountain','Increases slashing, piercing, and crushing resistance and roots the monk in place.',294,5,317,2011726342,2011726342,270,0,0,'Your Body Like Mountain III was successful on %t!','Your Body Like Mountain III fades.','',0,1,'Spells/Fighter/Brawler/Monk/BodyLikeMountain.lua',1898,'You cast Body Like Mountain III on %t.',1,0,0,1,1,0,0,0,0,60011,0,0,0,0,0,1,0,0,0,'Unset',1579990846,1384378112,0,0),
(60014,2894719432,1,0,'Spirit Like Mountain','Increases slashing, piercing, and crushing resistance and roots the monk in place.',294,5,317,2011726342,2011726342,340,0,0,'Your Body Like Mountain IV was successful on %t!','Your Body Like Mountain IV fades.','',0,1,'Spells/Fighter/Brawler/Monk/BodyLikeMountain.lua',1898,'You cast Body Like Mountain IV on %t.',1,0,0,1,1,0,0,0,0,60011,0,0,0,0,0,1,0,0,0,'Unset',1579990946,1384378110,0,0),
(60015,2397590495,1,0,'Body Like Mountain','Increases slashing, piercing, and crushing resistance and roots the monk in place.',294,5,317,2011726342,2011726342,390,0,0,'Your Body Like Mountain V was successful on %t!','Your Body Like Mountain V fades.','',0,1,'Spells/Fighter/Brawler/Monk/BodyLikeMountain.lua',1898,'You cast Body Like Mountain V on %t.',1,0,0,1,1,0,0,0,0,60011,0,0,0,0,0,1,0,0,0,'Unset',1579991103,1384378110,0,0),
(60016,3271417073,1,0,'Body Like Mountain VI','Increases slashing, piercing, and crushing resistance and roots the monk in place.',294,5,317,2011726342,2011726342,440,0,0,'Your Body Like Mountain VI was successful on %t!','Your Body Like Mountain VI fades.','',0,1,'Spells/Fighter/Brawler/Monk/BodyLikeMountain.lua',1898,'You cast Body Like Mountain VI on %t.',1,0,0,1,1,0,0,0,0,60011,0,0,0,0,0,1,0,0,0,'Unset',1579991155,1384378112,0,0),
(60017,1562861423,1,0,'Body Like Mountain VII','Increases slashing, piercing, and crushing resistance and roots the monk in place.',294,5,317,2011726342,0,490,0,0,'Your Body Like Mountain VII was successful on %t!','Your Body Like Mountain VII fades.','',0,1,'Spells/Fighter/Brawler/Monk/BodyLikeMountain.lua',1898,'You cast Body Like Mountain VII on %t.',1,0,0,1,1,0,0,0,0,60011,0,0,0,0,0,1,0,0,0,'Unset',1579991258,1384378110,0,0),
(60018,2211596932,1,1,'Swiftness','Increases the attack and casting speeds of all the Monk''s allies.',328,5,314,2011726342,0,45,1,2,'Your Calm Tranquility was successful on %t!','Your Calm Tranquility fades.','',0,1,'Spells/Fighter/Brawler/Monk/CalmTranquility.lua',1894,'You cast Calm Tranquility on %t.',1,1,0,1,1,1,0,0,0,60018,0,0,0,0,0,0,0,0,0,'Unset',1579986476,1384378112,0,0),
(60019,1298767964,1,1,'Wisdom of Zephyl- Ready for Testing','Increases the offense of the group and increases the damage of the monk.',328,5,314,2011726342,2011726342,115,1,2,'Your Calm Tranquility II was successful on %t!','Your Calm Tranquility II fades.','',0,1,'Spells/Fighter/Brawler/Monk/WisdomofZephyl.lua',1306,'You cast Wisdom of Zephyl on %t.',1,1,0,1,1,1,0,0,0,60019,0,0,0,0,0,1,0,0,0,'Buff',1579986595,1384377825,0,0),
(60020,2620696836,1,1,'Quiet Purity','Increases the attack and casting speeds of all the Monk''s allies.',328,5,314,2011726342,0,185,1,2,'Your Calm Tranquility III was successful on %t!','Your Calm Tranquility III fades.','',0,1,'Spells/Fighter/Brawler/Monk/CalmTranquility.lua',1894,'You cast Calm Tranquility III on %t.',1,1,0,1,1,1,0,0,0,60018,0,0,0,0,0,1,0,0,0,'Unset',1579986621,1384378110,0,0),
(60021,1088683478,1,1,'Calm Tranquility','Increases the attack and casting speeds of all the Monk''s allies.',328,5,314,2011726342,0,255,1,2,'Your Calm Tranquility IV was successful on %t!','Your Calm Tranquility IV fades.','',0,1,'Spells/Fighter/Brawler/Monk/CalmTranquility.lua',1894,'You cast Calm Tranquility IV on %t.',1,1,0,1,1,1,0,0,0,60018,0,0,0,0,0,1,0,0,0,'Unset',1579986649,1384377825,0,0),
(60022,392736160,1,1,'Swift Calm','Increases the attack and casting speeds of all the Monk''s allies.',328,5,314,2011726342,0,325,1,2,'Your Calm Tranquility V was successful on %t!','Your Calm Tranquility V fades.','',0,1,'Spells/Fighter/Brawler/Monk/CalmTranquility.lua',1894,'You cast Calm Tranquility V on %t.',1,1,0,1,1,1,0,0,0,60018,0,0,0,0,0,1,0,0,0,'Unset',1579986686,1384378112,0,0),
(60023,4027261529,1,1,'Mindful','Increases the attack and casting speeds of all the Monk''s allies.',328,5,314,2011726342,0,380,1,2,'Your Calm Tranquility VI was successful on %t!','Your Calm Tranquility VI fades.','',0,1,'Spells/Fighter/Brawler/Monk/CalmTranquility.lua',1894,'You cast Calm Tranquility VI on %t.',1,1,0,1,1,1,0,0,0,60018,0,0,0,0,0,1,0,0,0,'Unset',1571520551,1384377825,0,0),
(60024,2531682189,1,1,'Calm Tranquility VII','Increases the attack and casting speeds of all the Monk''s allies.',328,5,314,2011726342,0,430,1,2,'Your Calm Tranquility VII was successful on %t!','Your Calm Tranquility VII fades.','',0,1,'Spells/Fighter/Brawler/Monk/CalmTranquility.lua',1894,'You cast Calm Tranquility VII on %t.',1,1,0,1,1,1,0,0,0,60018,0,0,0,0,0,1,0,0,0,'Unset',1579986724,1384377825,0,0),
(60025,1090840533,1,1,'Calm Tranquility VIII','Increases the attack and casting speeds of all the Monk''s allies.',328,5,314,2011726342,0,480,1,2,'Your Calm Tranquility VIII was successful on %t!','Your Calm Tranquility VIII fades.','',0,1,'Spells/Fighter/Brawler/Monk/CalmTranquility.lua',1894,'You cast Calm Tranquility VIII on %t.',1,0,0,0,1,1,0,0,0,60018,0,0,0,0,0,1,0,0,0,'Unset',1579986752,1384378112,0,0),
(60026,3815624854,1,0,'Beckon','Interrupts and increases the hate of all enemies in an encounter towards the monk.',289,2,312,2011726342,723762198,40,0,2,'Your Challenge was successful on %t!','Your Challenge fades.','',0,1,'Spells/Fighter/Brawler/Monk/Challenge.lua',1883,'You cast Challenge on %t.',1,0,0,1,0,1,0,0,0,60026,0,0,0,0,0,0,0,0,0,'Unset',1579986058,1384377868,0,0),
(60027,4205966580,1,0,'Hand Clap- Ready for Testing','Interrupts and increases the hate of all enemies in an encounter towards the monk.',289,2,312,2011726342,723762198,110,0,9,'Your Challenge II was successful on %t!','Your Challenge II fades.','',0,1,'Spells/Fighter/Brawler/Monk/HandClap.lua',1263,'You cast Challenge II on %t.',1,0,0,1,0,1,0,0,0,10012,0,0,0,0,0,1,0,0,0,'Taunt',1579986108,1384378112,0,0),
(60028,2092719217,1,0,'Focus Energy','Interrupts and increases the hate of all enemies in an encounter towards the monk.',289,2,312,2011726342,723762198,180,0,2,'Your Challenge III was successful on %t!','Your Challenge III fades.','',0,1,'Spells/Fighter/Brawler/Monk/Challenge.lua',1883,'You cast Challenge III on %t.',1,0,0,1,0,1,0,0,0,60026,0,0,0,0,0,1,0,0,0,'Unset',1579986180,1384378112,0,0),
(60029,961680774,1,0,'Agitate Spirit','Interrupts and increases the hate of all enemies in an encounter towards the monk.',289,2,312,2011726342,723762198,250,0,2,'Your Challenge IV was successful on %t!','Your Challenge IV fades.','',0,1,'Spells/Fighter/Brawler/Monk/Challenge.lua',1883,'You cast Challenge IV on %t.',1,0,0,1,0,0,0,0,0,60026,0,0,0,0,0,1,0,0,0,'Unset',1579986209,1384378110,0,0),
(60030,1844082739,1,0,'Challenge','Interrupts and increases the hate of all enemies in an encounter towards the monk.',289,2,312,2011726342,723762198,320,0,2,'Your Challenge V was successful on %t!','Your Challenge V fades.','',0,1,'Spells/Fighter/Brawler/Monk/Challenge.lua',1883,'You cast Challenge V on %t.',1,0,0,1,0,1,0,0,0,60026,0,0,0,0,0,1,0,0,0,'Unset',1579986264,1384378112,0,0),
(60031,1521410767,1,0,'Scowl','Interrupts and increases the hate of all enemies in an encounter towards the monk.',289,2,312,2011726342,723762198,380,0,2,'Your Challenge VI was successful on %t!','Your Challenge VI fades.','',0,1,'Spells/Fighter/Brawler/Monk/Challenge.lua',1883,'You cast Challenge VI on %t.',1,0,0,1,0,1,0,0,0,60026,0,0,0,0,0,1,0,0,0,'Unset',1579986350,1384378110,0,0),
(60032,3702985452,1,0,'Challenge VII','Interrupts and increases the hate of all enemies in an encounter towards the monk.',289,2,312,2011726342,723762198,430,0,2,'Your Challenge VII was successful on %t!','Your Challenge VII fades.','',0,1,'Spells/Fighter/Brawler/Monk/Challenge.lua',1883,'You cast Challenge VII on %t.',1,0,0,1,0,1,0,0,0,60026,0,0,0,0,0,1,0,0,0,'Unset',1579986372,1384378112,0,0),
(60033,1192386179,1,0,'Challenge VIII','Interrupts and increases the hate of all enemies in an encounter towards the monk.',289,2,312,2011726342,723762198,480,0,2,'Your Challenge VIII was successful on %t!','Your Challenge VIII fades.','',0,1,'Spells/Fighter/Brawler/Monk/Challenge.lua',1883,'You cast Challenge VIII on %t.',1,0,0,1,0,1,0,0,0,60026,0,0,0,0,0,1,0,0,0,'Unset',1579986405,1384378112,0,0),
(60034,593258495,1,0,'Pouncing Leopard','A melee attack that knocks the enemy down and stuns them for a short duration on a successful hit.',334,3,315,2011726342,0,65,0,1,'Your Charging Tiger was successful on %t!','Your Charging Tiger fades.','',0,1,'Spells/Fighter/Brawler/Monk/ChargingTiger.lua',1890,'You cast Charging Tiger on %t.',1,0,0,1,0,0,1,4,0,60034,0,0,0,0,0,0,0,0,0,'DD',1579988102,1384378112,0,0),
(60035,385763479,1,0,'Pouncing Tiger- Ready for Testing','An extra attack that slightly decreases the agility of the enemy.',334,0,315,2011726342,2011726342,135,0,1,'Your Charging Tiger II was successful on %t!','Your Charging Tiger II fades.','',0,1,'Spells/Fighter/Brawler/Monk/PouncingTiger.lua',1258,'You cast Pouncing Tiger on %t.',1,0,0,1,0,0,1,0,0,10019,0,0,0,0,0,1,0,0,0,'DD',1579988121,1384377825,0,0),
(60036,1956194396,1,0,'Charging Tiger','A melee attack that knocks the enemy down and stuns them for a short duration on a successful hit.',334,3,315,2011726342,0,205,0,1,'Your Charging Tiger III was successful on %t!','Your Charging Tiger III fades.','',0,1,'Spells/Fighter/Brawler/Monk/ChargingTiger.lua',1890,'You cast Charging Tiger III on %t.',1,0,0,1,0,0,1,4,0,60034,0,0,0,0,0,1,0,0,0,'DD',1579988141,1384378110,0,0),
(60037,1851271961,1,0,'Stalking Leopard','A melee attack that knocks the enemy down and stuns them for a short duration on a successful hit.',334,3,315,2011726342,0,275,0,1,'Your Charging Tiger IV was successful on %t!','Your Charging Tiger IV fades.','',0,1,'Spells/Fighter/Brawler/Monk/ChargingTiger.lua',1890,'You cast Charging Tiger IV on %t.',1,0,0,1,0,0,1,4,0,60034,0,0,0,0,0,1,0,0,0,'DD',1579988155,1384378112,0,0),
(60038,4203588839,1,0,'Assailing Jaguar','A melee attack that knocks the enemy down and stuns them for a short duration on a successful hit.',334,3,315,2011726342,0,345,0,1,'Your Charging Tiger V was successful on %t!','Your Charging Tiger V fades.','',0,1,'Spells/Fighter/Brawler/Monk/ChargingTiger.lua',1890,'You cast Charging Tiger V on %t.',1,0,0,1,0,0,1,4,0,60034,0,0,0,0,0,1,0,0,0,'DD',1579988176,1384378110,0,0),
(60039,2049261831,1,0,'Tackling Cougar','A melee attack that knocks the enemy down and stuns them for a short duration on a successful hit.',334,3,315,2011726342,0,395,0,1,'Your Charging Tiger VI was successful on %t!','Your Charging Tiger VI fades.','',0,1,'Spells/Fighter/Brawler/Monk/ChargingTiger.lua',1890,'You cast Charging Tiger VI on %t.',1,0,0,1,0,0,1,4,0,60034,0,0,0,0,0,1,0,0,0,'DD',1579988209,1384377825,0,0),
(60040,2459098946,1,0,'Charging Tiger VII','A melee attack that knocks the enemy down and stuns them for a short duration on a successful hit.',334,3,315,2011726342,0,445,0,1,'Your Charging Tiger VII was successful on %t!','Your Charging Tiger VII fades.','',0,1,'Spells/Fighter/Brawler/Monk/ChargingTiger.lua',1890,'You cast Charging Tiger VII on %t.',1,0,0,1,0,0,1,4,0,60034,0,0,0,0,0,1,0,0,0,'DD',1579988281,1384378112,0,0),
(60041,355734529,1,0,'Charging Tiger VIII','A melee attack that knocks the enemy down and stuns them for a short duration on a successful hit.',334,3,315,2011726342,0,495,0,1,'Your Charging Tiger VIII was successful on %t!','Your Charging Tiger VIII fades.','',0,1,'Spells/Fighter/Brawler/Monk/ChargingTiger.lua',1890,'You cast Charging Tiger VIII on %t.',1,0,0,1,0,0,1,4,0,60034,0,0,0,0,0,1,0,0,0,'DD',1579988305,1384377825,0,0),
(60042,2666957863,1,0,'Cobra Circle','A melee attack that strikes nearby enemies surrounding the monk, dealing magic damage when they are hit.',343,3,313,2011726342,0,35,0,1,'Your Crescent Strike was successful on %t!','Your Crescent Strike fades.','',0,1,'Spells/Fighter/Brawler/Monk/CrescentStrike.lua',1882,'You cast Crescent Strike on %t.',1,0,0,1,0,0,0,0,0,60042,0,0,0,0,0,0,0,0,0,'DD',1579985548,1384378112,0,0),
(60043,830088684,1,0,'Sparking Cobra- Ready for Testing','A melee attack that strikes nearby enemies surrounding the monk, dealing magic damage when they are hit.',343,3,313,2011726342,2011726342,105,0,1,'Your Crescent Strike II was successful on %t!','Your Crescent Strike II fades.','',0,1,'Spells/Fighter/Brawler/Monk/SparkingCobra.lua',1292,'You cast Sparking Cobra on %t.',1,0,0,1,0,1,0,0,0,10018,0,0,0,0,0,1,0,0,0,'DD',1579985706,1384378112,0,0),
(60044,4143660803,1,0,'Swooping Eagle','A melee attack that strikes nearby enemies surrounding the monk, dealing magic damage when they are hit.',343,3,313,2011726342,0,175,0,1,'Your Crescent Strike III was successful on %t!','Your Crescent Strike III fades.','',0,1,'Spells/Fighter/Brawler/Monk/CrescentStrike.lua',1882,'You cast Crescent Strike III on %t.',1,0,0,1,0,0,0,0,0,60042,0,0,0,0,0,1,0,0,0,'DD',1579985729,1384377825,0,0),
(60045,3353641348,1,0,'Storming Hydra','A melee attack that strikes nearby enemies surrounding the monk, dealing magic damage when they are hit.',343,3,313,2011726342,0,245,0,1,'Your Crescent Strike IV was successful on %t!','Your Crescent Strike IV fades.','',0,1,'Spells/Fighter/Brawler/Monk/CrescentStrike.lua',1882,'You cast Crescent Strike IV on %t.',1,0,0,1,0,0,0,0,0,60042,0,0,0,0,0,1,0,0,0,'DD',1579985748,1384378110,0,0),
(60046,1232673780,1,0,'Crescent Strike','A melee attack that strikes nearby enemies surrounding the monk, dealing magic damage when they are hit.',343,3,313,2011726342,0,315,0,1,'Your Crescent Strike V was successful on %t!','Your Crescent Strike V fades.','',0,1,'Spells/Fighter/Brawler/Monk/CrescentStrike.lua',1882,'You cast Crescent Strike V on %t.',1,0,0,1,0,0,0,0,0,60042,0,0,0,0,0,1,0,0,0,'DD',1579985765,1384378112,0,0),
(60047,2260941031,1,0,'Full Moon','A melee attack that strikes nearby enemies surrounding the monk, dealing magic damage when they are hit.',343,3,313,2011726342,0,375,0,1,'Your Crescent Strike VI was successful on %t!','Your Crescent Strike VI fades.','',0,1,'Spells/Fighter/Brawler/Monk/CrescentStrike.lua',1882,'You cast Crescent Strike VI on %t.',1,0,0,1,0,0,0,0,0,60042,0,0,0,0,0,1,0,0,0,'DD',1579985782,1384378110,0,0),
(60048,4150312565,1,0,'Crescent Strike VII','A melee attack that strikes nearby enemies surrounding the monk, dealing magic damage when they are hit.',343,3,313,2011726342,0,425,0,1,'Your Crescent Strike VII was successful on %t!','Your Crescent Strike VII fades.','',0,1,'Spells/Fighter/Brawler/Monk/CrescentStrike.lua',1882,'You cast Crescent Strike VII on %t.',1,0,0,1,0,0,0,0,0,60042,0,0,0,0,0,1,0,0,0,'DD',1579985861,1384377825,0,0),
(60049,405932180,1,0,'Crescent Strike VIII','A melee attack that strikes nearby enemies surrounding the monk, dealing magic damage when they are hit.',343,3,313,2011726342,0,475,0,1,'Your Crescent Strike VIII was successful on %t!','Your Crescent Strike VIII fades.','',0,1,'Spells/Fighter/Brawler/Monk/CrescentStrike.lua',1882,'You cast Crescent Strike VIII on %t.',1,0,0,1,0,0,0,0,0,60042,0,0,0,0,0,1,0,0,0,'DD',1579985882,1384378112,0,0),
(60050,2172834944,1,1,'Dodging Monkey','Greatly increases defense, deflection, aggression, base avoidance, physical and mental damage mitigation at the cost of offensive melee skills. This is the monk''s primary defensive stance.',300,5,317,2011726342,0,20,1,0,'Your Crouching Tiger was successful on %t!','Your Crouching Tiger fades.','',0,1,'Spells/Fighter/Brawler/Monk/CrouchingTiger.lua',1880,'You cast Crouching Tiger on %t.',1,0,0,1,1,1,0,0,0,60050,0,0,0,0,0,0,0,0,0,'Unset',1613193343,1384378112,0,0),
(60051,1823195874,1,1,'Body Like Water','Greatly increases defense, deflection, aggression, base avoidance, physical and mental damage mitigation at the cost of offensive melee skills. This is the monk''s primary defensive stance.',300,5,317,2011726342,0,80,1,0,'Your Crouching Tiger II was successful on %t!','Your Crouching Tiger II fades.','',0,1,'Spells/Fighter/Brawler/Monk/CrouchingTiger.lua',1880,'You cast Crouching Tiger II on %t.',1,0,0,1,1,1,0,0,0,60050,0,0,0,0,0,0,0,0,0,'Unset',1579984926,1384378112,0,0),
(60052,2137866513,1,1,'Sweeping Crane- Ready for Testing','Greatly increases defense, deflection, and tranquility at the cost of offensive melee skills.',300,5,317,2011726342,2011726342,150,1,0,'Your Crouching Tiger III was successful on %t!','Your Crouching Tiger III fades.','',0,1,'Spells/Fighter/Brawler/Monk/SweepingCrane.lua',1291,'You cast Sweeping Crane on %t.',1,0,0,1,1,1,0,0,0,60052,0,0,0,0,0,1,0,0,0,'CombatBuff',1579984937,1384378111,0,0),
(60053,2891136449,1,1,'Winding Dragon','Greatly increases defense, deflection, aggression, base avoidance, physical and mental damage mitigation at the cost of offensive melee skills. This is the monk''s primary defensive stance.',300,5,317,2011726342,0,220,1,0,'Your Crouching Tiger IV was successful on %t!','Your Crouching Tiger IV fades.','',0,1,'Spells/Fighter/Brawler/Monk/CrouchingTiger.lua',1890,'You cast Crouching Tiger IV on %t.',1,0,0,1,1,1,0,0,0,60050,0,0,0,0,0,1,0,0,0,'Unset',1579984948,1384377825,0,0),
(60054,3623722099,1,1,'Coiling Serpent','Greatly increases defense, deflection, aggression, base avoidance, physical and mental damage mitigation at the cost of offensive melee skills. This is the monk''s primary defensive stance.',300,5,317,2011726342,0,290,1,0,'Your Crouching Tiger V was successful on %t!','Your Crouching Tiger V fades.','',0,1,'Spells/Fighter/Brawler/Monk/CrouchingTiger.lua',1890,'You cast Crouching Tiger V on %t.',1,0,0,1,1,1,0,0,0,60050,0,0,0,0,0,1,0,0,0,'Unset',1579984959,1384377825,0,0),
(60055,4080997807,1,1,'Crouching Tiger','Greatly increases defense, deflection, aggression, base avoidance, physical and mental damage mitigation at the cost of offensive melee skills. This is the monk''s primary defensive stance.',300,5,317,2011726342,0,360,1,0,'Your Crouching Tiger VI was successful on %t!','Your Crouching Tiger VI fades.','',0,1,'Spells/Fighter/Brawler/Monk/CrouchingTiger.lua',1890,'You cast Crouching Tiger VI on %t.',1,0,0,1,1,1,0,0,0,60050,0,0,0,0,0,1,0,0,0,'Unset',1579984980,1384378110,0,0),
(60056,88125895,1,1,'Crouching Tiger VII','Greatly increases defense, deflection, aggression, base avoidance, physical and mental damage mitigation at the cost of offensive melee skills. This is the monk''s primary defensive stance.',300,5,317,2011726342,0,410,1,0,'Your Crouching Tiger VII was successful on %t!','Your Crouching Tiger VII fades.','',0,1,'Spells/Fighter/Brawler/Monk/CrouchingTiger.lua',1890,'You cast Crouching Tiger VII on %t.',1,0,0,1,1,1,0,0,0,60050,0,0,0,0,0,1,0,0,0,'Unset',1579984994,1384378155,0,0),
(60057,3927050022,1,1,'Crouching Tiger VIII','Greatly increases defense, deflection, aggression, base avoidance, physical and mental damage mitigation at the cost of offensive melee skills. This is the monk''s primary defensive stance.',300,5,317,2011726342,0,460,1,0,'Your Crouching Tiger VIII was successful on %t!','Your Crouching Tiger VIII fades.','',0,1,'Spells/Fighter/Brawler/Monk/CrouchingTiger.lua',1880,'You cast Crouching Tiger VIII on %t.',1,0,0,1,1,1,0,0,0,60050,0,0,0,0,0,1,0,0,0,'Unset',1579985046,1384378112,0,0),
(60058,3229212224,1,1,'Dragon Stance- Ready for Testing',' Increases your accuracy and damage and decreases your defense and armor.',368,5,317,2011726342,2011726342,140,1,0,'Your Dragon Rage was successful on %t!','Your Dragon Rage fades.','',0,1,'Spells/Fighter/Brawler/Monk/DragonStance.lua',315,'You cast Dragon Stance on %t.',1,0,0,1,1,0,0,0,0,60058,0,0,0,0,0,1,0,0,0,'CombatBuff',1579991338,1384378111,0,0),
(60059,814478059,1,1,'Titan Stance','Every attack the monk makes has a chance to increase hate with the attacked target.',368,5,317,2011726342,723762198,210,1,0,'Your Dragon Rage II was successful on %t!','Your Dragon Rage II fades.','',0,1,'Spells/Fighter/Brawler/Monk/DragonRage.lua',1955,'You cast Dragon Rage II on %t.',1,0,0,1,1,1,0,0,0,60058,0,0,0,0,0,1,0,0,0,'Unset',1579991364,1384377825,0,0),
(60060,1168819475,1,1,'Storm Stance','Every attack the monk makes has a chance to increase hate with the attacked target.',368,5,317,2011726342,723762198,280,1,0,'Your Dragon Rage III was successful on %t!','Your Dragon Rage III fades.','',0,1,'Spells/Fighter/Brawler/Monk/DragonRage.lua',1955,'You cast Dragon Rage III on %t.',1,0,0,1,1,1,0,0,0,60058,0,0,0,0,0,1,0,0,0,'Unset',1579991385,1384377825,0,0),
(60061,1003450160,1,1,'Storm Advance','Every attack the monk makes has a chance to increase hate with the attacked target.',368,5,317,2011726342,723762198,350,1,0,'Your Dragon Rage IV was successful on %t!','Your Dragon Rage IV fades.','',0,1,'Spells/Fighter/Brawler/Monk/DragonRage.lua',1955,'You cast Dragon Rage IV on %t.',1,0,0,1,1,1,0,0,0,60058,0,0,0,0,0,1,0,0,0,'Unset',1579991398,1384378110,0,0),
(60062,1435421336,1,1,'Dragon Rage','Every attack the monk makes has a chance to increase hate with the attacked target.',368,5,317,2011726342,723762198,400,1,0,'Your Dragon Rage V was successful on %t!','Your Dragon Rage V fades.','',0,1,'Spells/Fighter/Brawler/Monk/DragonRage.lua',1955,'You cast Dragon Rage V on %t.',1,0,0,1,1,1,0,0,0,60058,0,0,0,0,0,1,0,0,0,'Unset',1579991412,1384378110,0,0),
(60063,3363908590,1,1,'Dragon Rage VI','Every attack the monk makes has a chance to increase hate with the attacked target.',368,5,317,2011726342,723762198,450,1,0,'Your Dragon Rage VI was successful on %t!','Your Dragon Rage VI fades.','',0,1,'Spells/Fighter/Brawler/Monk/DragonRage.lua',1955,'You cast Dragon Rage VI on %t.',1,0,0,1,1,1,0,0,0,60058,0,0,0,0,0,1,0,0,0,'Unset',1579991429,1384378112,0,0),
(60064,3744206662,1,1,'Dragon Rage VII','Every attack the monk makes has a chance to increase hate with the attacked target.',368,5,317,2011726342,723762198,500,1,0,'Your Dragon Rage VII was successful on %t!','Your Dragon Rage VII fades.','',0,1,'Spells/Fighter/Brawler/Monk/DragonRage.lua',1955,'You cast Dragon Rage VII on %t.',1,0,0,0,1,0,0,0,0,60058,0,0,0,0,0,1,0,0,0,'Unset',1579991454,1384378112,0,0),
(60065,3035289160,1,0,'Dragonbreath','Spits fire in a frontal arc, dealing heat damage over-time every second. Casting times are slowed by anyone affected by this attack.',368,65535,313,2011726342,723762198,325,0,1,'','Your Dragonfire fades.','',0,1,'Spells/Fighter/Brawler/Monk/Dragonfire.lua',1906,'',1,0,0,1,0,0,0,0,0,60065,0,0,0,0,0,1,0,0,0,'DoT',1579993075,1384378112,0,0),
(60066,3089223453,1,0,'Dragonfire','Spits fire in a frontal arc, dealing heat damage over-time every second. Casting times are slowed by anyone affected by this attack.',368,65535,313,2011726342,723762198,390,0,1,'Your Dragonfire II was successful on %t!','Your Dragonfire II fades.','',0,1,'Spells/Fighter/Brawler/Monk/Dragonfire.lua',1906,'You cast Dragonfire II on %t.',1,0,0,1,0,0,0,0,0,60065,0,0,0,0,0,1,0,0,0,'DoT',1579993056,1384377825,0,0),
(60067,2672892456,1,0,'Dragonfire III','Spits fire in a frontal arc, dealing heat damage over-time every second. Casting times are slowed by anyone affected by this attack.',368,3,313,2011726342,723762198,440,0,1,'Your Dragonfire III was successful on %t!','Your Dragonfire III fades.','',0,1,'Spells/Fighter/Brawler/Monk/Dragonfire.lua',1906,'You cast Dragonfire III on %t.',1,0,0,1,0,0,0,0,0,60065,0,0,0,0,0,1,0,0,0,'DoT',1579993091,1384377825,0,0),
(60068,1120388013,1,0,'Dragonfire IV','Spits fire in a frontal arc, dealing heat damage over-time every second. Casting times are slowed by anyone affected by this attack.',368,65535,313,2011726342,723762198,490,0,1,'Your Dragonfire IV was successful on %t!','Your Dragonfire IV fades.','',0,1,'Spells/Fighter/Brawler/Monk/Dragonfire.lua',1906,'You cast Dragonfire IV on %t.',1,0,0,1,0,0,0,0,0,60065,0,0,0,0,0,1,0,0,0,'DoT',1579993237,1384378110,0,0),
(60069,263001942,1,1,'Everburning Flame','Increases the monk''s attack rate at the cost of slowly draining health.',190,5,317,2011726342,2011726342,160,1,0,'Your Everburning Flame was successful on %t!','Your Everburning Flame fades.','',0,1,'Spells/Fighter/Brawler/Monk/EverburningFlame.lua',1954,'You cast Everburning Flame on %t.',1,0,0,1,1,0,0,0,0,60069,0,0,0,0,0,1,0,0,0,'Unset',1579991823,1384378155,0,0),
(60070,2240230698,1,1,'Everburning Fire','Increases the monk''s attack rate at the cost of slowly draining health.',190,5,317,2011726342,2011726342,230,1,0,'Your Everburning Flame II was successful on %t!','Your Everburning Flame II fades.','',0,1,'Spells/Fighter/Brawler/Monk/EverburningFlame.lua',1954,'You cast Everburning Flame II on %t.',1,0,0,1,1,0,0,0,0,60069,0,0,0,0,0,1,0,0,0,'Unset',1579991838,1384377825,0,0),
(60071,2693850094,1,1,'Everburning Blaze','Increases the monk''s attack rate at the cost of slowly draining health.',190,5,317,2011726342,2011726342,300,1,0,'Your Everburning Flame III was successful on %t!','Your Everburning Flame III fades.','',0,1,'Spells/Fighter/Brawler/Monk/EverburningFlame.lua',1954,'You cast Everburning Flame III on %t.',1,0,0,1,1,0,0,0,0,60069,0,0,0,0,0,1,0,0,0,'Unset',1579991855,1384378112,0,0),
(60072,92608654,1,1,'Everburning','Increases the monk''s attack rate at the cost of slowly draining health.',190,5,317,2011726342,2011726342,365,1,0,'Your Everburning Flame IV was successful on %t!','Your Everburning Flame IV fades.','',0,1,'Spells/Fighter/Brawler/Monk/EverburningFlame.lua',1954,'You cast Everburning Flame IV on %t.',1,0,0,1,1,0,0,0,0,60069,0,0,0,0,0,1,0,0,0,'Unset',1402745132,1384378110,0,0),
(60073,150232597,1,0,'Fall of the Phoenix','Allows the monk to sometimes trick enemies into thinking that the entire group is dead.',333,5,314,2011726342,0,290,0,2,'Your Fall of the Phoenix was successful on %t!','Your Fall of the Phoenix fades.','',0,1,'Spells/Fighter/Brawler/Monk/FallofthePhoenix.lua',1908,'You cast Fall of the Phoenix on %t.',1,0,0,1,1,1,0,0,0,60073,0,0,0,0,0,1,0,0,0,'Unset',1579993292,1384378110,0,0),
(60074,646109276,1,0,'Mantis Jabs','Launches a flurry of attacks.',330,3,315,2011726342,0,95,0,1,'Your Five Rings was successful on %t!','Your Five Rings fades.','',0,1,'Spells/Fighter/Brawler/Monk/FiveRings.lua',1893,'You cast Five Rings on %t.',1,0,0,1,0,0,0,0,0,60074,0,0,0,0,0,0,0,0,0,'DD',1579988991,1384378112,0,0),
(60075,576884722,1,0,'Darting Sparrow','Launches a flurry of attacks.',330,3,315,2011726342,0,165,0,1,'Your Five Rings II was successful on %t!','Your Five Rings II fades.','',0,1,'Spells/Fighter/Brawler/Monk/FiveRings.lua',1893,'You cast Five Rings II on %t.',1,0,0,1,0,0,0,0,0,60074,0,0,0,0,0,1,0,0,0,'DD',1579989609,1384378112,0,0),
(60076,2964723020,1,0,'Lunging Mongoose','Launches a flurry of attacks.',330,3,315,2011726342,0,235,0,1,'Your Five Rings III was successful on %t!','Your Five Rings III fades.','',0,1,'Spells/Fighter/Brawler/Monk/FiveRings.lua',1893,'You cast Five Rings III on %t.',1,0,0,1,0,0,0,0,0,60074,0,0,0,0,0,1,0,0,0,'DD',1579989639,1384378110,0,0),
(60077,2233053533,1,0,'Flailing Centipede','Launches a flurry of attacks.',330,3,315,2011726342,0,310,0,1,'Your Five Rings IV was successful on %t!','Your Five Rings IV fades.','',0,1,'Spells/Fighter/Brawler/Monk/FiveRings.lua',1893,'You cast Five Rings IV on %t.',1,0,0,1,0,0,0,0,0,60074,0,0,0,0,0,1,0,0,0,'DD',1579989680,1384378112,0,0),
(60078,1234014126,1,0,'Five Rings','Launches a flurry of attacks.',330,3,315,2011726342,0,370,0,1,'Your Five Rings V was successful on %t!','Your Five Rings V fades.','',0,1,'Spells/Fighter/Brawler/Monk/FiveRings.lua',1893,'You cast Five Rings V on %t.',1,0,0,1,0,0,0,0,0,60074,0,0,0,0,0,1,0,0,0,'DD',1579989707,1384378110,0,0),
(60079,1862097563,1,0,'Five Rings VI','Launches a flurry of attacks.',330,3,315,2011726342,0,420,0,1,'Your Five Rings VI was successful on %t!','Your Five Rings VI fades.','',0,1,'Spells/Fighter/Brawler/Monk/FiveRings.lua',1893,'You cast Five Rings VI on %t.',1,0,0,1,0,0,0,0,0,60074,0,0,0,0,0,1,0,0,0,'DD',1579989740,1384378110,0,0),
(60080,3010167582,1,0,'Five Rings VII','Launches a flurry of attacks.',330,3,315,2011726342,0,470,0,1,'Your Five Rings VII was successful on %t!','Your Five Rings VII fades.','',0,1,'Spells/Fighter/Brawler/Monk/FiveRings.lua',1893,'You cast Five Rings VII on %t.',1,0,0,1,0,0,0,0,0,60074,0,0,0,0,0,1,0,0,0,'DD',1579989872,1384378113,0,0),
(60081,3758047881,1,1,'Trainees Blessing','Increases the monk''s offensive melee skills and attack speed, at the cost of decreased defense skill. This is the monk''s primary offensive stance.',195,5,317,2011726342,0,20,1,0,'Your Flow Like Wind was successful on %t!','Your Flow Like Wind fades.','',0,1,'Spells/Fighter/Brawler/Monk/FlowLikeWind.lua',1895,'You cast Flow Like Wind on %t.',1,0,0,1,1,0,0,0,0,60081,0,0,0,0,0,0,0,0,0,'Unset',1579985093,1384377825,0,0),
(60082,229033422,1,1,'Tranquil Blessing','Increases the monk''s offensive melee skills and attack speed, at the cost of decreased defense skill. This is the monk''s primary offensive stance.',195,5,317,2011726342,0,80,1,0,'Your Flow Like Wind II was successful on %t!','Your Flow Like Wind II fades.','',0,1,'Spells/Fighter/Brawler/Monk/FlowLikeWind.lua',1895,'You cast Flow Like Wind II on %t.',1,0,0,1,1,0,0,0,0,60081,0,0,0,0,0,0,0,0,0,'Unset',1579985112,1384378112,0,0),
(60083,1525530552,1,1,'Whispering Blessing','Increases the monk''s offensive melee skills and attack speed, at the cost of decreased defense skill. This is the monk''s primary offensive stance.',195,5,317,2011726342,0,175,1,0,'Your Flow Like Wind III was successful on %t!','Your Flow Like Wind III fades.','',0,1,'Spells/Fighter/Brawler/Monk/FlowLikeWind.lua',1895,'You cast Flow Like Wind III on %t.',1,0,0,1,1,0,0,0,0,60081,0,0,0,0,0,1,0,0,0,'Unset',1579985122,1384378112,0,0),
(60084,1425924183,1,1,'Halcyon Blessing','Increases the monk''s offensive melee skills and attack speed, at the cost of decreased defense skill. This is the monk''s primary offensive stance.',195,5,317,2011726342,0,245,1,0,'Your Flow Like Wind IV was successful on %t!','Your Flow Like Wind IV fades.','',0,1,'Spells/Fighter/Brawler/Monk/FlowLikeWind.lua',1895,'You cast Flow Like Wind IV on %t.',1,0,0,1,1,0,0,0,0,60081,0,0,0,0,0,1,0,0,0,'Unset',1579985136,1384377825,0,0),
(60085,1612894651,1,1,'Quiescent Blessing','Increases the monk''s offensive melee skills and attack speed, at the cost of decreased defense skill. This is the monk''s primary offensive stance.',195,5,317,2011726342,0,315,1,0,'Your Flow Like Wind V was successful on %t!','Your Flow Like Wind V fades.','',0,1,'Spells/Fighter/Brawler/Monk/FlowLikeWind.lua',1895,'You cast Flow Like Wind V on %t.',1,0,0,1,1,0,0,0,0,60081,0,0,0,0,0,1,0,0,0,'Unset',1579985144,1384378112,0,0),
(60086,1829829620,1,1,'Flow Like Wind','Increases the monk''s offensive melee skills and attack speed, at the cost of decreased defense skill. This is the monk''s primary offensive stance.',195,5,317,2011726342,0,375,1,0,'Your Flow Like Wind VI was successful on %t!','Your Flow Like Wind VI fades.','',0,1,'Spells/Fighter/Brawler/Monk/FlowLikeWind.lua',1895,'You cast Flow Like Wind VI on %t.',1,0,0,1,1,0,0,0,0,60081,0,0,0,0,0,1,0,0,0,'Unset',1579985168,1384378110,0,0),
(60087,2878523425,1,1,'Flow Like Wind VII','Increases the monk''s offensive melee skills and attack speed, at the cost of decreased defense skill. This is the monk''s primary offensive stance.',195,5,317,2011726342,0,425,1,0,'Your Flow Like Wind VII was successful on %t!','Your Flow Like Wind VII fades.','',0,1,'Spells/Fighter/Brawler/Monk/FlowLikeWind.lua',1895,'You cast Flow Like Wind VII on %t.',1,0,0,1,1,0,0,0,0,60081,0,0,0,0,0,1,0,0,0,'Unset',1579985207,1384378110,0,0),
(60088,741606242,1,1,'Flow Like Wind VIII','Increases the monk''s offensive melee skills and attack speed, at the cost of decreased defense skill. This is the monk''s primary offensive stance.',195,5,317,2011726342,0,475,1,0,'Your Flow Like Wind VIII was successful on %t!','Your Flow Like Wind VIII fades.','',0,1,'Spells/Fighter/Brawler/Monk/FlowLikeWind.lua',1895,'You cast Flow Like Wind VIII on %t.',1,0,0,1,1,0,0,0,0,60081,0,0,0,0,0,1,0,0,0,'Unset',1579985220,1384378112,0,0),
(60089,2580065918,1,0,'Cold Fist','A high damage melee attack that costs the monk''s health instead of power.',155,3,315,2011726342,0,10,0,1,'Your Frozen Palm was successful on %t!','Your Frozen Palm fades.','',0,1,'Spells/Fighter/Brawler/Monk/FrozenPalm.lua',1889,'You cast Frozen Palm on %t.',1,0,0,1,0,0,0,0,0,60089,0,0,0,0,0,0,0,0,0,'DD',1579975317,1384378110,0,0),
(60090,494099741,1,0,'Freezing Fist','A high damage melee attack that costs the monk''s health instead of power.',155,3,315,2011726342,0,85,0,1,'Your Frozen Palm II was successful on %t!','Your Frozen Palm II fades.','',0,1,'Spells/Fighter/Brawler/Monk/FrozenPalm.lua',1889,'You cast Frozen Palm II on %t.',1,0,0,1,0,0,0,0,0,60089,0,0,0,0,0,0,0,0,0,'DD',1579975384,1384378112,0,0),
(60091,4273068925,1,0,'Stumbling Boar','A high damage melee attack that costs the monk''s health instead of power.',155,3,315,2011726342,0,155,0,1,'Your Frozen Palm III was successful on %t!','Your Frozen Palm III fades.','',0,1,'Spells/Fighter/Brawler/Monk/FrozenPalm.lua',1889,'You cast Frozen Palm III on %t.',1,0,0,1,0,0,0,0,0,60089,0,0,0,0,0,1,0,0,0,'DD',1579975456,1384378112,0,0),
(60092,503107135,1,0,'Freezing Palm','A high damage melee attack that costs the monk''s health instead of power.',155,3,315,2011726342,0,225,0,1,'Your Frozen Palm IV was successful on %t!','Your Frozen Palm IV fades.','',0,1,'Spells/Fighter/Brawler/Monk/FrozenPalm.lua',1889,'You cast Frozen Palm IV on %t.',1,0,0,1,0,0,0,0,0,60089,0,0,0,0,0,1,0,0,0,'DD',1579975658,1384378110,0,0),
(60093,4054266046,1,0,'Frozen Palm','A high damage melee attack that costs the monk''s health instead of power.',155,3,315,2011726342,0,295,0,1,'Your Frozen Palm V was successful on %t!','Your Frozen Palm V fades.','',0,1,'Spells/Fighter/Brawler/Monk/FrozenPalm.lua',1889,'You cast Frozen Palm V on %t.',1,0,0,1,0,0,0,0,0,60089,0,0,0,0,0,1,0,0,0,'DD',1579975750,1384378112,0,0),
(60094,1809917954,1,0,'Velium Palm','A high damage melee attack that costs the monk''s health instead of power.',155,3,315,2011726342,0,365,0,1,'Your Frozen Palm VI was successful on %t!','Your Frozen Palm VI fades.','',0,1,'Spells/Fighter/Brawler/Monk/FrozenPalm.lua',1889,'You cast Frozen Palm VI on %t.',1,0,0,1,0,0,0,0,0,60089,0,0,0,0,0,1,0,0,0,'DD',1579984250,1384377825,0,0),
(60095,2080515779,1,0,'Frozen Palm VII','A high damage melee attack that costs the monk''s health instead of power.',155,3,315,2011726342,0,415,0,1,'Your Frozen Palm VII was successful on %t!','Your Frozen Palm VII fades.','',0,1,'Spells/Fighter/Brawler/Monk/FrozenPalm.lua',1889,'You cast Frozen Palm VII on %t.',1,0,0,1,0,0,0,0,0,60089,0,0,0,0,0,1,0,0,0,'DD',1579984387,1384378110,0,0),
(60096,3775776693,1,0,'Frozen Palm VIII','A high damage melee attack that costs the monk''s health instead of power.',155,3,315,2011726342,0,465,0,1,'Your Frozen Palm VIII was successful on %t!','Your Frozen Palm VIII fades.','',0,1,'Spells/Fighter/Brawler/Monk/FrozenPalm.lua',1889,'You cast Frozen Palm VIII on %t.',1,0,0,1,0,0,0,0,0,60089,0,0,0,0,0,1,0,0,0,'DD',1579984544,1384378113,0,0),
(60097,3499396033,1,1,'Martial Focus','Increases the monk''s strength and spell mitigation.',332,5,317,3856706740,0,60,1,0,'Your Inner Calm was successful on %t!','Your Inner Calm fades.','',0,1,'Spells/Fighter/Brawler/Monk/InnerCalm.lua',1894,'You cast Inner Calm on %t.',1,0,0,1,1,0,0,0,0,60097,0,0,0,0,0,0,0,0,0,'Unset',1579987730,1384378112,0,0),
(60098,733715183,1,1,'Karmic Focus- Ready for Testing','Increases parry and greatly increases deflection.',332,5,317,2011726342,2011726342,130,0,0,'Your Inner Calm II was successful on %t!','Your Inner Calm II fades.','',0,1,'Spells/Fighter/Brawler/Monk/KarmicFocus.lua',1288,'You cast Karmic Focus on %t.',1,0,0,1,1,0,0,0,0,60097,0,0,0,0,0,1,0,0,0,'CombatBuff',1579987739,1384378112,0,0),
(60099,1464239383,1,1,'Control Breathing','Increases the monk''s strength and spell mitigation.',332,5,317,2011726342,0,200,1,0,'Your Inner Calm III was successful on %t!','Your Inner Calm III fades.','',0,1,'Spells/Fighter/Brawler/Monk/InnerCalm.lua',1894,'You cast Inner Calm III on %t.',1,0,0,1,1,0,0,0,0,60097,0,0,0,0,0,1,0,0,0,'Unset',1579987747,1384377825,0,0),
(60100,3969685651,1,1,'Inner Calm','Increases the monk''s strength and spell mitigation.',332,5,317,2011726342,0,270,1,0,'Your Inner Calm IV was successful on %t!','Your Inner Calm IV fades.','',0,1,'Spells/Fighter/Brawler/Monk/InnerCalm.lua',1894,'You cast Inner Calm IV on %t.',1,0,0,1,1,0,0,0,0,60097,0,0,0,0,0,1,0,0,0,'Unset',1579987761,1384378110,0,0),
(60101,1060885160,1,1,'Focal Serenity','Increases the monk''s strength and spell mitigation.',332,5,317,2011726342,0,340,1,0,'Your Inner Calm V was successful on %t!','Your Inner Calm V fades.','',0,1,'Spells/Fighter/Brawler/Monk/InnerCalm.lua',1894,'You cast Inner Calm V on %t.',1,0,0,1,1,0,0,0,0,60097,0,0,0,0,0,1,0,0,0,'Unset',1579987775,1384378110,0,0),
(60102,3182433235,1,1,'Chakra','Increases the monk''s strength and spell mitigation.',332,5,317,2011726342,0,395,1,0,'Your Inner Calm VI was successful on %t!','Your Inner Calm VI fades.','',0,1,'Spells/Fighter/Brawler/Monk/InnerCalm.lua',1894,'You cast Inner Calm VI on %t.',1,0,0,1,1,0,0,0,0,60097,0,0,0,0,0,1,0,0,0,'Unset',1579987783,1384378110,0,0),
(60103,891287811,1,1,'Inner Calm VII','Increases the monk''s strength and spell mitigation.',332,5,317,2011726342,0,445,1,0,'Your Inner Calm VII was successful on %t!','Your Inner Calm VII fades.','',0,1,'Spells/Fighter/Brawler/Monk/InnerCalm.lua',1894,'You cast Inner Calm VII on %t.',1,0,0,1,1,0,0,0,0,60097,0,0,0,0,0,1,0,0,0,'Unset',1579987805,1384378112,0,0),
(60104,3901300870,1,1,'Inner Calm VIII','Increases the monk''s strength and spell mitigation.',332,5,317,2011726342,0,495,1,0,'Your Inner Calm VIII was successful on %t!','Your Inner Calm VIII fades.','',0,1,'Spells/Fighter/Brawler/Monk/InnerCalm.lua',1894,'You cast Inner Calm VIII on %t.',1,0,0,1,1,0,0,0,0,60097,0,0,0,0,0,1,0,0,0,'Unset',1579987838,1384377825,0,0),
(60105,3720464384,1,0,'Thundering Hand','For a short duration, the monk''s fists become energized with static, unleashing magic damage with every successful melee hit for up to 8 attacks.',233,5,317,2011726342,0,75,0,0,'Your Lightning Palm was successful on %t!','Your Lightning Palm fades.','',0,1,'Spells/Fighter/Brawler/Monk/LightningPalm.lua',1891,'You cast Lightning Palm on %t.',1,0,0,1,1,0,0,0,0,60105,0,0,0,0,0,0,0,0,0,'Unset',1579988747,1384377825,0,0),
(60106,478253180,1,0,'Jolting Hand','For a short duration, the monk''s fists become energized with static, unleashing magic damage with every successful melee hit for up to 8 attacks.',233,5,317,2011726342,0,145,0,0,'Your Lightning Palm II was successful on %t!','Your Lightning Palm II fades.','',0,1,'Spells/Fighter/Brawler/Monk/LightningPalm.lua',1891,'You cast Lightning Palm II on %t.',1,0,0,1,1,0,0,0,0,60105,0,0,0,0,0,0,0,0,0,'Unset',1579988773,1384378111,0,0),
(60107,4199338302,1,0,'Shocking Hand','For a short duration, the monk''s fists become energized with static, unleashing magic damage with every successful melee hit for up to 8 attacks.',233,5,317,2011726342,0,215,0,0,'Your Lightning Palm III was successful on %t!','Your Lightning Palm III fades.','',0,1,'Spells/Fighter/Brawler/Monk/LightningPalm.lua',1891,'You cast Lightning Palm III on %t.',1,0,0,1,1,0,0,0,0,60105,0,0,0,0,0,1,0,0,0,'Unset',1579988867,1384378110,0,0),
(60108,2994451387,1,0,'Storming Palm','For a short duration, the monk''s fists become energized with static, unleashing magic damage with every successful melee hit for up to 8 attacks.',233,5,317,2011726342,0,285,0,0,'Your Lightning Palm IV was successful on %t!','Your Lightning Palm IV fades.','',0,1,'Spells/Fighter/Brawler/Monk/LightningPalm.lua',1891,'You cast Lightning Palm IV on %t.',1,0,0,1,1,0,0,0,0,60105,0,0,0,0,0,1,0,0,0,'Unset',1579988878,1384378111,0,0),
(60109,330200354,1,0,'Lightning Palm','For a short duration, the monk''s fists become energized with static, unleashing magic damage with every successful melee hit for up to 8 attacks.',233,5,317,2011726342,0,355,0,0,'Your Lightning Palm V was successful on %t!','Your Lightning Palm V fades.','',0,1,'Spells/Fighter/Brawler/Monk/LightningPalm.lua',1891,'You cast Lightning Palm V on %t.',1,0,0,1,1,0,0,0,0,60105,0,0,0,0,0,1,0,0,0,'Unset',1579988893,1384378110,0,0),
(60110,3576448759,1,0,'Lightning Palm VI','For a short duration, the monk''s fists become energized with static, unleashing magic damage with every successful melee hit for up to 8 attacks.',233,5,317,2011726342,0,405,0,0,'Your Lightning Palm VI was successful on %t!','Your Lightning Palm VI fades.','',0,1,'Spells/Fighter/Brawler/Monk/LightningPalm.lua',1891,'You cast Lightning Palm VI on %t.',1,0,0,1,1,0,0,0,0,60105,0,0,0,0,0,1,0,0,0,'Unset',1579988902,1384378110,0,0),
(60111,1384811956,1,0,'Lightning Palm VII','For a short duration, the monk''s fists become energized with static, unleashing magic damage with every successful melee hit for up to 8 attacks.',233,5,317,2011726342,0,455,0,0,'Your Lightning Palm VII was successful on %t!','Your Lightning Palm VII fades.','',0,1,'Spells/Fighter/Brawler/Monk/LightningPalm.lua',1891,'You cast Lightning Palm VII on %t.',1,0,0,1,1,0,0,0,0,60105,0,0,0,0,0,1,0,0,0,'Unset',1579988931,1384378112,0,0),
(60112,3242124289,1,0,'Focus','Replenishes some of target''s health and cures noxious impairments.',181,5,316,2011726342,0,15,0,1,'Your Mend was successful on %t!','Your Mend fades.','',0,1,'Spells/Fighter/Brawler/Monk/Mend.lua',1339,'You cast Mend on %t.',1,0,0,1,1,0,0,0,0,60112,0,0,0,0,0,0,0,0,0,'Unset',1579984769,1384378110,0,0),
(60113,721957876,1,0,'Patch','Replenishes some of target''s health and cures noxious impairments.',181,5,316,2011726342,2011726342,50,0,1,'Your Mend II was successful on %t!','Your Mend II fades.','',0,1,'Spells/Fighter/Brawler/Monk/Mend.lua',1339,'You cast Mend II on %t.',1,0,0,1,1,0,0,0,0,60112,0,0,0,0,0,0,0,0,0,'Unset',1579984789,1384377825,0,0),
(60114,112342185,1,0,'Mend- Ready for Testing','Heals a percentage of target''s health.',181,5,316,2011726342,2011726342,100,0,1,'Your Mend III was successful on %t!','Your Mend III fades.','',0,1,'Spells/Fighter/Brawler/Monk/MendClassic.lua',1339,'You cast Mend on %t.',1,0,0,1,1,0,0,0,0,60114,0,0,0,0,0,1,0,0,0,'Heal',1579984807,1384378112,0,0),
(60115,80636041,1,0,'Compress','Heals a percentage of target''s health and cures noxious impairments.',181,5,316,2011726342,2011726342,170,0,1,'Your Mend IV was successful on %t!','Your Mend IV fades.','',0,1,'Spells/Fighter/Brawler/Monk/Mendpct.lua',1339,'You cast Mend IV on %t.',1,0,0,1,1,0,0,0,0,60112,0,0,0,0,0,1,0,0,0,'Unset',1579984819,1384378112,0,0),
(60116,934078257,1,0,'Heal','Heals a percentage of target''s health and cures noxious impairments.',158,5,316,2011726342,2011726342,240,0,1,'Your Mend V was successful on %t!','Your Mend V fades.','',0,1,'Spells/Fighter/Brawler/Monk/Mendpct.lua',1339,'You cast Mend V on %t.',1,0,0,1,1,0,0,0,0,60112,0,0,0,0,0,1,0,0,0,'Unset',1579984838,1384378110,0,0),
(60117,2642608029,1,0,'Stone Stance','Stuns you in place while greatly increasing your physical mitigation.',329,4,317,2011726342,0,200,0,0,'Your Mountain Stance was successful on %t!','Your Mountain Stance fades.','',0,1,'Spells/Fighter/Brawler/Monk/MountainStance.lua',1900,'You cast Mountain Stance on %t.',1,0,0,1,1,0,0,4,0,60117,0,0,0,0,0,1,0,0,0,'Unset',1579991915,1384378110,0,0),
(60118,1218286403,1,0,'Boulder Stance','Stuns you in place while greatly increasing your physical mitigation.',329,4,317,2011726342,0,270,0,0,'Your Mountain Stance II was successful on %t!','Your Mountain Stance II fades.','',0,1,'Spells/Fighter/Brawler/Monk/MountainStance.lua',1900,'You cast Mountain Stance II on %t.',1,0,0,1,1,1,0,4,0,60117,0,0,0,0,0,1,0,0,0,'Unset',1579991947,1384378110,0,0),
(60119,1853768832,1,0,'Mountain Stance','Stuns you in place while greatly increasing your physical mitigation.',329,4,317,2011726342,0,340,0,0,'Your Mountain Stance III was successful on %t!','Your Mountain Stance III fades.','',0,1,'Spells/Fighter/Brawler/Monk/MountainStance.lua',1900,'You cast Mountain Stance III on %t.',1,0,0,1,1,1,0,4,0,60117,0,0,0,0,0,1,0,0,0,'Unset',1579991954,1384378110,0,0),
(60120,3383161079,1,0,'Iron Stance','Stuns you in place while greatly increasing your physical mitigation.',329,4,317,2011726342,0,390,0,0,'Your Mountain Stance IV was successful on %t!','Your Mountain Stance IV fades.','',0,1,'Spells/Fighter/Brawler/Monk/MountainStance.lua',1900,'You cast Mountain Stance IV on %t.',1,0,0,1,1,1,0,4,0,60117,0,0,0,0,0,1,0,0,0,'Unset',1579991967,1384378110,0,0),
(60121,2001950217,1,0,'Mountain Stance V','Stuns you in place while greatly increasing your physical mitigation.',329,4,317,2011726342,0,440,0,0,'Your Mountain Stance V was successful on %t!','Your Mountain Stance V fades.','',0,1,'Spells/Fighter/Brawler/Monk/MountainStance.lua',1900,'You cast Mountain Stance V on %t.',1,0,0,1,1,1,0,4,0,60117,0,0,0,0,0,1,0,0,0,'Unset',1579991983,1384378112,0,0),
(60122,2550259944,1,0,'Mountain Stance VI','Stuns you in place while greatly increasing your physical mitigation.',329,4,317,2011726342,0,490,0,0,'Your Mountain Stance VI was successful on %t!','Your Mountain Stance VI fades.','',0,1,'Spells/Fighter/Brawler/Monk/MountainStance.lua',1900,'You cast Mountain Stance VI on %t.',1,0,0,0,1,0,0,4,0,60117,0,0,0,0,0,1,0,0,0,'Unset',1579991991,1384377825,0,0),
(60123,2570892326,1,0,'Outward Calm','Allows the monk to ward non-physical sources of damage for a short duration.',194,65535,317,2011726342,0,260,0,0,'Your Outward Calm was successful on %t!','Your Outward Calm fades.','',0,1,'Spells/Fighter/Brawler/Monk/OutwardCalm.lua',1903,'You cast Outward Calm on %t.',1,0,0,1,1,1,0,0,0,60123,0,0,0,0,0,1,0,0,0,'Unset',1579992503,1384378110,0,0),
(60124,4170070313,1,0,'External Calm','Allows the monk to ward non-physical sources of damage for a short duration.',194,65535,317,2011726342,0,360,0,0,'Your Outward Calm II was successful on %t!','Your Outward Calm II fades.','',0,1,'Spells/Fighter/Brawler/Monk/OutwardCalm.lua',1903,'You cast Outward Calm II on %t.',1,0,0,1,1,1,0,0,0,60123,0,0,0,0,0,0,0,0,0,'Unset',1579992523,1384378110,0,0),
(60125,2220622471,1,0,'Outward Calm III','Allows the monk to ward non-physical sources of damage for a short duration.',194,65535,317,2011726342,0,410,0,0,'Your Outward Calm III was successful on %t!','Your Outward Calm III fades.','',0,1,'Spells/Fighter/Brawler/Monk/OutwardCalm.lua',1903,'You cast Outward Calm III on %t.',1,0,0,1,1,1,0,0,0,60123,0,0,0,0,0,0,0,0,0,'Unset',1579992545,1384378110,0,0),
(60126,1034410351,1,0,'Outward Calm IV','Allows the monk to ward non-physical sources of damage for a short duration.',194,65535,317,2011726342,0,460,0,0,'Your Outward Calm IV was successful on %t!','Your Outward Calm IV fades.','',0,1,'Spells/Fighter/Brawler/Monk/OutwardCalm.lua',1903,'You cast Outward Calm IV on %t.',1,0,0,1,1,1,0,0,0,60123,0,0,0,0,0,0,0,0,0,'Unset',1579992562,1384378112,0,0),
(60127,3986601308,1,0,'Peel','Peel distracts an enemy that doesn''t already hate you the most, and forces you to become their target. Peel slowly increases hate with that enemy and applies additional hate when the spell terminates.',325,65535,315,2011726342,723762198,400,0,1,'Your Peel was successful on %t!','Your Peel fades.','',0,1,'Spells/Fighter/Brawler/Monk/Peel.lua',1907,'You cast Peel on %t.',1,0,0,1,0,1,0,0,0,60127,0,0,0,0,0,0,0,0,0,'Unset',1579992698,1384378110,0,0),
(60128,1273609960,1,0,'Peel II','Peel distracts an enemy that doesn''t already hate you the most, and forces you to become their target. Peel slowly increases hate with that enemy and applies additional hate when the spell terminates.',325,65535,315,2011726342,723762198,450,0,1,'Your Peel II was successful on %t!','Your Peel II fades.','',0,1,'Spells/Fighter/Brawler/Monk/Peel.lua',1907,'You cast Peel II on %t.',1,0,0,1,0,1,0,0,0,60127,0,0,0,0,0,0,0,0,0,'Unset',1579992854,1384378112,0,0),
(60129,316406693,1,0,'Peel III','Peel distracts an enemy that doesn''t already hate you the most, and forces you to become their target. Peel slowly increases hate with that enemy and applies additional hate when the spell terminates.',325,65535,315,2011726342,723762198,500,0,1,'Your Peel III was successful on %t!','Your Peel III fades.','',0,1,'Spells/Fighter/Brawler/Monk/Peel.lua',1907,'You cast Peel III on %t.',1,0,0,0,0,0,0,0,0,60127,0,0,0,0,0,0,0,0,0,'Unset',1579992894,1384377825,0,0),
(60130,3672933475,1,1,'Perfect Serenity','This is the condensed energy of an ancient, mythical weapon.',755,65535,317,2011726342,0,400,1,1,'Your Perfect Serenity was successful on %t!','Your Perfect Serenity fades.','',0,1,'Spells/Fighter/Brawler/Monk/PerfectSerenity.lua',3535,'You cast Perfect Serenity on %t.',1,0,0,1,1,1,0,0,0,60130,0,0,0,0,0,0,0,0,0,'Unset',1384670884,1384377877,0,0),
(60131,3287829040,1,0,'Swooping Dragon- Ready for Testing','Launches a flying kick at the monk''s target.',368,0,315,2011726342,2011726342,110,0,1,'Your Rising Dragon was successful on %t!','Your Rising Dragon fades.','',0,1,'Spells/Fighter/Brawler/Monk/SwoopingDragon.lua',358,'You cast Swooping Dragon on %t.',1,0,0,1,0,0,0,0,0,60131,0,0,0,0,0,1,0,0,0,'DD',1579990220,1384378112,0,0),
(60132,3405617741,1,0,'Diving Dragon','A flying kick attack that deals additional heat damage over time on the target.',368,0,315,2011726342,2011726342,180,0,1,'Your Rising Dragon II was successful on %t!','Your Rising Dragon II fades.','',0,1,'Spells/Fighter/Brawler/Monk/RisingDragon.lua',1896,'You cast Rising Dragon II on %t.',1,0,0,1,0,0,4,0,0,60131,0,0,0,0,0,1,0,0,0,'DoT',1579990242,1384378112,0,0),
(60133,3499168198,1,0,'Flying Dragon','A flying kick attack that deals additional heat damage over time on the target.',368,0,315,2011726342,2011726342,250,0,1,'Your Rising Dragon III was successful on %t!','Your Rising Dragon III fades.','',0,1,'Spells/Fighter/Brawler/Monk/RisingDragon.lua',1896,'You cast Rising Dragon III on %t.',1,0,0,1,0,0,4,0,0,60131,0,0,0,0,0,1,0,0,0,'DoT',1579990282,1384378110,0,0),
(60134,4126239801,1,0,'Soaring Dragon','A flying kick attack that deals additional heat damage over time on the target.',368,0,315,2011726342,2011726342,320,0,1,'Your Rising Dragon IV was successful on %t!','Your Rising Dragon IV fades.','',0,1,'Spells/Fighter/Brawler/Monk/RisingDragon.lua',1896,'You cast Rising Dragon IV on %t.',1,0,0,1,0,0,4,0,0,60131,0,0,0,0,0,1,0,0,0,'DoT',1579990408,1384378112,0,0),
(60135,2071528335,1,0,'Rising Dragon','A flying kick attack that deals additional heat damage over time on the target.',368,0,315,2011726342,2011726342,380,0,1,'Your Rising Dragon V was successful on %t!','Your Rising Dragon V fades.','',0,1,'Spells/Fighter/Brawler/Monk/RisingDragon.lua',1896,'You cast Rising Dragon V on %t.',1,0,0,1,0,0,4,0,0,60131,0,0,0,0,0,1,0,0,0,'DoT',1579990589,1384378110,0,0),
(60136,4120077493,1,0,'Rising Dragon VI','A flying kick attack that deals additional heat damage over time on the target.',368,0,315,2011726342,2011726342,430,0,1,'Your Rising Dragon VI was successful on %t!','Your Rising Dragon VI fades.','',0,1,'Spells/Fighter/Brawler/Monk/RisingDragon.lua',1896,'You cast Rising Dragon VI on %t.',1,0,0,1,0,0,4,0,0,60131,0,0,0,0,0,1,0,0,0,'DoT',1579990626,1384378112,0,0),
(60137,1543238948,1,0,'Rising Dragon VII','A flying kick attack that deals additional heat damage over time on the target.',368,0,315,2011726342,0,480,0,1,'Your Rising Dragon VII was successful on %t!','Your Rising Dragon VII fades.','',0,1,'Spells/Fighter/Brawler/Monk/RisingDragon.lua',1896,'You cast Rising Dragon VII on %t.',1,0,0,1,0,0,4,0,0,60131,0,0,0,0,0,1,0,0,0,'DoT',1579990662,1384378112,0,0),
(60138,2969700284,1,0,'Thrust Kick','A powerful kick attack that knocks the target down on a successful hit.',331,4,315,3856706740,0,55,0,1,'Your Rising Phoenix was successful on %t!','Your Rising Phoenix fades.','',0,1,'Spells/Fighter/Brawler/Monk/RisingPhoenix.lua',1886,'You cast Rising Phoenix on %t.',1,0,0,1,0,0,0,4,0,60138,0,0,0,0,0,0,0,0,0,'DD',1579987263,1384378112,0,0),
(60139,866424813,1,0,'Break Through','A powerful kick attack that knocks the target down on a successful hit.',331,4,315,2011726342,2011726342,125,0,1,'Your Rising Phoenix II was successful on %t!','Your Rising Phoenix II fades.','',0,1,'Spells/Fighter/Brawler/Monk/BreakThrough.lua',1886,'You cast Rising Phoenix II on %t.',1,0,0,1,0,0,0,4,0,60138,0,0,0,0,0,0,0,0,0,'DD',1579987300,1384378112,0,0),
(60140,367805814,1,0,'Biting Mantis','A powerful kick attack that knocks the target down on a successful hit.',331,4,315,2011726342,0,195,0,1,'Your Rising Phoenix III was successful on %t!','Your Rising Phoenix III fades.','',0,1,'Spells/Fighter/Brawler/Monk/RisingPhoenix.lua',1886,'You cast Rising Phoenix III on %t.',1,0,0,1,0,0,0,4,0,60138,0,0,0,0,0,1,0,0,0,'DD',1579987314,1384378110,0,0),
(60141,4178178574,1,0,'Swooping Crane','A powerful kick attack that knocks the target down on a successful hit.',331,4,315,2011726342,0,265,0,1,'Your Rising Phoenix IV was successful on %t!','Your Rising Phoenix IV fades.','',0,1,'Spells/Fighter/Brawler/Monk/RisingPhoenix.lua',1886,'You cast Rising Phoenix IV on %t.',1,0,0,1,0,0,0,4,0,60138,0,0,0,0,0,1,0,0,0,'DD',1579987405,1384378110,0,0),
(60142,2545261030,1,0,'Soaring Eagle','A powerful kick attack that knocks the target down on a successful hit.',331,4,315,2011726342,0,335,0,1,'Your Rising Phoenix V was successful on %t!','Your Rising Phoenix V fades.','',0,1,'Spells/Fighter/Brawler/Monk/RisingPhoenix.lua',1886,'You cast Rising Phoenix V on %t.',1,0,0,1,0,0,0,4,0,60138,0,0,0,0,0,1,0,0,0,'DD',1579987428,1384378112,0,0),
(60143,3886849047,1,0,'Rising Phoenix','A powerful kick attack that knocks the target down on a successful hit.',331,4,315,2011726342,0,385,0,1,'Your Rising Phoenix VI was successful on %t!','Your Rising Phoenix VI fades.','',0,1,'Spells/Fighter/Brawler/Monk/RisingPhoenix.lua',1886,'You cast Rising Phoenix VI on %t.',1,0,0,1,0,0,0,4,0,60138,0,0,0,0,0,1,0,0,0,'DD',1579987445,1384378110,0,0),
(60144,556707778,1,0,'Rising Phoenix VII','A powerful kick attack that knocks the target down on a successful hit.',331,4,315,2011726342,0,435,0,1,'Your Rising Phoenix VII was successful on %t!','Your Rising Phoenix VII fades.','',0,1,'Spells/Fighter/Brawler/Monk/RisingPhoenix.lua',1886,'You cast Rising Phoenix VII on %t.',1,0,0,1,0,0,0,4,0,60138,0,0,0,0,0,1,0,0,0,'DD',1579987466,1384378112,0,0),
(60145,2793956481,1,0,'Rising Phoenix VIII','A powerful kick attack that knocks the target down on a successful hit.',331,4,315,2011726342,0,485,0,1,'Your Rising Phoenix VIII was successful on %t!','Your Rising Phoenix VIII fades.','',0,1,'Spells/Fighter/Brawler/Monk/RisingPhoenix.lua',1886,'You cast Rising Phoenix VIII on %t.',1,0,0,1,0,0,0,4,0,60138,0,0,0,0,0,1,0,0,0,'DD',1579987568,1384378110,0,0),
(60146,2226637742,1,0,'Kick','A melee attack that deals moderate slashing damage.',292,4,315,1408356869,0,25,0,1,'Your Roundhouse Kick was successful on %t!','Your Roundhouse Kick fades.','',0,1,'Spells/Fighter/Brawler/Monk/RoundhouseKick.lua',1881,'You cast Roundhouse Kick on %t.',1,0,0,1,0,0,0,0,0,60146,0,0,0,0,0,0,0,0,0,'DD',1579985277,1384378112,0,0),
(60147,4277998878,1,0,'Roundhouse Kick','A melee attack that deals moderate slashing damage.',292,4,315,2011726342,0,95,0,1,'Your Roundhouse Kick II was successful on %t!','Your Roundhouse Kick II fades.','',0,1,'Spells/Fighter/Brawler/Monk/RoundhouseKick.lua',1881,'You cast Roundhouse Kick II on %t.',1,0,0,1,0,0,0,0,0,60146,0,0,0,0,0,0,0,0,0,'DD',1579985307,1384378112,0,0),
(60148,1177539437,1,0,'Swooping Hawk','A melee attack that deals moderate slashing damage.',292,4,315,2011726342,0,165,0,1,'Your Roundhouse Kick III was successful on %t!','Your Roundhouse Kick III fades.','',0,1,'Spells/Fighter/Brawler/Monk/RoundhouseKick.lua',1881,'You cast Roundhouse Kick III on %t.',1,0,0,1,0,0,0,0,0,60146,0,0,0,0,0,1,0,0,0,'DD',1579985326,1384378112,0,0),
(60149,3001403225,1,0,'Diving Phoenix','A melee attack that deals moderate slashing damage.',292,4,315,2011726342,0,235,0,1,'Your Roundhouse Kick IV was successful on %t!','Your Roundhouse Kick IV fades.','',0,1,'Spells/Fighter/Brawler/Monk/RoundhouseKick.lua',1881,'You cast Roundhouse Kick IV on %t.',1,0,0,1,0,0,0,0,0,60146,0,0,0,0,0,1,0,0,0,'DD',1579985360,1384378110,0,0),
(60150,48213748,1,0,'Leaping Tiger','A melee attack that deals moderate slashing damage.',292,4,315,2011726342,0,305,0,1,'Your Roundhouse Kick V was successful on %t!','Your Roundhouse Kick V fades.','',0,1,'Spells/Fighter/Brawler/Monk/RoundhouseKick.lua',1881,'You cast Roundhouse Kick V on %t.',1,0,0,1,0,0,0,0,0,60146,0,0,0,0,0,1,0,0,0,'DD',1579985391,1384378112,0,0),
(60151,3773574587,1,0,'Horse Kick','A melee attack that deals moderate slashing damage.',292,4,315,2011726342,0,370,0,1,'Your Roundhouse Kick VI was successful on %t!','Your Roundhouse Kick VI fades.','',0,1,'Spells/Fighter/Brawler/Monk/RoundhouseKick.lua',1881,'You cast Roundhouse Kick VI on %t.',1,0,0,1,0,0,0,0,0,60146,0,0,0,0,0,1,0,0,0,'DD',1579985446,1384378110,0,0),
(60152,339783393,1,0,'Roundhouse Kick VII','A melee attack that deals moderate slashing damage.',292,4,315,2011726342,0,420,0,1,'Your Roundhouse Kick VII was successful on %t!','Your Roundhouse Kick VII fades.','',0,1,'Spells/Fighter/Brawler/Monk/RoundhouseKick.lua',1881,'You cast Roundhouse Kick VII on %t.',1,0,0,1,0,0,0,0,0,60146,0,0,0,0,0,1,0,0,0,'DD',1579985484,1384377825,0,0),
(60153,4212267008,1,0,'Roundhouse Kick VIII','A melee attack that deals moderate slashing damage.',292,4,315,2011726342,0,470,0,1,'Your Roundhouse Kick VIII was successful on %t!','Your Roundhouse Kick VIII fades.','',0,1,'Spells/Fighter/Brawler/Monk/RoundhouseKick.lua',1881,'You cast Roundhouse Kick VIII on %t.',1,0,0,1,0,0,0,0,0,60146,0,0,0,0,0,1,0,0,0,'DD',1579985500,1384378112,0,0),
(60154,1249985157,1,0,'Silent Palm','A powerful attack that stifles the target for a short duration.',293,3,315,2011726342,2011726342,250,0,1,'Your Silent Palm was successful on %t!','Your Silent Palm fades.','',0,1,'Spells/Fighter/Brawler/Monk/SilentPalm.lua',1902,'You cast Silent Palm on %t.',1,0,0,1,0,0,1,2,0,60154,0,0,0,0,0,1,0,0,0,'DD',1579992302,1384378110,0,0),
(60155,4129649494,1,0,'Silencing Palm','A powerful attack that stifles the target for a short duration.',293,3,315,2011726342,2011726342,350,0,1,'Your Silent Palm II was successful on %t!','Your Silent Palm II fades.','',0,1,'Spells/Fighter/Brawler/Monk/SilentPalm.lua',1902,'You cast Silent Palm II on %t.',1,0,0,1,0,0,1,2,0,60154,0,0,0,0,0,1,0,0,0,'DD',1579992369,1384378110,0,0),
(60156,4055564650,1,0,'Stifiling Palm','A powerful attack that stifles the target for a short duration.',293,3,315,2011726342,2011726342,400,0,1,'Your Silent Palm III was successful on %t!','Your Silent Palm III fades.','',0,1,'Spells/Fighter/Brawler/Monk/SilentPalm.lua',1902,'You cast Silent Palm III on %t.',1,0,0,1,0,0,1,2,0,60154,0,0,0,0,0,1,0,0,0,'DD',1579992383,1384378110,0,0),
(60157,1618269096,1,0,'Silent Palm IV','A powerful attack that stifles the target for a short duration.',293,3,315,2011726342,2011726342,450,0,1,'Your Silent Palm IV was successful on %t!','Your Silent Palm IV fades.','',0,1,'Spells/Fighter/Brawler/Monk/SilentPalm.lua',1902,'You cast Silent Palm IV on %t.',1,0,0,1,0,0,1,2,0,60154,0,0,0,0,0,1,0,0,0,'DD',1579992417,1384378112,0,0),
(60158,2010773248,1,0,'Silent Palm V','A powerful attack that stifles the target for a short duration.',293,3,315,2011726342,0,500,0,1,'Your Silent Palm V was successful on %t!','Your Silent Palm V fades.','',0,1,'Spells/Fighter/Brawler/Monk/SilentPalm.lua',1902,'You cast Silent Palm V on %t.',1,0,0,1,0,0,1,2,0,60154,0,0,0,0,0,1,0,0,0,'DD',1579992453,1384378112,0,0),
(60159,509525629,1,0,'Taunt','Increases the target''s hate towards the monk. This ability can be used while the monk is stifled or stunned.',289,2,315,1408356869,723762198,5,0,1,'Your Silent Threat was successful on %t!','Your Silent Threat fades.','',0,1,'Spells/Fighter/Brawler/Monk/SilentThreat.lua',1879,'You cast Silent Threat on %t.',1,0,0,1,0,0,0,0,0,60159,0,6,0,0,0,0,0,0,0,'Unset',1579974478,1384377864,0,0),
(60160,1708692978,1,0,'Stare','Increases the target''s hate towards the monk. This ability can be used while the monk is stifled or stunned.',289,2,315,2011726342,723762198,45,0,1,'Your Silent Threat II was successful on %t!','Your Silent Threat II fades.','',0,1,'Spells/Fighter/Brawler/Monk/SilentThreat.lua',1879,'You cast Silent Threat II on %t.',1,0,0,1,0,0,0,0,0,60159,0,6,0,0,0,0,0,0,0,'Unset',1579974515,1384377868,0,0),
(60161,2754267306,1,0,'Staring Threat','Increases the target''s hate towards the monk. This ability can be used while the monk is stifled or stunned.',289,2,315,2011726342,723762198,85,0,1,'Your Silent Threat III was successful on %t!','Your Silent Threat III fades.','',0,1,'Spells/Fighter/Brawler/Monk/SilentThreat.lua',1879,'You cast Silent Threat III on %t.',1,0,0,1,0,0,0,0,0,60159,0,6,0,0,0,0,0,0,0,'Unset',1579974537,1384378112,0,0),
(60162,932579983,1,0,'Silent Threat','Increases the target''s hate towards the monk. This ability can be used while the monk is stifled or stunned.',289,2,315,2011726342,723762198,155,0,1,'Your Silent Threat IV was successful on %t!','Your Silent Threat IV fades.','',0,1,'Spells/Fighter/Brawler/Monk/SilentThreat.lua',1879,'You cast Silent Threat IV on %t.',1,0,0,1,0,0,0,0,0,60159,0,6,0,0,0,1,0,0,0,'Unset',1579974618,1384378111,0,0),
(60163,3529038554,1,0,'Silent Threat IX','Increases the target''s hate towards the monk. This ability can be used while the monk is stifled or stunned.',289,2,315,2011726342,723762198,460,0,1,'Your Silent Threat IX was successful on %t!','Your Silent Threat IX fades.','',0,1,'Spells/Fighter/Brawler/Monk/SilentThreat.lua',1879,'You cast Silent Threat IX on %t.',1,0,0,1,0,0,0,0,0,60159,0,6,0,0,0,1,0,0,0,'Unset',1579974803,1384378113,0,0),
(60164,4228781144,1,0,'Infuriating Calm','Increases the target''s hate towards the monk. This ability can be used while the monk is stifled or stunned.',289,2,315,2011726342,723762198,225,0,1,'Your Silent Threat V was successful on %t!','Your Silent Threat V fades.','',0,1,'Spells/Fighter/Brawler/Monk/SilentThreat.lua',1879,'You cast Silent Threat V on %t.',1,0,0,1,0,0,0,0,0,60159,0,6,0,0,0,1,0,0,0,'Unset',1579974639,1384378110,0,0),
(60165,778836800,1,0,'Infuriating Tranquility','Increases the target''s hate towards the monk. This ability can be used while the monk is stifled or stunned.',289,2,315,2011726342,723762198,295,0,1,'Your Silent Threat VI was successful on %t!','Your Silent Threat VI fades.','',0,1,'Spells/Fighter/Brawler/Monk/SilentThreat.lua',1879,'You cast Silent Threat VI on %t.',1,0,0,1,0,0,0,0,0,60159,0,6,0,0,0,1,0,0,0,'Unset',1579974664,1384377825,0,0),
(60166,3201378926,1,0,'Infuriation','Increases the target''s hate towards the monk. This ability can be used while the monk is stifled or stunned.',289,2,315,1433335062,723762198,360,0,1,'Your Silent Threat VII was successful on %t!','Your Silent Threat VII fades.','',0,1,'Spells/Fighter/Brawler/Monk/SilentThreat.lua',1879,'You cast Silent Threat VII on %t.',1,0,0,1,0,0,0,0,0,60159,0,6,0,0,0,1,0,0,0,'Unset',1579974686,1384377825,0,0),
(60167,2083539787,1,0,'Silent Threat VIII','Increases the target''s hate towards the monk. This ability can be used while the monk is stifled or stunned.',289,2,315,2011726342,723762198,410,0,1,'Your Silent Threat VIII was successful on %t!','Your Silent Threat VIII fades.','',0,1,'Spells/Fighter/Brawler/Monk/SilentThreat.lua',1879,'You cast Silent Threat VIII on %t.',1,0,0,1,0,0,0,0,0,60159,0,6,0,0,0,1,0,0,0,'Unset',1579974729,1384378110,0,0),
(60168,455398246,1,0,'Power Strike','A melee attack that deals moderate damage and decreases the target''s defense if it hits.',494,0,315,3856706740,0,50,0,1,'Your Striking Cobra was successful on %t!','Your Striking Cobra fades.','',0,1,'Spells/Fighter/Brawler/Monk/StrikingCobra.lua',1885,'You cast Striking Cobra on %t.',1,0,0,1,0,0,1,0,0,60168,0,0,0,0,0,0,0,0,0,'DD',1579986805,1384378112,0,0),
(60169,2550475470,1,0,'Grappling Bear- Ready for Testing','A lower damage attack that interrupts the enemy.',241,0,315,2011726342,2011726342,120,0,1,'Your Striking Cobra II was successful on %t!','Your Striking Cobra II fades.','',0,1,'Spells/Fighter/Brawler/Monk/GrapplingBear.lua',1289,'You cast Grappling BearI on %t.',1,0,0,1,0,0,1,0,0,60166,0,0,0,0,0,1,0,0,0,'DD',1579986846,1384378112,0,0),
(60170,1565521508,1,0,'Striking Cobra','A melee attack that deals moderate damage and decreases the target''s defense if it hits.',494,0,315,2011726342,0,190,0,1,'Your Striking Cobra III was successful on %t!','Your Striking Cobra III fades.','',0,1,'Spells/Fighter/Brawler/Monk/StrikingCobra.lua',1885,'You cast Striking Cobra III on %t.',1,0,0,1,0,0,1,0,0,60168,0,0,0,0,0,1,0,0,0,'DD',1579986898,1384378110,0,0),
(60171,279306297,1,0,'Lunging Cobra','A melee attack that deals moderate damage and decreases the target''s defense if it hits.',494,4,315,2011726342,0,260,0,1,'Your Striking Cobra IV was successful on %t!','Your Striking Cobra IV fades.','',0,1,'Spells/Fighter/Brawler/Monk/StrikingCobra.lua',1885,'You cast Striking Cobra IV on %t.',1,0,0,1,0,0,1,0,0,60168,0,0,0,0,0,1,0,0,0,'DD',1579986936,1384378110,0,0),
(60172,1436054953,1,0,'Punishing Cobra','A melee attack that deals moderate damage and decreases the target''s defense if it hits.',494,4,315,2011726342,0,330,0,1,'Your Striking Cobra V was successful on %t!','Your Striking Cobra V fades.','',0,1,'Spells/Fighter/Brawler/Monk/StrikingCobra.lua',1885,'You cast Striking Cobra V on %t.',1,0,0,1,0,0,1,0,0,60168,0,0,0,0,0,1,0,0,0,'DD',1579986948,1384378112,0,0),
(60173,2046496847,1,0,'Biting Cobra','A melee attack that deals moderate damage and decreases the target''s defense if it hits.',494,0,315,2011726342,0,385,0,1,'Your Striking Cobra VI was successful on %t!','Your Striking Cobra VI fades.','',0,1,'Spells/Fighter/Brawler/Monk/StrikingCobra.lua',1885,'You cast Striking Cobra VI on %t.',1,0,0,1,0,0,1,0,0,60168,0,0,0,0,0,1,0,0,0,'DD',1579986978,1384378110,0,0),
(60174,1714390340,1,0,'Striking Cobra VII','A melee attack that deals moderate damage and decreases the target''s defense if it hits.',494,0,315,2011726342,0,435,0,1,'Your Striking Cobra VII was successful on %t!','Your Striking Cobra VII fades.','',0,1,'Spells/Fighter/Brawler/Monk/StrikingCobra.lua',1885,'You cast Striking Cobra VII on %t.',1,0,0,1,0,0,1,0,0,60168,0,0,0,0,0,1,0,0,0,'DD',1579987055,1384378112,0,0),
(60175,3783872007,1,0,'Striking Cobra VIII','A melee attack that deals moderate damage and decreases the target''s defense if it hits.',494,0,315,2011726342,0,485,0,1,'Your Striking Cobra VIII was successful on %t!','Your Striking Cobra VIII fades.','',0,1,'Spells/Fighter/Brawler/Monk/StrikingCobra.lua',1885,'You cast Striking Cobra VIII on %t.',1,0,0,1,0,0,1,0,0,60168,0,0,0,0,0,1,0,0,0,'DD',1579987189,1384378110,0,0),
(60176,544354214,1,1,'Tranquil Blessing','Allows monk to bestow a lower hate aggro buff on an ally.',332,5,316,2011726342,2011726342,105,1,8,'Your Tranquil Vision was successful on %t!','Your Tranquil Vision fades.','',0,1,'Spells/Fighter/Brawler/Monk/TranquilBlessing.lua',1892,'You cast Tranquil Vision on %t.',1,1,0,1,1,1,0,0,0,60176,0,0,0,0,0,0,0,0,0,'Unset',1579989974,1384378112,0,0),
(60177,3579756463,1,1,'Martial Discipline','Grants the monk a chance to shield an ally from melee attacks, by allowing the target a chance to use the monk''s avoidance check after their own avoidance check. This also increases the monk''s deflection skill.',332,5,316,2011726342,0,160,1,8,'Your Tranquil Vision II was successful on %t!','Your Tranquil Vision II fades.','',0,1,'Spells/Fighter/Brawler/Monk/TranquilVision.lua',1892,'You cast Tranquil Vision II on %t.',1,1,0,1,1,1,0,0,0,60176,0,0,0,0,0,0,0,0,0,'Unset',1579990024,1384378112,0,0),
(60178,708077976,1,1,'Transcendent Vision','Grants the monk a chance to shield an ally from melee attacks, by allowing the target a chance to use the monk''s avoidance check after their own avoidance check. This also increases the monk''s deflection skill.',332,5,316,2011726342,0,230,1,8,'Your Tranquil Vision III was successful on %t!','Your Tranquil Vision III fades.','',0,1,'Spells/Fighter/Brawler/Monk/TranquilVision.lua',1892,'You cast Tranquil Vision III on %t.',1,1,0,1,1,1,0,0,0,60176,0,0,0,0,0,0,0,0,0,'Unset',1579990070,1384378110,0,0),
(60179,238703741,1,1,'Tranquil Vision','Grants the monk a chance to shield an ally from melee attacks, by allowing the target a chance to use the monk''s avoidance check after their own avoidance check. This also increases the monk''s deflection skill.',332,5,316,2011726342,0,300,1,8,'Your Tranquil Vision IV was successful on %t!','Your Tranquil Vision IV fades.','',0,1,'Spells/Fighter/Brawler/Monk/TranquilVision.lua',1892,'You cast Tranquil Vision IV on %t.',1,1,0,1,1,1,0,0,0,60176,0,0,0,0,0,0,0,0,0,'Unset',1579990134,1384377825,0,0),
(60180,136898046,1,0,'Whirlwind','For a brief moment the monk will be able to riposte all melee damage from the front, and parry all damage from behind.',88,3,317,1624274802,0,275,0,0,'Your Tsunami was successful on %t!','Your Tsunami fades.','',0,1,'Spells/Fighter/Brawler/Monk/Tsunami.lua',1904,'You cast Tsunami on %t.',1,0,0,1,1,1,0,0,0,60180,0,0,0,0,0,0,0,0,0,'Unset',1579992642,1384378110,0,0),
(60181,1039089518,1,0,'Forward Strike','A melee attack that does some extra damage.',348,0,315,2011726342,0,5,0,1,'Your Waking Dragon was successful on %t!','Your Waking Dragon fades.','',0,1,'Spells/Fighter/Brawler/Monk/WakingDragon.lua',1878,'You cast Waking Dragon on %t.',1,0,0,1,0,0,0,0,0,10019,0,0,0,0,0,0,0,0,0,'DD',1579975033,1384378110,0,0),
(60182,1247010453,1,0,'Focused Strike','A melee attack that does some extra damage.',348,0,315,3856706740,0,30,0,1,'Your Waking Dragon II was successful on %t!','Your Waking Dragon II fades.','',0,1,'Spells/Fighter/Brawler/Monk/WakingDragon.lua',1878,'You cast Waking Dragon II on %t.',1,0,0,1,0,0,0,0,0,60181,0,0,0,0,0,0,0,0,0,'DD',1579975060,1384378112,0,0),
(60183,1694973697,1,0,'Pouncing Tiger','A melee attack that does some extra damage.',348,0,315,2011726342,0,145,0,1,'Your Waking Dragon III was successful on %t!','Your Waking Dragon III fades.','',0,1,'Spells/Fighter/Brawler/Monk/WakingDragon.lua',1878,'You cast Waking Dragon III on %t.',1,0,0,1,0,0,0,0,0,60181,0,0,0,0,0,0,0,0,0,'DD',1579975086,1384378111,0,0),
(60184,1847650709,1,0,'Waking Dragon','A melee attack that does some extra damage.',348,0,315,2011726342,0,215,0,1,'Your Waking Dragon IV was successful on %t!','Your Waking Dragon IV fades.','',0,1,'Spells/Fighter/Brawler/Monk/WakingDragon.lua',1878,'You cast Waking Dragon IV on %t.',1,0,0,1,0,0,0,0,0,60181,0,0,0,0,0,1,0,0,0,'DD',1579975151,1384377825,0,0),
(60185,3344105365,1,0,'Rumbling Wyrm','A melee attack that does some extra damage.',348,0,315,2011726342,0,285,0,1,'Your Waking Dragon V was successful on %t!','Your Waking Dragon V fades.','',0,1,'Spells/Fighter/Brawler/Monk/WakingDragon.lua',1878,'You cast Waking Dragon V on %t.',1,0,0,1,0,0,0,0,0,60181,0,0,0,0,0,1,0,0,0,'DD',1579975171,1384378111,0,0),
(60186,2264381537,1,0,'Morning Star','A melee attack that does some extra damage.',348,0,315,2011726342,0,355,0,1,'Your Waking Dragon VI was successful on %t!','Your Waking Dragon VI fades.','',0,1,'Spells/Fighter/Brawler/Monk/WakingDragon.lua',1878,'You cast Waking Dragon VI on %t.',1,0,0,1,0,0,0,0,0,60181,0,0,0,0,0,1,0,0,0,'DD',1579975188,1384377825,0,0),
(60187,1636076492,1,0,'Waking Dragon VII','A melee attack that does some extra damage.',348,0,315,2011726342,0,405,0,1,'Your Waking Dragon VII was successful on %t!','Your Waking Dragon VII fades.','',0,1,'Spells/Fighter/Brawler/Monk/WakingDragon.lua',1878,'You cast Waking Dragon VII on %t.',1,0,0,1,0,0,0,0,0,60181,0,0,0,0,0,1,0,0,0,'DD',1579975206,1384378110,0,0),
(60188,3488356957,1,0,'Waking Dragon VIII','A melee attack that does some extra damage.',348,0,315,2011726342,0,455,0,1,'Your Waking Dragon VIII was successful on %t!','Your Waking Dragon VIII fades.','',0,1,'Spells/Fighter/Brawler/Monk/WakingDragon.lua',1878,'You cast Waking Dragon VIII on %t.',1,0,0,1,0,0,0,0,0,60181,0,0,0,0,0,1,0,0,0,'DD',1579975267,1384378112,0,0),
(60189,1560212798,1,0,'Will of the Void','Dispels hostile mental effects. This ability can be used while stifled or stunned.',476,5,317,2011726342,0,65,0,0,'Your Will of the Heavens was successful on %t!','Your Will of the Heavens fades.','',0,1,'Spells/Fighter/Brawler/Monk/WilloftheHeavens.lua',1888,'You cast Will of the Heavens on %t.',1,0,0,1,1,0,0,2,0,60189,0,6,0,0,0,0,0,0,0,'Unset',1579988439,1384377825,0,0),
(60190,4015537027,1,0,'Plodding Tortoise- Ready for Testing','A medium damage attack that can be used while stunned.',350,5,315,2011726342,2011726342,135,0,0,'Your Will of the Heavens II was successful on %t!','Your Will of the Heavens II fades.','',0,1,'Spells/Fighter/Brawler/Monk/PloddingTortoise.lua',1285,'You cast Plodding Tortoise on %t.',1,0,0,1,1,0,0,0,0,60190,0,6,0,0,0,1,0,0,0,'DD',1579988455,1384378111,0,0),
(60191,2496699927,1,0,'Will of the Wind','Dispels hostile mental, noxious and elemental effects on the monk. This ability can be used while stifled or stunned.',476,5,317,2011726342,0,205,0,0,'Your Will of the Heavens III was successful on %t!','Your Will of the Heavens III fades.','',0,1,'Spells/Fighter/Brawler/Monk/WilloftheHeavens.lua',1888,'You cast Will of the Heavens III on %t.',1,0,0,1,1,0,0,0,0,60189,0,6,0,0,0,1,0,0,0,'Unset',1579988537,1384378110,0,0),
(60192,2652065114,1,0,'Will of the Sky','Dispels hostile mental, noxious and elemental effects on the monk. This ability can be used while stifled or stunned.',476,5,317,2011726342,0,275,0,0,'Your Will of the Heavens IV was successful on %t!','Your Will of the Heavens IV fades.','',0,1,'Spells/Fighter/Brawler/Monk/WilloftheHeavens.lua',1888,'You cast Will of the Heavens IV on %t.',1,0,0,1,1,0,0,0,0,60189,0,6,0,0,0,1,0,0,0,'Unset',1579988545,1384377825,0,0),
(60193,2577419050,1,0,'Will of the Heavens','Dispels hostile mental, noxious and elemental effects on the monk. This ability can be used while stifled or stunned.',476,5,317,2011726342,0,345,0,0,'Your Will of the Heavens V was successful on %t!','Your Will of the Heavens V fades.','',0,1,'Spells/Fighter/Brawler/Monk/WilloftheHeavens.lua',1888,'You cast Will of the Heavens V on %t.',1,0,0,1,1,0,0,0,0,60189,0,6,0,0,0,1,0,0,0,'Unset',1579988555,1384378110,0,0),
(60194,2830953016,1,0,'Will of the Wise','Dispels hostile mental, noxious and elemental effects on the monk. This ability can be used while stifled or stunned.',476,5,317,2011726342,0,395,0,0,'Your Will of the Heavens VI was successful on %t!','Your Will of the Heavens VI fades.','',0,1,'Spells/Fighter/Brawler/Monk/WilloftheHeavens.lua',1888,'You cast Will of the Heavens VI on %t.',1,0,0,1,1,0,0,0,0,60189,0,6,0,0,0,1,0,0,0,'Unset',1579988592,1384377825,0,0),
(60195,1376925610,1,0,'Will of the Heavens VII','Dispels hostile mental, noxious and elemental effects on the monk. This ability can be used while stifled or stunned.',476,5,317,2011726342,0,445,0,0,'Your Will of the Heavens VII was successful on %t!','Your Will of the Heavens VII fades.','',0,1,'Spells/Fighter/Brawler/Monk/WilloftheHeavens.lua',1888,'You cast Will of the Heavens VII on %t.',1,0,0,1,1,0,0,0,0,60189,0,6,0,0,0,1,0,0,0,'Unset',1579988610,1384377825,0,0),
(60196,1161450346,1,0,'Will of the Heavens VIII','Dispels hostile mental, noxious and elemental effects on the monk. This ability can be used while stifled or stunned.',476,5,317,2011726342,0,495,0,0,'Your Will of the Heavens VIII was successful on %t!','Your Will of the Heavens VIII fades.','',0,1,'Spells/Fighter/Brawler/Monk/WilloftheHeavens.lua',1888,'You cast Will of the Heavens VIII on %t.',1,0,0,1,1,0,0,0,0,60189,0,6,0,0,0,1,0,0,0,'Unset',1579988623,1384378112,0,0),
(60197,1525697688,1,1,'Wind Walk- Ready for Testing','Allows a monk to travel invisibly until the monk is drained of power. ',246,5,317,2011726342,2011726342,120,1,0,'Your Wind Walk was successful on %t!','Your Wind Walk fades.','',0,1,'Spells/Fighter/Brawler/Monk/WindWalkClassic.lua',95,'You cast Wind Walk on %t.',1,0,0,0,1,0,0,0,0,60197,0,0,0,0,0,1,0,0,0,'Buff',1579990720,1384378112,0,0),
(60800,0,1,0,'Rushing Bear- Ready for Testing','Stuns the enemy for a moderate time',241,3,315,2011726342,2011726342,135,0,0,'','','',0,1,'Spells/Fighter/Brawler/Monk/RushingBear.lua',1274,'',1,0,0,1,0,0,0,4,0,60800,0,0,0,0,0,1,0,0,0,'DD',0,0,0,0),
(70000,3467050527,1,0,'Impose','Interrupts and increases the hate of all enemies in an encounter towards the bruiser.',295,2,312,3067436248,723762198,40,0,1,'Your Abuse was successful on %t!','Your Abuse fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Abuse.lua',61,'You cast Abuse on %t.',1,0,0,1,0,1,0,0,0,70000,0,0,0,0,0,0,0,0,0,'Unset',1579673018,1384377848,0,0),
(70001,3006914780,1,0,'Jeer- Ready for Testing','Fears the target and increases hate of all enemies towards the bruiser.',295,2,312,3067436248,723762198,110,0,9,'Your Abuse II was successful on %t!','Your Abuse II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Jeer.lua',61,'You cast Abuse II on %t.',1,0,0,1,0,1,0,0,0,70000,0,0,0,0,0,1,0,0,0,'Taunt',1579673078,1384378112,0,0),
(70002,2709783695,1,0,'Boast','Interrupts and increases the hate of all enemies in an encounter towards the bruiser.',295,2,312,3067436248,723762198,180,0,1,'Your Abuse III was successful on %t!','Your Abuse III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Abuse.lua',61,'You cast Abuse III on %t.',1,0,0,1,0,1,0,0,0,70000,0,0,0,0,0,1,0,0,0,'Unset',1579673113,1384378110,0,0),
(70003,3228479841,1,0,'Abuse','Interrupts and increases the hate of all enemies in an encounter towards the bruiser.',295,2,312,3067436248,723762198,250,0,1,'Your Abuse IV was successful on %t!','Your Abuse IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Abuse.lua',61,'You cast Abuse IV on %t.',1,0,0,1,0,1,0,0,0,70000,0,0,0,0,0,1,0,0,0,'Unset',1579673234,1384378112,0,0),
(70004,3577268726,1,0,'Oppress','Interrupts and increases the hate of all enemies in an encounter towards the bruiser.',295,2,312,3067436248,723762198,320,0,1,'Your Abuse V was successful on %t!','Your Abuse V fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Abuse.lua',61,'You cast Abuse V on %t.',1,0,0,1,0,1,0,0,0,70000,0,0,0,0,0,1,0,0,0,'Unset',1579673324,1384378110,0,0),
(70005,2243672484,1,0,'Vilify','Interrupts and increases the hate of all enemies in an encounter towards the bruiser.',295,2,312,3067436248,723762198,380,0,1,'Your Abuse VI was successful on %t!','Your Abuse VI fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Abuse.lua',61,'You cast Abuse VI on %t.',1,0,0,1,0,1,0,0,0,70000,0,0,0,0,0,1,0,0,0,'Unset',1579673354,1384377826,0,0),
(70006,951816586,1,0,'Abuse VII','Interrupts and increases the hate of all enemies in an encounter towards the bruiser.',295,2,312,3067436248,723762198,430,0,1,'Your Abuse VII was successful on %t!','Your Abuse VII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Abuse.lua',61,'You cast Abuse VII on %t.',1,0,0,1,0,1,0,0,0,70000,0,0,0,0,0,1,0,0,0,'Unset',1579673424,1384378111,0,0),
(70007,4094791956,1,0,'Abuse VIII','Interrupts and increases the hate of all enemies in an encounter towards the bruiser.',295,2,312,3067436248,723762198,480,0,1,'Your Abuse VIII was successful on %t!','Your Abuse VIII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Abuse.lua',61,'You cast Abuse VIII on %t.',1,0,0,1,0,0,0,0,0,70000,0,0,0,0,0,1,0,0,0,'Unset',1579673447,1384378111,0,0),
(70008,4091870459,1,0,'Blazing Strikes','A melee attack that strikes nearby enemies surrounding the bruiser.',350,3,313,3067436248,0,35,0,1,'Your Beatdown was successful on %t!','Your Beatdown fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Beatdown.lua',1845,'You cast Beatdown on %t.',1,0,0,1,0,0,0,0,0,70008,0,0,0,0,0,0,0,0,0,'DD',1579672524,1384378112,0,0),
(70009,806241942,1,0,'Whirling Blaze- Ready for Testing','A fire attack that strikes nearby enemies surrounding the bruiser.',350,3,313,3067436248,0,105,0,1,'Your Beatdown II was successful on %t!','Your Beatdown II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/WhirlingBlaze.lua',1276,'You cast Whirling Blaze on %t.',1,0,0,1,0,0,0,0,0,70009,0,0,0,0,0,1,0,0,0,'DD',1579672561,1384377825,0,0),
(70010,1079090832,1,0,'Beatdown','A melee attack that strikes nearby enemies surrounding the bruiser.',350,3,313,3067436248,0,175,0,1,'Your Beatdown III was successful on %t!','Your Beatdown III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Beatdown.lua',1845,'You cast Beatdown III on %t.',1,0,0,1,0,0,0,0,0,70008,0,0,0,0,0,1,0,0,0,'DD',1579672596,1384378110,0,0),
(70011,1198496432,1,0,'Bone Crusher','A melee attack that strikes nearby enemies surrounding the bruiser.',350,3,313,3067436248,0,245,0,1,'Your Beatdown IV was successful on %t!','Your Beatdown IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Beatdown.lua',1845,'You cast Beatdown IV on %t.',1,0,0,1,0,0,0,0,0,70008,0,0,0,0,0,1,0,0,0,'DD',1579672657,1384377826,0,0),
(70012,1047904467,1,0,'Slap Around','A melee attack that strikes nearby enemies surrounding the bruiser.',350,3,313,3067436248,0,315,0,1,'Your Beatdown V was successful on %t!','Your Beatdown V fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Beatdown.lua',1845,'You cast Beatdown V on %t.',1,0,0,1,0,0,0,0,0,70008,0,0,0,0,0,1,0,0,0,'DD',1579672760,1384378110,0,0),
(70013,92537989,1,0,'Body Flail','A melee attack that strikes nearby enemies surrounding the bruiser.',350,3,313,3067436248,0,375,0,1,'Your Beatdown VI was successful on %t!','Your Beatdown VI fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Beatdown.lua',1845,'You cast Beatdown VI on %t.',1,0,0,1,0,0,0,0,0,70008,0,0,0,0,0,1,0,0,0,'DD',1579672775,1384378110,0,0),
(70014,1668291028,1,0,'Beatdown VII','A melee attack that strikes nearby enemies surrounding the bruiser.',350,3,313,3067436248,0,425,0,1,'Your Beatdown VII was successful on %t!','Your Beatdown VII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Beatdown.lua',1845,'You cast Beatdown VII on %t.',1,0,0,1,0,0,0,0,0,70008,0,0,0,0,0,1,0,0,0,'DD',1579672813,1384378111,0,0),
(70015,2734605844,1,0,'Beatdown VIII','A melee attack that strikes nearby enemies surrounding the bruiser.',350,3,313,3067436248,0,475,0,1,'Your Beatdown VIII was successful on %t!','Your Beatdown VIII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Beatdown.lua',1845,'You cast Beatdown VIII on %t.',1,0,0,1,0,0,0,0,0,70008,0,0,0,0,0,1,0,0,0,'DD',1579672903,1384378110,0,0),
(70016,3344844200,1,0,'Burn Through','A powerful kick attack that deals crushing damage and continues to deal additional heat damage over time.',331,4,315,3067436248,0,55,0,1,'Your Blaze Kick was successful on %t!','Your Blaze Kick fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/BlazeKick.lua',1852,'You cast Blaze Kick on %t.',1,0,0,1,0,1,4,0,0,70016,0,0,0,0,0,0,0,0,0,'DoT',1579825694,1384378112,0,0),
(70017,3495270830,1,0,'Break Through','A powerful kick attack that deals crushing damage and continues to deal additional heat damage over time.',331,4,315,2011726342,0,125,0,1,'Your Blaze Kick II was successful on %t!','Your Blaze Kick II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/BreakThrough.lua',1852,'You cast Blaze Kick II on %t.',1,0,0,1,0,0,4,0,0,70016,0,0,0,0,0,0,0,0,0,'DoT',1579825718,1384378155,0,0),
(70018,2683872902,1,0,'Burning Lunge','A powerful kick attack that deals crushing damage and continues to deal additional heat damage over time.',331,4,315,3067436248,0,195,0,1,'Your Blaze Kick III was successful on %t!','Your Blaze Kick III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/BlazeKick.lua',1852,'You cast Blaze Kick III on %t.',1,0,0,1,0,0,4,0,0,70016,0,0,0,0,0,1,0,0,0,'DoT',1579825742,1384377826,0,0),
(70019,642586182,1,0,'Flaming Lunge','A powerful kick attack that deals crushing damage and continues to deal additional heat damage over time.',331,4,315,3067436248,0,265,0,1,'Your Blaze Kick IV was successful on %t!','Your Blaze Kick IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/BlazeKick.lua',1852,'You cast Blaze Kick IV on %t.',1,0,0,1,0,0,4,0,0,70016,0,0,0,0,0,1,0,0,0,'DoT',1579825787,1384378112,0,0),
(70020,2150774736,1,0,'Blazing Lunge','A powerful kick attack that deals crushing damage and continues to deal additional heat damage over time.',331,4,315,3067436248,0,335,0,1,'Your Blaze Kick V was successful on %t!','Your Blaze Kick V fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/BlazeKick.lua',1852,'You cast Blaze Kick V on %t.',1,0,0,1,0,0,4,0,0,70016,0,0,0,0,0,1,0,0,0,'DoT',1579825844,1384378110,0,0),
(70021,1470453810,1,0,'Blaze Kick','A powerful kick attack that deals crushing damage and continues to deal additional heat damage over time.',331,4,315,3067436248,0,385,0,1,'Your Blaze Kick VI was successful on %t!','Your Blaze Kick VI fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/BlazeKick.lua',1852,'You cast Blaze Kick VI on %t.',1,0,0,1,0,0,4,0,0,70016,0,0,0,0,0,1,0,0,0,'DoT',1579825903,1384377826,0,0),
(70022,1893043463,1,0,'Blaze Kick VII','A powerful kick attack that deals crushing damage and continues to deal additional heat damage over time.',331,4,315,3067436248,0,435,0,1,'Your Blaze Kick VII was successful on %t!','Your Blaze Kick VII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/BlazeKick.lua',1852,'You cast Blaze Kick VII on %t.',1,0,0,1,0,0,4,0,0,70016,0,0,0,0,0,1,0,0,0,'DoT',1579826008,1384378112,0,0),
(70023,2906870914,1,0,'Blaze Kick VIII','A powerful kick attack that deals crushing damage and continues to deal additional heat damage over time.',331,4,315,3067436248,0,485,0,1,'Your Blaze Kick VIII was successful on %t!','Your Blaze Kick VIII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/BlazeKick.lua',1852,'You cast Blaze Kick VIII on %t.',1,0,0,1,0,0,4,0,0,70016,0,0,0,0,0,1,0,0,0,'DoT',1579826049,1384377826,0,0),
(70024,2272969013,1,1,'Dodge and Strike','Increases the bruiser''s strength, base avoidance and spell resistance.',332,5,317,3067436248,0,60,1,0,'Your Bob and Weave was successful on %t!','Your Bob and Weave fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/BobandWeave.lua',1853,'You cast Bob and Weave on %t.',1,0,0,1,1,1,0,0,0,70024,0,0,0,0,0,0,0,0,0,'Unset',1579826147,1384378112,0,0),
(70025,1064104318,1,1,'Bob and Weave- Ready for Testing','Increases the Bruiser''s parry, deflection and attack speed.',332,5,317,3067436248,0,130,0,0,'Your Bob and Weave II was successful on %t!','Your Bob and Weave II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/BobandWeaveClassic.lua',1273,'You cast Bob and Weave on %t.',1,0,0,1,1,0,0,0,0,70025,0,0,0,0,0,1,0,0,0,'CombatBuff',1579826195,1384378112,0,0),
(70026,1501075885,1,1,'Battle Fury','Increases the bruiser''s strength, base avoidance and spell resistance.',332,5,317,3067436248,0,200,1,0,'Your Bob and Weave III was successful on %t!','Your Bob and Weave III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/BobandWeave.lua',1853,'You cast Bob and Weave III on %t.',1,0,0,1,1,1,0,0,0,70024,0,0,0,0,0,1,0,0,0,'Unset',1579826256,1384378110,0,0),
(70027,215597013,1,1,'Battle Lust','Increases the bruiser''s strength, base avoidance and spell resistance.',332,5,317,3067436248,0,270,1,0,'Your Bob and Weave IV was successful on %t!','Your Bob and Weave IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/BobandWeave.lua',1853,'You cast Bob and Weave IV on %t.',1,0,0,1,1,1,0,0,0,70024,0,0,0,0,0,1,0,0,0,'Unset',1579826282,1384378112,0,0),
(70028,1088227327,1,1,'Battle Frenzy','Increases the bruiser''s strength, base avoidance and spell resistance.',332,5,317,3067436248,0,340,1,0,'Your Bob and Weave V was successful on %t!','Your Bob and Weave V fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/BobandWeave.lua',1853,'You cast Bob and Weave V on %t.',1,0,0,1,1,1,0,0,0,70024,0,0,0,0,0,1,0,0,0,'Unset',1579826298,1384378110,0,0),
(70029,448392325,1,1,'Battle Ready','Increases the bruiser''s strength, base avoidance and spell resistance.',332,5,317,3067436248,0,395,1,0,'Your Bob and Weave VI was successful on %t!','Your Bob and Weave VI fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/BobandWeave.lua',1853,'You cast Bob and Weave VI on %t.',1,0,0,1,1,1,0,0,0,70024,0,0,0,0,0,1,0,0,0,'Unset',1579826310,1384378112,0,0),
(70030,2673313999,1,1,'Bob and Weave VII','Increases the bruiser''s strength, base avoidance and spell resistance.',332,5,317,3067436248,0,445,1,0,'Your Bob and Weave VII was successful on %t!','Your Bob and Weave VII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/BobandWeave.lua',1853,'You cast Bob and Weave VII on %t.',1,0,0,1,1,1,0,0,0,70024,0,0,0,0,0,1,0,0,0,'Unset',1579826334,1384378111,0,0),
(70031,826218846,1,1,'Bob and Weave VIII','Increases the bruiser''s strength, base avoidance and spell resistance.',332,5,317,3067436248,0,495,1,0,'Your Bob and Weave VIII was successful on %t!','Your Bob and Weave VIII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/BobandWeave.lua',1853,'You cast Bob and Weave VIII on %t.',1,0,0,0,1,0,0,0,0,70024,0,0,0,0,0,1,0,0,0,'Unset',1579826435,1384377826,0,0),
(70032,2842199756,1,1,'Brawler''s Stance','Greatly increases defense, deflection, aggression, base avoidance, physical damage mitigation, and poison damage mitigation at the cost of offensive melee skills. This is the bruiser''s primary defensive stance.',294,5,317,3856706740,0,20,1,0,'Your Bodyguard was successful on %t!','Your Bodyguard fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Bodyguard.lua',1844,'You cast Bodyguard on %t.',1,0,0,1,1,1,0,0,0,70032,0,0,0,0,0,0,0,0,0,'Unset',1579670411,1384378112,0,0),
(70033,901317434,1,1,'Bouncer''s Stance','Greatly increases defense, deflection, aggression, base avoidance, physical damage mitigation, and poison damage mitigation at the cost of offensive melee skills. This is the bruiser''s primary defensive stance.',294,5,317,3067436248,0,80,1,0,'Your Bodyguard II was successful on %t!','Your Bodyguard II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Bodyguard.lua',1844,'You cast Bodyguard II on %t.',1,0,0,1,1,1,0,0,0,70032,0,0,0,0,0,0,0,0,0,'Unset',1579670433,1384378112,0,0),
(70034,1083645076,1,1,'Bouncer- Ready for Testing','Greatly increases defense, deflection, and physicality at the cost of offensive melee skills.',294,5,317,3067436248,0,150,0,0,'Your Bodyguard III was successful on %t!','Your Bodyguard III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Bouncer.lua',1277,'You cast Bouncer on %t.',1,0,0,1,1,0,0,0,0,70034,0,0,0,0,0,1,0,0,0,'Buff',1579670610,1384378112,0,0),
(70035,4039590530,1,1,'Retaliation','Greatly increases defense, deflection, aggression, base avoidance, physical damage mitigation, and poison damage mitigation at the cost of offensive melee skills. This is the bruiser''s primary defensive stance.',294,5,317,1829443087,0,220,1,0,'Your Bodyguard IV was successful on %t!','Your Bodyguard IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Bodyguard.lua',1844,'You cast Bodyguard IV on %t.',1,0,0,1,1,1,0,0,0,70032,0,0,0,0,0,1,0,0,0,'Unset',1579670623,1384378112,0,0),
(70036,2832843489,1,1,'Retribution','Greatly increases defense, deflection, aggression, base avoidance, physical damage mitigation, and poison damage mitigation at the cost of offensive melee skills. This is the bruiser''s primary defensive stance.',294,5,317,3067436248,0,290,1,0,'Your Bodyguard V was successful on %t!','Your Bodyguard V fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Bodyguard.lua',1844,'You cast Bodyguard V on %t.',1,0,0,1,1,1,0,0,0,70032,0,0,0,0,0,1,0,0,0,'Unset',1579670735,1384378111,0,0),
(70037,1762862690,1,1,'Bodyguard','Greatly increases defense, deflection, aggression, base avoidance, physical damage mitigation, and poison damage mitigation at the cost of offensive melee skills. This is the bruiser''s primary defensive stance.',294,5,317,3067436248,0,360,1,0,'Your Bodyguard VI was successful on %t!','Your Bodyguard VI fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Bodyguard.lua',1844,'You cast Bodyguard VI on %t.',1,0,0,1,1,1,0,0,0,70032,0,0,0,0,0,1,0,0,0,'Unset',1579670770,1384378111,0,0),
(70038,461879571,1,1,'Bodyguard VII','Greatly increases defense, deflection, aggression, base avoidance, physical damage mitigation, and poison damage mitigation at the cost of offensive melee skills. This is the bruiser''s primary defensive stance.',294,5,317,3067436248,0,410,1,0,'Your Bodyguard VII was successful on %t!','Your Bodyguard VII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Bodyguard.lua',1844,'You cast Bodyguard VII on %t.',1,0,0,1,1,1,0,0,0,70032,0,0,0,0,0,1,0,0,0,'Unset',1579670917,1384378112,0,0),
(70039,2149774716,1,1,'Bodyguard VIII','Greatly increases defense, deflection, aggression, base avoidance, physical damage mitigation, and poison damage mitigation at the cost of offensive melee skills. This is the bruiser''s primary defensive stance.',294,5,317,3067436248,0,460,1,0,'Your Bodyguard VIII was successful on %t!','Your Bodyguard VIII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Bodyguard.lua',1844,'You cast Bodyguard VIII on %t.',1,0,0,1,1,1,0,0,0,70032,0,0,0,0,0,1,0,0,0,'Unset',1579671077,1384377826,0,0),
(70040,2273858389,1,0,'Taunting Stance','This stance combines some of the elements from the bruiser''s primary offensive and defensive stances, granting increased physical damage mitigation, deflection and offense skill, and a chance to deal heat damage with every successful melee hit.',482,5,317,3067436248,0,0,1,0,'Your Bruising was successful on %t!','Your Bruising fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Bruising.lua',0,'You cast Bruising on %t.',1,0,0,0,1,0,0,0,0,70040,0,0,0,0,0,0,0,0,0,'Unset',1384670747,1342537780,0,0),
(70041,2963415460,1,0,'Provoking Stance','This stance combines some of the elements from the bruiser''s primary offensive and defensive stances, granting increased physical damage mitigation, deflection and offense skill, and a chance to deal heat damage with every successful melee hit.',482,5,317,0,0,0,1,0,'Your Bruising II was successful on %t!','Your Bruising II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Bruising.lua',0,'You cast Bruising II on %t.',1,0,0,0,1,0,0,0,0,70040,0,0,0,0,0,0,0,0,0,'Unset',1384670747,1342538856,0,0),
(70042,3091778749,1,0,'Bruising Stance','This stance combines some of the elements from the bruiser''s primary offensive and defensive stances, granting increased physical damage mitigation, deflection and offense skill, and a chance to deal heat damage with every successful melee hit.',482,5,317,0,0,0,1,0,'Your Bruising III was successful on %t!','Your Bruising III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Bruising.lua',0,'You cast Bruising III on %t.',1,0,0,0,1,0,0,0,0,70040,0,0,0,0,0,0,0,0,0,'Unset',1384670747,1342538852,0,0),
(70043,3813280376,1,0,'Bruising IV','This stance combines some of the elements from the bruiser''s primary offensive and defensive stances, granting increased physical damage mitigation, deflection and offense skill, and a chance to deal heat damage with every successful melee hit.',482,5,317,0,0,0,1,0,'Your Bruising IV was successful on %t!','Your Bruising IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Bruising.lua',0,'You cast Bruising IV on %t.',1,0,0,0,1,0,0,0,0,70040,0,0,0,0,0,0,0,0,0,'Unset',1384670748,1342538864,0,0),
(70044,1981909437,1,0,'Bruising Spirit- Ready for Testing','Increases the bruiser''s physical mitigation at the cost of health over time.',358,3,317,3067436248,0,130,0,0,'Your Bruising Spirit was successful on %t!','Your Bruising Spirit fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/BruisingSpiritClassic.lua',1277,'You cast Bruising Spirit on %t.',1,0,0,1,1,0,0,0,0,70044,0,0,0,0,0,1,0,0,0,'CombatBuff',1579832432,1384377826,0,0),
(70045,622046724,1,0,'Strapping Spirit','Increases the bruiser''s physical mitigation at the cost of health over time.',358,3,317,3067436248,0,200,0,0,'Your Bruising Spirit II was successful on %t!','Your Bruising Spirit II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/BruisingSpirit.lua',1866,'You cast Bruising Spirit II on %t.',1,0,0,1,1,1,0,0,0,70044,0,0,0,0,0,1,0,0,0,'Unset',1579832455,1384378110,0,0),
(70046,897002373,1,0,'Deadly Spirit','Increases the bruiser''s physical mitigation at the cost of health over time.',358,3,317,3067436248,0,270,0,0,'Your Bruising Spirit III was successful on %t!','Your Bruising Spirit III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/BruisingSpirit.lua',1866,'You cast Bruising Spirit III on %t.',1,0,0,1,1,1,0,0,0,70044,0,0,0,0,0,1,0,0,0,'Unset',1579832476,1384378112,0,0),
(70047,1174267364,1,0,'Vigorous Spirit','Increases the bruiser''s physical mitigation at the cost of health over time.',358,3,317,3067436248,0,340,0,0,'Your Bruising Spirit IV was successful on %t!','Your Bruising Spirit IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/BruisingSpirit.lua',1866,'You cast Bruising Spirit IV on %t.',1,0,0,1,1,1,0,0,0,70044,0,0,0,0,0,1,0,0,0,'Unset',1579832535,1384378110,0,0),
(70048,592295618,1,0,'Resistant Spirit','Increases the bruiser''s physical mitigation at the cost of health over time.',358,3,317,3067436248,0,390,0,0,'Your Bruising Spirit V was successful on %t!','Your Bruising Spirit V fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/BruisingSpirit.lua',1866,'You cast Bruising Spirit V on %t.',1,0,0,1,1,1,0,0,0,70044,0,0,0,0,0,1,0,0,0,'Unset',1579832597,1384378111,0,0),
(70049,2597777483,1,0,'Bruising Spirit VI','Increases the bruiser''s physical mitigation at the cost of health over time.',358,3,317,3067436248,0,440,0,0,'Your Bruising Spirit VI was successful on %t!','Your Bruising Spirit VI fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/BruisingSpirit.lua',1866,'You cast Bruising Spirit VI on %t.',1,0,0,1,1,1,0,0,0,70044,0,0,0,0,0,1,0,0,0,'Unset',1579832627,1384378112,0,0),
(70050,1971603114,1,0,'Bruising Spirit VII','Increases the bruiser''s physical mitigation at the cost of health over time.',358,3,317,3067436248,0,490,0,0,'Your Bruising Spirit VII was successful on %t!','Your Bruising Spirit VII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/BruisingSpirit.lua',1866,'You cast Bruising Spirit VII on %t.',1,0,0,0,1,0,0,0,0,70044,0,0,0,0,0,1,0,0,0,'Unset',1579832875,1384377826,0,0),
(70051,583325112,1,0,'Bruising V','This stance combines some of the elements from the bruiser''s primary offensive and defensive stances, granting increased physical damage mitigation, deflection and offense skill, and a chance to deal heat damage with every successful melee hit.',482,5,317,0,0,0,1,0,'Your Bruising V was successful on %t!','Your Bruising V fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Bruising.lua',0,'You cast Bruising V on %t.',1,0,0,0,1,0,0,0,0,70040,0,0,0,0,0,0,0,0,0,'Unset',1384670748,1342538857,0,0),
(70052,1027448741,1,1,'Brutality','Increases the base avoidance, auto attack damage, taunts and detaunts of all the Bruiser''s allies.',184,5,314,3067436248,0,45,1,2,'Your Brutality was successful on %t!','Your Brutality fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Brutality.lua',1850,'You cast Brutality on %t.',1,1,0,1,1,1,0,0,0,70052,0,0,0,0,0,0,0,0,0,'Unset',1579673463,1384378112,0,0),
(70053,2843307860,1,1,'Intimidating Orders- Ready for Testing','Increases the offense and crushing of the group while decreasing the mental resistance of the group',184,5,314,3067436248,0,115,1,2,'Your Brutality II was successful on %t!','Your Brutality II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/IntimidatingOrders.lua',1306,'You cast Brutality II on %t.',1,1,0,1,1,1,0,0,0,70053,0,0,0,0,0,1,0,0,0,'Buff',1579673573,1384378111,0,0),
(70054,3496057053,1,1,'Rousing Cry','Increases the base avoidance, auto attack damage, taunts and detaunts of all the Bruiser''s allies.',184,5,314,3067436248,0,185,1,2,'Your Brutality III was successful on %t!','Your Brutality III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Brutality.lua',1850,'You cast Brutality III on %t.',1,1,0,1,1,1,0,0,0,70052,0,0,0,0,0,1,0,0,0,'Unset',1579673699,1384378110,0,0),
(70055,554501377,1,1,'Stirring Cry','Increases the base avoidance, auto attack damage, taunts and detaunts of all the Bruiser''s allies.',184,5,314,3067436248,0,255,1,2,'Your Brutality IV was successful on %t!','Your Brutality IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Brutality.lua',1850,'You cast Brutality IV on %t.',1,1,0,1,1,1,0,0,0,70052,0,0,0,0,0,1,0,0,0,'Unset',1579673766,1384378112,0,0),
(70056,3932984657,1,1,'Rabid Cry','Increases the base avoidance, auto attack damage, taunts and detaunts of all the Bruiser''s allies.',184,5,314,3067436248,0,325,1,2,'Your Brutality V was successful on %t!','Your Brutality V fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Brutality.lua',1850,'You cast Brutality V on %t.',1,1,0,1,1,1,0,0,0,70052,0,0,0,0,0,1,0,0,0,'Unset',1579824314,1384377826,0,0),
(70057,1289996500,1,1,'Bruising Cry','Increases the base avoidance, auto attack damage, taunts and detaunts of all the Bruiser''s allies.',184,5,314,3067436248,0,380,1,2,'Your Brutality VI was successful on %t!','Your Brutality VI fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Brutality.lua',1850,'You cast Brutality VI on %t.',1,1,0,1,1,1,0,0,0,70052,0,0,0,0,0,1,0,0,0,'Unset',1579824334,1384378155,0,0),
(70058,2831752605,1,1,'Brutality VII','Increases the base avoidance, auto attack damage, taunts and detaunts of all the Bruiser''s allies.',184,5,314,3067436248,0,430,1,2,'Your Brutality VII was successful on %t!','Your Brutality VII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Brutality.lua',1850,'You cast Brutality VII on %t.',1,1,0,1,1,1,0,0,0,70052,0,0,0,0,0,1,0,0,0,'Unset',1579824370,1384378111,0,0),
(70059,862736882,1,1,'Brutality VIII','Increases the base avoidance, auto attack damage, taunts and detaunts of all the Bruiser''s allies.',184,5,314,3067436248,0,480,1,2,'Your Brutality VIII was successful on %t!','Your Brutality VIII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Brutality.lua',1850,'You cast Brutality VIII on %t.',1,0,0,0,1,0,0,0,0,70052,0,0,0,0,0,1,0,0,0,'Unset',1579824460,1384378110,0,0),
(70060,751502377,1,0,'Close Mind','Grants the bruiser immunity to control based effects for a limited duration. This ability can be used while stifled or stunned, and has a recurrent power cost.',476,5,317,3067436248,0,290,0,0,'Your Close Mind was successful on %t!','Your Close Mind fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/CloseMind.lua',1876,'You cast Close Mind on %t.',1,0,0,1,1,1,0,0,0,70060,0,6,0,0,0,1,0,0,0,'Unset',1579891617,1384378112,0,0),
(70061,3828402462,1,0,'Divide and Conquer','Forces half of the target encounter to target and attack only you.  The rest of the encounter gains additional hate towards you.',752,65535,312,3067436248,723762198,400,0,1,'Your Divide and Conquer was successful on %t!','Your Divide and Conquer fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/DivideandConquer.lua',1874,'You cast Divide and Conquer on %t.',1,0,0,1,0,0,4,0,0,70061,0,0,0,0,0,0,0,0,0,'Unset',1579892042,1384378112,0,0),
(70062,2078952064,1,0,'Divide and Conquer II','Forces half of the target encounter to target and attack only you.  The rest of the encounter gains additional hate towards you.',752,65535,312,3067436248,723762198,450,0,1,'Your Divide and Conquer II was successful on %t!','Your Divide and Conquer II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/DivideandConquer.lua',1874,'You cast Divide and Conquer II on %t.',1,0,0,1,0,0,4,0,0,70061,0,0,0,0,0,0,0,0,0,'Unset',1579892081,1384378111,0,0),
(70063,3605701800,1,0,'Divide and Conquer III','Forces half of the target encounter to target and attack only you.  The rest of the encounter gains additional hate towards you.',752,65535,312,3067436248,0,500,0,1,'Your Divide and Conquer III was successful on %t!','Your Divide and Conquer III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/DivideandConquer.lua',1874,'You cast Divide and Conquer III on %t.',1,0,0,0,0,0,4,0,0,70061,0,0,0,0,0,0,0,0,0,'Unset',1579892116,1384378112,0,0),
(70064,1534372489,1,0,'Eye Gouge- Ready for Testing','An extra attack that decreases the target''s accuracy on a successful hit.',346,3,315,3067436248,3067436248,140,0,1,'Your Eye Gouge was successful on %t!','Your Eye Gouge fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/EyeGougeClassic.lua',1255,'You cast Eye Gouge on %t.',1,0,0,1,0,0,1,0,0,70064,0,0,0,0,0,1,0,0,0,'DD',1579831623,1384378112,0,0),
(70065,3852718027,1,0,'Pulverise','An extra attack that decreases the target''s accuracy on a successful hit.',346,3,315,3067436248,3067436248,210,0,1,'Your Eye Gouge II was successful on %t!','Your Eye Gouge II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/EyeGouge.lua',1857,'You cast Eye Gouge II on %t.',1,0,0,1,0,0,1,0,0,70064,0,0,0,0,0,1,0,0,0,'DD',1579831650,1384378112,0,0),
(70066,3274306358,1,0,'Pluck Eye','An extra attack that decreases the target''s accuracy on a successful hit.',346,3,315,3067436248,3067436248,280,0,1,'Your Eye Gouge III was successful on %t!','Your Eye Gouge III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/EyeGouge.lua',1857,'You cast Eye Gouge III on %t.',1,0,0,1,0,0,1,0,0,70064,0,0,0,0,0,1,0,0,0,'DD',1579831675,1384378110,0,0),
(70067,79587107,1,0,'Eye Gash','An extra attack that decreases the target''s accuracy on a successful hit.',346,3,315,3067436248,3067436248,350,0,1,'Your Eye Gouge IV was successful on %t!','Your Eye Gouge IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/EyeGouge.lua',1857,'You cast Eye Gouge IV on %t.',1,0,0,1,0,0,1,0,0,70064,0,0,0,0,0,1,0,0,0,'DD',1579831705,1384378111,0,0),
(70068,3749173066,1,0,'Eye Rip','An extra attack that decreases the target''s accuracy on a successful hit.',346,3,315,3067436248,3067436248,400,0,1,'Your Eye Gouge V was successful on %t!','Your Eye Gouge V fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/EyeGouge.lua',1857,'You cast Eye Gouge V on %t.',1,0,0,1,0,0,1,0,0,70064,0,0,0,0,0,1,0,0,0,'DD',1579831829,1384377826,0,0),
(70069,356556434,1,0,'Eye Gouge VI','An extra attack that decreases the target''s accuracy on a successful hit.',346,3,315,3067436248,3067436248,450,0,1,'Your Eye Gouge VI was successful on %t!','Your Eye Gouge VI fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/EyeGouge.lua',1857,'You cast Eye Gouge VI on %t.',1,0,0,1,0,0,1,0,0,70064,0,0,0,0,0,1,0,0,0,'DD',1579831859,1384377826,0,0),
(70070,1434418566,1,0,'Eye Gouge VII','An extra attack that decreases the target''s accuracy on a successful hit.',346,3,315,3067436248,0,500,0,1,'Your Eye Gouge VII was successful on %t!','Your Eye Gouge VII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/EyeGouge.lua',1857,'You cast Eye Gouge VII on %t.',1,0,0,1,0,0,1,0,0,70064,0,0,0,0,0,1,0,0,0,'DD',1579831885,1384378112,0,0),
(70071,3404223715,1,1,'Fist of Gorynn','This is the condensed energy of an ancient, mythical weapon.',664,65535,317,3067436248,0,400,1,1,'Your Fist of Gorynn was successful on %t!','Your Fist of Gorynn fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/FistofGorynn.lua',3532,'You cast Fist of Gorynn on %t.',1,0,0,1,1,1,0,0,0,70071,0,0,0,0,0,0,0,0,0,'Unset',1579892179,1384377877,0,0),
(70072,3281868121,1,0,'Ignore Bruises','Replenishes some of the bruiser''s health.',345,5,317,3067436248,0,15,0,0,'Your Ignore Pain was successful on %t!','Your Ignore Pain fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/IgnorePain.lua',1863,'You cast Ignore Pain on %t.',1,0,0,1,1,0,0,0,0,70072,0,0,0,0,0,0,0,0,0,'Unset',1579670087,1384378112,0,0),
(70073,3107673518,1,0,'Ignore Wounds','Replenishes some of the bruiser''s health.',345,5,317,3067436248,0,50,0,0,'Your Ignore Pain II was successful on %t!','Your Ignore Pain II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/IgnorePain.lua',1863,'You cast Ignore Pain II on %t.',1,0,0,1,1,0,0,0,0,70072,0,0,0,0,0,0,0,0,0,'Unset',1579670105,1384378112,0,0),
(70074,3840109227,1,0,'Ignore Pain- Ready for Testing','Heals a percentage of the bruiser''s health.',345,5,317,3067436248,0,100,0,0,'Your Ignore Pain III was successful on %t!','Your Ignore Pain III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/IgnorePainClassic.lua',1339,'You cast Ignore Pain on %t.',1,0,0,1,1,0,0,0,0,70074,0,0,0,0,0,1,0,0,0,'Heal',1579670115,1384378112,0,0),
(70075,1669572471,1,0,'Ignore Hurt','Heals a percentage of the bruiser''s health.',345,5,317,3067436248,0,170,0,0,'Your Ignore Pain IV was successful on %t!','Your Ignore Pain IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/IgnorePain.lua',1863,'You cast Ignore Pain IV on %t.',1,0,0,1,1,0,0,0,0,70072,0,0,0,0,0,1,0,0,0,'Unset',1579670125,1384377826,0,0),
(70076,100402954,1,0,'Ignore Agony','Heals a percentage of the bruiser''s health.',345,5,317,3067436248,0,240,0,0,'Your Ignore Pain V was successful on %t!','Your Ignore Pain V fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/IgnorePain.lua',1863,'You cast Ignore Pain V on %t.',1,0,0,1,1,0,0,0,0,70072,0,0,0,0,0,1,0,0,0,'Unset',1579670139,1384377826,0,0),
(70077,1733220446,1,0,'Indomitable Will','Dispels hostile mental effects. This ability can be used while stifled or stunned.',190,5,317,3856706740,0,65,0,0,'Your Indomitable Will was successful on %t!','Your Indomitable Will fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/IndomitableWill.lua',1272,'You cast Indomitable Will on %t.',1,0,0,1,1,0,0,0,0,70077,0,6,0,0,0,0,0,0,0,'Unset',1579826726,1384378112,0,0),
(70078,381706886,1,0,'Unflinching Will','Dispels hostile mental and trauma effects on the bruiser. This ability can be used while stifled or stunned.',190,5,317,1433335062,0,135,0,0,'Your Indomitable Will II was successful on %t!','Your Indomitable Will II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/IndomitableWill.lua',1272,'You cast Indomitable Will II on %t.',1,0,0,1,1,0,0,0,0,70077,0,6,0,0,0,0,0,0,0,'Unset',1579826772,1384378112,0,0),
(70079,527882829,1,0,'Cerebral Will','Dispels hostile arcane and trauma effects on the bruiser. This ability can be used while stifled or stunned.',190,5,317,3067436248,0,205,0,0,'Your Indomitable Will III was successful on %t!','Your Indomitable Will III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/IndomitableWill.lua',1272,'You cast Indomitable Will III on %t.',1,0,0,1,1,0,0,0,0,70077,0,6,0,0,0,1,0,0,0,'Unset',1579826802,1384378110,0,0),
(70080,1420897987,1,0,'Resolute Will','Dispels hostile mental and trauma effects on the bruiser. This ability can be used while stifled or stunned.',190,5,317,3067436248,0,275,0,0,'Your Indomitable Will IV was successful on %t!','Your Indomitable Will IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/IndomitableWill.lua',1272,'You cast Indomitable Will IV on %t.',1,0,0,1,1,0,0,0,0,70077,0,6,0,0,0,1,0,0,0,'Unset',1579826839,1384378112,0,0),
(70081,1084494637,1,0,'Tenacious Will','Dispels hostile mental and trauma effects on the bruiser. This ability can be used while stifled or stunned.',190,5,317,3067436248,0,345,0,0,'Your Indomitable Will V was successful on %t!','Your Indomitable Will V fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/IndomitableWill.lua',1272,'You cast Indomitable Will V on %t.',1,0,0,1,1,0,0,0,0,70077,0,6,0,0,0,1,0,0,0,'Unset',1579826864,1384378110,0,0),
(70082,949095704,1,0,'Minor Blessing','Dispels hostile mental and trauma effects on the bruiser. This ability can be used while stifled or stunned.',190,5,317,3067436248,0,395,0,0,'Your Indomitable Will VI was successful on %t!','Your Indomitable Will VI fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/IndomitableWill.lua',1272,'You cast Indomitable Will VI on %t.',1,0,0,1,1,0,0,0,0,70077,0,6,0,0,0,1,0,0,0,'Unset',1579826883,1384378112,0,0),
(70083,2877849612,1,0,'Indomitable Will VII','Dispels hostile mental effects. This ability can be used while stifled or stunned.',190,5,317,3067436248,0,445,0,0,'Your Indomitable Will VII was successful on %t!','Your Indomitable Will VII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/IndomitableWill.lua',1272,'You cast Indomitable Will VII on %t.',1,0,0,1,1,0,0,0,0,70077,0,6,0,0,0,1,0,0,0,'Unset',1579826901,1384378111,0,0),
(70084,2087321684,1,0,'Indomitable Will VIII','Dispels hostile mental effects. This ability can be used while stifled or stunned.',190,5,317,3067436248,0,495,0,0,'Your Indomitable Will VIII was successful on %t!','Your Indomitable Will VIII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/IndomitableWill.lua',1272,'You cast Indomitable Will VIII on %t.',1,0,0,1,1,0,0,0,0,70077,0,6,0,0,0,1,0,0,0,'Unset',1579826922,1384378112,0,0),
(70085,4279661704,1,0,'Intimidate- Ready for Testing','Prevents the target from doing anything for a short duration. It will break if the target is struck for damage.',160,3,315,3067436248,0,120,0,1,'Your Intimidate was successful on %t!','Your Intimidate fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/IntimidateClassic.lua',1302,'You cast Intimidate on %t.',1,0,0,1,0,0,1,1,0,70085,0,0,0,0,0,1,0,0,0,'Debuff',1579830679,1384377825,0,0),
(70086,3445135652,1,0,'Strong Arm','Prevents the target from doing anything and removes them from being affected by area of effect spells for a short duration. It will break if the target is struck for damage.',160,3,315,3067436248,0,190,0,1,'Your Intimidate II was successful on %t!','Your Intimidate II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Intimidate.lua',1865,'You cast Intimidate II on %t.',1,0,0,1,0,1,2,1,0,70085,0,0,0,0,0,1,0,0,0,'Unset',1579830775,1384377826,0,0),
(70087,900929840,1,0,'Unnerve','Prevents the target from doing anything and removes them from being affected by area of effect spells for a short duration. It will break if the target is struck for damage.',160,3,315,3067436248,0,260,0,1,'Your Intimidate III was successful on %t!','Your Intimidate III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Intimidate.lua',1865,'You cast Intimidate III on %t.',1,0,0,1,0,1,2,1,0,70085,0,0,0,0,0,1,0,0,0,'Unset',1579830946,1384378112,0,0),
(70088,1332780641,1,0,'Scared Still','Prevents the target from doing anything and removes them from being affected by area of effect spells for a short duration. It will break if the target is struck for damage.',160,3,315,3067436248,0,330,0,1,'Your Intimidate IV was successful on %t!','Your Intimidate IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Intimidate.lua',1865,'You cast Intimidate IV on %t.',1,0,0,1,0,1,2,1,0,70085,0,0,0,0,0,1,0,0,0,'Unset',1579831060,1384378110,0,0),
(70089,4188471483,1,0,'Trepidation','Prevents the target from doing anything and removes them from being affected by area of effect spells for a short duration. It will break if the target is struck for damage.',160,3,315,3067436248,0,385,0,1,'Your Intimidate V was successful on %t!','Your Intimidate V fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Intimidate.lua',1865,'You cast Intimidate V on %t.',1,0,0,1,0,1,2,1,0,70085,0,0,0,0,0,1,0,0,0,'Unset',1579831156,1384378110,0,0),
(70090,3000483934,1,0,'Intimidate VI','Prevents the target from doing anything and removes them from being affected by area of effect spells for a short duration. It will break if the target is struck for damage.',160,3,315,3067436248,0,435,0,1,'Your Intimidate VI was successful on %t!','Your Intimidate VI fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Intimidate.lua',1865,'You cast Intimidate VI on %t.',1,0,0,1,0,1,2,1,0,70085,0,0,0,0,0,1,0,0,0,'Unset',1579831249,1384378112,0,0),
(70091,1866537435,1,0,'Intimidate VII','Prevents the target from doing anything and removes them from being affected by area of effect spells for a short duration. It will break if the target is struck for damage.',160,3,315,3067436248,0,485,0,1,'Your Intimidate VII was successful on %t!','Your Intimidate VII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Intimidate.lua',1865,'You cast Intimidate VII on %t.',1,0,0,0,0,0,2,1,0,70085,0,0,0,0,0,1,0,0,0,'Unset',1579831349,1384378110,0,0),
(70092,2462937418,1,0,'Knockout Combination','For a short duration, any combat arts that the bruiser successfully lands will shove their target, causing additional damage with a chance at briefly knocking them down.',379,65535,317,3067436248,0,325,0,1,'Your Knockout Combination was successful on %t!','Your Knockout Combination fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/KnockoutCombination.lua',1875,'You cast Knockout Combination on %t.',1,0,0,1,1,1,0,0,0,70092,0,0,0,0,0,0,0,0,0,'Unset',1579891899,1384378110,0,0),
(70093,1740867647,1,0,'Knockout','For a short duration, any combat arts that the bruiser successfully lands will shove their target, causing additional damage with a chance at briefly knocking them down.',379,65535,317,3067436248,0,390,0,1,'Your Knockout Combination II was successful on %t!','Your Knockout Combination II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/KnockoutCombination.lua',1875,'You cast Knockout Combination II on %t.',1,0,0,1,1,1,0,0,0,70092,0,0,0,0,0,0,0,0,0,'Unset',1579891917,1384378110,0,0),
(70094,2373226966,1,0,'Knockout Combination III','For a short duration, any combat arts that the bruiser successfully lands will shove their target, causing additional damage with a chance at briefly knocking them down.',379,65535,317,3067436248,0,440,0,1,'Your Knockout Combination III was successful on %t!','Your Knockout Combination III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/KnockoutCombination.lua',1875,'You cast Knockout Combination III on %t.',1,0,0,1,1,1,0,0,0,70092,0,0,0,0,0,0,0,0,0,'Unset',1579891934,1384378112,0,0),
(70095,369588994,1,0,'Knockout Combination IV','For a short duration, any combat arts that the bruiser successfully lands will shove their target, causing additional damage with a chance at briefly knocking them down.',379,65535,317,3067436248,0,490,0,1,'Your Knockout Combination IV was successful on %t!','Your Knockout Combination IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/KnockoutCombination.lua',1875,'You cast Knockout Combination IV on %t.',1,0,0,0,1,0,0,0,0,70092,0,0,0,0,0,0,0,0,0,'Unset',1579891950,1384378112,0,0),
(70096,1374133847,1,0,'Thundering Fists','The bruiser''s fists become energized with static, unleashing magic damage with every successful melee hit for up to 5 attacks.',233,5,317,3856706740,0,75,0,0,'Your Lightning Fists was successful on %t!','Your Lightning Fists fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/LightningFists.lua',1858,'You cast Lightning Fists on %t.',1,0,0,1,1,1,0,0,0,70096,0,0,0,0,0,0,0,0,0,'Unset',1579827737,1384378112,0,0),
(70097,2416585581,1,0,'Fiery Fists- Ready for Testing','The bruiser''s fists become energized with static, unleashing magic damage with every successful melee hit for up to 5 attacks.',233,5,317,3067436248,0,145,1,0,'Your Lightning Fists II was successful on %t!','Your Lightning Fists II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/FieryFists.lua',1370,'You cast Fiery Fists on %t.',1,0,0,1,1,0,0,0,0,70097,0,0,0,0,0,1,0,0,0,'CombatBuff',1579827759,1384377825,0,0),
(70098,3691267911,1,0,'Shocking Fists','The bruiser''s fists become energized with static, unleashing magic damage with every successful melee hit for up to 5 attacks.',233,5,317,3067436248,0,215,0,0,'Your Lightning Fists III was successful on %t!','Your Lightning Fists III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/LightningFists.lua',1858,'You cast Lightning Fists III on %t.',1,0,0,1,1,1,0,0,0,70096,0,0,0,0,0,1,0,0,0,'Unset',1579827769,1384378112,0,0),
(70099,3276322030,1,0,'Storming Fists','The bruiser''s fists become energized with static, unleashing magic damage with every successful melee hit for up to 5 attacks.',233,5,317,3067436248,0,285,0,0,'Your Lightning Fists IV was successful on %t!','Your Lightning Fists IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/LightningFists.lua',1858,'You cast Lightning Fists IV on %t.',1,0,0,1,1,1,0,0,0,70096,0,0,0,0,0,1,0,0,0,'Unset',1579827783,1384378111,0,0),
(70100,1381578558,1,0,'Lightning Fists','The bruiser''s fists become energized with static, unleashing magic damage with every successful melee hit for up to 5 attacks.',233,5,317,3067436248,0,355,0,0,'Your Lightning Fists V was successful on %t!','Your Lightning Fists V fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/LightningFists.lua',1858,'You cast Lightning Fists V on %t.',1,0,0,1,1,1,0,0,0,70096,0,0,0,0,0,1,0,0,0,'Unset',1579827816,1384378111,0,0),
(70101,2753991510,1,0,'Lightning Fists VI','The bruiser''s fists become energized with static, unleashing magic damage with every successful melee hit for up to 5 attacks.',233,5,317,3067436248,0,405,0,0,'Your Lightning Fists VI was successful on %t!','Your Lightning Fists VI fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/LightningFists.lua',1858,'You cast Lightning Fists VI on %t.',1,0,0,1,1,1,0,0,0,70096,0,0,0,0,0,1,0,0,0,'Unset',1579827833,1384378112,0,0),
(70102,1265903031,1,0,'Lightning Fists VII','The bruiser''s fists become energized with static, unleashing magic damage with every successful melee hit for up to 5 attacks.',233,5,317,3067436248,0,455,0,0,'Your Lightning Fists VII was successful on %t!','Your Lightning Fists VII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/LightningFists.lua',1858,'You cast Lightning Fists VII on %t.',1,0,0,1,1,1,0,0,0,70096,0,0,0,0,0,1,0,0,0,'Unset',1579827853,1384378112,0,0),
(70103,2787899241,1,1,'Roughhouse- Ready for Testing','Increases your fist skill and decreases your deflection skill.',184,3,317,3067436248,723762198,110,1,0,'Your Manhandle was successful on %t!','Your Manhandle fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Roughhouse.lua',1273,'You cast Roughhouse on %t.',1,0,0,1,1,0,0,0,0,70103,0,0,0,0,0,1,0,0,0,'Unset',1579829462,1384378112,0,0),
(70104,1962399391,1,1,'Brawl','Increases your chance at an additional attack with increased hate every time you strike in melee.',184,3,317,3067436248,723762198,180,1,0,'Your Manhandle II was successful on %t!','Your Manhandle II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Manhandle.lua',1864,'You cast Manhandle II on %t.',1,0,0,1,1,1,0,0,0,70103,0,0,0,0,0,1,0,0,0,'Unset',1579829516,1384378110,0,0),
(70105,3518424636,1,1,'Quarrel','Increases your chance at an additional attack with increased hate every time you strike in melee.',184,3,317,3067436248,723762198,250,1,0,'Your Manhandle III was successful on %t!','Your Manhandle III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Manhandle.lua',1864,'You cast Manhandle III on %t.',1,0,0,1,1,1,0,0,0,70103,0,0,0,0,0,1,0,0,0,'Unset',1579829553,1384378112,0,0),
(70106,3026431566,1,1,'Rumble','Increases your chance at an additional attack with increased hate every time you strike in melee.',184,3,317,3067436248,723762198,320,1,0,'Your Manhandle IV was successful on %t!','Your Manhandle IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Manhandle.lua',1864,'You cast Manhandle IV on %t.',1,0,0,1,1,1,0,0,0,70103,0,0,0,0,0,1,0,0,0,'Unset',1579829580,1384378110,0,0),
(70107,3537301231,1,1,'Manhandle','Increases your chance at an additional attack with increased hate every time you strike in melee.',184,3,317,3067436248,723762198,380,1,0,'Your Manhandle V was successful on %t!','Your Manhandle V fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Manhandle.lua',1864,'You cast Manhandle V on %t.',1,0,0,1,1,1,0,0,0,70103,0,0,0,0,0,1,0,0,0,'Unset',1579829599,1384378111,0,0),
(70108,2688709022,1,1,'Manhandle VI','Increases your chance at an additional attack with increased hate every time you strike in melee.',184,3,317,3067436248,723762198,430,1,0,'Your Manhandle VI was successful on %t!','Your Manhandle VI fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Manhandle.lua',1864,'You cast Manhandle VI on %t.',1,0,0,1,1,1,0,0,0,70103,0,0,0,0,0,1,0,0,0,'Unset',1579829619,1384378111,0,0),
(70109,1005010417,1,1,'Manhandle VII','Increases your chance at an additional attack with increased hate every time you strike in melee.',184,3,317,3067436248,0,480,1,0,'Your Manhandle VII was successful on %t!','Your Manhandle VII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Manhandle.lua',1864,'You cast Manhandle VII on %t.',1,0,0,0,1,0,0,0,0,70103,0,0,0,0,0,1,0,0,0,'Unset',1579829635,1384378110,0,0),
(70110,2311431074,1,0,'Stamp','A melee attack that does additional damage if the target was recently affected by a knockdown effect and knocks them down again.',512,0,315,3067436248,0,50,0,1,'Your Merciless Stomp was successful on %t!','Your Merciless Stomp fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/MercilessStomp.lua',1851,'You cast Merciless Stomp on %t.',1,0,0,1,0,0,0,0,0,70110,0,0,0,0,0,0,0,0,0,'DD',1579825207,1384378112,0,0),
(70111,1906569093,1,0,'Crash- Ready for Testing',' A lower damage attack that interrupts the enemy and increases hate towards the Bruiser.\r\n',512,0,315,3067436248,0,120,0,1,'Your Merciless Stomp II was successful on %t!','Your Merciless Stomp II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Crash.lua',1285,'You cast Merciless Stomp II on %t.',1,0,0,1,0,0,0,0,0,70111,0,0,0,0,0,1,0,0,0,'DD',1579825278,1384378112,0,0),
(70112,2637798435,1,0,'Barbarous Stomp','A melee attack that does additional damage if the target was recently affected by a knockdown effect and knocks them down again.',512,0,315,3067436248,0,190,0,1,'Your Merciless Stomp III was successful on %t!','Your Merciless Stomp III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/MercilessStomp.lua',1851,'You cast Merciless Stomp III on %t.',1,0,0,1,0,0,0,0,0,70110,0,0,0,0,0,1,0,0,0,'DD',1579825332,1384378110,0,0),
(70113,2802658321,1,0,'Callous Stomp','A melee attack that does additional damage if the target was recently affected by a knockdown effect and knocks them down again.',512,0,315,3067436248,0,260,0,1,'Your Merciless Stomp IV was successful on %t!','Your Merciless Stomp IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/MercilessStomp.lua',1851,'You cast Merciless Stomp IV on %t.',1,0,0,1,0,0,0,0,0,70110,0,0,0,0,0,1,0,0,0,'DD',1579825353,1384378112,0,0),
(70114,2524079537,1,0,'Double Stomp','A melee attack that does additional damage if the target was recently affected by a knockdown effect and knocks them down again.',512,0,315,3067436248,0,330,0,1,'Your Merciless Stomp V was successful on %t!','Your Merciless Stomp V fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/MercilessStomp.lua',1851,'You cast Merciless Stomp V on %t.',1,0,0,1,0,0,0,0,0,70110,0,0,0,0,0,1,0,0,0,'DD',1579825386,1384378110,0,0),
(70115,724848779,1,0,'Merciless Stomp VI','A melee attack that does additional damage if the target was recently affected by a knockdown effect and knocks them down again.',512,0,315,3067436248,0,385,0,1,'Your Merciless Stomp VI was successful on %t!','Your Merciless Stomp VI fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/MercilessStomp.lua',1851,'You cast Merciless Stomp VI on %t.',1,0,0,1,0,0,0,0,0,70110,0,0,0,0,0,1,0,0,0,'DD',1579825604,1384378110,0,0),
(70116,2792152216,1,0,'Merciless Stomp VII','A melee attack that does additional damage if the target was recently affected by a knockdown effect and knocks them down again.',512,0,315,3067436248,0,435,0,1,'Your Merciless Stomp VII was successful on %t!','Your Merciless Stomp VII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/MercilessStomp.lua',1851,'You cast Merciless Stomp VII on %t.',1,0,0,1,0,0,0,0,0,70110,0,0,0,0,0,1,0,0,0,'DD',1579825624,1384378112,0,0),
(70117,1228827257,1,0,'Merciless Stomp VIII','A melee attack that does additional damage if the target was recently affected by a knockdown effect and knocks them down again.',512,0,315,3067436248,0,485,0,1,'Your Merciless Stomp VIII was successful on %t!','Your Merciless Stomp VIII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/MercilessStomp.lua',1851,'You cast Merciless Stomp VIII on %t.',1,0,0,1,0,0,0,0,0,70110,0,0,0,0,0,1,0,0,0,'DD',1579825650,1384378111,0,0),
(70118,3316011767,1,0,'Bruising Fist','A high damage melee attack that costs the bruiser''s health instead of power.',351,3,315,3067436248,0,10,0,1,'Your Meteor Fist was successful on %t!','Your Meteor Fist fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/MeteorFist.lua',1858,'You cast Meteor Fist on %t.',1,0,0,1,0,0,0,0,0,70118,0,0,0,0,0,0,0,0,0,'DD',1579669501,1384378112,0,0),
(70119,2654643148,1,0,'Bruising Strike','A high damage melee attack that costs the bruiser''s health instead of power.',351,3,315,3856706740,0,85,0,1,'Your Meteor Fist II was successful on %t!','Your Meteor Fist II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/MeteorFist.lua',1858,'You cast Meteor Fist II on %t.',1,0,0,1,0,0,0,0,0,70118,0,0,0,0,0,0,0,0,0,'DD',1579669596,1384378112,0,0),
(70120,3544908924,1,0,'Grapple','A high damage melee attack that costs the bruiser''s health instead of power.',351,3,315,3067436248,0,155,0,1,'Your Meteor Fist III was successful on %t!','Your Meteor Fist III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/MeteorFist.lua',1858,'You cast Meteor Fist III on %t.',1,0,0,1,0,0,0,0,0,70118,0,0,0,0,0,1,0,0,0,'DD',1579669611,1384377826,0,0),
(70121,1883635012,1,0,'Meteor Punch','A high damage melee attack that costs the bruiser''s health instead of power.',351,3,315,3067436248,0,225,0,1,'Your Meteor Fist IV was successful on %t!','Your Meteor Fist IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/MeteorFist.lua',1858,'You cast Meteor Fist IV on %t.',1,0,0,1,0,0,0,0,0,70118,0,0,0,0,0,1,0,0,0,'DD',1579669633,1384378112,0,0),
(70122,877471852,1,0,'Meteor Fist','A high damage melee attack that costs the bruiser''s health instead of power.',351,3,315,3067436248,0,295,0,1,'Your Meteor Fist V was successful on %t!','Your Meteor Fist V fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/MeteorFist.lua',1858,'You cast Meteor Fist V on %t.',1,0,0,1,0,0,0,0,0,70118,0,0,0,0,0,1,0,0,0,'DD',1579669658,1384377826,0,0),
(70123,772867041,1,0,'Comet Punch','A high damage melee attack that costs the bruiser''s health instead of power.',351,3,315,3067436248,0,365,0,1,'Your Meteor Fist VI was successful on %t!','Your Meteor Fist VI fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/MeteorFist.lua',1858,'You cast Meteor Fist VI on %t.',1,0,0,1,0,0,0,0,0,70118,0,0,0,0,0,1,0,0,0,'DD',1579669821,1384378110,0,0),
(70124,3119005201,1,0,'Meteor Fist VII','A high damage melee attack that costs the bruiser''s health instead of power.',351,3,315,3067436248,0,415,0,1,'Your Meteor Fist VII was successful on %t!','Your Meteor Fist VII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/MeteorFist.lua',1858,'You cast Meteor Fist VII on %t.',1,0,0,1,0,0,0,0,0,70118,0,0,0,0,0,1,0,0,0,'DD',1579669886,1384378111,0,0),
(70125,619175783,1,0,'Meteor Fist VIII','A high damage melee attack that costs the bruiser''s health instead of power.',351,3,315,3067436248,0,465,0,1,'Your Meteor Fist VIII was successful on %t!','Your Meteor Fist VIII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/MeteorFist.lua',1858,'You cast Meteor Fist VIII on %t.',1,0,0,1,0,0,0,0,0,70118,0,0,0,0,0,1,0,0,0,'DD',1579669930,1384377826,0,0),
(70126,2369075483,1,0,'Rapid Swings','Launches a flurry of attacks that cause high damage to the enemy. If any one attack misses the series stops at that attack.',330,3,315,3856706740,0,95,0,1,'Your One Hundred Hand Punch was successful on %t!','Your One Hundred Hand Punch fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/OneHundredHandPunch.lua',1862,'You cast One Hundred Hand Punch on %t.',1,0,0,1,0,0,0,0,0,70126,0,0,0,0,0,0,0,0,0,'DD',1579827965,1384378112,0,0),
(70127,814257421,1,0,'One Hundred Hand Slap','Launches a flurry of attacks that cause high damage to the enemy. If any one attack misses the series stops at that attack.',330,3,315,3067436248,0,165,0,1,'Your One Hundred Hand Punch II was successful on %t!','Your One Hundred Hand Punch II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/OneHundredHandPunch.lua',1862,'You cast One Hundred Hand Punch II on %t.',1,0,0,1,0,0,0,0,0,70126,0,0,0,0,0,1,0,0,0,'DD',1579827996,1384377826,0,0),
(70128,720533747,1,0,'Crushing Fury','Launches a flurry of attacks that cause high damage to the enemy. If any one attack misses the series stops at that attack.',330,3,315,3067436248,0,235,0,1,'Your One Hundred Hand Punch III was successful on %t!','Your One Hundred Hand Punch III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/OneHundredHandPunch.lua',1862,'You cast One Hundred Hand Punch III on %t.',1,0,0,1,0,0,0,0,0,70126,0,0,0,0,0,1,0,0,0,'DD',1579828108,1384378112,0,0),
(70129,3808020218,1,0,'One Hundred Hand Punch','Launches a flurry of attacks that cause high damage to the enemy. If any one attack misses the series stops at that attack.',330,3,315,3067436248,0,310,0,1,'Your One Hundred Hand Punch IV was successful on %t!','Your One Hundred Hand Punch IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/OneHundredHandPunch.lua',1862,'You cast One Hundred Hand Punch IV on %t.',1,0,0,1,0,0,0,0,0,70126,0,0,0,0,0,1,0,0,0,'DD',1579828211,1384377826,0,0),
(70130,2035305526,1,0,'One Hundred Hands','Launches a flurry of attacks that cause high damage to the enemy. If any one attack misses the series stops at that attack.',330,3,315,3067436248,0,370,0,1,'Your One Hundred Hand Punch V was successful on %t!','Your One Hundred Hand Punch V fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/OneHundredHandPunch.lua',1862,'You cast One Hundred Hand Punch V on %t.',1,0,0,1,0,0,0,0,0,70126,0,0,0,0,0,1,0,0,0,'DD',1579828269,1384378111,0,0),
(70131,353659835,1,0,'One Hundred Hand Punch VI','Launches a flurry of attacks that cause high damage to the enemy. If any one attack misses the series stops at that attack.',330,3,315,3067436248,0,420,0,1,'Your One Hundred Hand Punch VI was successful on %t!','Your One Hundred Hand Punch VI fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/OneHundredHandPunch.lua',1862,'You cast One Hundred Hand Punch VI on %t.',1,0,0,1,0,0,0,0,0,70126,0,0,0,0,0,1,0,0,0,'DD',1579828326,1384378110,0,0),
(70132,2963274677,1,0,'One Hundred Hand Punch VII','Launches a flurry of attacks that cause high damage to the enemy. If any one attack misses the series stops at that attack.',330,3,315,3067436248,0,470,0,1,'Your One Hundred Hand Punch VII was successful on %t!','Your One Hundred Hand Punch VII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/OneHundredHandPunch.lua',1862,'You cast One Hundred Hand Punch VII on %t.',1,0,0,1,0,0,0,0,0,70126,0,0,0,0,0,1,0,0,0,'DD',1579828434,1384378112,0,0),
(70133,2952428022,1,0,'Jab','A melee attack that does some extra damage.',291,0,315,3067436248,0,5,0,1,'Your Pummel was successful on %t!','Your Pummel fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Pummel.lua',1857,'You cast Pummel on %t.',1,0,0,1,0,0,0,0,0,10019,0,0,0,0,0,0,0,0,0,'DD',1579668608,1384377825,0,0),
(70134,4267288699,1,0,'Knuckle','A melee attack that does some extra damage.',291,0,315,3067436248,0,30,0,1,'Your Pummel II was successful on %t!','Your Pummel II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Pummel.lua',1857,'You cast Pummel II on %t.',1,0,0,1,0,0,0,0,0,70133,0,0,0,0,0,0,0,0,0,'DD',1579668631,1384378112,0,0),
(70135,792277358,1,0,'Blitz- Ready for Testing','A melee attack that does some extra damage.',291,0,315,3067436248,0,145,0,1,'Your Pummel III was successful on %t!','Your Pummel III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Blitz.lua',1255,'You cast Blitz on %t.',1,0,0,1,0,0,0,0,0,10019,0,0,0,0,0,1,0,0,0,'DD',1579668650,1384378112,0,0),
(70136,2128243210,1,0,'Pummel','A melee attack that does some extra damage.',291,0,315,3067436248,0,215,0,1,'Your Pummel IV was successful on %t!','Your Pummel IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Pummel.lua',1857,'You cast Pummel IV on %t.',1,0,0,1,0,0,0,0,0,70133,0,0,0,0,0,1,0,0,0,'DD',1579668669,1384378112,0,0),
(70137,575190410,1,0,'Pound','A melee attack that does some extra damage.',291,0,315,3067436248,0,285,0,1,'Your Pummel V was successful on %t!','Your Pummel V fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Pummel.lua',1857,'You cast Pummel V on %t.',1,0,0,1,0,0,0,0,0,70133,0,0,0,0,0,1,0,0,0,'DD',1579668859,1384378110,0,0),
(70138,2241387877,1,0,'Hammer','A melee attack that does some extra damage.',291,0,315,3067436248,0,355,0,1,'Your Pummel VI was successful on %t!','Your Pummel VI fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Pummel.lua',1857,'You cast Pummel VI on %t.',1,0,0,1,0,0,0,0,0,70133,0,0,0,0,0,1,0,0,0,'DD',1579668914,1384378110,0,0),
(70139,3670777443,1,0,'Pummel VII','A melee attack that does some extra damage.',291,0,315,3067436248,0,405,0,1,'Your Pummel VII was successful on %t!','Your Pummel VII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Pummel.lua',1857,'You cast Pummel VII on %t.',1,0,0,1,0,0,0,0,0,70133,0,0,0,0,0,1,0,0,0,'DD',1579668956,1384378112,0,0),
(70140,3450898976,1,0,'Pummel VIII','A melee attack that does some extra damage.',291,0,315,3067436248,0,455,0,1,'Your Pummel VIII was successful on %t!','Your Pummel VIII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Pummel.lua',1857,'You cast Pummel VIII on %t.',1,0,0,1,0,0,0,0,0,70133,0,0,0,0,0,1,0,0,0,'DD',1579668981,1384378112,0,0),
(70141,1463109816,1,0,'Heavy Scarring','Snares the bruiser and reduces their weapon damage while greatly increasing trauma mitigation.',329,4,317,3067436248,0,200,0,0,'Your Rock Skin was successful on %t!','Your Rock Skin fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/RockSkin.lua',1870,'You cast Rock Skin on %t.',1,0,0,1,1,1,0,0,0,70141,0,0,0,0,0,1,0,0,0,'Unset',1579889771,1384378110,0,0),
(70142,3813877856,1,0,'Calloused Skin','Snares the bruiser and reduces their weapon damage while greatly increasing trauma mitigation.',329,4,317,3067436248,0,270,0,0,'Your Rock Skin II was successful on %t!','Your Rock Skin II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/RockSkin.lua',1870,'You cast Rock Skin II on %t.',1,0,0,1,1,1,0,0,0,70141,0,0,0,0,0,1,0,0,0,'Unset',1579889845,1384378112,0,0),
(70143,2908700192,1,0,'Hardened Skin','Snares the bruiser and reduces their weapon damage while greatly increasing trauma mitigation.',329,4,317,3067436248,0,340,0,0,'Your Rock Skin III was successful on %t!','Your Rock Skin III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/RockSkin.lua',1870,'You cast Rock Skin III on %t.',1,0,0,1,1,1,0,0,0,70141,0,0,0,0,0,1,0,0,0,'Unset',1579889872,1384378110,0,0),
(70144,1552656960,1,0,'Rock Skin','Snares the bruiser and reduces their weapon damage while greatly increasing trauma mitigation.',329,4,317,3067436248,0,390,0,0,'Your Rock Skin IV was successful on %t!','Your Rock Skin IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/RockSkin.lua',1870,'You cast Rock Skin IV on %t.',1,0,0,1,1,1,0,0,0,70141,0,0,0,0,0,1,0,0,0,'Unset',1579889918,1384378110,0,0),
(70145,773797169,1,0,'Rock Skin V','Snares the bruiser and reduces their weapon damage while greatly increasing trauma mitigation.',329,4,317,3067436248,0,440,0,0,'Your Rock Skin V was successful on %t!','Your Rock Skin V fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/RockSkin.lua',1870,'You cast Rock Skin V on %t.',1,0,0,1,1,1,0,0,0,70141,0,0,0,0,0,1,0,0,0,'Unset',1579889948,1384378112,0,0),
(70146,3048896862,1,0,'Rock Skin VI','Snares the bruiser and reduces their weapon damage while greatly increasing trauma mitigation.',329,4,317,3067436248,0,490,0,0,'Your Rock Skin VI was successful on %t!','Your Rock Skin VI fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/RockSkin.lua',1870,'You cast Rock Skin VI on %t.',1,0,0,0,1,0,0,0,0,70141,0,0,0,0,0,1,0,0,0,'Unset',1579890140,1384377826,0,0),
(70147,1557643250,1,0,'Kick','A kick attack that deals moderate crushing damage.',292,4,315,1408356869,0,25,0,1,'Your Roundhouse was successful on %t!','Your Roundhouse fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Roundhouse.lua',1881,'You cast Roundhouse on %t.',1,0,0,1,0,0,0,0,0,70147,0,0,0,0,0,0,0,0,0,'DD',1579671928,1384378112,0,0),
(70148,2499388932,1,0,'Flying Kick','A kick attack that deals moderate crushing damage.',292,4,315,3856706740,0,95,0,1,'Your Roundhouse II was successful on %t!','Your Roundhouse II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Roundhouse.lua',1881,'You cast Roundhouse II on %t.',1,0,0,1,0,0,0,0,0,70147,0,0,0,0,0,0,0,0,0,'DD',1579672105,1384378112,0,0),
(70149,2815032915,1,0,'Throat Punch','A kick attack that deals moderate crushing damage.',292,4,315,3067436248,0,165,0,1,'Your Roundhouse III was successful on %t!','Your Roundhouse III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Roundhouse.lua',1881,'You cast Roundhouse III on %t.',1,0,0,1,0,0,0,0,0,70147,0,0,0,0,0,1,0,0,0,'DD',1579672137,1384378110,0,0),
(70150,1884638203,1,0,'Roundhouse','A kick attack that deals moderate crushing damage.',292,4,315,3067436248,0,235,0,1,'Your Roundhouse IV was successful on %t!','Your Roundhouse IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Roundhouse.lua',1881,'You cast Roundhouse IV on %t.',1,0,0,1,0,0,0,0,0,70147,0,0,0,0,0,1,0,0,0,'DD',1579672297,1384378112,0,0),
(70151,2438705633,1,0,'Dropkick','A kick attack that deals moderate crushing damage.',292,4,315,3067436248,0,305,0,1,'Your Roundhouse V was successful on %t!','Your Roundhouse V fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Roundhouse.lua',1881,'You cast Roundhouse V on %t.',1,0,0,1,0,0,0,0,0,70147,0,0,0,0,0,1,0,0,0,'DD',1579672314,1384378111,0,0),
(70152,54773898,1,0,'Front Kick','A kick attack that deals moderate crushing damage.',292,4,315,3067436248,0,370,0,1,'Your Roundhouse VI was successful on %t!','Your Roundhouse VI fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Roundhouse.lua',1881,'You cast Roundhouse VI on %t.',1,0,0,1,0,0,0,0,0,70147,0,0,0,0,0,1,0,0,0,'DD',1579672355,1384378111,0,0),
(70153,2641436912,1,0,'Roundhouse VII','A kick attack that deals moderate crushing damage.',292,4,315,3067436248,0,420,0,1,'Your Roundhouse VII was successful on %t!','Your Roundhouse VII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Roundhouse.lua',1881,'You cast Roundhouse VII on %t.',1,0,0,1,0,0,0,0,0,70147,0,0,0,0,0,1,0,0,0,'DD',1579672368,1384378111,0,0),
(70154,1088944501,1,0,'Roundhouse VIII','A kick attack that deals moderate crushing damage.',292,4,315,3067436248,0,470,0,1,'Your Roundhouse VIII was successful on %t!','Your Roundhouse VIII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Roundhouse.lua',1881,'You cast Roundhouse VIII on %t.',1,0,0,1,0,0,0,0,0,70147,0,0,0,0,0,1,0,0,0,'DD',1579672391,1384378111,0,0),
(70155,2723190044,1,0,'Savage Blows','A series of quick attacks that strike all nearby enemies. If one of these attacks misses on a target, the successive ones will miss automatically on that target.',330,3,313,3067436248,3067436248,250,0,1,'Your Savage Assault was successful on %t!','Your Savage Assault fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SavageAssault.lua',1736,'You cast Savage Assault on %t.',1,0,0,1,0,0,0,0,0,70155,0,0,0,0,0,1,0,0,0,'DD',1579890335,1384377826,0,0),
(70156,1382527854,1,0,'Savage Bruising','A series of quick attacks that strike all nearby enemies. If one of these attacks misses on a target, the successive ones will miss automatically on that target.',330,3,313,3067436248,3067436248,350,0,1,'Your Savage Assault II was successful on %t!','Your Savage Assault II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SavageAssault.lua',1736,'You cast Savage Assault II on %t.',1,0,0,1,0,0,0,0,0,70155,0,0,0,0,0,1,0,0,0,'DD',1579890368,1384378110,0,0),
(70157,4245360379,1,0,'Savage Assault','A series of quick attacks that strike all nearby enemies. If one of these attacks misses on a target, the successive ones will miss automatically on that target.',330,3,313,3067436248,3067436248,400,0,1,'Your Savage Assault III was successful on %t!','Your Savage Assault III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SavageAssault.lua',1736,'You cast Savage Assault III on %t.',1,0,0,1,0,0,0,0,0,70155,0,0,0,0,0,1,0,0,0,'DD',1579890464,1384378112,0,0),
(70158,2058208696,1,0,'Savage Assault IV','A series of quick attacks that strike all nearby enemies. If one of these attacks misses on a target, the successive ones will miss automatically on that target.',330,3,313,3067436248,3067436248,450,0,1,'Your Savage Assault IV was successful on %t!','Your Savage Assault IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SavageAssault.lua',1736,'You cast Savage Assault IV on %t.',1,0,0,1,0,0,0,0,0,70155,0,0,0,0,0,1,0,0,0,'DD',1579890497,1384378110,0,0),
(70159,4098488196,1,0,'Savage Assault V','A series of quick attacks that strike all nearby enemies. If one of these attacks misses on a target, the successive ones will miss automatically on that target.',330,3,313,3067436248,3067436248,500,0,1,'Your Savage Assault V was successful on %t!','Your Savage Assault V fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SavageAssault.lua',1736,'You cast Savage Assault V on %t.',1,0,0,1,0,0,0,0,0,70155,0,0,0,0,0,1,0,0,0,'DD',1579890559,1384378112,0,0),
(70160,87482121,1,0,'Shoulder Charge','A melee attack that knocks the enemy down and stuns them for a short duration on a successful hit.',350,3,315,3856706740,0,65,0,1,'Your Shoulder Charge was successful on %t!','Your Shoulder Charge fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/ShoulderCharge.lua',1736,'You cast Shoulder Charge on %t.',1,0,0,1,0,0,0,0,0,70160,0,0,0,0,0,0,0,0,0,'DD',1579827388,1384378112,0,0),
(70161,1027778995,1,0,'Fierce Punch- Ready for Testing','Stuns and lowers the damage of the enemy.',350,3,315,3067436248,0,135,0,1,'Your Shoulder Charge II was successful on %t!','Your Shoulder Charge II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/FiercePunch.lua',1274,'You cast Shoulder Charge II on %t.',1,0,0,1,0,0,1,4,0,70161,0,0,0,0,0,1,0,0,0,'DD',1579827432,1384378112,0,0),
(70162,4228621982,1,0,'Hammer Fist','A melee attack that knocks the enemy down and stuns them for a short duration on a successful hit.',350,3,315,3067436248,0,205,0,1,'Your Shoulder Charge III was successful on %t!','Your Shoulder Charge III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/ShoulderCharge.lua',1736,'You cast Shoulder Charge III on %t.',1,0,0,1,0,0,0,0,0,70160,0,0,0,0,0,1,0,0,0,'DD',1579827476,1384378112,0,0),
(70163,208538155,1,0,'Iron Fist','A melee attack that knocks the enemy down and stuns them for a short duration on a successful hit.',350,3,315,3067436248,0,275,0,1,'Your Shoulder Charge IV was successful on %t!','Your Shoulder Charge IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/ShoulderCharge.lua',1736,'You cast Shoulder Charge IV on %t.',1,0,0,1,0,0,0,0,0,70160,0,0,0,0,0,1,0,0,0,'DD',1579827505,1384378112,0,0),
(70164,3137678458,1,0,'Steel Fist','A melee attack that knocks the enemy down and stuns them for a short duration on a successful hit.',350,3,315,3067436248,0,345,0,1,'Your Shoulder Charge V was successful on %t!','Your Shoulder Charge V fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/ShoulderCharge.lua',1736,'You cast Shoulder Charge V on %t.',1,0,0,1,0,0,0,0,0,70160,0,0,0,0,0,1,0,0,0,'DD',1579827576,1384378110,0,0),
(70165,1269799159,1,0,'Adamantine Fist','A melee attack that knocks the enemy down and stuns them for a short duration on a successful hit.',350,3,315,3067436248,0,395,0,1,'Your Shoulder Charge VI was successful on %t!','Your Shoulder Charge VI fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/ShoulderCharge.lua',1736,'You cast Shoulder Charge VI on %t.',1,0,0,1,0,0,0,0,0,70160,0,0,0,0,0,1,0,0,0,'DD',1579827622,1384378112,0,0),
(70166,3474528445,1,0,'Shoulder Charge VII','A melee attack that knocks the enemy down and stuns them for a short duration on a successful hit.',350,3,315,3067436248,0,445,0,1,'Your Shoulder Charge VII was successful on %t!','Your Shoulder Charge VII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/ShoulderCharge.lua',1736,'You cast Shoulder Charge VII on %t.',1,0,0,1,0,0,0,0,0,70160,0,0,0,0,0,1,0,0,0,'DD',1579827645,1384377825,0,0),
(70167,541830748,1,0,'Shoulder Charge VIII','A melee attack that knocks the enemy down and stuns them for a short duration on a successful hit.',350,3,315,3067436248,0,495,0,1,'Your Shoulder Charge VIII was successful on %t!','Your Shoulder Charge VIII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/ShoulderCharge.lua',1736,'You cast Shoulder Charge VIII on %t.',1,0,0,1,0,0,0,0,0,70160,0,0,0,0,0,1,0,0,0,'DD',1579827665,1384377826,0,0),
(70168,699446630,1,1,'Staggering Stance','Grants the bruiser a chance to shield an ally from melee attacks, by allowing the target a chance to use the bruiser''s avoidance check after their own avoidance check. This also increases the bruiser''s base avoidance.',294,5,316,3856706740,0,105,1,1,'Your Shrug Off was successful on %t!','Your Shrug Off fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/ShrugOff.lua',1861,'You cast Shrug Off on %t.',1,1,0,1,1,1,0,0,0,70168,0,0,0,0,0,0,0,0,0,'Unset',1579828589,1384378113,0,0),
(70169,44714223,1,1,'Overtaking Blows','Grants the bruiser a chance to shield an ally from melee attacks, by allowing the target a chance to use the bruiser''s avoidance check after their own avoidance check. This also increases the bruiser''s base avoidance.',294,5,316,3067436248,0,160,1,1,'Your Shrug Off II was successful on %t!','Your Shrug Off II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/ShrugOff.lua',1861,'You cast Shrug Off II on %t.',1,1,0,1,1,1,0,0,0,70168,0,0,0,0,0,0,0,0,0,'Unset',1579828657,1384377826,0,0),
(70170,1767335325,1,1,'Shrug Off','Grants the bruiser a chance to shield an ally from melee attacks, by allowing the target a chance to use the bruiser''s avoidance check after their own avoidance check. This also increases the bruiser''s base avoidance.',294,5,316,3067436248,0,230,1,1,'Your Shrug Off III was successful on %t!','Your Shrug Off III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/ShrugOff.lua',1861,'You cast Shrug Off III on %t.',1,1,0,1,1,1,0,0,0,70168,0,0,0,0,0,0,0,0,0,'Unset',1579828706,1384378112,0,0),
(70171,2029225881,1,1,'Shake Off','Grants the bruiser a chance to shield an ally from melee attacks, by allowing the target a chance to use the bruiser''s avoidance check after their own avoidance check. This also increases the bruiser''s base avoidance.',294,5,316,3067436248,0,300,1,1,'Your Shrug Off IV was successful on %t!','Your Shrug Off IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/ShrugOff.lua',1861,'You cast Shrug Off IV on %t.',1,1,0,1,1,1,0,0,0,70168,0,0,0,0,0,0,0,0,0,'Unset',1579829240,1384378110,0,0),
(70172,2474964706,1,0,'Taunt','Increases the target''s hate towards the bruiser. This ability can be used while the bruiser is stifled or stunned.',295,2,315,1408356869,723762198,5,0,1,'Your Slurred Insult was successful on %t!','Your Slurred Insult fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SlurredInsult.lua',1846,'You cast Slurred Insult on %t.',1,0,0,1,0,0,0,0,0,70172,0,6,0,0,0,0,0,0,0,'Unset',1579669080,1384377846,0,0),
(70173,2601369027,1,0,'Brag','Increases the target''s hate towards the bruiser. This ability can be used while the bruiser is stifled or stunned.',295,2,315,3067436248,723762198,45,0,1,'Your Slurred Insult II was successful on %t!','Your Slurred Insult II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SlurredInsult.lua',1846,'You cast Slurred Insult II on %t.',1,0,0,1,0,0,0,0,0,70172,0,6,0,0,0,0,0,0,0,'Unset',1579669098,1384377846,0,0),
(70174,385763122,1,0,'Taunting Slap','Increases the target''s hate towards the bruiser. This ability can be used while the bruiser is stifled or stunned.',295,2,315,3856706740,723762198,85,0,1,'Your Slurred Insult III was successful on %t!','Your Slurred Insult III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SlurredInsult.lua',1846,'You cast Slurred Insult III on %t.',1,0,0,1,0,0,0,0,0,70172,0,6,0,0,0,0,0,0,0,'Unset',1579669126,1384378112,0,0),
(70175,3223235942,1,0,'Slurred Insult','Increases the target''s hate towards the bruiser. This ability can be used while the bruiser is stifled or stunned.',295,2,315,3067436248,723762198,155,0,1,'Your Slurred Insult IV was successful on %t!','Your Slurred Insult IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SlurredInsult.lua',1846,'You cast Slurred Insult IV on %t.',1,0,0,1,0,0,0,0,0,70172,0,6,0,0,0,1,0,0,0,'Unset',1579669144,1384378110,0,0),
(70176,3690645197,1,0,'Slurred Insult IX','Increases the target''s hate towards the bruiser. This ability can be used while the bruiser is stifled or stunned.',295,2,315,3067436248,723762198,460,0,1,'Your Slurred Insult IX was successful on %t!','Your Slurred Insult IX fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SlurredInsult.lua',1846,'You cast Slurred Insult IX on %t.',1,0,0,1,0,0,0,0,0,70172,0,6,0,0,0,1,0,0,0,'Unset',1579669410,1384378112,0,0),
(70177,64190633,1,0,'Instigate','Increases the target''s hate towards the bruiser. This ability can be used while the bruiser is stifled or stunned.',295,2,315,3067436248,723762198,225,0,1,'Your Slurred Insult V was successful on %t!','Your Slurred Insult V fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SlurredInsult.lua',1846,'You cast Slurred Insult V on %t.',1,0,0,1,0,0,0,0,0,70172,0,6,0,0,0,1,0,0,0,'Unset',1579669222,1384377826,0,0),
(70178,827644416,1,0,'Pressure','Increases the target''s hate towards the bruiser. This ability can be used while the bruiser is stifled or stunned.',295,2,315,3067436248,723762198,295,0,1,'Your Slurred Insult VI was successful on %t!','Your Slurred Insult VI fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SlurredInsult.lua',1846,'You cast Slurred Insult VI on %t.',1,0,0,1,0,0,0,0,0,70172,0,6,0,0,0,1,0,0,0,'Unset',1579669251,1384378111,0,0),
(70179,2140672045,1,0,'Boil','Increases the target''s hate towards the bruiser. This ability can be used while the bruiser is stifled or stunned.',295,2,315,3067436248,723762198,360,0,1,'Your Slurred Insult VII was successful on %t!','Your Slurred Insult VII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SlurredInsult.lua',1846,'You cast Slurred Insult VII on %t.',1,0,0,1,0,0,0,0,0,70172,0,6,0,0,0,1,0,0,0,'Unset',1579669275,1384378110,0,0),
(70180,1549536654,1,0,'Slurred Insult VIII','Increases the target''s hate towards the bruiser. This ability can be used while the bruiser is stifled or stunned.',295,2,315,3067436248,723762198,410,0,1,'Your Slurred Insult VIII was successful on %t!','Your Slurred Insult VIII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SlurredInsult.lua',1846,'You cast Slurred Insult VIII on %t.',1,0,0,1,0,0,0,0,0,70172,0,6,0,0,0,1,0,0,0,'Unset',1579669301,1384377826,0,0),
(70181,2114998463,1,1,'Heated Fists','Increases the bruiser''s offensive melee skills and engulfs the bruiser''s hands in flames, granting a chance to deal heat damage with every successful melee hit, at the cost of decreased defense skill. This is the bruiser''s primary offensive stance.',275,3,317,3067436248,0,20,1,0,'Your Smoldering Fists was successful on %t!','Your Smoldering Fists fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SmolderingFists.lua',1855,'You cast Smoldering Fists on %t.',1,0,0,1,1,1,0,0,0,70032,0,0,0,0,0,0,0,0,0,'Unset',1579671691,1384378112,0,0),
(70182,1956710516,1,1,'Fiery Fists','Increases the bruiser''s offensive melee skills and engulfs the bruiser''s hands in flames, granting a chance to deal heat damage with every successful melee hit, at the cost of decreased defense skill. This is the bruiser''s primary offensive stance.',275,3,317,3067436248,0,80,1,0,'Your Smoldering Fists II was successful on %t!','Your Smoldering Fists II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SmolderingFists.lua',1855,'You cast Smoldering Fists II on %t.',1,0,0,1,1,1,0,0,0,70032,0,0,0,0,0,0,0,0,0,'Unset',1579671746,1384378112,0,0),
(70183,3089419111,1,1,'Lava Fists','Increases the bruiser''s offensive melee skills and engulfs the bruiser''s hands in flames, granting a chance to deal heat damage with every successful melee hit, at the cost of decreased defense skill. This is the bruiser''s primary offensive stance.',275,3,317,3067436248,0,175,1,0,'Your Smoldering Fists III was successful on %t!','Your Smoldering Fists III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SmolderingFists.lua',1855,'You cast Smoldering Fists III on %t.',1,0,0,1,1,1,0,0,0,70032,0,0,0,0,0,1,0,0,0,'Unset',1579671771,1384378110,0,0),
(70184,1279150819,1,1,'Magmatic Fists','Increases the bruiser''s offensive melee skills and engulfs the bruiser''s hands in flames, granting a chance to deal heat damage with every successful melee hit, at the cost of decreased defense skill. This is the bruiser''s primary offensive stance.',275,3,317,3067436248,0,245,1,0,'Your Smoldering Fists IV was successful on %t!','Your Smoldering Fists IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SmolderingFists.lua',1855,'You cast Smoldering Fists IV on %t.',1,0,0,1,1,1,0,0,0,70032,0,0,0,0,0,1,0,0,0,'Unset',1579671794,1384377826,0,0),
(70185,2568691097,1,1,'Blistering Fists','Increases the bruiser''s offensive melee skills and engulfs the bruiser''s hands in flames, granting a chance to deal heat damage with every successful melee hit, at the cost of decreased defense skill. This is the bruiser''s primary offensive stance.',275,3,317,3067436248,0,315,1,0,'Your Smoldering Fists V was successful on %t!','Your Smoldering Fists V fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SmolderingFists.lua',1855,'You cast Smoldering Fists V on %t.',1,0,0,1,1,1,0,0,0,70032,0,0,0,0,0,1,0,0,0,'Unset',1579671811,1384378110,0,0),
(70186,3600580614,1,1,'Smoldering Fists','Increases the bruiser''s offensive melee skills and engulfs the bruiser''s hands in flames, granting a chance to deal heat damage with every successful melee hit, at the cost of decreased defense skill. This is the bruiser''s primary offensive stance.',275,3,317,3067436248,0,375,1,0,'Your Smoldering Fists VI was successful on %t!','Your Smoldering Fists VI fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SmolderingFists.lua',1855,'You cast Smoldering Fists VI on %t.',1,0,0,1,1,1,0,0,0,70032,0,0,0,0,0,1,0,0,0,'Unset',1579671822,1384378111,0,0),
(70187,2500007624,1,1,'Smoldering Fists VII','Increases the bruiser''s offensive melee skills and engulfs the bruiser''s hands in flames, granting a chance to deal heat damage with every successful melee hit, at the cost of decreased defense skill. This is the bruiser''s primary offensive stance.',275,3,317,3067436248,0,425,1,0,'Your Smoldering Fists VII was successful on %t!','Your Smoldering Fists VII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SmolderingFists.lua',1855,'You cast Smoldering Fists VII on %t.',1,0,0,1,1,1,0,0,0,70032,0,0,0,0,0,1,0,0,0,'Unset',1579671848,1384378110,0,0),
(70188,1122080400,1,1,'Smoldering Fists VIII','Increases the bruiser''s offensive melee skills and engulfs the bruiser''s hands in flames, granting a chance to deal heat damage with every successful melee hit, at the cost of decreased defense skill. This is the bruiser''s primary offensive stance.',275,3,317,3067436248,0,475,1,0,'Your Smoldering Fists VIII was successful on %t!','Your Smoldering Fists VIII fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SmolderingFists.lua',1855,'You cast Smoldering Fists VIII on %t.',1,0,0,1,1,0,0,0,0,70032,0,0,0,0,0,1,0,0,0,'Unset',1579671867,1384377826,0,0),
(70189,2121208799,1,0,'Sonic Fists','Teleporting attack that interrupts the target.  You must be at range to use this attack.',348,3,315,3067436248,0,275,0,1,'Your Sonic Punch was successful on %t!','Your Sonic Punch fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SonicPunch.lua',1873,'You cast Sonic Punch on %t.',1,0,0,1,0,0,0,0,0,70189,0,0,0,0,0,1,0,0,0,'DD',1579890879,1384377826,0,0),
(70190,835668664,1,0,'Sonic Punch','Teleporting attack that interrupts the target.  You must be at range to use this attack.',348,3,315,3067436248,0,370,0,1,'Your Sonic Punch II was successful on %t!','Your Sonic Punch II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SonicPunch.lua',1873,'You cast Sonic Punch II on %t.',1,0,0,1,0,0,0,0,0,70189,0,0,0,0,0,1,0,0,0,'DD',1579891076,1384378110,0,0),
(70191,1734082126,1,0,'Sonic Punch III','Teleporting attack that interrupts the target.  You must be at range to use this attack.',348,3,315,3067436248,0,420,0,1,'Your Sonic Punch III was successful on %t!','Your Sonic Punch III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SonicPunch.lua',1873,'You cast Sonic Punch III on %t.',1,0,0,1,0,0,0,0,0,70189,0,0,0,0,0,1,0,0,0,'DD',1579891142,1384378111,0,0),
(70192,4199817016,1,0,'Sonic Punch IV','Teleporting attack that interrupts the target.  You must be at range to use this attack.',348,3,315,3067436248,0,470,0,1,'Your Sonic Punch IV was successful on %t!','Your Sonic Punch IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SonicPunch.lua',1873,'You cast Sonic Punch IV on %t.',1,0,0,1,0,0,0,0,0,70189,0,0,0,0,0,1,0,0,0,'DD',1579891253,1384378110,0,0),
(70193,133190571,1,0,'Stone Deaf','Allows the bruiser to absorb all non-physical damage they would have otherwise received if the damage was greater than 30% of their total health for up to 3 hits. Upgrades to this ability increase the chance that this effect will absorb higher level sources of damage.',508,65535,317,3067436248,0,260,0,0,'Your Stone Deaf was successful on %t!','Your Stone Deaf fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/StoneDeaf.lua',1877,'You cast Stone Deaf on %t.',1,0,0,0,1,1,0,0,0,70193,0,0,0,0,0,0,0,0,0,'Unset',1579890643,1384377826,0,0),
(70194,1495727996,1,0,'Sucker Punch','A powerful melee attack that dazes the target. It must be made from behind or to the side of the target.',349,3,315,3067436248,0,160,0,1,'Your Sucker Punch was successful on %t!','Your Sucker Punch fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SuckerPunch.lua',1869,'You cast Sucker Punch on %t.',1,0,0,1,0,0,1,3,0,70194,0,0,0,0,0,1,0,0,0,'DD',1579833014,1384377826,0,0),
(70195,3385142584,1,0,'Dirty Punch','A powerful melee attack that dazes the target. It must be made from behind or to the side of the target.',349,3,315,3067436248,0,230,0,1,'Your Sucker Punch II was successful on %t!','Your Sucker Punch II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SuckerPunch.lua',1869,'You cast Sucker Punch II on %t.',1,0,0,1,0,0,1,3,0,70194,0,0,0,0,0,1,0,0,0,'DD',1579833051,1384378112,0,0),
(70196,2036040556,1,0,'Rabbit Punch','A powerful melee attack that dazes the target. It must be made from behind or to the side of the target.',349,3,315,3067436248,0,300,0,1,'Your Sucker Punch III was successful on %t!','Your Sucker Punch III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SuckerPunch.lua',1869,'You cast Sucker Punch III on %t.',1,0,0,1,0,0,1,3,0,70194,0,0,0,0,0,1,0,0,0,'DD',1579833107,1384378111,0,0),
(70197,984189055,1,0,'Gut Punch','A powerful melee attack that dazes the target. It must be made from behind or to the side of the target.',349,3,315,3067436248,0,365,0,1,'Your Sucker Punch IV was successful on %t!','Your Sucker Punch IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SuckerPunch.lua',1869,'You cast Sucker Punch IV on %t.',1,0,0,1,0,0,1,3,0,70194,0,0,0,0,0,1,0,0,0,'DD',1579833138,1384378110,0,0),
(70198,450738420,1,0,'Sucker Punch V','A powerful melee attack that dazes the target. It must be made from behind or to the side of the target.',349,3,315,3067436248,0,415,0,1,'Your Sucker Punch V was successful on %t!','Your Sucker Punch V fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SuckerPunch.lua',1869,'You cast Sucker Punch V on %t.',1,0,0,1,0,0,1,3,0,70194,0,0,0,0,0,1,0,0,0,'DD',1579833252,1384378111,0,0),
(70199,2737201948,1,0,'Sucker Punch VI','A powerful melee attack that dazes the target. It must be made from behind or to the side of the target.',349,3,315,3067436248,0,465,0,1,'Your Sucker Punch VI was successful on %t!','Your Sucker Punch VI fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/SuckerPunch.lua',1869,'You cast Sucker Punch VI on %t.',1,0,0,1,0,0,1,0,0,70194,0,0,0,0,0,1,0,0,0,'DD',1579833315,1384377826,0,0),
(70200,2910302070,1,0,'Unyielding Resolve','This is the condensed energy of an ancient, mythical weapon.',327,65535,317,3067436248,0,400,0,1,'Your Unyielding Resolve was successful on %t!','Your Unyielding Resolve fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/UnyieldingResolve.lua',3533,'You cast Unyielding Resolve on %t.',1,0,0,1,1,1,0,0,0,70200,0,0,0,0,0,0,0,0,0,'Unset',1579892246,1384377878,0,0),
(70201,497052792,1,0,'Haymaker- Ready for Testing','Launches a punch attack that knocks down the target on a successful hit.',344,0,315,3067436248,0,150,0,1,'Your Uppercut was successful on %t!','Your Uppercut fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Haymaker.lua',1274,'You cast Uppercut on %t.',1,0,0,1,0,0,0,4,0,70201,0,0,0,0,0,1,0,0,0,'DD',1579832022,1384377825,0,0),
(70202,1220422835,1,0,'Crusher','Launches a punch attack that knocks down the target on a successful hit.',344,0,315,3067436248,0,220,0,1,'Your Uppercut II was successful on %t!','Your Uppercut II fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Uppercut.lua',1868,'You cast Uppercut II on %t.',1,0,0,1,0,0,0,4,0,70201,0,0,0,0,0,1,0,0,0,'DD',1579832075,1384377826,0,0),
(70203,951341547,1,0,'Uppercut','Launches a punch attack that knocks down the target on a successful hit.',344,0,315,3067436248,0,290,0,1,'Your Uppercut III was successful on %t!','Your Uppercut III fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Uppercut.lua',1868,'You cast Uppercut III on %t.',1,0,0,1,0,0,0,4,0,70201,0,0,0,0,0,1,0,0,0,'DD',1579832129,1384377825,0,0),
(70204,3610340727,1,0,'Chin Break','Launches a punch attack that knocks down the target on a successful hit.',344,3,315,3067436248,0,360,0,1,'Your Uppercut IV was successful on %t!','Your Uppercut IV fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Uppercut.lua',1868,'You cast Uppercut IV on %t.',1,0,0,1,0,0,0,4,0,70201,0,0,0,0,0,1,0,0,0,'DD',1579832160,1384378110,0,0),
(70205,3825372197,1,0,'Uppercut V','Launches a punch attack that knocks down the target on a successful hit.',344,0,315,3067436248,0,410,0,1,'Your Uppercut V was successful on %t!','Your Uppercut V fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Uppercut.lua',1868,'You cast Uppercut V on %t.',1,0,0,1,0,0,0,4,0,70201,0,0,0,0,0,1,0,0,0,'DD',1579832334,1384378110,0,0),
(70206,629953509,1,0,'Uppercut VI','Launches a punch attack that knocks down the target on a successful hit.',344,0,315,3067436248,0,460,0,1,'Your Uppercut VI was successful on %t!','Your Uppercut VI fades.','',0,1,'Spells/Fighter/Brawler/Bruiser/Uppercut.lua',1868,'You cast Uppercut VI on %t.',1,0,0,1,0,0,0,4,0,70201,0,0,0,0,0,1,0,0,0,'DD',1579832391,1384378112,0,0),
(80000,1782393470,1,1,'Ancient Pledge','Grants the crusader a chance to shield an ally from melee attacks, by allowing the target a chance to use the crusader''s avoidance check after their own avoidance check. This also increases the crusader''s parry \n\n skill.',468,5,316,3809066846,0,0,1,1,'Your Ancient Pledge was successful on %t!','Your Ancient Pledge fades.','',0,0,'',0,'You cast Ancient Pledge on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1613194341,1384378112,0,0),
(80001,2584245065,1,0,'Charge','A melee attack that deals crushing damage and knocks the target down.',512,4,315,3809066846,0,95,0,1,'Your Charge was successful on %t!','Your Charge fades.','',0,1,'Spells/Fighter/Crusader/Charge.lua',267,'You cast Charge on %t.',1,0,0,1,0,0,0,0,0,10007,0,0,0,0,0,1,0,0,0,'DD',1613194104,1384378112,0,0),
(80002,2423073557,1,0,'Doom Judgment','Inflicts damage to enemies near the crusader. Any enemies struck will lose any of their beneficial arcane and noxious based spell effects.',244,4,313,3809066846,0,175,0,1,'Your Doom Judgment was successful on %t!','Your Doom Judgment fades.','',0,1,'Spells/Fighter/Crusader/DoomJudgment.lua',1843,'You cast Doom Judgment on %t.',1,0,0,1,0,1,0,0,0,80002,0,0,0,0,0,1,0,0,0,'DD',1582398198,1384378112,0,0),
(80003,864378107,1,0,'Doom Judgment II','Inflicts damage to enemies near the crusader. Any enemies struck will lose any of their beneficial arcane and noxious based spell effects.',244,4,313,3809066846,0,265,0,1,'Your Doom Judgment II was successful on %t!','Your Doom Judgment II fades.','',0,1,'Spells/Fighter/Crusader/DoomJudgment.lua',1843,'You cast Doom Judgment II on %t.',1,0,0,1,0,1,0,0,0,80002,0,0,0,0,0,1,0,0,0,'DD',1582398316,1384378112,0,0),
(80004,3457949947,1,0,'Doom Judgment III','Inflicts damage to enemies near the crusader. Any enemies struck will lose any of their beneficial arcane and noxious based spell effects.',244,4,313,3809066846,0,355,0,1,'Your Doom Judgment III was successful on %t!','Your Doom Judgment III fades.','',0,1,'Spells/Fighter/Crusader/DoomJudgment.lua',1843,'You cast Doom Judgment III on %t.',1,0,0,1,0,1,0,0,0,80002,0,0,0,0,0,1,0,0,0,'DD',1582398336,1384378112,0,0),
(80005,304222828,1,0,'Doom Judgment IV','Inflicts damage to enemies near the crusader. Any enemies struck will lose any of their beneficial arcane and noxious based spell effects.',244,4,313,3809066846,0,405,0,1,'Your Doom Judgment IV was successful on %t!','Your Doom Judgment IV fades.','',0,1,'Spells/Fighter/Crusader/DoomJudgment.lua',1843,'You cast Doom Judgment IV on %t.',1,0,0,1,0,1,0,0,0,80002,0,0,0,0,0,1,0,0,0,'DD',1582398366,1384378112,0,0),
(80006,2508511535,1,0,'Doom Judgment V','Inflicts damage to enemies near the crusader. Any enemies struck will lose any of their beneficial arcane and noxious based spell effects.',244,4,313,3809066846,0,455,0,1,'Your Doom Judgment V was successful on %t!','Your Doom Judgment V fades.','',0,1,'Spells/Fighter/Crusader/DoomJudgment.lua',1843,'You cast Doom Judgment V on %t.',1,0,0,1,0,1,0,0,0,80002,0,0,0,0,0,1,0,0,0,'DD',1582398170,1384378113,0,0),
(80007,1825997076,1,0,'Faithful Swing','A melee attack that deals some damage and replenishes some of the crusader''s health.',302,0,315,3809066846,0,75,0,1,'Your Faithful Swing was successful on %t!','Your Faithful Swing fades.','',0,1,'Spells/Fighter/Crusader/FaithfulSwing.lua',1807,'You cast Faithful Swing on %t.',1,0,0,1,0,0,0,0,0,10019,0,0,0,0,0,1,0,0,0,'DD',1384670804,1384377826,0,0),
(80008,1176176983,1,0,'Inflame','Increases the target''s hate towards the crusader, with increasing hate over time.',295,2,315,3809066846,0,90,0,1,'Your Inflame was successful on %t!','Your Inflame fades.','',0,1,'Spells/Fighter/Crusader/Inflame.lua',61,'You cast Inflame on %t.',1,0,0,1,0,0,0,0,0,10015,0,0,0,0,0,1,0,0,0,'Taunt',1384670841,1384378113,0,0),
(80009,3723927387,1,1,'Offering of Armament','Increases an ally''s melee mitigation at the cost of melee mitigation from the crusader.  This spell can''t be cast upon yourself.',153,65535,316,3809066846,0,75,1,8,'Your Pledge of Armament was successful on %t!','Your Pledge of Armament fades.','',0,0,'Spells/Fighter/Crusader/PledgeofArmament.lua',1842,'You cast Pledge of Armament on %t.',1,1,0,1,1,1,0,0,0,80009,0,0,0,0,0,1,0,0,0,'Buff',1582602816,1384378112,0,0),
(80010,2777745996,1,1,'Grant of Armament','Increases an ally''s melee mitigation at the cost of melee mitigation from the crusader.  This spell can''t be cast upon yourself.',153,65535,316,3809066846,0,155,1,8,'Your Pledge of Armament II was successful on %t!','Your Pledge of Armament II fades.','',0,0,'Spells/Fighter/Crusader/PledgeofArmament.lua',1842,'You cast Pledge of Armament II on %t.',1,1,0,1,1,1,0,0,0,80009,0,0,0,0,0,1,0,0,0,'Unset',1582602577,1384378112,0,0),
(80011,3076231194,1,1,'Gift of Armament','Increases an ally''s melee mitigation at the cost of melee mitigation from the crusader.  This spell can''t be cast upon yourself.',153,65535,316,3809066846,0,225,1,8,'Your Pledge of Armament III was successful on %t!','Your Pledge of Armament III fades.','',0,0,'Spells/Fighter/Crusader/PledgeofArmament.lua',1842,'You cast Pledge of Armament III on %t.',1,1,0,1,1,1,0,0,0,80009,0,0,0,0,0,1,0,0,0,'Unset',1582603447,1384378112,0,0),
(80012,822230951,1,1,'Offering of Armament','Increases an ally''s melee mitigation at the cost of melee mitigation from the crusader.  This spell can''t be cast upon yourself.',153,65535,316,3809066846,0,295,1,8,'Your Pledge of Armament IV was successful on %t!','Your Pledge of Armament IV fades.','',0,0,'Spells/Fighter/Crusader/PledgeofArmament.lua',1842,'You cast Pledge of Armament IV on %t.',1,1,0,1,1,1,0,0,0,80009,0,0,0,0,0,1,0,0,0,'Unset',1582603555,1384378112,0,0),
(80013,2989323403,1,1,'Donation of Armament','Increases an ally''s melee mitigation at the cost of melee mitigation from the crusader.  This spell can''t be cast upon yourself.',153,65535,316,3809066846,0,365,1,8,'Your Pledge of Armament V was successful on %t!','Your Pledge of Armament V fades.','',0,0,'Spells/Fighter/Crusader/PledgeofArmament.lua',1842,'You cast Pledge of Armament V on %t.',1,1,0,1,1,1,0,0,0,80009,0,0,0,0,0,1,0,0,0,'Unset',1582603619,1384378112,0,0),
(80014,3469087178,1,1,'Pledge of Armament VI','Increases an ally''s melee mitigation at the cost of melee mitigation from the crusader.  This spell can''t be cast upon yourself.',153,65535,316,3809066846,0,415,1,8,'Your Pledge of Armament VI was successful on %t!','Your Pledge of Armament VI fades.','',0,0,'Spells/Fighter/Crusader/PledgeofArmament.lua',1842,'You cast Pledge of Armament VI on %t.',1,1,0,1,1,1,0,0,0,80009,0,0,0,0,0,1,0,0,0,'Unset',1582603717,1384378112,0,0),
(80015,1360826964,1,1,'Pledge of Armament VII','Increases an ally''s melee mitigation at the cost of melee mitigation from the crusader.  This spell can''t be cast upon yourself.',153,65535,316,3809066846,0,465,1,8,'Your Pledge of Armament VII was successful on %t!','Your Pledge of Armament VII fades.','',0,0,'Spells/Fighter/Crusader/PledgeofArmament.lua',1842,'You cast Pledge of Armament VII on %t.',1,0,0,0,1,0,0,0,0,80009,0,0,0,0,0,1,0,0,0,'Unset',1582603775,1384378113,0,0),
(80016,3539369645,1,0,'Power Cleave','A powerful attack that requires a two handed weapon. On a successful hit, it can decrease the target''s parry skill for a short duration.',470,0,315,3809066846,0,75,0,1,'Your Power Cleave was successful on %t!','Your Power Cleave fades.','',0,1,'Spells/Fighter/Crusader/PowerCleave.lua',1823,'You cast Power Cleave on %t.',1,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1613194415,1384378112,0,0),
(80017,2796698050,1,0,'Righteous Blow','A melee attack that strikes with additional divine damage on a successful hit.',470,0,315,3809066846,0,55,0,1,'Your Righteous Blow was successful on %t!','Your Righteous Blow fades.','',0,1,'Spells/Fighter/Crusader/RighteousBlow.lua',1295,'You cast Righteous Blow on %t.',1,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1384670905,1384378112,0,0),
(80018,3598841351,1,1,'Knight''s Defense','Sacrifices offense for an increased defense and greater change to block.',294,5,317,3809066846,0,80,1,0,'Your Stance: Knight''s Stance was successful on %t!','Your Stance: Knight''s Stance fades.','',0,1,'Spells/Fighter/Crusader/StanceKnightsStance.lua',1259,'You cast Stance: Knight''s Stance on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',1384670946,1384378112,0,0),
(80019,1053528778,1,0,'Unyielding Advance','A shield attack that knocks the enemy down, stuns them for a short duration, and increases their hate towards the crusader. This attack requires a shield.',297,3,315,3809066846,0,65,0,1,'Your Unyielding Advance was successful on %t!','Your Unyielding Advance fades.','',0,1,'Spells/Fighter/Crusader/UnyieldingAdvance.lua',368,'You cast Unyielding Advance on %t.',1,0,0,1,0,0,0,0,0,80019,0,0,0,0,0,1,0,0,0,'DD',1613194309,1384377826,0,0),
(80020,3409954174,0,1,'Blessed Weapon','Blesses the crusader''s weapon, granting a chance to deal divine damage with each hit.',470,65535,317,3809066846,0,1,1,0,'Your Blessed Weapon was successful on %t!','Your Blessed Weapon fades.','',1,1,'Spells/Fighter/Crusader/BlessedWeapon.lua',1817,'You cast Blessed Weapon on %t.',0,0,0,0,1,0,0,0,0,80020,0,0,0,0,0,1,0,0,0,'Buff',1384671249,1384378112,0,1),
(80021,2441148720,0,0,'Cry of Conviction','Does instant divine damage to nearby enemies surrounding the crusader.',471,5,313,3809066846,0,70,0,1,'Your Cry of Conviction was successful on %t!','Your Cry of Conviction fades.','',1,0,'Spells/Fighter/Crusader/CryofConviction.lua',167,'You cast Cry of Conviction on %t.',0,0,0,1,0,1,0,0,0,80021,0,0,0,0,0,1,0,0,0,'DD',1613194209,1384377826,0,1),
(80022,1011631298,0,0,'Demonstration of Faith','Wards the crusader''s target, preventing them from taking damage.',469,5,316,3809066846,366253016,60,0,1,'Your Demonstration of Faith was successful on %t!','Your Demonstration of Faith fades.','',1,0,'Spells/Fighter/Crusader/DemonstrationofFaith.lua',179,'You cast Demonstration of Faith on %t.',0,0,0,1,1,0,0,0,0,80022,0,0,0,0,0,1,0,0,0,'HoT-Ward',1384671305,1384378112,0,1),
(80023,679991485,0,0,'Righteous Anger','Interrupts the target and deals instant divine damage.',213,65535,315,3809066846,0,65,0,1,'Your Righteous Anger was successful on %t!','Your Righteous Anger fades.','',1,0,'Spells/Fighter/Crusader/RighteousAnger.lua',63,'You cast Righteous Anger on %t.',0,0,0,1,0,0,0,0,0,80023,0,0,0,0,0,1,0,0,0,'DD',1384671520,1384378112,0,1),
(80024,2412433692,0,1,'Vigor of Trust','Increases the wisdom of the crusader''s group.',468,5,314,3809066846,0,95,1,2,'Your Vigor of Trust was successful on %t!','Your Vigor of Trust fades.','',1,0,'Spells/Fighter/Crusader/VigorofTrust.lua',0,'You cast Vigor of Trust on %t.',0,0,0,0,1,1,0,0,0,80024,0,0,0,0,0,0,0,0,0,'Unset',1582600479,1384377826,0,1),
(80025,2169602617,0,1,'Aura of Leadership','Places a protective ward on the group which will regenerate over time.',646,65535,65535,0,0,0,1,2,'Your Aura of Leadership was successful on %t!','Your Aura of Leadership fades.','',1,1,'Spells/AuraofLeadership.lua',3306,'You cast Aura of Leadership on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,'Unset',1582600789,1384377899,0,1),
(90000,2305060566,1,0,'Decree','Increases the hate of all enemies in an encounter towards the shadowknight and decreases their disease resistance while interrupting them.',295,2,312,90523872,723762198,40,0,2,'Your Blasphemy was successful on %t!','Your Blasphemy fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/Blasphemy.lua',1774,'You cast Blasphemy on %t.',1,0,0,1,0,1,2,0,0,90000,0,0,0,0,0,0,0,0,0,'Taunt',1579133448,1384377826,0,0),
(90001,498654448,1,0,'Decree of Decay','Increases the hate of all enemies in an encounter towards the shadowknight and decreases their disease resistance while interrupting them.',295,2,312,2741805322,723762198,110,0,2,'Your Blasphemy II was successful on %t!','Your Blasphemy II fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/DecreeofDecay.lua',1774,'You cast Blasphemy II on %t.',1,0,0,1,0,1,2,0,0,90000,0,0,0,0,0,0,0,0,0,'Taunt',1579133497,1384378112,0,0),
(90002,733990035,1,0,'Shriek of Terror','Increases the hate of all enemies in an encounter towards the shadowknight and decreases their disease resistance while interrupting them.',295,2,312,2741805322,723762198,180,0,2,'Your Blasphemy III was successful on %t!','Your Blasphemy III fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/Blasphemy.lua',1774,'You cast Blasphemy III on %t.',1,0,0,1,0,1,2,0,0,90000,0,0,0,0,0,1,0,0,0,'Taunt',1579133722,1384378112,0,0),
(90003,3350169997,1,0,'Blasphemy','Increases the hate of all enemies in an encounter towards the shadowknight and decreases their disease resistance while interrupting them.',295,2,312,2741805322,723762198,250,0,2,'Your Blasphemy IV was successful on %t!','Your Blasphemy IV fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/Blasphemy.lua',1774,'You cast Blasphemy IV on %t.',1,0,0,1,0,1,2,0,0,90000,0,0,0,0,0,1,0,0,0,'Taunt',1579133766,1384378112,0,0),
(90004,1894350833,1,0,'Sacrilege','Increases the hate of all enemies in an encounter towards the shadowknight and decreases their disease resistance while interrupting them.',295,2,312,2741805322,723762198,320,0,2,'Your Blasphemy V was successful on %t!','Your Blasphemy V fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/Blasphemy.lua',1774,'You cast Blasphemy V on %t.',1,0,0,1,0,1,2,0,0,90000,0,0,0,0,0,1,0,0,0,'Taunt',1579133829,1384378113,0,0),
(90005,3293463971,1,0,'Chastisement','Increases the hate of all enemies in an encounter towards the shadowknight and decreases their disease resistance while interrupting them.',295,2,312,2741805322,723762198,380,0,2,'Your Blasphemy VI was successful on %t!','Your Blasphemy VI fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/Blasphemy.lua',1774,'You cast Blasphemy VI on %t.',1,0,0,1,0,1,2,0,0,90000,0,0,0,0,0,1,0,0,0,'Taunt',1579133866,1384378113,0,0),
(90006,2981446176,1,0,'Blasphemy VII','Increases the hate of all enemies in an encounter towards the shadowknight and decreases their disease resistance while interrupting them.',295,2,312,2741805322,723762198,430,0,2,'Your Blasphemy VII was successful on %t!','Your Blasphemy VII fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/Blasphemy.lua',1774,'You cast Blasphemy VII on %t.',1,0,0,1,0,1,2,0,0,90000,0,0,0,0,0,1,0,0,0,'Taunt',1579133958,1384378111,0,0),
(90007,705695311,1,0,'Blasphemy VIII','Increases the hate of all enemies in an encounter towards the shadowknight and decreases their disease resistance while interrupting them.',295,2,312,2741805322,723762198,480,0,2,'Your Blasphemy VIII was successful on %t!','Your Blasphemy VIII fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/Blasphemy.lua',1774,'You cast Blasphemy VIII on %t.',1,0,0,1,0,1,2,0,0,90000,0,0,0,0,0,1,0,0,0,'Taunt',1579134009,1384378111,0,0),
(90008,1078691879,1,0,'Cleave Flesh','A powerful attack that strikes for disease damage and decreases the target''s wisdom for a short duration.',268,0,315,2741805322,613995491,75,0,1,'Your Cleave Flesh was successful on %t!','Your Cleave Flesh fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/CleaveFlesh.lua',1784,'You cast Cleave Flesh on %t.',1,0,0,1,0,0,3,0,0,90008,0,0,0,0,0,0,0,0,0,'DD',1579199677,1384378112,0,0),
(90009,3735602548,1,0,'Sorrow','A powerful attack that strikes for disease damage and decreases the target''s wisdom for a short duration.',268,0,315,2741805322,613995491,145,0,1,'','Your Cleave Flesh II fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/Sorrow.lua',1784,'',1,0,0,1,0,1,3,0,0,90008,0,0,0,0,0,0,0,0,0,'DD',1731188137,1384378113,0,0),
(90010,3374261778,1,0,'Unending Pain','A powerful attack that strikes for disease damage and decreases the target''s wisdom for a short duration.',268,0,315,2741805322,613995491,215,0,1,'Your Cleave Flesh III was successful on %t!','Your Cleave Flesh III fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/CleaveFlesh.lua',1784,'You cast Cleave Flesh III on %t.',1,0,0,1,0,0,3,0,0,90008,0,0,0,0,0,1,0,0,0,'DD',1579199718,1384378112,0,0),
(90011,2422798332,1,0,'Agony','A powerful attack that strikes for disease damage and decreases the target''s wisdom for a short duration.',268,0,315,2741805322,613995491,285,0,1,'Your Cleave Flesh IV was successful on %t!','Your Cleave Flesh IV fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/CleaveFlesh.lua',1784,'You cast Cleave Flesh IV on %t.',1,0,0,1,0,0,3,0,0,90008,0,0,0,0,0,1,0,0,0,'DD',1579199746,1384378111,0,0),
(90012,654662249,1,0,'Anguish','A powerful attack that strikes for disease damage and decreases the target''s wisdom for a short duration.',268,0,315,2950599749,613995491,355,0,1,'Your Cleave Flesh V was successful on %t!','Your Cleave Flesh V fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/CleaveFlesh.lua',1784,'You cast Cleave Flesh V on %t.',1,0,0,1,0,0,3,0,0,90008,0,0,0,0,0,1,0,0,0,'DD',1579199756,1384378111,0,0),
(90013,798298195,1,0,'Cleave Flesh VI','A powerful attack that strikes for disease damage and decreases the target''s wisdom for a short duration.',268,0,315,2741805322,613995491,405,0,1,'Your Cleave Flesh VI was successful on %t!','Your Cleave Flesh VI fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/CleaveFlesh.lua',1784,'You cast Cleave Flesh VI on %t.',1,0,0,1,0,0,3,0,0,90008,0,0,0,0,0,1,0,0,0,'DD',1579199773,1384378111,0,0),
(90014,2523843515,1,0,'Cleave Flesh VII','A powerful attack that strikes for disease damage and decreases the target''s wisdom for a short duration.',268,0,315,2741805322,613995491,455,0,1,'Your Cleave Flesh VII was successful on %t!','Your Cleave Flesh VII fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/CleaveFlesh.lua',1784,'You cast Cleave Flesh VII on %t.',1,0,0,1,0,0,3,0,0,90008,0,0,0,0,0,1,0,0,0,'DD',1579199814,1384378112,0,0),
(90015,3714009966,1,1,'Dark Blade','Increases the shadowknight''s offensive melee skills, disruption and intelligence, at the cost of decreased defense skill. This is the shadowknight''s primary offensive stance.',264,5,317,2741805322,3587918036,20,1,0,'Your Dark Blade was successful on %t!','Your Dark Blade fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/DarkBlade.lua',1796,'You cast Dark Blade on %t.',1,0,0,1,1,0,0,0,0,90015,0,0,0,0,0,0,0,0,0,'Unset',1579130086,1384378113,0,0),
(90016,3920076066,1,1,'Dark Sword','Increases the shadowknight''s offensive melee skills, disruption and intelligence, at the cost of decreased defense skill. This is the shadowknight''s primary offensive stance.',264,5,317,2741805322,3587918036,80,1,0,'Your Dark Blade II was successful on %t!','Your Dark Blade II fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/DarkBlade.lua',1796,'You cast Dark Blade II on %t.',1,0,0,1,1,0,0,0,0,90015,0,0,0,0,0,0,0,0,0,'Unset',1579130116,1384378112,0,0),
(90017,2191416333,1,1,'Grim Sword','Increases the shadowknight''s offensive melee skills, disruption and intelligence, at the cost of decreased defense skill. This is the shadowknight''s primary offensive stance.',264,5,317,2741805322,3587918036,160,1,0,'Your Dark Blade III was successful on %t!','Your Dark Blade III fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/DarkBlade.lua',1796,'You cast Dark Blade III on %t.',1,0,0,1,1,0,0,0,0,90015,0,0,0,0,0,1,0,0,0,'Unset',1579130159,1384377826,0,0),
(90018,1643693568,1,1,'Plague Sword','Increases the shadowknight''s offensive melee skills, disruption and intelligence, at the cost of decreased defense skill. This is the shadowknight''s primary offensive stance.',264,5,317,2741805322,3587918036,230,1,0,'Your Dark Blade IV was successful on %t!','Your Dark Blade IV fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/DarkBlade.lua',1796,'You cast Dark Blade IV on %t.',1,0,0,1,1,0,0,0,0,90015,0,0,0,0,0,1,0,0,0,'Unset',1579130177,1384378112,0,0),
(90019,3534876849,1,1,'Pox Sword','Increases the shadowknight''s offensive melee skills, disruption and intelligence, at the cost of decreased defense skill. This is the shadowknight''s primary offensive stance.',264,5,317,2741805322,3587918036,300,1,0,'Your Dark Blade V was successful on %t!','Your Dark Blade V fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/DarkBlade.lua',1796,'You cast Dark Blade V on %t.',1,0,0,1,1,0,0,0,0,90015,0,0,0,0,0,1,0,0,0,'Unset',1579130187,1384378113,0,0),
(90020,2838540705,1,1,'Lucan''s Sword','Increases the shadowknight''s offensive melee skills, disruption and intelligence, at the cost of decreased defense skill. This is the shadowknight''s primary offensive stance.',264,5,317,2741805322,3587918036,365,1,0,'Your Dark Blade VI was successful on %t!','Your Dark Blade VI fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/DarkBlade.lua',1796,'You cast Dark Blade VI on %t.',1,0,0,1,1,0,0,0,0,90015,0,0,0,0,0,1,0,0,0,'Unset',1579130195,1384378111,0,0),
(90021,4089737612,1,1,'Dark Blade VII','Increases the shadowknight''s offensive melee skills, disruption and intelligence, at the cost of decreased defense skill. This is the shadowknight''s primary offensive stance.',264,5,317,2741805322,3587918036,415,1,0,'Your Dark Blade VII was successful on %t!','Your Dark Blade VII fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/DarkBlade.lua',1796,'You cast Dark Blade VII on %t.',1,0,0,1,1,0,0,0,0,90015,0,0,0,0,0,1,0,0,0,'Unset',1579130213,1384378111,0,0),
(90022,777168905,1,1,'Dark Blade VIII','Increases the shadowknight''s offensive melee skills, disruption and intelligence, at the cost of decreased defense skill. This is the shadowknight''s primary offensive stance.',264,5,317,2741805322,3587918036,465,1,0,'Your Dark Blade VIII was successful on %t!','Your Dark Blade VIII fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/DarkBlade.lua',1796,'You cast Dark Blade VIII on %t.',1,0,0,0,1,0,0,0,0,90015,0,0,0,0,0,1,0,0,0,'Unset',1579130223,1384378112,0,0),
(90023,841538967,1,0,'Death March','While death march is active, every time a group member slays an enemy, the shadowknight''s group gains increased intelligence, Multi-Attack Chance, casting speed, and immunity to control spells for a short duration.  If the caster enters PVP combat, the duration of this effect will be reduced.  In PVP combat, this will also make the caster''s group immune to taunt effects. ',206,65535,314,2741805322,723762198,290,0,2,'Your Death March was successful on %t!','Your Death March fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/DeathMarch.lua',1804,'You cast Death March on %t.',1,0,0,1,1,1,0,0,0,90023,0,0,0,0,0,1,0,0,0,'Unset',1579222644,1384378112,0,0),
(90024,777149751,1,1,'Evasive Tactics','Grants the shadowknight a chance to shield an ally from melee attacks, by allowing the target a chance to use the shadowknight''s avoidance check after their own avoidance check. This also increases the shadowknight''s parry skill.',328,5,316,2741805322,0,105,1,1,'Your Devious Evasion was successful on %t!','Your Devious Evasion fades.','',0,0,'Spells/Fighter/Crusader/Shadowknight/DeviousEvasion.lua',1787,'You cast Devious Evasion on %t.',1,1,0,1,1,1,0,0,0,90024,0,0,0,0,0,0,0,0,0,'Buff',1579200482,1384378112,0,0),
(90025,2504110877,1,1,'Evasive Maneuvers','Grants the shadowknight a chance to shield an ally from melee attacks, by allowing the target a chance to use the shadowknight''s avoidance check after their own avoidance check. This also increases the shadowknight''s parry skill.',328,5,316,2741805322,0,160,1,1,'Your Devious Evasion II was successful on %t!','Your Devious Evasion II fades.','',0,0,'Spells/Fighter/Crusader/Shadowknight/DeviousEvasion.lua',1787,'You cast Devious Evasion II on %t.',1,1,0,1,1,1,0,0,0,90024,0,0,0,0,0,0,0,0,0,'Buff',1579200650,1384377826,0,0),
(90026,967155755,1,1,'Calculated Evasion','Grants the shadowknight a chance to shield an ally from melee attacks, by allowing the target a chance to use the shadowknight''s avoidance check after their own avoidance check. This also increases the shadowknight''s parry skill.',328,5,316,2741805322,0,230,1,1,'Your Devious Evasion III was successful on %t!','Your Devious Evasion III fades.','',0,0,'Spells/Fighter/Crusader/Shadowknight/DeviousEvasion.lua',1787,'You cast Devious Evasion III on %t.',1,1,0,1,1,1,0,0,0,90024,0,0,0,0,0,0,0,0,0,'Buff',1579200667,1384378112,0,0),
(90027,2392447075,1,1,'Devious Evasion','Grants the shadowknight a chance to shield an ally from melee attacks, by allowing the target a chance to use the shadowknight''s avoidance check after their own avoidance check. This also increases the shadowknight''s parry skill.',328,65535,316,2741805322,0,300,1,1,'Your Devious Evasion IV was successful on %t!','Your Devious Evasion IV fades.','',0,0,'Spells/Fighter/Crusader/Shadowknight/DeviousEvasion.lua',1787,'You cast Devious Evasion IV on %t.',1,1,0,1,1,1,0,0,0,90024,0,0,0,0,0,0,0,0,0,'Buff',1579200887,1384378112,0,0),
(90028,5458159,1,0,'Shield Slam','An attack that knocks the enemy down, stuns them for a short duration, and increases their hate over time towards the Shadowknight.',297,3,315,2741805322,0,65,0,1,'Your Hateful Slam was successful on %t!','Your Hateful Slam fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/HatefulSlam.lua',1789,'You cast Hateful Slam on %t.',1,0,0,1,0,0,3,4,0,90028,0,0,0,0,0,0,0,0,0,'DD',1579198809,1384378112,0,0),
(90029,2718027030,1,0,'Decrepit Slam','An attack that knocks the enemy down, stuns them for a short duration, and increases their hate over time towards the Shadowknight.',297,3,315,2741805322,0,135,0,1,'Your Hateful Slam II was successful on %t!','Your Hateful Slam II fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/DecrepitSlam.lua',1789,'You cast Hateful Slam II on %t.',1,0,0,1,0,0,3,4,0,90028,0,0,0,0,0,0,0,0,0,'DD',1579198830,1384378112,0,0),
(90030,3432013235,1,0,'Destructive Slam','An attack that knocks the enemy down, stuns them for a short duration, and increases their hate over time towards the Shadowknight.',297,3,315,2741805322,0,205,0,1,'Your Hateful Slam III was successful on %t!','Your Hateful Slam III fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/HatefulSlam.lua',1789,'You cast Hateful Slam III on %t.',1,0,0,1,0,0,3,4,0,90028,0,0,0,0,0,1,0,0,0,'DD',1579198845,1384378112,0,0),
(90031,3815957249,1,0,'Catastrophic Slam','An attack that knocks the enemy down, stuns them for a short duration, and increases their hate over time towards the Shadowknight.',297,3,315,2741805322,0,275,0,1,'Your Hateful Slam IV was successful on %t!','Your Hateful Slam IV fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/HatefulSlam.lua',1789,'You cast Hateful Slam IV on %t.',1,0,0,1,0,0,3,4,0,90028,0,0,0,0,0,1,0,0,0,'DD',1579198860,1384378111,0,0),
(90032,4125395639,1,0,'Venomous Slam','An attack that knocks the enemy down, stuns them for a short duration, and increases their hate over time towards the Shadowknight.',297,3,315,2741805322,0,345,0,1,'Your Hateful Slam V was successful on %t!','Your Hateful Slam V fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/HatefulSlam.lua',1789,'You cast Hateful Slam V on %t.',1,0,0,1,0,0,3,4,0,90028,0,0,0,0,0,1,0,0,0,'DD',1579198869,1384377826,0,0),
(90033,1565353248,1,0,'Hateful Slam','An attack that knocks the enemy down, stuns them for a short duration, and increases their hate over time towards the Shadowknight.',297,3,315,2741805322,0,395,0,1,'Your Hateful Slam VI was successful on %t!','Your Hateful Slam VI fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/HatefulSlam.lua',1789,'You cast Hateful Slam VI on %t.',1,0,0,1,0,0,3,4,0,90028,0,0,0,0,0,1,0,0,0,'DD',1579199267,1384377826,0,0),
(90034,163948221,1,0,'Hateful Slam VII','An attack that knocks the enemy down, stuns them for a short duration, and increases their hate over time towards the Shadowknight.',297,3,315,2741805322,0,445,0,1,'Your Hateful Slam VII was successful on %t!','Your Hateful Slam VII fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/HatefulSlam.lua',1789,'You cast Hateful Slam VII on %t.',1,0,0,1,0,0,3,4,0,90028,0,0,0,0,0,1,0,0,0,'DD',1579199295,1384378112,0,0),
(90035,2956885333,1,0,'Hateful Slam VIII','An attack that knocks the enemy down, stuns them for a short duration, and increases their hate over time towards the Shadowknight.',297,3,315,2741805322,0,495,0,1,'Your Hateful Slam VIII was successful on %t!','Your Hateful Slam VIII fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/HatefulSlam.lua',1789,'You cast Hateful Slam VIII on %t.',1,0,0,1,0,0,3,4,0,90028,0,0,0,0,0,1,0,0,0,'DD',1579199319,1384378111,0,0),
(90036,854226600,1,1,'Defensive Pact','Greatly increases defense, aggression, base avoidance, stamina, physical and noxious damage mitigation at the cost of offensive melee skills. This is the shadowknight''s primary defensive stance.',328,5,317,2741805322,0,20,1,0,'Your Lucan''s Pact was successful on %t!','Your Lucan''s Pact fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/LucansPact.lua',1775,'You cast Lucan''s Pact on %t.',1,0,0,1,1,1,0,0,0,90036,0,0,0,0,0,0,0,0,0,'Unset',1579130276,1384378113,0,0),
(90037,3185587294,1,1,'Defensive Circle','Greatly increases defense, aggression, base avoidance, stamina, physical and noxious damage mitigation at the cost of offensive melee skills. This is the shadowknight''s primary defensive stance.',328,5,317,2741805322,0,80,1,0,'Your Lucan''s Pact II was successful on %t!','Your Lucan''s Pact II fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/LucansPact.lua',1775,'You cast Lucan''s Pact II on %t.',1,0,0,1,1,1,0,0,0,90036,0,0,0,0,0,0,0,0,0,'Unset',1579130287,1384378112,0,0),
(90038,1739688776,1,1,'Lucan''s Pact','Greatly increases defense, aggression, base avoidance, stamina, physical and noxious damage mitigation at the cost of offensive melee skills. This is the shadowknight''s primary defensive stance.',328,5,317,2741805322,0,150,1,0,'Your Lucan''s Pact III was successful on %t!','Your Lucan''s Pact III fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/LucansPactClassic.lua',1775,'You cast Lucan''s Pact III on %t.',1,0,0,1,1,1,0,0,0,90036,0,0,0,0,0,0,0,0,0,'Unset',1579130302,1384377826,0,0),
(90039,2881638225,1,1,'Malevolent Circle','Greatly increases defense, aggression, base avoidance, stamina, physical and noxious damage mitigation at the cost of offensive melee skills. This is the shadowknight''s primary defensive stance.',328,5,317,2741805322,0,220,1,0,'Your Lucan''s Pact IV was successful on %t!','Your Lucan''s Pact IV fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/LucansPact.lua',1775,'You cast Lucan''s Pact IV on %t.',1,0,0,1,1,1,0,0,0,90036,0,0,0,0,0,1,0,0,0,'Unset',1579130316,1384378112,0,0),
(90040,3586158482,1,1,'Infernal Circle','Greatly increases defense, aggression, base avoidance, stamina, physical and noxious damage mitigation at the cost of offensive melee skills. This is the shadowknight''s primary defensive stance.',328,5,317,2741805322,0,290,1,0,'Your Lucan''s Pact V was successful on %t!','Your Lucan''s Pact V fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/LucansPact.lua',1775,'You cast Lucan''s Pact V on %t.',1,0,0,1,1,1,0,0,0,90036,0,0,0,0,0,1,0,0,0,'Unset',1579130330,1384378111,0,0),
(90041,3218978484,1,1,'Stance of Lucan','Greatly increases defense, aggression, base avoidance, stamina, physical and noxious damage mitigation at the cost of offensive melee skills. This is the shadowknight''s primary defensive stance.',328,5,317,2741805322,0,360,1,0,'Your Lucan''s Pact VI was successful on %t!','Your Lucan''s Pact VI fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/LucansPact.lua',1775,'You cast Lucan''s Pact VI on %t.',1,0,0,1,1,1,0,0,0,90036,0,0,0,0,0,1,0,0,0,'Unset',1579130362,1384378111,0,0),
(90042,1221920238,1,1,'Lucan''s Pact VII','Greatly increases defense, aggression, base avoidance, stamina, physical and noxious damage mitigation at the cost of offensive melee skills. This is the shadowknight''s primary defensive stance.',328,5,317,2741805322,0,410,1,0,'Your Lucan''s Pact VII was successful on %t!','Your Lucan''s Pact VII fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/LucansPact.lua',1775,'You cast Lucan''s Pact VII on %t.',1,0,0,1,1,1,0,0,0,90036,0,0,0,0,0,1,0,0,0,'Unset',1579130375,1384377826,0,0),
(90043,3587892376,1,1,'Lucan''s Pact VIII','Greatly increases defense, aggression, base avoidance, stamina, physical and noxious damage mitigation at the cost of offensive melee skills. This is the shadowknight''s primary defensive stance.',328,5,317,2741805322,0,460,1,0,'Your Lucan''s Pact VIII was successful on %t!','Your Lucan''s Pact VIII fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/LucansPact.lua',1775,'You cast Lucan''s Pact VIII on %t.',1,0,0,1,1,1,0,0,0,90036,0,0,0,0,0,1,0,0,0,'Unset',1579130389,1384377826,0,0),
(90044,188053709,1,0,'Painful Swing','An extra attack that deals additional damage over time. Some of the damage will be restored back to the shadowknight as health.',302,0,315,2741805322,0,5,0,1,'Your Painbringer was successful on %t!','Your Painbringer fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/Painbringer.lua',1779,'You cast Painbringer on %t.',1,0,0,1,0,0,3,0,0,10019,0,0,0,0,0,0,0,0,0,'DoT',1702848022,1384378113,0,0),
(90045,3805506209,1,0,'Painful Strike','An extra attack that deals additional damage over time. Some of the damage will be restored back to the shadowknight as health.',302,0,315,2741805322,0,30,0,1,'Your Painbringer II was successful on %t!','Your Painbringer II fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/Painbringer.lua',1779,'You cast Painbringer II on %t.',1,0,0,1,0,0,3,0,0,90044,0,0,0,0,0,0,0,0,0,'DoT',1579128007,1384378112,0,0),
(90046,2455971104,1,0,'Painbringer','An extra attack that deals additional damage over time. Some of the damage will be restored back to the shadowknight as health.',302,0,315,2741805322,0,145,0,1,'Your Painbringer III was successful on %t!','Your Painbringer III fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/PainbringerClassic.lua',1779,'You cast Painbringer III on %t.',1,0,0,1,0,0,3,0,0,90044,0,0,0,0,0,0,0,0,0,'DoT',1579128096,1384378112,0,0),
(90047,2984763026,1,0,'Pariah''s Mark','An extra attack that deals additional damage over time. Some of the damage will be restored back to the shadowknight as health.',302,0,315,2741805322,0,215,0,1,'Your Painbringer IV was successful on %t!','Your Painbringer IV fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/Painbringer.lua',1779,'You cast Painbringer IV on %t.',1,0,0,1,0,0,3,0,0,90044,0,0,0,0,0,1,0,0,0,'DoT',1579128152,1384378113,0,0),
(90048,3549479625,1,0,'Pariah''s Brand','An extra attack that deals additional damage over time. Some of the damage will be restored back to the shadowknight as health.',302,0,315,2741805322,0,285,0,1,'Your Painbringer V was successful on %t!','Your Painbringer V fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/Painbringer.lua',1779,'You cast Painbringer V on %t.',1,0,0,1,0,0,3,0,0,90044,0,0,0,0,0,1,0,0,0,'DoT',1579128196,1384378111,0,0),
(90049,3752808583,1,0,'Pariah''s Strike','An extra attack that deals additional damage over time. Some of the damage will be restored back to the shadowknight as health.',302,0,315,2741805322,0,355,0,1,'Your Painbringer VI was successful on %t!','Your Painbringer VI fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/Painbringer.lua',1779,'You cast Painbringer VI on %t.',1,0,0,1,0,0,3,0,0,90044,0,0,0,0,0,1,0,0,0,'DoT',1579128259,1384377826,0,0),
(90050,441920726,1,0,'Painbringer VII','An extra attack that deals additional damage over time. Some of the damage will be restored back to the shadowknight as health.',302,0,315,2741805322,0,405,0,1,'Your Painbringer VII was successful on %t!','Your Painbringer VII fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/Painbringer.lua',1779,'You cast Painbringer VII on %t.',1,0,0,1,0,0,3,0,0,90044,0,0,0,0,0,1,0,0,0,'DoT',1579128317,1384378111,0,0),
(90051,2270743968,1,0,'Painbringer VIII','An extra attack that deals additional damage over time. Some of the damage will be restored back to the shadowknight as health.',302,0,315,2741805322,0,455,0,1,'Your Painbringer VIII was successful on %t!','Your Painbringer VIII fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/Painbringer.lua',1779,'You cast Painbringer VIII on %t.',1,0,0,1,0,0,3,0,0,90044,0,0,0,0,0,1,0,0,0,'DoT',1579128368,1384378156,0,0),
(90052,3557357230,1,0,'Fetid Strike','A melee attack that strikes with additional disease damage and drains a portion of that damage as health replenishment for the shadowknight on a successful hit.',162,0,315,2741805322,613995491,55,0,1,'Your Siphon Strike was successful on %t!','Your Siphon Strike fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/SiphonStrike.lua',1779,'You cast Siphon Strike on %t.',1,0,0,1,0,0,0,0,0,90052,0,0,0,0,0,0,0,0,0,'DD',1579197262,1384378112,0,0),
(90053,2604483531,1,0,'Fetid Grasp','A melee attack that strikes with additional disease damage and drains a portion of that damage as health replenishment for the shadowknight on a successful hit.',162,0,315,2741805322,613995491,125,0,1,'Your Siphon Strike II was successful on %t!','Your Siphon Strike II fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/FetidGrasp.lua',1779,'You cast Siphon Strike II on %t.',1,0,0,1,0,0,0,0,0,90052,0,0,0,0,0,0,0,0,0,'DD',1579197330,1384378112,0,0),
(90054,3508496528,1,0,'Baleful Smite','A melee attack that strikes with additional disease damage and drains a portion of that damage as health replenishment for the shadowknight on a successful hit.',162,0,315,2741805322,613995491,195,0,1,'Your Siphon Strike III was successful on %t!','Your Siphon Strike III fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/SiphonStrike.lua',1779,'You cast Siphon Strike III on %t.',1,0,0,1,0,0,0,0,0,90052,0,0,0,0,0,1,0,0,0,'DD',1579197423,1384378112,0,0),
(90055,4276245001,1,0,'Dire Smite','A melee attack that strikes with additional disease damage and drains a portion of that damage as health replenishment for the shadowknight on a successful hit.',162,0,315,2741805322,613995491,265,0,1,'Your Siphon Strike IV was successful on %t!','Your Siphon Strike IV fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/SiphonStrike.lua',1779,'You cast Siphon Strike IV on %t.',1,0,0,1,0,0,0,0,0,90052,0,0,0,0,0,1,0,0,0,'DD',1579197506,1384378112,0,0),
(90056,1398287492,1,0,'Fetid Smite','A melee attack that strikes with additional disease damage and drains a portion of that damage as health replenishment for the shadowknight on a successful hit.',162,0,315,2741805322,613995491,335,0,1,'Your Siphon Strike V was successful on %t!','Your Siphon Strike V fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/SiphonStrike.lua',1779,'You cast Siphon Strike V on %t.',1,0,0,1,0,0,0,0,0,90052,0,0,0,0,0,1,0,0,0,'DD',1579197833,1384378113,0,0),
(90057,3309673628,1,0,'Siphon Strike','A melee attack that strikes with additional disease damage and drains a portion of that damage as health replenishment for the shadowknight on a successful hit.',162,0,315,2741805322,613995491,385,0,1,'Your Siphon Strike VI was successful on %t!','Your Siphon Strike VI fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/SiphonStrike.lua',1779,'You cast Siphon Strike VI on %t.',1,0,0,1,0,0,0,0,0,90052,0,0,0,0,0,1,0,0,0,'DD',1579197856,1384377826,0,0),
(90058,1269824422,1,0,'Siphon Strike VII','A melee attack that strikes with additional disease damage and drains a portion of that damage as health replenishment for the shadowknight on a successful hit.',162,0,315,2741805322,613995491,435,0,1,'Your Siphon Strike VII was successful on %t!','Your Siphon Strike VII fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/SiphonStrike.lua',1779,'You cast Siphon Strike VII on %t.',1,0,0,1,0,0,0,0,0,90052,0,0,0,0,0,1,0,0,0,'DD',1579197991,1384378111,0,0),
(90059,3855051319,1,0,'Siphon Strike VIII','A melee attack that strikes with additional disease damage and drains a portion of that damage as health replenishment for the shadowknight on a successful hit.',162,0,315,2741805322,613995491,485,0,1,'Your Siphon Strike VIII was successful on %t!','Your Siphon Strike VIII fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/SiphonStrike.lua',1779,'You cast Siphon Strike VIII on %t.',1,0,0,0,0,0,0,0,0,90052,0,0,0,0,0,1,0,0,0,'DD',1579198004,1384377826,0,0),
(90060,749211461,1,0,'Kick','A kick attack that deals piercing damage and knocks the target down.',512,4,315,1408356869,0,25,0,1,'Your Soulrend was successful on %t!','Your Soulrend fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/Soulrend.lua',1294,'You cast Soulrend on %t.',1,0,0,1,0,0,0,0,0,90060,0,0,0,0,0,0,0,0,0,'DD',1579130423,1384378113,0,0),
(90061,4167774009,1,0,'Boot','A kick attack that deals piercing damage and knocks the target down.',512,4,315,2741805322,0,95,0,1,'Your Soulrend II was successful on %t!','Your Soulrend II fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/Soulrend.lua',1811,'You cast Soulrend II on %t.',1,0,0,1,0,0,0,0,0,90060,0,0,0,0,0,0,0,0,0,'DD',1579130441,1384378112,0,0),
(90062,1163727186,1,0,'Spiked Boot','A kick attack that deals piercing damage and knocks the target down.',512,4,315,2741805322,0,165,0,1,'Your Soulrend III was successful on %t!','Your Soulrend III fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/Soulrend.lua',1811,'You cast Soulrend III on %t.',1,0,0,1,0,0,0,0,0,90060,0,0,0,0,0,1,0,0,0,'DD',1579130479,1384377826,0,0),
(90063,2558831866,1,0,'Soulrend','A kick attack that deals piercing damage and knocks the target down.',512,4,315,2741805322,0,235,0,1,'Your Soulrend IV was successful on %t!','Your Soulrend IV fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/Soulrend.lua',1811,'You cast Soulrend IV on %t.',1,0,0,1,0,0,0,0,0,90060,0,0,0,0,0,1,0,0,0,'DD',1579132856,1384378112,0,0),
(90064,2548596807,1,0,'Smash','A kick attack that deals piercing damage and knocks the target down.',512,4,315,2741805322,0,305,0,1,'Your Soulrend V was successful on %t!','Your Soulrend V fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/Soulrend.lua',1811,'You cast Soulrend V on %t.',1,0,0,1,0,0,0,0,0,90060,0,0,0,0,0,1,0,0,0,'DD',1579132872,1384377826,0,0),
(90065,3802108887,1,0,'Lucan''s Boot','A kick attack that deals piercing damage and knocks the target down.',512,4,315,2741805322,0,370,0,1,'Your Soulrend VI was successful on %t!','Your Soulrend VI fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/Soulrend.lua',1811,'You cast Soulrend VI on %t.',1,0,0,1,0,0,0,0,0,90060,0,0,0,0,0,1,0,0,0,'DD',1579132892,1384377826,0,0),
(90066,2041152830,1,0,'Soulrend VII','A kick attack that deals piercing damage and knocks the target down.',512,4,315,2741805322,0,420,0,1,'Your Soulrend VII was successful on %t!','Your Soulrend VII fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/Soulrend.lua',1811,'You cast Soulrend VII on %t.',1,0,0,1,0,0,0,0,0,90060,0,0,0,0,0,1,0,0,0,'DD',1579132905,1384378111,0,0),
(90067,3089586942,1,0,'Soulrend VIII','A kick attack that deals piercing damage and knocks the target down.',512,4,315,2741805322,0,470,0,1,'Your Soulrend VIII was successful on %t!','Your Soulrend VIII fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/Soulrend.lua',1811,'You cast Soulrend VIII on %t.',1,0,0,1,0,0,0,0,0,90060,0,0,0,0,0,1,0,0,0,'DD',1579132998,1384378112,0,0),
(90068,3789080130,1,1,'Unholy Hunger','Curses the weapons of the shadowknight''s group, granting them a chance to drain health in combat with each hit.\n\n',184,5,314,2741805322,613995491,45,1,2,'Your Unholy Hunger was successful on %t!','Your Unholy Hunger fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/UnholyHunger.lua',1782,'You cast Unholy Hunger on %t.',1,0,0,1,1,1,0,0,0,90068,0,0,0,0,0,0,0,0,0,'Buff',1589377761,1384378113,0,0),
(90069,1063958281,1,1,'Tainted Caress','Curses the weapons of the shadowknight''s group, granting them a chance to drain health in combat with each hit.\n\n',184,5,314,2741805322,613995491,115,1,2,'Your Unholy Hunger II was successful on %t!','Your Unholy Hunger II fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/TaintedCaress.lua',1782,'You cast Unholy Hunger II on %t.',1,0,0,1,1,1,0,0,0,90068,0,0,0,0,0,0,0,0,0,'Buff',1579134293,1384378112,0,0),
(90070,2780452740,1,1,'Insatiable Hunger','Curses the weapons of the shadowknight''s group, granting them a chance to drain health in combat with each hit.\n\n',184,5,314,2741805322,613995491,185,1,2,'Your Unholy Hunger III was successful on %t!','Your Unholy Hunger III fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/UnholyHunger.lua',1782,'You cast Unholy Hunger III on %t.',1,0,0,1,1,1,0,0,0,90068,0,0,0,0,0,1,0,0,0,'Buff',1579134309,1384378112,0,0),
(90071,3757385575,1,1,'Unending Hunger','Curses the weapons of the shadowknight''s group, granting them a chance to drain health in combat with each hit.\n\n',184,5,314,2741805322,613995491,255,1,2,'Your Unholy Hunger IV was successful on %t!','Your Unholy Hunger IV fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/UnholyHunger.lua',1782,'You cast Unholy Hunger IV on %t.',1,0,0,1,1,1,0,0,0,90068,0,0,0,0,0,1,0,0,0,'Buff',1579134372,1384378112,0,0),
(90072,1005106055,1,1,'Everlasting Hunger','Curses the weapons of the shadowknight''s group, granting them a chance to drain health in combat with each hit.\n\n',184,5,314,2741805322,613995491,325,1,2,'Your Unholy Hunger V was successful on %t!','Your Unholy Hunger V fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/UnholyHunger.lua',1782,'You cast Unholy Hunger V on %t.',1,0,0,1,1,1,0,0,0,90068,0,0,0,0,0,1,0,0,0,'Buff',1579134382,1384378113,0,0),
(90073,838436362,1,1,'Relentless Hunger','Curses the weapons of the shadowknight''s group, granting them a chance to drain health in combat with each hit.\n\n',184,5,314,2741805322,613995491,380,1,2,'Your Unholy Hunger VI was successful on %t!','Your Unholy Hunger VI fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/UnholyHunger.lua',1782,'You cast Unholy Hunger VI on %t.',1,0,0,1,1,1,0,0,0,90068,0,0,0,0,0,1,0,0,0,'Buff',1579134422,1384378113,0,0),
(90074,3326319248,1,1,'Unholy Hunger VII','Curses the weapons of the shadowknight''s group, granting them a chance to drain health in combat with each hit.\n\n',184,5,314,2741805322,613995491,430,1,2,'Your Unholy Hunger VII was successful on %t!','Your Unholy Hunger VII fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/UnholyHunger.lua',1782,'You cast Unholy Hunger VII on %t.',1,0,0,1,1,1,0,0,0,90068,0,0,0,0,0,1,0,0,0,'Buff',1579134429,1384378111,0,0),
(90075,1747651329,1,1,'Unholy Hunger VIII','Curses the weapons of the shadowknight''s group, granting them a chance to drain health in combat with each hit.\n\n',184,5,314,2741805322,613995491,480,1,2,'Your Unholy Hunger VIII was successful on %t!','Your Unholy Hunger VIII fades.','',0,1,'Spells/Fighter/Crusader/Shadowknight/UnholyHunger.lua',1782,'You cast Unholy Hunger VIII on %t.',1,0,0,1,1,1,0,0,0,90068,0,0,0,0,0,1,0,0,0,'Buff',1579134465,1384378111,0,0),
(90076,3308088319,0,1,'Bloodletter','Bloodletter allows a Shadowknight to prevent death by sacrificing some health across all your allies to restore you to full health. Allies can remove this effect if they don''t want to participate.  However, you must have more than one ally for the skill to successfully work. Higher tier versions of this spell improve the efficiency of the donor amount.',496,65535,314,2741805322,3587918036,400,1,1,'Your Bloodletter was successful on %t!','Your Bloodletter fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/Bloodletter.lua',1806,'You cast Bloodletter on %t.',0,0,0,1,1,1,0,0,0,90076,0,0,0,0,0,0,0,0,0,'Unset',1579223234,1384378111,0,1),
(90077,3841181155,0,0,'Sickening Circle','A melee attack that strikes nearby enemies surrounding the shadowknight, and slowly deals disease damage to them over time.',279,3,313,2741805322,613995491,35,0,1,'Your Death Cloud was successful on %t!','Your Death Cloud fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/DeathCloud.lua',1820,'You cast Death Cloud on %t.',0,0,0,1,0,0,3,0,0,90077,0,0,0,0,0,0,0,0,0,'DoT',1579133074,1384378113,0,1),
(90078,3843234020,0,0,'Sickening Decay','A melee attack that strikes nearby enemies surrounding the shadowknight.',279,3,313,2741805322,2741805322,105,0,1,'Your Sickening Decay was successful on %t!','Your Death Cloud II fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/SickeningDecay.lua',1301,'You cast Sickening Decay on %t.',0,0,0,1,0,0,0,0,0,90078,0,0,0,0,0,1,0,0,0,'DD',1579133158,1384378112,0,1),
(90079,4177251064,0,0,'Swarming Spirits','A melee attack that strikes nearby enemies surrounding the shadowknight, and slowly deals disease damage to them over time.',279,3,313,2741805322,613995491,175,0,1,'Your Death Cloud III was successful on %t!','Your Death Cloud III fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/DeathCloud.lua',1820,'You cast Death Cloud III on %t.',0,0,0,1,0,0,3,0,0,90077,0,0,0,0,0,1,0,0,0,'DoT',1579133209,1384378112,0,1),
(90080,1681430890,0,0,'Death Cloud','A melee attack that strikes nearby enemies surrounding the shadowknight, and slowly deals disease damage to them over time.',279,3,313,2741805322,613995491,245,0,1,'Your Death Cloud IV was successful on %t!','Your Death Cloud IV fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/DeathCloud.lua',1820,'You cast Death Cloud IV on %t.',0,0,0,1,0,0,3,0,0,90077,0,0,0,0,0,1,0,0,0,'DoT',1579133225,1384378112,0,1),
(90081,1351293946,0,0,'Death Circle','A melee attack that strikes nearby enemies surrounding the shadowknight, and slowly deals disease damage to them over time.',279,3,313,2741805322,613995491,315,0,1,'Your Death Cloud V was successful on %t!','Your Death Cloud V fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/DeathCloud.lua',1820,'You cast Death Cloud V on %t.',0,0,0,1,0,0,3,0,0,90077,0,0,0,0,0,1,0,0,0,'DoT',1579133251,1384378113,0,1),
(90082,2888281996,0,0,'Crimson Circle','A melee attack that strikes nearby enemies surrounding the shadowknight, and slowly deals disease damage to them over time.',279,3,313,2741805322,613995491,375,0,1,'Your Death Cloud VI was successful on %t!','Your Death Cloud VI fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/DeathCloud.lua',1820,'You cast Death Cloud VI on %t.',0,0,0,1,0,0,3,0,0,90077,0,0,0,0,0,1,0,0,0,'DoT',1579133322,1384378112,0,1),
(90083,3564614076,0,0,'Death Cloud VII','A melee attack that strikes nearby enemies surrounding the shadowknight, and slowly deals disease damage to them over time.',279,3,313,2741805322,613995491,425,0,1,'Your Death Cloud VII was successful on %t!','Your Death Cloud VII fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/DeathCloud.lua',1820,'You cast Death Cloud VII on %t.',0,0,0,1,0,0,3,0,0,90077,0,0,0,0,0,1,0,0,0,'DoT',1579133341,1384378111,0,1),
(90084,1232621770,0,0,'Death Cloud VIII','A melee attack that strikes nearby enemies surrounding the shadowknight, and slowly deals disease damage to them over time.',279,3,313,2741805322,613995491,475,0,1,'Your Death Cloud VIII was successful on %t!','Your Death Cloud VIII fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/DeathCloud.lua',1820,'You cast Death Cloud VIII on %t.',0,0,0,1,0,0,3,0,0,90077,0,0,0,0,0,1,0,0,0,'DoT',1579133387,1384378111,0,1),
(90085,305280833,0,0,'Consume Vitae','Drains life from the target, and returns a portion as health replenishment to the shadowknight.',249,0,315,2741805322,613995491,140,0,1,'Your Devour Vitae was successful on %t!','Your Devour Vitae fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/ConsumeVitae.lua',1794,'You cast Devour Vitae on %t.',0,0,0,1,0,0,0,0,0,90085,0,0,0,0,0,0,0,0,0,'DD',1579208715,1384378112,0,1),
(90086,3635023647,0,0,'Devour Vitae','Drains life from the target, and returns a portion as health replenishment to the shadowknight.',249,0,315,2741805322,613995491,210,0,1,'Your Devour Vitae II was successful on %t!','Your Devour Vitae II fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/DevourVitae.lua',1794,'You cast Devour Vitae II on %t.',0,0,0,1,0,0,0,0,0,90085,0,0,0,0,0,1,0,0,0,'DD',1579208845,1384378112,0,1),
(90087,3877357014,0,0,'Absorb Vitae','Drains life from the target, and returns a portion as health replenishment to the shadowknight.',249,0,315,2741805322,613995491,280,0,1,'Your Devour Vitae III was successful on %t!','Your Devour Vitae III fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/DevourVitae.lua',1794,'You cast Devour Vitae III on %t.',0,0,0,1,0,0,0,0,0,90085,0,0,0,0,0,1,0,0,0,'DD',1579208912,1384378111,0,1),
(90088,148143770,0,0,'Drain Vitae','Drains life from the target, and returns a portion as health replenishment to the shadowknight.',249,0,315,2741805322,613995491,350,0,1,'Your Devour Vitae IV was successful on %t!','Your Devour Vitae IV fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/DevourVitae.lua',1794,'You cast Devour Vitae IV on %t.',0,0,0,1,0,0,0,0,0,90085,0,0,0,0,0,1,0,0,0,'DD',1579208992,1384377826,0,1),
(90089,2409467919,0,0,'Siphon Vitae','Drains life from the target, and returns a portion as health replenishment to the shadowknight.',249,0,315,2741805322,613995491,400,0,1,'Your Devour Vitae V was successful on %t!','Your Devour Vitae V fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/DevourVitae.lua',1794,'You cast Devour Vitae V on %t.',0,0,0,1,0,0,0,0,0,90085,0,0,0,0,0,1,0,0,0,'DD',1579209209,1384378111,0,1),
(90090,1619401604,0,0,'Devour Vitae VI','Drains life from the target, and returns a portion as health replenishment to the shadowknight.',249,0,315,2741805322,613995491,450,0,1,'Your Devour Vitae VI was successful on %t!','Your Devour Vitae VI fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/DevourVitae.lua',1794,'You cast Devour Vitae VI on %t.',0,0,0,1,0,0,0,0,0,90085,0,0,0,0,0,1,0,0,0,'DD',1579209644,1384378112,0,1),
(90091,3097271674,0,0,'Devour Vitae VII','Drains life from the target, and returns a portion as health replenishment to the shadowknight.',249,0,315,2741805322,613995491,500,0,1,'Your Devour Vitae VII was successful on %t!','Your Devour Vitae VII fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/DevourVitae.lua',1794,'You cast Devour Vitae VII on %t.',0,0,0,0,0,0,0,0,0,90085,0,0,0,0,0,1,0,0,0,'DD',1579210905,1384378111,0,1),
(90092,2452864075,0,0,'Despoiling Mist','Siphons armor mitigation on the target and surrounding encounter members within the area of effect. For each affected target, the shadowknight''s armor mitigation is increased.',248,3,312,2741805322,3587918036,250,0,2,'Your Devouring Mist was successful on %t!','Your Devouring Mist fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/DevouringMist.lua',1800,'You cast Devouring Mist on %t.',0,0,0,1,0,1,3,0,0,90092,0,0,0,0,0,1,0,0,0,'Unset',1579219256,1384378156,0,1),
(90093,435294798,0,0,'Despoil','Siphons armor mitigation on the target and surrounding encounter members within the area of effect. For each affected target, the shadowknight''s armor mitigation is increased.',248,3,312,2741805322,3587918036,350,0,2,'Your Devouring Mist II was successful on %t!','Your Devouring Mist II fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/DevouringMist.lua',1800,'You cast Devouring Mist II on %t.',0,0,0,1,0,1,3,0,0,90092,0,0,0,0,0,1,0,0,0,'Unset',1579219424,1384378112,0,1),
(90094,3641840028,0,0,'Devouring Mist','Siphons armor mitigation on the target and surrounding encounter members within the area of effect. For each affected target, the shadowknight''s armor mitigation is increased.',248,3,312,2741805322,3587918036,400,0,2,'Your Devouring Mist III was successful on %t!','Your Devouring Mist III fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/DevouringMist.lua',1800,'You cast Devouring Mist III on %t.',0,0,0,1,0,1,3,0,0,90092,0,0,0,0,0,1,0,0,0,'Unset',1579220637,1384378111,0,1),
(90095,1588910815,0,0,'Devouring Mist IV','Siphons armor mitigation on the target and surrounding encounter members within the area of effect. For each affected target, the shadowknight''s armor mitigation is increased.',248,3,312,2741805322,3587918036,450,0,2,'Your Devouring Mist IV was successful on %t!','Your Devouring Mist IV fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/DevouringMist.lua',1800,'You cast Devouring Mist IV on %t.',0,0,0,1,0,1,3,0,0,90092,0,0,0,0,0,1,0,0,0,'Unset',1579220763,1384378112,0,1),
(90096,3494963427,0,0,'Devouring Mist V','Siphons armor mitigation on the target and surrounding encounter members within the area of effect. For each affected target, the shadowknight''s armor mitigation is increased.',248,3,312,2741805322,3587918036,500,0,2,'Your Devouring Mist V was successful on %t!','Your Devouring Mist V fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/DevouringMist.lua',1800,'You cast Devouring Mist V on %t.',0,0,0,0,0,1,3,0,0,90092,0,0,0,0,0,1,0,0,0,'Unset',1579220822,1384377826,0,1),
(90097,1844722783,0,0,'Dreadful Wrath','Inflicts massive disease damage to the target and slows their movement.',472,3,315,2741805322,613995491,200,0,1,'Your Dreadful Wrath was successful on %t!','Your Dreadful Wrath fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/DreadfulWrath.lua',1798,'You cast Dreadful Wrath on %t.',0,0,0,1,0,0,0,0,0,90097,0,0,0,0,0,1,0,0,0,'DD',1579217291,1384378112,0,1),
(90098,4091068276,0,0,'Baleful Wrath','Inflicts massive disease damage to the target and slows their movement.',472,3,315,2741805322,613995491,270,0,1,'Your Dreadful Wrath II was successful on %t!','Your Dreadful Wrath II fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/DreadfulWrath.lua',1798,'You cast Dreadful Wrath II on %t.',0,0,0,1,0,0,0,0,0,90097,0,0,0,0,0,1,0,0,0,'DD',1579217344,1384378112,0,1),
(90099,1222991871,0,0,'Abominable Wrath','Inflicts massive disease damage to the target and slows their movement.',472,3,315,2741805322,613995491,340,0,1,'Your Dreadful Wrath III was successful on %t!','Your Dreadful Wrath III fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/DreadfulWrath.lua',1798,'You cast Dreadful Wrath III on %t.',0,0,0,1,0,0,0,0,0,90097,0,0,0,0,0,1,0,0,0,'DD',1579217494,1384378112,0,1),
(90100,3560928589,0,0,'Pain Wrath','Inflicts massive disease damage to the target and slows their movement.',472,3,315,2741805322,613995491,390,0,1,'Your Dreadful Wrath IV was successful on %t!','Your Dreadful Wrath IV fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/DreadfulWrath.lua',1798,'You cast Dreadful Wrath IV on %t.',0,0,0,1,0,0,0,0,0,90097,0,0,0,0,0,1,0,0,0,'DD',1579218282,1384378111,0,1),
(90101,2348796737,0,0,'Dreadful Wrath V','Inflicts massive disease damage to the target and slows their movement.',472,3,315,2741805322,613995491,440,0,1,'Your Dreadful Wrath V was successful on %t!','Your Dreadful Wrath V fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/DreadfulWrath.lua',1798,'You cast Dreadful Wrath V on %t.',0,0,0,1,0,0,0,0,0,90097,0,0,0,0,0,1,0,0,0,'DD',1579218354,1384378111,0,1),
(90102,207159298,0,0,'Dreadful Wrath VI','Inflicts massive disease damage to the target and slows their movement.',472,3,315,2741805322,613995491,490,0,1,'Your Dreadful Wrath VI was successful on %t!','Your Dreadful Wrath VI fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/DreadfulWrath.lua',1798,'You cast Dreadful Wrath VI on %t.',0,0,0,0,0,0,0,0,0,90097,0,0,0,0,0,1,0,0,0,'DD',1579218792,1384378111,0,1),
(90103,804835780,0,0,'Tainted Sacrament','Dumbfire pet?',237,5,313,2741805322,613995491,130,0,1,'Your Grave Sacrament was successful on %t!','Your Grave Sacrament fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/TaintedSacrament.lua',1793,'You cast Grave Sacrament on %t.',0,0,0,1,0,1,3,0,0,90103,0,0,0,0,0,0,0,0,0,'DoT',1579208558,1384378112,0,1),
(90104,2483770508,0,0,'Cursed Sacrament','Increases the hatred of the shadowknight to targets in the area of effect. ',237,5,313,2741805322,613995491,200,0,1,'Your Grave Sacrament II was successful on %t!','Your Grave Sacrament II fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/GraveSacrament.lua',1793,'You cast Grave Sacrament II on %t.',0,0,0,1,0,1,3,0,0,90103,0,0,0,0,0,1,0,0,0,'DoT',1579208571,1384378112,0,1),
(90105,4253609313,0,0,'Infernal Sacrament','Increases the hatred of the shadowknight to targets in the area of effect. ',237,5,313,2741805322,613995491,270,0,1,'Your Grave Sacrament III was successful on %t!','Your Grave Sacrament III fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/GraveSacrament.lua',1793,'You cast Grave Sacrament III on %t.',0,0,0,1,0,1,3,0,0,90103,0,0,0,0,0,1,0,0,0,'DoT',1579208588,1384378111,0,1),
(90106,4013075819,0,0,'Nefarious Sacrament','Increases the hatred of the shadowknight to targets in the area of effect. ',237,5,313,2741805322,613995491,340,0,1,'Your Grave Sacrament IV was successful on %t!','Your Grave Sacrament IV fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/GraveSacrament.lua',1793,'You cast Grave Sacrament IV on %t.',0,0,0,1,0,1,3,0,0,90103,0,0,0,0,0,1,0,0,0,'DoT',1579208594,1384378112,0,1),
(90107,2907890635,0,0,'Grave Sacrament','Increases the hatred of the shadowknight to targets in the area of effect. ',237,5,313,2741805322,613995491,390,0,1,'Your Grave Sacrament V was successful on %t!','Your Grave Sacrament V fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/GraveSacrament.lua',1793,'You cast Grave Sacrament V on %t.',0,0,0,1,0,1,3,0,0,90103,0,0,0,0,0,1,0,0,0,'DoT',1579208603,1384377826,0,1),
(90108,1529694115,0,0,'Grave Sacrament VI','Increases the hatred of the shadowknight to targets in the area of effect. ',237,5,313,2741805322,613995491,440,0,1,'Your Grave Sacrament VI was successful on %t!','Your Grave Sacrament VI fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/GraveSacrament.lua',1793,'You cast Grave Sacrament VI on %t.',0,0,0,1,0,1,3,0,0,90103,0,0,0,0,0,1,0,0,0,'DoT',1579208625,1384378111,0,1),
(90109,3028283714,0,0,'Grave Sacrament VII','Increases the hatred of the shadowknight to targets in the area of effect. ',237,5,313,2741805322,613995491,490,0,1,'Your Grave Sacrament VII was successful on %t!','Your Grave Sacrament VII fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/GraveSacrament.lua',1793,'You cast Grave Sacrament VII on %t.',0,0,0,0,0,0,3,0,0,90103,0,0,0,0,0,1,0,0,0,'DoT',1579208632,1384378111,0,1),
(90110,71726614,0,1,'Unholy Weapon','Curses the shadowknight''s weapon, granting a chance to drain health in combat with each hit.',470,0,317,2741805322,3587918036,50,1,0,'Your Grim Harbinger was successful on %t!','Your Grim Harbinger fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/GrimHarbinger.lua',1780,'You cast Grim Harbinger on %t.',0,0,0,1,1,1,0,0,0,90110,0,0,0,0,0,0,0,0,0,'Unset',1579197133,1384378112,0,1),
(90111,764163133,0,1,'Grim Harbinger','Curses the shadowknight''s weapon, granting a chance to drain health in combat with each hit.',470,0,317,2741805322,3587918036,120,1,0,'Your Grim Harbinger II was successful on %t!','Your Grim Harbinger II fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/GrimHarbingerClassic.lua',1780,'You cast Grim Harbinger II on %t.',0,0,0,1,1,1,0,0,0,90110,0,0,0,0,0,0,0,0,0,'Unset',1579197146,1384378113,0,1),
(90112,2230403227,0,1,'Unhallowed Aura','Curses the shadowknight''s weapon, granting a chance to drain health in combat with each hit.',470,0,317,2741805322,3587918036,190,1,0,'Your Grim Harbinger III was successful on %t!','Your Grim Harbinger III fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/GrimHarbinger.lua',1780,'You cast Grim Harbinger III on %t.',0,0,0,1,1,1,0,0,0,90110,0,0,0,0,0,1,0,0,0,'Unset',1579197159,1384378112,0,1),
(90113,2233471764,0,1,'Depraved Aura','Curses the shadowknight''s weapon, granting a chance to drain health in combat with each hit.',470,0,317,2741805322,3587918036,260,1,0,'Your Grim Harbinger IV was successful on %t!','Your Grim Harbinger IV fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/GrimHarbinger.lua',1780,'You cast Grim Harbinger IV on %t.',0,0,0,1,1,1,0,0,0,90110,0,0,0,0,0,1,0,0,0,'Unset',1579197169,1384378112,0,1),
(90114,3293886415,0,1,'Twisted Aura','Curses the shadowknight''s weapon, granting a chance to drain health in combat with each hit.',470,0,317,2741805322,3587918036,330,1,0,'Your Grim Harbinger V was successful on %t!','Your Grim Harbinger V fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/GrimHarbinger.lua',1780,'You cast Grim Harbinger V on %t.',0,0,0,1,1,1,0,0,0,90110,0,0,0,0,0,1,0,0,0,'Unset',1579197183,1384378113,0,1),
(90115,1583524100,0,1,'Unholy Arms','Curses the shadowknight''s weapon, granting a chance to drain health in combat with each hit.',470,0,317,2741805322,3587918036,385,1,0,'Your Grim Harbinger VI was successful on %t!','Your Grim Harbinger VI fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/GrimHarbinger.lua',1780,'You cast Grim Harbinger VI on %t.',0,0,0,1,1,1,0,0,0,90110,0,0,0,0,0,1,0,0,0,'Unset',1579197201,1384378112,0,1),
(90116,912809878,0,1,'Grim Harbinger VII','Curses the shadowknight''s weapon, granting a chance to drain health in combat with each hit.',470,0,317,2741805322,3587918036,435,1,0,'Your Grim Harbinger VII was successful on %t!','Your Grim Harbinger VII fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/GrimHarbinger.lua',1780,'You cast Grim Harbinger VII on %t.',0,0,0,1,1,1,0,0,0,90110,0,0,0,0,0,1,0,0,0,'Unset',1579197210,1384378111,0,1),
(90117,2983105749,0,1,'Grim Harbinger VIII','Curses the shadowknight''s weapon, granting a chance to drain health in combat with each hit.',470,0,317,2741805322,3587918036,485,1,0,'Your Grim Harbinger VIII was successful on %t!','Your Grim Harbinger VIII fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/GrimHarbinger.lua',1780,'You cast Grim Harbinger VIII on %t.',0,0,0,0,1,0,0,0,0,90110,0,0,0,0,0,1,0,0,0,'Unset',1579197223,1384378111,0,1),
(90118,2871721771,0,0,'Harm Touch- Ready for Testing','Deals a great amount of disease damage to the target that is difficult for the target to resist against. This ability does not have a casting time, nor does it cost power, but it has a significant reuse timer.',247,3,315,2741805322,613995491,100,0,1,'Your Harm Touch was successful on %t!','Your Harm Touch fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/HarmTouch.lua',655,'You cast Harm Touch on %t.',0,0,0,1,0,0,0,0,0,90118,0,0,0,0,0,1,0,0,0,'DD',1579200207,1384378112,0,1),
(90119,2346218873,0,0,'Malefic Touch','Deals a great amount of disease damage to the target that is difficult for the target to resist against. This ability does not have a casting time, nor does it cost power, but it has a significant reuse timer.',247,3,315,2741805322,613995491,170,0,1,'Your Harm Touch II was successful on %t!','Your Harm Touch II fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/HarmTouch.lua',1786,'You cast Harm Touch II on %t.',0,0,0,1,0,0,0,0,0,90118,0,0,0,0,0,1,0,0,0,'DD',1579200223,1384378113,0,1),
(90120,1742621429,0,0,'Ruinous Touch','Deals a great amount of disease damage to the target that is difficult for the target to resist against. This ability does not have a casting time, nor does it cost power, but it has a significant reuse timer.',247,3,315,2741805322,613995491,240,0,1,'Your Harm Touch III was successful on %t!','Your Harm Touch III fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/HarmTouch.lua',1786,'You cast Harm Touch III on %t.',0,0,0,1,0,0,0,0,0,90118,0,0,0,0,0,1,0,0,0,'DD',1579200236,1384378112,0,1),
(90121,3183437452,0,0,'Pestilent Touch','Deals a great amount of disease damage to the target that is difficult for the target to resist against. This ability does not have a casting time, nor does it cost power, but it has a significant reuse timer.',247,3,315,2741805322,613995491,310,0,1,'Your Harm Touch IV was successful on %t!','Your Harm Touch IV fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/HarmTouch.lua',1786,'You cast Harm Touch IV on %t.',0,0,0,1,0,0,0,0,0,90118,0,0,0,0,0,1,0,0,0,'DD',1579200272,1384378113,0,1),
(90122,2610948073,0,0,'Death Touch','Deals a great amount of disease damage to the target that is difficult for the target to resist against. This ability does not have a casting time, nor does it cost power, but it has a significant reuse timer.',247,3,315,2741805322,613995491,370,0,1,'Your Harm Touch V was successful on %t!','Your Harm Touch V fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/HarmTouch.lua',1786,'You cast Harm Touch V on %t.',0,0,0,1,0,0,0,0,0,90118,0,0,0,0,0,1,0,0,0,'DD',1579200293,1384378112,0,1),
(90123,695886253,0,0,'Harm Touch VI','Deals a great amount of disease damage to the target that is difficult for the target to resist against. This ability does not have a casting time, nor does it cost power, but it has a significant reuse timer.',247,3,315,2741805322,613995491,420,0,1,'Your Harm Touch VI was successful on %t!','Your Harm Touch VI fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/HarmTouch.lua',1786,'You cast Harm Touch VI on %t.',0,0,0,1,0,0,0,0,0,90118,0,0,0,0,0,1,0,0,0,'DD',1579200366,1384377826,0,1),
(90124,4109154344,0,0,'Harm Touch VII','Deals a great amount of disease damage to the target that is difficult for the target to resist against. This ability does not have a casting time, nor does it cost power, but it has a significant reuse timer.',247,3,315,2741805322,613995491,470,0,1,'Your Harm Touch VII was successful on %t!','Your Harm Touch VII fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/HarmTouch.lua',1786,'You cast Harm Touch VII on %t.',0,0,0,1,0,0,0,0,0,90118,0,0,0,0,0,1,0,0,0,'DD',1579200378,1384378112,0,1),
(90125,1922172239,0,1,'Dark Caress','Places a negative energy shield around the shadowknight, damaging and increasing hate with anyone that strikes the shadowknight.',257,5,317,2741805322,723762198,15,1,0,'Your Innoruuk''s Caress was successful on %t!','Your Innoruuk''s Caress fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/InnoruuksCaress.lua',1792,'You cast Innoruuk''s Caress on %t.',0,0,0,1,1,1,0,0,0,90125,0,0,0,0,0,0,0,0,0,'Buff',1579129866,1384378113,0,1),
(90126,2366293078,0,1,'Tarnished Caress','Places a negative energy shield around the shadowknight, damaging and increasing hate with anyone that strikes the shadowknight.',257,5,317,2741805322,723762198,60,1,0,'Your Innoruuk''s Caress II was successful on %t!','Your Innoruuk''s Caress II fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/InnoruuksCaress.lua',1792,'You cast Innoruuk''s Caress II on %t.',0,0,0,1,1,1,0,0,0,90125,0,0,0,0,0,0,0,0,0,'Buff',1579129892,1384378112,0,1),
(90127,581314294,0,1,'Unholy Order','Places a negative energy shield around the shadowknight, damaging and increasing hate with anyone that strikes the shadowknight.  Additionally, this will increase the spell resistance of the shadowknight.',257,5,317,2741805322,723762198,120,1,0,'Your Innoruuk''s Caress III was successful on %t!','Your Innoruuk''s Caress III fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/UnholyOrder.lua',1792,'You cast Innoruuk''s Caress III on %t.',0,0,0,1,1,1,0,0,0,90125,0,0,0,0,0,0,0,0,0,'Buff',1579129920,1384377826,0,1),
(90128,537541411,0,1,'Cursed Caress','Places a negative energy shield around the shadowknight, damaging and increasing hate with anyone that strikes the shadowknight.  Additionally, this will increase the spell resistance of the shadowknight.',257,5,317,2741805322,723762198,190,1,0,'Your Innoruuk''s Caress IV was successful on %t!','Your Innoruuk''s Caress IV fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/InnoruuksCaress.lua',1792,'You cast Innoruuk''s Caress IV on %t.',0,0,0,1,1,1,0,0,0,90125,0,0,0,0,0,1,0,0,0,'Buff',1579129945,1384378112,0,1),
(90129,3015055843,0,1,'Innoruuk''s Caress IX','Places a negative energy shield around the shadowknight, damaging and increasing hate with anyone that strikes the shadowknight.  Additionally, this will increase the spell resistance of the shadowknight.',257,5,317,2741805322,723762198,485,1,0,'Your Innoruuk''s Caress IX was successful on %t!','Your Innoruuk''s Caress IX fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/InnoruuksCaress.lua',1792,'You cast Innoruuk''s Caress IX on %t.',0,0,0,0,1,0,0,0,0,90125,0,0,0,0,0,1,0,0,0,'Buff',1579130032,1384378111,0,1),
(90130,3936304247,0,1,'Infernal Caress','Places a negative energy shield around the shadowknight, damaging and increasing hate with anyone that strikes the shadowknight.  Additionally, this will increase the spell resistance of the shadowknight.',257,5,317,2741805322,723762198,260,1,0,'Your Innoruuk''s Caress V was successful on %t!','Your Innoruuk''s Caress V fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/InnoruuksCaress.lua',1792,'You cast Innoruuk''s Caress V on %t.',0,0,0,1,1,1,0,0,0,90125,0,0,0,0,0,1,0,0,0,'Buff',1579129982,1384378112,0,1),
(90131,95136527,0,1,'Nefarious Caress','Places a negative energy shield around the shadowknight, damaging and increasing hate with anyone that strikes the shadowknight.  Additionally, this will increase the spell resistance of the shadowknight.',257,5,317,2741805322,723762198,330,1,0,'Your Innoruuk''s Caress VI was successful on %t!','Your Innoruuk''s Caress VI fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/InnoruuksCaress.lua',1792,'You cast Innoruuk''s Caress VI on %t.',0,0,0,1,1,1,0,0,0,90125,0,0,0,0,0,1,0,0,0,'Buff',1579129993,1384378113,0,1),
(90132,667619189,0,1,'Innoruuk''s Caress','Places a negative energy shield around the shadowknight, damaging and increasing hate with anyone that strikes the shadowknight.  Additionally, this will increase the spell resistance of the shadowknight.',257,5,317,2741805322,723762198,385,1,0,'Your Innoruuk''s Caress VII was successful on %t!','Your Innoruuk''s Caress VII fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/InnoruuksCaress.lua',1792,'You cast Innoruuk''s Caress VII on %t.',0,0,0,1,1,1,0,0,0,90125,0,0,0,0,0,1,0,0,0,'Buff',1579130005,1384378113,0,1),
(90133,1683265979,0,1,'Innoruuk''s Caress VIII','Places a negative energy shield around the shadowknight, damaging and increasing hate with anyone that strikes the shadowknight.  Additionally, this will increase the spell resistance of the shadowknight.',257,5,317,2741805322,723762198,435,1,0,'Your Innoruuk''s Caress VIII was successful on %t!','Your Innoruuk''s Caress VIII fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/InnoruuksCaress.lua',1792,'You cast Innoruuk''s Caress VIII on %t.',0,0,0,1,1,1,0,0,0,90125,0,0,0,0,0,1,0,0,0,'Buff',1579130019,1384378111,0,1),
(90134,45739516,0,0,'Taunt','Increases the target''s hate towards the shadowknight, with additional hate over time.',279,2,315,1408356869,723762198,5,0,1,'Your Insidious Whisper was successful on %t!','Your Insidious Whisper fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/InsidiousWhisper.lua',61,'You cast Insidious Whisper on %t.',0,0,0,1,0,0,2,0,0,90134,0,0,0,0,0,0,0,0,0,'DoT',1579128624,1384378112,0,1),
(90135,2735715423,0,0,'Offensive Presence','Increases the target''s hate towards the shadowknight, with additional hate over time.',279,2,315,2741805322,723762198,45,0,1,'Your Insidious Whisper II was successful on %t!','Your Insidious Whisper II fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/InsidiousWhisper.lua',61,'You cast Insidious Whisper II on %t.',0,0,0,1,0,0,2,0,0,90134,0,0,0,0,0,0,0,0,0,'DoT',1579128608,1384378113,0,1),
(90136,3144457713,0,0,'Diseased Threat','Increases the target''s hate towards the shadowknight, with additional hate over time.',279,2,315,2741805322,723762198,85,0,1,'Your Insidious Whisper III was successful on %t!','Your Insidious Whisper III fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/InsidiousWhisper.lua',61,'You cast Insidious Whisper III on %t.',0,0,0,1,0,0,2,0,0,90134,0,0,0,0,0,0,0,0,0,'DoT',1579128653,1384378112,0,1),
(90137,2789670,0,0,'Disease Cloud','Increases the target''s hate towards the shadowknight, with additional hate over time.',279,2,315,2741805322,723762198,155,0,1,'Your Insidious Whisper IV was successful on %t!','Your Insidious Whisper IV fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/InsidiousWhisper.lua',61,'You cast Insidious Whisper IV on %t.',0,0,0,1,0,0,2,0,0,90134,0,0,0,0,0,1,0,0,0,'DoT',1579128678,1384378112,0,1),
(90138,1498646177,0,0,'Insidious Whisper IX','Increases the target''s hate towards the shadowknight, with additional hate over time.',279,2,315,2741805322,723762198,460,0,1,'Your Insidious Whisper IX was successful on %t!','Your Insidious Whisper IX fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/InsidiousWhisper.lua',61,'You cast Insidious Whisper IX on %t.',0,0,0,1,0,0,2,0,0,90134,0,0,0,0,0,1,0,0,0,'DoT',1579128903,1384378112,0,1),
(90139,2772175687,0,0,'Insidious Whisper','Increases the target''s hate towards the shadowknight, with additional hate over time.',279,2,315,2741805322,723762198,225,0,1,'Your Insidious Whisper V was successful on %t!','Your Insidious Whisper V fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/InsidiousWhisper.lua',61,'You cast Insidious Whisper V on %t.',0,0,0,1,0,0,2,0,0,90134,0,0,0,0,0,1,0,0,0,'DoT',1579128711,1384378112,0,1),
(90140,4097983222,0,0,'Insidious Promise','Increases the target''s hate towards the shadowknight, with additional hate over time.',279,2,315,2741805322,723762198,295,0,1,'Your Insidious Whisper VI was successful on %t!','Your Insidious Whisper VI fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/InsidiousWhisper.lua',61,'You cast Insidious Whisper VI on %t.',0,0,0,1,0,0,2,0,0,90134,0,0,0,0,0,1,0,0,0,'DoT',1579128790,1384377826,0,1),
(90141,338649155,0,0,'Insinuate','Increases the target''s hate towards the shadowknight, with additional hate over time.',279,2,315,2741805322,723762198,360,0,1,'Your Insidious Whisper VII was successful on %t!','Your Insidious Whisper VII fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/InsidiousWhisper.lua',61,'You cast Insidious Whisper VII on %t.',0,0,0,1,0,0,2,0,0,90134,0,0,0,0,0,1,0,0,0,'DoT',1579128827,1384378111,0,1),
(90142,1010089447,0,0,'Insidious Whisper VIII','Increases the target''s hate towards the shadowknight, with additional hate over time.',279,2,315,2741805322,723762198,410,0,1,'Your Insidious Whisper VIII was successful on %t!','Your Insidious Whisper VIII fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/InsidiousWhisper.lua',61,'You cast Insidious Whisper VIII on %t.',0,0,0,1,0,0,2,0,0,90134,0,0,0,0,0,1,0,0,0,'DoT',1579128848,1384378111,0,1),
(90143,4217029752,0,0,'Condemning Smite','Inflicts instant disease damage to the target.',213,3,315,2581053277,613995491,10,0,1,'Your Malice was successful on %t!','Your Malice fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/Malice.lua',1805,'You cast Malice on %t.',0,0,0,1,0,0,0,0,0,90143,0,0,0,0,0,0,0,0,0,'DD',1579129055,1384378112,0,1),
(90144,4218277746,0,0,'Condemning Anger','Inflicts instant disease damage to the target.',213,3,315,2741805322,613995491,65,0,1,'Your Malice II was successful on %t!','Your Malice II fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/Malice.lua',1805,'You cast Malice II on %t.',0,0,0,1,0,0,0,0,0,90143,0,0,0,0,0,0,0,0,0,'DD',1579129076,1384378112,0,1),
(90145,1847004157,0,0,'Condemning Spirit','Inflicts instant disease damage to the target.',213,3,315,2741805322,613995491,135,0,1,'Your Malice III was successful on %t!','Your Malice III fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/CondemningSpirit.lua',1805,'You cast Malice III on %t.',0,0,0,1,0,0,0,0,0,90143,0,0,0,0,0,0,0,0,0,'DD',1579129093,1384378113,0,1),
(90146,3741760,0,0,'Sickening Anger','Inflicts instant disease damage to the target.',213,3,315,2741805322,613995491,205,0,1,'Your Malice IV was successful on %t!','Your Malice IV fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/Malice.lua',1805,'You cast Malice IV on %t.',0,0,0,1,0,0,0,0,0,90143,0,0,0,0,0,1,0,0,0,'DD',1579129112,1384378112,0,1),
(90147,631821402,0,0,'Malice IX','Inflicts instant disease damage to the target.',213,3,315,2741805322,613995491,495,0,1,'Your Malice IX was successful on %t!','Your Malice IX fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/Malice.lua',1805,'You cast Malice IX on %t.',0,0,0,1,0,0,0,0,0,90143,0,0,0,0,0,1,0,0,0,'DD',1579129256,1384377826,0,1),
(90148,425030099,0,0,'Loathsome Anger','Inflicts instant disease damage to the target.',213,3,315,2741805322,613995491,275,0,1,'Your Malice V was successful on %t!','Your Malice V fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/Malice.lua',1805,'You cast Malice V on %t.',0,0,0,1,0,0,0,0,0,90143,0,0,0,0,0,1,0,0,0,'DD',1579129127,1384378111,0,1),
(90149,4176397763,0,0,'Abominable Anger Malice','Inflicts instant disease damage to the target.',213,3,315,2741805322,613995491,345,0,1,'Your Malice VI was successful on %t!','Your Malice VI fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/Malice.lua',1805,'You cast Malice VI on %t.',0,0,0,1,0,0,0,0,0,90143,0,0,0,0,0,1,0,0,0,'DD',1579129184,1384378112,0,1),
(90150,3983151048,0,0,'Malice VII','Inflicts instant disease damage to the target.',213,3,315,2741805322,613995491,395,0,1,'Your Malice VII was successful on %t!','Your Malice VII fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/Malice.lua',1805,'You cast Malice VII on %t.',0,0,0,1,0,0,0,0,0,90143,0,0,0,0,0,1,0,0,0,'DD',1579129213,1384378111,0,1),
(90151,852738073,0,0,'Malice VIII','Inflicts instant disease damage to the target.',213,3,315,2741805322,613995491,445,0,1,'Your Malice VIII was successful on %t!','Your Malice VIII fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/Malice.lua',1805,'You cast Malice VIII on %t.',0,0,0,1,0,0,0,0,0,90143,0,0,0,0,0,1,0,0,0,'DD',1579129236,1384378112,0,1),
(90152,2778990061,0,0,'Mana Sieve','Drains the health of the shadowknight''s target and converts it into mana for the shadowknight.',201,65535,315,2741805322,613995491,260,0,1,'Your Mana Sieve was successful on %t!','Your Mana Sieve fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/ManaSieve.lua',1801,'You cast Mana Sieve on %t.',0,0,0,1,0,1,3,0,0,90152,0,0,0,0,0,1,0,0,0,'Unset',1579221442,1384378112,0,1),
(90153,2048527657,0,0,'Mana Siege','Drains the health of the shadowknight''s target and converts it into mana for the shadowknight.',201,65535,315,2741805322,613995491,360,0,1,'Your Mana Sieve II was successful on %t!','Your Mana Sieve II fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/ManaSieve.lua',1801,'You cast Mana Sieve II on %t.',0,0,0,1,0,1,3,0,0,90152,0,0,0,0,0,1,0,0,0,'Unset',1579221756,1384377826,0,1),
(90154,1300217296,0,0,'Mana Sieve III','Drains the health of the shadowknight''s target and converts it into mana for the shadowknight.',201,65535,315,2741805322,613995491,410,0,1,'Your Mana Sieve III was successful on %t!','Your Mana Sieve III fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/ManaSieve.lua',1801,'You cast Mana Sieve III on %t.',0,0,0,1,0,1,3,0,0,90152,0,0,0,0,0,1,0,0,0,'Unset',1579221843,1384378111,0,1),
(90155,2431214677,0,0,'Mana Sieve IV','Drains the health of the shadowknight''s target and converts it into mana for the shadowknight.',201,65535,315,2741805322,613995491,460,0,1,'Your Mana Sieve IV was successful on %t!','Your Mana Sieve IV fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/ManaSieve.lua',1801,'You cast Mana Sieve IV on %t.',0,0,0,1,0,1,3,0,0,90152,0,0,0,0,0,1,0,0,0,'Unset',1579221991,1384378112,0,1),
(90156,3853171077,0,0,'Graven Embrace','Causes an ally to temporarily die, often causing enemies to ignore that ally. This effect can be cancelled by standing.',333,5,316,2741805322,2741805322,105,0,1,'Your Graven Embrace was successful on %t!','Your Mortal Embrace fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/GravenEmbrace.lua',1908,'You cast Graven Embrace on %t.',0,1,1,1,1,0,0,0,0,90156,0,0,0,0,0,1,0,0,0,'Unset',1579201066,1384378112,0,1),
(90157,1678827880,0,0,'Solemn Embrace','Causes an ally to temporarily die, often causing enemies to ignore that ally. This effect can be cancelled by standing.',333,5,316,2741805322,613995491,175,0,1,'Your Mortal Embrace II was successful on %t!','Your Mortal Embrace II fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/MortalEmbrace.lua',1908,'You cast Mortal Embrace II on %t.',0,1,1,1,1,0,0,0,0,90156,0,0,0,0,0,1,0,0,0,'Unset',1579201095,1384378112,0,1),
(90158,2730632393,0,0,'Deadly Embrace','Causes an ally to temporarily die, often causing enemies to ignore that ally. This effect can be cancelled by standing.',333,5,316,2741805322,613995491,245,0,1,'Your Mortal Embrace III was successful on %t!','Your Mortal Embrace III fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/MortalEmbrace.lua',1908,'You cast Mortal Embrace III on %t.',0,1,1,1,1,0,0,0,0,90156,0,0,0,0,0,1,0,0,0,'Unset',1579201166,1384378112,0,1),
(90159,2130014620,0,0,'Mortal Embrace','Causes an ally to temporarily die, often causing enemies to ignore that ally. This effect can be cancelled by standing.',333,5,316,2741805322,613995491,315,0,1,'Your Mortal Embrace IV was successful on %t!','Your Mortal Embrace IV fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/MortalEmbrace.lua',1908,'You cast Mortal Embrace IV on %t.',0,1,1,1,1,0,0,0,0,90156,0,0,0,0,0,1,0,0,0,'Unset',1579201183,1384378113,0,1),
(90160,2626453594,0,0,'Pestilence','Pestilence deals disease damage over-time to a target. When that target dies, if pestilence was still active, it spreads to 2 nearby enemies. Pestilence continues as long as there are nearby enemies and they are killed before its duration expires.',258,65535,313,2741805322,613995491,325,0,1,'Your Pestilence was successful on %t!','Your Pestilence fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/Pestilence.lua',1805,'You cast Pestilence on %t.',0,0,0,1,0,0,3,0,0,90160,0,0,0,0,0,0,0,0,0,'DoT',1579222728,1384378113,0,1),
(90161,1592923619,0,0,'Contagion','Pestilence deals disease damage over-time to a target. When that target dies, if pestilence was still active, it spreads to 2 nearby enemies. Pestilence continues as long as there are nearby enemies and they are killed before its duration expires.',258,65535,313,3343700951,613995491,390,0,1,'Your Pestilence II was successful on %t!','Your Pestilence II fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/Pestilence.lua',1805,'You cast Pestilence II on %t.',0,0,0,1,0,0,3,0,0,90160,0,0,0,0,0,0,0,0,0,'DoT',1579222836,1384378112,0,1),
(90162,4173696260,0,0,'Pestilence III','Pestilence deals disease damage over-time to a target. When that target dies, if pestilence was still active, it spreads to 2 nearby enemies. Pestilence continues as long as there are nearby enemies and they are killed before its duration expires.',258,65535,313,2741805322,613995491,440,0,1,'Your Pestilence III was successful on %t!','Your Pestilence III fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/Pestilence.lua',1805,'You cast Pestilence III on %t.',0,0,0,1,0,0,3,0,0,90160,0,0,0,0,0,0,0,0,0,'DoT',1579222890,1384378112,0,1),
(90163,626218113,0,0,'Pestilence IV','Pestilence deals disease damage over-time to a target. When that target dies, if pestilence was still active, it spreads to 2 nearby enemies. Pestilence continues as long as there are nearby enemies and they are killed before its duration expires.',258,65535,313,2741805322,613995491,490,0,1,'Your Pestilence IV was successful on %t!','Your Pestilence IV fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/Pestilence.lua',1805,'You cast Pestilence IV on %t.',0,0,0,0,0,0,3,0,0,90160,0,0,0,0,0,0,0,0,0,'DoT',1579223134,1384378111,0,1),
(90164,2527464948,0,1,'Seething Hatred','This is the condensed energy of an ancient, mythical weapon.',614,65535,317,2741805322,0,400,1,1,'Your Seething Hatred was successful on %t!','Your Seething Hatred fades.','',1,0,'Spells/Fighter/Crusader/Shadowknight/SeethingHatred.lua',3538,'You cast Seething Hatred on %t.',0,0,0,1,1,1,0,0,0,90164,0,0,0,0,0,0,0,0,0,'Unset',1579223271,1384377875,0,1),
(90165,1839230214,0,0,'Grim Coil','Inflicts disease damage over time to the target.',250,0,315,2741805322,613995491,110,0,1,'Your Shadow Coil was successful on %t!','Your Shadow Coil fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/GrimCoil.lua',1791,'You cast Shadow Coil on %t.',0,0,0,1,0,0,3,0,0,90165,0,0,0,0,0,0,0,0,0,'DoT',1579201277,1384378112,0,1),
(90166,3033517057,0,0,'Vile Coil','Inflicts disease damage over time to the target.',250,0,315,2741805322,613995491,180,0,1,'Your Shadow Coil II was successful on %t!','Your Shadow Coil II fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/ShadowCoil.lua',1791,'You cast Shadow Coil II on %t.',0,0,0,1,0,0,3,0,0,90165,0,0,0,0,0,1,0,0,0,'DoT',1579201292,1384378112,0,1),
(90167,2119693407,0,0,'Wicked Coil','Inflicts disease damage over time to the target.',250,0,315,2741805322,613995491,250,0,1,'Your Shadow Coil III was successful on %t!','Your Shadow Coil III fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/ShadowCoil.lua',1791,'You cast Shadow Coil III on %t.',0,0,0,1,0,0,3,0,0,90165,0,0,0,0,0,1,0,0,0,'DoT',1579201305,1384378112,0,1),
(90168,3340200389,0,0,'Putrid Coil','Inflicts disease damage over time to the target.',250,0,315,2741805322,613995491,320,0,1,'Your Shadow Coil IV was successful on %t!','Your Shadow Coil IV fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/ShadowCoil.lua',1791,'You cast Shadow Coil IV on %t.',0,0,0,1,0,0,3,0,0,90165,0,0,0,0,0,1,0,0,0,'DoT',1579201321,1384377826,0,1),
(90169,3420924732,0,0,'Shadow Coil','Inflicts disease damage over time to the target.',250,0,315,2741805322,613995491,380,0,1,'Your Shadow Coil V was successful on %t!','Your Shadow Coil V fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/ShadowCoil.lua',1791,'You cast Shadow Coil V on %t.',0,0,0,1,0,0,3,0,0,90165,0,0,0,0,0,1,0,0,0,'DoT',1579201396,1384378113,0,1),
(90170,2641600458,0,0,'Shadow Coil VI','Inflicts disease damage over time to the target.',250,0,315,2741805322,613995491,430,0,1,'Your Shadow Coil VI was successful on %t!','Your Shadow Coil VI fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/ShadowCoil.lua',1791,'You cast Shadow Coil VI on %t.',0,0,0,1,0,0,3,0,0,90165,0,0,0,0,0,1,0,0,0,'DoT',1579201427,1384378111,0,1),
(90171,8158908,0,0,'Shadow Coil VII','Inflicts disease damage over time to the target.',250,0,315,2741805322,613995491,480,0,1,'Your Shadow Coil VII was successful on %t!','Your Shadow Coil VII fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/ShadowCoil.lua',1791,'You cast Shadow Coil VII on %t.',0,0,0,1,0,0,3,0,0,90165,0,0,0,0,0,1,0,0,0,'DoT',1579201451,1384378111,0,1),
(90172,1107779827,0,0,'Shadowy Elusion','Teleports the shadowknight and all nearby group members to the nearest designated safe spot in the current adventuring area.',246,4,314,2741805322,3587918036,220,0,2,'Your Shadowy Elusion was successful on %t!','Your Shadowy Elusion fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/ShadowyElusion.lua',1799,'You cast Shadowy Elusion on %t.',0,0,0,0,1,0,0,0,0,90172,0,0,0,0,0,1,0,0,0,'Unset',1579139359,1384378112,0,1),
(90173,3930375275,0,0,'Draw Strength','Draws strength and intelligence from the target and grants it to the shadowknight.',89,3,315,2741805322,613995491,150,0,1,'Your Siphon Strength was successful on %t!','Your Siphon Strength fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/DrawStrength.lua',1795,'You cast Siphon Strength on %t.',0,0,0,1,0,0,3,0,0,90173,0,0,0,0,0,0,0,0,0,'Unset',1579211004,1384378112,0,1),
(90174,131431518,0,0,'Siphon Strength','Draws strength and intelligence from the target and grants it to the shadowknight.',89,3,315,2741805322,613995491,220,0,1,'Your Siphon Strength II was successful on %t!','Your Siphon Strength II fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/SiphonStrength.lua',1795,'You cast Siphon Strength II on %t.',0,0,0,1,0,1,3,0,0,90173,0,0,0,0,0,1,0,0,0,'Unset',1579211130,1384377826,0,1),
(90175,4075346996,0,0,'Siphon Might','Draws strength and intelligence from the target and grants it to the shadowknight.',89,3,315,2741805322,613995491,290,0,1,'Your Siphon Strength III was successful on %t!','Your Siphon Strength III fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/SiphonStrength.lua',1795,'You cast Siphon Strength III on %t.',0,0,0,1,0,1,3,0,0,90173,0,0,0,0,0,1,0,0,0,'Unset',1579211171,1384378112,0,1),
(90176,3668634576,0,0,'Drain Might','Draws strength and intelligence from the target and grants it to the shadowknight.',89,3,315,2741805322,613995491,360,0,1,'Your Siphon Strength IV was successful on %t!','Your Siphon Strength IV fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/SiphonStrength.lua',1795,'You cast Siphon Strength IV on %t.',0,0,0,1,0,1,3,0,0,90173,0,0,0,0,0,1,0,0,0,'Unset',1579211355,1384378111,0,1),
(90177,3742108445,0,0,'Siphon Strength V','Draws strength and intelligence from the target and grants it to the shadowknight.',89,3,315,2741805322,613995491,410,0,1,'Your Siphon Strength V was successful on %t!','Your Siphon Strength V fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/SiphonStrength.lua',1795,'You cast Siphon Strength V on %t.',0,0,0,1,0,1,3,0,0,90173,0,0,0,0,0,1,0,0,0,'Unset',1579214753,1384377826,0,1),
(90178,811515388,0,0,'Siphon Strength VI','Draws strength and intelligence from the target and grants it to the shadowknight.',89,3,315,2741805322,613995491,460,0,1,'Your Siphon Strength VI was successful on %t!','Your Siphon Strength VI fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/SiphonStrength.lua',3324,'You cast Siphon Strength VI on %t.',0,0,0,1,0,1,3,0,0,90173,0,0,0,0,0,1,0,0,0,'Unset',1579216148,1384378112,0,1),
(90179,2373950292,0,0,'Tap Veins','Siphons the health of all nearby enemies, returning a portion of all health siphoned as health replenishment for the shadowknight.',249,65535,313,2741805322,613995491,275,0,1,'Your Tap Veins was successful on %t!','Your Tap Veins fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/TapVeins.lua',1802,'You cast Tap Veins on %t.',0,0,0,1,0,0,0,0,0,90179,0,0,0,0,0,1,0,0,0,'DD',1579222166,1384378112,0,1),
(90180,3123910047,0,0,'Tap Arteries','Siphons the health of all nearby enemies, returning a portion of all health siphoned as health replenishment for the shadowknight.',249,65535,313,2741805322,613995491,370,0,1,'Your Tap Veins II was successful on %t!','Your Tap Veins II fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/TapVeins.lua',1802,'You cast Tap Veins II on %t.',0,0,0,1,0,0,0,0,0,90179,0,0,0,0,0,1,0,0,0,'DD',1579222335,1384378112,0,1),
(90181,2735335736,0,0,'Tap Veins III','Siphons the health of all nearby enemies, returning a portion of all health siphoned as health replenishment for the shadowknight.',249,65535,313,2741805322,613995491,420,0,1,'Your Tap Veins III was successful on %t!','Your Tap Veins III fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/TapVeins.lua',1802,'You cast Tap Veins III on %t.',0,0,0,1,0,0,0,0,0,90179,0,0,0,0,0,1,0,0,0,'DD',1579222393,1384378111,0,1),
(90182,950838615,0,0,'Tap Veins IV','Siphons the health of all nearby enemies, returning a portion of all health siphoned as health replenishment for the shadowknight.',249,65535,313,2741805322,613995491,470,0,1,'Your Tap Veins IV was successful on %t!','Your Tap Veins IV fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/TapVeins.lua',1802,'You cast Tap Veins IV on %t.',0,0,0,1,0,0,0,0,0,90179,0,0,0,0,0,1,0,0,0,'DD',1579222564,1384378112,0,1),
(90183,4047107681,0,0,'Touch of Death','This is the condensed energy of an ancient, mythical weapon.',224,65535,315,2741805322,0,400,0,1,'Your Touch of Death was successful on %t!','Your Touch of Death fades.','',1,0,'Spells/Fighter/Crusader/Shadowknight/TouchofDeath.lua',3539,'You cast Touch of Death on %t.',0,0,0,1,0,1,0,0,0,90183,0,0,0,0,0,0,0,0,0,'Unset',1579223348,1384377875,0,1),
(90184,72167145,0,0,'Cruel Aura','Does disease damage over time to nearby enemies surrounding the shadowknight.',471,5,313,2741805322,613995491,70,0,1,'Your Unending Agony was successful on %t!','Your Unending Agony fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/UnendingAgony.lua',1785,'You cast Unending Agony on %t.',0,0,0,1,0,0,3,0,0,90184,0,0,0,0,0,0,0,0,0,'DoT',1579199440,1384378112,0,1),
(90185,502635137,0,0,'Cruel Intent','Does disease damage over time to nearby enemies surrounding the shadowknight.',471,5,313,2741805322,613995491,140,0,1,'Your Unending Agony II was successful on %t!','Your Unending Agony II fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/CruelIntent.lua',1785,'You cast Unending Agony II on %t.',0,0,0,1,0,0,3,0,0,90184,0,0,0,0,0,0,0,0,0,'DoT',1579199469,1384378112,0,1),
(90186,1894055418,0,0,'Unending Pain','Does disease damage over time to nearby enemies surrounding the shadowknight.',471,5,313,2741805322,613995491,210,0,1,'Your Unending Agony III was successful on %t!','Your Unending Agony III fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/UnendingAgony.lua',1785,'You cast Unending Agony III on %t.',0,0,0,1,0,0,3,0,0,90184,0,0,0,0,0,1,0,0,0,'DoT',1579199483,1384378112,0,1),
(90187,1529883903,0,0,'Unending Agony','Does disease damage over time to nearby enemies surrounding the shadowknight.',471,5,313,2741805322,613995491,280,0,1,'Your Unending Agony IV was successful on %t!','Your Unending Agony IV fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/UnendingAgony.lua',1785,'You cast Unending Agony IV on %t.',0,0,0,1,0,0,3,0,0,90184,0,0,0,0,0,1,0,0,0,'DoT',1579199513,1384378111,0,1),
(90188,2617010853,0,0,'Unending Misery','Does disease damage over time to nearby enemies surrounding the shadowknight.',471,5,313,2741805322,613995491,350,0,1,'Your Unending Agony V was successful on %t!','Your Unending Agony V fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/UnendingAgony.lua',1785,'You cast Unending Agony V on %t.',0,0,0,1,0,0,3,0,0,90184,0,0,0,0,0,1,0,0,0,'DoT',1579199526,1384378112,0,1),
(90189,2084330536,0,0,'Painful Aura','Does disease damage over time to nearby enemies surrounding the shadowknight.',471,5,313,2741805322,613995491,400,0,1,'Your Unending Agony VI was successful on %t!','Your Unending Agony VI fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/UnendingAgony.lua',1785,'You cast Unending Agony VI on %t.',0,0,0,1,0,0,3,0,0,90184,0,0,0,0,0,1,0,0,0,'DoT',1579199586,1384378111,0,1),
(90190,2646158666,0,0,'Unending Agony VII','Does disease damage over time to nearby enemies surrounding the shadowknight.',471,5,313,2741805322,613995491,450,0,1,'Your Unending Agony VII was successful on %t!','Your Unending Agony VII fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/UnendingAgony.lua',1785,'You cast Unending Agony VII on %t.',0,0,0,1,0,0,3,0,0,90184,0,0,0,0,0,1,0,0,0,'DoT',1579199604,1384377826,0,1),
(90191,324870006,0,0,'Unending Agony VIII','Does disease damage over time to nearby enemies surrounding the shadowknight.',471,5,313,2741805322,613995491,500,0,1,'Your Unending Agony VIII was successful on %t!','Your Unending Agony VIII fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/UnendingAgony.lua',1785,'You cast Unending Agony VIII on %t.',0,0,0,1,0,0,3,0,0,90184,0,0,0,0,0,1,0,0,0,'DoT',1579199626,1384378111,0,1),
(90192,1693136731,0,0,'Infernal Blessing','Places an augmentation on a group member that drains health from any opponents that attack them. This effect can trigger 5 times.',469,5,316,2741805322,366253016,60,0,1,'Your Unholy Blessing was successful on %t!','Your Unholy Blessing fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/UnholyBlessing.lua',1777,'You cast Unholy Blessing on %t.',0,1,0,1,1,0,0,0,0,90192,0,0,0,0,0,0,0,0,0,'Buff',1579198106,1384378112,0,1),
(90193,2829832338,0,0,'Infernal Pact','Places an augmentation on a group member that drains health from any opponents that attack them. This effect can trigger 5 times.',469,5,316,2741805322,366253016,130,0,1,'Your Unholy Blessing II was successful on %t!','Your Unholy Blessing II fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/InfernalPact.lua',1777,'You cast Unholy Blessing II on %t.',0,1,0,1,1,1,0,0,0,90192,0,0,0,0,0,0,0,0,0,'Buff',1579198471,1384378112,0,1),
(90194,199101013,0,0,'Unholy Blessing','Places an augmentation on a group member that drains health from any opponents that attack them. This effect can trigger 5 times.',469,5,316,2741805322,366253016,200,0,1,'Your Unholy Blessing III was successful on %t!','Your Unholy Blessing III fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/UnholyBlessing.lua',1777,'You cast Unholy Blessing III on %t.',0,1,0,1,1,1,0,0,0,90192,0,0,0,0,0,1,0,0,0,'Buff',1579198520,1384378112,0,1),
(90195,750326434,0,0,'Heinous Blessing','Places an augmentation on a group member that drains health from any opponents that attack them. This effect can trigger 5 times.',469,5,316,2741805322,366253016,270,0,1,'Your Unholy Blessing IV was successful on %t!','Your Unholy Blessing IV fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/UnholyBlessing.lua',1777,'You cast Unholy Blessing IV on %t.',0,1,0,1,1,1,0,0,0,90192,0,0,0,0,0,1,0,0,0,'Buff',1579198578,1384378111,0,1),
(90196,4009986594,0,0,'Grave Blessing','Places an augmentation on a group member that drains health from any opponents that attack them. This effect can trigger 5 times.',469,5,316,2741805322,366253016,340,0,1,'Your Unholy Blessing V was successful on %t!','Your Unholy Blessing V fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/UnholyBlessing.lua',1777,'You cast Unholy Blessing V on %t.',0,1,0,1,1,1,0,0,0,90192,0,0,0,0,0,1,0,0,0,'Buff',1579198623,1384378112,0,1),
(90197,4057210147,0,0,'Life Pact','Places an augmentation on a group member that drains health from any opponents that attack them. This effect can trigger 5 times.',469,5,316,2741805322,366253016,395,0,1,'Your Unholy Blessing VI was successful on %t!','Your Unholy Blessing VI fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/UnholyBlessing.lua',1777,'You cast Unholy Blessing VI on %t.',0,1,0,1,1,1,0,0,0,90192,0,0,0,0,0,1,0,0,0,'Buff',1579198654,1384377826,0,1),
(90198,1989277570,0,0,'Unholy Blessing VII','Places an augmentation on a group member that drains health from any opponents that attack them. This effect can trigger 5 times.',469,5,316,2741805322,366253016,445,0,1,'Your Unholy Blessing VII was successful on %t!','Your Unholy Blessing VII fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/UnholyBlessing.lua',1777,'You cast Unholy Blessing VII on %t.',0,1,0,1,1,1,0,0,0,90192,0,0,0,0,0,1,0,0,0,'Buff',1579198698,1384378112,0,1),
(90199,2579710307,0,0,'Unholy Blessing VIII','Places an augmentation on a group member that drains health from any opponents that attack them. This effect can trigger 5 times.',469,5,316,2741805322,366253016,495,0,1,'Your Unholy Blessing VIII was successful on %t!','Your Unholy Blessing VIII fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/UnholyBlessing.lua',1777,'You cast Unholy Blessing VIII on %t.',0,0,0,0,1,0,0,0,0,90192,0,0,0,0,0,1,0,0,0,'Buff',1579198729,1384378111,0,1),
(90200,2231162076,0,1,'Contract from Below','Increases the stamina and spell damage of all the Shadowknight''s allies.',267,5,314,2741805322,3587918036,90,1,2,'Your Unholy Strength was successful on %t!','Your Unholy Strength fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/UnholyStrength.lua',1788,'You cast Unholy Strength on %t.',0,1,0,1,1,1,0,0,0,90200,0,0,0,0,0,0,0,0,0,'Buff',1579199863,1384378112,0,1),
(90201,3051114935,0,1,'Contract of Shadows','Increases the stamina and spell damage of all the Shadowknight''s allies.',267,5,314,2741805322,3587918036,165,1,2,'Your Unholy Strength II was successful on %t!','Your Unholy Strength II fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/UnholyStrength.lua',1788,'You cast Unholy Strength II on %t.',0,1,0,1,1,1,0,0,0,90200,0,0,0,0,0,1,0,0,0,'Buff',1579199922,1384377826,0,1),
(90202,3059777537,0,1,'Unholy Strength','Increases the stamina and spell damage of all the Shadowknight''s allies.',267,5,314,2741805322,3587918036,235,1,2,'Your Unholy Strength III was successful on %t!','Your Unholy Strength III fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/UnholyStrength.lua',1788,'You cast Unholy Strength III on %t.',0,1,0,1,1,1,0,0,0,90200,0,0,0,0,0,1,0,0,0,'Buff',1579199968,1384378112,0,1),
(90203,4282028711,0,1,'Unhallowed Strength','Increases the stamina and spell damage of all the Shadowknight''s allies.',267,5,314,2741805322,3587918036,305,1,2,'Your Unholy Strength IV was successful on %t!','Your Unholy Strength IV fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/UnholyStrength.lua',1788,'You cast Unholy Strength IV on %t.',0,1,0,1,1,1,0,0,0,90200,0,0,0,0,0,1,0,0,0,'Buff',1579200057,1384378113,0,1),
(90204,1695163023,0,1,'Lucan''s Leadership','Increases the stamina and spell damage of all the Shadowknight''s allies.',267,5,314,2741805322,3587918036,365,1,2,'Your Unholy Strength V was successful on %t!','Your Unholy Strength V fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/UnholyStrength.lua',1788,'You cast Unholy Strength V on %t.',0,1,0,1,1,1,0,0,0,90200,0,0,0,0,0,1,0,0,0,'Buff',1579200072,1384377826,0,1),
(90205,4177765007,0,1,'Unholy Strength VI','Increases the stamina and spell damage of all the Shadowknight''s allies.',267,5,314,2741805322,3587918036,420,1,2,'Your Unholy Strength VI was successful on %t!','Your Unholy Strength VI fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/UnholyStrength.lua',1788,'You cast Unholy Strength VI on %t.',0,1,0,1,1,1,0,0,0,90200,0,0,0,0,0,1,0,0,0,'Buff',1579200108,1384378111,0,1),
(90206,374412398,0,1,'Unholy Strength VII','Increases the stamina and spell damage of all the Shadowknight''s allies.',267,5,314,2741805322,3587918036,470,1,2,'Your Unholy Strength VII was successful on %t!','Your Unholy Strength VII fades.','',1,1,'Spells/Fighter/Crusader/Shadowknight/UnholyStrength.lua',1788,'You cast Unholy Strength VII on %t.',0,0,0,0,1,1,0,0,0,90200,0,0,0,0,0,1,0,0,0,'Buff',1579200142,1384378111,0,1),
(100000,1087868660,1,0,'Cry of Conviction','Does instant divine damage to nearby enemies surrounding the paladin. This spell has a chance to stun anyone it damages.',471,5,313,3809066846,613995491,70,0,1,'Your Ancient Wrath was successful on %t!','Your Ancient Wrath fades.','',0,1,'Spells/Fighter/Crusader/Paladin/AncientWrath.lua',1824,'You cast Ancient Wrath on %t.',1,0,0,1,0,0,2,4,0,100000,0,0,0,0,0,0,0,0,0,'DD',1579059356,1384377826,0,0),
(100001,38970503,1,0,'Unyielding Conviction','Does instant divine damage to nearby enemies surrounding the paladin. This spell has a chance to stun anyone it damages.',471,5,313,90523872,613995491,140,0,1,'Your Ancient Wrath II was successful on %t!','Your Ancient Wrath II fades.','',0,1,'Spells/Fighter/Crusader/Paladin/UnyieldingConviction.lua',1824,'You cast Ancient Wrath II on %t.',1,0,0,1,0,1,2,4,0,100000,0,0,0,0,0,0,0,0,0,'DD',1579059451,1384377826,0,0),
(100002,297210006,1,0,'Ancient Wrath','Does instant divine damage to nearby enemies surrounding the paladin. This spell has a chance to stun anyone it damages.',471,5,313,90523872,613995491,210,0,1,'Your Ancient Wrath III was successful on %t!','Your Ancient Wrath III fades.','',0,1,'Spells/Fighter/Crusader/Paladin/AncientWrath.lua',1824,'You cast Ancient Wrath III on %t.',1,0,0,1,0,1,2,4,0,100000,0,0,0,0,0,1,0,0,0,'DD',1579059551,1384378111,0,0),
(100003,1989978088,1,0,'Unflinching Conviction','Does instant divine damage to nearby enemies surrounding the paladin. This spell has a chance to stun anyone it damages.',471,5,313,90523872,613995491,280,0,1,'Your Ancient Wrath IV was successful on %t!','Your Ancient Wrath IV fades.','',0,1,'Spells/Fighter/Crusader/Paladin/AncientWrath.lua',1824,'You cast Ancient Wrath IV on %t.',1,0,0,1,0,1,2,4,0,100000,0,0,0,0,0,1,0,0,0,'DD',1579059621,1384378112,0,0),
(100004,3113956869,1,0,'Relentless Conviction','Does instant divine damage to nearby enemies surrounding the paladin. This spell has a chance to stun anyone it damages.',471,5,313,90523872,613995491,350,0,1,'Your Ancient Wrath V was successful on %t!','Your Ancient Wrath V fades.','',0,1,'Spells/Fighter/Crusader/Paladin/AncientWrath.lua',1824,'You cast Ancient Wrath V on %t.',1,0,0,1,0,1,2,4,0,100000,0,0,0,0,0,1,0,0,0,'DD',1579059671,1384378111,0,0),
(100005,3185667091,1,0,'Circle of Conviction','Does instant divine damage to nearby enemies surrounding the paladin. This spell has a chance to stun anyone it damages.',471,5,313,90523872,613995491,400,0,1,'Your Ancient Wrath VI was successful on %t!','Your Ancient Wrath VI fades.','',0,1,'Spells/Fighter/Crusader/Paladin/AncientWrath.lua',1824,'You cast Ancient Wrath VI on %t.',1,0,0,1,0,1,2,4,0,100000,0,0,0,0,0,1,0,0,0,'DD',1579060429,1384377826,0,0),
(100006,2960909150,1,0,'Ancient Wrath VII','Does instant divine damage to nearby enemies surrounding the paladin. This spell has a chance to stun anyone it damages.',471,5,313,90523872,613995491,450,0,1,'Your Ancient Wrath VII was successful on %t!','Your Ancient Wrath VII fades.','',0,1,'Spells/Fighter/Crusader/Paladin/AncientWrath.lua',1824,'You cast Ancient Wrath VII on %t.',1,0,0,1,0,1,2,4,0,100000,0,0,0,0,0,1,0,0,0,'DD',1579060520,1384378111,0,0),
(100007,3936757443,1,0,'Ancient Wrath VIII','Does instant divine damage to nearby enemies surrounding the paladin. This spell has a chance to stun anyone it damages.',471,5,313,90523872,613995491,500,0,1,'Your Ancient Wrath VIII was successful on %t!','Your Ancient Wrath VIII fades.','',0,1,'Spells/Fighter/Crusader/Paladin/AncientWrath.lua',1824,'You cast Ancient Wrath VIII on %t.',1,0,0,0,0,0,2,4,0,100000,0,0,0,0,0,1,0,0,0,'DD',1579060581,1384378113,0,0),
(100008,2380399247,1,0,'Taunt','Increases the target''s hate towards the paladin, with increasing hate over time.',289,2,315,1408356869,723762198,5,0,1,'Your Clarion was successful on %t!','Your Clarion fades.','',0,1,'Spells/Fighter/Crusader/Paladin/Clarion.lua',1808,'You cast Clarion on %t.',1,0,0,1,0,0,2,0,0,100008,0,0,0,0,0,0,0,0,0,'Unset',1579049236,1384377874,0,0),
(100009,1198657754,1,0,'Incite','Increases the target''s hate towards the paladin, with increasing hate over time.',289,2,315,90523872,723762198,45,0,1,'Your Clarion II was successful on %t!','Your Clarion II fades.','',0,1,'Spells/Fighter/Crusader/Paladin/Clarion.lua',1808,'You cast Clarion II on %t.',1,0,0,1,0,0,2,0,0,100008,0,0,0,0,0,0,0,0,0,'Unset',1579049266,1384377878,0,0),
(100010,1368651888,1,0,'Inflame','Increases the target''s hate towards the paladin, with increasing hate over time.',289,2,315,3809066846,723762198,85,0,1,'Your Clarion III was successful on %t!','Your Clarion III fades.','',0,1,'Spells/Fighter/Crusader/Paladin/Clarion.lua',1808,'You cast Clarion III on %t.',1,0,0,1,0,0,2,0,0,100008,0,0,0,0,0,0,0,0,0,'Unset',1579049289,1384378111,0,0),
(100011,853939912,1,0,'Noble Tone','Increases the target''s hate towards the paladin, with increasing hate over time.',289,2,315,90523872,723762198,155,0,1,'Your Clarion IV was successful on %t!','Your Clarion IV fades.','',0,1,'Spells/Fighter/Crusader/Paladin/Clarion.lua',1808,'You cast Clarion IV on %t.',1,0,0,1,0,0,2,0,0,100008,0,0,0,0,0,1,0,0,0,'Unset',1579049314,1384378156,0,0),
(100012,1215960448,1,0,'Clarion IX','Increases the target''s hate towards the paladin, with increasing hate over time.',289,2,315,90523872,723762198,460,0,1,'Your Clarion IX was successful on %t!','Your Clarion IX fades.','',0,1,'Spells/Fighter/Crusader/Paladin/Clarion.lua',1808,'You cast Clarion IX on %t.',1,0,0,1,0,0,2,0,0,100008,0,0,0,0,0,1,0,0,0,'Unset',1579049466,1384378113,0,0),
(100013,2041401152,1,0,'Clarion Call','Increases the target''s hate towards the paladin, with increasing hate over time.',289,2,315,90523872,723762198,225,0,1,'Your Clarion V was successful on %t!','Your Clarion V fades.','',0,1,'Spells/Fighter/Crusader/Paladin/Clarion.lua',1808,'You cast Clarion V on %t.',1,0,0,1,0,0,2,0,0,100008,0,0,0,0,0,1,0,0,0,'Unset',1579049335,1384378111,0,0),
(100014,2054166929,1,0,'Clarion Cry','Increases the target''s hate towards the paladin, with increasing hate over time.',289,2,315,90523872,723762198,295,0,1,'Your Clarion VI was successful on %t!','Your Clarion VI fades.','',0,1,'Spells/Fighter/Crusader/Paladin/Clarion.lua',1808,'You cast Clarion VI on %t.',1,0,0,1,0,0,2,0,0,100008,0,0,0,0,0,1,0,0,0,'Unset',1579049345,1384378112,0,0),
(100015,1454581043,1,0,'Clarion','Increases the target''s hate towards the paladin, with increasing hate over time.',289,2,315,90523872,723762198,360,0,1,'Your Clarion VII was successful on %t!','Your Clarion VII fades.','',0,1,'Spells/Fighter/Crusader/Paladin/Clarion.lua',1808,'You cast Clarion VII on %t.',1,0,0,1,0,0,2,0,0,100008,0,0,0,0,0,1,0,0,0,'Unset',1579049406,1384378111,0,0),
(100016,2813886142,1,0,'Clarion VIII','Increases the target''s hate towards the paladin, with increasing hate over time.',289,2,315,90523872,723762198,410,0,1,'Your Clarion VIII was successful on %t!','Your Clarion VIII fades.','',0,1,'Spells/Fighter/Crusader/Paladin/Clarion.lua',1808,'You cast Clarion VIII on %t.',1,0,0,1,0,0,2,0,0,100008,0,0,0,0,0,1,0,0,0,'Unset',1579049437,1384377826,0,0),
(100017,2158643233,1,1,'Call of Inspiration','Blesses the weapons of the paladin''s group, granting them a chance to deal divine damage with each hit. Undead targets take twice as much damage.',184,5,314,90523872,0,45,1,2,'Your Divine Inspiration was successful on %t!','Your Divine Inspiration fades.','',0,1,'Spells/Fighter/Crusader/Paladin/DivineInspiration.lua',1814,'You cast Divine Inspiration on %t.',1,0,0,1,1,1,0,0,0,100017,0,0,0,0,0,0,0,0,0,'Unset',1579055262,1384378112,0,0),
(100018,3232040288,1,1,'Divine Inspiration','Blesses the weapons of the paladin''s group, granting them a chance to deal divine damage with each hit. Undead targets take twice as much damage.',184,5,314,90523872,0,115,1,2,'Your Divine Inspiration II was successful on %t!','Your Divine Inspiration II fades.','',0,1,'Spells/Fighter/Crusader/Paladin/DivineInspirationClassic.lua',1814,'You cast Divine Inspiration II on %t.',1,0,0,1,1,1,0,0,0,100017,0,0,0,0,0,0,0,0,0,'Unset',1579055293,1384378111,0,0),
(100019,1832907035,1,1,'Call to Glory','Blesses the weapons of the paladin''s group, granting them a chance to deal divine damage with each hit. Undead targets take twice as much damage.',184,5,314,90523872,0,185,1,2,'Your Divine Inspiration III was successful on %t!','Your Divine Inspiration III fades.','',0,1,'Spells/Fighter/Crusader/Paladin/DivineInspiration.lua',1814,'You cast Divine Inspiration III on %t.',1,0,0,1,1,1,0,0,0,100017,0,0,0,0,0,1,0,0,0,'Unset',1579055305,1384378112,0,0),
(100020,3855461265,1,1,'Call to Honor','Blesses the weapons of the paladin''s group, granting them a chance to deal divine damage with each hit. Undead targets take twice as much damage.',184,5,314,90523872,0,255,1,2,'Your Divine Inspiration IV was successful on %t!','Your Divine Inspiration IV fades.','',0,1,'Spells/Fighter/Crusader/Paladin/DivineInspiration.lua',1814,'You cast Divine Inspiration IV on %t.',1,0,0,1,1,1,0,0,0,100017,0,0,0,0,0,1,0,0,0,'Unset',1579055315,1384378111,0,0),
(100021,257601353,1,1,'Call to Duty','Blesses the weapons of the paladin''s group, granting them a chance to deal divine damage with each hit. Undead targets take twice as much damage.',184,5,314,90523872,0,325,1,2,'Your Divine Inspiration V was successful on %t!','Your Divine Inspiration V fades.','',0,1,'Spells/Fighter/Crusader/Paladin/DivineInspiration.lua',1814,'You cast Divine Inspiration V on %t.',1,0,0,1,1,1,0,0,0,100017,0,0,0,0,0,1,0,0,0,'Unset',1579055340,1384378113,0,0),
(100022,3112583451,1,1,'Call to Redemption','Blesses the weapons of the paladin''s group, granting them a chance to deal divine damage with each hit. Undead targets take twice as much damage.',184,5,314,90523872,0,380,1,2,'Your Divine Inspiration VI was successful on %t!','Your Divine Inspiration VI fades.','',0,1,'Spells/Fighter/Crusader/Paladin/DivineInspiration.lua',1814,'You cast Divine Inspiration VI on %t.',1,0,0,1,1,1,0,0,0,100017,0,0,0,0,0,1,0,0,0,'Unset',1579055348,1384378111,0,0),
(100023,706338164,1,1,'Divine Inspiration VII','Blesses the weapons of the paladin''s group, granting them a chance to deal divine damage with each hit. Undead targets take twice as much damage.',184,5,314,90523872,0,430,1,2,'Your Divine Inspiration VII was successful on %t!','Your Divine Inspiration VII fades.','',0,1,'Spells/Fighter/Crusader/Paladin/DivineInspiration.lua',1814,'You cast Divine Inspiration VII on %t.',1,0,0,1,1,1,0,0,0,100017,0,0,0,0,0,1,0,0,0,'Unset',1579055391,1384378112,0,0),
(100024,3049479914,1,1,'Divine Inspiration VIII','Blesses the weapons of the paladin''s group, granting them a chance to deal divine damage with each hit. Undead targets take twice as much damage.',184,5,314,90523872,0,480,1,2,'Your Divine Inspiration VIII was successful on %t!','Your Divine Inspiration VIII fades.','',0,1,'Spells/Fighter/Crusader/Paladin/DivineInspiration.lua',1814,'You cast Divine Inspiration VIII on %t.',1,0,0,0,1,1,0,0,0,100017,0,0,0,0,0,1,0,0,0,'Unset',1579055403,1384378111,0,0),
(100025,2815254283,1,0,'Faithful Swing','A melee attack that deals some damage and replenishes some of the paladin''s health.',302,0,315,3809066846,366253016,5,0,1,'Your Faith Strike was successful on %t!','Your Faith Strike fades.','',0,1,'Spells/Fighter/Crusader/Paladin/FaithStrike.lua',1807,'You cast Faith Strike on %t.',1,0,0,1,0,0,0,0,0,10019,0,0,0,0,0,0,0,0,0,'DD',1579049535,1384378112,0,0),
(100026,1605755881,1,0,'Faithful Strike','A melee attack that deals some damage and replenishes some of the paladin''s health.',302,0,315,90523872,366253016,30,0,1,'Your Faith Strike II was successful on %t!','Your Faith Strike II fades.','',0,1,'Spells/Fighter/Crusader/Paladin/FaithStrike.lua',1807,'You cast Faith Strike II on %t.',1,0,0,1,0,0,0,0,0,100025,0,0,0,0,0,0,0,0,0,'DD',1579049612,1384378111,0,0),
(100027,4176202827,1,0,'Blazing Faith','A melee attack that deals some damage and replenishes some of the paladin''s health.',302,0,315,90523872,366253016,145,0,1,'Your Faith Strike III was successful on %t!','Your Faith Strike III fades.','',0,1,'Spells/Fighter/Crusader/Paladin/BlazingFaith.lua',1807,'You cast Faith Strike III on %t.',1,0,0,1,0,0,0,0,0,100025,0,0,0,0,0,0,0,0,0,'DD',1579049695,1384378112,0,0),
(100028,4001565809,1,0,'Condemnation','A melee attack that deals some damage and replenishes some of the paladin''s health.',302,0,315,90523872,366253016,215,0,1,'Your Faith Strike IV was successful on %t!','Your Faith Strike IV fades.','',0,1,'Spells/Fighter/Crusader/Paladin/FaithStrike.lua',1807,'You cast Faith Strike IV on %t.',1,0,0,1,0,0,0,0,0,100025,0,0,0,0,0,1,0,0,0,'DD',1579049758,1384378111,0,0),
(100029,1839199736,1,0,'Righteous Condemnation','A melee attack that deals some damage and replenishes some of the paladin''s health.',302,0,315,90523872,366253016,285,0,1,'Your Faith Strike V was successful on %t!','Your Faith Strike V fades.','',0,1,'Spells/Fighter/Crusader/Paladin/FaithStrike.lua',1807,'You cast Faith Strike V on %t.',1,0,0,1,0,0,0,0,0,100025,0,0,0,0,0,1,0,0,0,'DD',1579049780,1384378112,0,0),
(100030,4282207478,1,0,'Faith Strike','A melee attack that deals some damage and replenishes some of the paladin''s health.',302,0,315,90523872,366253016,355,0,1,'Your Faith Strike VI was successful on %t!','Your Faith Strike VI fades.','',0,1,'Spells/Fighter/Crusader/Paladin/FaithStrike.lua',1807,'You cast Faith Strike VI on %t.',1,0,0,1,0,0,0,0,0,100025,0,0,0,0,0,1,0,0,0,'DD',1579049908,1384378111,0,0),
(100031,2880802667,1,0,'Faith Strike VII','A melee attack that deals some damage and replenishes some of the paladin''s health.',302,0,315,90523872,366253016,405,0,1,'Your Faith Strike VII was successful on %t!','Your Faith Strike VII fades.','',0,1,'Spells/Fighter/Crusader/Paladin/FaithStrike.lua',1807,'You cast Faith Strike VII on %t.',1,0,0,1,0,0,0,0,0,100025,0,0,0,0,0,1,0,0,0,'DD',1579049991,1384378156,0,0),
(100032,307123331,1,0,'Faith Strike VIII','A melee attack that deals some damage and replenishes some of the paladin''s health.',302,0,315,90523872,366253016,455,0,1,'Your Faith Strike VIII was successful on %t!','Your Faith Strike VIII fades.','',0,1,'Spells/Fighter/Crusader/Paladin/FaithStrike.lua',1807,'You cast Faith Strike VIII on %t.',1,0,0,1,0,0,0,0,0,100025,0,0,0,0,0,1,0,0,0,'DD',1579050027,1384377826,0,0),
(100033,2210262050,1,0,'Bash','An attack that knocks the enemy down, stuns them for a short duration, and increases their hate towards the Paladin.',297,3,315,90523872,0,65,0,1,'Your Heroic Dash was successful on %t!','Your Heroic Dash fades.','',0,1,'Spells/Fighter/Crusader/Paladin/HeroicDash.lua',1821,'You cast Heroic Dash on %t.',1,0,0,1,0,0,0,4,0,100033,0,0,0,0,0,0,0,0,0,'DD',1579058640,1384378111,0,0),
(100034,4176709842,1,0,'Blinding Bash','An attack that knocks the enemy down, stuns them for a short duration, and increases their hate towards the Paladin.',297,3,315,90523872,0,135,0,1,'Your Heroic Dash II was successful on %t!','Your Heroic Dash II fades.','',0,1,'Spells/Fighter/Crusader/Paladin/BlindingBash.lua',1821,'You cast Heroic Dash II on %t.',1,0,0,1,0,0,0,4,0,100033,0,0,0,0,0,0,0,0,0,'DD',1579058750,1384378111,0,0),
(100035,487334394,1,0,'Courageous Dash','An attack that knocks the enemy down, stuns them for a short duration, and increases their hate towards the Paladin.',297,3,315,90523872,0,205,0,1,'Your Heroic Dash III was successful on %t!','Your Heroic Dash III fades.','',0,1,'Spells/Fighter/Crusader/Paladin/HeroicDash.lua',1821,'You cast Heroic Dash III on %t.',1,0,0,1,0,0,0,4,0,100033,0,0,0,0,0,1,0,0,0,'DD',1579058842,1384378111,0,0),
(100036,2743299161,1,0,'Righteous Dash','An attack that knocks the enemy down, stuns them for a short duration, and increases their hate towards the Paladin.',297,3,315,90523872,0,275,0,1,'Your Heroic Dash IV was successful on %t!','Your Heroic Dash IV fades.','',0,1,'Spells/Fighter/Crusader/Paladin/HeroicDash.lua',1821,'You cast Heroic Dash IV on %t.',1,0,0,1,0,0,0,4,0,100033,0,0,0,0,0,1,0,0,0,'DD',1579058881,1384378112,0,0),
(100037,1953838055,1,0,'Valorous Dash','An attack that knocks the enemy down, stuns them for a short duration, and increases their hate towards the Paladin.',297,3,315,90523872,0,345,0,1,'Your Heroic Dash V was successful on %t!','Your Heroic Dash V fades.','',0,1,'Spells/Fighter/Crusader/Paladin/HeroicDash.lua',1821,'You cast Heroic Dash V on %t.',1,0,0,1,0,0,0,4,0,100033,0,0,0,0,0,1,0,0,0,'DD',1579059089,1384377826,0,0),
(100038,2321531084,1,0,'Heroic Dash','An attack that knocks the enemy down, stuns them for a short duration, and increases their hate towards the Paladin.',297,3,315,90523872,0,395,0,1,'Your Heroic Dash VI was successful on %t!','Your Heroic Dash VI fades.','',0,1,'Spells/Fighter/Crusader/Paladin/HeroicDash.lua',1821,'You cast Heroic Dash VI on %t.',1,0,0,1,0,0,0,4,0,100033,0,0,0,0,0,1,0,0,0,'DD',1579059158,1384378113,0,0),
(100039,3704321082,1,0,'Heroic Dash VII','An attack that knocks the enemy down, stuns them for a short duration, and increases their hate towards the Paladin.',297,3,315,90523872,0,445,0,1,'Your Heroic Dash VII was successful on %t!','Your Heroic Dash VII fades.','',0,1,'Spells/Fighter/Crusader/Paladin/HeroicDash.lua',1821,'You cast Heroic Dash VII on %t.',1,0,0,1,0,0,0,4,0,100033,0,0,0,0,0,1,0,0,0,'DD',1579059195,1384378111,0,0),
(100040,1103402316,1,0,'Heroic Dash VIII','An attack that knocks the enemy down, stuns them for a short duration, and increases their hate towards the Paladin.',297,3,315,90523872,0,495,0,1,'Your Heroic Dash VIII was successful on %t!','Your Heroic Dash VIII fades.','',0,1,'Spells/Fighter/Crusader/Paladin/HeroicDash.lua',1821,'You cast Heroic Dash VIII on %t.',1,0,0,0,0,0,0,4,0,100033,0,0,0,0,0,1,0,0,0,'DD',1579059298,1384378112,0,0),
(100041,30728669,1,0,'Divine Circle','A melee attack that strikes nearby enemies surrounding the paladin, and replenishes some health of nearby group members.',343,3,313,90523872,0,35,0,1,'Your Holy Circle was successful on %t!','Your Holy Circle fades.','',0,1,'Spells/Fighter/Crusader/Paladin/HolyCircle.lua',1812,'You cast Holy Circle on %t.',1,0,0,1,0,0,0,0,0,100041,0,0,0,0,0,0,0,0,0,'DD',1579052862,1384378112,0,0),
(100042,1361223033,1,0,'Divine Wrath','A melee attack that strikes nearby enemies surrounding the paladin, and replenishes some health of nearby group members.',343,3,313,90523872,0,105,0,1,'Your Holy Circle II was successful on %t!','Your Holy Circle II fades.','',0,1,'Spells/Fighter/Crusader/Paladin/DivineWrath.lua',1812,'You cast Holy Circle II on %t.',1,0,0,1,0,0,0,0,0,100041,0,0,0,0,0,0,0,0,0,'DD',1579052910,1384378111,0,0),
(100043,3536705278,1,0,'Flatedge Twirl','A melee attack that strikes nearby enemies surrounding the paladin, and replenishes some health of nearby group members.',343,3,313,90523872,0,175,0,1,'Your Holy Circle III was successful on %t!','Your Holy Circle III fades.','',0,1,'Spells/Fighter/Crusader/Paladin/HolyCircle.lua',1812,'You cast Holy Circle III on %t.',1,0,0,1,0,0,0,0,0,100041,0,0,0,0,0,1,0,0,0,'DD',1579052989,1384378112,0,0),
(100044,662369361,1,0,'Holy Symbol','A melee attack that strikes nearby enemies surrounding the paladin, and replenishes some health of nearby group members.',343,3,313,90523872,0,245,0,1,'Your Holy Circle IV was successful on %t!','Your Holy Circle IV fades.','',0,1,'Spells/Fighter/Crusader/Paladin/HolyCircle.lua',1812,'You cast Holy Circle IV on %t.',1,0,0,1,0,0,0,0,0,100041,0,0,0,0,0,1,0,0,0,'DD',1579053016,1384378111,0,0),
(100045,3291743578,1,0,'Holy Circle','A melee attack that strikes nearby enemies surrounding the paladin, and replenishes some health of nearby group members.',343,3,313,90523872,0,315,0,1,'Your Holy Circle V was successful on %t!','Your Holy Circle V fades.','',0,1,'Spells/Fighter/Crusader/Paladin/HolyCircle.lua',1812,'You cast Holy Circle V on %t.',1,0,0,1,0,0,0,0,0,100041,0,0,0,0,0,1,0,0,0,'DD',1579053126,1384378113,0,0),
(100046,2657107701,1,0,'Circular Smite','A melee attack that strikes nearby enemies surrounding the paladin, and replenishes some health of nearby group members.',343,3,313,90523872,0,375,0,1,'Your Holy Circle VI was successful on %t!','Your Holy Circle VI fades.','',0,1,'Spells/Fighter/Crusader/Paladin/HolyCircle.lua',1812,'You cast Holy Circle VI on %t.',1,0,0,1,0,0,0,0,0,100041,0,0,0,0,0,1,0,0,0,'DD',1579053185,1384378111,0,0),
(100047,2940899079,1,0,'Holy Circle VII','A melee attack that strikes nearby enemies surrounding the paladin, and replenishes some health of nearby group members.',343,3,313,90523872,0,425,0,1,'Your Holy Circle VII was successful on %t!','Your Holy Circle VII fades.','',0,1,'Spells/Fighter/Crusader/Paladin/HolyCircle.lua',1812,'You cast Holy Circle VII on %t.',1,0,0,1,0,0,0,0,0,100041,0,0,0,0,0,1,0,0,0,'DD',1579053215,1384378112,0,0),
(100048,843411057,1,0,'Holy Circle VIII','A melee attack that strikes nearby enemies surrounding the paladin, and replenishes some health of nearby group members.',343,3,313,90523872,0,475,0,1,'Your Holy Circle VIII was successful on %t!','Your Holy Circle VIII fades.','',0,1,'Spells/Fighter/Crusader/Paladin/HolyCircle.lua',1812,'You cast Holy Circle VIII on %t.',1,0,0,0,0,0,0,0,0,100041,0,0,0,0,0,1,0,0,0,'DD',1579053301,1384378111,0,0),
(100049,2498200718,1,0,'Oath Strike','A melee attack that deals divine damage and additional divine damage over time.',213,0,315,90523872,0,140,0,1,'Your Holy Strike was successful on %t!','Your Holy Strike fades.','',0,1,'Spells/Fighter/Crusader/Paladin/OathStrike.lua',1831,'You cast Holy Strike on %t.',1,0,0,1,0,1,2,0,0,100049,0,0,0,0,0,0,0,0,0,'DoT',1579063169,1384378111,0,0),
(100050,15770995,1,0,'Sworn Strike','A melee attack that deals divine damage and additional divine damage over time.',213,0,315,90523872,0,210,0,1,'Your Holy Strike II was successful on %t!','Your Holy Strike II fades.','',0,1,'Spells/Fighter/Crusader/Paladin/HolyStrike.lua',1831,'You cast Holy Strike II on %t.',1,0,0,1,0,1,2,0,0,100049,0,0,0,0,0,1,0,0,0,'DoT',1579063307,1384378111,0,0),
(100051,2126606550,1,0,'Zealous Strike','A melee attack that deals divine damage and additional divine damage over time.',213,0,315,90523872,0,280,0,1,'Your Holy Strike III was successful on %t!','Your Holy Strike III fades.','',0,1,'Spells/Fighter/Crusader/Paladin/HolyStrike.lua',1831,'You cast Holy Strike III on %t.',1,0,0,1,0,1,2,0,0,100049,0,0,0,0,0,1,0,0,0,'DoT',1579063367,1384378112,0,0),
(100052,684491988,1,0,'Devout Strike','A melee attack that deals divine damage and additional divine damage over time.',213,0,315,90523872,0,350,0,1,'Your Holy Strike IV was successful on %t!','Your Holy Strike IV fades.','',0,1,'Spells/Fighter/Crusader/Paladin/HolyStrike.lua',1831,'You cast Holy Strike IV on %t.',1,0,0,1,0,1,2,0,0,100049,0,0,0,0,0,1,0,0,0,'DoT',1579063487,1384378111,0,0),
(100053,1796570797,1,0,'Holy Strike','A melee attack that deals divine damage and additional divine damage over time.',213,0,315,90523872,0,400,0,1,'Your Holy Strike V was successful on %t!','Your Holy Strike V fades.','',0,1,'Spells/Fighter/Crusader/Paladin/HolyStrike.lua',1831,'You cast Holy Strike V on %t.',1,0,0,1,0,1,2,0,0,100049,0,0,0,0,0,1,0,0,0,'DoT',1579063555,1384378112,0,0),
(100054,4128939995,1,0,'Holy Strike VI','A melee attack that deals divine damage and additional divine damage over time.',213,0,315,90523872,0,450,0,1,'Your Holy Strike VI was successful on %t!','Your Holy Strike VI fades.','',0,1,'Spells/Fighter/Crusader/Paladin/HolyStrike.lua',1831,'You cast Holy Strike VI on %t.',1,0,0,1,0,1,2,0,0,100049,0,0,0,0,0,1,0,0,0,'DoT',1579063616,1384378111,0,0),
(100055,3786914675,1,0,'Holy Strike VII','A melee attack that deals divine damage and additional divine damage over time.',213,0,315,90523872,0,500,0,1,'Your Holy Strike VII was successful on %t!','Your Holy Strike VII fades.','',0,1,'Spells/Fighter/Crusader/Paladin/HolyStrike.lua',1831,'You cast Holy Strike VII on %t.',1,0,0,0,0,0,2,0,0,100049,0,0,0,0,0,1,0,0,0,'DoT',1579063699,1384378113,0,0),
(100056,2450468426,1,1,'Knight''s Defense','Greatly increases defense, aggression, base avoidance, stamina, physical, and arcane damage mitigation at the cost of offensive melee skills. This is the paladin''s primary defensive stance.',183,5,317,90523872,0,20,1,0,'Your Knight''s Stance was successful on %t!','Your Knight''s Stance fades.','',0,1,'Spells/Fighter/Crusader/Paladin/KnightsStance.lua',1841,'You cast Knight''s Stance on %t.',1,0,0,1,1,0,0,0,0,100056,0,0,0,0,0,0,0,0,0,'Unset',1579051308,1384378113,0,0),
(100057,1309519836,1,1,'Knight''s Stance','Greatly increases defense, aggression, base avoidance, stamina, physical, and arcane damage mitigation at the cost of offensive melee skills. This is the paladin''s primary defensive stance.',183,5,317,3809066846,0,80,1,0,'Your Knight''s Stance II was successful on %t!','Your Knight''s Stance II fades.','',0,1,'Spells/Fighter/Crusader/Paladin/KnightsStance.lua',1841,'You cast Knight''s Stance II on %t.',1,0,0,1,1,0,0,0,0,100056,0,0,0,0,0,0,0,0,0,'Unset',1579051343,1384377826,0,0),
(100058,3482018598,1,1,'Shining Beacon','Greatly increases defense, aggression, base avoidance, stamina, physical, and arcane damage mitigation at the cost of offensive melee skills. This is the paladin''s primary defensive stance.',183,5,317,90523872,0,150,1,0,'Your Knight''s Stance III was successful on %t!','Your Knight''s Stance III fades.','',0,1,'Spells/Fighter/Crusader/Paladin/ShiningBeacon.lua',1841,'You cast Knight''s Stance III on %t.',1,0,0,1,1,1,0,0,0,100056,0,0,0,0,0,0,0,0,0,'Unset',1579051360,1384378112,0,0),
(100059,2097846574,1,1,'Benediction','Greatly increases defense, aggression, base avoidance, stamina, physical, and arcane damage mitigation at the cost of offensive melee skills. This is the paladin''s primary defensive stance.',183,5,317,90523872,0,220,1,0,'Your Knight''s Stance IV was successful on %t!','Your Knight''s Stance IV fades.','',0,1,'Spells/Fighter/Crusader/Paladin/KnightsStance.lua',1841,'You cast Knight''s Stance IV on %t.',1,0,0,1,1,1,0,0,0,100056,0,0,0,0,0,1,0,0,0,'Unset',1579051371,1384378111,0,0),
(100060,3813495520,1,1,'Faithful Benediction','Greatly increases defense, aggression, base avoidance, stamina, physical, and arcane damage mitigation at the cost of offensive melee skills. This is the paladin''s primary defensive stance.',183,5,317,90523872,0,290,1,0,'Your Knight''s Stance V was successful on %t!','Your Knight''s Stance V fades.','',0,1,'Spells/Fighter/Crusader/Paladin/KnightsStance.lua',1841,'You cast Knight''s Stance V on %t.',1,0,0,1,1,1,0,0,0,100056,0,0,0,0,0,1,0,0,0,'Unset',1579051386,1384378112,0,0),
(100061,3124445091,1,1,'Stance of Bayle','Greatly increases defense, aggression, base avoidance, stamina, physical, and arcane damage mitigation at the cost of offensive melee skills. This is the paladin''s primary defensive stance.',183,5,317,90523872,0,360,1,0,'Your Knight''s Stance VI was successful on %t!','Your Knight''s Stance VI fades.','',0,1,'Spells/Fighter/Crusader/Paladin/KnightsStance.lua',1841,'You cast Knight''s Stance VI on %t.',1,0,0,1,1,1,0,0,0,100056,0,0,0,0,0,1,0,0,0,'Unset',1579051403,1384378111,0,0),
(100062,4220151686,1,1,'Knight''s Stance VII','Greatly increases defense, aggression, base avoidance, stamina, physical, and arcane damage mitigation at the cost of offensive melee skills. This is the paladin''s primary defensive stance.',183,5,317,90523872,0,410,1,0,'Your Knight''s Stance VII was successful on %t!','Your Knight''s Stance VII fades.','',0,1,'Spells/Fighter/Crusader/Paladin/KnightsStance.lua',1841,'You cast Knight''s Stance VII on %t.',1,0,0,1,1,1,0,0,0,100056,0,0,0,0,0,1,0,0,0,'Unset',1579051412,1384377826,0,0),
(100063,2083302597,1,1,'Knight''s Stance VIII','Greatly increases defense, aggression, base avoidance, stamina, physical, and arcane damage mitigation at the cost of offensive melee skills. This is the paladin''s primary defensive stance.',183,5,317,90523872,0,460,1,0,'Your Knight''s Stance VIII was successful on %t!','Your Knight''s Stance VIII fades.','',0,1,'Spells/Fighter/Crusader/Paladin/KnightsStance.lua',1841,'You cast Knight''s Stance VIII on %t.',1,0,0,1,1,1,0,0,0,100056,0,0,0,0,0,1,0,0,0,'Unset',1579051554,1384378113,0,0),
(100064,2336047368,1,0,'Kick','A melee attack that deals divine damage and knocks the target down.',512,4,315,1408356869,0,25,0,1,'Your Penitent Kick was successful on %t!','Your Penitent Kick fades.','',0,1,'Spells/Fighter/Crusader/Paladin/PenitentKick.lua',1811,'You cast Penitent Kick on %t.',1,0,0,1,0,0,0,0,0,100064,0,0,0,0,0,0,0,0,0,'DD',1579052045,1384377826,0,0),
(100065,2772899799,1,0,'Charge','A melee attack that deals divine damage and knocks the target down.',512,4,315,3809066846,0,95,0,1,'Your Penitent Kick II was successful on %t!','Your Penitent Kick II fades.','',0,1,'Spells/Fighter/Crusader/Paladin/PenitentKick.lua',1811,'You cast Penitent Kick II on %t.',1,0,0,1,0,0,0,0,0,100064,0,0,0,0,0,0,0,0,0,'DD',1579052092,1384377826,0,0),
(100066,2005650222,1,0,'Vengeance','A melee attack that deals divine damage and knocks the target down.',512,4,315,90523872,0,165,0,1,'Your Penitent Kick III was successful on %t!','Your Penitent Kick III fades.','',0,1,'Spells/Fighter/Crusader/Paladin/PenitentKick.lua',1811,'You cast Penitent Kick III on %t.',1,0,0,1,0,0,0,0,0,100064,0,0,0,0,0,1,0,0,0,'DD',1579052199,1384378112,0,0),
(100067,3436958625,1,0,'Blessed Rush','A melee attack that deals divine damage and knocks the target down.',512,4,315,90523872,0,235,0,1,'Your Penitent Kick IV was successful on %t!','Your Penitent Kick IV fades.','',0,1,'Spells/Fighter/Crusader/Paladin/PenitentKick.lua',1811,'You cast Penitent Kick IV on %t.',1,0,0,1,0,0,0,0,0,100064,0,0,0,0,0,1,0,0,0,'DD',1579052308,1384378111,0,0),
(100068,2571098904,1,0,'Backlash','A melee attack that deals divine damage and knocks the target down.',512,4,315,90523872,0,305,0,1,'Your Penitent Kick V was successful on %t!','Your Penitent Kick V fades.','',0,1,'Spells/Fighter/Crusader/Paladin/PenitentKick.lua',1811,'You cast Penitent Kick V on %t.',1,0,0,1,0,0,0,0,0,100064,0,0,0,0,0,1,0,0,0,'DD',1579052480,1384378113,0,0),
(100069,3477037717,1,0,'Pentitent Kick','A melee attack that deals divine damage and knocks the target down.',512,4,315,90523872,0,370,0,1,'Your Penitent Kick VI was successful on %t!','Your Penitent Kick VI fades.','',0,1,'Spells/Fighter/Crusader/Paladin/PenitentKick.lua',1811,'You cast Penitent Kick VI on %t.',1,0,0,1,0,0,0,0,0,100064,0,0,0,0,0,1,0,0,0,'DD',1579052595,1384378111,0,0),
(100070,1104479663,1,0,'Penitent Kick VII','A melee attack that deals divine damage and knocks the target down.',512,4,315,90523872,0,420,0,1,'Your Penitent Kick VII was successful on %t!','Your Penitent Kick VII fades.','',0,1,'Spells/Fighter/Crusader/Paladin/PenitentKick.lua',1811,'You cast Penitent Kick VII on %t.',1,0,0,1,0,0,0,0,0,100064,0,0,0,0,0,1,0,0,0,'DD',1579052673,1384378112,0,0),
(100071,4022178878,1,0,'Penitent Kick VIII','A melee attack that deals divine damage and knocks the target down.',512,4,315,90523872,0,470,0,1,'Your Penitent Kick VIII was successful on %t!','Your Penitent Kick VIII fades.','',0,1,'Spells/Fighter/Crusader/Paladin/PenitentKick.lua',1811,'You cast Penitent Kick VIII on %t.',1,0,0,1,0,0,0,0,0,100064,0,0,0,0,0,1,0,0,0,'DD',1579052714,1384377826,0,0),
(100072,1969763029,1,0,'Power Cleave','A powerful melee attack that strikes for divine damage.',470,0,315,3809066846,613995491,75,0,1,'Your Power Cleave was successful on %t!','Your Power Cleave fades.','',0,1,'Spells/Fighter/Crusader/Paladin/PowerCleave.lua',1823,'You cast Power Cleave on %t.',1,0,0,1,0,0,0,0,0,100072,0,0,0,0,0,0,0,0,0,'DD',1579060696,1384377826,0,0),
(100073,210785363,1,0,'Holy Sunder','A powerful melee attack that strikes for divine damage.',470,0,315,90523872,613995491,145,0,1,'Your Power Cleave II was successful on %t!','Your Power Cleave II fades.','',0,1,'Spells/Fighter/Crusader/Paladin/HolySunder.lua',1823,'You cast Power Cleave II on %t.',1,0,0,1,0,0,0,0,0,100072,0,0,0,0,0,0,0,0,0,'DD',1579060763,1384378112,0,0),
(100074,2468427318,1,0,'Judgement Strike','A powerful melee attack that strikes for divine damage.',470,0,315,90523872,613995491,215,0,1,'Your Power Cleave III was successful on %t!','Your Power Cleave III fades.','',0,1,'Spells/Fighter/Crusader/Paladin/PowerCleave.lua',1823,'You cast Power Cleave III on %t.',1,0,0,1,0,0,0,0,0,100072,0,0,0,0,0,1,0,0,0,'DD',1579060821,1384378111,0,0),
(100075,2637532226,1,0,'Chastising Strike','A powerful melee attack that strikes for divine damage.',470,0,315,90523872,613995491,285,0,1,'Your Power Cleave IV was successful on %t!','Your Power Cleave IV fades.','',0,1,'Spells/Fighter/Crusader/Paladin/PowerCleave.lua',1823,'You cast Power Cleave IV on %t.',1,0,0,1,0,0,0,0,0,100072,0,0,0,0,0,1,0,0,0,'DD',1579060963,1384378112,0,0),
(100076,2924135337,1,0,'Cleave Faith','A powerful melee attack that strikes for divine damage.',470,0,315,90523872,613995491,355,0,1,'Your Power Cleave V was successful on %t!','Your Power Cleave V fades.','',0,1,'Spells/Fighter/Crusader/Paladin/PowerCleave.lua',1823,'You cast Power Cleave V on %t.',1,0,0,1,0,0,0,0,0,100072,0,0,0,0,0,1,0,0,0,'DD',1579061000,1384378111,0,0),
(100077,448178849,1,0,'Power Cleave VI','A powerful melee attack that strikes for divine damage.',470,0,315,90523872,613995491,405,0,1,'Your Power Cleave VI was successful on %t!','Your Power Cleave VI fades.','',0,1,'Spells/Fighter/Crusader/Paladin/PowerCleave.lua',1823,'You cast Power Cleave VI on %t.',1,0,0,1,0,0,0,0,0,100072,0,0,0,0,0,1,0,0,0,'DD',1579061091,1384378112,0,0),
(100078,2739761481,1,0,'Power Cleave VII','A powerful melee attack that strikes for divine damage.',470,0,315,90523872,613995491,455,0,1,'Your Power Cleave VII was successful on %t!','Your Power Cleave VII fades.','',0,1,'Spells/Fighter/Crusader/Paladin/PowerCleave.lua',1823,'You cast Power Cleave VII on %t.',1,0,0,1,0,0,0,0,0,100072,0,0,0,0,0,1,0,0,0,'DD',1579061148,1384378111,0,0),
(100079,4071715749,1,1,'Ancient Pledge','Grants the paladin a chance to shield an ally from melee attacks, by allowing the target a chance to use the paladin''s avoidance check after their own avoidance check. This also increases the paladin''s defense skill.',468,5,316,3809066846,0,105,1,1,'Your Resolute Faith was successful on %t!','Your Resolute Faith fades.','',0,0,'Spells/Fighter/Crusader/Paladin/ResoluteFaith.lua',1824,'You cast Resolute Faith on %t.',1,1,0,1,1,1,0,0,0,100079,0,0,0,0,0,0,0,0,0,'Unset',1579062237,1384378111,0,0),
(100080,591564459,1,1,'Aegis of Hope','Grants the paladin a chance to shield an ally from melee attacks, by allowing the target a chance to use the paladin''s avoidance check after their own avoidance check. This also increases the paladin''s defense skill.',468,5,316,90523872,0,160,1,1,'Your Resolute Faith II was successful on %t!','Your Resolute Faith II fades.','',0,0,'Spells/Fighter/Crusader/Paladin/ResoluteFaith.lua',1824,'You cast Resolute Faith II on %t.',1,1,0,1,1,1,0,0,0,100079,0,0,0,0,0,0,0,0,0,'Unset',1579062329,1384378112,0,0),
(100081,2988348820,1,1,'Unwavering Faith','Grants the paladin a chance to shield an ally from melee attacks, by allowing the target a chance to use the paladin''s avoidance check after their own avoidance check. This also increases the paladin''s defense skill.',468,5,316,90523872,0,230,1,1,'Your Resolute Faith III was successful on %t!','Your Resolute Faith III fades.','',0,0,'Spells/Fighter/Crusader/Paladin/ResoluteFaith.lua',1824,'You cast Resolute Faith III on %t.',1,1,0,1,1,1,0,0,0,100079,0,0,0,0,0,0,0,0,0,'Unset',1579062375,1384378111,0,0),
(100082,1119521305,1,1,'Resolute Faith','Grants the paladin a chance to shield an ally from melee attacks, by allowing the target a chance to use the paladin''s avoidance check after their own avoidance check. This also increases the paladin''s defense skill.',468,5,316,90523872,0,300,1,1,'Your Resolute Faith IV was successful on %t!','Your Resolute Faith IV fades.','',0,0,'Spells/Fighter/Crusader/Paladin/ResoluteFaith.lua',1824,'You cast Resolute Faith IV on %t.',1,1,0,1,1,1,0,0,0,100079,0,0,0,0,0,0,0,0,0,'Unset',1579062419,1384378113,0,0),
(100083,189274325,1,0,'Blinding Rays','Increases the hate of all enemies in an encounter towards the paladin and decreases their arcane resistance.',235,2,312,90523872,723762198,40,0,2,'Your Righteousness was successful on %t!','Your Righteousness fades.','',0,1,'Spells/Fighter/Crusader/Paladin/Righteousness.lua',1818,'You cast Righteousness on %t.',1,0,0,1,0,1,4,0,0,100083,0,0,0,0,0,0,0,0,0,'Unset',1579053346,1384378112,0,0),
(100084,616543585,1,0,'Blinding Light','Increases the hate of all enemies in an encounter towards the paladin and decreases their arcane resistance.',235,2,312,90523872,723762198,110,0,2,'Your Righteousness II was successful on %t!','Your Righteousness II fades.','',0,1,'Spells/Fighter/Crusader/Paladin/BlindingLight.lua',1818,'You cast Righteousness II on %t.',1,0,0,1,0,1,4,0,0,100083,0,0,0,0,0,0,0,0,0,'Unset',1579053490,1384378111,0,0),
(100085,1596386025,1,0,'Smite Prayer','Increases the hate of all enemies in an encounter towards the paladin and decreases their arcane resistance.',235,2,312,90523872,723762198,180,0,2,'Your Righteousness III was successful on %t!','Your Righteousness III fades.','',0,1,'Spells/Fighter/Crusader/Paladin/Righteousness.lua',1818,'You cast Righteousness III on %t.',1,0,0,1,0,1,4,0,0,100083,0,0,0,0,0,1,0,0,0,'Unset',1579054393,1384378112,0,0),
(100086,3422031153,1,0,'Zealous Preaching','Increases the hate of all enemies in an encounter towards the paladin and decreases their arcane resistance.',235,2,312,90523872,723762198,250,0,2,'Your Righteousness IV was successful on %t!','Your Righteousness IV fades.','',0,1,'Spells/Fighter/Crusader/Paladin/Righteousness.lua',1818,'You cast Righteousness IV on %t.',1,0,0,1,0,1,4,0,0,100083,0,0,0,0,0,1,0,0,0,'Unset',1579054444,1384377826,0,0),
(100087,2667497264,1,0,'Righteousness','Increases the hate of all enemies in an encounter towards the paladin and decreases their arcane resistance.',235,2,312,90523872,723762198,320,0,2,'Your Righteousness V was successful on %t!','Your Righteousness V fades.','',0,1,'Spells/Fighter/Crusader/Paladin/Righteousness.lua',1818,'You cast Righteousness V on %t.',1,0,0,1,0,1,4,0,0,100083,0,0,0,0,0,1,0,0,0,'Unset',1579054553,1384378112,0,0),
(100088,2216499054,1,0,'Excoriation','Increases the hate of all enemies in an encounter towards the paladin and decreases their arcane resistance.',235,2,312,90523872,723762198,380,0,2,'Your Righteousness VI was successful on %t!','Your Righteousness VI fades.','',0,1,'Spells/Fighter/Crusader/Paladin/Righteousness.lua',1818,'You cast Righteousness VI on %t.',1,0,0,1,0,1,4,0,0,100083,0,0,0,0,0,1,0,0,0,'Unset',1579055026,1384378111,0,0),
(100089,385515530,1,0,'Righteousness VII','Increases the hate of all enemies in an encounter towards the paladin and decreases their arcane resistance.',235,2,312,90523872,723762198,430,0,2,'Your Righteousness VII was successful on %t!','Your Righteousness VII fades.','',0,1,'Spells/Fighter/Crusader/Paladin/Righteousness.lua',1818,'You cast Righteousness VII on %t.',1,0,0,1,0,1,4,0,0,100083,0,0,0,0,0,1,0,0,0,'Unset',1579055104,1384378112,0,0),
(100090,3096580507,1,0,'Righteousness VIII','Increases the hate of all enemies in an encounter towards the paladin and decreases their arcane resistance.',235,2,312,90523872,723762198,480,0,2,'Your Righteousness VIII was successful on %t!','Your Righteousness VIII fades.','',0,1,'Spells/Fighter/Crusader/Paladin/Righteousness.lua',1818,'You cast Righteousness VIII on %t.',1,0,0,0,0,1,4,0,0,100083,0,0,0,0,0,1,0,0,0,'Unset',1579055171,1384378111,0,0),
(100091,4009283778,1,0,'Sigil of Heroism','Siphons some of the hate generated towards enemies of the group to the paladin instead for a short duration.',489,2,314,90523872,723762198,260,0,2,'Your Sigil of Heroism was successful on %t!','Your Sigil of Heroism fades.','',0,1,'Spells/Fighter/Crusader/Paladin/SigilofHeroism.lua',1836,'You cast Sigil of Heroism on %t.',1,0,0,1,1,1,0,0,0,100091,0,0,0,0,0,0,0,0,0,'Unset',1579064551,1384377826,0,0),
(100092,2210521473,1,1,'Courageousness','Increases the paladin''s offensive melee skills, disruption and intelligence, at the cost of decreased defense skill. This is the paladin''s primary offensive stance.',243,5,317,90523872,366253016,20,1,0,'Your Wrath Stance was successful on %t!','Your Wrath Stance fades.','',0,1,'Spells/Fighter/Crusader/Paladin/WrathStance.lua',1809,'You cast Wrath Stance on %t.',1,0,0,1,1,0,0,0,0,100092,0,0,0,0,0,0,0,0,0,'Unset',1579051700,1384378113,0,0),
(100093,4118746968,1,1,'Courageous Wrath','Increases the paladin''s offensive melee skills, disruption and intelligence, at the cost of decreased defense skill. This is the paladin''s primary offensive stance.',243,5,317,90523872,366253016,80,1,0,'Your Wrath Stance II was successful on %t!','Your Wrath Stance II fades.','',0,1,'Spells/Fighter/Crusader/Paladin/WrathStance.lua',1809,'You cast Wrath Stance II on %t.',1,0,0,1,1,0,0,0,0,100092,0,0,0,0,0,0,0,0,0,'Unset',1579051721,1384378111,0,0),
(100094,652201722,1,1,'Unyielding Wrath','Increases the paladin''s offensive melee skills, disruption and intelligence, at the cost of decreased defense skill. This is the paladin''s primary offensive stance.',243,5,317,90523872,366253016,160,1,0,'Your Wrath Stance III was successful on %t!','Your Wrath Stance III fades.','',0,1,'Spells/Fighter/Crusader/Paladin/WrathStance.lua',1809,'You cast Wrath Stance III on %t.',1,0,0,1,1,1,0,0,0,100092,0,0,0,0,0,1,0,0,0,'Unset',1579051799,1384377826,0,0),
(100095,3410917071,1,1,'Relentless Wrath','Increases the paladin''s offensive melee skills, disruption and intelligence, at the cost of decreased defense skill. This is the paladin''s primary offensive stance.',243,5,317,90523872,366253016,230,1,0,'Your Wrath Stance IV was successful on %t!','Your Wrath Stance IV fades.','',0,1,'Spells/Fighter/Crusader/Paladin/WrathStance.lua',1809,'You cast Wrath Stance IV on %t.',1,0,0,1,1,1,0,0,0,100092,0,0,0,0,0,1,0,0,0,'Unset',1579051814,1384378111,0,0),
(100096,3720828390,1,1,'Wrath Stance','Increases the paladin''s offensive melee skills, disruption and intelligence, at the cost of decreased defense skill. This is the paladin''s primary offensive stance.',243,0,317,90523872,366253016,300,1,0,'Your Wrath Stance V was successful on %t!','Your Wrath Stance V fades.','',0,1,'Spells/Fighter/Crusader/Paladin/WrathStance.lua',1809,'You cast Wrath Stance V on %t.',1,0,0,1,1,1,0,0,0,100092,0,0,0,0,0,1,0,0,0,'Unset',1579051889,1384378113,0,0),
(100097,571977482,1,1,'Wrath Stance VI','Increases the paladin''s offensive melee skills, disruption and intelligence, at the cost of decreased defense skill. This is the paladin''s primary offensive stance.',243,5,317,90523872,366253016,365,1,0,'Your Wrath Stance VI was successful on %t!','Your Wrath Stance VI fades.','',0,1,'Spells/Fighter/Crusader/Paladin/WrathStance.lua',1809,'You cast Wrath Stance VI on %t.',1,0,0,1,1,1,0,0,0,100092,0,0,0,0,0,1,0,0,0,'Unset',1579051904,1384378111,0,0),
(100098,1990159511,1,1,'Wrath Stance VII','Increases the paladin''s offensive melee skills, disruption and intelligence, at the cost of decreased defense skill. This is the paladin''s primary offensive stance.',243,5,317,90523872,366253016,415,1,0,'Your Wrath Stance VII was successful on %t!','Your Wrath Stance VII fades.','',0,1,'Spells/Fighter/Crusader/Paladin/WrathStance.lua',1809,'You cast Wrath Stance VII on %t.',1,0,0,1,1,1,0,0,0,100092,0,0,0,0,0,1,0,0,0,'Unset',1579051933,1384377826,0,0),
(100099,3479484287,1,1,'Wrath Stance VIII','Increases the paladin''s offensive melee skills, disruption and intelligence, at the cost of decreased defense skill. This is the paladin''s primary offensive stance.',243,5,317,90523872,366253016,465,1,0,'Your Wrath Stance VIII was successful on %t!','Your Wrath Stance VIII fades.','',0,1,'Spells/Fighter/Crusader/Paladin/WrathStance.lua',1809,'You cast Wrath Stance VIII on %t.',1,0,0,0,1,0,0,0,0,100092,0,0,0,0,0,1,0,0,0,'Unset',1579051947,1384377826,0,0),
(100100,1127918058,0,1,'Redemption','Grants the target a redemptive aura. Whenever the target accrues hate, some of that hate is transferred to the paladin.',246,2,316,90523872,723762198,105,1,1,'Your Amends was successful on %t!','Your Amends fades.','',0,1,'Spells/Fighter/Crusader/Paladin/Amends.lua',0,'You cast Amends on %t.',0,0,0,1,1,1,0,0,0,100100,0,0,0,0,0,0,0,0,0,'Unset',1579062523,1384377826,0,1),
(100101,1055233082,0,1,'Atonement','Grants the target a redemptive aura. Whenever the target accrues hate, some of that hate is transferred to the paladin.',246,2,316,90523872,723762198,175,1,1,'Your Amends II was successful on %t!','Your Amends II fades.','',0,1,'Spells/Fighter/Crusader/Paladin/Amends.lua',0,'You cast Amends II on %t.',0,0,0,1,1,1,0,0,0,100100,0,0,0,0,0,1,0,0,0,'Unset',1579062551,1384378112,0,1),
(100102,3824506796,0,1,'Amends','Grants the target a redemptive aura. Whenever the target accrues hate, some of that hate is transferred to the paladin.',246,2,316,90523872,723762198,245,1,1,'Your Amends III was successful on %t!','Your Amends III fades.','',0,1,'Spells/Fighter/Crusader/Paladin/Amends.lua',0,'You cast Amends III on %t.',0,0,0,1,1,1,0,0,0,100100,0,0,0,0,0,1,0,0,0,'Unset',1579062599,1384378111,0,1),
(100103,838239806,0,1,'Blessed Weapon','Blesses the paladin''s weapon, granting it a chance to deal divine damage and stun the target. Undead targets take twice as much damage.',470,0,317,3809066846,3587918036,50,1,0,'Your Blessed Weapon was successful on %t!','Your Blessed Weapon fades.','',1,1,'Spells/Fighter/Crusader/Paladin/BlessedWeapon.lua',1817,'You cast Blessed Weapon on %t.',0,0,0,1,1,0,0,4,0,100103,0,0,0,0,0,0,0,0,0,'Unset',1579055457,1384378111,0,1),
(100104,2411230189,0,1,'Glorious Weapon','Blesses the paladin''s weapon, granting it a chance to deal divine damage and stun the target. Undead targets take twice as much damage.',470,0,317,90523872,3587918036,120,1,0,'Your Blessed Weapon II was successful on %t!','Your Blessed Weapon II fades.','',1,1,'Spells/Fighter/Crusader/Paladin/GloriousWeapon.lua',1817,'You cast Blessed Weapon II on %t.',0,0,0,1,1,1,0,4,0,100103,0,0,0,0,0,0,0,0,0,'Unset',1579055493,1384378111,0,1),
(100105,747998020,0,1,'Righteous Cause','Blesses the paladin''s weapon, granting it a chance to deal divine damage and stun the target. Undead targets take twice as much damage.',470,0,317,90523872,3587918036,190,1,0,'Your Blessed Weapon III was successful on %t!','Your Blessed Weapon III fades.','',1,1,'Spells/Fighter/Crusader/Paladin/BlessedWeapon.lua',1817,'You cast Blessed Weapon III on %t.',0,0,0,1,1,1,0,0,0,100103,0,0,0,0,0,1,0,0,0,'Unset',1579055517,1384378112,0,1),
(100106,2840303872,0,1,'Righteous Crusade','Blesses the paladin''s weapon, granting it a chance to deal divine damage and stun the target. Undead targets take twice as much damage.',470,0,317,90523872,3587918036,260,1,0,'Your Blessed Weapon IV was successful on %t!','Your Blessed Weapon IV fades.','',1,1,'Spells/Fighter/Crusader/Paladin/BlessedWeapon.lua',1817,'You cast Blessed Weapon IV on %t.',0,0,0,1,1,1,0,4,0,100103,0,0,0,0,0,1,0,0,0,'Unset',1579055528,1384378111,0,1),
(100107,49705871,0,1,'Righteous Demonstration','Blesses the paladin''s weapon, granting it a chance to deal divine damage and stun the target. Undead targets take twice as much damage.',470,0,317,90523872,3587918036,330,1,0,'Your Blessed Weapon V was successful on %t!','Your Blessed Weapon V fades.','',1,1,'Spells/Fighter/Crusader/Paladin/BlessedWeapon.lua',1817,'You cast Blessed Weapon V on %t.',0,0,0,1,1,1,0,4,0,100103,0,0,0,0,0,1,0,0,0,'Unset',1579055549,1384378111,0,1),
(100108,2392163713,0,1,'Righteous Weapon','Blesses the paladin''s weapon, granting it a chance to deal divine damage and stun the target. Undead targets take twice as much damage.',470,0,317,90523872,3587918036,385,1,0,'Your Blessed Weapon VI was successful on %t!','Your Blessed Weapon VI fades.','',1,1,'Spells/Fighter/Crusader/Paladin/BlessedWeapon.lua',1817,'You cast Blessed Weapon VI on %t.',0,0,0,1,1,1,0,4,0,100103,0,0,0,0,0,1,0,0,0,'Unset',1579055561,1384377826,0,1),
(100109,2914646678,0,1,'Blessed Weapon VII','Blesses the paladin''s weapon, granting it a chance to deal divine damage and stun the target. Undead targets take twice as much damage.',470,0,317,90523872,3587918036,435,1,0,'Your Blessed Weapon VII was successful on %t!','Your Blessed Weapon VII fades.','',1,1,'Spells/Fighter/Crusader/Paladin/BlessedWeapon.lua',1817,'You cast Blessed Weapon VII on %t.',0,0,0,1,1,1,0,4,0,100103,0,0,0,0,0,1,0,0,0,'Unset',1579055576,1384378112,0,1),
(100110,706687445,0,1,'Blessed Weapon VIII','Blesses the paladin''s weapon, granting it a chance to deal divine damage and stun the target. Undead targets take twice as much damage.',470,0,317,90523872,3587918036,485,1,0,'Your Blessed Weapon VIII was successful on %t!','Your Blessed Weapon VIII fades.','',1,1,'Spells/Fighter/Crusader/Paladin/BlessedWeapon.lua',1817,'You cast Blessed Weapon VIII on %t.',0,0,0,0,1,0,0,4,0,100103,0,0,0,0,0,1,0,0,0,'Unset',1579055583,1384378112,0,1),
(100111,939738627,0,1,'Blessing of the Penitent','Increases the paladin''s stamina, spell resistance, and strength.',146,5,317,90523872,366253016,120,1,0,'Your Blessing of the Paladin was successful on %t!','Your Blessing of the Paladin fades.','',1,1,'Spells/Fighter/Crusader/Paladin/BlessingofthePenitent.lua',1829,'You cast Blessing of the Paladin on %t.',0,0,0,1,1,1,0,0,0,100111,0,0,0,0,0,0,0,0,0,'Unset',1579065389,1384377826,0,1),
(100112,418499665,0,1,'Blessing of the Devout','Increases the paladin''s stamina, spell resistance, and strength.',146,5,317,90523872,366253016,190,1,0,'Your Blessing of the Paladin II was successful on %t!','Your Blessing of the Paladin II fades.','',1,1,'Spells/Fighter/Crusader/Paladin/BlessingofthePaladin.lua',1829,'You cast Blessing of the Paladin II on %t.',0,0,0,1,1,1,0,0,0,100111,0,0,0,0,0,1,0,0,0,'Unset',1579065439,1384378112,0,1),
(100113,155943056,0,1,'Blessing fo the Celestial','Increases the paladin''s stamina, spell resistance, and strength.',146,5,317,90523872,366253016,260,1,0,'Your Blessing of the Paladin III was successful on %t!','Your Blessing of the Paladin III fades.','',1,1,'Spells/Fighter/Crusader/Paladin/BlessingofthePaladin.lua',1829,'You cast Blessing of the Paladin III on %t.',0,0,0,1,1,1,0,0,0,100111,0,0,0,0,0,1,0,0,0,'Unset',1579065453,1384378111,0,1),
(100114,4048866363,0,1,'Blessing of the Reverent','Increases the paladin''s stamina, spell resistance, and strength.',146,5,317,90523872,366253016,330,1,0,'Your Blessing of the Paladin IV was successful on %t!','Your Blessing of the Paladin IV fades.','',1,1,'Spells/Fighter/Crusader/Paladin/BlessingofthePaladin.lua',1829,'You cast Blessing of the Paladin IV on %t.',0,0,0,1,1,1,0,0,0,100111,0,0,0,0,0,1,0,0,0,'Unset',1579065417,1384378113,0,1),
(100115,3751449785,0,1,'Blessing of the Paladin','Increases the paladin''s stamina, spell resistance, and strength.',146,5,317,90523872,366253016,385,1,0,'Your Blessing of the Paladin V was successful on %t!','Your Blessing of the Paladin V fades.','',1,1,'Spells/Fighter/Crusader/Paladin/BlessingofthePaladin.lua',1827,'You cast Blessing of the Paladin V on %t.',0,0,0,1,1,1,0,0,0,100111,0,0,0,0,0,1,0,0,0,'Unset',1579065471,1384378111,0,1),
(100116,1383121443,0,1,'Blessing of the Paladin VI','Increases the paladin''s stamina, spell resistance, and strength.',146,5,317,90523872,366253016,435,1,0,'Your Blessing of the Paladin VI was successful on %t!','Your Blessing of the Paladin VI fades.','',1,1,'Spells/Fighter/Crusader/Paladin/BlessingofthePaladin.lua',1829,'You cast Blessing of the Paladin VI on %t.',0,0,0,1,1,1,0,0,0,100111,0,0,0,0,0,1,0,0,0,'Unset',1579065494,1384378112,0,1),
(100117,3043845300,0,1,'Blessing of the Paladin VII','Increases the paladin''s stamina, spell resistance, and strength.',146,5,317,90523872,366253016,485,1,0,'Your Blessing of the Paladin VII was successful on %t!','Your Blessing of the Paladin VII fades.','',1,1,'Spells/Fighter/Crusader/Paladin/BlessingofthePaladin.lua',1829,'You cast Blessing of the Paladin VII on %t.',0,0,0,0,1,0,0,0,0,100111,0,0,0,0,0,1,0,0,0,'Unset',1579065509,1384378112,0,1),
(100118,143623156,0,0,'Castigate','Cleanses most hostile spell and physical debuffs on the Paladin. Enemies surrounding the Paladin are struck by divine damage, and the amount of damage is increased for each hostile spell removed.',216,65535,313,90523872,613995491,325,0,0,'Your Castigate was successful on %t!','Your Castigate fades.','',1,1,'Spells/Fighter/Crusader/Paladin/Castigate.lua',1839,'You cast Castigate on %t.',0,0,0,1,1,0,0,0,0,100118,0,0,0,0,0,0,0,0,0,'Unset',1579064943,1384378113,0,1),
(100119,2671230455,0,0,'Castigation','Cleanses most hostile spell and physical debuffs on the Paladin. Enemies surrounding the Paladin are struck by divine damage, and the amount of damage is increased for each hostile spell removed.',216,65535,313,90523872,613995491,390,0,0,'Your Castigate II was successful on %t!','Your Castigate II fades.','',1,1,'Spells/Fighter/Crusader/Paladin/Castigate.lua',1839,'You cast Castigate II on %t.',0,0,0,1,1,0,0,0,0,100118,0,0,0,0,0,0,0,0,0,'Unset',1579064971,1384378113,0,1),
(100120,707403245,0,0,'Castigate III','Cleanses most hostile spell and physical debuffs on the Paladin. Enemies surrounding the Paladin are struck by divine damage, and the amount of damage is increased for each hostile spell removed.',216,65535,313,90523872,613995491,440,0,0,'Your Castigate III was successful on %t!','Your Castigate III fades.','',1,1,'Spells/Fighter/Crusader/Paladin/Castigate.lua',1839,'You cast Castigate III on %t.',0,0,0,1,1,0,0,0,0,100118,0,0,0,0,0,0,0,0,0,'Unset',1579064991,1384377826,0,1),
(100121,2978959746,0,0,'Castigate IV','Cleanses most hostile spell and physical debuffs on the Paladin. Enemies surrounding the Paladin are struck by divine damage, and the amount of damage is increased for each hostile spell removed.',216,65535,313,90523872,613995491,490,0,0,'Your Castigate IV was successful on %t!','Your Castigate IV fades.','',1,1,'Spells/Fighter/Crusader/Paladin/Castigate.lua',1839,'You cast Castigate IV on %t.',0,0,0,0,1,0,0,0,0,100118,0,0,0,0,0,0,0,0,0,'Unset',1579065005,1384378112,0,1),
(100122,3244829224,0,0,'Consecrate','An aura surrounds the paladin, continuously dealing divine damage to all nearby enemies until the spell expires.',224,65535,313,90523872,3587918036,275,0,0,'Your Consecrate was successful on %t!','Your Consecrate fades.','',1,1,'Spells/Fighter/Crusader/Paladin/Consecrate.lua',1837,'You cast Consecrate on %t.',0,0,0,1,1,1,0,0,0,100122,0,0,0,0,0,0,0,0,0,'Unset',1579064642,1384377826,0,1),
(100123,1991858893,0,0,'Consecration','An aura surrounds the paladin, continuously dealing divine damage to all nearby enemies until the spell expires.',224,65535,313,90523872,3587918036,370,0,0,'Your Consecrate II was successful on %t!','Your Consecrate II fades.','',1,1,'Spells/Fighter/Crusader/Paladin/Consecrate.lua',1837,'You cast Consecrate II on %t.',0,0,0,1,1,1,0,0,0,100122,0,0,0,0,0,0,0,0,0,'Unset',1579064699,1384377826,0,1),
(100124,2235724073,0,0,'Consecrate III','An aura surrounds the paladin, continuously dealing divine damage to all nearby enemies until the spell expires.',224,65535,313,90523872,3587918036,420,0,0,'Your Consecrate III was successful on %t!','Your Consecrate III fades.','',1,1,'Spells/Fighter/Crusader/Paladin/Consecrate.lua',1837,'You cast Consecrate III on %t.',0,0,0,1,1,1,0,0,0,100122,0,0,0,0,0,0,0,0,0,'Unset',1579064732,1384378112,0,1),
(100125,1490331820,0,0,'Consecrate IV','An aura surrounds the paladin, continuously dealing divine damage to all nearby enemies until the spell expires.',224,65535,313,90523872,3587918036,470,0,0,'Your Consecrate IV was successful on %t!','Your Consecrate IV fades.','',1,1,'Spells/Fighter/Crusader/Paladin/Consecrate.lua',1837,'You cast Consecrate IV on %t.',0,0,0,1,1,1,0,0,0,100122,0,0,0,0,0,0,0,0,0,'Unset',1579064769,1384378112,0,1),
(100126,455752294,0,1,'Vigor of Trust','Increases the wisdom, spell resistance, and healing of all the Paladin''s allies.',468,5,314,3809066846,3587918036,90,1,2,'Your Crusade was successful on %t!','Your Crusade fades.','',1,1,'Spells/Fighter/Crusader/Paladin/Crusade.lua',1825,'You cast Crusade on %t.',0,1,0,1,1,1,0,0,0,100126,0,0,0,0,0,0,0,0,0,'Unset',1579061285,1384377826,0,1),
(100127,3560652428,0,1,'Pious Belief','Increases the wisdom, spell resistance, and healing of all the Paladin''s allies.',468,5,314,90523872,3587918036,165,1,2,'Your Crusade II was successful on %t!','Your Crusade II fades.','',1,1,'Spells/Fighter/Crusader/Paladin/Crusade.lua',1825,'You cast Crusade II on %t.',0,1,0,1,1,1,0,0,0,100126,0,0,0,0,0,1,0,0,0,'Unset',1579061322,1384378112,0,1),
(100128,2569453384,0,1,'Crusade','Increases the wisdom, spell resistance, and healing of all the Paladin''s allies.',468,5,314,90523872,3587918036,235,1,2,'Your Crusade III was successful on %t!','Your Crusade III fades.','',1,1,'Spells/Fighter/Crusader/Paladin/Crusade.lua',1825,'You cast Crusade III on %t.',0,1,0,1,1,1,0,0,0,100126,0,0,0,0,0,1,0,0,0,'Unset',1579061402,1384378111,0,1),
(100129,3080420150,0,1,'Ardent Belief','Increases the wisdom, spell resistance, and healing of all the Paladin''s allies.',468,5,314,90523872,3587918036,305,1,2,'Your Crusade IV was successful on %t!','Your Crusade IV fades.','',1,1,'Spells/Fighter/Crusader/Paladin/Crusade.lua',1825,'You cast Crusade IV on %t.',0,1,0,1,1,1,0,0,0,100126,0,0,0,0,0,1,0,0,0,'Unset',1579061462,1384378113,0,1),
(100130,3902192794,0,1,'Bayle''s Leadership','Increases the wisdom, spell resistance, and healing of all the Paladin''s allies.',468,5,314,90523872,3587918036,365,1,2,'Your Crusade V was successful on %t!','Your Crusade V fades.','',1,1,'Spells/Fighter/Crusader/Paladin/Crusade.lua',1825,'You cast Crusade V on %t.',0,1,0,1,1,1,0,0,0,100126,0,0,0,0,0,1,0,0,0,'Unset',1579061517,1384378111,0,1),
(100131,3130483459,0,1,'Crusade VI','Increases the wisdom, spell resistance, and healing of all the Paladin''s allies.',468,5,314,90523872,3587918036,420,1,2,'Your Crusade VI was successful on %t!','Your Crusade VI fades.','',1,1,'Spells/Fighter/Crusader/Paladin/Crusade.lua',1825,'You cast Crusade VI on %t.',0,1,0,1,1,1,0,0,0,100126,0,0,0,0,0,1,0,0,0,'Unset',1579061575,1384377826,0,1),
(100132,1431636029,0,1,'Crusade VII','Increases the wisdom, spell resistance, and healing of all the Paladin''s allies.',468,5,314,90523872,3587918036,470,1,2,'Your Crusade VII was successful on %t!','Your Crusade VII fades.','',1,1,'Spells/Fighter/Crusader/Paladin/Crusade.lua',1825,'You cast Crusade VII on %t.',0,0,0,0,1,1,0,0,0,100126,0,0,0,0,0,1,0,0,0,'Unset',1579061621,1384378112,0,1),
(100133,3874820954,0,0,'Decree','Deals instant divine damage and interrupts the target and surrounding encounter members.',212,2,312,90523872,613995491,250,0,2,'Your Decree was successful on %t!','Your Decree fades.','',1,1,'Spells/Fighter/Crusader/Paladin/Decree.lua',1834,'You cast Decree on %t.',0,0,0,1,0,1,0,0,0,100133,0,0,0,0,0,1,0,0,0,'DD',1579063920,1384377826,0,1),
(100134,839545090,0,0,'Brimstone','Deals instant divine damage and interrupts the target and surrounding encounter members.',212,2,312,90523872,613995491,350,0,2,'Your Decree II was successful on %t!','Your Decree II fades.','',1,1,'Spells/Fighter/Crusader/Paladin/Decree.lua',1834,'You cast Decree II on %t.',0,0,0,1,0,1,0,0,0,100133,0,0,0,0,0,1,0,0,0,'DD',1579064076,1384378111,0,1),
(100135,2554521598,0,0,'Verdict','Deals instant divine damage and interrupts the target and surrounding encounter members.',212,2,312,90523872,613995491,400,0,2,'Your Decree III was successful on %t!','Your Decree III fades.','',1,1,'Spells/Fighter/Crusader/Paladin/Decree.lua',1834,'You cast Decree III on %t.',0,0,0,1,0,1,0,0,0,100133,0,0,0,0,0,1,0,0,0,'DD',1579064130,1384378112,0,1),
(100136,2088431844,0,0,'Decree IV','Deals instant divine damage and interrupts the target and surrounding encounter members.',212,2,312,90523872,613995491,450,0,2,'Your Decree IV was successful on %t!','Your Decree IV fades.','',1,1,'Spells/Fighter/Crusader/Paladin/Decree.lua',1834,'You cast Decree IV on %t.',0,0,0,1,0,1,0,0,0,100133,0,0,0,0,0,1,0,0,0,'DD',1579064206,1384377826,0,1),
(100137,1058745729,0,0,'Decree V','Deals instant divine damage and interrupts the target and surrounding encounter members.',212,2,312,90523872,613995491,500,0,2,'Your Decree V was successful on %t!','Your Decree V fades.','',1,1,'Spells/Fighter/Crusader/Paladin/Decree.lua',1834,'You cast Decree V on %t.',0,0,0,0,0,1,0,0,0,100133,0,0,0,0,0,1,0,0,0,'DD',1579064271,1384378113,0,1),
(100138,2029186056,0,0,'Demonstration of Faith','Wards the paladin''s target, preventing them from taking damage.',469,5,316,3809066846,366253016,60,0,1,'Your Demonstration of Faith was successful on %t!','Your Demonstration of Faith fades.','',1,1,'Spells/Fighter/Crusader/Paladin/DemonstrationofFaith.lua',1819,'You cast Demonstration of Faith on %t.',0,1,0,1,1,1,0,0,0,100138,0,0,0,0,0,0,0,0,0,'HoT-Ward',1579058192,1384377826,0,1),
(100139,4070937418,0,0,'Faith Zeal','Wards the paladin''s target, preventing them from taking damage.',469,5,316,90523872,366253016,130,0,1,'Your Demonstration of Faith II was successful on %t!','Your Demonstration of Faith II fades.','',1,1,'Spells/Fighter/Crusader/Paladin/FaithZeal.lua',1819,'You cast Demonstration of Faith II on %t.',0,1,0,1,1,1,0,0,0,100138,0,0,0,0,0,0,0,0,0,'HoT-Ward',1579058250,1384378111,0,1),
(100140,2868612197,0,0,'Display of Devotion','Wards the paladin''s target, preventing them from taking damage.',469,5,316,90523872,366253016,200,0,1,'Your Demonstration of Faith III was successful on %t!','Your Demonstration of Faith III fades.','',1,1,'Spells/Fighter/Crusader/Paladin/DemonstrationofFaith.lua',1819,'You cast Demonstration of Faith III on %t.',0,1,0,1,1,1,0,0,0,100138,0,0,0,0,0,1,0,0,0,'HoT-Ward',1579058321,1384378111,0,1),
(100141,1402585519,0,0,'Demonstration of Devotion','Wards the paladin''s target, preventing them from taking damage.',469,5,316,90523872,366253016,270,0,1,'Your Demonstration of Faith IV was successful on %t!','Your Demonstration of Faith IV fades.','',1,1,'Spells/Fighter/Crusader/Paladin/DemonstrationofFaith.lua',1819,'You cast Demonstration of Faith IV on %t.',0,1,0,1,1,1,0,0,0,100138,0,0,0,0,0,1,0,0,0,'HoT-Ward',1579058363,1384378111,0,1),
(100142,1698381326,0,0,'Devotion','Wards the paladin''s target, preventing them from taking damage.',469,5,316,90523872,366253016,340,0,1,'Your Demonstration of Faith V was successful on %t!','Your Demonstration of Faith V fades.','',1,1,'Spells/Fighter/Crusader/Paladin/DemonstrationofFaith.lua',1819,'You cast Demonstration of Faith V on %t.',0,1,0,1,1,1,0,0,0,100138,0,0,0,0,0,1,0,0,0,'HoT-Ward',1579058405,1384378111,0,1),
(100143,3305085423,0,0,'Prayer','Wards the paladin''s target, preventing them from taking damage.',469,5,316,90523872,366253016,395,0,1,'Your Demonstration of Faith VI was successful on %t!','Your Demonstration of Faith VI fades.','',1,1,'Spells/Fighter/Crusader/Paladin/DemonstrationofFaith.lua',1819,'You cast Demonstration of Faith VI on %t.',0,1,0,1,1,1,0,0,0,100138,0,0,0,0,0,1,0,0,0,'HoT-Ward',1579058492,1384377826,0,1),
(100144,2069985831,0,0,'Demonstration of Faith VII','Wards the paladin''s target, preventing them from taking damage.',469,5,316,90523872,366253016,445,0,1,'Your Demonstration of Faith VII was successful on %t!','Your Demonstration of Faith VII fades.','',1,1,'Spells/Fighter/Crusader/Paladin/DemonstrationofFaith.lua',1819,'You cast Demonstration of Faith VII on %t.',0,1,0,1,1,1,0,0,0,100138,0,0,0,0,0,1,0,0,0,'HoT-Ward',1579058553,1384378112,0,1),
(100145,3739937321,0,0,'Demonstration of Faith VIII','Wards the paladin''s target, preventing them from taking damage.',469,5,316,90523872,366253016,495,0,1,'Your Demonstration of Faith VIII was successful on %t!','Your Demonstration of Faith VIII fades.','',1,1,'Spells/Fighter/Crusader/Paladin/DemonstrationofFaith.lua',1819,'You cast Demonstration of Faith VIII on %t.',0,0,0,0,1,0,0,0,0,100138,0,0,0,0,0,1,0,0,0,'HoT-Ward',1579058450,1384377826,0,1),
(100146,428252671,0,0,'Penitent Sacrament','Heals the paladin and increases their maximum health for a short duration. This spell cannot be interrupted.',180,5,317,90523872,366253016,130,0,0,'Your Devout Sacrament was successful on %t!','Your Devout Sacrament fades.','',1,1,'Spells/Fighter/Crusader/Paladin/PenitentSacrament.lua',1830,'You cast Devout Sacrament on %t.',0,0,0,1,1,0,0,0,0,100146,0,0,0,0,0,0,0,0,0,'Unset',1579062672,1384378111,0,1),
(100147,3542001057,0,0,'Devout Sacrament','Heals the paladin and increases their maximum health for a short duration. This spell cannot be interrupted.',180,5,317,90523872,366253016,200,0,0,'Your Devout Sacrament II was successful on %t!','Your Devout Sacrament II fades.','',1,1,'Spells/Fighter/Crusader/Paladin/DevoutSacrament.lua',1830,'You cast Devout Sacrament II on %t.',0,0,0,1,1,0,0,0,0,100146,0,0,0,0,0,1,0,0,0,'Unset',1579062710,1384378111,0,1),
(100148,2894042453,0,0,'Ardent Sacrament','Heals the paladin and increases their maximum health for a short duration. This spell cannot be interrupted.',180,5,317,90523872,366253016,270,0,0,'Your Devout Sacrament III was successful on %t!','Your Devout Sacrament III fades.','',1,1,'Spells/Fighter/Crusader/Paladin/DevoutSacrament.lua',1830,'You cast Devout Sacrament III on %t.',0,0,0,1,1,0,0,0,0,100146,0,0,0,0,0,1,0,0,0,'Unset',1579062730,1384378111,0,1),
(100149,3851897818,0,0,'Reverent Sacrament','Heals the paladin and increases their maximum health for a short duration. This spell cannot be interrupted.',180,5,317,90523872,366253016,340,0,0,'Your Devout Sacrament IV was successful on %t!','Your Devout Sacrament IV fades.','',1,1,'Spells/Fighter/Crusader/Paladin/DevoutSacrament.lua',1830,'You cast Devout Sacrament IV on %t.',0,0,0,1,1,0,0,0,0,100146,0,0,0,0,0,1,0,0,0,'Unset',1579062745,1384377826,0,1),
(100150,3072698317,0,0,'Sacrament of Bayle','Heals the paladin and increases their maximum health for a short duration. This spell cannot be interrupted.',180,5,317,90523872,366253016,390,0,0,'Your Devout Sacrament V was successful on %t!','Your Devout Sacrament V fades.','',1,1,'Spells/Fighter/Crusader/Paladin/DevoutSacrament.lua',1830,'You cast Devout Sacrament V on %t.',0,0,0,1,1,0,0,0,0,100146,0,0,0,0,0,1,0,0,0,'Unset',1579062764,1384377826,0,1),
(100151,3802064438,0,0,'Devout Sacrament VI','Heals the paladin and increases their maximum health for a short duration. This spell cannot be interrupted.',180,5,317,90523872,366253016,440,0,0,'Your Devout Sacrament VI was successful on %t!','Your Devout Sacrament VI fades.','',1,1,'Spells/Fighter/Crusader/Paladin/DevoutSacrament.lua',1830,'You cast Devout Sacrament VI on %t.',0,0,0,1,1,0,0,0,0,100146,0,0,0,0,0,1,0,0,0,'Unset',1579062778,1384378112,0,1),
(100152,897345134,0,0,'Devout Sacrament VII','Heals the paladin and increases their maximum health for a short duration. This spell cannot be interrupted.',180,5,317,90523872,366253016,490,0,0,'Your Devout Sacrament VII was successful on %t!','Your Devout Sacrament VII fades.','',1,1,'Spells/Fighter/Crusader/Paladin/DevoutSacrament.lua',1830,'You cast Devout Sacrament VII on %t.',0,0,0,0,1,0,0,0,0,100146,0,0,0,0,0,1,0,0,0,'Unset',1579062978,1384378112,0,1),
(100153,87929411,0,1,'Divine Favor','If the paladin receives damage that would be fatal, the paladin is instead healed and stifled and dazed for a short duration.',219,65535,317,90523872,3587918036,290,1,1,'Your Divine Favor was successful on %t!','Your Divine Favor fades.','',1,0,'Spells/Fighter/Crusader/Paladin/DivineFavor.lua',1840,'You cast Divine Favor on %t.',0,0,0,1,1,1,0,0,0,100153,0,0,0,0,0,0,0,0,0,'Unset',1579064873,1384378113,0,1),
(100154,1115069238,0,0,'Righteous Blow','A melee attack that strikes with additional divine damage and stuns the target on a successful hit. This strike deals additional damage against the undead.',470,0,315,3809066846,613995491,55,0,1,'Your Divine Vengeance was successful on %t!','Your Divine Vengeance fades.','',1,1,'Spells/Fighter/Crusader/Paladin/DivineVengeance.lua',1815,'You cast Divine Vengeance on %t.',0,0,0,1,0,0,2,0,0,100154,0,0,0,0,0,0,0,0,0,'DD',1579055653,1384378111,0,1),
(100155,198051602,0,0,'Divine Vengeance','A melee attack that strikes with additional divine damage and stuns the target on a successful hit. This strike deals additional damage against the undead.',470,0,315,90523872,613995491,125,0,1,'Your Divine Vengeance II was successful on %t!','Your Divine Vengeance II fades.','',1,1,'Spells/Fighter/Crusader/Paladin/DivineVengeanceClassic.lua',1815,'You cast Divine Vengeance II on %t.',0,0,0,1,0,0,2,0,0,100154,0,0,0,0,0,0,0,0,0,'DD',1579055789,1384378111,0,1),
(100156,3778027175,0,0,'Shatter Will','A melee attack that strikes with additional divine damage and stuns the target on a successful hit. This strike deals additional damage against the undead.',470,0,315,90523872,613995491,195,0,1,'Your Divine Vengeance III was successful on %t!','Your Divine Vengeance III fades.','',1,1,'Spells/Fighter/Crusader/Paladin/DivineVengeance.lua',1815,'You cast Divine Vengeance III on %t.',0,0,0,1,0,0,2,0,0,100154,0,0,0,0,0,1,0,0,0,'DD',1579055706,1384378111,0,1),
(100157,2305470053,0,0,'Destroy Will','A melee attack that strikes with additional divine damage and stuns the target on a successful hit. This strike deals additional damage against the undead.',470,0,315,90523872,613995491,265,0,1,'Your Divine Vengeance IV was successful on %t!','Your Divine Vengeance IV fades.','',1,1,'Spells/Fighter/Crusader/Paladin/DivineVengeance.lua',1815,'You cast Divine Vengeance IV on %t.',0,0,0,1,0,0,2,0,0,100154,0,0,0,0,0,1,0,0,0,'DD',1579055868,1384378111,0,1),
(100158,1641793003,0,0,'Extinguish Will','A melee attack that strikes with additional divine damage and stuns the target on a successful hit. This strike deals additional damage against the undead.',470,0,315,90523872,613995491,335,0,1,'Your Divine Vengeance V was successful on %t!','Your Divine Vengeance V fades.','',1,1,'Spells/Fighter/Crusader/Paladin/DivineVengeance.lua',1815,'You cast Divine Vengeance V on %t.',0,0,0,1,0,0,2,0,0,100154,0,0,0,0,0,1,0,0,0,'DD',1579055945,1384378111,0,1),
(100159,1444650181,0,0,'Break Will','A melee attack that strikes with additional divine damage and stuns the target on a successful hit. This strike deals additional damage against the undead.',470,0,315,90523872,613995491,385,0,1,'Your Divine Vengeance VI was successful on %t!','Your Divine Vengeance VI fades.','',1,1,'Spells/Fighter/Crusader/Paladin/DivineVengeance.lua',1815,'You cast Divine Vengeance VI on %t.',0,0,0,1,0,0,2,0,0,100154,0,0,0,0,0,1,0,0,0,'DD',1579056012,1384378111,0,1),
(100160,1930393573,0,0,'Divine Vengeance VII','A melee attack that strikes with additional divine damage and stuns the target on a successful hit. This strike deals additional damage against the undead.',470,0,315,90523872,613995491,435,0,1,'Your Divine Vengeance VII was successful on %t!','Your Divine Vengeance VII fades.','',1,1,'Spells/Fighter/Crusader/Paladin/DivineVengeance.lua',1815,'You cast Divine Vengeance VII on %t.',0,0,0,1,0,0,2,0,0,100154,0,0,0,0,0,1,0,0,0,'DD',1579056041,1384378112,0,1),
(100161,2767058877,0,0,'Divine Vengeance VIII','A melee attack that strikes with additional divine damage and stuns the target on a successful hit. This strike deals additional damage against the undead.',470,0,315,90523872,613995491,485,0,1,'Your Divine Vengeance VIII was successful on %t!','Your Divine Vengeance VIII fades.','',1,1,'Spells/Fighter/Crusader/Paladin/DivineVengeance.lua',1815,'You cast Divine Vengeance VIII on %t.',0,0,0,0,0,0,2,0,0,100154,0,0,0,0,0,1,0,0,0,'DD',1579056116,1384378112,0,1),
(100162,2024910418,0,0,'Elixir of Resuscitation','Resurrects a fallen ally, replenishing all health. This spell can be cast during combat, but must be cast within touch range of that ally.',210,5,316,90523872,366253016,220,0,6,'Your Elixir of Resuscitation was successful on %t!','Your Elixir of Resuscitation fades.','',1,0,'Spells/Fighter/Crusader/Paladin/ElixirofResuscitation.lua',1835,'You cast Elixir of Resuscitation on %t.',0,1,1,0,1,0,0,0,0,100162,0,0,0,0,0,1,0,0,0,'Unset',1579063804,1384378111,0,1),
(100163,3063029855,0,0,'Blessed Aid','Replenishes some of target ally''s health and increases their physical mitigation for a short duration. This spell cannot be interrupted.',158,5,316,90523872,366253016,55,0,1,'Your Holy Aid was successful on %t!','Your Holy Aid fades.','',0,1,'Spells/Fighter/Crusader/Paladin/HolyAidT1.lua',1828,'You cast Holy Aid on %t.',0,0,1,1,1,0,0,0,0,100163,0,0,0,0,0,0,0,0,0,'Unset',1579056171,1384377826,0,1),
(100164,1838859133,0,0,'Blessed Aid','Replenishes some of target ally''s health and increases their physical mitigation for a short duration. This spell cannot be interrupted.',158,5,316,90523872,366253016,110,0,1,'Your Holy Aid II was successful on %t!','Your Holy Aid II fades.','',1,1,'Spells/Fighter/Crusader/Paladin/BlessedAid.lua',1828,'You cast Holy Aid II on %t.',0,0,0,1,1,0,0,0,0,100163,0,0,0,0,0,0,0,0,0,'Unset',1579056226,1384378111,0,1),
(100165,2061621054,0,0,'Pious Aid','Replenishes some of target ally''s health and increases their physical mitigation for a short duration. This spell cannot be interrupted.',158,5,316,90523872,366253016,180,0,1,'Your Holy Aid III was successful on %t!','Your Holy Aid III fades.','',1,1,'Spells/Fighter/Crusader/Paladin/HolyAid.lua',1828,'You cast Holy Aid III on %t.',0,0,0,1,1,0,0,0,0,100163,0,0,0,0,0,1,0,0,0,'Unset',1579056246,1384378112,0,1),
(100166,2431844110,0,0,'Fervent Aid','Replenishes some of target ally''s health and increases their physical mitigation for a short duration. This spell cannot be interrupted.',158,5,316,90523872,366253016,250,0,1,'Your Holy Aid IV was successful on %t!','Your Holy Aid IV fades.','',1,1,'Spells/Fighter/Crusader/Paladin/HolyAid.lua',1828,'You cast Holy Aid IV on %t.',0,0,0,1,1,0,0,0,0,100163,0,0,0,0,0,1,0,0,0,'Unset',1579056295,1384378113,0,1),
(100167,845213229,0,0,'Holy Aid','Replenishes some of target ally''s health and increases their physical mitigation for a short duration. This spell cannot be interrupted.',158,5,316,90523872,366253016,320,0,1,'Your Holy Aid V was successful on %t!','Your Holy Aid V fades.','',1,1,'Spells/Fighter/Crusader/Paladin/HolyAid.lua',1828,'You cast Holy Aid V on %t.',0,0,0,1,1,0,0,0,0,100163,0,0,0,0,0,1,0,0,0,'Unset',1579056367,1384378112,0,1),
(100168,3420581820,0,0,'Holy Aid VI','Replenishes some of target ally''s health and increases their physical mitigation for a short duration. This spell cannot be interrupted.',158,5,316,90523872,366253016,380,0,1,'Your Holy Aid VI was successful on %t!','Your Holy Aid VI fades.','',1,1,'Spells/Fighter/Crusader/Paladin/HolyAid.lua',1828,'You cast Holy Aid VI on %t.',0,0,0,1,1,0,0,0,0,100163,0,0,0,0,0,1,0,0,0,'Unset',1579056401,1384378111,0,1),
(100169,1478040442,0,0,'Holy Aid VII','Replenishes some of target ally''s health and increases their physical mitigation for a short duration. This spell cannot be interrupted.',158,5,316,90523872,366253016,430,0,1,'Your Holy Aid VII was successful on %t!','Your Holy Aid VII fades.','',1,1,'Spells/Fighter/Crusader/Paladin/HolyAid.lua',1828,'You cast Holy Aid VII on %t.',0,0,0,1,1,0,0,0,0,100163,0,0,0,0,0,1,0,0,0,'Unset',1579056853,1384378112,0,1),
(100170,2576860346,0,0,'Holy Aid VIII','Replenishes some of target ally''s health and increases their physical mitigation for a short duration. This spell cannot be interrupted.',158,5,316,90523872,366253016,480,0,1,'Your Holy Aid VIII was successful on %t!','Your Holy Aid VIII fades.','',1,1,'Spells/Fighter/Crusader/Paladin/HolyAid.lua',1828,'You cast Holy Aid VIII on %t.',0,0,0,0,1,0,0,0,0,100163,0,0,0,0,0,1,0,0,0,'Unset',1579056864,1384378111,0,1),
(100171,3756648003,0,0,'Holy Avenger','This is the condensed energy of an ancient, mythical weapon.',748,65535,315,90523872,0,400,0,1,'Your Holy Avenger was successful on %t!','Your Holy Avenger fades.','',1,1,'',3536,'You cast Holy Avenger on %t.',0,0,0,1,0,1,4,0,1,100171,0,0,0,0,0,0,0,0,0,'Unset',1579065067,1384377875,0,1),
(100172,3241007621,0,0,'Holy Ground','For a brief moment, any enemies you strike that don''t already hate you the most now consider you their second greatest threat.',755,65535,313,90523872,3587918036,400,0,1,'Your Holy Ground was successful on %t!','Your Holy Ground fades.','',1,1,'Spells/Fighter/Crusader/Paladin/HolyGround.lua',1838,'You cast Holy Ground on %t.',0,0,0,1,1,1,0,0,0,100172,0,0,0,0,0,0,0,0,0,'Unset',1579065196,1384378112,0,1),
(100173,99604163,0,0,'Judgment','Interrupts the target and deals instant divine damage.',213,3,315,90523872,613995491,10,0,1,'Your Judgment was successful on %t!','Your Judgment fades.','',1,1,'Spells/Fighter/Crusader/Paladin/Judgment.lua',1820,'You cast Judgment on %t.',0,0,0,1,0,0,0,0,0,100173,0,0,0,0,0,0,0,0,0,'DD',1579050119,1384378112,0,1),
(100174,2445205702,0,0,'Judgment II','Interrupts the target and deals instant divine damage.',213,3,315,90523872,613995491,65,0,1,'Your Judgment II was successful on %t!','Your Judgment II fades.','',1,1,'Spells/Fighter/Crusader/Paladin/Judgment.lua',1820,'You cast Judgment II on %t.',0,0,0,1,0,0,0,0,0,100173,0,0,0,0,0,0,0,0,0,'DD',1579050144,1384378111,0,1),
(100175,1750850482,0,0,'Omen of Battle','Interrupts the target and deals instant divine damage.',213,3,315,90523872,613995491,135,0,1,'Your Judgment III was successful on %t!','Your Judgment III fades.','',1,1,'Spells/Fighter/Crusader/Paladin/OmenofBattle.lua',1820,'You cast Judgment III on %t.',0,0,0,1,0,0,0,0,0,100173,0,0,0,0,0,0,0,0,0,'DD',1579050257,1384378113,0,1),
(100176,2518158049,0,0,'Judgment IV','Interrupts the target and deals instant divine damage.',213,3,315,90523872,613995491,205,0,1,'Your Judgment IV was successful on %t!','Your Judgment IV fades.','',1,1,'Spells/Fighter/Crusader/Paladin/Judgment.lua',1820,'You cast Judgment IV on %t.',0,0,0,1,0,0,0,0,0,100173,0,0,0,0,0,1,0,0,0,'DD',1579050312,1384378111,0,1),
(100177,1957800493,0,0,'Judgment IX','Interrupts the target and deals instant divine damage.',213,3,315,90523872,613995491,495,0,1,'Your Judgment IX was successful on %t!','Your Judgment IX fades.','',1,1,'Spells/Fighter/Crusader/Paladin/Judgment.lua',1820,'You cast Judgment IX on %t.',0,0,0,0,0,0,0,0,0,100173,0,0,0,0,0,1,0,0,0,'DD',1579050747,1384377826,0,1),
(100178,1085298680,0,0,'Judgment V','Interrupts the target and deals instant divine damage.',213,3,315,90523872,613995491,275,0,1,'Your Judgment V was successful on %t!','Your Judgment V fades.','',1,1,'Spells/Fighter/Crusader/Paladin/Judgment.lua',1820,'You cast Judgment V on %t.',0,0,0,1,0,0,0,0,0,100173,0,0,0,0,0,1,0,0,0,'DD',1579050412,1384377826,0,1),
(100179,3940655847,0,0,'Judgment VI','Interrupts the target and deals instant divine damage.',213,3,315,90523872,613995491,345,0,1,'Your Judgment VI was successful on %t!','Your Judgment VI fades.','',1,1,'Spells/Fighter/Crusader/Paladin/Judgment.lua',1820,'You cast Judgment VI on %t.',0,0,0,1,0,0,0,0,0,100173,0,0,0,0,0,1,0,0,0,'DD',1579050500,1384378111,0,1),
(100180,2642442547,0,0,'Judgment VII','Interrupts the target and deals instant divine damage.',213,3,315,90523872,613995491,395,0,1,'Your Judgment VII was successful on %t!','Your Judgment VII fades.','',1,1,'Spells/Fighter/Crusader/Paladin/Judgment.lua',1820,'You cast Judgment VII on %t.',0,0,0,1,0,0,0,0,0,100173,0,0,0,0,0,1,0,0,0,'DD',1579050580,1384378113,0,1),
(100181,4011124290,0,0,'Judgment VIII','Interrupts the target and deals instant divine damage.',213,3,315,90523872,613995491,445,0,1,'Your Judgment VIII was successful on %t!','Your Judgment VIII fades.','',1,1,'Spells/Fighter/Crusader/Paladin/Judgment.lua',1820,'You cast Judgment VIII on %t.',0,0,0,1,0,0,0,0,0,100173,0,0,0,0,0,1,0,0,0,'DD',1579050632,1384377826,0,1),
(100182,386796067,0,0,'Lay on Hands','Replenishes health instantly and increases the target''s maximum health and physical mitigation for a short duration. This spell does not have a casting time.',209,5,316,90523872,366253016,100,0,1,'Your Lay on Hands was successful on %t!','Your Lay on Hands fades.','',0,1,'Spells/Fighter/Crusader/Paladin/LayonHands.lua',1827,'You cast Lay on Hands on %t.',0,0,0,1,1,0,0,0,0,100182,0,0,0,0,0,1,0,0,0,'Unset',1579061826,1384377826,0,1),
(100183,544197128,0,0,'Virtuous Touch','Replenishes health instantly and increases the target''s maximum health and physical mitigation for a short duration. This spell does not have a casting time.',209,5,316,90523872,366253016,170,0,1,'Your Lay on Hands II was successful on %t!','Your Lay on Hands II fades.','',0,1,'Spells/Fighter/Crusader/Paladin/LayonHands.lua',1827,'You cast Lay on Hands II on %t.',0,0,0,1,1,0,0,0,0,100182,0,0,0,0,0,1,0,0,0,'Unset',1579061854,1384378112,0,1),
(100184,2861630187,0,0,'Divine Touch','Replenishes health instantly and increases the target''s maximum health and physical mitigation for a short duration. This spell does not have a casting time.',209,5,316,90523872,366253016,240,0,1,'Your Lay on Hands III was successful on %t!','Your Lay on Hands III fades.','',0,1,'Spells/Fighter/Crusader/Paladin/LayonHands.lua',1827,'You cast Lay on Hands III on %t.',0,0,0,1,1,0,0,0,0,100182,0,0,0,0,0,1,0,0,0,'Unset',1579061967,1384378111,0,1),
(100185,2836355417,0,0,'Celestial Touch','Replenishes health instantly and increases the target''s maximum health and physical mitigation for a short duration. This spell does not have a casting time.',209,5,316,90523872,366253016,310,0,1,'Your Lay on Hands IV was successful on %t!','Your Lay on Hands IV fades.','',0,1,'Spells/Fighter/Crusader/Paladin/LayonHands.lua',1827,'You cast Lay on Hands IV on %t.',0,0,0,1,1,0,0,0,0,100182,0,0,0,0,0,1,0,0,0,'Unset',1579062008,1384378113,0,1),
(100186,164107332,0,0,'Holy Touch','Replenishes health instantly and increases the target''s maximum health and physical mitigation for a short duration. This spell does not have a casting time.',209,5,316,90523872,366253016,370,0,1,'Your Lay on Hands V was successful on %t!','Your Lay on Hands V fades.','',0,1,'Spells/Fighter/Crusader/Paladin/LayonHands.lua',1827,'You cast Lay on Hands V on %t.',0,0,0,1,1,0,0,0,0,100182,0,0,0,0,0,1,0,0,0,'Unset',1579062025,1384378111,0,1),
(100187,120310698,0,0,'Lay on Hands VI','Replenishes health instantly and increases the target''s maximum health and physical mitigation for a short duration. This spell does not have a casting time.',209,5,316,90523872,366253016,420,0,1,'Your Lay on Hands VI was successful on %t!','Your Lay on Hands VI fades.','',0,1,'Spells/Fighter/Crusader/Paladin/LayonHands.lua',1827,'You cast Lay on Hands VI on %t.',0,0,0,1,1,0,0,0,0,100182,0,0,0,0,0,1,0,0,0,'Unset',1579062099,1384378112,0,1),
(100188,3201306690,0,0,'Lay on Hands VII','Replenishes health instantly and increases the target''s maximum health and physical mitigation for a short duration. This spell does not have a casting time.',209,5,316,90523872,366253016,470,0,1,'Your Lay on Hands VII was successful on %t!','Your Lay on Hands VII fades.','',0,1,'Spells/Fighter/Crusader/Paladin/LayonHands.lua',1827,'You cast Lay on Hands VII on %t.',0,0,0,1,1,0,0,0,0,100182,0,0,0,0,0,1,0,0,0,'Unset',1579062151,1384378111,0,1),
(100189,3094748630,0,1,'Marr''s Favor','This is the condensed energy of an ancient, mythical weapon.',158,65535,317,90523872,0,400,1,1,'Your Marr''s Favor was successful on %t!','Your Marr''s Favor fades.','',1,1,'',3537,'You cast Marr''s Favor on %t.',0,0,0,1,1,1,0,0,0,100189,0,0,0,0,0,0,0,0,0,'Unset',1579065302,1384377877,0,1),
(100190,2419632936,0,0,'Prayer of Healing','Heals the paladin''s group and increases their maximum health for a short duration.',158,5,314,90523872,366253016,15,0,2,'Your Prayer of Healing was successful on %t!','Your Prayer of Healing fades.','',1,1,'Spells/Fighter/Crusader/Paladin/PrayerofHealing.lua',1832,'You cast Prayer of Healing on %t.',0,0,0,1,1,1,0,0,0,100190,0,0,0,0,0,0,0,0,0,'Unset',1579065597,1384378113,0,1),
(100191,3725167949,0,0,'Prayer of Mending','Heals the paladin''s group and increases their maximum health for a short duration.',158,5,314,90523872,366253016,80,0,2,'Your Prayer of Healing II was successful on %t!','Your Prayer of Healing II fades.','',1,1,'Spells/Fighter/Crusader/Paladin/PrayerofHealing.lua',1832,'You cast Prayer of Healing II on %t.',0,0,1,1,1,1,0,0,0,100190,0,0,0,0,0,0,0,0,0,'Unset',1579065571,1384378111,0,1),
(100192,3188795899,0,0,'Prayer of Devotion','Heals the paladin''s group and increases their maximum health for a short duration.',158,5,314,90523872,366253016,150,0,2,'Your Prayer of Healing III was successful on %t!','Your Prayer of Healing III fades.','',1,1,'Spells/Fighter/Crusader/Paladin/PrayerofDevotion.lua',1832,'You cast Prayer of Healing III on %t.',0,0,0,1,1,1,0,0,0,100190,0,0,0,0,0,0,0,0,0,'Unset',1579051012,1384378112,0,1),
(100193,1516994073,0,0,'Prayer of Conviction','Heals the paladin''s group and increases their maximum health for a short duration.',158,5,314,90523872,366253016,220,0,2,'Your Prayer of Healing IV was successful on %t!','Your Prayer of Healing IV fades.','',1,1,'Spells/Fighter/Crusader/Paladin/PrayerofHealingpct.lua',1832,'You cast Prayer of Healing IV on %t.',0,0,0,1,1,1,0,0,0,100190,0,0,0,0,0,1,0,0,0,'Unset',1579051118,1384378111,0,1),
(100194,3750618174,0,0,'Prayer of Consecration','Heals the paladin''s group and increases their maximum health for a short duration.',158,5,314,90523872,366253016,290,0,2,'Your Prayer of Healing V was successful on %t!','Your Prayer of Healing V fades.','',1,1,'Spells/Fighter/Crusader/Paladin/PrayerofHealingpct.lua',1832,'You cast Prayer of Healing V on %t.',0,0,0,1,1,1,0,0,0,100190,0,0,0,0,0,1,0,0,0,'Unset',1579051164,1384378113,0,1),
(100195,3944488160,0,0,'Prayer of Amelioration','Heals the paladin''s group and increases their maximum health for a short duration.',158,5,314,3341842907,366253016,360,0,2,'Your Prayer of Healing VI was successful on %t!','Your Prayer of Healing VI fades.','',1,1,'Spells/Fighter/Crusader/Paladin/PrayerofHealingpct.lua',1832,'You cast Prayer of Healing VI on %t.',0,0,0,1,1,1,0,0,0,100190,0,0,0,0,0,1,0,0,0,'Unset',1579051235,1384378111,0,1),
(100196,3657563586,0,0,'Prayer of Healing VII','Heals the paladin''s group and increases their maximum health for a short duration.',158,5,314,90523872,366253016,410,0,2,'Your Prayer of Healing VII was successful on %t!','Your Prayer of Healing VII fades.','',1,1,'Spells/Fighter/Crusader/Paladin/PrayerofHealingpct.lua',1832,'You cast Prayer of Healing VII on %t.',0,0,0,1,1,1,0,0,0,100190,0,0,0,0,0,1,0,0,0,'Unset',1579051256,1384378112,0,1),
(100197,3211183748,0,0,'Prayer of Healing VIII','Heals the paladin''s group and increases their maximum health for a short duration.',158,5,314,90523872,366253016,460,0,2,'Your Prayer of Healing VIII was successful on %t!','Your Prayer of Healing VIII fades.','',1,1,'Spells/Fighter/Crusader/Paladin/PrayerofHealingpct.lua',1832,'You cast Prayer of Healing VIII on %t.',0,0,0,1,1,1,0,0,0,100190,0,0,0,0,0,1,0,0,0,'Unset',1579051268,1384377826,0,1),
(100198,1013586213,0,0,'Refusal of Grace','Inflicts massive divine damage to the target.',472,3,315,90523872,613995491,200,0,1,'Your Refusal of Atonement was successful on %t!','Your Refusal of Atonement fades.','',1,1,'Spells/Fighter/Crusader/Paladin/RefusalofAtonement.lua',1833,'You cast Refusal of Atonement on %t.',0,0,0,1,0,0,0,0,0,100198,0,0,0,0,0,1,0,0,0,'DD',1579065735,1384378111,0,1),
(100199,3939317289,0,0,'Refusal of Faith','Inflicts massive divine damage to the target.',472,3,315,90523872,613995491,270,0,1,'Your Refusal of Atonement II was successful on %t!','Your Refusal of Atonement II fades.','',1,1,'Spells/Fighter/Crusader/Paladin/RefusalofAtonement.lua',1833,'You cast Refusal of Atonement II on %t.',0,0,0,1,0,0,0,0,0,100198,0,0,0,0,0,1,0,0,0,'DD',1579065855,1384377826,0,1),
(100200,835163501,0,0,'Refusal of Conviction','Inflicts massive divine damage to the target.',472,3,315,90523872,613995491,340,0,1,'Your Refusal of Atonement III was successful on %t!','Your Refusal of Atonement III fades.','',1,1,'Spells/Fighter/Crusader/Paladin/RefusalofAtonement.lua',1833,'You cast Refusal of Atonement III on %t.',0,0,0,1,0,0,0,0,0,100198,0,0,0,0,0,1,0,0,0,'DD',1579065916,1384378111,0,1),
(100201,2303912691,0,0,'Refusal of Atonement','Inflicts massive divine damage to the target.',472,3,315,90523872,613995491,390,0,1,'Your Refusal of Atonement IV was successful on %t!','Your Refusal of Atonement IV fades.','',1,1,'Spells/Fighter/Crusader/Paladin/RefusalofAtonement.lua',1833,'You cast Refusal of Atonement IV on %t.',0,0,0,1,0,0,0,0,0,100198,0,0,0,0,0,1,0,0,0,'DD',1579066147,1384377826,0,1),
(100202,4283576699,0,0,'Refusal of Atonement V','Inflicts massive divine damage to the target.',472,3,315,90523872,613995491,440,0,1,'Your Refusal of Atonement V was successful on %t!','Your Refusal of Atonement V fades.','',1,1,'Spells/Fighter/Crusader/Paladin/RefusalofAtonement.lua',1833,'You cast Refusal of Atonement V on %t.',0,0,0,1,0,0,0,0,0,100198,0,0,0,0,0,1,0,0,0,'DD',1579066000,1384378112,0,1),
(100203,1679940527,0,0,'Refusal of Atonement VI','Inflicts massive divine damage to the target.',472,3,315,90523872,613995491,490,0,1,'Your Refusal of Atonement VI was successful on %t!','Your Refusal of Atonement VI fades.','',1,1,'Spells/Fighter/Crusader/Paladin/RefusalofAtonement.lua',1833,'You cast Refusal of Atonement VI on %t.',0,0,0,0,0,0,0,0,0,100198,0,0,0,0,0,1,0,0,0,'DD',1579066287,1384378112,0,1),
(110000,869323601,0,0,'Apprentice''s Cure','',17,65535,65535,0,0,0,0,1,'Your Apprentice''s Cure was successful on %t!','Your Apprentice''s Cure fades.','',1,0,'Spells/Priest/ApprenticesCure.lua',0,'You cast Apprentice''s Cure on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1578005967,1384377849,0,1),
(110001,282226202,0,0,'Bounty of the Virtuous','Instantly heals some of target ally''s health. This spell has a chance to restore the power used to cast this spell back to the caster.',158,13,316,2463145248,366253016,0,0,1,'Your Bounty of the Virtuous was successful on %t!','Your Bounty of the Virtuous fades.','',1,0,'Spells/Priest/BountyoftheVirtuous.lua',53,'You cast Bounty of the Virtuous on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Heal',1384671256,1384377875,0,1),
(110002,3711165592,0,1,'Courage','A group augmentation which increases stamina and physical resistance of the priest''s group.',146,65535,314,2463145248,3587918036,25,1,2,'Your Courage was successful on %t!','Your Courage fades.','',1,0,'Spells/Priest/Courage.lua',54,'You cast Courage on %t.',0,0,1,1,1,1,0,0,0,110002,0,0,0,0,0,1,0,0,0,'Buff',1578006294,1384378112,0,1),
(110003,2945678992,0,0,'Cure','Cures impairments found on the target ally. ',747,13,316,2463145248,366253016,30,0,1,'Your Cure was successful on %t!','Your Cure fades.','',1,0,'Spells/Priest/Cure.lua',137,'You cast Cure on %t.',0,1,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1631239250,1384378114,0,1),
(110004,969542071,0,0,'Cure Curse','Cures curse impairments on the target ally.',785,13,316,2463145248,366253016,400,0,1,'Your Cure Curse was successful on %t!','Your Cure Curse fades.','',1,0,'Spells/Priest/CureCurse.lua',2324,'You cast Cure Curse on %t.',0,1,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1572080649,1384378116,0,1),
(110005,177910159,0,0,'Cure Noxious','Cures noxious impairments on the target ally. This includes poison and disease effects.\n\n\"I feel better already.\" - Marya Tanglehair, Rivervale.',148,13,316,2463145248,366253016,30,0,1,'Your Cure Noxious was successful on %t!','Your Cure Noxious fades.','',1,0,'Spells/Priest/CureNoxious.lua',137,'You cast Cure Noxious on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Cure',1384671289,1384378112,0,1),
(110006,3972280100,0,0,'Divine Providence','Allows a priest to create a heroic opportunity using the spells at his or her disposal.',516,17,317,2463145248,0,0,0,0,'Your Divine Providence was successful on %t!','Your Divine Providence fades.','',1,1,'Spells/Priest/DivineProvidence.lua',2327,'You cast Divine Providence on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578006613,1384378116,0,0),
(110007,1135676641,0,0,'Enduring Breath','An augmentation which grants an ally the ability to breathe under water.',239,65535,316,2463145248,3587918036,45,0,1,'Your Enduring Breath was successful on %t!','Your Enduring Breath fades.','',1,1,'Spells/Priest/EnduringBreath.lua',123,'You cast Enduring Breath on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1664109330,1384378116,0,1),
(110008,2789915967,0,0,'Healing','Instantly heals some of target ally''s health.\n\n \n\n\"They pray for peace, but we''d rather have healing.\" - an unknown soldier',158,12,316,2463145248,366253016,40,0,1,'Your Healing was successful on %t!','Your Healing fades.','',1,0,'Spells/Priest/Healing.lua',53,'You cast Healing on %t.',0,0,0,1,1,0,0,0,0,110012,0,0,0,0,0,0,0,0,0,'Heal',1578006192,1384378112,0,1),
(110009,1347996586,0,0,'Improved Arch Healing','Replenishes a large amount of target ally''s health.\n\n \n\n\"At least you have your health!\" - a cheery departed spirit',468,16,316,2463145248,366253016,45,0,1,'Your Improved Arch Healing was successful on %t!','Your Improved Arch Healing fades.','',1,0,'Spells/Priest/ImprovedArchHealing.lua',572,'You cast Improved Arch Healing on %t.',0,0,0,1,1,0,0,0,0,110011,0,0,0,0,0,0,0,0,0,'Heal',1578005575,1384378112,0,1),
(110010,817383112,0,0,'Master''s Smite','Your research into certain enemies allows you to cast a powerful smite that reduces attack speed and attack skills against them. (Completing Lore and Legend quests adds more races to this ability)',152,14,65535,2463145248,613995491,25,0,1,'Your Master''s Smite was successful on %t!','Your Master''s Smite fades.','',1,0,'',63,'You cast Master''s Smite on %t.',0,0,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1384671447,1384377875,0,1),
(110011,3990463412,0,0,'Minor Arch Healing','Replenishes a large amount of target ally''s health.\n\n \n\n\"At least you have your health!\" - a cheery departed spirit',468,16,316,2463145248,366253016,20,0,1,'Your Minor Arch Healing was successful on %t!','Your Minor Arch Healing fades.','',1,0,'Spells/Priest/MinorArchHealing.lua',138,'You cast Minor Arch Healing on %t.',0,0,0,1,1,0,0,0,0,110011,0,0,0,0,0,1,0,0,0,'Heal',1578006551,1384378112,0,1),
(110012,457102465,0,0,'Minor Healing','Instantly heals some of target ally''s health.\n\n \n\n\"They pray for peace, but we''d rather have healing.\" - an unknown soldier',158,12,316,2463145248,366253016,15,0,1,'Your Minor Healing was successful on %t!','Your Minor Healing fades.','',1,0,'Spells/Priest/MinorHealing.lua',53,'You cast Minor Healing on %t.',0,0,0,1,1,0,0,0,0,110012,0,0,0,0,0,1,0,0,0,'Heal',1578005978,1384377826,0,1),
(110013,3822430871,0,0,'Revive','Resurrects a fallen ally. That ally has resurrection sickness for a while. This spell cannot be used in combat, but can be used on allies that are not part of your group.',156,65535,316,2463145248,366253016,40,0,6,'Your Revive was successful on %t!','Your Revive fades.','',1,0,'Spells/Priest/Revive.lua',60,'You cast Revive on %t.',0,0,0,0,1,0,0,0,0,110013,0,0,0,0,0,1,0,0,0,'Rez',1582677159,1384378156,0,1),
(110014,3048491816,0,0,'Smite','Deals instant divine damage to target enemy.\r\n\r\n\"May your prayers be backed by weapons.\" - a priest of War',152,14,315,2463145248,613995491,1,0,1,'Your Smite was successful on %t!','Your Smite fades.','',1,0,'Spells/Priest/Smite.lua',63,'You cast Smite on %t.',0,0,0,1,0,0,0,0,0,110014,0,0,0,0,0,1,0,0,0,'DD',1578005898,1384378112,0,1),
(110015,3935541678,0,0,'Summon Food and Water','Summons food and drink for the chosen ally.\n\n \n\n\"Cheese! Where?\" - Anthony Adelar, Qeynosian soldier.',151,65535,315,2463145248,366253016,5,0,1,'Your Summon Food and Water was successful on %t!','Your Summon Food and Water fades.','',1,0,'Spells/Priest/SummonFoodandWater.lua',232,'You cast Summon Food and Water on %t.',0,0,0,1,1,0,0,0,0,110015,0,0,0,0,0,1,0,0,0,'Unset',1384671684,1384377875,0,1),
(110016,347303181,0,0,'Weakness','An impairment that decreases the target''s strength.',193,16,315,2463145248,3587918036,35,0,1,'Your Weakness was successful on %t!','Your Weakness fades.','',1,0,'Spells/Priest/Weakness.lua',396,'You cast Weakness on %t.',0,0,0,1,0,0,0,0,0,110016,0,0,0,0,0,1,0,0,0,'Debuff',1578005764,1384378113,0,1),
(110017,3136491622,0,0,'Wrath','Deals instant divine damage to the target.\n \n\"Let the heretics and non-believers tremble under divine wrath.\" - Plumetor Dul''Sadma',169,14,315,2463145248,613995491,30,0,1,'Your Wrath was successful on %t!','Your Wrath fades.','',1,0,'Spells/Priest/Wrath.lua',2800,'You cast Wrath on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1578007087,1384378116,0,1),
(120000,433459211,0,0,'Admonishing Smite','Deals instant divine damage to target enemy and dazes them, preventing them from auto attacking in combat for a short duration as long as they don''t receive additional damage.',152,14,315,3341842907,613995491,90,0,1,'Your Admonishing Smite was successful on %t!','Your Admonishing Smite fades.','',1,0,'Spells/Priest/Cleric/AdmonishingSmite.lua',63,'You cast Admonishing Smite on %t.',0,0,0,1,0,0,0,3,0,110014,0,0,0,0,0,1,0,0,0,'DD',1473720854,1384378112,0,1),
(120001,118743491,0,0,'Arch Healing','Replenishes a large amount of target ally''s health.',468,16,316,3341842907,366253016,85,0,1,'Your Arch Healing was successful on %t!','Your Arch Healing fades.','',1,0,'Spells/Priest/Cleric/ArchHealing.lua',572,'You cast Arch Healing on %t.',0,0,0,1,1,0,0,0,0,110011,0,0,0,0,0,1,0,0,0,'Heal',1578009640,1384378112,0,1),
(120002,2604884348,0,0,'Bestowal of Vitae','An augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.',185,12,316,3341842907,366253016,60,0,1,'Your Bestowal of Vitae was successful on %t!','Your Bestowal of Vitae fades.','',1,0,'Spells/Priest/Cleric/BestowalofVitae.lua',574,'You cast Bestowal of Vitae on %t.',0,0,0,1,1,0,0,0,0,120002,0,0,0,0,0,1,0,0,0,'Heal',1384671245,1384378112,0,1),
(120003,1473478573,0,0,'Bestowal of Vitality','An augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.',185,12,316,3341842907,366253016,95,0,1,'Your Bestowal of Vitality was successful on %t!','Your Bestowal of Vitality fades.','',1,0,'Spells/Priest/Cleric/BestowalofVitality.lua',138,'You cast Bestowal of Vitality on %t.',0,0,0,1,1,0,0,0,0,120002,0,0,0,0,0,1,0,0,0,'Heal',1384671245,1384378156,0,1),
(120004,661825676,0,0,'Combat Healing','Instantly heals some of target ally''s health.',158,12,316,3341842907,366253016,80,0,1,'Your Combat Healing was successful on %t!','Your Combat Healing fades.','',1,0,'Spells/Priest/Cleric/CombatHealing.lua',14,'You cast Combat Healing on %t.',0,0,0,1,1,0,0,0,0,110012,0,0,0,0,0,1,0,0,0,'Unset',1578009003,1384377826,0,1),
(120005,3868578763,0,1,'Daring','A group augmentation which increases stamina and physical resistance of the cleric''s group.\n\n',146,65535,314,3341842907,0,95,1,2,'Your Daring was successful on %t!','Your Daring fades.','',1,0,'Spells/Priest/Cleric/Daring.lua',13,'You cast Daring on %t.',0,0,0,1,1,1,0,0,0,110002,0,0,0,0,0,1,0,0,0,'Unset',1578009798,1384377826,0,1),
(120006,1357757531,0,0,'Distract','Reduces threat to targets in an area of effect around the cleric while providing a small amount of healing.',157,15,313,3341842907,366253016,65,0,1,'Your Distract was successful on %t!','Your Distract fades.','',1,0,'Spells/Priest/Cleric/Distract.lua',784,'You cast Distract on %t.',0,0,0,1,0,1,0,0,0,120006,0,0,0,0,0,1,0,0,0,'Detaunt',1613319252,1384377826,0,1),
(120007,3253720126,0,0,'Divine Awakening','Summons a Divine Essence for every group member. It can be used to revive a fallen priest.\r\n\r\n\"There''s more to making a gear work than just wishes...\" - Gnomes and the Art of Clockwork Maintenance',145,65535,314,3341842907,3587918036,55,0,2,'Your Divine Awakening was successful on %t!','Your Divine Awakening fades.','',1,1,'Spells/Priest/Cleric/DivineAwakening.lua',47,'You cast Divine Awakening on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'GroupTarget',1578010231,1384378113,0,1),
(120008,3091381429,0,0,'Greater Smite','Deals instant divine damage to target enemy and dazes them, preventing them from auto attacking in combat for a short duration as long as they don''t receive additional damage.',152,14,315,3341842907,613995491,85,0,1,'Your Greater Smite was successful on %t!','Your Greater Smite fades.','',1,0,'Spells/Priest/Cleric/GreaterSmite.lua',63,'You cast Greater Smite on %t.',0,0,0,1,0,0,0,3,0,120000,0,0,0,0,0,1,0,0,0,'DD',1384671375,1384378112,0,1),
(120009,2016650350,0,0,'Mark of Pawns','Impairment that is cast on an opponent that decreases their divine resistance and has a chance to heal over time an ally that successfully attacks this opponent in melee.',492,15,315,3341842907,613995491,90,0,1,'Your Mark of Pawns was successful on %t!','Your Mark of Pawns fades.','',1,0,'Spells/Priest/Cleric/MarkofPawns.lua',63,'You cast Mark of Pawns on %t.',0,0,0,1,0,0,2,0,0,120009,0,0,0,0,0,1,0,0,0,'Debuff',1384671446,1384378111,0,1),
(120010,2896192789,0,0,'Odyssey','Transports an ally to their home village.',255,65535,316,3341842907,3587918036,65,0,1,'Your Odyssey was successful on %t!','Your Odyssey fades.','',1,0,'Spells/Priest/Cleric/Odyssey.lua',100,'You cast Odyssey on %t.',0,1,1,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578008932,1384378112,0,1),
(120011,93618655,0,0,'Prayer of Amelioration','Heals all allies near the cleric.',293,16,314,3341842907,366253016,75,0,1,'Your Prayer of Amelioration was successful on %t!','Your Prayer of Amelioration fades.','',1,0,'Spells/Priest/Cleric/PrayerofAmelioration.lua',14,'You cast Prayer of Amelioration on %t.',0,0,0,1,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Heal',1578008853,1384378112,0,1),
(120012,2059458919,0,0,'Radiance','An emergency augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring. This spell does not require any power and does not have a casting time.',184,16,316,3341842907,366253016,75,0,1,'Your Radiance was successful on %t!','Your Radiance fades.','',0,1,'Spells/Priest/Cleric/Radiance.lua',2332,'You cast Radiance on %t.',0,1,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Heal',1384671504,1384378113,0,1),
(120013,3135648066,0,0,'Radiant Strike','Deals instant divine damage to the target. If the target is Undead, it receives additional divine damage.',182,14,315,3341842907,613995491,55,0,1,'Your Radiant Strike was successful on %t!','Your Radiant Strike fades.','',1,0,'Spells/Priest/Cleric/RadiantStrike.lua',63,'You cast Radiant Strike on %t.',0,0,0,1,0,0,0,0,0,110014,0,0,0,0,0,1,0,0,0,'DD',1384671504,1384378111,0,1),
(120014,2880570331,0,0,'Rebuke','Impairment that reduces the physical damage resistance of the target.',186,15,315,3341842907,613995491,50,0,1,'Your Rebuke was successful on %t!','Your Rebuke fades.','',1,0,'Spells/Priest/Cleric/Rebuke.lua',800,'You cast Rebuke on %t.',0,0,0,1,0,0,2,0,0,120014,0,0,0,0,0,1,0,0,0,'Unset',1578008679,1384378113,0,1),
(120015,3092795038,0,1,'Redoubt','An augmentation that increases the health pool and melee offensive skills of the cleric''s ally.',153,15,316,3341842907,3587918036,80,1,1,'Your Redoubt was successful on %t!','Your Redoubt fades.','',1,0,'Spells/Priest/Cleric/Redoubt.lua',13,'You cast Redoubt on %t.',0,0,0,1,1,0,0,0,0,120015,0,0,0,0,0,1,0,0,0,'Buff',1578009087,1384378113,0,1),
(120016,1216499854,0,0,'Symbol of Corruption','Impairment that deals divine damage over time and reduces the target''s wisdom.',159,14,315,3341842907,613995491,175,0,1,'Your Smite Corruption was successful on %t!','Your Smite Corruption fades.','',1,0,'Spells/Priest/Cleric/SmiteCorruption.lua',2334,'You cast Smite Corruption on %t.',0,0,0,1,0,1,2,0,0,120016,0,0,0,0,0,1,0,0,0,'DoT',1572081361,1384378112,0,1),
(120017,3217696471,0,0,'Punish Corruption','Impairment that deals divine damage over time and reduces the target''s wisdom.',159,14,315,3341842907,613995491,265,0,1,'Your Smite Corruption II was successful on %t!','Your Smite Corruption II fades.','',1,0,'Spells/Priest/Cleric/SmiteCorruption.lua',2334,'You cast Smite Corruption II on %t.',0,0,0,1,0,1,2,0,0,120016,0,0,0,0,0,1,0,0,0,'DoT',1572081388,1384378112,0,1),
(120018,2717321990,0,0,'Symbol of Corruption','Impairment that deals divine damage over time and reduces the target''s wisdom.',159,14,315,3341842907,613995491,355,0,1,'Your Smite Corruption III was successful on %t!','Your Smite Corruption III fades.','',1,0,'Spells/Priest/Cleric/SmiteCorruption.lua',2334,'You cast Smite Corruption III on %t.',0,0,0,1,0,1,2,0,0,120016,0,0,0,0,0,1,0,0,0,'DoT',1572081545,1384378112,0,1),
(120019,3798506952,0,0,'Smite Corruption IV','Impairment that deals divine damage over time and reduces the target''s wisdom.',159,14,315,3341842907,613995491,405,0,1,'Your Smite Corruption IV was successful on %t!','Your Smite Corruption IV fades.','',1,0,'Spells/Priest/Cleric/SmiteCorruption.lua',2334,'You cast Smite Corruption IV on %t.',0,0,0,1,0,1,2,0,0,120016,0,0,0,0,0,1,0,0,0,'DoT',1572081588,1384378112,0,1),
(120020,898243984,0,0,'Smite Corruption V','Impairment that deals divine damage over time and reduces the target''s wisdom.',159,14,315,3341842907,613995491,455,0,1,'Your Smite Corruption V was successful on %t!','Your Smite Corruption V fades.','',1,0,'Spells/Priest/Cleric/SmiteCorruption.lua',2334,'You cast Smite Corruption V on %t.',0,0,0,1,0,1,2,0,0,120016,0,0,0,0,0,1,0,0,0,'DoT',1572081662,1384378113,0,1),
(120021,1607082484,0,0,'Soothe','Lowers the aggression radius of an enemy. Any hostile actions taken on that enemy or its encounter will break the effect.',488,16,315,3341842907,366253016,150,0,1,'Your Soothe was successful on %t!','Your Soothe fades.','',1,0,'',2335,'You cast Soothe on %t.',0,0,0,0,0,1,2,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384671669,1384378112,0,1),
(120022,2159802464,0,0,'Soothing Sermon','A group augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.',180,12,314,3341842907,366253016,70,0,2,'Your Soothing Sermon was successful on %t!','Your Soothing Sermon fades.','',1,0,'Spells/Priest/Cleric/SoothingSermon.lua',138,'You cast Soothing Sermon on %t.',0,0,0,1,1,1,0,0,0,120022,0,0,0,0,0,1,0,0,0,'Heal',1384671669,1384378112,0,1),
(120023,2245304898,0,1,'Symbol of Transal','A group augmentation that increases the arcane resistance and health pool of the cleric''s group.',144,65535,314,3341842907,3587918036,70,1,2,'Your Symbol of Transal was successful on %t!','Your Symbol of Transal fades.','',1,0,'Spells/Priest/Cleric/SymbolofTransal.lua',232,'You cast Symbol of Transal on %t.',0,0,0,1,1,1,0,0,0,120023,0,0,0,0,0,1,0,0,0,'Unset',1578009994,1384378112,0,1),
(120024,0,0,0,'Cure Trauma','Cures trauma impairments on the target ally.\r\n\r\n\"I feel better already.\" - Marya Tanglehair, Rivervale.',147,13,316,3341842907,366253016,70,0,1,'Your Cure Trauma was successful on %t!','Your Cure Trauma fades.','',1,0,'Spells/Cleric/CureTrauma.lua',53,'You cast Cure Trauma on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Cure',1669875110,0,0,1),
(130000,2031280923,0,1,'Minor Redoubt','An augmentation that increases the stamina and melee offensive skills of the templar''s ally.',153,15,316,2581053277,3587918036,20,1,1,'Your Aegolism was successful on %t!','Your Aegolism fades.','',0,1,'Spells/Priest/Cleric/Templar/Aegolism.lua',2337,'You cast Aegolism on %t.',0,0,1,1,1,0,0,0,0,130000,0,0,0,0,0,0,0,0,0,'Unset',1580581065,1384377826,0,1),
(130001,683699427,0,1,'Redoubt','An augmentation that increases the stamina and melee offensive skills of the templar''s ally.',153,15,316,3341842907,3587918036,80,1,1,'Your Aegolism II was successful on %t!','Your Aegolism II fades.','',0,1,'Spells/Priest/Cleric/Templar/Aegolism.lua',2337,'You cast Aegolism II on %t.',0,0,0,1,1,1,0,0,0,130000,0,0,0,0,0,0,0,0,0,'Unset',1580581085,1384378112,0,1),
(130002,364581814,0,1,'Pious Redoubt','An augmentation that increases the stamina and melee offensive skills of the templar''s ally.',153,15,316,2581053277,3587918036,150,1,1,'Your Aegolism III was successful on %t!','Your Aegolism III fades.','',1,1,'Spells/Priest/Cleric/Templar/PiousRedoubt.lua',2337,'You cast Aegolism III on %t.',0,0,0,1,1,1,0,0,0,130000,0,0,0,0,0,0,0,0,0,'Unset',1580581128,1384378112,0,1),
(130003,1584349090,0,1,'Sacred Redoubt','An augmentation that increases the stamina and melee offensive skills of the templar''s ally.',153,15,316,2581053277,3587918036,220,1,1,'Your Aegolism IV was successful on %t!','Your Aegolism IV fades.','',1,1,'Spells/Priest/Cleric/Templar/Aegolism.lua',2337,'You cast Aegolism IV on %t.',0,0,0,1,1,1,0,0,0,130000,0,0,0,0,0,1,0,0,0,'Unset',1580581163,1384378113,0,1),
(130004,3371009269,0,1,'Pious Redoubt','An augmentation that increases the stamina and melee offensive skills of the templar''s ally.',153,15,316,2581053277,3587918036,290,1,1,'Your Aegolism V was successful on %t!','Your Aegolism V fades.','',1,1,'Spells/Priest/Cleric/Templar/Aegolism.lua',2337,'You cast Aegolism V on %t.',0,0,0,1,1,1,0,0,0,130000,0,0,0,0,0,1,0,0,0,'Unset',1580581202,1384378113,0,1),
(130005,4057145639,0,1,'Aegolism','An augmentation that increases the stamina and melee offensive skills of the templar''s ally.',153,15,316,2581053277,3587918036,360,1,1,'Your Aegolism VI was successful on %t!','Your Aegolism VI fades.','',1,1,'Spells/Priest/Cleric/Templar/Aegolism.lua',2337,'You cast Aegolism VI on %t.',0,0,0,1,1,1,0,0,0,130000,0,0,0,0,0,1,0,0,0,'Unset',1580581243,1384378113,0,1),
(130006,1647039969,0,1,'Aegolism VII','An augmentation that increases the stamina and melee offensive skills of the templar''s ally.',153,15,316,2581053277,3587918036,410,1,1,'Your Aegolism VII was successful on %t!','Your Aegolism VII fades.','',1,1,'Spells/Priest/Cleric/Templar/Aegolism.lua',2337,'You cast Aegolism VII on %t.',0,0,0,1,1,1,0,0,0,130000,0,0,0,0,0,1,0,0,0,'Unset',1580581287,1384378111,0,1),
(130007,2745502241,0,1,'Aegolism VIII','An augmentation that increases the stamina and melee offensive skills of the templar''s ally.',153,15,316,2581053277,3587918036,460,1,1,'Your Aegolism VIII was successful on %t!','Your Aegolism VIII fades.','',1,1,'Spells/Priest/Cleric/Templar/Aegolism.lua',2337,'You cast Aegolism VIII on %t.',0,0,0,1,1,1,0,0,0,130000,0,0,0,0,0,1,0,0,0,'Unset',1580581318,1384378111,0,1),
(130008,1248666430,0,0,'Prostrate','Stuns an opponent for a short duration.',217,16,315,2581053277,882983852,195,0,1,'Your Awestruck was successful on %t!','Your Awestruck fades.','',1,0,'Spells/Priest/Cleric/Templar/Awestruck.lua',2338,'You cast Awestruck on %t.',0,0,0,1,0,1,2,4,0,130008,0,0,0,0,0,1,0,0,0,'Unset',1580608746,1384378113,0,1),
(130009,3617014177,0,0,'Force Submission','Stuns an opponent for a short duration.',217,16,315,2581053277,882983852,265,0,1,'Your Awestruck II was successful on %t!','Your Awestruck II fades.','',1,0,'Spells/Priest/Cleric/Templar/Awestruck.lua',2338,'You cast Awestruck II on %t.',0,0,0,1,0,1,2,4,0,130008,0,0,0,0,0,1,0,0,0,'Unset',1580608815,1384378111,0,1),
(130010,2692711362,0,0,'Forced Humility','Stuns an opponent for a short duration.',217,16,315,2581053277,882983852,335,0,1,'Your Awestruck III was successful on %t!','Your Awestruck III fades.','',1,0,'Spells/Priest/Cleric/Templar/Awestruck.lua',2338,'You cast Awestruck III on %t.',0,0,0,1,0,1,2,4,0,130008,0,0,0,0,0,1,0,0,0,'Unset',1580608867,1384378113,0,1),
(130011,2657077926,0,0,'Awestruck','Stuns an opponent for a short duration.',217,16,315,2581053277,882983852,385,0,1,'Your Awestruck IV was successful on %t!','Your Awestruck IV fades.','',1,0,'Spells/Priest/Cleric/Templar/Awestruck.lua',2338,'You cast Awestruck IV on %t.',0,0,0,1,0,1,2,4,0,130008,0,0,0,0,0,1,0,0,0,'Unset',1580608907,1384378111,0,1),
(130012,3972748759,0,0,'Awestruck V','Stuns an opponent for a short duration.',217,16,315,2581053277,882983852,435,0,1,'Your Awestruck V was successful on %t!','Your Awestruck V fades.','',1,0,'Spells/Priest/Cleric/Templar/Awestruck.lua',2338,'You cast Awestruck V on %t.',0,0,0,1,0,1,2,4,0,130008,0,0,0,0,0,1,0,0,0,'Unset',1580608951,1384378111,0,1),
(130013,1039988071,0,0,'Battle''s Reprieve','Resurrects a fallen ally and increases their physical resistance for a short duration. This spell can be cast during combat.',156,15,316,2581053277,366253016,110,0,6,'Your Battle''s Reprieve was successful on %t!','Your Battle''s Reprieve fades.','',1,0,'Spells/Priest/Cleric/Templar/BattlesReprieveClassic.lua',2339,'You cast Battle''s Reprieve on %t.',0,1,1,0,1,0,0,0,0,130013,0,0,0,0,0,0,0,0,0,'Unset',1384671245,1384378111,0,1),
(130014,1240359296,0,0,'Beneficence','An emergency group augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring. This spell does not require any power and does not have a casting time.',184,12,314,2581053277,366253016,240,0,2,'Your Beneficence was successful on %t!','Your Beneficence fades.','',0,1,'Spells/Priest/Cleric/Templar/Beneficence.lua',2340,'You cast Beneficence on %t.',0,0,0,0,1,1,0,0,0,130014,0,0,0,0,0,1,0,0,0,'Unset',1580610434,1384378111,0,1),
(130015,4208892949,0,0,'Beams of Faith','Deals instant divine damage to the target and nearby encounter members.',272,14,312,2581053277,613995491,160,0,2,'Your Blaze of Faith was successful on %t!','Your Blaze of Faith fades.','',1,0,'Spells/Priest/Cleric/Templar/BlazeofFaith.lua',2341,'You cast Blaze of Faith on %t.',0,0,0,1,0,1,0,0,0,130015,0,0,0,0,0,1,0,0,0,'DD',1580607242,1384377826,0,1),
(130016,1128640996,0,0,'Rays of Faith','Deals instant divine damage to the target and nearby encounter members.',272,14,312,2581053277,613995491,230,0,2,'Your Blaze of Faith II was successful on %t!','Your Blaze of Faith II fades.','',1,0,'Spells/Priest/Cleric/Templar/BlazeofFaith.lua',2341,'You cast Blaze of Faith II on %t.',0,0,0,1,0,1,0,0,0,130015,0,0,0,0,0,1,0,0,0,'DD',1580607369,1384378111,0,1),
(130017,44097346,0,0,'Blaze of Faith','Deals instant divine damage to the target and nearby encounter members.',272,14,312,2581053277,613995491,300,0,2,'Your Blaze of Faith III was successful on %t!','Your Blaze of Faith III fades.','',1,0,'Spells/Priest/Cleric/Templar/BlazeofFaith.lua',2341,'You cast Blaze of Faith III on %t.',0,0,0,1,0,1,0,0,0,130015,0,0,0,0,0,1,0,0,0,'DD',1580607672,1384377826,0,1),
(130018,2030047551,0,0,'Blazoned Faith','Deals instant divine damage to the target and nearby encounter members.',272,14,312,2581053277,613995491,370,0,2,'Your Blaze of Faith IV was successful on %t!','Your Blaze of Faith IV fades.','',1,0,'Spells/Priest/Cleric/Templar/BlazeofFaith.lua',2341,'You cast Blaze of Faith IV on %t.',0,0,0,1,0,1,0,0,0,130015,0,0,0,0,0,1,0,0,0,'DD',1580608013,1384378111,0,1),
(130019,2545249107,0,0,'Blaze of Faith V','Deals instant divine damage to the target and nearby encounter members.',272,14,312,2581053277,613995491,420,0,2,'Your Blaze of Faith V was successful on %t!','Your Blaze of Faith V fades.','',1,0,'Spells/Priest/Cleric/Templar/BlazeofFaith.lua',2341,'You cast Blaze of Faith V on %t.',0,0,0,1,0,1,0,0,0,130015,0,0,0,0,0,1,0,0,0,'DD',1580608072,1384378111,0,1),
(130020,269721616,0,0,'Blaze of Faith VI','Deals instant divine damage to the target and nearby encounter members.',272,14,312,2581053277,613995491,470,0,2,'Your Blaze of Faith VI was successful on %t!','Your Blaze of Faith VI fades.','',1,0,'Spells/Priest/Cleric/Templar/BlazeofFaith.lua',2341,'You cast Blaze of Faith VI on %t.',0,0,0,1,0,1,0,0,0,130015,0,0,0,0,0,1,0,0,0,'DD',1580608128,1384378111,0,1),
(130021,104290289,0,0,'Blazon Life','Resurrects nearby fallen allies and increases their physical resistance for a short duration. This spell can be cast during combat.',156,15,314,2581053277,366253016,180,0,6,'Your Blazon Life was successful on %t!','Your Blazon Life fades.','',1,0,'Spells/Priest/Cleric/Templar/BlazonLife.lua',2342,'You cast Blazon Life on %t.',0,1,1,0,1,0,0,0,0,130021,0,0,0,0,0,0,0,0,0,'Unset',1580608553,1384378112,0,1),
(130022,3447761828,0,0,'Resolve','Cures impairments on the templar''s group.',747,13,314,2581053277,3587918036,210,0,2,'Your Devoted Resolve was successful on %t!','Your Devoted Resolve fades.','',1,0,'Spells/Priest/Cleric/Templar/DevotedResolve.lua',2343,'You cast Devoted Resolve on %t.',0,0,0,1,1,0,0,0,0,130022,0,0,0,0,0,1,0,0,0,'Unset',1580609857,1384377826,0,1),
(130023,3706502777,0,0,'Ardent Resolve','Cures impairments on the templar''s group.',747,13,314,2581053277,3587918036,280,0,2,'Your Devoted Resolve II was successful on %t!','Your Devoted Resolve II fades.','',1,0,'Spells/Priest/Cleric/Templar/DevotedResolve.lua',2343,'You cast Devoted Resolve II on %t.',0,0,0,1,1,0,0,0,0,130022,0,0,0,0,0,1,0,0,0,'Unset',1580609872,1384378111,0,1),
(130024,1116082467,0,0,'Devoted Resolve','Cures impairments on the templar''s group.',747,13,314,2581053277,3587918036,350,0,2,'Your Devoted Resolve III was successful on %t!','Your Devoted Resolve III fades.','',1,0,'Spells/Priest/Cleric/Templar/DevotedResolve.lua',2343,'You cast Devoted Resolve III on %t.',0,0,0,1,1,0,0,0,0,130022,0,0,0,0,0,1,0,0,0,'Unset',1580609882,1384378113,0,1),
(130025,1964904386,0,0,'Divine Arbitration','Equalizes the health totals of the templar''s group. The sum of all hit points in the group divided evenly for each group member, at a slight loss. Upgrades to this spell prevent the loss of efficiency when dividing points to group members.',757,13,314,2581053277,366253016,290,0,2,'Your Divine Arbitration was successful on %t!','Your Divine Arbitration fades.','',1,1,'Spells/Priest/Cleric/Templar/DivineArbitration.lua',2344,'You cast Divine Arbitration on %t.',0,0,0,1,1,0,0,0,0,130025,0,0,0,0,0,0,0,0,0,'Unset',1580611554,1384378111,0,1),
(130026,2890990720,0,0,'Divine Light','This is the condensed energy of an ancient, mythical weapon.',272,65535,316,2581053277,0,400,0,1,'Your Divine Light was successful on %t!','Your Divine Light fades.','',1,1,'Spells/Priest/Cleric/Templar/DivineLight.lua',3557,'You cast Divine Light on %t.',0,0,1,1,1,1,0,0,0,130026,0,0,0,0,0,0,0,0,0,'Unset',1580611825,1384377875,0,1),
(130027,2146076321,0,0,'Divine Smite','Used by Cleric Mara''Vaen do not change',152,14,315,2463145248,613995491,5,0,1,'Your Divine Smite was successful on %t!','Your Divine Smite fades.','',1,0,'Spells/Priest/Cleric/Templar/DivineSmite.lua',2345,'You cast Divine Smite on %t.',0,0,0,1,0,0,0,0,0,110014,0,0,0,0,0,1,0,0,0,'DD',1579391943,1384378113,0,1),
(130028,1406390405,0,0,'Admonishing Smite','Deals instant divine damage to target enemy.',152,14,315,3341842907,613995491,45,0,1,'Your Divine Smite II was successful on %t!','Your Divine Smite II fades.','',1,0,'Spells/Priest/Cleric/Templar/DivineSmite.lua',2345,'You cast Divine Smite II on %t.',0,0,0,1,0,0,0,0,0,130027,0,0,0,0,0,0,0,0,0,'DD',1580522494,1384378112,0,1),
(130029,4262514966,0,0,'Greater Smite','Deals instant divine damage to target enemy.',152,14,315,2581053277,613995491,85,0,1,'Your Divine Smite III was successful on %t!','Your Divine Smite III fades.','',1,0,'Spells/Priest/Cleric/Templar/DivineSmite.lua',2345,'You cast Divine Smite III on %t.',0,0,0,1,0,0,0,0,0,130027,0,0,0,0,0,0,0,0,0,'DD',1580522537,1384378112,0,1),
(130030,3072506027,0,0,'Reproving Smite','Deals instant divine damage to target enemy.',152,14,315,2581053277,613995491,155,0,1,'Your Divine Smite IV was successful on %t!','Your Divine Smite IV fades.','',1,0,'Spells/Priest/Cleric/Templar/DivineSmite.lua',2345,'You cast Divine Smite IV on %t.',0,0,0,1,0,0,0,0,0,130027,0,0,0,0,0,1,0,0,0,'DD',1580522896,1384378112,0,1),
(130031,1921250827,0,0,'Divine Smite IX','Deals instant divine damage to target enemy.',152,14,315,2581053277,613995491,460,0,1,'Your Divine Smite IX was successful on %t!','Your Divine Smite IX fades.','',1,0,'Spells/Priest/Cleric/Templar/DivineSmite.lua',2345,'You cast Divine Smite IX on %t.',0,0,0,1,0,0,0,0,0,130027,0,0,0,0,0,1,0,0,0,'DD',1580523632,1384377826,0,1),
(130032,2371646519,0,0,'Condemning Smite','Deals instant divine damage to target enemy.',152,14,315,2581053277,613995491,225,0,1,'Your Divine Smite V was successful on %t!','Your Divine Smite V fades.','',1,0,'Spells/Priest/Cleric/Templar/DivineSmite.lua',2345,'You cast Divine Smite V on %t.',0,0,0,1,0,0,0,0,0,130027,0,0,0,0,0,1,0,0,0,'DD',1580522945,1384378113,0,1),
(130033,225814923,0,0,'Judging Smite','Deals instant divine damage to target enemy.',152,14,315,2581053277,613995491,295,0,1,'Your Divine Smite VI was successful on %t!','Your Divine Smite VI fades.','',1,0,'Spells/Priest/Cleric/Templar/DivineSmite.lua',2345,'You cast Divine Smite VI on %t.',0,0,0,1,0,0,0,0,0,130027,0,0,0,0,0,1,0,0,0,'DD',1580523088,1384378113,0,1),
(130034,2683367038,0,0,'Divine Smite','Deals instant divine damage to target enemy.',152,14,315,2581053277,613995491,360,0,1,'Your Divine Smite VII was successful on %t!','Your Divine Smite VII fades.','',1,0,'Spells/Priest/Cleric/Templar/DivineSmite.lua',2345,'You cast Divine Smite VII on %t.',0,0,0,1,0,0,0,0,0,130027,0,0,0,0,0,1,0,0,0,'DD',1580523166,1384377826,0,1),
(130035,3413650915,0,0,'Divine Smite VIII','Deals instant divine damage to target enemy.',152,14,315,2581053277,613995491,410,0,1,'Your Divine Smite VIII was successful on %t!','Your Divine Smite VIII fades.','',1,0,'Spells/Priest/Cleric/Templar/DivineSmite.lua',2345,'You cast Divine Smite VIII on %t.',0,0,0,1,0,0,0,0,0,130027,0,0,0,0,0,1,0,0,0,'DD',1580523337,1384378111,0,1),
(130036,2799898508,0,0,'Light Strike','Deals instant divine damage to target enemy. If the target is Undead, it receives additional divine damage.',182,14,315,2581053277,613995491,15,0,1,'Your Divine Strike was successful on %t!','Your Divine Strike fades.','',1,0,'Spells/Priest/Cleric/Templar/DivineStrike.lua',2346,'You cast Divine Strike on %t.',0,0,0,1,0,0,0,0,0,130036,0,0,0,0,0,0,0,0,0,'DD',1580524904,1384377826,0,1),
(130037,3052505530,0,0,'Radiant Strike','Deals instant divine damage to target enemy. If the target is Undead, it receives additional divine damage.',182,14,315,3341842907,613995491,55,0,1,'Your Divine Strike II was successful on %t!','Your Divine Strike II fades.','',1,0,'Spells/Priest/Cleric/Templar/DivineStrike.lua',2346,'You cast Divine Strike II on %t.',0,0,0,1,0,0,0,0,0,130036,0,0,0,0,0,0,0,0,0,'DD',1580525020,1384378112,0,1),
(130038,352844280,0,0,'Celestial Strike','Deals instant divine damage to target enemy. If the target is Undead, it receives additional divine damage.',182,14,315,2581053277,613995491,125,0,1,'Your Divine Strike III was successful on %t!','Your Divine Strike III fades.','',1,0,'Spells/Priest/Cleric/Templar/CelestialStrike.lua',2346,'You cast Divine Strike III on %t.',0,0,0,1,0,0,0,0,0,130036,0,0,0,0,0,0,0,0,0,'DD',1580525164,1384377826,0,1),
(130039,3616984820,0,0,'Divine Strike','Deals instant divine damage to target enemy. If the target is Undead, it receives additional divine damage.',182,14,315,2581053277,613995491,190,0,1,'Your Divine Strike IV was successful on %t!','Your Divine Strike IV fades.','',1,0,'Spells/Priest/Cleric/Templar/DivineStrike.lua',2346,'You cast Divine Strike IV on %t.',0,0,0,1,0,0,0,0,0,130036,0,0,0,0,0,1,0,0,0,'DD',1580525263,1384378113,0,1),
(130040,1982214013,0,0,'Divine Strike IX','Deals instant divine damage to target enemy. If the target is Undead, it receives additional divine damage.',182,14,315,2581053277,613995491,490,0,1,'Your Divine Strike IX was successful on %t!','Your Divine Strike IX fades.','',1,0,'Spells/Priest/Cleric/Templar/DivineStrike.lua',2346,'You cast Divine Strike IX on %t.',0,0,0,0,0,0,0,0,0,130036,0,0,0,0,0,1,0,0,0,'DD',1580525539,1384378111,0,1),
(130041,3388895220,0,0,'Consecrated Strike','Deals instant divine damage to target enemy. If the target is Undead, it receives additional divine damage.',182,14,315,2581053277,613995491,265,0,1,'Your Divine Strike V was successful on %t!','Your Divine Strike V fades.','',1,0,'Spells/Priest/Cleric/Templar/DivineStrike.lua',2346,'You cast Divine Strike V on %t.',0,0,0,1,0,0,0,0,0,130036,0,0,0,0,0,1,0,0,0,'DD',1580525305,1384378111,0,1),
(130042,130174654,0,0,'Holy Strike','Deals instant divine damage to target enemy. If the target is Undead, it receives additional divine damage.',182,14,315,2581053277,613995491,335,0,1,'Your Divine Strike VI was successful on %t!','Your Divine Strike VI fades.','',1,0,'Spells/Priest/Cleric/Templar/DivineStrike.lua',2346,'You cast Divine Strike VI on %t.',0,0,0,1,0,0,0,0,0,130036,0,0,0,0,0,1,0,0,0,'DD',1580525357,1384378113,0,1),
(130043,3501158034,0,0,'Martyr Strike','Deals instant divine damage to target enemy. If the target is Undead, it receives additional divine damage.',182,14,315,2581053277,613995491,390,0,1,'Your Divine Strike VII was successful on %t!','Your Divine Strike VII fades.','',1,0,'Spells/Priest/Cleric/Templar/DivineStrike.lua',2346,'You cast Divine Strike VII on %t.',0,0,0,1,0,0,0,0,0,130036,0,0,0,0,0,1,0,0,0,'DD',1580525443,1384377826,0,1),
(130044,3945385483,0,0,'Divine Strike VIII','Deals instant divine damage to target enemy. If the target is Undead, it receives additional divine damage.',182,14,315,2581053277,613995491,440,0,1,'Your Divine Strike VIII was successful on %t!','Your Divine Strike VIII fades.','',1,0,'Spells/Priest/Cleric/Templar/DivineStrike.lua',2346,'You cast Divine Strike VIII on %t.',0,0,0,1,0,0,0,0,0,130036,0,0,0,0,0,1,0,0,0,'DD',1580525493,1384378111,0,1),
(130045,302740829,0,0,'Benefaction','An augmentation that greatly heals an ally when they are attacked, and has a limited number of heals before expiring. It costs a large amount of power over time to maintain the spell, but the spell can be toggled off early if desired.',300,12,316,2581053277,366253016,250,0,1,'Your Focused Intervention was successful on %t!','Your Focused Intervention fades.','',1,0,'Spells/Priest/Cleric/Templar/FocusedIntervention.lua',2347,'You cast Focused Intervention on %t.',0,0,0,1,1,1,0,0,0,130045,0,0,0,0,0,1,0,0,0,'Unset',1580610502,1384377826,0,1),
(130046,1361727513,0,0,'Focused Intercession','An augmentation that greatly heals an ally when they are attacked, and has a limited number of heals before expiring. It costs a large amount of power over time to maintain the spell, but the spell can be toggled off early if desired.',300,12,316,2581053277,366253016,350,0,1,'Your Focused Intervention II was successful on %t!','Your Focused Intervention II fades.','',1,0,'Spells/Priest/Cleric/Templar/FocusedIntervention.lua',2347,'You cast Focused Intervention II on %t.',0,0,0,1,1,1,0,0,0,130045,0,0,0,0,0,1,0,0,0,'Unset',1580610567,1384378113,0,1),
(130047,392909682,0,0,'Focused Intervention','An augmentation that greatly heals an ally when they are attacked, and has a limited number of heals before expiring. It costs a large amount of power over time to maintain the spell, but the spell can be toggled off early if desired.',300,12,316,2581053277,366253016,400,0,1,'Your Focused Intervention III was successful on %t!','Your Focused Intervention III fades.','',1,0,'Spells/Priest/Cleric/Templar/FocusedIntervention.lua',2347,'You cast Focused Intervention III on %t.',0,0,0,1,1,1,0,0,0,130045,0,0,0,0,0,1,0,0,0,'Unset',1580610644,1384378111,0,1),
(130048,2350430630,0,0,'Focused Intervention IV','An augmentation that greatly heals an ally when they are attacked, and has a limited number of heals before expiring. It costs a large amount of power over time to maintain the spell, but the spell can be toggled off early if desired.',300,12,316,2581053277,366253016,450,0,1,'Your Focused Intervention IV was successful on %t!','Your Focused Intervention IV fades.','',1,0,'Spells/Priest/Cleric/Templar/FocusedIntervention.lua',2347,'You cast Focused Intervention IV on %t.',0,0,0,1,1,1,0,0,0,130045,0,0,0,0,0,1,0,0,0,'Unset',1580610692,1384378113,0,1),
(130049,2532799859,0,0,'Focused Intervention V','An augmentation that greatly heals an ally when they are attacked, and has a limited number of heals before expiring. It costs a large amount of power over time to maintain the spell, but the spell can be toggled off early if desired.',300,12,316,2581053277,366253016,500,0,1,'Your Focused Intervention V was successful on %t!','Your Focused Intervention V fades.','',1,0,'Spells/Priest/Cleric/Templar/FocusedIntervention.lua',2347,'You cast Focused Intervention V on %t.',0,0,0,0,1,0,0,0,0,130045,0,0,0,0,0,1,0,0,0,'Unset',1580610715,1384377826,0,1),
(130050,995090721,0,1,'Glory of Combat','Augmentation that grants the templar''s ally a chance of healing the entire group on each successful attack.',307,16,316,2581053277,3587918036,235,1,1,'Your Glory was successful on %t!','Your Glory fades.','',1,1,'Spells/Priest/Cleric/Templar/Glory.lua',2348,'You cast Glory on %t.',0,0,0,1,1,1,0,0,0,130050,0,0,0,0,0,1,0,0,0,'Unset',1580610115,1384378111,0,1),
(130051,346113134,0,1,'Glory of Battle','Augmentation that grants the templar''s ally a chance of healing the entire group on each successful attack.',307,16,316,2581053277,3587918036,305,1,1,'Your Glory II was successful on %t!','Your Glory II fades.','',1,1,'Spells/Priest/Cleric/Templar/Glory.lua',2348,'You cast Glory II on %t.',0,0,0,1,1,1,0,0,0,130050,0,0,0,0,0,1,0,0,0,'Unset',1580610171,1384378113,0,1),
(130052,3682754666,0,1,'Glory','Augmentation that grants the templar''s ally a chance of healing the entire group on each successful attack.',307,16,316,2581053277,3587918036,375,1,1,'Your Glory III was successful on %t!','Your Glory III fades.','',1,1,'Spells/Priest/Cleric/Templar/Glory.lua',2348,'You cast Glory III on %t.',0,0,0,1,1,1,0,0,0,130050,0,0,0,0,0,1,0,0,0,'Unset',1580610257,1384378111,0,1),
(130053,44200646,0,1,'Glory IV','Augmentation that grants the templar''s ally a chance of healing the entire group on each successful attack.',307,16,316,2581053277,3587918036,425,1,1,'Your Glory IV was successful on %t!','Your Glory IV fades.','',1,1,'Spells/Priest/Cleric/Templar/Glory.lua',2348,'You cast Glory IV on %t.',0,0,0,1,1,1,0,0,0,130050,0,0,0,0,0,1,0,0,0,'Unset',1580610322,1384378111,0,1),
(130054,3456660056,0,1,'Glory V','Augmentation that grants the templar''s ally a chance of healing the entire group on each successful attack.',307,16,316,2581053277,3587918036,475,1,1,'Your Glory V was successful on %t!','Your Glory V fades.','',1,1,'Spells/Priest/Cleric/Templar/Glory.lua',2348,'You cast Glory V on %t.',0,0,0,1,1,1,0,0,0,130050,0,0,0,0,0,1,0,0,0,'Unset',1580610365,1384378111,0,1),
(130055,4262319356,0,0,'Complacent','Dazes all enemies near the templar, preventing them from auto attacking, and reduces their hate towards the templar. Any hostile actions taken on them will break the daze effect.',157,14,313,2581053277,882983852,65,0,1,'Your Harmony was successful on %t!','Your Harmony fades.','',1,0,'Spells/Priest/Cleric/Templar/Harmony.lua',2349,'You cast Harmony on %t.',0,0,0,1,0,1,2,3,0,130055,0,0,0,0,0,0,0,0,0,'Unset',1580584904,1384378112,0,1),
(130056,3331779480,0,0,'Placate','Dazes all enemies near the templar, preventing them from auto attacking, and reduces their hate towards the templar. Any hostile actions taken on them will break the daze effect.',157,14,313,2581053277,882983852,135,0,1,'Your Harmony II was successful on %t!','Your Harmony II fades.','',1,0,'Spells/Priest/Cleric/Templar/Placate.lua',2349,'You cast Harmony II on %t.',0,0,0,1,0,1,2,3,0,130055,0,0,0,0,0,0,0,0,0,'Unset',1580584937,1384378113,0,1),
(130057,3891389645,0,0,'Harmony','Dazes all enemies near the templar, preventing them from auto attacking, and reduces their hate towards the templar. Any hostile actions taken on them will break the daze effect.',157,14,313,2581053277,882983852,205,0,1,'Your Harmony III was successful on %t!','Your Harmony III fades.','',1,0,'Spells/Priest/Cleric/Templar/Harmony.lua',2349,'You cast Harmony III on %t.',0,0,0,1,0,1,2,3,0,130055,0,0,0,0,0,0,0,0,0,'Unset',1580584957,1384377826,0,1),
(130058,3318895338,0,0,'Greater Harmony','Dazes all enemies near the templar, preventing them from auto attacking, and reduces their hate towards the templar. Any hostile actions taken on them will break the daze effect.',157,14,313,2581053277,882983852,275,0,1,'Your Harmony IV was successful on %t!','Your Harmony IV fades.','',1,0,'Spells/Priest/Cleric/Templar/Harmony.lua',2349,'You cast Harmony IV on %t.',0,0,0,1,0,1,2,3,0,130055,0,0,0,0,0,0,0,0,0,'Unset',1580584987,1384377826,0,1),
(130059,3342676491,0,0,'Complacency','Dazes all enemies near the templar, preventing them from auto attacking, and reduces their hate towards the templar. Any hostile actions taken on them will break the daze effect.',157,14,313,2581053277,882983852,345,0,1,'Your Harmony V was successful on %t!','Your Harmony V fades.','',1,0,'Spells/Priest/Cleric/Templar/Harmony.lua',2349,'You cast Harmony V on %t.',0,0,0,1,0,1,2,3,0,130055,0,0,0,0,0,0,0,0,0,'Unset',1580585044,1384378113,0,1),
(130060,4258801484,0,0,'Greater Complacency','Dazes all enemies near the templar, preventing them from auto attacking, and reduces their hate towards the templar. Any hostile actions taken on them will break the daze effect.',157,14,313,2581053277,882983852,395,0,1,'Your Harmony VI was successful on %t!','Your Harmony VI fades.','',1,0,'Spells/Priest/Cleric/Templar/Harmony.lua',2349,'You cast Harmony VI on %t.',0,0,0,1,0,1,2,3,0,130055,0,0,0,0,0,0,0,0,0,'Unset',1580585068,1384377826,0,1),
(130061,3578771152,0,0,'Harmony VII','Dazes all enemies near the templar, preventing them from auto attacking, and reduces their hate towards the templar. Any hostile actions taken on them will break the daze effect.',157,14,313,2581053277,882983852,445,0,1,'Your Harmony VII was successful on %t!','Your Harmony VII fades.','',1,0,'Spells/Priest/Cleric/Templar/Harmony.lua',2349,'You cast Harmony VII on %t.',0,0,0,1,0,1,2,3,0,130055,0,0,0,0,0,0,0,0,0,'Unset',1580585116,1384378113,0,1),
(130062,982375918,0,0,'Harmony VIII','Dazes all enemies near the templar, preventing them from auto attacking, and reduces their hate towards the templar. Any hostile actions taken on them will break the daze effect.',157,14,313,2581053277,882983852,495,0,1,'Your Harmony VIII was successful on %t!','Your Harmony VIII fades.','',1,0,'Spells/Priest/Cleric/Templar/Harmony.lua',2349,'You cast Harmony VIII on %t.',0,0,0,0,0,0,2,3,0,130055,0,0,0,0,0,0,0,0,0,'Unset',1580585135,1384378111,0,1),
(130063,3296391181,0,0,'Amending Fate','An impairment placed on an opponent that will grant Health to the Templar and allies when the opponent takes a certain amount of damage.',216,15,315,2581053277,3587918036,100,0,1,'Your Healing Fate was successful on %t!','Your Healing Fate fades.','',1,0,'Spells/Priest/Cleric/Templar/AmendingFate.lua',2350,'You cast Healing Fate on %t.',0,0,0,1,0,1,2,0,0,130063,0,0,0,0,0,0,0,0,0,'Unset',1580586155,1384378113,0,1),
(130064,3671419636,0,0,'Redemptive Fate','An impairment placed on an opponent that will grant Health to the Templar and allies when the opponent takes a certain amount of damage.',216,15,315,2581053277,3587918036,170,0,1,'Your Healing Fate II was successful on %t!','Your Healing Fate II fades.','',1,0,'Spells/Priest/Cleric/Templar/HealingFate.lua',2350,'You cast Healing Fate II on %t.',0,0,0,1,0,1,2,0,0,130063,0,0,0,0,0,0,0,0,0,'Unset',1580586276,1384378113,0,1),
(130065,2369791529,0,0,'Atoning Fate','An impairment placed on an opponent that will grant Health to the Templar and allies when the opponent takes a certain amount of damage.',216,15,315,2581053277,3587918036,240,0,1,'Your Healing Fate III was successful on %t!','Your Healing Fate III fades.','',1,0,'Spells/Priest/Cleric/Templar/HealingFate.lua',2350,'You cast Healing Fate III on %t.',0,0,0,1,0,1,2,0,0,130063,0,0,0,0,0,0,0,0,0,'Unset',1580586318,1384377826,0,1),
(130066,3137877962,0,0,'Supplicating Fate','An impairment placed on an opponent that will grant Health to the Templar and allies when the opponent takes a certain amount of damage.',216,15,315,2581053277,3587918036,310,0,1,'Your Healing Fate IV was successful on %t!','Your Healing Fate IV fades.','',1,0,'Spells/Priest/Cleric/Templar/HealingFate.lua',2350,'You cast Healing Fate IV on %t.',0,0,0,1,0,1,2,0,0,130063,0,0,0,0,0,0,0,0,0,'Unset',1580587847,1384378113,0,1),
(130067,996257122,0,0,'Healing Fate','An impairment placed on an opponent that will grant Health to the Templar and allies when the opponent takes a certain amount of damage.',216,15,315,2581053277,3587918036,380,0,1,'Your Healing Fate V was successful on %t!','Your Healing Fate V fades.','',1,0,'Spells/Priest/Cleric/Templar/HealingFate.lua',2350,'You cast Healing Fate V on %t.',0,0,0,1,0,1,2,0,0,130063,0,0,0,0,0,0,0,0,0,'Unset',1580587991,1384378111,0,1),
(130068,1877569279,0,0,'Healing Fate VI','An impairment placed on an opponent that will grant Health to the Templar and allies when the opponent takes a certain amount of damage.',216,15,315,2581053277,3587918036,430,0,1,'Your Healing Fate VI was successful on %t!','Your Healing Fate VI fades.','',1,0,'Spells/Priest/Cleric/Templar/HealingFate.lua',2350,'You cast Healing Fate VI on %t.',0,0,0,1,0,1,2,0,0,130063,0,0,0,0,0,0,0,0,0,'Unset',1580588048,1384378111,0,1),
(130069,3591550231,0,0,'Healing Fate VII','An impairment placed on an opponent that will grant Health to the Templar and allies when the opponent takes a certain amount of damage.',216,15,315,2581053277,3587918036,480,0,1,'Your Healing Fate VII was successful on %t!','Your Healing Fate VII fades.','',1,0,'Spells/Priest/Cleric/Templar/HealingFate.lua',2350,'You cast Healing Fate VII on %t.',0,0,0,0,0,0,2,0,0,130063,0,0,0,0,0,0,0,0,0,'Unset',1580588129,1384378111,0,1),
(130070,1839620463,0,1,'Courage','A group augmentation which increases max health of the fighters  in the templar''s group and physical mitigation of the non-fighters in the templar''s group.',146,65535,314,2463145248,3587918036,25,1,2,'Your Holy Armor was successful on %t!','Your Holy Armor fades.','',0,1,'Spells/Priest/Cleric/Templar/HolyArmor.lua',2351,'You cast Holy Armor on %t.',0,0,0,1,1,1,0,0,0,130070,0,0,0,0,0,0,0,0,0,'Unset',1580581373,1384377826,0,1),
(130071,2472043330,0,1,'Daring','A group augmentation which increases max health of the fighters  in the templar''s group and physical mitigation of the non-fighters in the templar''s group.',146,65535,314,3341842907,3587918036,95,1,2,'Your Holy Armor II was successful on %t!','Your Holy Armor II fades.','',0,1,'Spells/Priest/Cleric/Templar/HolyArmor.lua',2351,'You cast Holy Armor II on %t.',0,0,0,1,1,1,0,0,0,130070,0,0,0,0,0,0,0,0,0,'Unset',1580581394,1384378113,0,1),
(130072,4027066537,0,1,'Bravery','A group augmentation which increases max health of the fighters  in the templar''s group and physical mitigation of the non-fighters in the templar''s group.',146,65535,314,2581053277,3587918036,165,1,2,'Your Holy Armor III was successful on %t!','Your Holy Armor III fades.','',1,1,'Spells/Priest/Cleric/Templar/HolyArmor.lua',2351,'You cast Holy Armor III on %t.',0,0,0,1,1,1,0,0,0,130070,0,0,0,0,0,1,0,0,0,'Unset',1580581409,1384378113,0,1),
(130073,953520970,0,1,'Valor','A group augmentation which increases max health of the fighters  in the templar''s group and physical mitigation of the non-fighters in the templar''s group.',146,65535,314,2581053277,3587918036,235,1,2,'Your Holy Armor IV was successful on %t!','Your Holy Armor IV fades.','',1,1,'Spells/Priest/Cleric/Templar/HolyArmor.lua',2351,'You cast Holy Armor IV on %t.',0,0,0,1,1,1,0,0,0,130070,0,0,0,0,0,1,0,0,0,'Unset',1580581423,1384377826,0,1),
(130074,1358180491,0,1,'Gallantry','A group augmentation which increases max health of the fighters  in the templar''s group and physical mitigation of the non-fighters in the templar''s group.',146,65535,314,2581053277,3587918036,305,1,2,'Your Holy Armor V was successful on %t!','Your Holy Armor V fades.','',1,1,'Spells/Priest/Cleric/Templar/HolyArmor.lua',2351,'You cast Holy Armor V on %t.',0,0,0,1,1,1,0,0,0,130070,0,0,0,0,0,1,0,0,0,'Unset',1580581438,1384377826,0,1),
(130075,528669729,0,1,'Holy Armor','A group augmentation which increases max health of the fighters  in the templar''s group and physical mitigation of the non-fighters in the templar''s group.',146,65535,314,2581053277,3587918036,370,1,2,'Your Holy Armor VI was successful on %t!','Your Holy Armor VI fades.','',1,1,'Spells/Priest/Cleric/Templar/HolyArmor.lua',2351,'You cast Holy Armor VI on %t.',0,0,0,1,1,1,0,0,0,130070,0,0,0,0,0,1,0,0,0,'Unset',1580581470,1384378111,0,1),
(130076,955386132,0,1,'Holy Armor VII','A group augmentation which increases max health of the fighters  in the templar''s group and physical mitigation of the non-fighters in the templar''s group.',146,65535,314,2581053277,3587918036,420,1,2,'Your Holy Armor VII was successful on %t!','Your Holy Armor VII fades.','',1,1,'Spells/Priest/Cleric/Templar/HolyArmor.lua',2351,'You cast Holy Armor VII on %t.',0,0,0,1,1,1,0,0,0,130070,0,0,0,0,0,1,0,0,0,'Unset',1580581489,1384378111,0,1),
(130077,3848589457,0,1,'Holy Armor VIII','A group augmentation which increases max health of the fighters  in the templar''s group and physical mitigation of the non-fighters in the templar''s group.',146,65535,314,2581053277,3587918036,470,1,2,'Your Holy Armor VIII was successful on %t!','Your Holy Armor VIII fades.','',1,1,'Spells/Priest/Cleric/Templar/HolyArmorWithMitBonus.lua',2351,'You cast Holy Armor VIII on %t.',0,0,0,1,1,1,0,0,0,130070,0,0,0,0,0,1,0,0,0,'Unset',1580581574,1384378111,0,1),
(130078,2378842552,0,0,'Soohing Sermon','A group augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.',180,12,314,2581053277,366253016,70,0,2,'Your Holy Intercession was successful on %t!','Your Holy Intercession fades.','',1,0,'Spells/Priest/Cleric/Templar/HolyIntercession.lua',2373,'You cast Holy Intercession on %t.',0,1,1,1,1,1,0,0,0,130078,0,0,0,0,0,0,0,0,0,'Unset',1580585204,1384378113,0,1),
(130079,1739229589,0,0,'Intercession','A group augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.',180,12,314,2581053277,366253016,140,0,2,'Your Holy Intercession II was successful on %t!','Your Holy Intercession II fades.','',1,0,'Spells/Priest/Cleric/Templar/Intercession.lua',2352,'You cast Holy Intercession II on %t.',0,0,0,1,1,1,0,0,0,130078,0,0,0,0,0,0,0,0,0,'Unset',1580585219,1384378113,0,1),
(130080,4281960131,0,0,'Crucial Intercession','A group augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.',180,12,314,2581053277,366253016,210,0,2,'Your Holy Intercession III was successful on %t!','Your Holy Intercession III fades.','',1,0,'Spells/Priest/Cleric/Templar/HolyIntercession.lua',2352,'You cast Holy Intercession III on %t.',0,0,0,1,1,1,0,0,0,130078,0,0,0,0,0,1,0,0,0,'Unset',1580585230,1384378113,0,1),
(130081,1772708374,0,0,'Fateful Intercession','A group augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.',180,12,314,2581053277,366253016,280,0,2,'Your Holy Intercession IV was successful on %t!','Your Holy Intercession IV fades.','',1,0,'Spells/Priest/Cleric/Templar/HolyIntercession.lua',2352,'You cast Holy Intercession IV on %t.',0,0,0,1,1,1,0,0,0,130078,0,0,0,0,0,1,0,0,0,'Unset',1580585240,1384378111,0,1),
(130082,3277781569,0,0,'Dire Intercession','A group augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.',180,12,314,2581053277,366253016,350,0,2,'Your Holy Intercession V was successful on %t!','Your Holy Intercession V fades.','',1,0,'Spells/Priest/Cleric/Templar/HolyIntercession.lua',2352,'You cast Holy Intercession V on %t.',0,0,0,1,1,1,0,0,0,130078,0,0,0,0,0,1,0,0,0,'Unset',1580585250,1384378113,0,1),
(130083,1052920914,0,0,'Holy Intercession','A group augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.',180,12,314,2581053277,366253016,395,0,2,'Your Holy Intercession VI was successful on %t!','Your Holy Intercession VI fades.','',1,0,'Spells/Priest/Cleric/Templar/HolyIntercession.lua',2352,'You cast Holy Intercession VI on %t.',0,0,0,1,1,1,0,0,0,130078,0,0,0,0,0,1,0,0,0,'Unset',1580585259,1384378111,0,1),
(130084,1113406579,0,0,'Holy Intercession VII','A group augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.',180,12,314,2581053277,366253016,445,0,2,'Your Holy Intercession VII was successful on %t!','Your Holy Intercession VII fades.','',1,0,'Spells/Priest/Cleric/Templar/HolyIntercession.lua',2352,'You cast Holy Intercession VII on %t.',0,0,0,1,1,1,0,0,0,130078,0,0,0,0,0,1,0,0,0,'Unset',1580585285,1384378113,0,1),
(130085,658114357,0,0,'Holy Intercession VIII','A group augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.',180,12,314,2581053277,366253016,495,0,2,'Your Holy Intercession VIII was successful on %t!','Your Holy Intercession VIII fades.','',1,0,'Spells/Priest/Cleric/Templar/HolyIntercession.lua',2352,'You cast Holy Intercession VIII on %t.',0,0,0,0,1,1,0,0,0,130078,0,0,0,0,0,1,0,0,0,'Unset',1580585306,1384378111,0,1),
(130086,2106273833,0,0,'Salvation','If target ally receives damage that would be fatal, instead that ally is healed and their physical resistance is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,13,316,2581053277,3587918036,205,0,1,'Your Holy Salvation was successful on %t!','Your Holy Salvation fades.','',0,1,'Spells/Priest/Cleric/Templar/HolySalvation.lua',2353,'You cast Holy Salvation on %t.',0,0,0,1,1,1,0,0,0,130086,0,0,0,0,0,1,0,0,0,'Unset',1580609412,1384378113,0,1),
(130087,204882841,0,0,'Faithful Salvation','If target ally receives damage that would be fatal, instead that ally is healed and their physical resistance is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,13,316,2581053277,3587918036,275,0,1,'Your Holy Salvation II was successful on %t!','Your Holy Salvation II fades.','',1,1,'Spells/Priest/Cleric/Templar/HolySalvation.lua',2353,'You cast Holy Salvation II on %t.',0,0,0,1,1,1,0,0,0,130086,0,0,0,0,0,1,0,0,0,'Unset',1580609514,1384378111,0,1),
(130088,1343463176,0,0,'Forgiving Salvation','If target ally receives damage that would be fatal, instead that ally is healed and their physical resistance is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,13,316,2581053277,3587918036,345,0,1,'Your Holy Salvation III was successful on %t!','Your Holy Salvation III fades.','',1,1,'Spells/Priest/Cleric/Templar/HolySalvation.lua',2353,'You cast Holy Salvation III on %t.',0,0,0,1,1,1,0,0,0,130086,0,0,0,0,0,1,0,0,0,'Unset',1580609559,1384378113,0,1),
(130089,885758392,0,0,'Holy Salvation','If target ally receives damage that would be fatal, instead that ally is healed and their physical resistance is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,13,316,2581053277,3587918036,400,0,1,'Your Holy Salvation IV was successful on %t!','Your Holy Salvation IV fades.','',1,1,'Spells/Priest/Cleric/Templar/HolySalvation.lua',2353,'You cast Holy Salvation IV on %t.',0,0,0,1,1,1,0,0,0,130086,0,0,0,0,0,1,0,0,0,'Unset',1580609773,1384378111,0,1),
(130090,3010286331,0,0,'Holy Salvation V','If target ally receives damage that would be fatal, instead that ally is healed and their physical resistance is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,13,316,2581053277,3587918036,450,0,1,'Your Holy Salvation V was successful on %t!','Your Holy Salvation V fades.','',1,1,'Spells/Priest/Cleric/Templar/HolySalvation.lua',2353,'You cast Holy Salvation V on %t.',0,0,0,1,1,1,0,0,0,130086,0,0,0,0,0,1,0,0,0,'Unset',1580609729,1384378112,0,1),
(130091,1032413383,0,0,'Holy Salvation VI','If target ally receives damage that would be fatal, instead that ally is healed and their physical resistance is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,13,316,2581053277,3587918036,500,0,1,'Your Holy Salvation VI was successful on %t!','Your Holy Salvation VI fades.','',1,1,'Spells/Priest/Cleric/Templar/HolySalvation.lua',2353,'You cast Holy Salvation VI on %t.',0,0,0,0,1,0,0,0,0,130086,0,0,0,0,0,1,0,0,0,'Unset',1580609685,1384378111,0,1),
(130092,3419340565,0,1,'Impenetrable Faith','This is the condensed energy of an ancient, mythical weapon.',468,65535,317,2581053277,0,400,1,1,'Your Impenetrable Faith was successful on %t!','Your Impenetrable Faith fades.','',1,1,'',0,'You cast Impenetrable Faith on %t.',0,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384671408,1384377875,0,1),
(130093,831761792,0,0,'Involuntary Healer','An impairment that causes the enemy to sometimes replenish the health of the target and nearby allies that they are attacking. When this effect triggers, it also cures trauma impairments of the target they are attacking.',180,12,315,2581053277,3587918036,175,0,1,'Your Involuntary Gift was successful on %t!','Your Involuntary Gift fades.','',1,0,'Spells/Priest/Cleric/Templar/InvoluntaryGift.lua',2354,'You cast Involuntary Gift on %t.',0,0,0,1,0,1,2,0,0,130093,0,0,0,0,0,0,0,0,0,'Unset',1580608250,1384377826,0,1),
(130094,2282258545,0,0,'Involuntary Curate','An impairment that causes the enemy to sometimes replenish the health of the target and nearby allies that they are attacking. When this effect triggers, it also cures trauma impairments of the target they are attacking.',180,12,315,2581053277,3587918036,245,0,1,'Your Involuntary Gift II was successful on %t!','Your Involuntary Gift II fades.','',1,0,'Spells/Priest/Cleric/Templar/InvoluntaryGift.lua',2354,'You cast Involuntary Gift II on %t.',0,0,0,1,0,1,2,0,0,130093,0,0,0,0,0,0,0,0,0,'Unset',1580608302,1384378111,0,1),
(130095,367138991,0,0,'Involuntary Restoration','An impairment that causes the enemy to sometimes replenish the health of the target and nearby allies that they are attacking. When this effect triggers, it also cures trauma impairments of the target they are attacking.',180,12,315,2581053277,3587918036,315,0,1,'Your Involuntary Gift III was successful on %t!','Your Involuntary Gift III fades.','',1,0,'Spells/Priest/Cleric/Templar/InvoluntaryGift.lua',2354,'You cast Involuntary Gift III on %t.',0,0,0,1,0,1,2,0,0,130093,0,0,0,0,0,0,0,0,0,'Unset',1580608351,1384378113,0,1),
(130096,3469487007,0,0,'Involuntary Gift','An impairment that causes the enemy to sometimes replenish the health of the target and nearby allies that they are attacking. When this effect triggers, it also cures trauma impairments of the target they are attacking.',180,12,315,2581053277,3587918036,375,0,1,'Your Involuntary Gift IV was successful on %t!','Your Involuntary Gift IV fades.','',1,0,'Spells/Priest/Cleric/Templar/InvoluntaryGift.lua',2354,'You cast Involuntary Gift IV on %t.',0,0,0,1,0,1,2,0,0,130093,0,0,0,0,0,0,0,0,0,'Unset',1580608396,1384378111,0,1),
(130097,2371075409,0,0,'Involuntary Gift V','An impairment that causes the enemy to sometimes replenish the health of the target and nearby allies that they are attacking. When this effect triggers, it also cures trauma impairments of the target they are attacking.',180,12,315,2581053277,3587918036,425,0,1,'Your Involuntary Gift V was successful on %t!','Your Involuntary Gift V fades.','',1,0,'Spells/Priest/Cleric/Templar/InvoluntaryGift.lua',2354,'You cast Involuntary Gift V on %t.',0,0,0,1,0,1,2,0,0,130093,0,0,0,0,0,0,0,0,0,'Unset',1580608441,1384378111,0,1),
(130098,1521564937,0,0,'Involuntary Gift VI','An impairment that causes the enemy to sometimes replenish the health of the target and nearby allies that they are attacking. When this effect triggers, it also cures trauma impairments of the target they are attacking.',180,12,315,2581053277,3587918036,475,0,1,'Your Involuntary Gift VI was successful on %t!','Your Involuntary Gift VI fades.','',1,0,'Spells/Priest/Cleric/Templar/InvoluntaryGift.lua',2354,'You cast Involuntary Gift VI on %t.',0,0,0,0,0,0,2,0,0,130093,0,0,0,0,0,0,0,0,0,'Unset',1580608493,1384377826,0,1),
(130099,644658899,0,0,'Mark of Pawns','Impairment that is cast on an opponent that decreases their Arcane resistance and has a chance to heal over time an ally that successfully attacks this opponent in melee.',492,15,315,3341842907,3587918036,90,0,1,'Your Mark of Divinity was successful on %t!','Your Mark of Divinity fades.','',1,0,'Spells/Priest/Cleric/Templar/MarkofDivinity.lua',2355,'You cast Mark of Divinity on %t.',0,0,0,1,0,1,2,0,0,130099,0,0,0,0,0,0,0,0,0,'Unset',1580585774,1384378112,0,1),
(130100,2712859578,0,0,'Mark of Princes','Impairment that is cast on an opponent that decreases their Arcane resistance and has a chance to heal over time an ally that successfully attacks this opponent in melee.',492,15,315,2581053277,3587918036,160,0,1,'Your Mark of Divinity II was successful on %t!','Your Mark of Divinity II fades.','',1,0,'Spells/Priest/Cleric/Templar/MarkofDivinity.lua',2355,'You cast Mark of Divinity II on %t.',0,0,0,1,0,1,2,0,0,130099,0,0,0,0,0,1,0,0,0,'Unset',1580585839,1384378113,0,1),
(130101,1971604374,0,0,'Mark of Kings','Impairment that is cast on an opponent that decreases their Arcane resistance and has a chance to heal over time an ally that successfully attacks this opponent in melee.',492,15,315,2581053277,3587918036,230,0,1,'Your Mark of Divinity III was successful on %t!','Your Mark of Divinity III fades.','',1,0,'Spells/Priest/Cleric/Templar/MarkofDivinity.lua',2355,'You cast Mark of Divinity III on %t.',0,0,0,1,0,1,2,0,0,130099,0,0,0,0,0,1,0,0,0,'Unset',1580585892,1384377826,0,1),
(130102,3803566210,0,0,'Mark of the Celestial','Impairment that is cast on an opponent that decreases their Arcane resistance and has a chance to heal over time an ally that successfully attacks this opponent in melee.',492,15,315,2581053277,3587918036,300,0,1,'Your Mark of Divinity IV was successful on %t!','Your Mark of Divinity IV fades.','',1,0,'Spells/Priest/Cleric/Templar/MarkofDivinity.lua',2355,'You cast Mark of Divinity IV on %t.',0,0,0,1,0,1,2,0,0,130099,0,0,0,0,0,1,0,0,0,'Unset',1580585934,1384378113,0,1),
(130103,750953467,0,0,'Mark of Divinity','Impairment that is cast on an opponent that decreases their Arcane resistance and has a chance to heal over time an ally that successfully attacks this opponent in melee.',492,15,315,2581053277,3587918036,365,0,1,'Your Mark of Divinity V was successful on %t!','Your Mark of Divinity V fades.','',1,0,'Spells/Priest/Cleric/Templar/MarkofDivinity.lua',2355,'You cast Mark of Divinity V on %t.',0,0,0,1,0,1,2,0,0,130099,0,0,0,0,0,1,0,0,0,'Unset',1580585977,1384378111,0,1),
(130104,1868379445,0,0,'Mark of Divinity VI','Impairment that is cast on an opponent that decreases their Arcane resistance and has a chance to heal over time an ally that successfully attacks this opponent in melee.',492,15,315,2581053277,3587918036,415,0,1,'Your Mark of Divinity VI was successful on %t!','Your Mark of Divinity VI fades.','',1,0,'Spells/Priest/Cleric/Templar/MarkofDivinity.lua',2355,'You cast Mark of Divinity VI on %t.',0,0,0,1,0,1,2,0,0,130099,0,0,0,0,0,1,0,0,0,'Unset',1580586020,1384378111,0,1),
(130105,3099571565,0,0,'Mark of Divinity VII','Impairment that is cast on an opponent that decreases their Arcane resistance and has a chance to heal over time an ally that successfully attacks this opponent in melee.',492,15,315,2581053277,3587918036,465,0,1,'Your Mark of Divinity VII was successful on %t!','Your Mark of Divinity VII fades.','',1,0,'Spells/Priest/Cleric/Templar/MarkofDivinity.lua',2355,'You cast Mark of Divinity VII on %t.',0,0,0,0,0,0,2,0,0,130099,0,0,0,0,0,1,0,0,0,'Unset',1580586075,1384378111,0,1),
(130106,4116243794,0,0,'Minor Healing','Instantly heals some of target ally''s health.',158,12,316,2463145248,366253016,5,0,1,'Your Meliorate was successful on %t!','Your Meliorate fades.','',1,0,'Spells/Priest/Cleric/Templar/Meliorate.lua',2356,'You cast Meliorate on %t.',0,0,0,1,1,0,0,0,0,130106,0,0,0,0,0,0,0,0,0,'Unset',1580523744,1384378113,0,1),
(130107,4105544774,0,0,'Healing','Instantly heals some of target ally''s health.',158,12,316,2581053277,366253016,35,0,1,'Your Meliorate II was successful on %t!','Your Meliorate II fades.','',1,0,'Spells/Priest/Cleric/Templar/Meliorate.lua',2356,'You cast Meliorate II on %t.',0,0,0,1,1,0,0,0,0,130106,0,0,0,0,0,0,0,0,0,'Unset',1580523776,1384378113,0,1),
(130108,882183196,0,0,'Greater Healing','Instantly heals some of target ally''s health.',158,12,316,2581053277,366253016,75,0,1,'Your Meliorate III was successful on %t!','Your Meliorate III fades.','',1,0,'Spells/Priest/Cleric/Templar/Meliorate.lua',2356,'You cast Meliorate III on %t.',0,1,0,1,1,0,0,0,0,130106,0,0,0,0,0,0,0,0,0,'Unset',1580523799,1384378112,0,1),
(130109,1530301492,0,0,'Amelioration','Instantly heals some of target ally''s health.',158,12,316,2581053277,366253016,110,0,1,'Your Meliorate IV was successful on %t!','Your Meliorate IV fades.','',1,0,'Spells/Priest/Cleric/Templar/Meliorate.lua',2356,'You cast Meliorate IV on %t.',0,1,0,1,1,0,0,0,0,130106,0,0,0,0,0,0,0,0,0,'Unset',1580523855,1384378113,0,1),
(130110,86325846,0,0,'Meliorate IX','Instantly heals some of target ally''s health.',158,12,316,2581053277,366253016,405,0,1,'Your Meliorate IX was successful on %t!','Your Meliorate IX fades.','',1,0,'Spells/Priest/Cleric/Templar/Meliorate.lua',2356,'You cast Meliorate IX on %t.',0,1,0,1,1,0,0,0,0,130106,0,0,0,0,0,1,0,0,0,'Unset',1580524235,1384378111,0,1),
(130111,3822996630,0,0,'Amelioration','Instantly heals some of target ally''s health.',158,12,316,2581053277,366253016,145,0,1,'Your Meliorate V was successful on %t!','Your Meliorate V fades.','',1,0,'Spells/Priest/Cleric/Templar/Amelioration.lua',2356,'You cast Meliorate V on %t.',0,1,0,1,1,0,0,0,0,130106,0,0,0,0,0,0,0,0,0,'Unset',1580523974,1384377826,0,1),
(130112,117904398,0,0,'Greater Amelioration','Instantly heals some of target ally''s health.',158,12,316,2581053277,366253016,215,0,1,'Your Meliorate VI was successful on %t!','Your Meliorate VI fades.','',1,0,'Spells/Priest/Cleric/Templar/Meliorate.lua',2356,'You cast Meliorate VI on %t.',0,1,0,1,1,0,0,0,0,130106,0,0,0,0,0,1,0,0,0,'Unset',1580524024,1384377826,0,1),
(130113,748855261,0,0,'Grand Amelioration','Instantly heals some of target ally''s health.',158,12,316,2581053277,366253016,285,0,1,'Your Meliorate VII was successful on %t!','Your Meliorate VII fades.','',1,0,'Spells/Priest/Cleric/Templar/Meliorate.lua',2356,'You cast Meliorate VII on %t.',0,1,0,1,1,0,0,0,0,130106,0,0,0,0,0,1,0,0,0,'Unset',1580524126,1384378113,0,1),
(130114,2008130855,0,0,'Meliorate','Instantly heals some of target ally''s health.',158,12,316,2581053277,366253016,355,0,1,'Your Meliorate VIII was successful on %t!','Your Meliorate VIII fades.','',1,0,'Spells/Priest/Cleric/Templar/Meliorate.lua',2356,'You cast Meliorate VIII on %t.',0,1,0,1,1,0,0,0,0,130106,0,0,0,0,0,1,0,0,0,'Unset',1580524178,1384378113,0,1),
(130115,2659219001,0,0,'Meliorate X','Instantly heals some of target ally''s health.',158,12,316,2581053277,366253016,455,0,1,'Your Meliorate X was successful on %t!','Your Meliorate X fades.','',1,0,'Spells/Priest/Cleric/Templar/Meliorate.lua',2356,'You cast Meliorate X on %t.',0,1,0,1,1,0,0,0,0,130106,0,0,0,0,0,1,0,0,0,'Unset',1580524286,1384377826,0,1),
(130116,2710942480,0,0,'Rebuke','Impairment that interrupts the target and reduces the physical damage resistance of the target.',186,15,315,3341842907,3587918036,10,0,1,'Your Rebuke was successful on %t!','Your Rebuke fades.','',1,0,'Spells/Priest/Cleric/Templar/Rebuke.lua',2361,'You cast Rebuke on %t.',0,0,0,1,0,0,2,0,0,130116,0,0,0,0,0,0,0,0,0,'Debuff',1580524335,1384377826,0,1),
(130117,17162905,0,0,'Scorn','Impairment that interrupts the target and reduces the physical damage resistance of the target.',186,15,315,2581053277,3587918036,50,0,1,'Your Rebuke II was successful on %t!','Your Rebuke II fades.','',1,0,'Spells/Priest/Cleric/Templar/Rebuke.lua',2361,'You cast Rebuke II on %t.',0,0,0,1,0,0,2,0,0,130116,0,0,0,0,0,0,0,0,0,'Debuff',1580524359,1384378112,0,1),
(130118,3699782400,0,0,'Disgrace','Impairment that interrupts the target and reduces the physical damage resistance of the target.',186,15,315,2581053277,3587918036,120,0,1,'Your Rebuke III was successful on %t!','Your Rebuke III fades.','',1,0,'Spells/Priest/Cleric/Templar/Disgrace.lua',2361,'You cast Rebuke III on %t.',0,0,0,1,0,1,2,0,0,130116,0,0,0,0,0,0,0,0,0,'Debuff',1580524405,1384377826,0,1),
(130119,3467319565,0,0,'Reproach','Impairment that interrupts the target and reduces the physical damage resistance of the target.',186,15,315,2581053277,3587918036,190,0,1,'Your Rebuke IV was successful on %t!','Your Rebuke IV fades.','',1,0,'Spells/Priest/Cleric/Templar/Rebuke.lua',2361,'You cast Rebuke IV on %t.',0,0,0,1,0,1,2,0,0,130116,0,0,0,0,0,1,0,0,0,'Debuff',1580524570,1384378112,0,1),
(130120,3411610828,0,0,'Rebuke IX','Impairment that interrupts the target and reduces the physical damage resistance of the target.',186,15,315,2581053277,3587918036,485,0,1,'Your Rebuke IX was successful on %t!','Your Rebuke IX fades.','',1,0,'Spells/Priest/Cleric/Templar/Rebuke.lua',2361,'You cast Rebuke IX on %t.',0,0,0,0,0,0,2,0,0,130116,0,0,0,0,0,1,0,0,0,'Debuff',1580524849,1384378111,0,1),
(130121,3144436874,0,0,'Admonishment','Impairment that interrupts the target and reduces the physical damage resistance of the target.',186,15,315,2581053277,3587918036,260,0,1,'Your Rebuke V was successful on %t!','Your Rebuke V fades.','',1,0,'Spells/Priest/Cleric/Templar/Rebuke.lua',2361,'You cast Rebuke V on %t.',0,0,0,1,0,1,2,0,0,130116,0,0,0,0,0,1,0,0,0,'Debuff',1580524626,1384377826,0,1),
(130122,990707821,0,0,'Spurn','Impairment that interrupts the target and reduces the physical damage resistance of the target.',186,15,315,2581053277,3587918036,330,0,1,'Your Rebuke VI was successful on %t!','Your Rebuke VI fades.','',1,0,'Spells/Priest/Cleric/Templar/Rebuke.lua',2361,'You cast Rebuke VI on %t.',0,0,0,1,0,1,2,0,0,130116,0,0,0,0,0,1,0,0,0,'Debuff',1580524675,1384378113,0,1),
(130123,1766962781,0,0,'Reproval','Impairment that interrupts the target and reduces the physical damage resistance of the target.',186,15,315,2581053277,3587918036,385,0,1,'Your Rebuke VII was successful on %t!','Your Rebuke VII fades.','',1,0,'Spells/Priest/Cleric/Templar/Rebuke.lua',2361,'You cast Rebuke VII on %t.',0,0,0,1,0,1,2,0,0,130116,0,0,0,0,0,1,0,0,0,'Debuff',1580524724,1384378111,0,1),
(130124,3693222031,0,0,'Rebuke VIII','Impairment that interrupts the target and reduces the physical damage resistance of the target.',186,15,315,2581053277,3587918036,435,0,1,'Your Rebuke VIII was successful on %t!','Your Rebuke VIII fades.','',1,0,'Spells/Priest/Cleric/Templar/Rebuke.lua',2361,'You cast Rebuke VIII on %t.',0,0,0,1,0,1,2,0,0,130116,0,0,0,0,0,1,0,0,0,'Debuff',1580524794,1384378111,0,1),
(130125,655817029,0,0,'Repent','Repent reverses harmful damage on an ally and converts it into a heal.',155,16,316,2581053277,366253016,400,0,1,'Your Repent was successful on %t!','Your Repent fades.','',1,0,'Spells/Priest/Cleric/Templar/Repent.lua',2362,'You cast Repent on %t.',0,1,0,1,1,1,0,0,0,130125,0,0,0,0,0,0,0,0,0,'Unset',1580611881,1384378111,0,1),
(130126,812510470,0,0,'Repent II','Repent reverses harmful damage on an ally and converts it into a heal.',155,16,316,2581053277,366253016,450,0,1,'Your Repent II was successful on %t!','Your Repent II fades.','',1,0,'Spells/Priest/Cleric/Templar/Repent.lua',2362,'You cast Repent II on %t.',0,1,0,1,1,1,0,0,0,130125,0,0,0,0,0,0,0,0,0,'Unset',1580611964,1384378112,0,1),
(130127,1930178659,0,0,'Repent III','Repent reverses harmful damage on an ally and converts it into a heal.',155,16,316,2581053277,366253016,500,0,1,'Your Repent III was successful on %t!','Your Repent III fades.','',1,0,'Spells/Priest/Cleric/Templar/Repent.lua',2362,'You cast Repent III on %t.',0,0,0,0,1,0,0,0,0,130125,0,0,0,0,0,0,0,0,0,'Unset',1580612013,1384377826,0,1),
(130128,4128489925,0,0,'Minor Arch Healing','Replenishes a large amount of target ally''s health.',468,12,316,2463145248,366253016,15,0,1,'Your Restoration was successful on %t!','Your Restoration fades.','',1,0,'Spells/Priest/Cleric/Templar/Restoration.lua',2363,'You cast Restoration on %t.',0,0,1,1,1,0,0,0,0,130128,0,0,0,0,0,0,0,0,0,'Unset',1580525587,1384377826,0,1),
(130129,3993156297,0,0,'Arch Healing','Replenishes a large amount of target ally''s health.',468,12,316,3341842907,366253016,50,0,1,'Your Restoration II was successful on %t!','Your Restoration II fades.','',1,0,'Spells/Priest/Cleric/Templar/Restoration.lua',2363,'You cast Restoration II on %t.',0,0,0,1,1,0,0,0,0,130128,0,0,0,0,0,0,0,0,0,'Unset',1580530320,1384378112,0,1),
(130130,3375721743,0,0,'Greater Arch Healing','Replenishes a large amount of target ally''s health.',468,12,316,2581053277,366253016,90,0,1,'Your Restoration III was successful on %t!','Your Restoration III fades.','',1,0,'Spells/Priest/Cleric/Templar/Restoration.lua',2363,'You cast Restoration III on %t.',0,1,0,1,1,0,0,0,0,130128,0,0,0,0,0,0,0,0,0,'Unset',1580530337,1384378112,0,1),
(130131,3340399949,0,0,'Restoration','Replenishes a large amount of target ally''s health.',468,12,316,2581053277,366253016,160,0,1,'Your Restoration IV was successful on %t!','Your Restoration IV fades.','',1,0,'Spells/Priest/Cleric/Templar/Restoration.lua',2363,'You cast Restoration IV on %t.',0,1,0,1,1,0,0,0,0,130128,0,0,0,0,0,1,0,0,0,'Unset',1580530460,1384377827,0,1),
(130132,1057106300,0,0,'Restoration IX','Replenishes a large amount of target ally''s health.',468,12,316,2581053277,366253016,465,0,1,'Your Restoration IX was successful on %t!','Your Restoration IX fades.','',1,0,'Spells/Priest/Cleric/Templar/Restoration.lua',2363,'You cast Restoration IX on %t.',0,1,0,1,1,0,0,0,0,130128,0,0,0,0,0,1,0,0,0,'Unset',1580580999,1384378111,0,1),
(130133,2536189314,0,0,'Greater Restoration','Replenishes a large amount of target ally''s health.',468,12,316,2581053277,366253016,230,0,1,'Your Restoration V was successful on %t!','Your Restoration V fades.','',1,0,'Spells/Priest/Cleric/Templar/Restoration.lua',2363,'You cast Restoration V on %t.',0,1,0,1,1,0,0,0,0,130128,0,0,0,0,0,1,0,0,0,'Unset',1580580803,1384378113,0,1),
(130134,1668131513,0,0,'Grand Restoration','Replenishes a large amount of target ally''s health.',468,12,316,2581053277,366253016,300,0,1,'Your Restoration VI was successful on %t!','Your Restoration VI fades.','',1,0,'Spells/Priest/Cleric/Templar/Restoration.lua',2363,'You cast Restoration VI on %t.',0,1,0,1,1,0,0,0,0,130128,0,0,0,0,0,1,0,0,0,'Unset',1580580885,1384377826,0,1),
(130135,3553854409,0,0,'Arch Restoration','Replenishes a large amount of target ally''s health.',468,12,316,2581053277,366253016,365,0,1,'Your Restoration VII was successful on %t!','Your Restoration VII fades.','',1,0,'Spells/Priest/Cleric/Templar/Restoration.lua',2363,'You cast Restoration VII on %t.',0,1,0,1,1,0,0,0,0,130128,0,0,0,0,0,1,0,0,0,'Unset',1580580902,1384378111,0,1),
(130136,2718812170,0,0,'Restoration VIII','Replenishes a large amount of target ally''s health.',468,12,316,2581053277,366253016,415,0,1,'Your Restoration VIII was successful on %t!','Your Restoration VIII fades.','',1,0,'Spells/Priest/Cleric/Templar/Restoration.lua',2363,'You cast Restoration VIII on %t.',0,1,0,1,1,0,0,0,0,130128,0,0,0,0,0,1,0,0,0,'Unset',1580580960,1384378111,0,1),
(130137,2202530924,0,0,'Resurrect','Resurrects a fallen ally, replenishing all health and removing any effects from resurrection sickness. This spell can be cast during combat, but must be cast within touch range of that ally.',156,15,316,2581053277,366253016,250,0,6,'Your Resurrect was successful on %t!','Your Resurrect fades.','',1,0,'Spells/Priest/Cleric/Templar/Resurrect.lua',2364,'You cast Resurrect on %t.',0,1,1,0,1,0,0,0,0,130137,0,0,0,0,0,1,0,0,0,'Unset',1580611281,1384378111,0,1),
(130138,3329267101,0,1,'Reverence','Whenever target ally spends power, some of their health is replenished. The more power spent increases the amount of health replenished.',183,13,316,2581053277,3587918036,260,1,1,'Your Reverence was successful on %t!','Your Reverence fades.','',0,1,'Spells/Priest/Cleric/Templar/Reverence.lua',2365,'You cast Reverence on %t.',0,1,0,1,1,1,0,0,0,130138,0,0,0,0,0,0,0,0,0,'Unset',1580611350,1384378111,0,1),
(130139,1156850893,0,0,'Sanctuary','A group augmentation that prevents the group from being affected by control spells for a short duration. Control spells include any type of stun, mesmerize, root, stifle, daze, and fear. This spell has a 1% chance to break every time damage is received.  In PVP combat, this will also make the caster''s group immune to taunt effects.',506,13,314,2581053277,3587918036,275,0,2,'Your Sanctuary was successful on %t!','Your Sanctuary fades.','',1,0,'Spells/Priest/Cleric/Templar/Sanctuary.lua',2366,'You cast Sanctuary on %t.',0,0,0,1,1,1,0,0,0,130139,0,0,0,0,0,1,0,0,0,'Unset',1580611468,1384367296,0,1),
(130140,816432398,0,0,'Sanctuary II','A group augmentation that prevents the group from being affected by control spells for a short duration. Control spells include any type of stun, mesmerize, root, stifle, daze, and fear. This spell no longer has a chance to break when damage is received.  In PVP combat, this will also make the caster''s group immune to taunt effects.',506,13,314,2581053277,3587918036,475,0,2,'Your Sanctuary II was successful on %t!','Your Sanctuary II fades.','',1,0,'Spells/Priest/Cleric/Templar/SanctuaryNoProc.lua',2366,'You cast Sanctuary II on %t.',0,0,0,0,1,1,0,0,0,130139,0,0,0,0,0,1,0,0,0,'Unset',1580611489,1384378111,0,1),
(130141,1103935709,0,0,'Protective Faith','A group augmentation that places a protective barrier over the templar''s group, that increases arcane resistance and wards arcane sources of damage for a limited duration.',219,13,314,2581053277,3587918036,145,0,2,'Your Shield of Faith was successful on %t!','Your Shield of Faith fades.','',1,0,'Spells/Priest/Cleric/Templar/ProtectiveFaith.lua',2367,'You cast Shield of Faith on %t.',0,0,0,1,1,1,0,0,0,130141,0,0,0,0,0,0,0,0,0,'Unset',1580589564,1384377826,0,1),
(130142,812655396,0,0,'Shielding Faith','A group augmentation that places a protective barrier over the templar''s group, that increases arcane resistance and wards arcane sources of damage for a limited duration.',219,13,314,2581053277,3587918036,215,0,2,'Your Shield of Faith II was successful on %t!','Your Shield of Faith II fades.','',1,0,'Spells/Priest/Cleric/Templar/ShieldofFaith.lua',2367,'You cast Shield of Faith II on %t.',0,0,0,1,1,1,0,0,0,130141,0,0,0,0,0,0,0,0,0,'Unset',1580589581,1384377826,0,1),
(130143,2779686149,0,0,'Aegis Of Faith','A group augmentation that places a protective barrier over the templar''s group, that increases arcane resistance and wards arcane sources of damage for a limited duration.',219,13,314,2581053277,3587918036,285,0,2,'Your Shield of Faith III was successful on %t!','Your Shield of Faith III fades.','',1,0,'Spells/Priest/Cleric/Templar/ShieldofFaith.lua',2367,'You cast Shield of Faith III on %t.',0,0,0,1,1,1,0,0,0,130141,0,0,0,0,0,0,0,0,0,'Unset',1580589593,1384378111,0,1),
(130144,843369761,0,0,'Shield Of Faith','A group augmentation that places a protective barrier over the templar''s group, that increases arcane resistance and wards arcane sources of damage for a limited duration.',219,13,314,2581053277,3587918036,355,0,2,'Your Shield of Faith IV was successful on %t!','Your Shield of Faith IV fades.','',1,0,'Spells/Priest/Cleric/Templar/ShieldofFaith.lua',2367,'You cast Shield of Faith IV on %t.',0,0,0,1,1,1,0,0,0,130141,0,0,0,0,0,0,0,0,0,'Unset',1580589609,1384378113,0,1),
(130145,2817914950,0,0,'Sign of Pacification','Places an impairment on the target that dazes them, preventing them from making auto attacks.',267,16,315,2581053277,882983852,35,0,1,'Your Sign of Pacification was successful on %t!','Your Sign of Pacification fades.','',1,0,'Spells/Priest/Cleric/Templar/SignofPacification.lua',2368,'You cast Sign of Pacification on %t.',0,0,0,1,0,0,2,3,0,130145,0,0,0,0,0,0,0,0,0,'Unset',1580581632,1384378113,0,1),
(130146,2101753630,0,0,'Sign of Weakness','Places an impairment on the target that dazes them, preventing them from making auto attacks.',267,16,315,2581053277,882983852,105,0,1,'Your Sign of Pacification II was successful on %t!','Your Sign of Pacification II fades.','',1,0,'Spells/Priest/Cleric/Templar/SignofWeakness.lua',2368,'You cast Sign of Pacification II on %t.',0,0,0,1,0,1,2,3,0,130145,0,0,0,0,0,0,0,0,0,'Unset',1580581690,1384377826,0,1),
(130147,1753811694,0,0,'Sign of Debility','Places an impairment on the target that dazes them, preventing them from making auto attacks.',267,16,315,2581053277,882983852,175,0,1,'Your Sign of Pacification III was successful on %t!','Your Sign of Pacification III fades.','',1,0,'Spells/Priest/Cleric/Templar/SignofPacification.lua',2368,'You cast Sign of Pacification III on %t.',0,0,0,1,0,1,2,3,0,130145,0,0,0,0,0,1,0,0,0,'Unset',1580581735,1384378112,0,1),
(130148,2972858507,0,0,'Sign of Infirmity','Places an impairment on the target that dazes them, preventing them from making auto attacks.',267,16,315,2581053277,882983852,245,0,1,'Your Sign of Pacification IV was successful on %t!','Your Sign of Pacification IV fades.','',1,0,'Spells/Priest/Cleric/Templar/SignofPacification.lua',2368,'You cast Sign of Pacification IV on %t.',0,0,0,1,0,1,2,3,0,130145,0,0,0,0,0,1,0,0,0,'Unset',1580582046,1384378113,0,1),
(130149,2652173282,0,0,'Sign of Fraility','Places an impairment on the target that dazes them, preventing them from making auto attacks.',267,16,315,2581053277,882983852,320,0,1,'Your Sign of Pacification V was successful on %t!','Your Sign of Pacification V fades.','',1,0,'Spells/Priest/Cleric/Templar/SignofPacification.lua',2368,'You cast Sign of Pacification V on %t.',0,0,0,1,0,1,2,3,0,130145,0,0,0,0,0,1,0,0,0,'Unset',1580582145,1384378113,0,1),
(130150,4203255943,0,0,'Sign of Placation','Places an impairment on the target that dazes them, preventing them from making auto attacks.',267,16,315,2581053277,882983852,380,0,1,'Your Sign of Pacification VI was successful on %t!','Your Sign of Pacification VI fades.','',1,0,'Spells/Priest/Cleric/Templar/SignofPacification.lua',2368,'You cast Sign of Pacification VI on %t.',0,0,0,1,0,1,2,3,0,130145,0,0,0,0,0,1,0,0,0,'Unset',1580582376,1384378111,0,1),
(130151,2959400864,0,0,'Sign of Pacification VII','Places an impairment on the target that dazes them, preventing them from making auto attacks.',267,16,315,2581053277,882983852,430,0,1,'Your Sign of Pacification VII was successful on %t!','Your Sign of Pacification VII fades.','',1,0,'Spells/Priest/Cleric/Templar/SignofPacification.lua',2368,'You cast Sign of Pacification VII on %t.',0,0,0,1,0,1,2,3,0,130145,0,0,0,0,0,1,0,0,0,'Unset',1580582436,1384378111,0,1),
(130152,3911831364,0,1,'Symbol of Transal','A group augmentation that increases the arcane resistance and stamina of the templar''s group.',245,65535,314,3341842907,3587918036,80,1,2,'Your Symbol of Marzin was successful on %t!','Your Symbol of Marzin fades.','',0,1,'Spells/Priest/Cleric/Templar/SymbolofMarzin.lua',2369,'You cast Symbol of Marzin on %t.',0,0,0,1,1,1,0,0,0,130152,0,0,0,0,0,0,0,0,0,'Unset',1580585572,1384378112,0,1),
(130153,3739415660,0,1,'Symbol of Ryltan','A group augmentation that increases the arcane resistance and stamina of the templar''s group.',245,65535,314,2581053277,3587918036,150,1,2,'Your Symbol of Marzin II was successful on %t!','Your Symbol of Marzin II fades.','',1,1,'Spells/Priest/Cleric/Templar/SymbolofRyltan.lua',2369,'You cast Symbol of Marzin II on %t.',0,0,0,1,1,1,0,0,0,130152,0,0,0,0,0,0,0,0,0,'Unset',1580585589,1384377826,0,1),
(130154,1883795914,0,1,'Symbol of Pinzarn','A group augmentation that increases the arcane resistance and health pool of the templar''s group. The arcane resist protects more against divine and magic than mental.\n\n',245,65535,314,2581053277,3587918036,220,1,2,'Your Symbol of Marzin III was successful on %t!','Your Symbol of Marzin III fades.','',1,1,'Spells/Priest/Cleric/Templar/SymbolofMarzin.lua',2369,'You cast Symbol of Marzin III on %t.',0,0,0,1,1,1,0,0,0,130152,0,0,0,0,0,1,0,0,0,'Unset',1580585602,1384378113,0,1),
(130155,3274626273,0,1,'Symbol pf Naltron','A group augmentation that increases the arcane resistance and health pool of the templar''s group. The arcane resist protects more against divine and magic than mental.\n\n',245,65535,314,2581053277,3587918036,290,1,2,'Your Symbol of Marzin IV was successful on %t!','Your Symbol of Marzin IV fades.','',1,1,'Spells/Priest/Cleric/Templar/SymbolofMarzin.lua',2369,'You cast Symbol of Marzin IV on %t.',0,0,0,1,1,1,0,0,0,130152,0,0,0,0,0,1,0,0,0,'Unset',1580585617,1384377826,0,1),
(130156,2794850281,0,1,'Symbol of Marzin','A group augmentation that increases the arcane resistance and stamina of the templar''s group.',245,65535,314,2581053277,3587918036,360,1,2,'Your Symbol of Marzin V was successful on %t!','Your Symbol of Marzin V fades.','',1,1,'Spells/Priest/Cleric/Templar/SymbolofMarzin.lua',2369,'You cast Symbol of Marzin V on %t.',0,0,0,1,1,1,0,0,0,130152,0,0,0,0,0,1,0,0,0,'Unset',1580585640,1384378111,0,1),
(130157,3842609447,0,1,'Symbol of Marzin VI','A group augmentation that increases the arcane resistance and stamina of the templar''s group.',245,65535,314,2581053277,3587918036,410,1,2,'Your Symbol of Marzin VI was successful on %t!','Your Symbol of Marzin VI fades.','',1,1,'Spells/Priest/Cleric/Templar/SymbolofMarzin.lua',2369,'You cast Symbol of Marzin VI on %t.',0,0,0,1,1,1,0,0,0,130152,0,0,0,0,0,1,0,0,0,'Unset',1580585655,1384378111,0,1),
(130158,854266239,0,1,'Symbol of Marzin VII','A group augmentation that increases the arcane resistance and stamina of the templar''s group.',245,65535,314,2581053277,3587918036,460,1,2,'Your Symbol of Marzin VII was successful on %t!','Your Symbol of Marzin VII fades.','',1,1,'Spells/Priest/Cleric/Templar/SymbolofMarzin.lua',2369,'You cast Symbol of Marzin VII on %t.',0,0,0,1,1,1,0,0,0,130152,0,0,0,0,0,1,0,0,0,'Unset',1580585672,1384378111,0,1),
(130159,1795272143,0,0,'Unswerving Hammer','Summons a large animated hammer that the templar has full control of for a short duration. The hammer will sometimes knockdown an enemy on a successful hit.',129,65535,312,2581053277,613995491,325,0,0,'Your Unswerving Hammer was successful on %t!','Your Unswerving Hammer fades.','',1,1,'Spells/Commoner/Pets.lua',2370,'You cast Unswerving Hammer on %t.',0,0,0,1,1,1,0,0,0,130159,0,0,0,0,0,1,0,0,0,'Unset',1580611704,1384377826,0,1),
(130160,1465470311,0,0,'Unflinching Hammer','Summons a large animated hammer that the templar has full control of for a short duration. The hammer will sometimes knockdown an enemy on a successful hit.',129,65535,312,2581053277,613995491,390,0,0,'Your Unswerving Hammer II was successful on %t!','Your Unswerving Hammer II fades.','',1,1,'Spells/Commoner/Pets.lua',2370,'You cast Unswerving Hammer II on %t.',0,0,0,1,1,1,0,0,0,130159,0,0,0,0,0,1,0,0,0,'Unset',1580611727,1384378111,0,1),
(130161,1171420823,0,0,'Unswerving Hammer III','Summons a large animated hammer that the templar has full control of for a short duration. The hammer will sometimes knockdown an enemy on a successful hit.',129,65535,312,2581053277,613995491,440,0,0,'Your Unswerving Hammer III was successful on %t!','Your Unswerving Hammer III fades.','',1,1,'Spells/Commoner/Pets.lua',2370,'You cast Unswerving Hammer III on %t.',0,0,0,1,1,1,0,0,0,130159,0,0,0,0,0,1,0,0,0,'Unset',1580611749,1384378113,0,1),
(130162,548752849,0,0,'Unswerving Hammer IV','Summons a large animated hammer that the templar has full control of for a short duration. The hammer will sometimes knockdown an enemy on a successful hit.',129,65535,312,2581053277,613995491,490,0,0,'Your Unswerving Hammer IV was successful on %t!','Your Unswerving Hammer IV fades.','',1,1,'Spells/Commoner/Pets.lua',2370,'You cast Unswerving Hammer IV on %t.',0,0,0,0,1,0,0,0,0,130159,0,0,0,0,0,1,0,0,0,'Unset',1580611766,1384377826,0,1),
(130163,1351336968,0,1,'Vigilant Benediction','An augmentation that grants an ally the chance to absorb a physical damage attack whenever they are struck in combat. This spell does not require any concentration, but can only be maintained on a single ally.',220,13,316,2581053277,3587918036,225,1,1,'Your Unyielding Benediction was successful on %t!','Your Unyielding Benediction fades.','',1,1,'Spells/Priest/Cleric/Templar/UnyieldingBenediction.lua',2371,'You cast Unyielding Benediction on %t.',0,0,0,1,1,1,0,0,0,130163,0,0,0,0,0,0,0,0,0,'Unset',1580609988,1384378111,0,1),
(130164,3244118563,0,1,'Unyielding Benediction','An augmentation that grants an ally the chance to absorb a physical damage attack whenever they are struck in combat. This spell does not require any concentration, but can only be maintained on a single ally.',220,13,316,2581053277,3587918036,295,1,1,'Your Unyielding Benediction II was successful on %t!','Your Unyielding Benediction II fades.','',1,1,'Spells/Priest/Cleric/Templar/UnyieldingBenediction.lua',2371,'You cast Unyielding Benediction II on %t.',0,0,0,1,1,1,0,0,0,130163,0,0,0,0,0,0,0,0,0,'Unset',1580610038,1384378113,0,1),
(130165,3295337217,0,1,'Protectorate','An augmentation that increases the strength, spell resistance, and wisdom of the templar''s ally. This spell does not require any concentration, but can only be maintained on a single ally.',358,16,316,2581053277,3587918036,130,1,1,'Your Virtue was successful on %t!','Your Virtue fades.','',1,1,'Spells/Priest/Cleric/Templar/Protectorate.lua',2372,'You cast Virtue on %t.',0,0,0,1,1,1,0,0,0,130165,0,0,0,0,0,0,0,0,0,'Unset',1580588820,1384378113,0,1),
(130166,1394554430,0,1,'Praetorate','An augmentation that increases the strength, spell resistance, and wisdom of the templar''s ally. This spell does not require any concentration, but can only be maintained on a single ally.',358,16,316,2581053277,3587918036,200,1,1,'Your Virtue II was successful on %t!','Your Virtue II fades.','',1,1,'Spells/Priest/Cleric/Templar/Virtue.lua',2372,'You cast Virtue II on %t.',0,0,0,1,1,1,0,0,0,130165,0,0,0,0,0,1,0,0,0,'Unset',1580589175,1384378156,0,1),
(130167,3272580052,0,1,'Divine Praetorate','An augmentation that increases the strength, spell resistance, and wisdom of the templar''s ally. This spell does not require any concentration, but can only be maintained on a single ally.',358,16,316,2581053277,3587918036,270,1,1,'Your Virtue III was successful on %t!','Your Virtue III fades.','',1,1,'Spells/Priest/Cleric/Templar/Virtue.lua',2372,'You cast Virtue III on %t.',0,0,0,1,1,1,0,0,0,130165,0,0,0,0,0,1,0,0,0,'Unset',1580589341,1384378111,0,1),
(130168,3077529438,0,1,'Celestial Praetorate','An augmentation that increases the strength, spell resistance, and wisdom of the templar''s ally. This spell does not require any concentration, but can only be maintained on a single ally.',358,16,316,2581053277,3587918036,340,1,1,'Your Virtue IV was successful on %t!','Your Virtue IV fades.','',1,1,'Spells/Priest/Cleric/Templar/Virtue.lua',2372,'You cast Virtue IV on %t.',0,0,0,1,1,1,0,0,0,130165,0,0,0,0,0,1,0,0,0,'Unset',1580589374,1384378113,0,1),
(130169,3454691340,0,1,'Virtue','An augmentation that increases the strength, spell resistance, and wisdom of the templar''s ally. This spell does not require any concentration, but can only be maintained on a single ally.',358,16,316,2581053277,3587918036,395,1,1,'Your Virtue V was successful on %t!','Your Virtue V fades.','',1,1,'Spells/Priest/Cleric/Templar/Virtue.lua',2372,'You cast Virtue V on %t.',0,0,0,1,1,1,0,0,0,130165,0,0,0,0,0,1,0,0,0,'Unset',1580589413,1384378111,0,1),
(130170,307472349,0,1,'Virtue VI','An augmentation that increases the strength, spell resistance, and wisdom of the templar''s ally. This spell does not require any concentration, but can only be maintained on a single ally.',358,16,316,2581053277,3587918036,445,1,1,'Your Virtue VI was successful on %t!','Your Virtue VI fades.','',1,1,'Spells/Priest/Cleric/Templar/Virtue.lua',2372,'You cast Virtue VI on %t.',0,0,0,1,1,1,0,0,0,130165,0,0,0,0,0,1,0,0,0,'Unset',1580589452,1384378113,0,1),
(130171,86553502,0,1,'Virtue VII','An augmentation that increases the strength, spell resistance, and wisdom of the templar''s ally. This spell does not require any concentration, but can only be maintained on a single ally.',358,16,316,2581053277,3587918036,495,1,1,'Your Virtue VII was successful on %t!','Your Virtue VII fades.','',1,1,'Spells/Priest/Cleric/Templar/Virtue.lua',2372,'You cast Virtue VII on %t.',0,0,0,0,1,0,0,0,0,130165,0,0,0,0,0,1,0,0,0,'Unset',1580589478,1384378111,0,1),
(130172,153147335,0,0,'Bestowal of Vitae','Augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.\n\n\"Your experience is worthy of song -- but I''m sure you''d rather accept my thanks and approval than hear me sing.\" - Parak Loreseeker, Gnollslayer',185,12,316,3341842907,366253016,60,0,1,'Your Vital Intercession was successful on %t!','Your Vital Intercession fades.','',1,0,'Spells/Priest/Cleric/Templar/VitalIntercession.lua',2373,'You cast Vital Intercession on %t.',0,1,1,1,1,0,0,0,0,130172,0,0,0,0,0,0,0,0,0,'Unset',1580582671,1384378112,0,1),
(130173,995249343,0,0,'Bestowal of Vitality','Augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.\n\n\"Your experience is worthy of song -- but I''m sure you''d rather accept my thanks and approval than hear me sing.\" - Parak Loreseeker, Gnollslayer',185,12,316,2581053277,366253016,95,0,1,'Your Vital Intercession II was successful on %t!','Your Vital Intercession II fades.','',1,0,'Spells/Priest/Cleric/Templar/VitalIntercession.lua',2373,'You cast Vital Intercession II on %t.',0,1,1,1,1,1,0,0,0,130172,0,0,0,0,0,0,0,0,0,'Unset',1580582691,1384378113,0,1),
(130174,1899956381,0,0,'Supplicant''s Prayer','Augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.\n\n\"Your experience is worthy of song -- but I''m sure you''d rather accept my thanks and approval than hear me sing.\" - Parak Loreseeker, Gnollslayer',185,12,316,2581053277,366253016,130,0,1,'Your Vital Intercession III was successful on %t!','Your Vital Intercession III fades.','',1,0,'Spells/Priest/Cleric/Templar/SupplicantsPrayer.lua',2373,'You cast Vital Intercession III on %t.',0,1,0,1,1,1,0,0,0,130172,0,0,0,0,0,0,0,0,0,'Unset',1580582727,1384377826,0,1),
(130175,2205405453,0,0,'Greater Intercession','Augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.\n\n\"Your experience is worthy of song -- but I''m sure you''d rather accept my thanks and approval than hear me sing.\" - Parak Loreseeker, Gnollslayer',185,12,316,2581053277,366253016,200,0,1,'Your Vital Intercession IV was successful on %t!','Your Vital Intercession IV fades.','',1,0,'Spells/Priest/Cleric/Templar/VitalIntercession.lua',2373,'You cast Vital Intercession IV on %t.',0,1,0,1,1,1,0,0,0,130172,0,0,0,0,0,1,0,0,0,'Unset',1580582762,1384378113,0,1),
(130176,2076671631,0,0,'Vital Intercession IX','Augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.\n\n\"Your experience is worthy of song -- but I''m sure you''d rather accept my thanks and approval than hear me sing.\" - Parak Loreseeker, Gnollslayer',185,12,316,2581053277,366253016,490,0,1,'Your Vital Intercession IX was successful on %t!','Your Vital Intercession IX fades.','',1,0,'Spells/Priest/Cleric/Templar/VitalIntercession.lua',2373,'You cast Vital Intercession IX on %t.',0,0,0,0,1,0,0,0,0,130172,0,0,0,0,0,1,0,0,0,'Unset',1580583849,1384377826,0,1),
(130177,125769492,0,0,'Grand Intercession','Augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.\n\n\"Your experience is worthy of song -- but I''m sure you''d rather accept my thanks and approval than hear me sing.\" - Parak Loreseeker, Gnollslayer',185,12,316,2581053277,366253016,270,0,1,'Your Vital Intercession V was successful on %t!','Your Vital Intercession V fades.','',1,0,'Spells/Priest/Cleric/Templar/VitalIntercession.lua',2373,'You cast Vital Intercession V on %t.',0,1,0,1,1,1,0,0,0,130172,0,0,0,0,0,1,0,0,0,'Unset',1580582892,1384378111,0,1),
(130178,236122270,0,0,'Glorious Intercession','Augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.\n\n\"Your experience is worthy of song -- but I''m sure you''d rather accept my thanks and approval than hear me sing.\" - Parak Loreseeker, Gnollslayer',185,12,316,2581053277,366253016,340,0,1,'Your Vital Intercession VI was successful on %t!','Your Vital Intercession VI fades.','',1,0,'Spells/Priest/Cleric/Templar/VitalIntercession.lua',2373,'You cast Vital Intercession VI on %t.',0,1,0,1,1,1,0,0,0,130172,0,0,0,0,0,1,0,0,0,'Unset',1580583022,1384378113,0,1),
(130179,2819125823,0,0,'Vital Intercession','Augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.\n\n\"Your experience is worthy of song -- but I''m sure you''d rather accept my thanks and approval than hear me sing.\" - Parak Loreseeker, Gnollslayer',185,12,316,2581053277,366253016,390,0,1,'Your Vital Intercession VII was successful on %t!','Your Vital Intercession VII fades.','',1,0,'Spells/Priest/Cleric/Templar/VitalIntercession.lua',2373,'You cast Vital Intercession VII on %t.',0,1,0,1,1,1,0,0,0,130172,0,0,0,0,0,1,0,0,0,'Unset',1580583441,1384378111,0,1),
(130180,3827170577,0,0,'Vital Intercession VIII','Augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.\n\n\"Your experience is worthy of song -- but I''m sure you''d rather accept my thanks and approval than hear me sing.\" - Parak Loreseeker, Gnollslayer',185,12,316,2581053277,366253016,440,0,1,'Your Vital Intercession VIII was successful on %t!','Your Vital Intercession VIII fades.','',1,0,'Spells/Priest/Cleric/Templar/VitalIntercession.lua',2373,'You cast Vital Intercession VIII on %t.',0,1,0,1,1,1,0,0,0,130172,0,0,0,0,0,1,0,0,0,'Unset',1580583501,1384378113,0,1),
(130181,3637336364,0,0,'Combative Faith','Deals divine damage over time to the target.',471,16,315,2581053277,613995491,115,0,1,'Your Warring Deities was successful on %t!','Your Warring Deities fades.','',1,0,'Spells/Priest/Cleric/Templar/CombativeFaith.lua',2374,'You cast Warring Deities on %t.',0,0,0,1,0,1,2,0,0,130181,0,0,0,0,0,0,0,0,0,'DoT',1580588312,1384378113,0,1),
(130182,2519107790,0,0,'Warring Faith','Deals divine damage over time to the target.',471,16,315,2581053277,613995491,185,0,1,'Your Warring Deities II was successful on %t!','Your Warring Deities II fades.','',1,0,'Spells/Priest/Cleric/Templar/WarringDeities.lua',2374,'You cast Warring Deities II on %t.',0,0,0,1,0,1,2,0,0,130181,0,0,0,0,0,1,0,0,0,'DoT',1580588377,1384377826,0,1),
(130183,2396472214,0,0,'Warring Conviction','Deals divine damage over time to the target.',471,16,315,2581053277,613995491,255,0,1,'Your Warring Deities III was successful on %t!','Your Warring Deities III fades.','',1,0,'Spells/Priest/Cleric/Templar/WarringDeities.lua',2374,'You cast Warring Deities III on %t.',0,0,0,1,0,1,2,0,0,130181,0,0,0,0,0,1,0,0,0,'DoT',1580588479,1384377826,0,1),
(130184,3233005689,0,0,'Warring Axiom','Deals divine damage over time to the target.',471,16,315,2581053277,613995491,325,0,1,'Your Warring Deities IV was successful on %t!','Your Warring Deities IV fades.','',1,0,'Spells/Priest/Cleric/Templar/WarringDeities.lua',2374,'You cast Warring Deities IV on %t.',0,0,0,1,0,1,2,0,0,130181,0,0,0,0,0,1,0,0,0,'DoT',1580588537,1384378113,0,1),
(130185,3792707422,0,0,'Warring Deities','Deals divine damage over time to the target.',471,16,315,2581053277,613995491,385,0,1,'Your Warring Deities V was successful on %t!','Your Warring Deities V fades.','',1,0,'Spells/Priest/Cleric/Templar/WarringDeities.lua',2374,'You cast Warring Deities V on %t.',0,0,0,1,0,1,2,0,0,130181,0,0,0,0,0,1,0,0,0,'DoT',1580588605,1384378111,0,1),
(130186,342866742,0,0,'Warring Deities VI','Deals divine damage over time to the target.',471,16,315,2581053277,613995491,435,0,1,'Your Warring Deities VI was successful on %t!','Your Warring Deities VI fades.','',1,0,'Spells/Priest/Cleric/Templar/WarringDeities.lua',2374,'You cast Warring Deities VI on %t.',0,0,0,1,0,1,2,0,0,130181,0,0,0,0,0,1,0,0,0,'DoT',1580588667,1384378111,0,1),
(130187,4215082455,0,0,'Warring Deities VII','Deals divine damage over time to the target.',471,16,315,2581053277,613995491,485,0,1,'Your Warring Deities VII was successful on %t!','Your Warring Deities VII fades.','',1,0,'Spells/Priest/Cleric/Templar/WarringDeities.lua',2374,'You cast Warring Deities VII on %t.',0,0,0,0,0,0,2,0,0,130181,0,0,0,0,0,1,0,0,0,'DoT',1580588734,1384378111,0,1),
(130188,503186570,0,1,'Watery Respite','An augmentation which grants the templar''s group the ability to breathe under water and increase their swimming speed.',239,65535,314,2581053277,3587918036,115,1,2,'Your Watery Respite was successful on %t!','Your Watery Respite fades.','',1,1,'Spells/Priest/Cleric/Templar/WateryRespiteClassic.lua',2375,'You cast Watery Respite on %t.',0,0,0,0,1,1,0,0,0,130188,0,0,0,0,0,0,0,0,0,'Unset',1580588777,1384377826,0,1),
(130189,999503837,0,0,'Healing Word','Heals all allies near the templar.',293,16,314,2581053277,366253016,70,0,2,'Your Word of Redemption was successful on %t!','Your Word of Redemption fades.','',1,0,'Spells/Priest/Cleric/Templar/WordofRedemption.lua',2363,'You cast Word of Redemption on %t.',0,0,0,1,1,0,0,0,0,130189,0,0,0,0,0,0,0,0,0,'Unset',1580585362,1384378113,0,1),
(130190,770628830,0,0,'Healing Touch','Heals all allies near the templar.',293,16,314,2581053277,366253016,140,0,2,'Your Word of Redemption II was successful on %t!','Your Word of Redemption II fades.','',1,0,'Spells/Priest/Cleric/Templar/HealingTouch.lua',2363,'You cast Word of Redemption II on %t.',0,0,0,1,1,0,0,0,0,130189,0,0,0,0,0,0,0,0,0,'Unset',1580585410,1384378113,0,1),
(130191,3829609452,0,0,'Word Of Restoration','Heals all allies near the templar.',293,16,314,2581053277,366253016,210,0,2,'Your Word of Redemption III was successful on %t!','Your Word of Redemption III fades.','',1,0,'Spells/Priest/Cleric/Templar/WordofRedemption.lua',2363,'You cast Word of Redemption III on %t.',0,0,0,1,1,0,0,0,0,130189,0,0,0,0,0,1,0,0,0,'Unset',1580585421,1384377826,0,1),
(130192,2025570522,0,0,'Word Of Atonement','Heals all allies near the templar.',293,16,314,2581053277,366253016,280,0,2,'Your Word of Redemption IV was successful on %t!','Your Word of Redemption IV fades.','',1,0,'Spells/Priest/Cleric/Templar/WordofRedemption.lua',2363,'You cast Word of Redemption IV on %t.',0,0,0,1,1,0,0,0,0,130189,0,0,0,0,0,1,0,0,0,'Unset',1580585435,1384378111,0,1),
(130193,396189069,0,0,'Word Of Reparation','Heals all allies near the templar.',293,16,314,2581053277,366253016,350,0,2,'Your Word of Redemption V was successful on %t!','Your Word of Redemption V fades.','',1,0,'Spells/Priest/Cleric/Templar/WordofRedemption.lua',2363,'You cast Word of Redemption V on %t.',0,0,0,1,1,0,0,0,0,130189,0,0,0,0,0,1,0,0,0,'Unset',1580585454,1384378113,0,1),
(130194,4164339485,0,0,'Word Of Redemption','Heals all allies near the templar.',293,16,314,2581053277,366253016,400,0,2,'Your Word of Redemption VI was successful on %t!','Your Word of Redemption VI fades.','',1,0,'Spells/Priest/Cleric/Templar/WordofRedemption.lua',2363,'You cast Word of Redemption VI on %t.',0,0,0,1,1,0,0,0,0,130189,0,0,0,0,0,1,0,0,0,'Unset',1580585470,1384378111,0,1),
(130195,1743537283,0,0,'Word of Redemption VII','Heals all allies near the templar.',293,16,314,2581053277,366253016,450,0,2,'Your Word of Redemption VII was successful on %t!','Your Word of Redemption VII fades.','',1,0,'Spells/Priest/Cleric/Templar/WordofRedemption.lua',2363,'You cast Word of Redemption VII on %t.',0,0,0,1,1,0,0,0,0,130189,0,0,0,0,0,1,0,0,0,'Unset',1580585487,1384378112,0,1),
(130196,3404507819,0,0,'Word of Redemption VIII','Heals all allies near the templar.',293,16,314,2581053277,366253016,500,0,2,'Your Word of Redemption VIII was successful on %t!','Your Word of Redemption VIII fades.','',1,0,'Spells/Priest/Cleric/Templar/WordofRedemption.lua',2363,'You cast Word of Redemption VIII on %t.',0,0,0,0,1,1,0,0,0,130189,0,0,0,0,0,1,0,0,0,'Unset',1580585505,1384378111,0,1),
(130197,3292227913,0,0,'Shield of Faith V','A group augmentation that places a protective barrier over the templar''s group, that increases arcane resistance and wards arcane sources of damage for a limited duration.',219,13,314,2581053277,0,405,0,2,'Your Shield of Faith V was successful on %t!','Your Shield of Faith V fades.','',1,0,'Spells/Priest/Cleric/Templar/ShieldofFaith.lua',2367,'You cast Shield of Faith V on %t.',0,0,0,0,1,1,0,0,0,130141,0,0,0,0,0,0,0,0,0,'Unset',1580589626,1384378111,0,1),
(130198,728358824,0,0,'Shield of Faith VI','A group augmentation that places a protective barrier over the templar''s group, that increases arcane resistance and wards arcane sources of damage for a limited duration.',219,13,314,2581053277,3587918036,455,0,2,'Your Shield of Faith VI was successful on %t!','Your Shield of Faith VI fades.','',1,0,'Spells/Priest/Cleric/Templar/ShieldofFaith.lua',2367,'You cast Shield of Faith VI on %t.',0,0,0,0,1,1,0,0,0,130141,0,0,0,0,0,0,0,0,0,'Unset',1580589641,1384378156,0,1),
(140000,4128713758,0,1,'Negative Absolution','This is the condensed energy of an ancient, mythical weapon.',623,65535,317,193411854,0,400,1,1,'Your Absolution was successful on %t!','Your Absolution fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Absolution.lua',3553,'You cast Absolution on %t.',0,0,0,1,1,1,0,0,0,140000,0,0,0,0,0,0,0,0,0,'Unset',1583208931,1384377877,0,1),
(140001,2529506061,0,1,'Act of Belief','An augmentation that grants each of the Inquisitor''s allies the chance to deal instant Divine damage. Each ally will only deal this additional damage once.',242,12,314,1829443087,3587918036,175,1,2,'Your Act of Belief was successful on %t!','Your Act of Belief fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/ActOfBelief.lua',783,'You cast Act of Belief on %t.',0,0,0,1,1,1,0,0,0,140001,0,0,0,0,0,1,0,0,0,'Unset',1583110205,1384378113,0,1),
(140002,3977279950,0,1,'Act of Faith','An augmentation that grants the inquisitor''s allies the chance to deal instant divine damage on their hostile spells and attacks.',242,12,314,1829443087,3587918036,245,1,2,'Your Act of War II was successful on %t!','Your Act of War II fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/ActofWar.lua',2378,'You cast Act of War II on %t.',0,0,0,1,1,1,0,0,0,140001,0,0,0,0,0,1,0,0,0,'Unset',1583110247,1384377827,0,1),
(140003,205677710,0,1,'Act of Conviction','An augmentation that grants the inquisitor''s allies the chance to deal instant divine damage on their hostile spells and attacks.',242,12,314,1829443087,3587918036,315,1,2,'Your Act of War III was successful on %t!','Your Act of War III fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/ActofWar.lua',2378,'You cast Act of War III on %t.',0,0,0,1,1,1,0,0,0,140001,0,0,0,0,0,1,0,0,0,'Unset',1583110274,1384378111,0,1),
(140004,3157854065,0,1,'Act of War','An augmentation that grants the inquisitor''s allies the chance to deal instant divine damage on their hostile spells and attacks.',242,12,314,1829443087,3587918036,375,1,2,'Your Act of War IV was successful on %t!','Your Act of War IV fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/ActofWar.lua',2378,'You cast Act of War IV on %t.',0,0,0,1,1,1,0,0,0,140001,0,0,0,0,0,1,0,0,0,'Unset',1583202123,1384378113,0,1),
(140005,2605306436,0,1,'Act of War V','An augmentation that grants the inquisitor''s allies the chance to deal instant divine damage on their hostile spells and attacks.',242,12,314,1829443087,3587918036,425,1,2,'Your Act of War V was successful on %t!','Your Act of War V fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/ActofWar.lua',2378,'You cast Act of War V on %t.',0,0,0,1,1,1,0,0,0,140001,0,0,0,0,0,1,0,0,0,'Unset',1583202147,1384378112,0,1),
(140006,1189022657,0,1,'Act of War VI','An augmentation that grants the inquisitor''s allies the chance to deal instant divine damage on their hostile spells and attacks.',242,12,314,1829443087,3587918036,475,1,2,'Your Act of War VI was successful on %t!','Your Act of War VI fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/ActofWar.lua',2378,'You cast Act of War VI on %t.',0,0,0,0,1,1,0,0,0,140001,0,0,0,0,0,1,0,0,0,'Unset',1583202169,1384378113,0,1),
(140007,4046792815,0,0,'Penitent''s Alleviation','Heals all allies near the inquisitor.',293,16,314,1829443087,366253016,70,0,2,'Your Alleviation was successful on %t!','Your Alleviation fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Alleviation.lua',2379,'You cast Alleviation on %t.',0,0,0,1,1,1,0,0,0,140007,0,0,0,0,0,0,0,0,0,'Unset',1583198437,1384378113,0,1),
(140008,820138800,0,0,'Penitent''s Sermon','Heals all allies near the inquisitor.',293,16,314,1829443087,366253016,140,0,2,'Your Penitent''s Sermon was successful on %t!','Your Penitent''s Sermon fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/PenitentsSermon.lua',652,'You cast Penitent''s Sermon on %t.',0,0,0,1,1,1,0,0,0,140008,0,0,0,0,0,1,0,0,0,'Unset',1583198454,1384378111,0,1),
(140009,1051595186,0,0,'Scolding Alleviation','Heals all allies near the inquisitor.',293,16,314,1829443087,366253016,210,0,2,'Your Alleviation III was successful on %t!','Your Alleviation III fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Alleviation.lua',2379,'You cast Alleviation III on %t.',0,0,0,1,1,0,0,0,0,140007,0,0,0,0,0,1,0,0,0,'Unset',1583198485,1384378112,0,1),
(140010,2633316332,0,0,'Derisive Alleviation','Heals all allies near the inquisitor.',293,16,314,1829443087,366253016,280,0,2,'Your Alleviation IV was successful on %t!','Your Alleviation IV fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Alleviation.lua',2379,'You cast Alleviation IV on %t.',0,0,0,1,1,0,0,0,0,140007,0,0,0,0,0,1,0,0,0,'Unset',1583198502,1384378111,0,1),
(140011,2810758377,0,0,'Reproachful Alleviation','Heals all allies near the inquisitor.',293,16,314,1829443087,366253016,350,0,2,'Your Alleviation V was successful on %t!','Your Alleviation V fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Alleviation.lua',2379,'You cast Alleviation V on %t.',0,0,0,1,1,0,0,0,0,140007,0,0,0,0,0,1,0,0,0,'Unset',1583198523,1384378113,0,1),
(140012,3403298851,0,0,'Alleviation','Heals all allies near the inquisitor.',293,16,314,1829443087,366253016,400,0,2,'Your Alleviation VI was successful on %t!','Your Alleviation VI fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Alleviation.lua',2379,'You cast Alleviation VI on %t.',0,0,0,1,1,0,0,0,0,140007,0,0,0,0,0,1,0,0,0,'Unset',1583198533,1384378113,0,1),
(140013,1473632597,0,0,'Alleviation VII','Heals all allies near the inquisitor.',293,16,314,1829443087,366253016,450,0,2,'Your Alleviation VII was successful on %t!','Your Alleviation VII fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Alleviation.lua',2379,'You cast Alleviation VII on %t.',0,0,0,1,1,0,0,0,0,140007,0,0,0,0,0,1,0,0,0,'Unset',1583198547,1384378113,0,1),
(140014,1081671165,0,0,'Alleviation VIII','Heals all allies near the inquisitor.',293,16,314,1829443087,366253016,500,0,2,'Your Alleviation VIII was successful on %t!','Your Alleviation VIII fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Alleviation.lua',2379,'You cast Alleviation VIII on %t.',0,0,0,0,1,1,0,0,0,140007,0,0,0,0,0,1,0,0,0,'Unset',1583198560,1384378113,0,1),
(140015,2441664395,0,0,'Cleansing of the Soul','This is the condensed energy of an ancient, mythical weapon.',800,65535,313,1829443087,0,400,0,2,'Your Cleansing of the Soul was successful on %t!','Your Cleansing of the Soul fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/CleansingoftheSoul.lua',3554,'You cast Cleansing of the Soul on %t.',0,0,1,1,1,1,0,0,0,140015,0,0,0,0,0,0,0,0,0,'Unset',1583208957,1384377882,0,1),
(140016,2056070854,0,0,'Shame','An impairment that decreases all resistances of target enemy.',186,15,315,1829443087,3587918036,10,0,1,'Your Condemn was successful on %t!','Your Condemn fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Condemn.lua',2380,'You cast Condemn on %t.',0,0,0,1,0,1,2,0,0,140016,0,0,0,0,0,0,0,0,0,'Unset',1583114546,1384378111,0,1),
(140017,1526453223,0,0,'Guilt','An impairment that decreases all resistances of target enemy.',186,15,315,1829443087,3587918036,50,0,1,'Your Condemn II was successful on %t!','Your Condemn II fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Condemn.lua',2380,'You cast Condemn II on %t.',0,0,0,1,0,1,2,0,0,140016,0,0,0,0,0,0,0,0,0,'Unset',1583114573,1384378113,0,1),
(140018,361200332,0,0,'Reproach','Reduces your targets physical and heat mitigation.',186,15,315,2581053277,3587918036,120,0,1,'Your Reproach was successful on %t!','Your Reproach fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Reproach.lua',153,'You cast Reproach on %t.',0,0,0,1,0,1,2,0,0,140016,0,0,0,0,0,1,0,0,0,'Debuff',1583114652,1384378111,0,1),
(140019,960260055,0,0,'Contempt','An impairment that decreases Armor Class and Elemental resistances on an enemy.',186,15,315,1829443087,3587918036,190,0,1,'Your Contempt was successful on %t!','Your Contempt fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Contempt.lua',153,'You cast Contempt on %t.',0,0,0,1,0,1,2,0,0,140016,0,0,0,0,0,1,0,0,0,'Debuff',1583114717,1384378111,0,1),
(140020,1064890464,0,0,'Condemn IX','An impairment that decreases all resistances of target enemy.',186,15,315,1829443087,3587918036,485,0,1,'Your Condemn IX was successful on %t!','Your Condemn IX fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Condemn.lua',2380,'You cast Condemn IX on %t.',0,0,0,0,0,0,2,0,0,140016,0,0,0,0,0,1,0,0,0,'Unset',1583195618,1384378113,0,1),
(140021,2477124623,0,0,'Sentence','An impairment that decreases all resistances of target enemy.',186,15,315,1829443087,613995491,260,0,1,'Your Condemn V was successful on %t!','Your Condemn V fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Condemn.lua',2380,'You cast Condemn V on %t.',0,0,0,1,0,1,2,0,0,140016,0,0,0,0,0,1,0,0,0,'Unset',1583115260,1384378113,0,1),
(140022,1239616810,0,0,'Convict','An impairment that decreases all resistances of target enemy.',186,15,315,1829443087,3587918036,330,0,1,'Your Condemn VI was successful on %t!','Your Condemn VI fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Condemn.lua',2380,'You cast Condemn VI on %t.',0,0,0,1,0,1,2,0,0,140016,0,0,0,0,0,1,0,0,0,'Unset',1583195465,1384378113,0,1),
(140023,1663324030,0,0,'Condemned','An impairment that decreases all resistances of target enemy.',186,15,315,1829443087,3587918036,385,0,1,'Your Condemn VII was successful on %t!','Your Condemn VII fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Condemn.lua',2380,'You cast Condemn VII on %t.',0,0,0,1,0,1,2,0,0,140016,0,0,0,0,0,1,0,0,0,'Unset',1583195513,1384378113,0,1),
(140024,3501890398,0,0,'Condemn VIII','An impairment that decreases all resistances of target enemy.',186,15,315,1829443087,3587918036,435,0,1,'Your Condemn VIII was successful on %t!','Your Condemn VIII fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Condemn.lua',2380,'You cast Condemn VIII on %t.',0,0,0,1,0,1,2,0,0,140016,0,0,0,0,0,1,0,0,0,'Unset',1583195565,1384378112,0,1),
(140025,363447997,0,0,'Conversion of the Soul','Resurrects a fallen ally, replenishing a greater than normal amount of power on them and removing any effects of resurrection sickness. This spell can be cast during combat, but must be cast within touch range of that ally.',156,15,316,1829443087,366253016,250,0,6,'Your Conversion of the Soul was successful on %t!','Your Conversion of the Soul fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/ConversionoftheSoul.lua',2381,'You cast Conversion of the Soul on %t.',0,1,1,0,1,0,0,0,0,140025,0,0,0,0,0,1,0,0,0,'Unset',1583207025,1384378113,0,1),
(140026,4130732181,0,0,'Weakness','An impairment that decreases the target''s strength and intelligence.',193,16,315,2463145248,3587918036,35,0,1,'Your Deny was successful on %t!','Your Deny fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Deny.lua',2382,'You cast Deny on %t.',0,0,0,1,0,1,2,0,0,140026,0,0,0,0,0,0,0,0,0,'Unset',1583197210,1384378113,0,1),
(140027,195848431,0,0,'Iniquity','An impairment that decreases the target''s strength and intelligence.',275,16,315,1829443087,3587918036,105,0,1,'Your Iniquity was successful on %t!','Your Iniquity fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Iniquity.lua',166,'You cast Iniquity on %t.',0,0,0,1,0,0,2,0,0,140026,0,0,0,0,0,1,0,0,0,'Debuff',1583197250,1384378112,0,1),
(140028,1143024038,0,0,'Depravity','An impairment that decreases the target''s strength and intelligence.',193,16,315,1829443087,3587918036,175,0,1,'Your Depravity was successful on %t!','Your Depravity fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Depravity.lua',166,'You cast Depravity on %t.',0,0,0,1,0,1,2,0,0,140026,0,0,0,0,0,1,0,0,0,'Debuff',1583197287,1384378111,0,1),
(140029,386599321,0,0,'Vitiation','An impairment that decreases the target''s strength and intelligence.',193,16,315,1829443087,3587918036,245,0,1,'Your Deny IV was successful on %t!','Your Deny IV fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Deny.lua',2382,'You cast Deny IV on %t.',0,0,0,1,0,1,2,0,0,140026,0,0,0,0,0,1,0,0,0,'Unset',1583197324,1384378112,0,1),
(140030,2683180108,0,0,'Debase','An impairment that decreases the target''s strength and intelligence.',193,16,315,1829443087,3587918036,320,0,1,'Your Deny V was successful on %t!','Your Deny V fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Deny.lua',2382,'You cast Deny V on %t.',0,0,0,1,0,1,2,0,0,140026,0,0,0,0,0,1,0,0,0,'Unset',1583197360,1384378111,0,1),
(140031,1737118751,0,0,'Deny','An impairment that decreases the target''s strength and intelligence.',193,16,315,1829443087,3587918036,380,0,1,'Your Deny VI was successful on %t!','Your Deny VI fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Deny.lua',2382,'You cast Deny VI on %t.',0,0,0,1,0,1,2,0,0,140026,0,0,0,0,0,1,0,0,0,'Unset',1583197422,1384378113,0,1),
(140032,2445419766,0,0,'Deny VII','An impairment that decreases the target''s strength and intelligence.',193,16,315,1829443087,3587918036,430,0,1,'Your Deny VII was successful on %t!','Your Deny VII fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Deny.lua',2382,'You cast Deny VII on %t.',0,0,0,1,0,1,2,0,0,140026,0,0,0,0,0,1,0,0,0,'Unset',1583197469,1384378112,0,1),
(140033,934620994,0,0,'Deny VIII','An impairment that decreases the target''s strength and intelligence.',193,16,315,1829443087,3587918036,480,0,1,'Your Deny VIII was successful on %t!','Your Deny VIII fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Deny.lua',2382,'You cast Deny VIII on %t.',0,0,0,0,0,0,2,0,0,140026,0,0,0,0,0,1,0,0,0,'Unset',1583197524,1384378113,0,1),
(140034,1846198105,0,0,'Distract','Reduces the hate of all enemies near the inquisitor and stuns them for a short duration.',157,14,313,3341842907,882983852,65,0,1,'Your Disorientation was successful on %t!','Your Disorientation fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Disorientation.lua',2383,'You cast Disorientation on %t.',0,0,0,1,0,1,2,4,0,140034,0,0,0,0,0,0,0,0,0,'Unset',1583198018,1384377827,0,1),
(140035,3429448000,0,0,'Disorient','Reduces the hate of all enemies near the inquisitor and stuns them for a short duration.',157,14,313,1829443087,882983852,135,0,1,'Your Disorient was successful on %t!','Your Disorient fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Disorient.lua',800,'You cast Disorient on %t.',0,0,0,1,0,1,2,4,0,140034,0,0,0,0,0,1,0,0,0,'Detaunt',1583198048,1384378113,0,1),
(140036,2633738129,0,0,'Digression','Reduces the hate of all enemies near the inquisitor and stuns them for a short duration.',157,14,313,1829443087,882983852,205,0,1,'Your Digression was successful on %t!','Your Digression fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Digression.lua',800,'You cast Digression on %t.',0,0,0,1,0,1,2,4,0,140034,0,0,0,0,0,1,0,0,0,'Debuff',1583198068,1384378112,0,1),
(140037,1598075896,0,0,'Improved Digression','Reduces the hate of all enemies near the inquisitor and stuns them for a short duration.',157,14,313,1829443087,882983852,275,0,1,'Your Disorientation IV was successful on %t!','Your Disorientation IV fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Disorientation.lua',2383,'You cast Disorientation IV on %t.',0,0,0,1,0,1,2,4,0,140034,0,0,0,0,0,1,0,0,0,'Unset',1583198344,1384378111,0,1),
(140038,2899886138,0,0,'Disorientation','Reduces the hate of all enemies near the inquisitor and stuns them for a short duration.',157,14,313,1829443087,882983852,345,0,1,'Your Disorientation V was successful on %t!','Your Disorientation V fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Disorientation.lua',2383,'You cast Disorientation V on %t.',0,0,0,1,0,1,2,4,0,140034,0,0,0,0,0,1,0,0,0,'Unset',1583198357,1384377826,0,1),
(140039,2513768446,0,0,'Greater Disorientation','Reduces the hate of all enemies near the inquisitor and stuns them for a short duration.',157,14,313,1829443087,882983852,395,0,1,'Your Disorientation VI was successful on %t!','Your Disorientation VI fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Disorientation.lua',2383,'You cast Disorientation VI on %t.',0,0,0,1,0,1,2,4,0,140034,0,0,0,0,0,1,0,0,0,'Unset',1583198369,1384378113,0,1),
(140040,3992729772,0,0,'Disorientation VII','Reduces the hate of all enemies near the inquisitor and stuns them for a short duration.',157,14,313,1829443087,882983852,445,0,1,'Your Disorientation VII was successful on %t!','Your Disorientation VII fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Disorientation.lua',2383,'You cast Disorientation VII on %t.',0,0,0,1,0,1,2,4,0,140034,0,0,0,0,0,1,0,0,0,'Unset',1583198385,1384378112,0,1),
(140041,1784345583,0,0,'Disorientation VIII','Reduces the hate of all enemies near the inquisitor and stuns them for a short duration.',157,14,313,1829443087,882983852,495,0,1,'Your Disorientation VIII was successful on %t!','Your Disorientation VIII fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Disorientation.lua',2383,'You cast Disorientation VIII on %t.',0,0,0,0,0,0,2,4,0,140034,0,0,0,0,0,1,0,0,0,'Unset',1583198392,1384378113,0,1),
(140042,2332890583,0,1,'Convert','Whenever the inquisitor casts a beneficial spell on an ally, that ally receives additional health replenishment. A small amount of power is drained from the inquisitor each time this effect triggers.',183,13,317,1829443087,3587918036,290,1,0,'Your Dogma was successful on %t!','Your Dogma fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Dogma.lua',2384,'You cast Dogma on %t.',0,0,0,1,1,1,0,0,0,140042,0,0,0,0,0,1,0,0,0,'Unset',1583208834,1384378113,0,1),
(140043,4179155665,0,1,'Dogma','Whenever the inquisitor casts a beneficial spell on an ally, that ally receives additional health replenishment. A small amount of power is drained from the inquisitor each time this effect triggers.',183,13,317,1829443087,3587918036,380,1,0,'Your Dogma II was successful on %t!','Your Dogma II fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Dogma.lua',2384,'You cast Dogma II on %t.',0,0,0,1,1,1,0,0,0,140042,0,0,0,0,0,1,0,0,0,'Unset',1583208862,1384378113,0,1),
(140044,540592253,0,1,'Dogma III','Whenever the inquisitor casts a beneficial spell on an ally, that ally receives additional health replenishment. A small amount of power is drained from the inquisitor each time this effect triggers.',183,13,317,1829443087,3587918036,430,1,0,'Your Dogma III was successful on %t!','Your Dogma III fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Dogma.lua',2384,'You cast Dogma III on %t.',0,0,0,1,1,1,0,0,0,140042,0,0,0,0,0,1,0,0,0,'Unset',1583208878,1384378112,0,1),
(140045,3969042659,0,1,'Dogma IV','Whenever the inquisitor casts a beneficial spell on an ally, that ally receives additional health replenishment. A small amount of power is drained from the inquisitor each time this effect triggers.',183,13,317,1829443087,3587918036,480,1,0,'Your Dogma IV was successful on %t!','Your Dogma IV fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Dogma.lua',2384,'You cast Dogma IV on %t.',0,0,0,0,1,0,0,0,0,140042,0,0,0,0,0,1,0,0,0,'Unset',1583208892,1384378113,0,1),
(140046,2976277557,0,0,'Evidence of Faith','An emergency group augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring. This spell does not require any power and does not have a casting time.',184,12,314,1829443087,366253016,240,0,2,'Your Evidence of Faith was successful on %t!','Your Evidence of Faith fades.','',0,1,'Spells/Priest/Cleric/Inquisitor/EvidenceofFaith.lua',2385,'You cast Evidence of Faith on %t.',0,0,0,0,1,1,0,0,0,140046,0,0,0,0,0,1,0,0,0,'Unset',1583206983,1384377826,0,1),
(140047,3412968240,0,1,'Conviction','A group augmentation that increases the arcane resistance and stamina of the inquisitor''s group.',245,65535,314,1829443087,3587918036,80,1,2,'Your Fanatic''s Faith was successful on %t!','Your Fanatic''s Faith fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/FanaticsFaith.lua',2388,'You cast Fanatic''s Faith on %t.',0,0,0,1,1,1,0,0,0,140047,0,0,0,0,0,0,0,0,0,'Buff',1583198822,1384378113,0,1),
(140048,493680153,0,1,'Fanatical Reverence','Augmentation that increases the Health pool of the Inquisitors allies and has a chance to increase Attack Speed briefly when attacked.',245,65535,314,1829443087,3587918036,150,1,2,'Your Fanatical Reverence was successful on %t!','Your Fanatical Reverence fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/FanaticalReverence.lua',2388,'You cast Fanatical Reverence on %t.',0,0,0,1,1,1,0,0,0,140047,0,0,0,0,0,1,0,0,0,'Buff',1583198837,1384378113,0,1),
(140049,1623974863,0,1,'Zealot''s Conviction','A group augmentation that increases the arcane resistance and stamina of the inquisitor''s group.',245,65535,314,1829443087,3587918036,220,1,2,'Your Fanatic''s Faith III was successful on %t!','Your Fanatic''s Faith III fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/FanaticsFaith.lua',2388,'You cast Fanatic''s Faith III on %t.',0,0,0,1,1,1,0,0,0,140047,0,0,0,0,0,1,0,0,0,'Buff',1583198862,1384378112,0,1),
(140050,522698450,0,1,'Fanatic''s Faith','A group augmentation that increases the arcane resistance and stamina of the inquisitor''s group.',245,65535,314,1829443087,3587918036,290,1,2,'Your Fanatic''s Faith IV was successful on %t!','Your Fanatic''s Faith IV fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/FanaticsFaith.lua',2388,'You cast Fanatic''s Faith IV on %t.',0,0,0,1,1,1,0,0,0,140047,0,0,0,0,0,1,0,0,0,'Buff',1583198875,1384378111,0,1),
(140051,2795032193,0,1,'Zeal','A group augmentation that increases the arcane resistance and stamina of the inquisitor''s group.',245,65535,314,1829443087,3587918036,360,1,2,'Your Fanatic''s Faith V was successful on %t!','Your Fanatic''s Faith V fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/FanaticsFaith.lua',2388,'You cast Fanatic''s Faith V on %t.',0,0,0,1,1,1,0,0,0,140047,0,0,0,0,0,1,0,0,0,'Buff',1583198890,1384378113,0,1),
(140052,4180322284,0,1,'Fanatic''s Faith VI','A group augmentation that increases the arcane resistance and stamina of the inquisitor''s group.',245,65535,314,1829443087,3587918036,410,1,2,'Your Fanatic''s Faith VI was successful on %t!','Your Fanatic''s Faith VI fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/FanaticsFaith.lua',2388,'You cast Fanatic''s Faith VI on %t.',0,0,0,1,1,1,0,0,0,140047,0,0,0,0,0,1,0,0,0,'Buff',1583198903,1384378113,0,1),
(140053,2123132079,0,1,'Fanatic''s Faith VII','A group augmentation that increases the arcane resistance and stamina of the inquisitor''s group.',245,65535,314,1829443087,3587918036,460,1,2,'Your Fanatic''s Faith VII was successful on %t!','Your Fanatic''s Faith VII fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/FanaticsFaith.lua',2388,'You cast Fanatic''s Faith VII on %t.',0,0,0,1,1,1,0,0,0,140047,0,0,0,0,0,1,0,0,0,'Buff',1583199025,1384377827,0,1),
(140054,2493734826,0,0,'Minor Recovery','Replenishes a large amount of target ally''s health.',468,12,316,1829443087,366253016,15,0,1,'Your Fanatical Healing was successful on %t!','Your Fanatical Healing fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/FanaticalHealing.lua',2386,'You cast Fanatical Healing on %t.',0,1,0,1,1,0,0,0,0,140054,0,0,0,0,0,0,0,0,0,'Unset',1583195735,1384378111,0,1),
(140055,1236046508,0,0,'Recovery','Replenishes a large amount of target ally''s health.',468,12,316,1829443087,366253016,50,0,1,'Your Fanatical Healing II was successful on %t!','Your Fanatical Healing II fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/FanaticalHealing.lua',2386,'You cast Fanatical Healing II on %t.',0,1,0,1,1,0,0,0,0,140054,0,0,0,0,0,0,0,0,0,'Unset',1583195714,1384378113,0,1),
(140056,1666305466,0,0,'Greater Recovery','Replenishes a large amount of target ally''s health.',468,12,316,1829443087,366253016,90,0,1,'Your Fanatical Healing III was successful on %t!','Your Fanatical Healing III fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/FanaticalHealing.lua',2386,'You cast Fanatical Healing III on %t.',0,1,0,1,1,0,0,0,0,140054,0,0,0,0,0,0,0,0,0,'Unset',1583195753,1384378113,0,1),
(140057,4004566745,0,0,'Dogmatic Healing','Instantly heals the Inquisitors ally and grants a minor increase in Attack Speed. ',468,12,315,1829443087,366253016,160,0,1,'Your Dogmatic Healing was successful on %t!','Your Dogmatic Healing fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/DogmaticHealing.lua',736,'You cast Dogmatic Healing on %t.',0,1,0,1,1,0,0,0,0,140054,0,0,0,0,0,1,0,0,0,'Unset',1583195794,1384378111,0,1),
(140058,745790527,0,0,'Fanatical Healing IX','Replenishes a large amount of target ally''s health.',468,12,316,1829443087,366253016,465,0,1,'Your Fanatical Healing IX was successful on %t!','Your Fanatical Healing IX fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/FanaticalHealing.lua',2386,'You cast Fanatical Healing IX on %t.',0,1,0,1,1,0,0,0,0,140054,0,0,0,0,0,1,0,0,0,'Unset',1583195995,1384378113,0,1),
(140059,900403021,0,0,'Intolerant Healing','Replenishes a large amount of target ally''s health.',468,12,316,1829443087,366253016,230,0,1,'Your Fanatical Healing V was successful on %t!','Your Fanatical Healing V fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/FanaticalHealing.lua',2386,'You cast Fanatical Healing V on %t.',0,1,0,1,1,0,0,0,0,140054,0,0,0,0,0,1,0,0,0,'Unset',1583195827,1384378112,0,1),
(140060,4089064119,0,0,'Fanatical Healing','Replenishes a large amount of target ally''s health.',468,12,316,1829443087,366253016,300,0,1,'Your Fanatical Healing VI was successful on %t!','Your Fanatical Healing VI fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/FanaticalHealing.lua',2386,'You cast Fanatical Healing VI on %t.',0,1,0,1,1,0,0,0,0,140054,0,0,0,0,0,1,0,0,0,'Unset',1583195888,1384378111,0,1),
(140061,4124612351,0,0,'Arch Recovery','Replenishes a large amount of target ally''s health.',468,12,316,1829443087,366253016,365,0,1,'Your Fanatical Healing VII was successful on %t!','Your Fanatical Healing VII fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/FanaticalHealing.lua',2386,'You cast Fanatical Healing VII on %t.',0,1,0,1,1,0,0,0,0,140054,0,0,0,0,0,1,0,0,0,'Unset',1583195916,1384378113,0,1),
(140062,1226106745,0,0,'Fanatical Healing VIII','Replenishes a large amount of target ally''s health.',468,12,316,1829443087,366253016,415,0,1,'Your Fanatical Healing VIII was successful on %t!','Your Fanatical Healing VIII fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/FanaticalHealing.lua',2386,'You cast Fanatical Healing VIII on %t.',0,1,0,1,1,0,0,0,0,140054,0,0,0,0,0,1,0,0,0,'Unset',1583195957,1384378113,0,1),
(140063,2631382346,0,1,'Zealotry','A group augmentation that increases the attack speed, reuse speed, attributes, base avoidance, and spell resistance of the inquisitor''s group. It costs a large amount of power over time to maintain the spell, but the spell can be toggled off early if desired.',295,13,314,1829443087,3587918036,250,1,2,'Your Fanaticism was successful on %t!','Your Fanaticism fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Fanaticism.lua',2387,'You cast Fanaticism on %t.',0,0,0,1,1,1,0,0,0,140063,0,0,0,0,0,1,0,0,0,'Unset',1583207238,1384377826,0,1),
(140064,1332699582,0,1,'Fanaticism','A group augmentation that increases the attack speed, reuse speed, attributes, base avoidance, and spell resistance of the inquisitor''s group. It costs a large amount of power over time to maintain the spell, but the spell can be toggled off early if desired.',295,13,314,1829443087,3587918036,350,1,2,'Your Fanaticism II was successful on %t!','Your Fanaticism II fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Fanaticism.lua',2387,'You cast Fanaticism II on %t.',0,0,0,1,1,1,0,0,0,140063,0,0,0,0,0,1,0,0,0,'Unset',1583207277,1384378113,0,1),
(140065,75685785,0,1,'Devotion','A group augmentation that increases the attack speed, reuse speed, attributes, base avoidance, and spell resistance of the inquisitor''s group. It costs a large amount of power over time to maintain the spell, but the spell can be toggled off early if desired.',295,13,314,1829443087,3587918036,400,1,2,'Your Fanaticism III was successful on %t!','Your Fanaticism III fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Fanaticism.lua',2387,'You cast Fanaticism III on %t.',0,0,0,1,1,1,0,0,0,140063,0,0,0,0,0,1,0,0,0,'Unset',1583207342,1384378113,0,1),
(140066,3045682446,0,1,'Fanaticism IV','A group augmentation that increases the attack speed, reuse speed, attributes, base avoidance, and spell resistance of the inquisitor''s group. It costs a large amount of power over time to maintain the spell, but the spell can be toggled off early if desired.',295,13,314,1829443087,3587918036,450,1,2,'Your Fanaticism IV was successful on %t!','Your Fanaticism IV fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Fanaticism.lua',2387,'You cast Fanaticism IV on %t.',0,0,0,1,1,1,0,0,0,140063,0,0,0,0,0,1,0,0,0,'Unset',1583207355,1384378113,0,1),
(140067,2937292432,0,1,'Fanaticism V','A group augmentation that increases the attack speed, reuse speed, attributes, base avoidance, and spell resistance of the inquisitor''s group. It costs a large amount of power over time to maintain the spell, but the spell can be toggled off early if desired.',295,13,314,1829443087,3587918036,500,1,2,'Your Fanaticism V was successful on %t!','Your Fanaticism V fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Fanaticism.lua',2387,'You cast Fanaticism V on %t.',0,0,0,0,1,1,0,0,0,140063,0,0,0,0,0,1,0,0,0,'Unset',1583207369,1384378113,0,1),
(140068,2582328853,0,0,'Fervent Focus','Purges all control effects from the inquisitor. Control spells include stun, mesmerize, root, stifle, daze and fear. Casting this spell is not impaired by any control effects.',480,13,317,1829443087,366253016,275,0,0,'Your Fervent Faith was successful on %t!','Your Fervent Faith fades.','',0,1,'Spells/Priest/Cleric/Inquisitor/FerventFaith.lua',2389,'You cast Fervent Faith on %t.',0,0,0,1,1,1,0,0,0,140068,0,0,0,0,0,1,0,0,0,'Unset',1583208577,1384377826,0,1),
(140069,3925965917,0,0,'Fervent Faith','Purges all control effects from the inquisitor. Control spells include stun, mesmerize, root, stifle, daze and fear. Casting this spell is not impaired by any control effects.',480,13,317,1829443087,366253016,370,0,0,'Your Fervent Faith II was successful on %t!','Your Fervent Faith II fades.','',0,1,'Spells/Priest/Cleric/Inquisitor/FerventFaith.lua',2389,'You cast Fervent Faith II on %t.',0,0,0,1,1,1,0,0,0,140068,0,0,0,0,0,1,0,0,0,'Unset',1583208600,1384378112,0,1),
(140070,1693129575,0,0,'Fervent Faith III','Purges all control effects from the inquisitor. Control spells include stun, mesmerize, root, stifle, daze and fear. Casting this spell is not impaired by any control effects.',480,13,317,1829443087,366253016,420,0,0,'Your Fervent Faith III was successful on %t!','Your Fervent Faith III fades.','',0,1,'Spells/Priest/Cleric/Inquisitor/FerventFaith.lua',2389,'You cast Fervent Faith III on %t.',0,0,0,1,1,1,0,0,0,140068,0,0,0,0,0,1,0,0,0,'Unset',1583208616,1384378156,0,1),
(140071,3397618422,0,0,'Fervent Faith IV','Purges all control effects from the inquisitor. Control spells include stun, mesmerize, root, stifle, daze and fear. Casting this spell is not impaired by any control effects.',480,13,317,1829443087,366253016,470,0,0,'Your Fervent Faith IV was successful on %t!','Your Fervent Faith IV fades.','',0,1,'Spells/Priest/Cleric/Inquisitor/FerventFaith.lua',2389,'You cast Fervent Faith IV on %t.',0,0,0,0,1,0,0,0,0,140068,0,0,0,0,0,1,0,0,0,'Unset',1583208679,1384378113,0,1),
(140072,3924559306,0,0,'Forced Submission','An impairment that decreases the offensive skills of an opponent and its surrounding allies.',225,15,312,1829443087,3587918036,100,0,2,'Your Forced Submission was successful on %t!','Your Forced Submission fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/ForcedSubmission.lua',800,'You cast Forced Submission on %t.',0,0,0,1,0,1,2,0,0,140072,0,0,0,0,0,1,0,0,0,'Debuff',1583199423,1384378111,0,1),
(140073,4148404019,0,0,'Forced Acquiescence','An impairment that decreases the offensive skills of an opponent and its surrounding allies.',225,15,312,1829443087,3587918036,170,0,2,'Your Forced Acquiescence was successful on %t!','Your Forced Acquiescence fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/ForcedAcquiescence.lua',800,'You cast Forced Acquiescence on %t.',0,0,0,1,0,1,2,0,0,140072,0,0,0,0,0,1,0,0,0,'Unset',1583199663,1384377826,0,1),
(140074,2698433518,0,0,'Forced Compliance','An impairment that decreases the offensive skills of an opponent and its surrounding allies.',225,15,312,1829443087,3587918036,240,0,2,'Your Forced Compliance was successful on %t!','Your Forced Compliance fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/ForcedCompliance.lua',800,'You cast Forced Compliance on %t.',0,0,0,1,0,1,2,0,0,140072,0,0,0,0,0,1,0,0,0,'Unset',1583199716,1384378113,0,1),
(140075,1806923350,0,0,'Forced Obedience','An impairment that decreases the offensive skills of an opponent and its surrounding allies.',225,15,312,1829443087,3587918036,310,0,2,'Your Forced Obedience IV was successful on %t!','Your Forced Obedience IV fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/ForcedObedience.lua',2390,'You cast Forced Obedience IV on %t.',0,0,0,1,0,1,2,0,0,140072,0,0,0,0,0,1,0,0,0,'Unset',1583199751,1384378111,0,1),
(140076,2404924724,0,0,'Forced Disarmament','An impairment that decreases the offensive skills of an opponent and its surrounding allies.',225,15,312,1829443087,3587918036,380,0,2,'Your Forced Obedience V was successful on %t!','Your Forced Obedience V fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/ForcedObedience.lua',2390,'You cast Forced Obedience V on %t.',0,0,0,1,0,1,2,0,0,140072,0,0,0,0,0,1,0,0,0,'Unset',1583199788,1384378113,0,1),
(140077,4100372422,0,0,'Forced Obedience VI','An impairment that decreases the offensive skills of an opponent and its surrounding allies.',225,15,312,1829443087,3587918036,430,0,2,'Your Forced Obedience VI was successful on %t!','Your Forced Obedience VI fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/ForcedObedience.lua',2390,'You cast Forced Obedience VI on %t.',0,0,0,1,0,1,2,0,0,140072,0,0,0,0,0,1,0,0,0,'Unset',1583199833,1384378112,0,1),
(140078,595867550,0,0,'Forced Obedience VII','An impairment that decreases the offensive skills of an opponent and its surrounding allies.',225,15,312,1829443087,3587918036,480,0,2,'Your Forced Obedience VII was successful on %t!','Your Forced Obedience VII fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/ForcedObedience.lua',2390,'You cast Forced Obedience VII on %t.',0,0,0,0,0,1,2,0,0,140072,0,0,0,0,0,1,0,0,0,'Unset',1583199880,1384377826,0,1),
(140079,473910301,0,0,'Heresy','A curse that inflicts target encounter, causing anyone that casts a spell powerful divine damage and knocking them down, for up to 3 triggers per enemy.',159,13,312,1829443087,882983852,260,0,2,'Your Heresy was successful on %t!','Your Heresy fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Heresy.lua',2391,'You cast Heresy on %t.',0,0,0,1,0,1,4,0,0,140079,0,0,0,0,0,0,0,0,0,'Unset',1583207522,1384378113,0,1),
(140080,1531466662,0,0,'Decree','A curse that inflicts target encounter, causing anyone that casts a spell powerful divine damage and knocking them down, for up to 3 triggers per enemy.',159,13,312,90523872,882983852,360,0,1,'Your Heresy II was successful on %t!','Your Heresy II fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Heresy.lua',2391,'You cast Heresy II on %t.',0,0,0,1,0,1,4,0,0,140079,0,0,0,0,0,0,0,0,0,'Unset',1583207742,1384378113,0,1),
(140081,2941627447,0,0,'Heresy III','A curse that inflicts target encounter, causing anyone that casts a spell powerful divine damage and knocking them down, for up to 3 triggers per enemy.',159,13,312,1829443087,882983852,410,0,1,'Your Heresy III was successful on %t!','Your Heresy III fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Heresy.lua',2391,'You cast Heresy III on %t.',0,0,0,1,0,1,4,0,0,140079,0,0,0,0,0,0,0,0,0,'Unset',1583207926,1384378113,0,1),
(140082,3090069620,0,0,'Heresy IV','A curse that inflicts target encounter, causing anyone that casts a spell powerful divine damage and knocking them down, for up to 3 triggers per enemy.',159,13,312,1829443087,882983852,460,0,1,'Your Heresy IV was successful on %t!','Your Heresy IV fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Heresy.lua',2391,'You cast Heresy IV on %t.',0,0,0,1,0,1,4,0,0,140079,0,0,0,0,0,0,0,0,0,'Unset',1583208238,1384378113,0,1),
(140083,398988291,0,0,'Heretic''s Demise','An impairment that deals instant Heat damage to the enemies allies, when the enemy is slain.',482,16,312,1829443087,613995491,130,0,2,'Your Heretic''s Demise was successful on %t!','Your Heretic''s Demise fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/HereticsDemise.lua',800,'You cast Heretic''s Demise on %t.',0,0,0,1,0,1,0,0,0,140083,0,0,0,0,0,1,0,0,0,'DD',1583200940,1384378111,0,1),
(140084,3713018973,0,0,'Heretic''s Fate','An impairment that deals instant Heat damage to the enemies allies, when the enemy is slain.',482,16,312,1829443087,613995491,200,0,2,'Your Heretic''s Fate was successful on %t!','Your Heretic''s Fate fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/HereticsFate.lua',800,'You cast Heretic''s Fate on %t.',0,0,0,1,0,1,0,0,0,140083,0,0,0,0,0,1,0,0,0,'DD',1583201022,1384378113,0,1),
(140085,2122923553,0,0,'Heretic''s Doom','A medium damage spell which inflict heat damage to the target encounter.',482,16,312,1829443087,613995491,275,0,2,'Your Heretic''s Doom III was successful on %t!','Your Heretic''s Doom III fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/HereticsDoom.lua',2392,'You cast Heretic''s Doom III on %t.',0,0,0,1,0,1,0,0,0,140083,0,0,0,0,0,1,0,0,0,'DD',1583201067,1384378113,0,1),
(140086,4021996829,0,0,'Heretic''s Destiny','A medium damage spell which inflict heat damage to the target encounter.',482,16,312,1829443087,613995491,340,0,2,'Your Heretic''s Doom IV was successful on %t!','Your Heretic''s Doom IV fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/HereticsDoom.lua',2392,'You cast Heretic''s Doom IV on %t.',0,0,0,1,0,1,0,0,0,140083,0,0,0,0,0,1,0,0,0,'DD',1583201171,1384378113,0,1),
(140087,4187680666,0,0,'Heretic''s Fall','A medium damage spell which inflict heat damage to the target encounter.',482,16,312,1829443087,613995491,395,0,2,'Your Heretic''s Doom V was successful on %t!','Your Heretic''s Doom V fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/HereticsDoom.lua',2392,'You cast Heretic''s Doom V on %t.',0,0,0,1,0,1,0,0,0,140083,0,0,0,0,0,1,0,0,0,'DD',1583201218,1384378113,0,1),
(140088,2345471604,0,0,'Heretic''s Doom VI','A medium damage spell which inflict heat damage to the target encounter.',482,16,312,1829443087,613995491,445,0,2,'Your Heretic''s Doom VI was successful on %t!','Your Heretic''s Doom VI fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/HereticsDoom.lua',2392,'You cast Heretic''s Doom VI on %t.',0,0,0,1,0,1,0,0,0,140083,0,0,0,0,0,1,0,0,0,'DD',1583201255,1384378113,0,1),
(140089,631611365,0,0,'Heretic''s Doom VII','A medium damage spell which inflict heat damage to the target encounter.',482,16,312,1829443087,613995491,495,0,2,'Your Heretic''s Doom VII was successful on %t!','Your Heretic''s Doom VII fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/HereticsDoom.lua',2392,'You cast Heretic''s Doom VII on %t.',0,0,0,0,0,1,0,0,0,140083,0,0,0,0,0,1,0,0,0,'DD',1583201304,1384378113,0,1),
(140090,527483313,0,0,'Imprison','Prevents your enemy from moving.',223,14,315,1829443087,882983852,195,0,1,'Your Imprison was successful on %t!','Your Imprison fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Imprison.lua',177,'You cast Imprison on %t.',0,0,0,1,0,0,2,0,0,140090,0,0,0,0,0,1,0,0,0,'Unset',1583202294,1384378113,0,1),
(140091,2431084838,0,0,'Incarcerate','Prevents your enemy from movement and stifles them in place for a short duration. Further hostile actions taken against this enemy have a chance to break this spell.',223,14,315,1829443087,882983852,265,0,1,'Your Incarcerate II was successful on %t!','Your Incarcerate II fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Incarcerate.lua',2393,'You cast Incarcerate II on %t.',0,0,0,1,0,1,2,0,0,140090,0,0,0,0,0,0,0,0,0,'Unset',1583202338,1384378113,0,1),
(140092,1227436454,0,0,'Detain','Prevents your enemy from movement and stifles them in place for a short duration. Further hostile actions taken against this enemy have a chance to break this spell.',223,14,315,1829443087,882983852,335,0,1,'Your Incarcerate III was successful on %t!','Your Incarcerate III fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Incarcerate.lua',2393,'You cast Incarcerate III on %t.',0,0,0,1,0,1,2,0,0,140090,0,0,0,0,0,0,0,0,0,'Unset',1583202508,1384378113,0,1),
(140093,1046313847,0,0,'Confine','Prevents your enemy from movement and stifles them in place for a short duration. Further hostile actions taken against this enemy have a chance to break this spell.',223,14,315,1829443087,882983852,385,0,1,'Your Incarcerate IV was successful on %t!','Your Incarcerate IV fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Incarcerate.lua',2393,'You cast Incarcerate IV on %t.',0,0,0,1,0,1,2,0,0,140090,0,0,0,0,0,0,0,0,0,'Unset',1583202557,1384378113,0,1),
(140094,3886314475,0,0,'Incarcerate V','Prevents your enemy from movement and stifles them in place for a short duration. Further hostile actions taken against this enemy have a chance to break this spell.',223,14,315,1829443087,882983852,435,0,1,'Your Incarcerate V was successful on %t!','Your Incarcerate V fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Incarcerate.lua',2393,'You cast Incarcerate V on %t.',0,0,0,1,0,1,2,0,0,140090,0,0,0,0,0,0,0,0,0,'Unset',1583202598,1384378112,0,1),
(140095,2586141721,0,1,'Harrowing Inquest','An augmentation placed on an ally that grants them a chance at draining power from the target with every successful spell or attack, and returning a portion of this power back to the inquisitor. This spell does not require any concentration, but can only be maintained on a single ally.',472,13,316,1829443087,3587918036,225,1,1,'Your Inquest was successful on %t!','Your Inquest fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Inquest.lua',2394,'You cast Inquest on %t.',0,0,0,1,1,1,0,0,0,140095,0,0,0,0,0,0,0,0,0,'Unset',1583203753,1384377827,0,1),
(140096,3826902657,0,1,'Chilling Inquest','An augmentation placed on an ally that grants them a chance at draining power from the target with every successful spell or attack, and returning a portion of this power back to the inquisitor. This spell does not require any concentration, but can only be maintained on a single ally.',472,13,316,1829443087,3587918036,295,1,1,'Your Inquest II was successful on %t!','Your Inquest II fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Inquest.lua',2394,'You cast Inquest II on %t.',0,0,0,1,1,1,0,0,0,140095,0,0,0,0,0,0,0,0,0,'Unset',1583203797,1384378111,0,1),
(140097,810019640,0,1,'Inquest','An augmentation placed on an ally that grants them a chance at draining power from the target with every successful spell or attack, and returning a portion of this power back to the inquisitor. This spell does not require any concentration, but can only be maintained on a single ally.',472,13,316,1829443087,3587918036,365,1,1,'Your Inquest III was successful on %t!','Your Inquest III fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Inquest.lua',2394,'You cast Inquest III on %t.',0,0,0,1,1,1,0,0,0,140095,0,0,0,0,0,0,0,0,0,'Unset',1583205989,1384378113,0,1),
(140098,3243028661,0,1,'Inquest IV','An augmentation placed on an ally that grants them a chance at draining power from the target with every successful spell or attack, and returning a portion of this power back to the inquisitor. This spell does not require any concentration, but can only be maintained on a single ally.',472,13,316,1829443087,3587918036,415,1,1,'Your Inquest IV was successful on %t!','Your Inquest IV fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Inquest.lua',2394,'You cast Inquest IV on %t.',0,0,0,1,1,1,0,0,0,140095,0,0,0,0,0,0,0,0,0,'Unset',1583206210,1384377827,0,1),
(140099,781114251,0,1,'Inquest V','An augmentation placed on an ally that grants them a chance at draining power from the target with every successful spell or attack, and returning a portion of this power back to the inquisitor. This spell does not require any concentration, but can only be maintained on a single ally.',472,13,316,1829443087,3587918036,465,1,1,'Your Inquest V was successful on %t!','Your Inquest V fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Inquest.lua',2394,'You cast Inquest V on %t.',0,0,0,1,1,1,0,0,0,140095,0,0,0,0,0,0,0,0,0,'Unset',1583206314,1384377827,0,1),
(140100,1450384205,0,0,'Inquisition','Implores the inquisitor''s allies to join the inquisition, radiating a heal to all group members near the inquisitor. The closer your allies are to you, the greater the heals.',56,65535,314,1829443087,3587918036,400,0,1,'Your Inquisition was successful on %t!','Your Inquisition fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Inquisition.lua',2395,'You cast Inquisition on %t.',0,0,0,1,1,1,0,0,0,140100,0,0,0,0,0,0,0,0,0,'Unset',1583209016,1384378113,0,1),
(140101,3413965371,0,0,'Inquisition II','Implores the inquisitor''s allies to join the inquisition, radiating a heal to all group members near the inquisitor. The closer your allies are to you, the greater the heals.',56,65535,314,1829443087,3587918036,450,0,1,'Your Inquisition II was successful on %t!','Your Inquisition II fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Inquisition.lua',2395,'You cast Inquisition II on %t.',0,0,0,1,1,1,0,0,0,140100,0,0,0,0,0,0,0,0,0,'Unset',1583209050,1384378113,0,1),
(140102,3704741523,0,0,'Inquisition III','Implores the inquisitor''s allies to join the inquisition, radiating a heal to all group members near the inquisitor. The closer your allies are to you, the greater the heals.',56,65535,313,1829443087,3587918036,500,0,1,'Your Inquisition III was successful on %t!','Your Inquisition III fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Inquisition.lua',2395,'You cast Inquisition III on %t.',0,0,0,0,1,0,0,0,0,140100,0,0,0,0,0,0,0,0,0,'Unset',1583209066,1384378114,0,1),
(140103,2481399493,0,0,'Invocation','Interrupts target enemy and deals divine damage.',152,14,315,1829443087,613995491,5,0,1,'Your Invocation was successful on %t!','Your Invocation fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Invocation.lua',2396,'You cast Invocation on %t.',0,0,0,1,0,0,0,0,0,110014,0,0,0,0,0,0,0,0,0,'DD',1583111104,1384378111,0,1),
(140104,3518579537,0,0,'Admonishing Invocation','Interrupts target enemy and deals divine damage.',152,14,315,1829443087,613995491,45,0,1,'Your Invocation II was successful on %t!','Your Invocation II fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Invocation.lua',2396,'You cast Invocation II on %t.',0,0,0,1,0,0,0,0,0,140103,0,0,0,0,0,0,0,0,0,'DD',1583111252,1384378113,0,1),
(140105,966378161,0,0,'Greater Invocation','Interrupts target enemy and deals divine damage.',152,14,315,1829443087,613995491,85,0,1,'Your Invocation III was successful on %t!','Your Invocation III fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Invocation.lua',2396,'You cast Invocation III on %t.',0,0,0,1,0,0,0,0,0,140103,0,0,0,0,0,0,0,0,0,'DD',1583111275,1384378113,0,1),
(140106,3154793490,0,0,'Cruel Invocation','Deals Divine damage over time and stifles the enemy.',152,14,315,1829443087,613995491,155,0,1,'Your Cruel Invocation was successful on %t!','Your Cruel Invocation fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/CruelInvocation.lua',153,'You cast Cruel Invocation on %t.',0,0,0,1,0,0,1,2,0,140103,0,0,0,0,0,1,0,0,0,'DD',1583111732,1384378111,0,1),
(140107,343026733,0,0,'Invocation IX','Interrupts target enemy and deals divine damage.',152,14,315,1829443087,613995491,460,0,1,'Your Invocation IX was successful on %t!','Your Invocation IX fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Invocation.lua',2396,'You cast Invocation IX on %t.',0,0,0,1,0,0,0,0,0,140103,0,0,0,0,0,1,0,0,0,'DD',1583112273,1384378113,0,1),
(140108,1318881444,0,0,'Merciless Invocation','Interrupts target enemy and deals divine damage.',152,14,315,1829443087,613995491,225,0,1,'Your Invocation V was successful on %t!','Your Invocation V fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Invocation.lua',2396,'You cast Invocation V on %t.',0,0,0,1,0,0,0,0,0,140103,0,0,0,0,0,1,0,0,0,'DD',1583111771,1384378112,0,1),
(140109,2557834308,0,0,'Ruthless Invocation','Interrupts target enemy and deals divine damage.',152,14,315,1829443087,613995491,295,0,1,'Your Invocation VI was successful on %t!','Your Invocation VI fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Invocation.lua',2396,'You cast Invocation VI on %t.',0,0,0,1,0,0,0,0,0,140103,0,0,0,0,0,1,0,0,0,'DD',1583111908,1384378111,0,1),
(140110,4155807429,0,0,'Invocate','Interrupts target enemy and deals divine damage.',152,14,315,1829443087,613995491,360,0,1,'Your Invocation VII was successful on %t!','Your Invocation VII fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Invocation.lua',2396,'You cast Invocation VII on %t.',0,0,0,1,0,0,0,0,0,140103,0,0,0,0,0,1,0,0,0,'DD',1583111961,1384378113,0,1),
(140111,3387225512,0,0,'Invocation VIII','Interrupts target enemy and deals divine damage.',152,14,315,1829443087,613995491,410,0,1,'Your Invocation VIII was successful on %t!','Your Invocation VIII fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Invocation.lua',2396,'You cast Invocation VIII on %t.',0,0,0,1,0,0,0,0,0,140103,0,0,0,0,0,1,0,0,0,'DD',1583112017,1384378113,0,1),
(140112,4112413042,0,0,'Litany of Agony','Does instant Divine damage to the Inquisitors enemy and its surrounding allies.',222,14,312,1829443087,613995491,160,0,2,'Your Litany of Agony was successful on %t!','Your Litany of Agony fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/LitanyOfAgony.lua',784,'You cast Litany of Agony on %t.',0,0,0,1,0,1,0,0,0,140112,0,0,0,0,0,1,0,0,0,'DD',1583201843,1384378113,0,1),
(140113,1160525131,0,0,'Litany of Torment','Interrupts and deals instant divine damage to the target and nearby encounter members.',222,14,312,1829443087,613995491,230,0,2,'Your Litany II was successful on %t!','Your Litany II fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Litany.lua',2397,'You cast Litany II on %t.',0,0,0,1,0,1,0,0,0,140112,0,0,0,0,0,1,0,0,0,'DD',1583201884,1384377827,0,1),
(140114,2296573734,0,0,'Litany of Anguish','Interrupts and deals instant divine damage to the target and nearby encounter members.',222,14,312,1829443087,613995491,300,0,2,'Your Litany III was successful on %t!','Your Litany III fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Litany.lua',2397,'You cast Litany III on %t.',0,0,0,1,0,1,0,0,0,140112,0,0,0,0,0,1,0,0,0,'DD',1583201911,1384378111,0,1),
(140115,904683114,0,0,'Litany','Interrupts and deals instant divine damage to the target and nearby encounter members.',222,14,312,1829443087,613995491,370,0,2,'Your Litany IV was successful on %t!','Your Litany IV fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Litany.lua',2397,'You cast Litany IV on %t.',0,0,0,1,0,1,0,0,0,140112,0,0,0,0,0,1,0,0,0,'DD',1583201947,1384378112,0,1),
(140116,3931476411,0,0,'Litany V','Interrupts and deals instant divine damage to the target and nearby encounter members.',222,14,312,1829443087,613995491,420,0,2,'Your Litany V was successful on %t!','Your Litany V fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Litany.lua',2397,'You cast Litany V on %t.',0,0,0,1,0,1,0,0,0,140112,0,0,0,0,0,1,0,0,0,'DD',1583201987,1384378112,0,1),
(140117,4247684600,0,0,'Litany VI','Interrupts and deals instant divine damage to the target and nearby encounter members.',222,14,312,1829443087,613995491,470,0,2,'Your Litany VI was successful on %t!','Your Litany VI fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Litany.lua',2397,'You cast Litany VI on %t.',0,0,0,1,0,1,0,0,0,140112,0,0,0,0,0,1,0,0,0,'DD',1583202031,1384378113,0,1),
(140118,3720335583,0,0,'Malevolent Diatribe','A group augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.',180,12,314,1829443087,366253016,70,0,2,'Your Malevolent Diatribe was successful on %t!','Your Malevolent Diatribe fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/MalevolentDiatribe.lua',2398,'You cast Malevolent Diatribe on %t.',0,0,0,1,1,1,0,0,0,140118,0,0,0,0,0,0,0,0,0,'Unset',1583198662,1384378113,0,1),
(140119,546636379,0,0,'Contrite Grace','A group augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.',180,12,314,1829443087,366253016,140,0,2,'Your Contrite Grace was successful on %t!','Your Contrite Grace fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/ContriteGrace.lua',783,'You cast Contrite Grace on %t.',0,0,0,1,1,1,0,0,0,140118,0,0,0,0,0,1,0,0,0,'HoT-Ward',1583198680,1384377827,0,1),
(140120,2544438347,0,0,'Salutary Diatribe','A group augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.',180,12,314,1829443087,366253016,210,0,2,'Your Malevolent Diatribe III was successful on %t!','Your Malevolent Diatribe III fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/MalevolentDiatribe.lua',2398,'You cast Malevolent Diatribe III on %t.',0,0,0,1,1,1,0,0,0,140118,0,0,0,0,0,1,0,0,0,'Unset',1583198692,1384378112,0,1),
(140121,4260259795,0,0,'Benign Diatribe','A group augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.',180,12,314,1829443087,366253016,280,0,2,'Your Malevolent Diatribe IV was successful on %t!','Your Malevolent Diatribe IV fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/MalevolentDiatribe.lua',2398,'You cast Malevolent Diatribe IV on %t.',0,0,0,1,1,1,0,0,0,140118,0,0,0,0,0,1,0,0,0,'Unset',1583198716,1384378111,0,1),
(140122,3182923492,0,0,'Malevolent Diatribe','A group augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.',180,12,314,1829443087,366253016,350,0,2,'Your Malevolent Diatribe V was successful on %t!','Your Malevolent Diatribe V fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/MalevolentDiatribe.lua',2398,'You cast Malevolent Diatribe V on %t.',0,0,0,1,1,1,0,0,0,140118,0,0,0,0,0,1,0,0,0,'Unset',1583198723,1384377826,0,1),
(140123,3510431524,0,0,'Forgiving Diatribe','A group augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.',180,12,314,1829443087,366253016,395,0,2,'Your Malevolent Diatribe VI was successful on %t!','Your Malevolent Diatribe VI fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/MalevolentDiatribe.lua',2398,'You cast Malevolent Diatribe VI on %t.',0,0,0,1,1,1,0,0,0,140118,0,0,0,0,0,1,0,0,0,'Unset',1583198741,1384378113,0,1),
(140124,3674545228,0,0,'Malevolent Diatribe VII','A group augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.',180,12,314,1829443087,366253016,445,0,2,'Your Malevolent Diatribe VII was successful on %t!','Your Malevolent Diatribe VII fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/MalevolentDiatribe.lua',2398,'You cast Malevolent Diatribe VII on %t.',0,0,0,1,1,1,0,0,0,140118,0,0,0,0,0,1,0,0,0,'Unset',1583198759,1384378113,0,1),
(140125,3425532044,0,0,'Malevolent Diatribe VIII','A group augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.',180,12,314,1829443087,366253016,495,0,2,'Your Malevolent Diatribe VIII was successful on %t!','Your Malevolent Diatribe VIII fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/MalevolentDiatribe.lua',2398,'You cast Malevolent Diatribe VIII on %t.',0,0,0,0,1,1,0,0,0,140118,0,0,0,0,0,1,0,0,0,'Unset',1583198781,1384378113,0,1),
(140126,759839429,0,0,'Treatment','Instantly heals some of target ally''s health.',158,12,316,1829443087,366253016,5,0,1,'Your Ministration was successful on %t!','Your Ministration fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Ministration.lua',2399,'You cast Ministration on %t.',0,1,0,1,1,0,0,0,0,140126,0,0,0,0,0,0,0,0,0,'Unset',1583112565,1384378111,0,1),
(140127,2766199209,0,0,'Combat Treatment','Instantly heals some of target ally''s health.',158,12,316,1829443087,366253016,35,0,1,'Your Ministration II was successful on %t!','Your Ministration II fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Ministration.lua',2399,'You cast Ministration II on %t.',0,1,0,1,1,0,0,0,0,140126,0,0,0,0,0,0,0,0,0,'Unset',1583112802,1384378111,0,1),
(140128,467053480,0,0,'Combat Healing','Instantly heals some of target ally''s health.',158,12,316,3341842907,366253016,75,0,1,'Your Ministration III was successful on %t!','Your Ministration III fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Ministration.lua',2399,'You cast Ministration III on %t.',0,1,0,1,1,0,0,0,0,140126,0,0,0,0,0,0,0,0,0,'Unset',1583112843,1384378113,0,1),
(140129,2395571978,0,0,'Minister Wounds','Instantly heals some of target ally''s health.',158,12,316,1829443087,366253016,110,0,1,'Your Ministration IV was successful on %t!','Your Ministration IV fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Ministration.lua',2399,'You cast Ministration IV on %t.',0,1,0,1,1,0,0,0,0,140126,0,0,0,0,0,0,0,0,0,'Unset',1583112865,1384378111,0,1),
(140130,3749354901,0,0,'Ministration IX','Instantly heals some of target ally''s health.',158,12,316,1829443087,366253016,405,0,1,'Your Ministration IX was successful on %t!','Your Ministration IX fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Ministration.lua',2399,'You cast Ministration IX on %t.',0,1,0,1,1,0,0,0,0,140126,0,0,0,0,0,1,0,0,0,'Unset',1583113550,1384378113,0,1),
(140131,966134467,0,0,'Minister Wounds','Instantly heals an ally and briefly increases the ally''s melee damage.',158,12,316,1829443087,366253016,145,0,1,'Your Minister Wounds was successful on %t!','Your Minister Wounds fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/MinisterWounds.lua',2399,'You cast Minister Wounds on %t.',0,1,0,1,1,0,0,0,0,140126,0,0,0,0,0,1,0,0,0,'Unset',1583113092,1384378112,0,1),
(140132,2750594157,0,0,'Faithful Ministration','Instantly heals some of target ally''s health.',158,12,316,1829443087,366253016,215,0,1,'Your Ministration VI was successful on %t!','Your Ministration VI fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Ministration.lua',2399,'You cast Ministration VI on %t.',0,1,0,1,1,0,0,0,0,140126,0,0,0,0,0,1,0,0,0,'Unset',1583113202,1384378112,0,1),
(140133,1834882570,0,0,'Devoted Ministration','Instantly heals some of target ally''s health.',158,12,316,1829443087,366253016,285,0,1,'Your Ministration VII was successful on %t!','Your Ministration VII fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Ministration.lua',2399,'You cast Ministration VII on %t.',0,1,0,1,1,0,0,0,0,140126,0,0,0,0,0,1,0,0,0,'Unset',1583113319,1384377826,0,1),
(140134,2347916808,0,0,'Ministration','Instantly heals some of target ally''s health.',158,12,316,1829443087,366253016,355,0,1,'Your Ministration VIII was successful on %t!','Your Ministration VIII fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Ministration.lua',2399,'You cast Ministration VIII on %t.',0,1,0,1,1,0,0,0,0,140126,0,0,0,0,0,1,0,0,0,'Unset',1583113409,1384377826,0,1),
(140135,1719748221,0,0,'Ministration X','Instantly heals some of target ally''s health.',158,12,316,1829443087,366253016,455,0,1,'Your Ministration X was successful on %t!','Your Ministration X fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Ministration.lua',2399,'You cast Ministration X on %t.',0,1,0,1,1,0,0,0,0,140126,0,0,0,0,0,1,0,0,0,'Unset',1583113584,1384378113,0,1),
(140136,2739911483,0,0,'Bestowal of Vitae','Augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.',185,12,316,3341842907,366253016,60,0,1,'Your Penance was successful on %t!','Your Penance fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Penance.lua',2400,'You cast Penance on %t.',0,1,0,1,1,1,0,0,0,140136,0,0,0,0,0,0,0,0,0,'Unset',1583197594,1384378113,0,1),
(140137,555361766,0,0,'Bestowal of Vitality','Augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.',185,12,316,1829443087,366253016,95,0,1,'Your Penance II was successful on %t!','Your Penance II fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Penance.lua',2400,'You cast Penance II on %t.',0,1,0,1,1,1,0,0,0,140136,0,0,0,0,0,0,0,0,0,'Unset',1583197637,1384378113,0,1),
(140138,2453909181,0,0,'Favor of the Repentant','Augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.',185,12,315,1829443087,366253016,130,0,1,'Your Favor of the Repentant was successful on %t!','Your Favor of the Repentant fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/FavoroftheRepentant.lua',602,'You cast Favor of the Repentant on %t.',0,1,0,1,1,1,0,0,0,140136,0,0,0,0,0,1,0,0,0,'HoT-Ward',1583197690,1384378112,0,1),
(140139,872144021,0,0,'Stinging Penance','Augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.',185,12,315,1829443087,366253016,200,0,1,'Your Stinging Penance was successful on %t!','Your Stinging Penance fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/StingingPenance.lua',602,'You cast Stinging Penance on %t.',0,1,0,1,1,1,0,0,0,140136,0,0,0,0,0,1,0,0,0,'HoT-Ward',1583197715,1384378112,0,1),
(140140,632713553,0,0,'Penance IX','Augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.',185,12,316,1829443087,613995491,490,0,1,'Your Penance IX was successful on %t!','Your Penance IX fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Penance.lua',2400,'You cast Penance IX on %t.',0,0,0,0,1,0,0,0,0,140136,0,0,0,0,0,1,0,0,0,'Unset',1583197958,1384378113,0,1),
(140141,1287978567,0,0,'Woeful Penance','Augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.',185,12,316,1829443087,366253016,270,0,1,'Your Penance V was successful on %t!','Your Penance V fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Penance.lua',2400,'You cast Penance V on %t.',0,1,0,1,1,1,0,0,0,140136,0,0,0,0,0,1,0,0,0,'Unset',1583197782,1384378113,0,1),
(140142,2126014885,0,0,'Suffering Penance','Augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.',185,12,316,1829443087,366253016,340,0,1,'Your Penance VI was successful on %t!','Your Penance VI fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Penance.lua',2400,'You cast Penance VI on %t.',0,1,0,1,1,1,0,0,0,140136,0,0,0,0,0,1,0,0,0,'Unset',1583197827,1384378113,0,1),
(140143,998195682,0,0,'Penance','Augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.',185,12,316,1829443087,366253016,390,0,1,'Your Penance VII was successful on %t!','Your Penance VII fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Penance.lua',2400,'You cast Penance VII on %t.',0,1,0,1,1,1,0,0,0,140136,0,0,0,0,0,1,0,0,0,'Unset',1583197870,1384378113,0,1),
(140144,3396606575,0,0,'Penance VIII','Augmentation that heals an ally when they are attacked, and has a limited number of heals before expiring.',185,12,316,1829443087,366253016,440,0,1,'Your Penance VIII was successful on %t!','Your Penance VIII fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Penance.lua',2400,'You cast Penance VIII on %t.',0,1,0,1,1,1,0,0,0,140136,0,0,0,0,0,1,0,0,0,'Unset',1583197915,1384378112,0,1),
(140145,1053498497,0,0,'Cleansing Fire','Deals heat damage over time to the inquisitor''s target and lowers their divine resistance.',190,14,315,1829443087,613995491,115,0,1,'Your Cleansing Fire was successful on %t!','Your Cleansing Fire fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/CleansingFire.lua',142,'You cast Cleansing Fire on %t.',0,0,0,1,0,1,4,0,0,140145,0,0,0,0,0,1,0,0,0,'DoT',1583200254,1384378111,0,1),
(140146,3265623677,0,0,'Cleansing Flames','Deals Heat damage over time to the Inquisitor''s enemy.',190,14,315,1829443087,613995491,185,0,1,'Your Cleansing Flames was successful on %t!','Your Cleansing Flames fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/CleansingFlames.lua',142,'You cast Cleansing Flames on %t.',0,0,0,1,0,1,4,0,0,140145,0,0,0,0,0,1,0,0,0,'DoT',1583200433,1384378113,0,1),
(140147,3933896480,0,0,'Purifying Flames','Deals Heat damage over time to the Inquisitor''s enemy.',190,14,315,1829443087,613995491,255,0,1,'Your Purifying Flames III was successful on %t!','Your Purifying Flames III fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/PurifyingFlames.lua',2404,'You cast Purifying Flames III on %t.',0,0,0,1,0,1,4,0,0,140145,0,0,0,0,0,1,0,0,0,'DoT',1583200556,1384378113,0,1),
(140148,2064379579,0,0,'Absolving Flames','Deals heat damage over time to the inquisitor''s target and lowers their divine resistance.',190,14,315,1829443087,613995491,325,0,1,'Your Purifying Flames IV was successful on %t!','Your Purifying Flames IV fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/PurifyingFlames.lua',2404,'You cast Purifying Flames IV on %t.',0,0,0,1,0,1,4,0,0,140145,0,0,0,0,0,1,0,0,0,'DoT',1583200620,1384378111,0,1),
(140149,3766849770,0,0,'Cauterizing Flames','Deals heat damage over time to the inquisitor''s target and lowers their divine resistance.',190,14,315,1829443087,613995491,385,0,1,'Your Purifying Flames V was successful on %t!','Your Purifying Flames V fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/PurifyingFlames.lua',2404,'You cast Purifying Flames V on %t.',0,0,0,1,0,1,4,0,0,140145,0,0,0,0,0,1,0,0,0,'DoT',1583200689,1384378113,0,1),
(140150,967544568,0,0,'Purifying Flames VI','Deals Heat damage over time to the Inquisitor''s enemy.',190,14,315,1829443087,613995491,435,0,1,'Your Purifying Flames VI was successful on %t!','Your Purifying Flames VI fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/PurifyingFlames.lua',2404,'You cast Purifying Flames VI on %t.',0,0,0,1,0,1,4,0,0,140145,0,0,0,0,0,1,0,0,0,'DoT',1583200756,1384377827,0,1),
(140151,3997765280,0,0,'Purifying Flames VII','Deals Heat damage over time to the Inquisitor''s enemy.',190,14,315,1829443087,613995491,485,0,1,'Your Purifying Flames VII was successful on %t!','Your Purifying Flames VII fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/PurifyingFlames.lua',2404,'You cast Purifying Flames VII on %t.',0,0,0,0,0,0,4,0,0,140145,0,0,0,0,0,1,0,0,0,'DoT',1583200830,1384378113,0,1),
(140152,1252901005,0,0,'Redemption','Rescues a party member who is taken to the verge of death by averting the death and replenishing Health. Also grants a minor increase in the allies Health pool for a brief period of time.',183,13,315,90523872,3587918036,205,0,1,'Your Redemption was successful on %t!','Your Redemption fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Redemption.lua',602,'You cast Redemption on %t.',0,0,0,1,1,1,0,0,0,140152,0,0,0,0,0,1,0,0,0,'HoT-Ward',1583202678,1384378112,0,1),
(140153,2773745123,0,0,'Exoneration','If target ally receives damage that would be fatal, that ally is healed instead and their maximum health is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,13,316,1829443087,3587918036,275,0,1,'Your Redemption II was successful on %t!','Your Redemption II fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Redemption.lua',2405,'You cast Redemption II on %t.',0,0,0,1,1,1,0,0,0,140152,0,0,0,0,0,0,0,0,0,'Unset',1583202736,1384377826,0,1),
(140154,2611307269,0,0,'Negative Absolution','If target ally receives damage that would be fatal, that ally is healed instead and their maximum health is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,13,316,193411854,3587918036,345,0,1,'Your Redemption III was successful on %t!','Your Redemption III fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Redemption.lua',2405,'You cast Redemption III on %t.',0,0,0,1,1,1,0,0,0,140152,0,0,0,0,0,0,0,0,0,'Unset',1583203296,1384377826,0,1),
(140155,1007543134,0,0,'Redeem','If target ally receives damage that would be fatal, that ally is healed instead and their maximum health is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,13,316,1829443087,3587918036,400,0,1,'Your Redemption IV was successful on %t!','Your Redemption IV fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Redemption.lua',2405,'You cast Redemption IV on %t.',0,0,0,1,1,1,0,0,0,140152,0,0,0,0,0,0,0,0,0,'Unset',1583203362,1384378113,0,1),
(140156,1479991338,0,0,'Redemption V','If target ally receives damage that would be fatal, that ally is healed instead and their maximum health is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,13,316,1829443087,3587918036,450,0,1,'Your Redemption V was successful on %t!','Your Redemption V fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Redemption.lua',2405,'You cast Redemption V on %t.',0,0,0,1,1,1,0,0,0,140152,0,0,0,0,0,0,0,0,0,'Unset',1583203414,1384378113,0,1),
(140157,1118571444,0,0,'Redemption VI','If target ally receives damage that would be fatal, that ally is healed instead and their maximum health is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,13,316,1829443087,3587918036,500,0,1,'Your Redemption VI was successful on %t!','Your Redemption VI fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Redemption.lua',2405,'You cast Redemption VI on %t.',0,0,0,0,1,0,0,0,0,140152,0,0,0,0,0,0,0,0,0,'Unset',1583203487,1384378113,0,1),
(140158,1429153907,0,0,'Reforming Soul','Resurrects a fallen ally and increases their non-physical resistance for a short duration. This spell can be cast during combat.',156,15,315,1829443087,366253016,110,0,6,'Your Reforming Soul was successful on %t!','Your Reforming Soul fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/ReformingSoulClassic.lua',396,'You cast Reforming Soul on %t.',0,1,1,0,1,0,0,0,0,140158,0,0,0,0,0,1,0,0,0,'Unset',1583199986,1384378111,0,1),
(140159,1066062893,0,0,'Devotee''s Repentance','An impairment on an opponent that inflicts divine damage and stuns when the opponent successfully attacks an ally. This debuff will expire after 3 triggers.',213,15,315,1829443087,3587918036,90,0,1,'Your Repentance was successful on %t!','Your Repentance fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Repentance.lua',2407,'You cast Repentance on %t.',0,0,0,1,0,1,2,4,0,140159,0,0,0,0,0,0,0,0,0,'Unset',1583199097,1384378113,0,1),
(140160,1142344177,0,0,'Repentance II','An impairment on an opponent that inflicts divine damage and stuns when the opponent successfully attacks an ally. This debuff will expire after 3 triggers.',213,15,315,1829443087,3587918036,160,0,1,'Your Repentance II was successful on %t!','Your Repentance II fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Repentance.lua',2407,'You cast Repentance II on %t.',0,0,0,1,0,1,2,4,0,140159,0,0,0,0,0,0,0,0,0,'Unset',1583199143,1384378113,0,1),
(140161,921485403,0,0,'Coerced Repentance','An impairment on an opponent that inflicts divine damage and stuns when the opponent successfully attacks an ally. This debuff will expire after 3 triggers.',213,15,315,1829443087,3587918036,230,0,1,'Your Repentance III was successful on %t!','Your Repentance III fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Repentance.lua',2407,'You cast Repentance III on %t.',0,0,0,1,0,1,2,4,0,140159,0,0,0,0,0,1,0,0,0,'Unset',1583199191,1384378112,0,1),
(140162,2631614602,0,0,'Compelled Repentance','An impairment on an opponent that inflicts divine damage and stuns when the opponent successfully attacks an ally. This debuff will expire after 3 triggers.',213,15,315,1829443087,3587918036,300,0,1,'Your Repentance IV was successful on %t!','Your Repentance IV fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Repentance.lua',2407,'You cast Repentance IV on %t.',0,0,0,1,0,1,2,4,0,140159,0,0,0,0,0,1,0,0,0,'Unset',1583199238,1384378111,0,1),
(140163,121959033,0,0,'Repentance','An impairment on an opponent that inflicts divine damage and stuns when the opponent successfully attacks an ally. This debuff will expire after 3 triggers.',213,15,315,1829443087,3587918036,365,0,1,'Your Repentance V was successful on %t!','Your Repentance V fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Repentance.lua',2407,'You cast Repentance V on %t.',0,0,0,1,0,1,2,4,0,140159,0,0,0,0,0,1,0,0,0,'Unset',1583199274,1384378113,0,1),
(140164,540288844,0,0,'Repentance VI','An impairment on an opponent that inflicts divine damage and stuns when the opponent successfully attacks an ally. This debuff will expire after 3 triggers.',213,15,315,1829443087,3587918036,415,0,1,'Your Repentance VI was successful on %t!','Your Repentance VI fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Repentance.lua',2407,'You cast Repentance VI on %t.',0,0,0,1,0,1,2,4,0,140159,0,0,0,0,0,1,0,0,0,'Unset',1583199314,1384378112,0,1),
(140165,4255317705,0,0,'Repentance VII','An impairment on an opponent that inflicts divine damage and stuns when the opponent successfully attacks an ally. This debuff will expire after 3 triggers.',213,15,315,1829443087,3587918036,465,0,1,'Your Repentance VII was successful on %t!','Your Repentance VII fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Repentance.lua',2407,'You cast Repentance VII on %t.',0,0,0,0,0,0,2,4,0,140159,0,0,0,0,0,1,0,0,0,'Unset',1583199353,1384377827,0,1),
(140166,341285581,0,0,'Flagellant','Cures impairments on the inquisitor''s group.',747,15,314,1829443087,3587918036,210,0,2,'Your Resolute Flagellant was successful on %t!','Your Resolute Flagellant fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/ResoluteFlagellant.lua',2408,'You cast Resolute Flagellant on %t.',0,0,0,1,1,0,0,0,0,140166,0,0,0,0,0,1,0,0,0,'Unset',1583203587,1384378113,0,1),
(140167,2576997148,0,0,'Devoted Flagellant','Cures impairments on the inquisitor''s group.',747,15,314,1829443087,3587918036,280,0,2,'Your Resolute Flagellant II was successful on %t!','Your Resolute Flagellant II fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/ResoluteFlagellant.lua',2408,'You cast Resolute Flagellant II on %t.',0,0,0,1,1,0,0,0,0,140166,0,0,0,0,0,1,0,0,0,'Unset',1583203615,1384378111,0,1),
(140168,3426965795,0,0,'Resolute Flagellant','Cures impairments on the inquisitor''s group.',747,15,314,1829443087,3587918036,350,0,2,'Your Resolute Flagellant III was successful on %t!','Your Resolute Flagellant III fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/ResoluteFlagellant.lua',2408,'You cast Resolute Flagellant III on %t.',0,0,0,1,1,0,0,0,0,140166,0,0,0,0,0,1,0,0,0,'Unset',1583203625,1384378113,0,1),
(140169,665257427,0,0,'Resurgence','Resurrects all slain allies. Can not be used while the caster is in combat.',156,15,314,1829443087,366253016,180,0,6,'Your Resurgence was successful on %t!','Your Resurgence fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/ResurgenceClassic.lua',396,'You cast Resurgence on %t.',0,1,1,0,1,0,0,0,0,140169,0,0,0,0,0,1,0,0,0,'Unset',1583202217,1384378113,0,1),
(140170,2263387375,0,1,'Braveness','A group augmentation which increases max health of the fighters  in the inquisitor''s group and physical mitigation of the non-fighters in the inquisitor''s group.',146,65535,314,1829443087,3587918036,25,1,2,'Your Sacred Armor was successful on %t!','Your Sacred Armor fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/SacredArmor.lua',2410,'You cast Sacred Armor on %t.',0,0,0,1,1,1,0,0,0,140170,0,0,0,0,0,0,0,0,0,'Unset',1583197030,1384378111,0,1),
(140171,1514547914,0,1,'Undaunted','A group augmentation which increases max health of the fighters  in the inquisitor''s group and physical mitigation of the non-fighters in the inquisitor''s group.',146,65535,314,1829443087,3587918036,95,1,2,'Your Sacred Armor II was successful on %t!','Your Sacred Armor II fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/SacredArmor.lua',2410,'You cast Sacred Armor II on %t.',0,0,0,1,1,1,0,0,0,140171,0,0,0,0,0,0,0,0,0,'Unset',1583197051,1384377827,0,1),
(140172,3614303151,0,1,'Dauntless','An augmentation that grants Stamina and Armor Class to the Inquisitors allies. Also adds a minor ward that absorbs Trauma damage.',146,65535,314,1829443087,3587918036,165,1,2,'Your Dauntless was successful on %t!','Your Dauntless fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Dauntless.lua',54,'You cast Dauntless on %t.',0,0,0,1,1,1,0,0,0,140170,0,0,0,0,0,1,0,0,0,'Unset',1583197064,1384378111,0,1),
(140173,3081556612,0,1,'Fervence','Grants increased stamina and armor class to the group. Also grants a minor ward that absorbs trauma damage.',146,65535,314,1829443087,3587918036,235,1,2,'Your Fervence was successful on %t!','Your Fervence fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Fervence.lua',54,'You cast Fervence on %t.',0,0,0,1,1,1,0,0,0,140170,0,0,0,0,0,1,0,0,0,'Unset',1583197100,1384378156,0,1),
(140174,1068446454,0,1,'Pious','A group augmentation which increases max health of the fighters  in the inquisitor''s group and physical mitigation of the non-fighters in the inquisitor''s group.',146,65535,314,1829443087,3587918036,305,1,2,'Your Sacred Armor V was successful on %t!','Your Sacred Armor V fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/SacredArmor.lua',2410,'You cast Sacred Armor V on %t.',0,0,0,1,1,1,0,0,0,140170,0,0,0,0,0,1,0,0,0,'Unset',1583197115,1384378111,0,1),
(140175,3683361051,0,1,'Sacred Armor','A group augmentation which increases max health of the fighters  in the inquisitor''s group and physical mitigation of the non-fighters in the inquisitor''s group.',146,65535,314,1829443087,3587918036,370,1,2,'Your Sacred Armor VI was successful on %t!','Your Sacred Armor VI fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/SacredArmor.lua',2410,'You cast Sacred Armor VI on %t.',0,0,0,1,1,1,0,0,0,140170,0,0,0,0,0,1,0,0,0,'Unset',1583197134,1384378113,0,1),
(140176,2399363718,0,1,'Sacred Armor VII','A group augmentation which increases max health of the fighters  in the inquisitor''s group and physical mitigation of the non-fighters in the inquisitor''s group.',146,65535,314,1829443087,3587918036,420,1,2,'Your Sacred Armor VII was successful on %t!','Your Sacred Armor VII fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/SacredArmor.lua',2410,'You cast Sacred Armor VII on %t.',0,0,0,1,1,1,0,0,0,140170,0,0,0,0,0,1,0,0,0,'Unset',1583197161,1384378112,0,1),
(140177,922270062,0,1,'Sacred Armor VIII','A group augmentation which increases max health of the fighters  in the inquisitor''s group and physical mitigation of the non-fighters in the inquisitor''s group.',146,65535,314,1829443087,3587918036,470,1,2,'Your Sacred Armor VIII was successful on %t!','Your Sacred Armor VIII fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/SacredArmorWithStaBonus.lua',2410,'You cast Sacred Armor VIII on %t.',0,0,0,1,1,1,0,0,0,140170,0,0,0,0,0,1,0,0,0,'Unset',1583197173,1384378113,0,1),
(140178,3002991865,0,1,'Swill','An augmentation that grants water breathing and increases an ally''s Elemental mitigation.',158,65535,315,1829443087,3587918036,115,0,1,'Your Swill was successful on %t!','Your Swill fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/SwillClassic.lua',784,'You cast Swill on %t.',0,0,0,0,1,1,0,0,0,140178,0,0,0,0,0,1,0,0,0,'Buff',1583200862,1384378111,140178,1),
(140179,745921444,0,1,'Minor Blessing','An augmentation that increases the stamina and Multi-Attack Chance of the inquisitor''s ally.',471,15,316,1829443087,3587918036,20,1,1,'Your Tenacity was successful on %t!','Your Tenacity fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Tenacity.lua',2412,'You cast Tenacity on %t.',0,0,0,1,1,1,0,0,0,140179,0,0,0,0,0,0,0,0,0,'Unset',1613193181,1384378111,0,1),
(140180,4234438373,0,1,'Blessing','An augmentation that increases the stamina and Multi-Attack Chance of the inquisitor''s ally.',471,15,316,1829443087,3587918036,80,1,1,'Your Tenacity II was successful on %t!','Your Tenacity II fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Tenacity.lua',2412,'You cast Tenacity II on %t.',0,0,0,1,1,1,0,0,0,140179,0,0,0,0,0,0,0,0,0,'Unset',1583196746,1384378113,0,1),
(140181,3002372253,0,1,'Abject Blessing','An augmentation that increases an ally''s Health pool and grants a slight increase to the ally''s melee damage output.',471,15,315,1829443087,3587918036,150,1,1,'Your Abject Blessing was successful on %t!','Your Abject Blessing fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/AbjectBlessing.lua',159,'You cast Abject Blessing on %t.',0,0,0,1,1,1,0,0,0,140179,0,0,0,0,0,1,0,0,0,'Unset',1583196773,1384378111,0,1),
(140182,2486721636,0,1,'Hallowed Aura','An augmentation that increases the stamina and Multi-Attack Chance of the inquisitor''s ally.',471,15,316,1829443087,3587918036,220,1,1,'Your Tenacity IV was successful on %t!','Your Tenacity IV fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Tenacity.lua',2412,'You cast Tenacity IV on %t.',0,0,0,1,1,1,0,0,0,140179,0,0,0,0,0,1,0,0,0,'Unset',1583196823,1384378112,0,1),
(140183,1546906825,0,1,'Consecrated Aura','An augmentation that increases the stamina and Multi-Attack Chance of the inquisitor''s ally.',471,15,316,1829443087,3587918036,290,1,1,'Your Tenacity V was successful on %t!','Your Tenacity V fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Tenacity.lua',2412,'You cast Tenacity V on %t.',0,0,0,1,1,1,0,0,0,140179,0,0,0,0,0,1,0,0,0,'Unset',1583196862,1384377826,0,1),
(140184,1487590821,0,1,'Tenacity','An augmentation that increases the stamina and Multi-Attack Chance of the inquisitor''s ally.',471,15,316,1829443087,3587918036,360,1,1,'Your Tenacity VI was successful on %t!','Your Tenacity VI fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Tenacity.lua',2412,'You cast Tenacity VI on %t.',0,0,0,1,1,1,0,0,0,140179,0,0,0,0,0,1,0,0,0,'Unset',1583196896,1384378113,0,1),
(140185,3411157347,0,1,'Tenacity VII','An augmentation that increases the stamina and Multi-Attack Chance of the inquisitor''s ally.',471,15,316,1829443087,3587918036,410,1,1,'Your Tenacity VII was successful on %t!','Your Tenacity VII fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Tenacity.lua',2412,'You cast Tenacity VII on %t.',0,0,0,1,1,1,0,0,0,140179,0,0,0,0,0,1,0,0,0,'Unset',1583196940,1384377826,0,1),
(140186,182255267,0,1,'Tenacity VIII','An augmentation that increases the stamina and Multi-Attack Chance of the inquisitor''s ally.',471,15,316,1829443087,3587918036,460,1,1,'Your Tenacity VIII was successful on %t!','Your Tenacity VIII fades.','',1,1,'Spells/Priest/Cleric/Inquisitor/Tenacity.lua',2412,'You cast Tenacity VIII on %t.',0,0,0,1,1,1,0,0,0,140179,0,0,0,0,0,1,0,0,0,'Unset',1583196966,1384378113,0,1),
(140187,3752622945,0,0,'Writhe','An impairment that decreases the mental resistance of the target while dealing mental damage over time.\n\n\"Your defiance over the powers of fear is extraordinary.\" - Hoggle Bogstrutter',182,14,315,1829443087,613995491,15,0,1,'Your Torment was successful on %t!','Your Torment fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Torment.lua',2413,'You cast Torment on %t.',0,0,0,1,0,1,2,0,0,140187,0,0,0,0,0,0,0,0,0,'Unset',1583196134,1384378111,0,1),
(140188,2003853698,0,0,'Oppress','An impairment that decreases the mental resistance of the target while dealing mental damage over time.\n\n\"Your defiance over the powers of fear is extraordinary.\" - Hoggle Bogstrutter',182,14,315,1829443087,613995491,55,0,1,'Your Torment II was successful on %t!','Your Torment II fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Torment.lua',2413,'You cast Torment II on %t.',0,0,0,1,0,1,2,0,0,140187,0,0,0,0,0,0,0,0,0,'Unset',1583196155,1384378113,0,1),
(140189,1100478874,0,0,'Oppression','An impairment that decreases the Strength and Stamina of the Inquisitor''s enemy while dealing Mental damage over time.\r\n\r\n\"Your defiance over the powers of fear is extraordinary.\" - Hoggle Bogstrutter',182,14,315,1829443087,613995491,125,0,1,'Your Oppression was successful on %t!','Your Oppression fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Oppression.lua',63,'You cast Oppression on %t.',0,0,0,1,0,1,2,0,0,140187,0,0,0,0,0,1,0,0,0,'DoT',1583196218,1384378112,0,1),
(140190,971784859,0,0,'Torment','An impairment that decreases the Strength and Stamina of the Inquisitor''s enemy while dealing Mental damage over time.\r\n\r\n\"Your defiance over the powers of fear is extraordinary.\" - Hoggle Bogstrutter',182,14,315,1829443087,613995491,195,0,1,'Your Torment was successful on %t!','Your Torment fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/TormentClassic.lua',63,'You cast Torment on %t.',0,0,0,1,0,1,2,0,0,140187,0,0,0,0,0,1,0,0,0,'DoT',1583196306,1384378113,0,1),
(140191,1290732097,0,0,'Torment IX','An impairment that decreases the mental resistance of the target while dealing mental damage over time.\n\n\"Your defiance over the powers of fear is extraordinary.\" - Hoggle Bogstrutter',182,14,315,1829443087,613995491,490,0,1,'Your Torment IX was successful on %t!','Your Torment IX fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Torment.lua',2413,'You cast Torment IX on %t.',0,0,0,0,0,0,0,0,0,140187,0,0,0,0,0,1,0,0,0,'Unset',1583196683,1384377826,0,1),
(140192,3374678250,0,0,'Scourge','An impairment that decreases the mental resistance of the target while dealing mental damage over time.\n\n\"Your defiance over the powers of fear is extraordinary.\" - Hoggle Bogstrutter',182,14,315,1829443087,613995491,265,0,1,'Your Torment V was successful on %t!','Your Torment V fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Torment.lua',2413,'You cast Torment V on %t.',0,0,0,1,0,1,2,0,0,140187,0,0,0,0,0,1,0,0,0,'Unset',1583196383,1384378113,0,1),
(140193,2510698324,0,0,'Affliction','An impairment that decreases the mental resistance of the target while dealing mental damage over time.\n\n\"Your defiance over the powers of fear is extraordinary.\" - Hoggle Bogstrutter',182,14,315,1829443087,613995491,335,0,1,'Your Torment VI was successful on %t!','Your Torment VI fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Torment.lua',2413,'You cast Torment VI on %t.',0,0,0,1,0,1,2,0,0,140187,0,0,0,0,0,1,0,0,0,'Unset',1583196450,1384377826,0,1),
(140194,2810249998,0,0,'Scourging','An impairment that decreases the mental resistance of the target while dealing mental damage over time.\n\n\"Your defiance over the powers of fear is extraordinary.\" - Hoggle Bogstrutter',182,14,315,1829443087,613995491,390,0,1,'Your Torment VII was successful on %t!','Your Torment VII fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Torment.lua',2413,'You cast Torment VII on %t.',0,0,0,1,0,1,2,0,0,140187,0,0,0,0,0,1,0,0,0,'Unset',1583196537,1384378113,0,1),
(140195,2737662335,0,0,'Torment VIII','An impairment that decreases the mental resistance of the target while dealing mental damage over time.\n\n\"Your defiance over the powers of fear is extraordinary.\" - Hoggle Bogstrutter',182,14,315,1829443087,613995491,440,0,1,'Your Torment VIII was successful on %t!','Your Torment VIII fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Torment.lua',2413,'You cast Torment VIII on %t.',0,0,0,1,0,1,2,0,0,140187,0,0,0,0,0,1,0,0,0,'Unset',1583196591,1384378112,0,1),
(140196,598258833,0,0,'Fearful Conversion','Causes the inquisitor''s target to flee in terror. When the fear effect ends, the target is mesmerized for a short duration and their hate towards the inquisitor is reduced over-time.',268,15,315,1829443087,882983852,235,0,1,'Your Tormenting Conversion was successful on %t!','Your Tormenting Conversion fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/TormentingConversion.lua',2414,'You cast Tormenting Conversion on %t.',0,0,0,1,0,1,2,0,0,140196,0,0,0,0,0,0,0,0,0,'Unset',1583206558,1384378113,0,1),
(140197,3623661438,0,0,'Forboding Conversion','Causes the inquisitor''s target to flee in terror. When the fear effect ends, the target is mesmerized for a short duration and their hate towards the inquisitor is reduced over-time.',268,15,315,1829443087,882983852,305,0,1,'Your Tormenting Conversion II was successful on %t!','Your Tormenting Conversion II fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/TormentingConversion.lua',2414,'You cast Tormenting Conversion II on %t.',0,0,0,1,0,1,2,0,0,140196,0,0,0,0,0,0,0,0,0,'Unset',1583206612,1384378111,0,1),
(140198,2618726178,0,0,'Tormenting Conversion','Causes the inquisitor''s target to flee in terror. When the fear effect ends, the target is mesmerized for a short duration and their hate towards the inquisitor is reduced over-time.',268,15,315,1829443087,882983852,375,0,1,'Your Tormenting Conversion III was successful on %t!','Your Tormenting Conversion III fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/TormentingConversion.lua',2414,'You cast Tormenting Conversion III on %t.',0,0,0,1,0,1,2,0,0,140196,0,0,0,0,0,0,0,0,0,'Unset',1583206778,1384378112,0,1),
(140199,2130943211,0,0,'Tormenting Conversion IV','Causes the inquisitor''s target to flee in terror. When the fear effect ends, the target is mesmerized for a short duration and their hate towards the inquisitor is reduced over-time.',268,15,315,1829443087,882983852,425,0,1,'Your Tormenting Conversion IV was successful on %t!','Your Tormenting Conversion IV fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/TormentingConversion.lua',2414,'You cast Tormenting Conversion IV on %t.',0,0,0,1,0,1,2,0,0,140196,0,0,0,0,0,0,0,0,0,'Unset',1583206833,1384378112,0,1),
(140200,4263967180,0,0,'Tormenting Conversion V','Causes the inquisitor''s target to flee in terror. When the fear effect ends, the target is mesmerized for a short duration and their hate towards the inquisitor is reduced over-time.',268,15,315,1829443087,882983852,475,0,1,'Your Tormenting Conversion V was successful on %t!','Your Tormenting Conversion V fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/TormentingConversion.lua',2414,'You cast Tormenting Conversion V on %t.',0,0,0,0,0,0,2,0,0,140196,0,0,0,0,0,0,0,0,0,'Unset',1583206900,1384378113,0,1),
(140201,1090322315,0,0,'Devotee''s Retribution','An impairment that deals instant divine damage when the target successfully attacks, for up to 5 attacks.',213,15,315,1829443087,3587918036,145,0,1,'Your Devotee''s Retribution was successful on %t!','Your Devotee''s Retribution fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/DevoteesRetribution.lua',2407,'You cast Devotee''s Retribution on %t.',0,0,0,1,0,1,2,0,0,140201,0,0,0,0,0,1,0,0,0,'Unset',1583201538,1384378111,0,1),
(140202,3616084660,0,0,'Vengeance','An impairment that deals instant divine damage when the target successfully attacks, for up to 5 attacks.',221,15,315,90523872,3587918036,215,0,1,'Your Vengeance II was successful on %t!','Your Vengeance II fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Vengeance.lua',2415,'You cast Vengeance II on %t.',0,0,0,1,0,1,2,0,0,140201,0,0,0,0,0,1,0,0,0,'Unset',1583201601,1384378113,0,1),
(140203,963074985,0,0,'Fanatical Vengeance','An impairment that deals instant divine damage when the target successfully attacks, for up to 5 attacks.',221,15,315,1829443087,3587918036,285,0,1,'Your Vengeance III was successful on %t!','Your Vengeance III fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Vengeance.lua',2415,'You cast Vengeance III on %t.',0,0,0,1,0,1,2,0,0,140201,0,0,0,0,0,1,0,0,0,'Unset',1583201641,1384378111,0,1),
(140204,1440095902,0,0,'Forced Martyrdom','An impairment that deals instant divine damage when the target successfully attacks, for up to 5 attacks.',221,15,315,1829443087,3587918036,355,0,1,'Your Vengeance IV was successful on %t!','Your Vengeance IV fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Vengeance.lua',2415,'You cast Vengeance IV on %t.',0,0,0,1,0,1,2,0,0,140201,0,0,0,0,0,1,0,0,0,'Unset',1583201681,1384378113,0,1),
(140205,1670208444,0,0,'Vengeance V','An impairment that deals instant divine damage when the target successfully attacks, for up to 5 attacks.',221,15,315,1829443087,3587918036,405,0,1,'Your Vengeance V was successful on %t!','Your Vengeance V fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Vengeance.lua',2415,'You cast Vengeance V on %t.',0,0,0,1,0,1,2,0,0,140201,0,0,0,0,0,1,0,0,0,'Unset',1583201733,1384378113,0,1),
(140206,4163377107,0,0,'Vengeance VI','An impairment that deals instant divine damage when the target successfully attacks, for up to 5 attacks.',221,15,315,1829443087,3587918036,455,0,1,'Your Vengeance VI was successful on %t!','Your Vengeance VI fades.','',1,0,'Spells/Priest/Cleric/Inquisitor/Vengeance.lua',2415,'You cast Vengeance VI on %t.',0,0,0,1,0,1,2,0,0,140201,0,0,0,0,0,1,0,0,0,'Unset',1583201769,1384378113,0,1),
(140207,3138602103,0,0,'Verdict','Verdict judges weak enemies of an encounter. Any enemies that are low on health are reduced to 1 hit point. This spell requires an additional 1.5 seconds of casting after initially casting the spell.',129,65535,312,1829443087,882983852,325,0,1,'Your Verdict was successful on %t!','Your Verdict fades.','',0,1,'Spells/Priest/Cleric/Inquisitor/Verdict.lua',2377,'You cast Verdict on %t.',0,0,0,1,0,0,0,0,0,140207,0,0,0,0,0,0,0,0,0,'Unset',1583270050,1384378113,0,1),
(140208,0,0,0,'Reverence Fervor','Fanatical Reverence Proc',233,0,317,3067436248,0,0,0,1,'','','',0,0,'Spells/Priest/Druid/Fury/ReverenceFervor.lua',2491,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1737299172,0,0,0),
(140209,0,0,0,'Minister''s Strength','Minister Wounds Proc',234,0,317,3067436248,0,0,0,1,'','','',0,0,'Spells/Priest/Cleric/Inquisitor/MinistersStrength.lua',2491,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1737301833,0,0,0),
(140210,0,0,0,'Dogmatic Fervor','Dogmatic Healing Proc',233,0,317,3067436248,0,0,0,1,'','','',0,0,'Spells/Priest/Druid/Fury/DogmaticFervor.lua',2491,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1737395308,0,0,1),
(140211,0,0,0,'Catechize Arcana','Cures Magic, Mental, and Divine ailments from the target group member, also adds a Divine reprisal that reacts to Arcane damage for a brief period of time.',150,65535,316,1829443087,366253016,30,0,1,'Your Catechize Arcana was successful on %t!','Your Catechize Arcana fades.','',0,0,'Spells/Priest/Cleric/Inquisitor/CatechizeArcana.lua',137,'You cast Catechize Arcana on %t.',0,1,1,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Cure',1737732220,0,0,1),
(150000,1292486984,0,0,'Bloom','Instantly heals some of target ally''s health, and replenishes their health over time for a short duration.',158,12,316,3282420779,0,65,0,1,'Your Bloom was successful on %t!','Your Bloom fades.','',1,0,'Spells/Priest/Druid/Bloom.lua',736,'You cast Bloom on %t.',0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'HoT-Ward',1384671254,1384378113,0,1),
(150001,3825060835,0,0,'Chill','Deals instant cold damage to an enemy. Additional damage is done to Elemental enemies.',256,14,315,3282420779,613995491,55,0,1,'Your Chill was successful on %t!','Your Chill fades.','',1,0,'Spells/Priest/Druid/Chill.lua',456,'You cast Chill on %t.',0,0,0,1,0,0,0,0,0,110014,0,150001,0,0,0,1,0,0,0,'DD',1578012682,1384378113,0,1),
(150002,41973245,0,0,'Circle of Growth','Summons a mystical portal that allows those around the druid to choose a location to transport to.',736,65535,316,3282420779,3587918036,125,0,0,'Your Circle of Growth was successful on %t!','Your Circle of Growth fades.','',1,0,'Spells/Priest/Druid/CircleofGrowth.lua',1157,'You cast Circle of Growth on %t.',0,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1384671276,1384377859,0,1),
(150003,2533902013,0,0,'Effloresce','Replenishes a large amount of target ally''s health, and replenishes their health over time for a short duration.',468,12,316,3282420779,0,90,0,1,'Your Effloresce was successful on %t!','Your Effloresce fades.','',1,0,'Spells/Priest/Druid/Effloresce.lua',572,'You cast Effloresce on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578017982,1384378113,0,1),
(150004,4278308521,0,0,'Favor of the Phoenix','Summons a Crystallized Phoenix Feather for every group member. The feather can be used to revive a fallen priest. \r\n\r\n \r\n\r\nThe revived Priest is protected from another death for a short period of time.',145,65535,314,3282420779,3587918036,55,0,2,'Your Favor of the Phoenix was successful on %t!','Your Favor of the Phoenix fades.','',1,1,'Spells/Priest/Druid/FavorofthePhoenix.lua',2424,'You cast Favor of the Phoenix on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578013996,1384378113,0,1),
(150005,1466601817,0,0,'Greater Regrowth','Heals a large amount of target ally''s health over time for a short duration.',191,16,316,3282420779,0,95,0,8,'Your Greater Regrowth was successful on %t!','Your Greater Regrowth fades.','',1,0,'Spells/Priest/Druid/GreaterRegrowth.lua',2492,'You cast Greater Regrowth on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578014930,1384378113,0,1),
(150006,4694192,0,1,'Nettleshield','An augmentation placed on the druid''s ally, that deals instant piercing damage to any attacker of that ally. This spell does not require any concentration, but can only be maintained on a single ally.',188,15,316,3282420779,3587918036,50,1,2,'Your Nettleshield was successful on %t!','Your Nettleshield fades.','',1,0,'Spells/Priest/Druid/Nettleshield.lua',103,'You cast Nettleshield on %t.',0,0,0,1,1,0,0,0,0,150006,0,0,0,0,0,1,0,0,0,'CombatBuff',1384671467,1384378113,0,1),
(150007,191606180,0,0,'Provoking Swarm','Deals divine damage over time to the target and lowers their defense.\n\n \n\n\"My lord knows that there are many ways to win a battle. One lesson is patience, of waiting for the right moment to strike a single blow that fells the enemy.\" - Lord Villanian, Freeport',369,14,315,3282420779,0,85,0,1,'Your Provoking Swarm was successful on %t!','Your Provoking Swarm fades.','',1,0,'Spells/Priest/Druid/ProvokingSwarm.lua',2471,'You cast Provoking Swarm on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DoT',1578015298,1384378113,0,1),
(150008,3709816549,0,0,'Regrowth','Heals a large amount of target ally''s health over time for a short duration.',191,16,316,3282420779,366253016,60,0,1,'Your Regrowth was successful on %t!','Your Regrowth fades.','',1,0,'Spells/Priest/Druid/Regrowth.lua',573,'You cast Regrowth on %t.',0,0,0,1,1,0,0,0,0,150008,0,0,0,0,0,1,0,0,0,'HoT-Ward',1578014272,1384377827,0,1),
(150009,2061037839,0,0,'Snare','Snares the enemy, slowing their movement speed for a limited duration.',166,13,315,3282420779,882983852,50,0,1,'Your Snare was successful on %t!','Your Snare fades.','',1,0,'Spells/Priest/Druid/Snare.lua',99,'You cast Snare on %t.',0,0,0,0,0,1,2,0,0,150009,0,0,0,0,0,1,0,0,0,'Unset',1384671665,1384377827,0,1),
(150010,1698192591,0,1,'Spirit of the Bat','Grants an ally increased power regeneration, increased power pool, agility, and base avoidance. This spell does not require any concentration, but can only be maintained on a single ally.',196,13,316,3282420779,3587918036,175,1,1,'Your Spirit of the Bat was successful on %t!','Your Spirit of the Bat fades.','',1,1,'Spells/Priest/Druid/SpiritoftheBat.lua',2445,'You cast Spirit of the Bat on %t.',0,0,0,1,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578011003,1384378114,0,1),
(150011,144021401,0,1,'Senses of the Bat','Grants an ally increased power regeneration, increased power pool, agility, and base avoidance. This spell does not require any concentration, but can only be maintained on a single ally.',196,13,316,3282420779,3587918036,265,1,1,'Your Spirit of the Bat II was successful on %t!','Your Spirit of the Bat II fades.','',1,1,'Spells/Priest/Druid/SpiritoftheBat.lua',2445,'You cast Spirit of the Bat II on %t.',0,0,0,1,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578011019,1384378114,0,1),
(150012,589856662,0,1,'Aspect of the Bat','Grants an ally increased power regeneration, increased power pool, agility, and base avoidance. This spell does not require any concentration, but can only be maintained on a single ally.',196,13,316,3282420779,3587918036,355,1,1,'Your Spirit of the Bat III was successful on %t!','Your Spirit of the Bat III fades.','',1,1,'Spells/Priest/Druid/SpiritoftheBat.lua',2445,'You cast Spirit of the Bat III on %t.',0,0,0,1,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578011111,1384378113,0,1),
(150013,3189951061,0,1,'Spirit of the Bat IV','Grants an ally increased power regeneration, increased power pool, agility, and base avoidance. This spell does not require any concentration, but can only be maintained on a single ally.',196,13,316,3282420779,3587918036,405,1,1,'Your Spirit of the Bat IV was successful on %t!','Your Spirit of the Bat IV fades.','',1,1,'Spells/Priest/Druid/SpiritoftheBat.lua',2445,'You cast Spirit of the Bat IV on %t.',0,0,0,1,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578011198,1384378114,0,1),
(150014,3678794003,0,1,'Spirit of the Bat V','Grants an ally increased power regeneration, increased power pool, agility, and base avoidance. This spell does not require any concentration, but can only be maintained on a single ally.',196,13,316,3282420779,3587918036,455,1,1,'Your Spirit of the Bat V was successful on %t!','Your Spirit of the Bat V fades.','',1,1,'',2445,'You cast Spirit of the Bat V on %t.',0,0,0,1,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578011272,1384378114,0,1),
(150015,2119211019,0,0,'Spirit of the Wolf','Increases the movement speed of an ally while out of combat.\r\n\r\n \r\n\r\n\"I''ve met a lovely ranger named Holly Windstalker. She''s very friendly and outgoing, but a bit crazed about wolves and bears.\" - Isabella Cellus, Qeynos Hills',8,65535,314,3343700951,3587918036,65,0,9,'Your Spirit of the Wolf was successful on %t!','Your Spirit of the Wolf fades.','',0,1,'Spells/Priest/Druid/SpiritoftheWolf.lua',816,'You cast Spirit of the Wolf on %t.',0,0,0,0,1,1,0,0,0,150015,0,0,0,0,0,1,0,0,0,'Unset',1578012436,1384378114,0,1),
(150016,2738359205,0,0,'Stinging Swarm','Deals divine damage over time to the target and lowers their defense.\n\n \n\n\"My lord knows that there are many ways to win a battle. One lesson is patience, of waiting for the right moment to strike a single blow that fells the enemy.\" - Lord Villanian, Freeport',369,14,315,3282420779,0,70,0,1,'Your Stinging Swarm was successful on %t!','Your Stinging Swarm fades.','',1,0,'Spells/Priest/Druid/StingingSwarm.lua',2471,'You cast Stinging Swarm on %t.',0,0,0,1,0,0,0,0,0,150016,0,0,0,0,0,1,0,0,0,'DoT',1578013535,1384378113,0,1),
(150017,725688523,0,0,'Subterfuge','Roots all enemies near the druid and reduces their hate towards the druid. Any hostile actions taken on them have a chance at breaking the root effect.',157,15,313,3282420779,613995491,65,0,1,'Your Subterfuge was successful on %t!','Your Subterfuge fades.','',1,0,'Spells/Priest/Druid/Subterfuge.lua',99,'You cast Subterfuge on %t.',0,0,0,1,0,1,0,0,0,150017,0,0,0,0,0,1,0,0,0,'Root',1384671684,1384378113,0,1),
(150018,1615517329,0,0,'Sylvan Touch','Heals a large amount of target ally''s health over time for a short duration. This spell does not require any power and does not have a casting time.\r\n\r\n \r\n\r\n\"A single treant can breathe life into a forest.\" - Daryann Stormrider, Willow Wood',187,16,316,3282420779,366253016,75,0,1,'Your Sylvan Touch was successful on %t!','Your Sylvan Touch fades.','',0,0,'Spells/Priest/Druid/SylvanTouch.lua',733,'You cast Sylvan Touch on %t.',0,1,1,0,1,0,0,0,0,150018,0,0,0,0,0,1,0,0,0,'Heal',1384671686,1384378114,0,1),
(150019,3113272182,0,0,'Sylvan Wind','Heals all allies near the druid, and replenishes their health over time for a short duration.',293,16,314,3282420779,0,85,0,2,'Your Sylvan Wind was successful on %t!','Your Sylvan Wind fades.','',1,0,'Spells/Priest/Druid/SylvanWind.lua',733,'You cast Sylvan Wind on %t.',0,0,0,1,1,1,0,0,0,150019,0,0,0,0,0,1,0,0,0,'HoT-Ward',1384671686,1384378113,0,1),
(150020,320058204,0,1,'Verdure','A group augmentation that increases the elemental resistance and health pool of the druid''s group.',203,65535,314,3282420779,0,95,1,2,'Your Verdure was successful on %t!','Your Verdure fades.','',1,0,'Spells/Priest/Druid/Verdure.lua',798,'You cast Verdure on %t.',0,0,0,0,1,1,0,0,0,150020,0,0,0,0,0,1,0,0,0,'Buff',1578013027,1384378113,0,1),
(150021,1571692146,0,1,'Vigor','An augmentation that increases the power pool of an ally.',211,16,316,3282420779,0,80,1,1,'Your Vigor was successful on %t!','Your Vigor fades.','',1,0,'Spells/Priest/Druid/Vigor.lua',126,'You cast Vigor on %t.',0,0,0,1,1,0,0,0,0,150021,0,0,0,0,0,1,0,0,0,'Unset',1578013154,1384378113,0,1),
(150022,1360006841,0,1,'Wild Spirit','A group augmentation that increases the agility and arcane resistance of the druid''s group.',241,13,314,3282420779,0,90,1,2,'Your Wild Spirit was successful on %t!','Your Wild Spirit fades.','',1,0,'Spells/Priest/Druid/WildSpirit.lua',24,'You cast Wild Spirit on %t.',0,0,0,1,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',1578013380,1384378113,0,1),
(150023,951091336,0,1,'Willowskin','A group augmentation that increases the physical damage resistance and in-combat health regeneration of the druid''s group.',146,65535,314,3282420779,0,85,1,2,'Your Willowskin was successful on %t!','Your Willowskin fades.','',1,0,'Spells/Priest/Druid/Willowskin.lua',13,'You cast Willowskin on %t.',0,0,0,1,1,1,0,0,0,110002,0,0,0,0,0,1,0,0,0,'Buff',1578014507,1384378113,0,1),
(150024,1540760413,0,0,'Winds of Renewal','Replenishes health over time for a short duration to the druid''s group.',189,16,314,3282420779,366253016,70,0,2,'Your Winds of Renewal was successful on %t!','Your Winds of Renewal fades.','',1,0,'Spells/Priest/Druid/WindsofRenewal.lua',2434,'You cast Winds of Renewal on %t.',0,0,1,1,1,1,0,0,0,150024,0,0,0,0,0,1,0,0,0,'Heal',1578014768,1384378113,0,1),
(150025,499605731,0,0,'Mossy Balm','Cures Trauma impairments from an ally while regenerating a small amount of Health.',147,13,315,3282420779,366253016,75,0,0,'','','',1,0,'Spells/Priest/Druid/MossyBalm.lua',137,'',0,0,0,0,0,0,0,0,0,150025,0,0,0,0,0,1,0,0,0,'Cure',0,0,0,1),
(160000,2662534600,0,1,'Protection of the Willow','A group augmentation that increases the physical mitigation to the warden''s non-fighter allies and the health of the warden''s fighter allies.',146,65535,314,1040683335,3587918036,25,1,2,'Your Armor of Seasons was successful on %t!','Your Armor of Seasons fades.','',0,1,'Spells/Priest/Druid/Warden/ArmorofSeasons.lua',2419,'You cast Armor of Seasons on %t.',0,0,0,1,1,1,0,0,0,160000,0,0,0,0,0,0,0,0,0,'Unset',1579577520,1384378112,0,1),
(160001,3909730779,0,1,'Willowskin','A group augmentation that increases the physical mitigation to the warden''s non-fighter allies and the health of the warden''s fighter allies.',146,65535,314,3282420779,3587918036,95,1,2,'Your Armor of Seasons II was successful on %t!','Your Armor of Seasons II fades.','',0,1,'Spells/Priest/Druid/Warden/ArmorofSeasons.lua',2419,'You cast Armor of Seasons II on %t.',0,0,0,1,1,1,0,0,0,160000,0,0,0,0,0,0,0,0,0,'Unset',1579577536,1384378113,0,1),
(160002,2977150387,0,1,'Protection of the Seasons','A group augmentation that increases the physical mitigation to the warden''s non-fighter allies and the health of the warden''s fighter allies.',146,65535,314,1040683335,3587918036,165,1,2,'Your Armor of Seasons III was successful on %t!','Your Armor of Seasons III fades.','',1,1,'Spells/Priest/Druid/Warden/ArmorofSeasons.lua',2419,'You cast Armor of Seasons III on %t.',0,0,0,1,1,1,0,0,0,160000,0,0,0,0,0,1,0,0,0,'Unset',1579577550,1384378114,0,1),
(160003,1625786660,0,1,'Spirit of the Oak','A group augmentation that increases the physical mitigation to the warden''s non-fighter allies and the health of the warden''s fighter allies.',146,65535,314,1040683335,3587918036,235,1,2,'Your Armor of Seasons IV was successful on %t!','Your Armor of Seasons IV fades.','',1,1,'Spells/Priest/Druid/Warden/ArmorofSeasons.lua',2419,'You cast Armor of Seasons IV on %t.',0,0,0,1,1,1,0,0,0,160000,0,0,0,0,0,1,0,0,0,'Unset',1579577562,1384378113,0,1),
(160004,4064088580,0,1,'Protection of the Oak','A group augmentation that increases the physical mitigation to the warden''s non-fighter allies and the health of the warden''s fighter allies.',146,65535,314,1040683335,3587918036,305,1,2,'Your Armor of Seasons V was successful on %t!','Your Armor of Seasons V fades.','',1,1,'Spells/Priest/Druid/Warden/ArmorofSeasons.lua',2419,'You cast Armor of Seasons V on %t.',0,0,0,1,1,1,0,0,0,160000,0,0,0,0,0,1,0,0,0,'Unset',1579577578,1384378113,0,1),
(160005,3315804216,0,1,'Armor of Seasons','A group augmentation that increases the physical mitigation to the warden''s non-fighter allies and the health of the warden''s fighter allies.',146,65535,314,1040683335,3587918036,370,1,2,'Your Armor of Seasons VI was successful on %t!','Your Armor of Seasons VI fades.','',1,1,'Spells/Priest/Druid/Warden/ArmorofSeasons.lua',2419,'You cast Armor of Seasons VI on %t.',0,0,0,1,1,1,0,0,0,160000,0,0,0,0,0,1,0,0,0,'Unset',1579577641,1384378113,0,1),
(160006,2252127990,0,1,'Armor of Seasons VII','A group augmentation that increases the physical mitigation to the warden''s non-fighter allies and the health of the warden''s fighter allies.',146,65535,314,1040683335,3587918036,420,1,2,'Your Armor of Seasons VII was successful on %t!','Your Armor of Seasons VII fades.','',1,1,'Spells/Priest/Druid/Warden/ArmorofSeasons.lua',2419,'You cast Armor of Seasons VII on %t.',0,0,0,1,1,1,0,0,0,160000,0,0,0,0,0,1,0,0,0,'Unset',1579577666,1384378114,0,1),
(160007,1373519534,0,1,'Armor of Seasons VIII','A group augmentation that increases the physical mitigation to the warden''s non-fighter allies and the health of the warden''s fighter allies.',146,65535,314,1040683335,3587918036,470,1,2,'Your Armor of Seasons VIII was successful on %t!','Your Armor of Seasons VIII fades.','',1,1,'Spells/Priest/Druid/Warden/ArmorofSeasons.lua',2419,'You cast Armor of Seasons VIII on %t.',0,0,0,1,1,1,0,0,0,160000,0,0,0,0,0,1,0,0,0,'Unset',1579577682,1384378114,0,1),
(160008,2013857554,0,1,'Minor Vigor','An augmentation that increases the wisdom, stamina, and spell resistance of an ally.',211,16,316,1040683335,3587918036,20,1,1,'Your Aspect of the Forest was successful on %t!','Your Aspect of the Forest fades.','',0,1,'Spells/Priest/Druid/Warden/AspectoftheForest.lua',2420,'You cast Aspect of the Forest on %t.',0,0,0,1,1,1,0,0,0,160008,0,0,0,0,0,0,0,0,0,'Unset',1579576636,1384378112,0,1),
(160009,212768170,0,1,'Vigor','An augmentation that increases the wisdom, stamina, and spell resistance of an ally.',211,16,316,3282420779,3587918036,80,1,1,'Your Aspect of the Forest II was successful on %t!','Your Aspect of the Forest II fades.','',0,1,'Spells/Priest/Druid/Warden/AspectoftheForest.lua',2420,'You cast Aspect of the Forest II on %t.',0,0,0,1,1,1,0,0,0,160008,0,0,0,0,0,0,0,0,0,'Unset',1579576723,1384378113,0,1),
(160010,77653062,0,1,'Oakskin','An augmentation that increases the wisdom, stamina, and spell resistance of an ally.',211,16,316,1040683335,3587918036,150,1,1,'Your Aspect of the Forest III was successful on %t!','Your Aspect of the Forest III fades.','',1,1,'Spells/Priest/Druid/Warden/Oakskin.lua',2420,'You cast Aspect of the Forest III on %t.',0,0,0,1,1,1,0,0,0,160008,0,0,0,0,0,0,0,0,0,'Unset',1579576905,1384378113,0,1),
(160011,59665586,0,1,'Aspect of the Owl','An augmentation that increases the wisdom, stamina, and spell resistance of an ally.',211,16,316,1040683335,3587918036,220,1,1,'Your Aspect of the Forest IV was successful on %t!','Your Aspect of the Forest IV fades.','',1,1,'Spells/Priest/Druid/Warden/AspectoftheForest.lua',2420,'You cast Aspect of the Forest IV on %t.',0,0,0,1,1,1,0,0,0,160008,0,0,0,0,0,1,0,0,0,'Unset',1579577004,1384377826,0,1),
(160012,4221668459,0,1,'Aspect of the Hawk','An augmentation that increases the wisdom, stamina, and spell resistance of an ally.',211,16,316,1040683335,3587918036,290,1,1,'Your Aspect of the Forest V was successful on %t!','Your Aspect of the Forest V fades.','',1,1,'Spells/Priest/Druid/Warden/AspectoftheForest.lua',2420,'You cast Aspect of the Forest V on %t.',0,0,0,1,1,1,0,0,0,160008,0,0,0,0,0,1,0,0,0,'Unset',1579577113,1384378113,0,1),
(160013,4085393302,0,1,'Aspect of the Forest','An augmentation that increases the wisdom, stamina, and spell resistance of an ally.',211,16,316,1040683335,3587918036,360,1,1,'Your Aspect of the Forest VI was successful on %t!','Your Aspect of the Forest VI fades.','',1,1,'Spells/Priest/Druid/Warden/AspectoftheForest.lua',2420,'You cast Aspect of the Forest VI on %t.',0,0,0,1,1,1,0,0,0,160008,0,0,0,0,0,1,0,0,0,'Unset',1579577188,1384378114,0,1),
(160014,2239953950,0,1,'Aspect of the Forest VII','An augmentation that increases the wisdom, stamina, and spell resistance of an ally.',211,16,316,1040683335,3587918036,410,1,1,'Your Aspect of the Forest VII was successful on %t!','Your Aspect of the Forest VII fades.','',1,1,'Spells/Priest/Druid/Warden/AspectoftheForest.lua',2420,'You cast Aspect of the Forest VII on %t.',0,0,0,1,1,1,0,0,0,160008,0,0,0,0,0,1,0,0,0,'Unset',1579577270,1384378114,0,1),
(160015,519116490,0,1,'Aspect of the Forest VIII','An augmentation that increases the wisdom, stamina, and spell resistance of an ally.',211,16,316,1040683335,3587918036,460,1,1,'Your Aspect of the Forest VIII was successful on %t!','Your Aspect of the Forest VIII fades.','',1,1,'Spells/Priest/Druid/Warden/AspectoftheForest.lua',2420,'You cast Aspect of the Forest VIII on %t.',0,0,0,1,1,1,0,0,0,160008,0,0,0,0,0,1,0,0,0,'Unset',1579577308,1384378113,0,1),
(160016,2719056782,0,0,'Fire','Deals instant heat damage to an enemy.',276,14,315,1040683335,613995491,5,0,1,'Your Dawnstrike was successful on %t!','Your Dawnstrike fades.','',1,0,'Spells/Priest/Druid/Warden/Dawnstrike.lua',2421,'You cast Dawnstrike on %t.',0,0,0,1,0,0,0,0,0,110014,0,0,0,0,0,0,0,0,0,'DD',1579491936,1384377830,0,1),
(160017,2287033332,0,0,'Greater Fire','Deals instant heat damage to an enemy.',276,14,315,1040683335,613995491,45,0,1,'Your Dawnstrike II was successful on %t!','Your Dawnstrike II fades.','',1,0,'Spells/Priest/Druid/Warden/Dawnstrike.lua',2421,'You cast Dawnstrike II on %t.',0,0,0,1,0,0,0,0,0,160016,0,0,0,0,0,0,0,0,0,'DD',1579491981,1384378113,0,1),
(160018,1217356377,0,0,'Flame','Deals instant heat damage to an enemy.',276,14,315,1040683335,613995491,85,0,1,'Your Dawnstrike III was successful on %t!','Your Dawnstrike III fades.','',1,0,'Spells/Priest/Druid/Warden/Dawnstrike.lua',2421,'You cast Dawnstrike III on %t.',0,0,0,1,0,0,0,0,0,160016,0,0,0,0,0,0,0,0,0,'DD',1579492010,1384378113,0,1),
(160019,1872286130,0,0,'Summers Flame','Deals instant heat damage to an enemy.',276,14,315,1040683335,613995491,155,0,1,'Your Dawnstrike IV was successful on %t!','Your Dawnstrike IV fades.','',1,0,'Spells/Priest/Druid/Warden/Dawnstrike.lua',2421,'You cast Dawnstrike IV on %t.',0,0,0,1,0,0,0,0,0,160016,0,0,0,0,0,1,0,0,0,'DD',1579492549,1384378114,0,1),
(160020,788505134,0,0,'Dawnstrike IX','Deals instant heat damage to an enemy.',276,14,315,1040683335,613995491,460,0,1,'Your Dawnstrike IX was successful on %t!','Your Dawnstrike IX fades.','',1,0,'Spells/Priest/Druid/Warden/Dawnstrike.lua',2421,'You cast Dawnstrike IX on %t.',0,0,0,1,0,0,0,0,0,160016,0,0,0,0,0,1,0,0,0,'DD',1579495183,1384377827,0,1),
(160021,4091054051,0,0,'Solar Burn','Deals instant heat damage to an enemy.',276,14,315,1040683335,613995491,225,0,1,'Your Dawnstrike V was successful on %t!','Your Dawnstrike V fades.','',1,0,'Spells/Priest/Druid/Warden/Dawnstrike.lua',2421,'You cast Dawnstrike V on %t.',0,0,0,1,0,0,0,0,0,160016,0,0,0,0,0,1,0,0,0,'DD',1579492641,1384378113,0,1),
(160022,3997259296,0,0,'Solar Flame','Deals instant heat damage to an enemy.',276,14,315,1040683335,613995491,295,0,1,'Your Dawnstrike VI was successful on %t!','Your Dawnstrike VI fades.','',1,0,'Spells/Priest/Druid/Warden/Dawnstrike.lua',2421,'You cast Dawnstrike VI on %t.',0,0,0,1,0,0,0,0,0,160016,0,0,0,0,0,1,0,0,0,'DD',1579492775,1384378113,0,1),
(160023,3558452894,0,0,'Dawnstrike','Deals instant heat damage to an enemy.',276,14,315,1040683335,613995491,360,0,1,'Your Dawnstrike VII was successful on %t!','Your Dawnstrike VII fades.','',1,0,'Spells/Priest/Druid/Warden/Dawnstrike.lua',2421,'You cast Dawnstrike VII on %t.',0,0,0,1,0,0,0,0,0,160016,0,0,0,0,0,1,0,0,0,'DD',1579492919,1384378114,0,1),
(160024,4083776427,0,0,'Dawnstrike VIII','Deals instant heat damage to an enemy.',276,14,315,1040683335,613995491,410,0,1,'Your Dawnstrike VIII was successful on %t!','Your Dawnstrike VIII fades.','',1,0,'Spells/Priest/Druid/Warden/Dawnstrike.lua',2421,'You cast Dawnstrike VIII on %t.',0,0,0,1,0,0,0,0,0,160016,0,0,0,0,0,1,0,0,0,'DD',1579492988,1384378114,0,1),
(160025,3736783730,0,0,'Equinox','Resurrects nearby fallen allies and replenishes their health over time. This spell can be used in combat.',156,15,314,1040683335,366253016,180,0,6,'Your Equinox was successful on %t!','Your Equinox fades.','',1,0,'Spells/Priest/Druid/Warden/Equinox.lua',2422,'You cast Equinox on %t.',0,1,1,0,1,0,0,0,0,160025,0,0,0,0,0,1,0,0,0,'Unset',1579662701,1384378114,0,1),
(160026,4191221928,0,1,'Verdure','A group augmentation that increases the resistances and stamina of the warden''s group. ',203,65535,314,3282420779,3587918036,80,1,2,'Your Essence of the Great Bear was successful on %t!','Your Essence of the Great Bear fades.','',0,1,'Spells/Priest/Druid/Warden/EssenceoftheGreatBear.lua',2423,'You cast Essence of the Great Bear on %t.',0,0,0,1,1,1,0,0,0,160026,0,0,0,0,0,0,0,0,0,'Unset',1579582300,1384378113,0,1),
(160027,2633303131,0,1,'Perennial Essence','A group augmentation that increases the resistances and stamina of the warden''s group. ',203,65535,314,1040683335,3587918036,150,1,2,'Your Essence of the Great Bear II was successful on %t!','Your Essence of the Great Bear II fades.','',1,1,'Spells/Priest/Druid/Warden/PerennialEssence.lua',2423,'You cast Essence of the Great Bear II on %t.',0,0,0,1,1,1,0,0,0,160026,0,0,0,0,0,0,0,0,0,'Unset',1579582333,1384378113,0,1),
(160028,3479537527,0,1,'Essence of the Kodiak','A group augmentation that increases the resistances and stamina of the warden''s group. ',203,65535,314,1040683335,3587918036,220,1,2,'Your Essence of the Great Bear III was successful on %t!','Your Essence of the Great Bear III fades.','',1,1,'Spells/Priest/Druid/Warden/EssenceoftheGreatBear.lua',2423,'You cast Essence of the Great Bear III on %t.',0,0,0,1,1,1,0,0,0,160026,0,0,0,0,0,1,0,0,0,'Unset',1579582323,1384378113,0,1),
(160029,1156757515,0,1,'Essence of the Great Bear','A group augmentation that increases the resistances and stamina of the warden''s group. ',203,65535,314,1040683335,3587918036,290,1,2,'Your Essence of the Great Bear IV was successful on %t!','Your Essence of the Great Bear IV fades.','',1,1,'Spells/Priest/Druid/Warden/EssenceoftheGreatBear.lua',2423,'You cast Essence of the Great Bear IV on %t.',0,0,0,1,1,1,0,0,0,160026,0,0,0,0,0,1,0,0,0,'Unset',1579582344,1384378113,0,1),
(160030,166225336,0,1,'Essence of the Polar Bear','A group augmentation that increases the resistances and stamina of the warden''s group. ',203,65535,314,1040683335,3587918036,360,1,2,'Your Essence of the Great Bear V was successful on %t!','Your Essence of the Great Bear V fades.','',1,1,'Spells/Priest/Druid/Warden/EssenceoftheGreatBear.lua',2423,'You cast Essence of the Great Bear V on %t.',0,0,0,1,1,1,0,0,0,160026,0,0,0,0,0,1,0,0,0,'Unset',1579582390,1384378114,0,1),
(160031,1369815426,0,1,'Essence of the Great Bear VI','A group augmentation that increases the resistances and stamina of the warden''s group. ',203,65535,314,1040683335,3587918036,410,1,2,'Your Essence of the Great Bear VI was successful on %t!','Your Essence of the Great Bear VI fades.','',1,1,'Spells/Priest/Druid/Warden/EssenceoftheGreatBear.lua',2423,'You cast Essence of the Great Bear VI on %t.',0,0,0,1,1,1,0,0,0,160026,0,0,0,0,0,1,0,0,0,'Unset',1579582414,1384378113,0,1),
(160032,1343243423,0,1,'Essence of the Great Bear VII','A group augmentation that increases the resistances and stamina of the warden''s group. ',203,65535,314,1040683335,3587918036,460,1,2,'Your Essence of the Great Bear VII was successful on %t!','Your Essence of the Great Bear VII fades.','',1,1,'Spells/Priest/Druid/Warden/EssenceoftheGreatBear.lua',2423,'You cast Essence of the Great Bear VII on %t.',0,0,0,1,1,1,0,0,0,160026,0,0,0,0,0,1,0,0,0,'Unset',1579582428,1384378113,0,1),
(160033,3664831666,0,0,'Faerie Ally','Summons a Faerie Ally that works quickly to heal your most wounded allies. If the Faerie dies before the duration expires, all allies near the Faerie are healed.',769,65535,313,1040683335,3587918036,400,0,0,'Your Faerie Ally was successful on %t!','Your Faerie Ally fades.','',1,0,'Spells/Priest/Druid/Warden/FaerieAlly.lua',2663,'You cast Faerie Ally on %t.',0,0,0,1,1,1,0,0,0,160033,0,0,0,0,0,1,0,0,0,'Unset',1573330235,1384378113,0,1),
(160034,1199506884,0,0,'Faerie Ally II','Summons a Faerie Ally that works quickly to heal your most wounded allies. If the Faerie dies before the duration expires, all allies near the Faerie are healed.',769,65535,313,1040683335,3587918036,450,0,0,'Your Faerie Ally II was successful on %t!','Your Faerie Ally II fades.','',1,0,'Spells/Priest/Druid/Warden/FaerieAlly.lua',2663,'You cast Faerie Ally II on %t.',0,0,0,1,1,1,0,0,0,160033,0,0,0,0,0,1,0,0,0,'Unset',1573330283,1384378113,0,1),
(160035,1355948396,0,0,'Faerie Ally III','Summons a Faerie Ally that works quickly to heal your most wounded allies. If the Faerie dies before the duration expires, all allies near the Faerie are healed.',769,65535,313,1040683335,3587918036,500,0,0,'Your Faerie Ally III was successful on %t!','Your Faerie Ally III fades.','',1,0,'Spells/Priest/Druid/Warden/FaerieAlly.lua',2663,'You cast Faerie Ally III on %t.',0,0,0,0,1,0,0,0,0,160033,0,0,0,0,0,1,0,0,0,'Unset',1573330186,1384378113,0,1),
(160036,3658707826,0,1,'Favor of the Wild','A group augmentation that increases the agility, base avoidance, wisdom, and spell resistance of the warden''s group.',241,13,314,1040683335,3587918036,90,1,2,'Your Favor of the Wild was successful on %t!','Your Favor of the Wild fades.','',0,1,'Spells/Priest/Druid/Warden/FavoroftheWild.lua',2425,'You cast Favor of the Wild on %t.',0,0,0,1,1,1,0,0,0,160036,0,0,0,0,0,0,0,0,0,'Unset',1579582521,1384378113,0,1),
(160037,3717091983,0,1,'Blessing Of Wild','A group augmentation that increases the agility, base avoidance, wisdom, and spell resistance of the warden''s group.',241,13,314,1040683335,3587918036,160,1,2,'Your Favor of the Wild II was successful on %t!','Your Favor of the Wild II fades.','',1,1,'Spells/Priest/Druid/Warden/FavoroftheWild.lua',2425,'You cast Favor of the Wild II on %t.',0,0,0,1,1,1,0,0,0,160036,0,0,0,0,0,1,0,0,0,'Unset',1579582557,1384378113,0,1),
(160038,1733803345,0,1,'Benison of the Wild','A group augmentation that increases the agility, base avoidance, wisdom, and spell resistance of the warden''s group.',241,13,314,1040683335,3587918036,230,1,2,'Your Favor of the Wild III was successful on %t!','Your Favor of the Wild III fades.','',1,1,'Spells/Priest/Druid/Warden/FavoroftheWild.lua',2425,'You cast Favor of the Wild III on %t.',0,0,0,1,1,1,0,0,0,160036,0,0,0,0,0,1,0,0,0,'Unset',1579582612,1384378113,0,1),
(160039,813170701,0,1,'Benediction of the Wild','A group augmentation that increases the agility, base avoidance, wisdom, and spell resistance of the warden''s group.',241,65535,314,1040683335,3587918036,300,1,2,'Your Favor of the Wild IV was successful on %t!','Your Favor of the Wild IV fades.','',1,1,'Spells/Priest/Druid/Warden/FavoroftheWild.lua',2425,'You cast Favor of the Wild IV on %t.',0,0,0,1,1,1,0,0,0,160036,0,0,0,0,0,1,0,0,0,'Unset',1579582629,1384378113,0,1),
(160040,1091945114,0,1,'Master of the Wild','A group augmentation that increases the agility, base avoidance, wisdom, and spell resistance of the warden''s group.',241,13,314,1040683335,3587918036,365,1,2,'Your Favor of the Wild V was successful on %t!','Your Favor of the Wild V fades.','',1,1,'Spells/Priest/Druid/Warden/FavoroftheWild.lua',2425,'You cast Favor of the Wild V on %t.',0,0,0,1,1,1,0,0,0,160036,0,0,0,0,0,1,0,0,0,'Unset',1579582637,1384378114,0,1),
(160041,2287469994,0,1,'Favor of the Wild VI','A group augmentation that increases the agility, base avoidance, wisdom, and spell resistance of the warden''s group.',241,13,314,1040683335,3587918036,415,1,2,'Your Favor of the Wild VI was successful on %t!','Your Favor of the Wild VI fades.','',1,1,'Spells/Priest/Druid/Warden/FavoroftheWild.lua',2425,'You cast Favor of the Wild VI on %t.',0,0,0,1,1,1,0,0,0,160036,0,0,0,0,0,1,0,0,0,'Unset',1579582655,1384378113,0,1),
(160042,3980345068,0,1,'Favor of the Wild VII','A group augmentation that increases the agility, base avoidance, wisdom, and spell resistance of the warden''s group.',241,13,314,1040683335,3587918036,465,1,2,'Your Favor of the Wild VII was successful on %t!','Your Favor of the Wild VII fades.','',1,1,'Spells/Priest/Druid/Warden/FavoroftheWild.lua',2425,'You cast Favor of the Wild VII on %t.',0,0,0,0,1,1,0,0,0,160036,0,0,0,0,0,1,0,0,0,'Unset',1579582693,1384378113,0,1),
(160043,2032065269,0,0,'Cold Snap','Deals cold damage over time and decreases the elemental resistance of the target.',229,14,315,1040683335,613995491,115,0,1,'Your Frostbite was successful on %t!','Your Frostbite fades.','',1,0,'Spells/Priest/Druid/Warden/ColdSnap.lua',2426,'You cast Frostbite on %t.',0,0,0,1,0,1,4,0,0,160043,0,0,0,0,0,0,0,0,0,'DoT',1579585092,1384378113,0,1),
(160044,1508659367,0,0,'Frostbite','Deals cold damage over time and decreases the elemental resistance of the target.',229,14,315,1040683335,613995491,185,0,1,'Your Frostbite II was successful on %t!','Your Frostbite II fades.','',1,0,'Spells/Priest/Druid/Warden/Frostbite.lua',2426,'You cast Frostbite II on %t.',0,0,0,1,0,1,4,0,0,160043,0,0,0,0,0,1,0,0,0,'DoT',1579585681,1384377827,0,1),
(160045,4022861272,0,0,'Wintry Cold','Deals cold damage over time and decreases the elemental resistance of the target.',229,14,315,1040683335,613995491,255,0,1,'Your Frostbite III was successful on %t!','Your Frostbite III fades.','',1,0,'Spells/Priest/Druid/Warden/Frostbite.lua',2426,'You cast Frostbite III on %t.',0,0,0,1,0,1,4,0,0,160043,0,0,0,0,0,1,0,0,0,'DoT',1579658587,1384378114,0,1),
(160046,3791362513,0,0,'Glacial Cold','Deals cold damage over time and decreases the elemental resistance of the target.',229,14,315,1040683335,613995491,325,0,1,'Your Frostbite IV was successful on %t!','Your Frostbite IV fades.','',1,0,'Spells/Priest/Druid/Warden/Frostbite.lua',2426,'You cast Frostbite IV on %t.',0,0,0,1,0,1,4,0,0,160043,0,0,0,0,0,1,0,0,0,'DoT',1579658744,1384378113,0,1),
(160047,3480082248,0,0,'Velium Frost','Deals cold damage over time and decreases the elemental resistance of the target.',229,14,315,1040683335,613995491,385,0,1,'Your Frostbite V was successful on %t!','Your Frostbite V fades.','',1,0,'Spells/Priest/Druid/Warden/Frostbite.lua',2426,'You cast Frostbite V on %t.',0,0,0,1,0,1,4,0,0,160043,0,0,0,0,0,1,0,0,0,'DoT',1579658901,1384377827,0,1),
(160048,1494436686,0,0,'Frostbite VI','Deals cold damage over time and decreases the elemental resistance of the target.',229,14,315,1040683335,613995491,435,0,1,'Your Frostbite VI was successful on %t!','Your Frostbite VI fades.','',1,0,'Spells/Priest/Druid/Warden/Frostbite.lua',2426,'You cast Frostbite VI on %t.',0,0,0,1,0,1,4,0,0,160043,0,0,0,0,0,1,0,0,0,'DoT',1579659012,1384377827,0,1),
(160049,3266709281,0,0,'Frostbite VII','Deals cold damage over time and decreases the elemental resistance of the target.',229,14,315,1040683335,613995491,485,0,1,'Your Frostbite VII was successful on %t!','Your Frostbite VII fades.','',1,0,'Spells/Priest/Druid/Warden/Frostbite.lua',2426,'You cast Frostbite VII on %t.',0,0,0,0,0,0,4,0,0,160043,0,0,0,0,0,1,0,0,0,'DoT',1579659602,1384378113,0,1),
(160050,611554122,0,0,'Protecting Grove','Summons a protective grove around the warden. Any allies within the grove gain health and power replenishment over time. This spell has a small recurrent power cost.',187,16,313,1040683335,366253016,290,0,0,'Your Healing Grove was successful on %t!','Your Healing Grove fades.','',1,0,'Spells/Priest/Druid/Warden/HealingGrove.lua',2427,'You cast Healing Grove on %t.',0,0,0,1,1,1,0,0,0,160050,0,0,0,0,0,1,0,0,0,'Unset',1579666869,1384378113,0,1),
(160051,3461112467,0,0,'Healing Grove','Summons a protective grove around the warden. Any allies within the grove gain health and power replenishment over time. This spell has a small recurrent power cost.',187,16,313,1040683335,366253016,380,0,0,'Your Healing Grove II was successful on %t!','Your Healing Grove II fades.','',1,0,'Spells/Priest/Druid/Warden/HealingGrove.lua',2427,'You cast Healing Grove II on %t.',0,0,0,1,1,1,0,0,0,160050,0,0,0,0,0,1,0,0,0,'Unset',1579667020,1384378113,0,1),
(160052,1084622249,0,0,'Healing Grove III','Summons a protective grove around the warden. Any allies within the grove gain health and power replenishment over time. This spell has a small recurrent power cost.',187,16,313,1040683335,366253016,430,0,0,'Your Healing Grove III was successful on %t!','Your Healing Grove III fades.','',1,0,'Spells/Priest/Druid/Warden/HealingGrove.lua',2427,'You cast Healing Grove III on %t.',0,0,0,1,1,1,0,0,0,160050,0,0,0,0,0,1,0,0,0,'Unset',1579667028,1384377827,0,1),
(160053,4006515768,0,0,'Healing Grove IV','Summons a protective grove around the warden. Any allies within the grove gain health and power replenishment over time. This spell has a small recurrent power cost.',187,16,313,1040683335,366253016,480,0,0,'Your Healing Grove IV was successful on %t!','Your Healing Grove IV fades.','',1,0,'Spells/Priest/Druid/Warden/HealingGrove.lua',2427,'You cast Healing Grove IV on %t.',0,0,0,0,1,0,0,0,0,160050,0,0,0,0,0,1,0,0,0,'Unset',1579667009,1384377827,0,1),
(160054,3657807928,0,0,'Winds of Renewal','Replenishes health over time for a short duration to the warden''s group.',189,16,314,3282420779,366253016,70,0,2,'Your Healstorm was successful on %t!','Your Healstorm fades.','',1,0,'Spells/Priest/Druid/Warden/Healstorm.lua',2428,'You cast Healstorm on %t.',0,0,0,1,1,1,0,0,0,160054,0,0,0,0,0,0,0,0,0,'Unset',1579579214,1384378113,0,1),
(160055,640574331,0,0,'Blessing of the Earth','Replenishes health over time for a short duration to the warden''s group.',189,16,314,1040683335,366253016,140,0,2,'Your Healstorm II was successful on %t!','Your Healstorm II fades.','',1,0,'Spells/Priest/Druid/Warden/BlessingoftheEarth.lua',2428,'You cast Healstorm II on %t.',0,0,0,1,1,1,0,0,0,160054,0,0,0,0,0,0,0,0,0,'Unset',1579579255,1384378113,0,1),
(160056,363159538,0,0,'Chlorostorm','Replenishes health over time for a short duration to the warden''s group.',189,16,314,1040683335,366253016,210,0,2,'Your Healstorm III was successful on %t!','Your Healstorm III fades.','',1,0,'Spells/Priest/Druid/Warden/Healstorm.lua',2428,'You cast Healstorm III on %t.',0,0,0,1,1,1,0,0,0,160054,0,0,0,0,0,1,0,0,0,'Unset',1579579319,1384378113,0,1),
(160057,731316404,0,0,'Wild Chlorostorm','Replenishes health over time for a short duration to the warden''s group.',189,16,314,1040683335,366253016,280,0,2,'Your Healstorm IV was successful on %t!','Your Healstorm IV fades.','',1,0,'Spells/Priest/Druid/Warden/Healstorm.lua',2428,'You cast Healstorm IV on %t.',0,0,0,1,1,1,0,0,0,160054,0,0,0,0,0,1,0,0,0,'Unset',1579579380,1384378113,0,1),
(160058,315970464,0,0,'Fierce Clorostorm','Replenishes health over time for a short duration to the warden''s group.',189,16,314,1040683335,366253016,350,0,2,'Your Healstorm V was successful on %t!','Your Healstorm V fades.','',1,0,'Spells/Priest/Druid/Warden/Healstorm.lua',2428,'You cast Healstorm V on %t.',0,0,0,1,1,1,0,0,0,160054,0,0,0,0,0,1,0,0,0,'Unset',1579579644,1384378113,0,1),
(160059,4272705759,0,0,'Healstorm','Replenishes health over time for a short duration to the warden''s group.',189,16,314,1040683335,366253016,395,0,2,'Your Healstorm VI was successful on %t!','Your Healstorm VI fades.','',1,0,'Spells/Priest/Druid/Warden/Healstorm.lua',2428,'You cast Healstorm VI on %t.',0,0,0,1,1,1,0,0,0,160054,0,0,0,0,0,1,0,0,0,'Unset',1579579690,1384378113,0,1),
(160060,2352533422,0,0,'Healstorm VII','Replenishes health over time for a short duration to the warden''s group.',189,16,314,1040683335,366253016,445,0,2,'Your Healstorm VII was successful on %t!','Your Healstorm VII fades.','',1,0,'Spells/Priest/Druid/Warden/Healstorm.lua',2428,'You cast Healstorm VII on %t.',0,0,0,1,1,1,0,0,0,160054,0,0,0,0,0,1,0,0,0,'Unset',1579579862,1384378113,0,1),
(160061,396198849,0,0,'Healstorm VIII','Replenishes health over time for a short duration to the warden''s group.',189,16,314,1040683335,366253016,495,0,2,'Your Healstorm VIII was successful on %t!','Your Healstorm VIII fades.','',1,0,'Spells/Priest/Druid/Warden/Healstorm.lua',2428,'You cast Healstorm VIII on %t.',0,0,0,0,1,1,0,0,0,160054,0,0,0,0,0,1,0,0,0,'Unset',1579579900,1384378113,0,1),
(160062,3124080057,0,0,'Genesis','Replenishes a large amount of health over time. The warden''s power is drained as the spell is maintained, but the spell can be toggled off early if desired. ',487,16,316,1040683335,366253016,250,0,1,'Your Hierophantic Genesis was successful on %t!','Your Hierophantic Genesis fades.','',1,0,'Spells/Priest/Druid/Warden/HierophanticGenesis.lua',2429,'You cast Hierophantic Genesis on %t.',0,0,0,1,1,1,0,0,0,160062,0,0,0,0,0,1,0,0,0,'Unset',1579665390,1384378113,0,1),
(160063,107280614,0,0,'Hierophantic Advent','Replenishes a large amount of health over time. The warden''s power is drained as the spell is maintained, but the spell can be toggled off early if desired. ',487,16,316,1040683335,366253016,350,0,1,'Your Hierophantic Genesis II was successful on %t!','Your Hierophantic Genesis II fades.','',1,0,'Spells/Priest/Druid/Warden/HierophanticGenesis.lua',2429,'You cast Hierophantic Genesis II on %t.',0,0,0,1,1,1,0,0,0,160062,0,0,0,0,0,1,0,0,0,'Unset',1579665497,1384377827,0,1),
(160064,4259559649,0,0,'Hierophantic Provenance','Replenishes a large amount of health over time. The warden''s power is drained as the spell is maintained, but the spell can be toggled off early if desired. ',487,16,316,1040683335,366253016,400,0,1,'Your Hierophantic Genesis III was successful on %t!','Your Hierophantic Genesis III fades.','',1,0,'Spells/Priest/Druid/Warden/HierophanticGenesis.lua',2429,'You cast Hierophantic Genesis III on %t.',0,0,0,1,1,1,0,0,0,160062,0,0,0,0,0,1,0,0,0,'Unset',1579665565,1384378113,0,1),
(160065,2124305548,0,0,'Hierophantic Genesis IV','Replenishes a large amount of health over time. The warden''s power is drained as the spell is maintained, but the spell can be toggled off early if desired. ',487,16,316,1040683335,366253016,450,0,1,'Your Hierophantic Genesis IV was successful on %t!','Your Hierophantic Genesis IV fades.','',1,0,'Spells/Priest/Druid/Warden/HierophanticGenesis.lua',2429,'You cast Hierophantic Genesis IV on %t.',0,0,0,1,1,1,0,0,0,160062,0,0,0,0,0,1,0,0,0,'Unset',1579665719,1384378113,0,1),
(160066,1685166169,0,0,'Hierophantic Genesis V','Replenishes a large amount of health over time. The warden''s power is drained as the spell is maintained, but the spell can be toggled off early if desired. ',487,16,316,1040683335,366253016,500,0,1,'Your Hierophantic Genesis V was successful on %t!','Your Hierophantic Genesis V fades.','',1,0,'Spells/Priest/Druid/Warden/HierophanticGenesis.lua',2429,'You cast Hierophantic Genesis V on %t.',0,0,0,0,1,0,0,0,0,160062,0,0,0,0,0,1,0,0,0,'Unset',1578855264,1384378113,0,1),
(160067,4183348194,0,0,'Cold','Deals instant cold damage to an enemy. Additional damage is done to Elemental enemies.',256,14,315,1040683335,613995491,15,0,1,'Your Icefall was successful on %t!','Your Icefall fades.','',1,0,'Spells/Priest/Druid/Warden/Icefall.lua',2430,'You cast Icefall on %t.',0,0,0,1,0,0,0,0,0,160067,0,0,0,0,0,0,0,0,0,'DD',1579494474,1384377830,0,1),
(160068,34182937,0,0,'Chill','Deals instant cold damage to an enemy. Additional damage is done to Elemental enemies.',256,14,315,3282420779,613995491,55,0,1,'Your Icefall II was successful on %t!','Your Icefall II fades.','',1,0,'Spells/Priest/Druid/Warden/Icefall.lua',2430,'You cast Icefall II on %t.',0,0,0,1,0,0,0,0,0,160067,0,0,0,0,0,0,0,0,0,'DD',1579494504,1384377827,0,1),
(160069,2001446474,0,0,'Frost','Deals instant cold damage to an enemy. Additional damage is done to Elemental enemies.',256,14,315,1040683335,613995491,125,0,1,'Your Icefall III was successful on %t!','Your Icefall III fades.','',1,0,'Spells/Priest/Druid/Warden/Frost.lua',2430,'You cast Icefall III on %t.',0,0,0,1,0,0,0,0,0,160067,0,0,0,0,0,0,0,0,0,'DD',1579494555,1384377827,0,1),
(160070,3721544476,0,0,'Bitter Frost','Deals instant cold damage to an enemy. Additional damage is done to Elemental enemies.',256,14,315,1040683335,613995491,195,0,1,'Your Icefall IV was successful on %t!','Your Icefall IV fades.','',1,0,'Spells/Priest/Druid/Warden/Icefall.lua',2430,'You cast Icefall IV on %t.',0,0,0,1,0,0,0,0,0,160067,0,0,0,0,0,1,0,0,0,'DD',1579494920,1384378113,0,1),
(160071,2876334906,0,0,'Icefall IX','Deals instant cold damage to an enemy. Additional damage is done to Elemental enemies.',256,14,315,1040683335,613995491,490,0,1,'Your Icefall IX was successful on %t!','Your Icefall IX fades.','',1,0,'Spells/Priest/Druid/Warden/Icefall.lua',2430,'You cast Icefall IX on %t.',0,0,0,0,0,0,0,0,0,160067,0,0,0,0,0,1,0,0,0,'DD',1579496358,1384378113,0,1),
(160072,2822715208,0,0,'Hoarfrost','Deals instant cold damage to an enemy. Additional damage is done to Elemental enemies.',256,14,315,1040683335,613995491,265,0,1,'Your Icefall V was successful on %t!','Your Icefall V fades.','',1,0,'Spells/Priest/Druid/Warden/Icefall.lua',2430,'You cast Icefall V on %t.',0,0,0,1,0,0,0,0,0,160067,0,0,0,0,0,1,0,0,0,'DD',1579495120,1384377827,0,1),
(160073,1900816366,0,0,'Subzero','Deals instant cold damage to an enemy. Additional damage is done to Elemental enemies.',256,14,315,1040683335,613995491,335,0,1,'Your Icefall VI was successful on %t!','Your Icefall VI fades.','',1,0,'Spells/Priest/Druid/Warden/Icefall.lua',2430,'You cast Icefall VI on %t.',0,0,0,1,0,0,0,0,0,160067,0,0,0,0,0,1,0,0,0,'DD',1579495276,1384377827,0,1),
(160074,3048756105,0,0,'Icefall','Deals instant cold damage to an enemy. Additional damage is done to Elemental enemies.',256,14,315,1040683335,613995491,390,0,1,'Your Icefall VII was successful on %t!','Your Icefall VII fades.','',1,0,'Spells/Priest/Druid/Warden/Icefall.lua',2430,'You cast Icefall VII on %t.',0,0,0,1,0,0,0,0,0,160067,0,0,0,0,0,1,0,0,0,'DD',1579495458,1384378113,0,1),
(160075,1152583684,0,0,'Icefall VIII','Deals instant cold damage to an enemy. Additional damage is done to Elemental enemies.',256,14,315,1040683335,613995491,440,0,1,'Your Icefall VIII was successful on %t!','Your Icefall VIII fades.','',1,0,'Spells/Priest/Druid/Warden/Icefall.lua',2430,'You cast Icefall VIII on %t.',0,0,0,1,0,0,0,0,0,160067,0,0,0,0,0,1,0,0,0,'DD',1579495816,1384378113,0,1),
(160076,4094353121,0,0,'Infuriating Thorns','This is the condensed energy of an ancient, mythical weapon.',188,65535,316,1040683335,0,400,0,1,'Your Infuriating Thorns was successful on %t!','Your Infuriating Thorns fades.','',1,1,'Spells/Priest/Druid/Warden/InfuriatingThorns.lua',0,'You cast Infuriating Thorns on %t.',0,1,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384671411,1384377875,0,1),
(160077,2112970600,0,1,'Primal Instinct','Augmentation cast by the warden that greatly increases all offensive skills of an ally and grants them a chance to do additional damage. This spell does not require any concentration, but can only be maintained on a single ally.',241,16,316,1040683335,3587918036,130,1,1,'Your Instinct was successful on %t!','Your Instinct fades.','',1,1,'Spells/Priest/Druid/Warden/PrimalInstinct.lua',2431,'You cast Instinct on %t.',0,0,0,1,1,1,0,0,0,160077,0,0,0,0,0,0,0,0,0,'Unset',1579659872,1384377827,0,1),
(160078,3322075680,0,1,'Primal Instinct','Augmentation cast by the warden that greatly increases all offensive skills of an ally and grants them a chance to do additional damage. This spell does not require any concentration, but can only be maintained on a single ally.',241,16,316,1040683335,3587918036,200,1,1,'Your Instinct II was successful on %t!','Your Instinct II fades.','',1,1,'Spells/Priest/Druid/Warden/Instinct.lua',2431,'You cast Instinct II on %t.',0,0,0,1,1,1,0,0,0,160077,0,0,0,0,0,1,0,0,0,'Unset',1579659952,1384378113,0,1),
(160079,1003985631,0,1,'Natural Instinct','Augmentation cast by the warden that greatly increases all offensive skills of an ally and grants them a chance to do additional damage. This spell does not require any concentration, but can only be maintained on a single ally.',241,16,316,1400160844,3587918036,270,1,1,'Your Instinct III was successful on %t!','Your Instinct III fades.','',1,1,'Spells/Priest/Druid/Warden/Instinct.lua',2431,'You cast Instinct III on %t.',0,0,0,1,1,1,0,0,0,160077,0,0,0,0,0,1,0,0,0,'Unset',1579659996,1384378113,0,1),
(160080,3525627756,0,1,'Primitive Instinct','Augmentation cast by the warden that greatly increases all offensive skills of an ally and grants them a chance to do additional damage. This spell does not require any concentration, but can only be maintained on a single ally.',241,16,316,1040683335,3587918036,340,1,1,'Your Instinct IV was successful on %t!','Your Instinct IV fades.','',1,1,'Spells/Priest/Druid/Warden/Instinct.lua',2431,'You cast Instinct IV on %t.',0,0,0,1,1,1,0,0,0,160077,0,0,0,0,0,1,0,0,0,'Unset',1579660079,1384377827,0,1),
(160081,3282827558,0,1,'Instinct','Augmentation cast by the warden that greatly increases all offensive skills of an ally and grants them a chance to do additional damage. This spell does not require any concentration, but can only be maintained on a single ally.',241,16,316,1040683335,3587918036,395,1,1,'Your Instinct V was successful on %t!','Your Instinct V fades.','',1,1,'Spells/Priest/Druid/Warden/Instinct.lua',2431,'You cast Instinct V on %t.',0,0,0,1,1,1,0,0,0,160077,0,0,0,0,0,1,0,0,0,'Unset',1579660203,1384378113,0,1),
(160082,1347620320,0,1,'Instinct VI','Augmentation cast by the warden that greatly increases all offensive skills of an ally and grants them a chance to do additional damage. This spell does not require any concentration, but can only be maintained on a single ally.',241,16,316,1040683335,3587918036,445,1,1,'Your Instinct VI was successful on %t!','Your Instinct VI fades.','',1,1,'Spells/Priest/Druid/Warden/Instinct.lua',2431,'You cast Instinct VI on %t.',0,0,0,1,1,1,0,0,0,160077,0,0,0,0,0,1,0,0,0,'Unset',1579660250,1384377827,0,1),
(160083,2447233568,0,1,'Instinct VII','Augmentation cast by the warden that greatly increases all offensive skills of an ally and grants them a chance to do additional damage. This spell does not require any concentration, but can only be maintained on a single ally.',241,16,316,1040683335,3587918036,495,1,1,'Your Instinct VII was successful on %t!','Your Instinct VII fades.','',1,1,'Spells/Priest/Druid/Warden/Instinct.lua',2431,'You cast Instinct VII on %t.',0,0,0,0,1,0,0,0,0,160077,0,0,0,0,0,1,0,0,0,'Unset',1579660305,1384378113,0,1),
(160084,1229655748,0,0,'Minor Florescense','Replenishes a large amount of target ally''s health.',468,12,316,1040683335,366253016,15,0,1,'Your Nature''s Embrace was successful on %t!','Your Nature''s Embrace fades.','',1,0,'Spells/Priest/Druid/Warden/NaturesEmbrace.lua',2432,'You cast Nature''s Embrace on %t.',0,0,0,1,1,0,0,0,0,160084,0,0,0,0,0,0,0,0,0,'Unset',1579496408,1384377830,0,1),
(160085,934663489,0,0,'Florescense','Replenishes a large amount of target ally''s health.',468,12,316,1040683335,366253016,50,0,1,'Your Nature''s Embrace II was successful on %t!','Your Nature''s Embrace II fades.','',1,0,'Spells/Priest/Druid/Warden/NaturesEmbrace.lua',2432,'You cast Nature''s Embrace II on %t.',0,0,0,1,1,0,0,0,0,160084,0,0,0,0,0,0,0,0,0,'Unset',1579496854,1384378113,0,1),
(160086,3709094785,0,0,'Effloresce','Replenishes a large amount of target ally''s health.',468,12,316,3282420779,366253016,90,0,1,'Your Nature''s Embrace III was successful on %t!','Your Nature''s Embrace III fades.','',1,0,'Spells/Priest/Druid/Warden/NaturesEmbrace.lua',2432,'You cast Nature''s Embrace III on %t.',0,0,0,1,1,0,0,0,0,160084,0,0,0,0,0,0,0,0,0,'Unset',1578872935,1384378113,0,1),
(160087,1510183539,0,0,'Natures Embrace','Replenishes a large amount of target ally''s health.',468,12,316,1040683335,366253016,160,0,1,'Your Nature''s Embrace IV was successful on %t!','Your Nature''s Embrace IV fades.','',1,0,'Spells/Priest/Druid/Warden/NaturesEmbrace.lua',2432,'You cast Nature''s Embrace IV on %t.',0,0,0,1,1,0,0,0,0,160084,0,0,0,0,0,1,0,0,0,'Unset',1579497187,1384378113,0,1),
(160088,4117441602,0,0,'Nature''s Embrace IX','Replenishes a large amount of target ally''s health.',468,12,316,1040683335,366253016,465,0,1,'Your Nature''s Embrace IX was successful on %t!','Your Nature''s Embrace IX fades.','',1,0,'Spells/Priest/Druid/Warden/NaturesEmbrace.lua',2432,'You cast Nature''s Embrace IX on %t.',0,0,0,1,1,0,0,0,0,160084,0,0,0,0,0,1,0,0,0,'Unset',1579576413,1384378113,0,1),
(160089,2674414587,0,0,'Verdant Rapture','Replenishes a large amount of target ally''s health.',468,12,316,1040683335,366253016,230,0,1,'Your Nature''s Embrace V was successful on %t!','Your Nature''s Embrace V fades.','',1,0,'Spells/Priest/Druid/Warden/NaturesEmbrace.lua',2432,'You cast Nature''s Embrace V on %t.',0,0,0,1,1,0,0,0,0,160084,0,0,0,0,0,1,0,0,0,'Unset',1579575988,1384378113,0,1),
(160090,807066005,0,0,'Verdant Bliss','Replenishes a large amount of target ally''s health.',468,12,316,1040683335,366253016,300,0,1,'Your Nature''s Embrace VI was successful on %t!','Your Nature''s Embrace VI fades.','',1,0,'Spells/Priest/Druid/Warden/NaturesEmbrace.lua',2432,'You cast Nature''s Embrace VI on %t.',0,0,0,1,1,0,0,0,0,160084,0,0,0,0,0,1,0,0,0,'Unset',1579576096,1384378113,0,1),
(160091,2977442704,0,0,'Grand Florescence','Replenishes a large amount of target ally''s health.',468,12,316,1040683335,366253016,365,0,1,'Your Nature''s Embrace VII was successful on %t!','Your Nature''s Embrace VII fades.','',1,0,'Spells/Priest/Druid/Warden/NaturesEmbrace.lua',2432,'You cast Nature''s Embrace VII on %t.',0,0,0,1,1,0,0,0,0,160084,0,0,0,0,0,1,0,0,0,'Unset',1579576223,1384378114,0,1),
(160092,439982755,0,0,'Nature''s Embrace VIII','Replenishes a large amount of target ally''s health.',468,12,316,1040683335,366253016,415,0,1,'Your Nature''s Embrace VIII was successful on %t!','Your Nature''s Embrace VIII fades.','',1,0,'Spells/Priest/Druid/Warden/NaturesEmbrace.lua',2432,'You cast Nature''s Embrace VIII on %t.',0,0,0,1,1,0,0,0,0,160084,0,0,0,0,0,1,0,0,0,'Unset',1579576328,1384378114,0,1),
(160093,3490854959,0,0,'Nature''s Ally','Summons a pack of wolves on the warden''s target.',226,16,315,1040683335,613995491,275,0,1,'Your Nature''s Pack was successful on %t!','Your Nature''s Pack fades.','',1,0,'Spells/Priest/Druid/Warden/NaturesPack.lua',2433,'You cast Nature''s Pack on %t.',0,0,0,1,0,0,0,0,1,160093,0,0,0,0,0,1,0,0,0,'Unset',1579666348,1384378113,0,1),
(160094,4117022859,0,0,'Nature''s Pack','Summons a pack of wolves on the warden''s target.',226,16,315,1040683335,613995491,370,0,1,'Your Nature''s Pack II was successful on %t!','Your Nature''s Pack II fades.','',1,0,'Spells/Priest/Druid/Warden/NaturesPack.lua',2433,'You cast Nature''s Pack II on %t.',0,0,0,1,0,0,0,0,1,160093,0,0,0,0,0,1,0,0,0,'Unset',1579666552,1384378113,0,1),
(160095,2716601110,0,0,'Nature''s Pack III','Summons a pack of wolves on the warden''s target.',226,16,315,1040683335,613995491,420,0,1,'Your Nature''s Pack III was successful on %t!','Your Nature''s Pack III fades.','',1,0,'Spells/Priest/Druid/Warden/NaturesPack.lua',2433,'You cast Nature''s Pack III on %t.',0,0,0,1,0,0,0,0,1,160093,0,0,0,0,0,1,0,0,0,'Unset',1579666691,1384378114,0,1),
(160096,404214014,0,0,'Nature''s Pack IV','Summons a pack of wolves on the warden''s target.',226,16,315,1040683335,613995491,470,0,1,'Your Nature''s Pack IV was successful on %t!','Your Nature''s Pack IV fades.','',1,0,'Spells/Priest/Druid/Warden/NaturesPack.lua',2433,'You cast Nature''s Pack IV on %t.',0,0,0,0,0,0,0,0,1,160093,0,0,0,0,0,1,0,0,0,'Unset',1579666725,1384378114,0,1),
(160097,974014601,0,0,'Nature''s Reprieve','If target ally receives damage that would be fatal, instead that ally is healed over time and their wisdom is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,1040683335,3587918036,205,0,1,'Your Nature''s Renewal was successful on %t!','Your Nature''s Renewal fades.','',1,1,'Spells/Priest/Druid/Warden/NaturesRenewal.lua',2434,'You cast Nature''s Renewal on %t.',0,0,0,1,1,1,0,0,0,160097,0,0,0,0,0,0,0,0,0,'Unset',1579662888,1384378113,0,1),
(160098,4237648378,0,0,'Nature''s Respite','If target ally receives damage that would be fatal, instead that ally is healed over time and their wisdom is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,1040683335,3587918036,275,0,1,'Your Nature''s Renewal II was successful on %t!','Your Nature''s Renewal II fades.','',1,1,'Spells/Priest/Druid/Warden/NaturesRenewal.lua',2434,'You cast Nature''s Renewal II on %t.',0,0,0,1,1,1,0,0,0,160097,0,0,0,0,0,0,0,0,0,'Unset',1579663083,1384378113,0,1),
(160099,924928466,0,0,'Nature''s Regrowth','If target ally receives damage that would be fatal, instead that ally is healed over time and their wisdom is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,1040683335,3587918036,345,0,0,'Your Nature''s Renewal III was successful on %t!','Your Nature''s Renewal III fades.','',1,1,'Spells/Priest/Druid/Warden/NaturesRenewal.lua',2434,'You cast Nature''s Renewal III on %t.',0,0,0,1,1,1,0,0,0,160097,0,0,0,0,0,0,0,0,0,'Unset',1579663123,1384377827,0,1),
(160100,1559652041,0,0,'Nature''s Renewal','If target ally receives damage that would be fatal, instead that ally is healed over time and their wisdom is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,1040683335,3587918036,400,0,1,'Your Nature''s Renewal IV was successful on %t!','Your Nature''s Renewal IV fades.','',1,1,'Spells/Priest/Druid/Warden/NaturesRenewal.lua',2434,'You cast Nature''s Renewal IV on %t.',0,0,0,1,1,1,0,0,0,160097,0,0,0,0,0,0,0,0,0,'Unset',1579663172,1384378113,0,1),
(160101,3013922856,0,0,'Nature''s Renewal V','If target ally receives damage that would be fatal, instead that ally is healed over time and their wisdom is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,1040683335,3587918036,450,0,1,'Your Nature''s Renewal V was successful on %t!','Your Nature''s Renewal V fades.','',1,1,'Spells/Priest/Druid/Warden/NaturesRenewal.lua',2434,'You cast Nature''s Renewal V on %t.',0,0,0,1,1,1,0,0,0,160097,0,0,0,0,0,0,0,0,0,'Unset',1579663360,1384377827,0,1),
(160102,2621786269,0,0,'Nature''s Renewal VI','If target ally receives damage that would be fatal, instead that ally is healed over time and their wisdom is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,1040683335,3587918036,500,0,1,'Your Nature''s Renewal VI was successful on %t!','Your Nature''s Renewal VI fades.','',1,1,'Spells/Priest/Druid/Warden/NaturesRenewal.lua',2434,'You cast Nature''s Renewal VI on %t.',0,0,0,0,1,0,0,0,0,160097,0,0,0,0,0,0,0,0,0,'Unset',1579663394,1384377830,0,1),
(160103,2476025204,0,1,'Nature''s Restoration','This is the condensed energy of an ancient, mythical weapon.',609,65535,317,1040683335,0,400,1,1,'Your Nature''s Restoration was successful on %t!','Your Nature''s Restoration fades.','',1,1,'Spells/Priest/Druid/Warden/NaturesRestoration.lua',0,'You cast Nature''s Restoration on %t.',0,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384671461,1384377875,0,1),
(160104,4188485375,0,0,'Nature''s Touch','Resurrects a fallen ally and replenishes their health over time. This spell can be used in combat.',156,15,316,1040683335,366253016,110,0,6,'Your Nature''s Touch was successful on %t!','Your Nature''s Touch fades.','',1,0,'Spells/Priest/Druid/Warden/NaturesTouchClassic.lua',2435,'You cast Nature''s Touch on %t.',0,1,1,0,1,0,0,0,0,160104,0,0,0,0,0,0,0,0,0,'Unset',1579584306,1384378113,0,1),
(160105,1338465399,0,1,'Nereid''s Boon','Augmentation which grants the warden''s group the ability to clearly see and breathe under water.',239,65535,314,1040683335,3587918036,115,1,2,'Your Nereid''s Boon was successful on %t!','Your Nereid''s Boon fades.','',1,0,'Spells/Priest/Druid/Warden/NereidsBoonClassic.lua',2436,'You cast Nereid''s Boon on %t.',0,0,0,0,1,1,0,0,0,160105,0,0,0,0,0,0,0,0,0,'Unset',1579659645,1384378113,0,1),
(160106,1634151210,0,0,'Regrowth','Heals a large amount of target ally''s health over time for a short duration.',191,16,316,3282420779,366253016,60,0,1,'Your Photosynthesis was successful on %t!','Your Photosynthesis fades.','',1,0,'Spells/Priest/Druid/Warden/Photosynthesis.lua',2437,'You cast Photosynthesis on %t.',0,1,0,1,1,0,0,0,0,160106,0,0,0,0,0,0,0,0,0,'Unset',1579578312,1384378113,0,1),
(160107,1002176663,0,0,'Greater Regrowth','Heals a large amount of target ally''s health over time for a short duration.',191,16,316,1040683335,366253016,95,0,1,'Your Photosynthesis II was successful on %t!','Your Photosynthesis II fades.','',1,0,'Spells/Priest/Druid/Warden/Photosynthesis.lua',2437,'You cast Photosynthesis II on %t.',0,1,1,1,1,0,0,0,0,160106,0,0,0,0,0,0,0,0,0,'Unset',1579578346,1384378113,0,1),
(160108,1309925,0,0,'Blessing of the Grove','Heals a large amount of target ally''s health over time for a short duration.',191,16,316,1040683335,366253016,130,0,1,'Your Photosynthesis III was successful on %t!','Your Photosynthesis III fades.','',1,0,'Spells/Priest/Druid/Warden/BlessingoftheGrove.lua',2437,'You cast Photosynthesis III on %t.',0,1,0,1,1,1,0,0,0,160106,0,0,0,0,0,0,0,0,0,'Unset',1579578378,1384378113,0,1),
(160109,2957438681,0,0,'Chloroplast','Heals a large amount of target ally''s health over time for a short duration.',191,16,316,1040683335,366253016,200,0,1,'Your Photosynthesis IV was successful on %t!','Your Photosynthesis IV fades.','',1,0,'Spells/Priest/Druid/Warden/Photosynthesis.lua',2437,'You cast Photosynthesis IV on %t.',0,1,0,1,1,1,0,0,0,160106,0,0,0,0,0,1,0,0,0,'Unset',1579578517,1384378113,0,1),
(160110,1942281880,0,0,'Photosynthesis IX','Heals a large amount of target ally''s health over time for a short duration.',191,16,316,1040683335,366253016,490,0,1,'Your Photosynthesis IX was successful on %t!','Your Photosynthesis IX fades.','',1,0,'Spells/Priest/Druid/Warden/Photosynthesis.lua',2437,'You cast Photosynthesis IX on %t.',0,0,0,0,1,0,0,0,0,160106,0,0,0,0,0,1,0,0,0,'Unset',1579578920,1384378156,0,1),
(160111,1623618216,0,0,'Wild Growth','Heals a large amount of target ally''s health over time for a short duration.',191,16,316,1040683335,366253016,270,0,1,'Your Photosynthesis V was successful on %t!','Your Photosynthesis V fades.','',1,0,'Spells/Priest/Druid/Warden/Photosynthesis.lua',2437,'You cast Photosynthesis V on %t.',0,1,0,1,1,1,0,0,0,160106,0,0,0,0,0,1,0,0,0,'Unset',1579578651,1384377827,0,1),
(160112,1300426726,0,0,'Greater Chloroplast','Heals a large amount of target ally''s health over time for a short duration.',191,16,316,1040683335,366253016,340,0,1,'Your Photosynthesis VI was successful on %t!','Your Photosynthesis VI fades.','',1,0,'Spells/Priest/Druid/Warden/Photosynthesis.lua',2437,'You cast Photosynthesis VI on %t.',0,1,0,1,1,1,0,0,0,160106,0,0,0,0,0,1,0,0,0,'Unset',1579578708,1384378113,0,1),
(160113,853550606,0,0,'Photosynthesis','Heals a large amount of target ally''s health over time for a short duration.',191,16,316,1040683335,366253016,390,0,1,'Your Photosynthesis VII was successful on %t!','Your Photosynthesis VII fades.','',1,0,'Spells/Priest/Druid/Warden/Photosynthesis.lua',2437,'You cast Photosynthesis VII on %t.',0,1,0,1,1,1,0,0,0,160106,0,0,0,0,0,1,0,0,0,'Unset',1579578780,1384378113,0,1),
(160114,4100068827,0,0,'Photosynthesis VIII','Heals a large amount of target ally''s health over time for a short duration.',191,16,316,1040683335,366253016,440,0,1,'Your Photosynthesis VIII was successful on %t!','Your Photosynthesis VIII fades.','',1,0,'Spells/Priest/Druid/Warden/Photosynthesis.lua',2437,'You cast Photosynthesis VIII on %t.',0,1,0,1,1,1,0,0,0,160106,0,0,0,0,0,1,0,0,0,'Unset',1579578867,1384378113,0,1),
(160115,54796579,0,1,'Numbing Spores','An augmentation which grants an ally the chance to replenish health over time whenever they receive damage. If that ally is below 50%, the amount healed is doubled. This spell does not require any concentration, but can only be maintained on a single ally.',227,15,316,1040683335,3587918036,175,1,1,'Your Regenerating Spores was successful on %t!','Your Regenerating Spores fades.','',1,1,'Spells/Priest/Druid/Warden/RegeneratingSpores.lua',2440,'You cast Regenerating Spores on %t.',0,0,0,1,1,1,0,0,0,160115,0,0,0,0,0,0,0,0,0,'Unset',1579661672,1384377826,0,1),
(160116,4006975766,0,1,'Tranquilizing Spores','An augmentation which grants an ally the chance to replenish health over time whenever they receive damage. If that ally is below 50%, the amount healed is doubled. This spell does not require any concentration, but can only be maintained on a single ally.',227,15,316,1040683335,3587918036,245,1,1,'Your Regenerating Spores II was successful on %t!','Your Regenerating Spores II fades.','',1,1,'Spells/Priest/Druid/Warden/RegeneratingSpores.lua',2440,'You cast Regenerating Spores II on %t.',0,0,0,1,1,1,0,0,0,160115,0,0,0,0,0,0,0,0,0,'Unset',1579661744,1384378113,0,1),
(160117,3139779042,0,1,'Regenerative Spores','An augmentation which grants an ally the chance to replenish health over time whenever they receive damage. If that ally is below 50%, the amount healed is doubled. This spell does not require any concentration, but can only be maintained on a single ally.',227,15,316,1040683335,3587918036,315,1,1,'Your Regenerating Spores III was successful on %t!','Your Regenerating Spores III fades.','',1,1,'Spells/Priest/Druid/Warden/RegeneratingSpores.lua',2440,'You cast Regenerating Spores III on %t.',0,0,0,1,1,1,0,0,0,160115,0,0,0,0,0,0,0,0,0,'Unset',1579661940,1384378113,0,1),
(160118,252559344,0,1,'Regenerating Spores','An augmentation which grants an ally the chance to replenish health over time whenever they receive damage. If that ally is below 50%, the amount healed is doubled. This spell does not require any concentration, but can only be maintained on a single ally.',227,15,316,1040683335,3587918036,375,1,1,'Your Regenerating Spores IV was successful on %t!','Your Regenerating Spores IV fades.','',1,1,'Spells/Priest/Druid/Warden/RegeneratingSpores.lua',2440,'You cast Regenerating Spores IV on %t.',0,0,0,1,1,1,0,0,0,160115,0,0,0,0,0,0,0,0,0,'Unset',1579662151,1384378113,0,1),
(160119,3549931440,0,1,'Regenerating Spores V','An augmentation which grants an ally the chance to replenish health over time whenever they receive damage. If that ally is below 50%, the amount healed is doubled. This spell does not require any concentration, but can only be maintained on a single ally.',227,15,316,1040683335,3587918036,425,1,1,'Your Regenerating Spores V was successful on %t!','Your Regenerating Spores V fades.','',1,1,'Spells/Priest/Druid/Warden/RegeneratingSpores.lua',2440,'You cast Regenerating Spores V on %t.',0,0,0,1,1,1,0,0,0,160115,0,0,0,0,0,0,0,0,0,'Unset',1579662414,1384378113,0,1),
(160120,3300901744,0,1,'Regenerating Spores VI','An augmentation which grants an ally the chance to replenish health over time whenever they receive damage. If that ally is below 50%, the amount healed is doubled. This spell does not require any concentration, but can only be maintained on a single ally.',227,15,316,1040683335,3587918036,475,1,1,'Your Regenerating Spores VI was successful on %t!','Your Regenerating Spores VI fades.','',1,1,'Spells/Priest/Druid/Warden/RegeneratingSpores.lua',2440,'You cast Regenerating Spores VI on %t.',0,0,0,0,1,0,0,0,0,160115,0,0,0,0,0,0,0,0,0,'Unset',1579662453,1384378114,0,1),
(160121,224171276,0,0,'Reincarnation','Resurrects a fallen ally and shapechanges them into a wolf, granting increased attributes, attack speed, combat attack damage, offensive melee skills, and health regeneration. This spell can be used in combat.',156,15,316,1040683335,366253016,250,0,6,'Your Reincarnation was successful on %t!','Your Reincarnation fades.','',1,0,'Spells/Priest/Druid/Warden/Reincarnation.lua',2441,'You cast Reincarnation on %t.',0,1,1,0,1,0,0,0,0,160121,0,0,0,0,0,0,0,0,0,'Unset',1579666027,1384378113,0,1),
(160122,3170296489,0,0,'Root','Roots the warden''s target in place, preventing them from movement. Every hostile spell or damage received by the target has a chance at breaking the effect. When the root effect expires, the target''s movement speed is reduced for a short duration.',308,16,315,1040683335,882983852,35,0,1,'Your Root was successful on %t!','Your Root fades.','',1,0,'Spells/Priest/Druid/Warden/Root.lua',2442,'You cast Root on %t.',0,0,0,1,0,0,2,0,0,160122,0,0,0,0,0,0,0,0,0,'Unset',1579577714,1384378113,0,1),
(160123,685268122,0,0,'Ensnaring Roots','Roots the warden''s target in place, preventing them from movement. Every hostile spell or damage received by the target has a chance at breaking the effect. When the root effect expires, the target''s movement speed is reduced for a short duration.',308,16,315,1040683335,882983852,105,0,1,'Your Root II was successful on %t!','Your Root II fades.','',1,0,'Spells/Priest/Druid/Warden/EnsnaringRoots.lua',2442,'You cast Root II on %t.',0,0,0,1,0,1,2,0,0,160122,0,0,0,0,0,0,0,0,0,'Unset',1579577766,1384377827,0,1),
(160124,3370965904,0,0,'Grasping Roots','Roots the warden''s target in place, preventing them from movement. Every hostile spell or damage received by the target has a chance at breaking the effect. When the root effect expires, the target''s movement speed is reduced for a short duration.',308,16,315,1040683335,882983852,175,0,1,'Your Root III was successful on %t!','Your Root III fades.','',1,0,'Spells/Priest/Druid/Warden/Root.lua',2442,'You cast Root III on %t.',0,0,0,1,0,1,2,0,0,160122,0,0,0,0,0,1,0,0,0,'Unset',1578881893,1384377827,0,1),
(160125,1657482863,0,0,'Seizing Vines','Roots the warden''s target in place, preventing them from movement. Every hostile spell or damage received by the target has a chance at breaking the effect. When the root effect expires, the target''s movement speed is reduced for a short duration.',308,16,315,1040683335,882983852,245,0,1,'Your Root IV was successful on %t!','Your Root IV fades.','',1,0,'Spells/Priest/Druid/Warden/Root.lua',2442,'You cast Root IV on %t.',0,0,0,1,0,1,2,0,0,160122,0,0,0,0,0,1,0,0,0,'Unset',1579577831,1384378113,0,1),
(160126,1829395041,0,0,'Trapping Vines','Roots the warden''s target in place, preventing them from movement. Every hostile spell or damage received by the target has a chance at breaking the effect. When the root effect expires, the target''s movement speed is reduced for a short duration.',308,16,315,1040683335,882983852,320,0,1,'Your Root V was successful on %t!','Your Root V fades.','',1,0,'Spells/Priest/Druid/Warden/Root.lua',2442,'You cast Root V on %t.',0,0,0,1,0,1,2,0,0,160122,0,0,0,0,0,1,0,0,0,'Unset',1578855399,1384378113,0,1),
(160127,2992207705,0,0,'Holding Vines','Roots the warden''s target in place, preventing them from movement. Every hostile spell or damage received by the target has a chance at breaking the effect. When the root effect expires, the target''s movement speed is reduced for a short duration.',308,16,315,1040683335,882983852,380,0,1,'Your Root VI was successful on %t!','Your Root VI fades.','',1,0,'Spells/Priest/Druid/Warden/Root.lua',2442,'You cast Root VI on %t.',0,0,0,1,0,1,2,0,0,160122,0,0,0,0,0,1,0,0,0,'Unset',1579577926,1384378113,0,1),
(160128,1145405291,0,0,'Root VII','Roots the warden''s target in place, preventing them from movement. Every hostile spell or damage received by the target has a chance at breaking the effect. When the root effect expires, the target''s movement speed is reduced for a short duration.',308,16,315,1040683335,882983852,430,0,1,'Your Root VII was successful on %t!','Your Root VII fades.','',1,0,'Spells/Priest/Druid/Warden/Root.lua',2442,'You cast Root VII on %t.',0,0,0,1,0,1,2,0,0,160122,0,0,0,0,0,1,0,0,0,'Unset',1579578178,1384377827,0,1),
(160129,3509956667,0,0,'Duststorms','A group augmentation which increases deflection, parry and block chance along with granting a chance that any enemy attacking an ally in melee will have their hate increased if the ally is a fighter or decreased if they are not a fighter. To maintain this spell, the warden must continually pay a power upkeep.',509,12,314,1040683335,3587918036,225,0,2,'Your Sandstorm was successful on %t!','Your Sandstorm fades.','',1,0,'Spells/Priest/Druid/Warden/Sandstorm.lua',2443,'You cast Sandstorm on %t.',0,0,0,1,1,1,0,0,0,160129,0,0,0,0,0,0,0,0,0,'Unset',1579663886,1384378113,0,1),
(160130,2723409554,0,0,'Sandstorm','A group augmentation which increases deflection, parry and block chance along with granting a chance that any enemy attacking an ally in melee will have their hate increased if the ally is a fighter or decreased if they are not a fighter. To maintain this spell, the warden must continually pay a power upkeep.',509,12,314,1040683335,3587918036,295,0,2,'Your Sandstorm II was successful on %t!','Your Sandstorm II fades.','',1,0,'Spells/Priest/Druid/Warden/Sandstorm.lua',2443,'You cast Sandstorm II on %t.',0,0,0,1,1,1,0,0,0,160129,0,0,0,0,0,0,0,0,0,'Unset',1579663921,1384378113,0,1),
(160131,3456395175,0,0,'Gale','A group augmentation which increases deflection, parry and block chance along with granting a chance that any enemy attacking an ally in melee will have their hate increased if the ally is a fighter or decreased if they are not a fighter. To maintain this spell, the warden must continually pay a power upkeep.',509,12,314,1040683335,3587918036,365,0,2,'Your Sandstorm III was successful on %t!','Your Sandstorm III fades.','',1,0,'Spells/Priest/Druid/Warden/Sandstorm.lua',2443,'You cast Sandstorm III on %t.',0,0,0,1,1,1,0,0,0,160129,0,0,0,0,0,0,0,0,0,'Unset',1579663999,1384378114,0,1),
(160132,3730028536,0,0,'Sandstorm IV','A group augmentation which increases deflection, parry and block chance along with granting a chance that any enemy attacking an ally in melee will have their hate increased if the ally is a fighter or decreased if they are not a fighter. To maintain this spell, the warden must continually pay a power upkeep.',509,12,314,1040683335,3587918036,415,0,2,'Your Sandstorm IV was successful on %t!','Your Sandstorm IV fades.','',1,0,'Spells/Priest/Druid/Warden/Sandstorm.lua',2443,'You cast Sandstorm IV on %t.',0,0,0,1,1,1,0,0,0,160129,0,0,0,0,0,0,0,0,0,'Unset',1579664022,1384378114,0,1),
(160133,1173814167,0,0,'Sandstorm V','A group augmentation which increases deflection, parry and block chance along with granting a chance that any enemy attacking an ally in melee will have their hate increased if the ally is a fighter or decreased if they are not a fighter. To maintain this spell, the warden must continually pay a power upkeep.',509,12,314,1040683335,3587918036,465,0,2,'Your Sandstorm V was successful on %t!','Your Sandstorm V fades.','',1,0,'Spells/Priest/Druid/Warden/Sandstorm.lua',2443,'You cast Sandstorm V on %t.',0,0,0,0,1,1,0,0,0,160129,0,0,0,0,0,0,0,0,0,'Unset',1579664088,1384378114,0,1),
(160134,972042084,0,0,'Minor Bloom','Instantly heals some of target ally''s health.',158,12,316,1040683335,366253016,5,0,1,'Your Sylvan Bloom was successful on %t!','Your Sylvan Bloom fades.','',1,0,'Spells/Priest/Druid/Warden/SylvanBloom.lua',2447,'You cast Sylvan Bloom on %t.',0,0,0,1,1,0,0,0,0,160134,0,0,0,0,0,0,0,0,0,'Unset',1579493154,1384377827,0,1),
(160135,1205207997,0,0,'Bloom','Instantly heals some of target ally''s health.',158,12,316,3282420779,366253016,35,0,1,'Your Sylvan Bloom II was successful on %t!','Your Sylvan Bloom II fades.','',1,0,'Spells/Priest/Druid/Warden/SylvanBloom.lua',2447,'You cast Sylvan Bloom II on %t.',0,0,0,1,1,0,0,0,0,160134,0,0,0,0,0,0,0,0,0,'Unset',1578855535,1384378113,0,1),
(160136,1317653653,0,0,'Greater Bloom','Instantly heals some of target ally''s health.',158,12,316,1040683335,366253016,75,0,1,'Your Sylvan Bloom III was successful on %t!','Your Sylvan Bloom III fades.','',1,0,'Spells/Priest/Druid/Warden/SylvanBloom.lua',2447,'You cast Sylvan Bloom III on %t.',0,0,0,1,1,0,0,0,0,160134,0,0,0,0,0,0,0,0,0,'Unset',1579493214,1384378113,0,1),
(160137,2689295207,0,0,'Natures Caress','Instantly heals some of target ally''s health.',158,12,316,1040683335,366253016,110,0,1,'Your Sylvan Bloom IV was successful on %t!','Your Sylvan Bloom IV fades.','',1,0,'Spells/Priest/Druid/Warden/SylvanBloom.lua',2447,'You cast Sylvan Bloom IV on %t.',0,0,0,1,1,0,0,0,0,160134,0,0,0,0,0,0,0,0,0,'Unset',1579493290,1384378113,0,1),
(160138,575841634,0,0,'Sylvan Bloom IX','Instantly heals some of target ally''s health.',158,12,316,1040683335,366253016,405,0,1,'Your Sylvan Bloom IX was successful on %t!','Your Sylvan Bloom IX fades.','',1,0,'Spells/Priest/Druid/Warden/SylvanBloom.lua',2447,'You cast Sylvan Bloom IX on %t.',0,0,0,1,1,0,0,0,0,160134,0,0,0,0,0,1,0,0,0,'Unset',1579493529,1384378114,0,1),
(160139,1555095324,0,0,'Nature''s Caress','Instantly heals some of target ally''s health.',158,12,316,1040683335,366253016,145,0,1,'Your Sylvan Bloom V was successful on %t!','Your Sylvan Bloom V fades.','',1,0,'Spells/Priest/Druid/Warden/NaturesCaress.lua',2447,'You cast Sylvan Bloom V on %t.',0,0,0,1,1,0,0,0,0,160134,0,0,0,0,0,0,0,0,0,'Unset',1578855197,1384378113,0,1),
(160140,2994512655,0,0,'Sylvan Waters','Instantly heals some of target ally''s health.',158,12,316,1040683335,366253016,215,0,1,'Your Sylvan Bloom VI was successful on %t!','Your Sylvan Bloom VI fades.','',1,0,'Spells/Priest/Druid/Warden/SylvanBloom.lua',2447,'You cast Sylvan Bloom VI on %t.',0,0,0,1,1,0,0,0,0,160134,0,0,0,0,0,1,0,0,0,'Unset',1579493394,1384378113,0,1),
(160141,2046615093,0,0,'Sylvan Streams','Instantly heals some of target ally''s health.',158,12,316,1040683335,366253016,285,0,1,'Your Sylvan Bloom VII was successful on %t!','Your Sylvan Bloom VII fades.','',1,0,'Spells/Priest/Druid/Warden/SylvanBloom.lua',2447,'You cast Sylvan Bloom VII on %t.',0,0,0,1,1,0,0,0,0,160134,0,0,0,0,0,1,0,0,0,'Unset',1579493424,1384378156,0,1),
(160142,1994024703,0,0,'Sylvan Bloom','Instantly heals some of target ally''s health.',158,12,316,1040683335,366253016,355,0,1,'Your Sylvan Bloom VIII was successful on %t!','Your Sylvan Bloom VIII fades.','',1,0,'Spells/Priest/Druid/Warden/SylvanBloom.lua',2447,'You cast Sylvan Bloom VIII on %t.',0,0,0,1,1,0,0,0,0,160134,0,0,0,0,0,1,0,0,0,'Unset',1579493470,1384378113,0,1),
(160143,2611576458,0,0,'Sylvan Bloom X','Instantly heals some of target ally''s health.',158,12,316,1040683335,366253016,455,0,1,'Your Sylvan Bloom X was successful on %t!','Your Sylvan Bloom X fades.','',1,0,'Spells/Priest/Druid/Warden/SylvanBloom.lua',2447,'You cast Sylvan Bloom X on %t.',0,0,0,1,1,0,0,0,0,160134,0,0,0,0,0,0,0,0,0,'Unset',1579493561,1384378113,0,1),
(160144,1968312311,0,0,'Sylvan Embrace','Replenishes health over time for a short duration to the warden''s group. This spell does not require any power and does not have a casting time.',187,15,314,1040683335,366253016,240,0,2,'Your Sylvan Embrace was successful on %t!','Your Sylvan Embrace fades.','',1,1,'Spells/Priest/Druid/Warden/SylvanEmbrace.lua',2448,'You cast Sylvan Embrace on %t.',0,0,0,0,1,1,0,0,0,160144,0,0,0,0,0,1,0,0,0,'Unset',1579665314,1384378113,0,1),
(160145,2368970071,0,1,'Barbs','An augmentation placed on the warden''s ally, that deals instant piercing damage to any attacker of that ally. This spell does not require any concentration, but can only be maintained on a single ally.',188,15,316,1040683335,3587918036,10,1,1,'Your Thorncoat was successful on %t!','Your Thorncoat fades.','',0,1,'Spells/Priest/Druid/Warden/Thorncoat.lua',2450,'You cast Thorncoat on %t.',0,1,0,1,1,1,0,0,0,160145,0,0,0,0,0,0,0,0,0,'Unset',1579493658,1384378113,0,1),
(160146,1281318966,0,1,'Nettlecoat','An augmentation placed on the warden''s ally, that deals instant piercing damage to any attacker of that ally. This spell does not require any concentration, but can only be maintained on a single ally.',188,15,316,1040683335,3587918036,50,1,1,'Your Thorncoat II was successful on %t!','Your Thorncoat II fades.','',0,1,'Spells/Priest/Druid/Warden/Thorncoat.lua',2450,'You cast Thorncoat II on %t.',0,1,0,1,1,1,0,0,0,160145,0,0,0,0,0,0,0,0,0,'Unset',1579493815,1384377827,0,1),
(160147,4045512752,0,1,'Barbcoat','An augmentation placed on the warden''s ally, that deals instant piercing damage to any attacker of that ally. This spell does not require any concentration, but can only be maintained on a single ally.',188,15,316,1040683335,3587918036,120,1,1,'Your Thorncoat III was successful on %t!','Your Thorncoat III fades.','',1,1,'Spells/Priest/Druid/Warden/Barbcoat.lua',2450,'You cast Thorncoat III on %t.',0,1,0,1,1,1,0,0,0,160145,0,0,0,0,0,0,0,0,0,'Unset',1579493930,1384378113,0,1),
(160148,2986280772,0,1,'Bramblecoat','An augmentation placed on the warden''s ally, that deals instant piercing damage to any attacker of that ally. This spell does not require any concentration, but can only be maintained on a single ally.',188,15,316,1040683335,3587918036,190,1,1,'Your Thorncoat IV was successful on %t!','Your Thorncoat IV fades.','',1,1,'Spells/Priest/Druid/Warden/Thorncoat.lua',2450,'You cast Thorncoat IV on %t.',0,1,0,1,1,1,0,0,0,160145,0,0,0,0,0,1,0,0,0,'Unset',1579493961,1384378113,0,1),
(160149,2915287426,0,1,'Thorncoat IX','An augmentation placed on the warden''s ally, that deals instant piercing damage to any attacker of that ally. This spell does not require any concentration, but can only be maintained on a single ally.',188,15,316,1040683335,3587918036,485,1,1,'Your Thorncoat IX was successful on %t!','Your Thorncoat IX fades.','',1,1,'Spells/Priest/Druid/Warden/Thorncoat.lua',2450,'You cast Thorncoat IX on %t.',0,0,0,0,1,0,0,0,0,160145,0,0,0,0,0,1,0,0,0,'Unset',1579494381,1384378113,0,1),
(160150,3651018817,0,1,'Thorncoat','An augmentation placed on the warden''s ally, that deals instant piercing damage to any attacker of that ally. This spell does not require any concentration, but can only be maintained on a single ally.',188,15,316,1040683335,3587918036,260,1,1,'Your Thorncoat V was successful on %t!','Your Thorncoat V fades.','',1,1,'Spells/Priest/Druid/Warden/Thorncoat.lua',2450,'You cast Thorncoat V on %t.',0,1,0,1,1,1,0,0,0,160145,0,0,0,0,0,1,0,0,0,'Unset',1578854971,1384378114,0,1),
(160151,3846148380,0,1,'Spikecoat','An augmentation placed on the warden''s ally, that deals instant piercing damage to any attacker of that ally. This spell does not require any concentration, but can only be maintained on a single ally.',188,15,316,1040683335,3587918036,330,1,1,'Your Thorncoat VI was successful on %t!','Your Thorncoat VI fades.','',1,1,'Spells/Priest/Druid/Warden/Thorncoat.lua',2450,'You cast Thorncoat VI on %t.',0,1,0,1,1,1,0,0,0,160145,0,0,0,0,0,1,0,0,0,'Unset',1579494049,1384378113,0,1),
(160152,119122066,0,1,'Razorcoat','An augmentation placed on the warden''s ally, that deals instant piercing damage to any attacker of that ally. This spell does not require any concentration, but can only be maintained on a single ally.',188,15,316,1040683335,3587918036,385,1,1,'Your Thorncoat VII was successful on %t!','Your Thorncoat VII fades.','',1,1,'Spells/Priest/Druid/Warden/Thorncoat.lua',2450,'You cast Thorncoat VII on %t.',0,1,0,1,1,1,0,0,0,160145,0,0,0,0,0,1,0,0,0,'Unset',1579494093,1384378113,0,1),
(160153,912690669,0,1,'Thorncoat VIII','An augmentation placed on the warden''s ally, that deals instant piercing damage to any attacker of that ally. This spell does not require any concentration, but can only be maintained on a single ally.',188,15,316,1040683335,3587918036,435,1,1,'Your Thorncoat VIII was successful on %t!','Your Thorncoat VIII fades.','',1,1,'Spells/Priest/Druid/Warden/Thorncoat.lua',2450,'You cast Thorncoat VIII on %t.',0,1,0,1,1,1,0,0,0,160145,0,0,0,0,0,1,0,0,0,'Unset',1579494153,1384378113,0,1),
(160154,1325608915,0,0,'Tranquility','Removes hostile effects from an ally and provides a heal. That ally is additionally healed for each hostile effect that was removed.',488,65535,316,1040683335,366253016,325,0,1,'Your Tranquility was successful on %t!','Your Tranquility fades.','',1,0,'Spells/Priest/Druid/Warden/Tranquility.lua',2451,'You cast Tranquility on %t.',0,1,0,1,1,0,0,0,0,160154,0,0,0,0,0,0,0,0,0,'Unset',1579667350,1384378113,0,1),
(160155,1059038020,0,0,'Purity','Removes hostile effects from an ally and provides a heal. That ally is additionally healed for each hostile effect that was removed.',488,65535,316,1040683335,366253016,390,0,1,'Your Tranquility II was successful on %t!','Your Tranquility II fades.','',1,0,'Spells/Priest/Druid/Warden/Tranquility.lua',2451,'You cast Tranquility II on %t.',0,1,0,1,1,0,0,0,0,160154,0,0,0,0,0,0,0,0,0,'Unset',1579667390,1384378113,0,1),
(160156,3283360301,0,0,'Tranquility III','Removes hostile effects from an ally and provides a heal. That ally is additionally healed for each hostile effect that was removed.',488,65535,316,1040683335,366253016,440,0,1,'Your Tranquility III was successful on %t!','Your Tranquility III fades.','',1,0,'Spells/Priest/Druid/Warden/Tranquility.lua',0,'You cast Tranquility III on %t.',0,1,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1579667403,1384378113,0,1),
(160157,1589377883,0,0,'Tranquility IV','Removes hostile effects from an ally and provides a heal. That ally is additionally healed for each hostile effect that was removed.',488,65535,316,1040683335,366253016,490,0,1,'Your Tranquility IV was successful on %t!','Your Tranquility IV fades.','',1,0,'Spells/Priest/Druid/Warden/Tranquility.lua',2451,'You cast Tranquility IV on %t.',0,0,0,0,1,0,0,0,0,160154,0,0,0,0,0,0,0,0,0,'Unset',1579667597,1384378113,0,1),
(160158,3034636101,0,0,'Tunare''s Watch','If any group member receives damage that would be fatal, that ally is healed instead and their wisdom is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,314,1040683335,3587918036,260,0,2,'Your Tunare''s Watch was successful on %t!','Your Tunare''s Watch fades.','',1,1,'Spells/Priest/Druid/Warden/TunaresWatch.lua',2452,'You cast Tunare''s Watch on %t.',0,0,0,1,1,0,0,0,0,160158,0,0,0,0,0,0,0,0,0,'Unset',1579666153,1384378113,0,1),
(160159,1123359711,0,0,'Undergrowths','Interrupts and roots the target encounter while decreasing their agility. When the root effect wears off, it slows their movement for a short duration. Every hostile spell or damage received by the target has a chance at breaking the effect. Upgrades to this spell reduce the target''s resistance to the full duration of the effect.',308,13,312,1040683335,3587918036,235,0,2,'Your Undergrowth was successful on %t!','Your Undergrowth fades.','',1,0,'Spells/Priest/Druid/Warden/Undergrowth.lua',2453,'You cast Undergrowth on %t.',0,0,0,1,0,1,2,0,0,160159,0,0,0,0,0,0,0,0,0,'Unset',1579664316,1384378113,0,1),
(160160,3427861097,0,0,'Bracken','Interrupts and roots the target encounter while decreasing their agility. When the root effect wears off, it slows their movement for a short duration. Every hostile spell or damage received by the target has a chance at breaking the effect. Upgrades to this spell reduce the target''s resistance to the full duration of the effect.',308,13,312,1040683335,3587918036,305,0,2,'Your Undergrowth II was successful on %t!','Your Undergrowth II fades.','',1,0,'Spells/Priest/Druid/Warden/Undergrowth.lua',2453,'You cast Undergrowth II on %t.',0,0,0,1,0,1,2,0,0,160159,0,0,0,0,0,0,0,0,0,'Unset',1579664464,1384377827,0,1),
(160161,2316111699,0,0,'Underbrush','Interrupts and roots the target encounter while decreasing their agility. When the root effect wears off, it slows their movement for a short duration. Every hostile spell or damage received by the target has a chance at breaking the effect. Upgrades to this spell reduce the target''s resistance to the full duration of the effect.',308,13,312,1040683335,3587918036,375,0,2,'Your Undergrowth III was successful on %t!','Your Undergrowth III fades.','',1,0,'Spells/Priest/Druid/Warden/Undergrowth.lua',2453,'You cast Undergrowth III on %t.',0,0,0,1,0,1,2,0,0,160159,0,0,0,0,0,0,0,0,0,'Unset',1579664493,1384377827,0,1),
(160162,1761772308,0,0,'Undergrowth IV','Interrupts and roots the target encounter while decreasing their agility. When the root effect wears off, it slows their movement for a short duration. Every hostile spell or damage received by the target has a chance at breaking the effect. Upgrades to this spell reduce the target''s resistance to the full duration of the effect.',308,13,312,1040683335,3587918036,425,0,2,'Your Undergrowth IV was successful on %t!','Your Undergrowth IV fades.','',1,0,'Spells/Priest/Druid/Warden/Undergrowth.lua',2453,'You cast Undergrowth IV on %t.',0,0,0,1,0,1,2,0,0,160159,0,0,0,0,0,0,0,0,0,'Unset',1579664605,1384377827,0,1),
(160163,4094517858,0,0,'Undergrowth V','Interrupts and roots the target encounter while decreasing their agility. When the root effect wears off, it slows their movement for a short duration. Every hostile spell or damage received by the target has a chance at breaking the effect. Upgrades to this spell reduce the target''s resistance to the full duration of the effect.',308,13,312,1040683335,3587918036,475,0,2,'Your Undergrowth V was successful on %t!','Your Undergrowth V fades.','',1,0,'Spells/Priest/Druid/Warden/Undergrowth.lua',2453,'You cast Undergrowth V on %t.',0,0,0,0,0,1,2,0,0,160159,0,0,0,0,0,0,0,0,0,'Unset',1579664649,1384378114,0,1),
(160164,1056579162,0,0,'Sighs','Cures impairments on the warden''s group.',747,16,314,1040683335,366253016,210,0,2,'Your Verdant Whisper was successful on %t!','Your Verdant Whisper fades.','',1,0,'Spells/Priest/Druid/Warden/VerdantWhisper.lua',2454,'You cast Verdant Whisper on %t.',0,0,0,1,1,0,0,0,0,160164,0,0,0,0,0,1,0,0,0,'Unset',1579663484,1384378113,0,1),
(160165,3023801995,0,0,'Verdant Whisper','Cures impairments on the warden''s group.',747,16,314,1040683335,366253016,280,0,2,'Your Verdant Whisper II was successful on %t!','Your Verdant Whisper II fades.','',1,0,'Spells/Priest/Druid/Warden/VerdantWhisper.lua',2454,'You cast Verdant Whisper II on %t.',0,0,0,1,1,0,0,0,0,160164,0,0,0,0,0,1,0,0,0,'Unset',1579663501,1384378113,0,1),
(160166,16740212,0,0,'Verdant Gasp','Cures impairments on the warden''s group.',747,16,314,1040683335,366253016,350,0,2,'Your Verdant Whisper III was successful on %t!','Your Verdant Whisper III fades.','',1,0,'Spells/Priest/Druid/Warden/VerdantWhisper.lua',2454,'You cast Verdant Whisper III on %t.',0,0,0,1,1,0,0,0,0,160164,0,0,0,0,0,1,0,0,0,'Unset',1579663508,1384378113,0,1),
(160167,340378711,0,0,'Verdurous Journey','Teleports the warden and all nearby group members to the nearest designated safe spot in the current adventuring area.',230,65535,314,1040683335,3587918036,195,0,2,'Your Verdurous Journey was successful on %t!','Your Verdurous Journey fades.','',1,0,'Spells/Priest/Druid/Warden/VerdurousJourney.lua',2455,'You cast Verdurous Journey on %t.',0,0,0,0,1,0,0,0,0,160167,0,0,0,0,0,1,0,0,0,'Unset',1579662790,1384378113,0,1),
(160168,1319013589,0,0,'Favor of the Untamed','A group augmentation that places a protective barrier over the warden''s group, that increases elemental resistance and wards elemental sources of damage for a limited duration.',228,13,314,1040683335,3587918036,145,0,2,'Your Ward of the Untamed was successful on %t!','Your Ward of the Untamed fades.','',1,0,'Spells/Priest/Druid/Warden/FavoroftheUntamed.lua',2456,'You cast Ward of the Untamed on %t.',0,0,0,1,1,1,0,0,0,160168,0,0,0,0,0,0,0,0,0,'Unset',1579660552,1384378113,0,1),
(160169,2003960498,0,0,'Praise of the Untamed','A group augmentation that places a protective barrier over the warden''s group, that increases elemental resistance and wards elemental sources of damage for a limited duration.',228,13,314,1040683335,3587918036,215,0,2,'Your Ward of the Untamed II was successful on %t!','Your Ward of the Untamed II fades.','',1,0,'Spells/Priest/Druid/Warden/WardoftheUntamed.lua',2456,'You cast Ward of the Untamed II on %t.',0,0,0,1,1,1,0,0,0,160168,0,0,0,0,0,0,0,0,0,'Unset',1579660582,1384378113,0,1),
(160170,3669604248,0,0,'Exhaltation of the Untamed','A group augmentation that places a protective barrier over the warden''s group, that increases elemental resistance and wards elemental sources of damage for a limited duration.',228,13,314,1040683335,3587918036,285,0,2,'Your Ward of the Untamed III was successful on %t!','Your Ward of the Untamed III fades.','',1,0,'Spells/Priest/Druid/Warden/WardoftheUntamed.lua',2456,'You cast Ward of the Untamed III on %t.',0,0,0,1,1,1,0,0,0,160168,0,0,0,0,0,0,0,0,0,'Unset',1579660599,1384378113,0,1),
(160171,625014438,0,0,'Ward of the Untamed','A group augmentation that places a protective barrier over the warden''s group, that increases elemental resistance and wards elemental sources of damage for a limited duration.',228,13,314,1040683335,3587918036,355,0,2,'Your Ward of the Untamed IV was successful on %t!','Your Ward of the Untamed IV fades.','',1,0,'Spells/Priest/Druid/Warden/WardoftheUntamed.lua',2456,'You cast Ward of the Untamed IV on %t.',0,0,0,1,1,1,0,0,0,160168,0,0,0,0,0,0,0,0,0,'Unset',1579660618,1384378114,0,1),
(160172,4191874790,0,0,'Ward of the Untamed V','A group augmentation that places a protective barrier over the warden''s group, that increases elemental resistance and wards elemental sources of damage for a limited duration.',228,13,314,1040683335,3587918036,405,0,2,'Your Ward of the Untamed V was successful on %t!','Your Ward of the Untamed V fades.','',1,0,'Spells/Priest/Druid/Warden/WardoftheUntamed.lua',2456,'You cast Ward of the Untamed V on %t.',0,0,0,1,1,1,0,0,0,160168,0,0,0,0,0,0,0,0,0,'Unset',1579660637,1384378114,0,1),
(160173,4008872486,0,0,'Ward of the Untamed VI','A group augmentation that places a protective barrier over the warden''s group, that increases elemental resistance and wards elemental sources of damage for a limited duration.',228,13,314,1040683335,3587918036,455,0,2,'Your Ward of the Untamed VI was successful on %t!','Your Ward of the Untamed VI fades.','',1,0,'Spells/Priest/Druid/Warden/WardoftheUntamed.lua',2456,'You cast Ward of the Untamed VI on %t.',0,0,0,1,1,1,0,0,0,160168,0,0,0,0,0,0,0,0,0,'Unset',1579660660,1384377827,0,1),
(160174,676395281,0,1,'Protector of the Forest','The warden takes on the form of a wolf, increasing physical resistance, spell resistance, and an increased focus.  While in this form, the warden also gains the ability to see invisible creatures.',226,65535,317,1040683335,3587918036,100,1,0,'Your Warden of the Forest was successful on %t!','Your Warden of the Forest fades.','',0,1,'Spells/Priest/Druid/Warden/ProtectoroftheForest.lua',2457,'You cast Warden of the Forest on %t.',0,0,0,1,1,0,0,0,0,160174,0,0,0,0,0,0,0,0,0,'Unset',1579582932,1384378113,0,1),
(160175,523319610,0,1,'Warden of the Forest','The warden takes on the form of a wolf, increasing physical resistance, spell resistance, and an increased focus.  While in this form, the warden also gains the ability to see invisible creatures.',226,65535,317,1040683335,3587918036,170,1,0,'Your Warden of the Forest II was successful on %t!','Your Warden of the Forest II fades.','',1,1,'Spells/Priest/Druid/Warden/WardenoftheForest.lua',2457,'You cast Warden of the Forest II on %t.',0,0,0,1,1,1,0,0,0,160174,0,0,0,0,0,1,0,0,0,'Unset',1579583097,1384378113,0,1),
(160176,2513433049,0,1,'Steward of the Forest','The warden takes on the form of a wolf, increasing physical resistance, spell resistance, and an increased focus.  While in this form, the warden also gains the ability to see invisible creatures.',226,65535,317,1040683335,3587918036,240,1,0,'Your Warden of the Forest III was successful on %t!','Your Warden of the Forest III fades.','',1,1,'Spells/Priest/Druid/Warden/WardenoftheForest.lua',2457,'You cast Warden of the Forest III on %t.',0,0,0,1,1,1,0,0,0,160174,0,0,0,0,0,1,0,0,0,'Unset',1384671744,1384378113,0,1),
(160177,847405947,0,1,'Patron of the Forest','The warden takes on the form of a wolf, increasing physical resistance, spell resistance, and an increased focus.  While in this form, the warden also gains the ability to see invisible creatures.',226,65535,317,1040683335,3587918036,310,1,0,'Your Warden of the Forest IV was successful on %t!','Your Warden of the Forest IV fades.','',1,1,'Spells/Priest/Druid/Warden/WardenoftheForest.lua',2457,'You cast Warden of the Forest IV on %t.',0,0,0,1,1,1,0,0,0,160174,0,0,0,0,0,1,0,0,0,'Unset',1579583179,1384378113,0,1),
(160178,1125224559,0,1,'Defender of the Forest','The warden takes on the form of a wolf, increasing physical resistance, spell resistance, and an increased focus.  While in this form, the warden also gains the ability to see invisible creatures.',226,65535,317,1040683335,3587918036,380,1,0,'Your Warden of the Forest V was successful on %t!','Your Warden of the Forest V fades.','',1,1,'Spells/Priest/Druid/Warden/WardenoftheForest.lua',2457,'You cast Warden of the Forest V on %t.',0,0,0,1,1,1,0,0,0,160174,0,0,0,0,0,1,0,0,0,'Unset',1579583192,1384378113,0,1),
(160179,683560808,0,1,'Warden of the Forest VI','The warden takes on the form of a wolf, increasing physical resistance, spell resistance, and an increased focus.  While in this form, the warden also gains the ability to see invisible creatures.',226,65535,317,1040683335,3587918036,430,1,0,'Your Warden of the Forest VI was successful on %t!','Your Warden of the Forest VI fades.','',1,1,'Spells/Priest/Druid/Warden/WardenoftheForest.lua',2457,'You cast Warden of the Forest VI on %t.',0,0,0,1,1,1,0,0,0,160174,0,0,0,0,0,1,0,0,0,'Unset',1579583209,1384377827,0,1),
(160180,3016598972,0,1,'Warden of the Forest VII','The warden takes on the form of a wolf, increasing physical resistance, spell resistance, and an increased focus.  While in this form, the warden also gains the ability to see invisible creatures.',226,65535,317,1040683335,3587918036,480,1,0,'Your Warden of the Forest VII was successful on %t!','Your Warden of the Forest VII fades.','',1,1,'Spells/Priest/Druid/Warden/WardenoftheForest.lua',2457,'You cast Warden of the Forest VII on %t.',0,0,0,0,1,0,0,0,0,160174,0,0,0,0,0,1,0,0,0,'Unset',1579583261,1384378113,0,1),
(160181,1375307897,0,0,'Willow','Roots and interrupts all enemies near the warden and reduces their hate towards the warden. Any hostile actions taken on them have a chance at breaking the root effect.',157,14,313,1040683335,882983852,65,0,1,'Your Willow Wisp was successful on %t!','Your Willow Wisp fades.','',1,0,'Spells/Priest/Druid/Warden/WillowWisp.lua',2458,'You cast Willow Wisp on %t.',0,0,0,1,0,0,2,0,0,160181,0,0,0,0,0,0,0,0,0,'Unset',1579579027,1384377827,0,1),
(160182,3409882361,0,0,'Wisp','Roots and interrupts all enemies near the warden and reduces their hate towards the warden. Any hostile actions taken on them have a chance at breaking the root effect.',157,14,313,1040683335,882983852,135,0,1,'Your Willow Wisp II was successful on %t!','Your Willow Wisp II fades.','',1,0,'Spells/Priest/Druid/Warden/Wisp.lua',2458,'You cast Willow Wisp II on %t.',0,0,0,1,0,1,2,0,0,160181,0,0,0,0,0,0,0,0,0,'Unset',1579579061,1384378113,0,1),
(160183,3717546543,0,0,'Sylph','Roots and interrupts all enemies near the warden and reduces their hate towards the warden. Any hostile actions taken on them have a chance at breaking the root effect.',157,14,313,1040683335,882983852,205,0,1,'Your Willow Wisp III was successful on %t!','Your Willow Wisp III fades.','',1,0,'Spells/Priest/Druid/Warden/WillowWisp.lua',2458,'You cast Willow Wisp III on %t.',0,0,0,1,0,1,2,0,0,160181,0,0,0,0,0,1,0,0,0,'Unset',1579579075,1384378113,0,1),
(160184,3355654441,0,0,'Silver Sylph','Roots and interrupts all enemies near the warden and reduces their hate towards the warden. Any hostile actions taken on them have a chance at breaking the root effect.',157,14,313,1040683335,882983852,275,0,1,'Your Willow Wisp IV was successful on %t!','Your Willow Wisp IV fades.','',1,0,'Spells/Priest/Druid/Warden/WillowWisp.lua',2458,'You cast Willow Wisp IV on %t.',0,0,0,1,0,1,2,0,0,160181,0,0,0,0,0,1,0,0,0,'Unset',1579579098,1384377827,0,1),
(160185,2753579674,0,0,'Ancient Sylph','Roots and interrupts all enemies near the warden and reduces their hate towards the warden. Any hostile actions taken on them have a chance at breaking the root effect.',157,14,313,1040683335,882983852,345,0,1,'Your Willow Wisp V was successful on %t!','Your Willow Wisp V fades.','',1,0,'Spells/Priest/Druid/Warden/WillowWisp.lua',2458,'You cast Willow Wisp V on %t.',0,0,0,1,0,1,2,0,0,160181,0,0,0,0,0,1,0,0,0,'Unset',1579579114,1384378113,0,1),
(160186,1488813609,0,0,'Willow Wisp','Roots and interrupts all enemies near the warden and reduces their hate towards the warden. Any hostile actions taken on them have a chance at breaking the root effect.',157,14,313,1040683335,882983852,395,0,1,'Your Willow Wisp VI was successful on %t!','Your Willow Wisp VI fades.','',1,0,'Spells/Priest/Druid/Warden/WillowWisp.lua',2458,'You cast Willow Wisp VI on %t.',0,0,0,1,0,1,2,0,0,160181,0,0,0,0,0,1,0,0,0,'Unset',1579579130,1384378113,0,1),
(160187,237619935,0,0,'Willow Wisp VII','Roots and interrupts all enemies near the warden and reduces their hate towards the warden. Any hostile actions taken on them have a chance at breaking the root effect.',157,14,313,1040683335,882983852,445,0,1,'Your Willow Wisp VII was successful on %t!','Your Willow Wisp VII fades.','',1,0,'Spells/Priest/Druid/Warden/WillowWisp.lua',2458,'You cast Willow Wisp VII on %t.',0,0,0,1,0,1,2,0,0,160181,0,0,0,0,0,1,0,0,0,'Unset',1579579145,1384378113,0,1),
(160188,2468752297,0,0,'Willow Wisp VIII','Roots and interrupts all enemies near the warden and reduces their hate towards the warden. Any hostile actions taken on them have a chance at breaking the root effect.',157,14,313,1040683335,882983852,495,0,1,'Your Willow Wisp VIII was successful on %t!','Your Willow Wisp VIII fades.','',1,0,'Spells/Priest/Druid/Warden/WillowWisp.lua',2458,'You cast Willow Wisp VIII on %t.',0,0,0,0,0,0,2,0,0,160181,0,0,0,0,0,1,0,0,0,'Unset',1579579160,1384377827,0,1),
(160189,202316295,0,0,'Sylvan Wind','Heals all allies near the warden.',293,16,314,3282420779,366253016,70,0,2,'Your Winds of Healing was successful on %t!','Your Winds of Healing fades.','',1,0,'Spells/Priest/Druid/Warden/WindsofHealing.lua',2459,'You cast Winds of Healing on %t.',0,0,0,1,1,1,0,0,0,160189,0,0,0,0,0,0,0,0,0,'Unset',1579580786,1384378113,0,1),
(160190,2229606980,0,0,'Healing Breeze','Heals all allies near the warden.',293,16,314,1040683335,366253016,140,0,2,'Your Winds of Healing II was successful on %t!','Your Winds of Healing II fades.','',1,0,'Spells/Priest/Druid/Warden/HealingBreeze.lua',2459,'You cast Winds of Healing II on %t.',0,0,0,1,1,1,0,0,0,160189,0,0,0,0,0,0,0,0,0,'Unset',1579580910,1384377827,0,1),
(160191,883308832,0,0,'Gale of Healing','Heals all allies near the warden.',293,16,314,1040683335,366253016,210,0,2,'Your Winds of Healing III was successful on %t!','Your Winds of Healing III fades.','',1,0,'Spells/Priest/Druid/Warden/WindsofHealing.lua',2459,'You cast Winds of Healing III on %t.',0,0,0,1,1,1,0,0,0,160189,0,0,0,0,0,1,0,0,0,'Unset',1579581204,1384378113,0,1),
(160192,3894074020,0,0,'Winds of Healing','Heals all allies near the warden.',293,16,314,1040683335,366253016,280,0,2,'Your Winds of Healing IV was successful on %t!','Your Winds of Healing IV fades.','',1,0,'Spells/Priest/Druid/Warden/WindsofHealing.lua',2459,'You cast Winds of Healing IV on %t.',0,0,0,1,1,1,0,0,0,160189,0,0,0,0,0,1,0,0,0,'Unset',1579581291,1384378113,0,1),
(160193,1923356663,0,0,'Wave of Healing','Heals all allies near the warden.',293,16,314,1040683335,366253016,350,0,2,'Your Winds of Healing V was successful on %t!','Your Winds of Healing V fades.','',1,0,'Spells/Priest/Druid/Warden/WindsofHealing.lua',2459,'You cast Winds of Healing V on %t.',0,0,0,1,1,1,0,0,0,160189,0,0,0,0,0,1,0,0,0,'Unset',1579581387,1384378114,0,1),
(160194,1923404865,0,0,'Tide of Healing','Heals all allies near the warden.',293,16,314,1040683335,366253016,400,0,2,'Your Winds of Healing VI was successful on %t!','Your Winds of Healing VI fades.','',1,0,'Spells/Priest/Druid/Warden/WindsofHealing.lua',2459,'You cast Winds of Healing VI on %t.',0,0,0,1,1,1,0,0,0,160189,0,0,0,0,0,1,0,0,0,'Unset',1579581473,1384378113,0,1),
(160195,112162374,0,0,'Winds of Healing VII','Heals all allies near the warden.',293,16,314,1040683335,366253016,450,0,2,'Your Winds of Healing VII was successful on %t!','Your Winds of Healing VII fades.','',1,0,'Spells/Priest/Druid/Warden/WindsofHealing.lua',2459,'You cast Winds of Healing VII on %t.',0,0,0,1,1,1,0,0,0,160189,0,0,0,0,0,1,0,0,0,'Unset',1384671750,1384378113,0,1),
(160196,3180056797,0,0,'Winds of Healing VIII','Heals all allies near the warden.',293,16,314,1040683335,366253016,500,0,2,'Your Winds of Healing VIII was successful on %t!','Your Winds of Healing VIII fades.','',1,0,'Spells/Priest/Druid/Warden/WindsofHealing.lua',2459,'You cast Winds of Healing VIII on %t.',0,0,0,0,1,1,0,0,0,160189,0,0,0,0,0,1,0,0,0,'Unset',1579582105,1384378113,0,1),
(160197,3846091518,0,0,'Winds of Frost','Deals instant cold damage to an enemy and nearby encounter members.  This ability also reduces the target encounter''s offensive melee skills.',256,16,312,1040683335,613995491,160,0,2,'Your Winds of Permafrost was successful on %t!','Your Winds of Permafrost fades.','',1,0,'Spells/Priest/Druid/Warden/WindsofPermafrost.lua',2460,'You cast Winds of Permafrost on %t.',0,0,0,1,0,1,4,0,0,160197,0,0,0,0,0,1,0,0,0,'DD',1579660850,1384378113,0,1),
(160198,3879136350,0,0,'Winds of Winter','Deals instant cold damage to an enemy and nearby encounter members.  This ability also reduces the target encounter''s offensive melee skills.',256,16,312,1040683335,613995491,230,0,2,'Your Winds of Permafrost II was successful on %t!','Your Winds of Permafrost II fades.','',1,0,'Spells/Priest/Druid/Warden/WindsofPermafrost.lua',2460,'You cast Winds of Permafrost II on %t.',0,0,0,1,0,1,4,0,0,160197,0,0,0,0,0,1,0,0,0,'DD',1579661196,1384377827,0,1),
(160199,2737364503,0,0,'Winds of Arctic Cold','Deals instant cold damage to an enemy and nearby encounter members.  This ability also reduces the target encounter''s offensive melee skills.',256,16,312,1040683335,613995491,300,0,2,'Your Winds of Permafrost III was successful on %t!','Your Winds of Permafrost III fades.','',1,0,'Spells/Priest/Druid/Warden/WindsofPermafrost.lua',2460,'You cast Winds of Permafrost III on %t.',0,0,0,1,0,1,4,0,0,160197,0,0,0,0,0,1,0,0,0,'DD',1579661299,1384378113,0,1),
(160200,1501521962,0,0,'Winds of Permafrost','Deals instant cold damage to an enemy and nearby encounter members.  This ability also reduces the target encounter''s offensive melee skills.',256,16,312,1040683335,613995491,370,0,2,'Your Winds of Permafrost IV was successful on %t!','Your Winds of Permafrost IV fades.','',1,0,'Spells/Priest/Druid/Warden/WindsofPermafrost.lua',2460,'You cast Winds of Permafrost IV on %t.',0,0,0,1,0,1,0,0,0,160197,0,0,0,0,0,1,0,0,0,'DD',1579661362,1384378113,0,1),
(160201,2246406250,0,0,'Winds of Permafrost V','Deals instant cold damage to an enemy and nearby encounter members.  This ability also reduces the target encounter''s offensive melee skills.',256,16,312,1040683335,613995491,420,0,2,'Your Winds of Permafrost V was successful on %t!','Your Winds of Permafrost V fades.','',1,0,'Spells/Priest/Druid/Warden/WindsofPermafrost.lua',2460,'You cast Winds of Permafrost V on %t.',0,0,0,1,0,1,4,0,0,160197,0,0,0,0,0,1,0,0,0,'DD',1579661470,1384377827,0,1),
(160202,2462913706,0,0,'Winds of Permafrost VI','Deals instant cold damage to an enemy and nearby encounter members.  This ability also reduces the target encounter''s offensive melee skills.',256,16,312,1040683335,613995491,470,0,2,'Your Winds of Permafrost VI was successful on %t!','Your Winds of Permafrost VI fades.','',1,0,'Spells/Priest/Druid/Warden/WindsofPermafrost.lua',2460,'You cast Winds of Permafrost VI on %t.',0,0,0,1,0,1,4,0,0,160197,0,0,0,0,0,1,0,0,0,'DD',1579661548,1384378114,0,1),
(160203,905003031,0,0,'Winter''s Bite','Deals instant cold damage to an enemy.',507,14,315,1040683335,0,225,0,1,'Your Winter''s Bite was successful on %t!','Your Winter''s Bite fades.','',1,0,'Spells/Priest/Druid/Warden/WintersBite.lua',2418,'You cast Winter''s Bite on %t.',0,0,0,0,0,0,0,0,0,160203,0,0,0,0,0,1,0,0,0,'DD',1578854898,1384367306,0,1),
(160204,2864319277,0,0,'Winter''s Sting','Deals instant cold damage to an enemy.',507,14,315,1040683335,0,295,0,1,'Your Winter''s Sting was successful on %t!','Your Winter''s Sting fades.','',1,0,'Spells/Priest/Druid/Warden/WintersSting.lua',2418,'You cast Winter''s Sting on %t.',0,0,0,0,0,0,0,0,0,160204,0,0,0,0,0,1,0,0,0,'DD',1579667276,1384378113,0,1),
(170000,3674454556,0,0,'Quills','Cures impairments on the fury''s group.',747,15,314,1624274802,3587918036,210,0,2,'Your Abolishment was successful on %t!','Your Abolishment fades.','',1,0,'Spells/Priest/Druid/Fury/Abolishment.lua',2463,'You cast Abolishment on %t.',0,0,0,1,1,1,0,0,0,170000,0,0,0,0,0,1,0,0,0,'Cure',1579380797,1384377826,0,1),
(170001,3439780227,0,0,'Lethal Quills','Cures impairments on the fury''s group.',747,15,314,1624274802,3587918036,280,0,2,'Your Abolishment II was successful on %t!','Your Abolishment II fades.','',1,0,'Spells/Priest/Druid/Fury/Abolishment.lua',2463,'You cast Abolishment II on %t.',0,0,0,1,1,1,0,0,0,170000,0,0,0,0,0,1,0,0,0,'Cure',1579380831,1384378114,0,1),
(170002,381761513,0,0,'Abolishment','Cures impairments on the fury''s group.',747,15,314,1624274802,3587918036,350,0,2,'Your Abolishment III was successful on %t!','Your Abolishment III fades.','',1,0,'Spells/Priest/Druid/Fury/Abolishment.lua',2463,'You cast Abolishment III on %t.',0,0,0,1,1,1,0,0,0,170000,0,0,0,0,0,1,0,0,0,'Cure',1579380870,1384378113,0,1),
(170003,940623222,0,1,'Natural Mask','A group augmentation that increases the physical mitigation to the fury''s non-fighter allies and the health of the fury''s fighter allies.',146,65535,314,1624274802,3587918036,25,1,2,'Your Armor of Nature was successful on %t!','Your Armor of Nature fades.','',1,1,'Spells/Priest/Druid/Fury/ArmorofNature.lua',2464,'You cast Armor of Nature on %t.',0,0,0,1,1,1,0,0,0,170003,0,0,0,0,0,0,0,0,0,'Unset',1579372012,1384378114,0,1),
(170004,2527748565,0,1,'Feral Mask','A group augmentation that increases the physical mitigation to the fury''s non-fighter allies and the health of the fury''s fighter allies.',146,65535,314,1624274802,3587918036,95,1,2,'Your Armor of Nature II was successful on %t!','Your Armor of Nature II fades.','',1,1,'Spells/Priest/Druid/Fury/ArmorofNature.lua',2464,'You cast Armor of Nature II on %t.',0,0,0,1,1,1,0,0,0,170003,0,0,0,0,0,0,0,0,0,'Unset',1579372030,1384377827,0,1),
(170005,1249120950,0,1,'Savage Mask','A group augmentation that increases the physical mitigation to the fury''s non-fighter allies and the health of the fury''s fighter allies.',146,65535,314,1624274802,3587918036,165,1,2,'Your Armor of Nature III was successful on %t!','Your Armor of Nature III fades.','',1,1,'Spells/Priest/Druid/Fury/ArmorofNature.lua',2464,'You cast Armor of Nature III on %t.',0,0,0,1,1,1,0,0,0,170003,0,0,0,0,0,1,0,0,0,'Unset',1579372052,1384378113,0,1),
(170006,2805836132,0,1,'Ferine Mask','A group augmentation that increases the physical mitigation to the fury''s non-fighter allies and the health of the fury''s fighter allies.',146,65535,314,1624274802,3587918036,235,1,2,'Your Armor of Nature IV was successful on %t!','Your Armor of Nature IV fades.','',1,1,'Spells/Priest/Druid/Fury/ArmorofNature.lua',2464,'You cast Armor of Nature IV on %t.',0,0,0,1,1,1,0,0,0,170003,0,0,0,0,0,1,0,0,0,'Unset',1579372071,1384378114,0,1),
(170007,1571486729,0,1,'Carnal Mask','A group augmentation that increases the physical mitigation to the fury''s non-fighter allies and the health of the fury''s fighter allies.',146,65535,314,1624274802,3587918036,305,1,2,'Your Armor of Nature V was successful on %t!','Your Armor of Nature V fades.','',1,1,'Spells/Priest/Druid/Fury/ArmorofNature.lua',2464,'You cast Armor of Nature V on %t.',0,0,0,1,1,1,0,0,0,170003,0,0,0,0,0,1,0,0,0,'Unset',1579372086,1384378114,0,1),
(170008,2097607314,0,1,'Armor Of Nature','A group augmentation that increases the physical mitigation to the fury''s non-fighter allies and the health of the fury''s fighter allies.',146,65535,314,1624274802,3587918036,370,1,2,'Your Armor of Nature VI was successful on %t!','Your Armor of Nature VI fades.','',1,1,'Spells/Priest/Druid/Fury/ArmorofNature.lua',2464,'You cast Armor of Nature VI on %t.',0,0,0,1,1,1,0,0,0,170003,0,0,0,0,0,1,0,0,0,'Unset',1579372106,1384377827,0,1),
(170009,2339985146,0,1,'Armor of Nature VII','A group augmentation that increases the physical mitigation to the fury''s non-fighter allies and the health of the fury''s fighter allies.',146,65535,314,1624274802,3587918036,420,1,2,'Your Armor of Nature VII was successful on %t!','Your Armor of Nature VII fades.','',1,1,'Spells/Priest/Druid/Fury/ArmorofNature.lua',2464,'You cast Armor of Nature VII on %t.',0,0,0,1,1,1,0,0,0,170003,0,0,0,0,0,1,0,0,0,'Unset',1579372188,1384378113,0,1),
(170010,1680597019,0,1,'Armor of Nature VIII','A group augmentation that increases the physical mitigation to the fury''s non-fighter allies and the health of the fury''s fighter allies.',146,65535,314,1624274802,3587918036,470,1,2,'Your Armor of Nature VIII was successful on %t!','Your Armor of Nature VIII fades.','',1,1,'Spells/Priest/Druid/Fury/ArmorofNature.lua',2464,'You cast Armor of Nature VIII on %t.',0,0,0,1,1,1,0,0,0,170003,0,0,0,0,0,1,0,0,0,'Unset',1579372240,1384377827,0,1),
(170011,3910705858,0,0,'Winds of Renewal','Replenishes health over time for a short duration to the druid''s group.',189,16,314,3282420779,366253016,70,0,2,'Your Autumn''s Kiss was successful on %t!','Your Autumn''s Kiss fades.','',1,0,'Spells/Priest/Druid/Fury/AutumnsKiss.lua',2465,'You cast Autumn''s Kiss on %t.',0,0,0,1,1,1,0,0,0,170011,0,0,0,0,0,0,0,0,0,'HoT-Ward',1579375433,1384378113,0,1),
(170012,2544409968,0,0,'Ram''s Growth','Replenishes health over time for a short duration to the druid''s group.',189,16,314,1624274802,366253016,140,0,2,'Your Autumn''s Kiss II was successful on %t!','Your Autumn''s Kiss II fades.','',1,0,'Spells/Priest/Druid/Fury/RamsGrowth.lua',2465,'You cast Autumn''s Kiss II on %t.',0,0,0,1,1,1,0,0,0,170011,0,0,0,0,0,0,0,0,0,'HoT-Ward',1579375454,1384378114,0,1),
(170013,1875004102,0,0,'Owl''s Restoration','Replenishes health over time for a short duration to the druid''s group.',189,16,314,1624274802,366253016,210,0,2,'Your Autumn''s Kiss III was successful on %t!','Your Autumn''s Kiss III fades.','',1,0,'Spells/Priest/Druid/Fury/AutumnsKiss.lua',2465,'You cast Autumn''s Kiss III on %t.',0,0,0,1,1,1,0,0,0,170011,0,0,0,0,0,1,0,0,0,'HoT-Ward',1579375515,1384378113,0,1),
(170014,1969980714,0,0,'Owl''s Grace','Replenishes health over time for a short duration to the druid''s group.',189,16,314,1624274802,366253016,280,0,2,'Your Autumn''s Kiss IV was successful on %t!','Your Autumn''s Kiss IV fades.','',1,0,'Spells/Priest/Druid/Fury/AutumnsKiss.lua',2465,'You cast Autumn''s Kiss IV on %t.',0,0,0,1,1,1,0,0,0,170011,0,0,0,0,0,1,0,0,0,'HoT-Ward',1579375585,1384377827,0,1),
(170015,2596393296,0,0,'Owl''s Reparation','Replenishes health over time for a short duration to the druid''s group.',189,16,314,1624274802,366253016,350,0,2,'Your Autumn''s Kiss V was successful on %t!','Your Autumn''s Kiss V fades.','',1,0,'Spells/Priest/Druid/Fury/AutumnsKiss.lua',2465,'You cast Autumn''s Kiss V on %t.',0,0,0,1,1,1,0,0,0,170011,0,0,0,0,0,1,0,0,0,'HoT-Ward',1579375638,1384377827,0,1),
(170016,2081949291,0,0,'Autumn''s Kiss','Replenishes health over time for a short duration to the druid''s group.',189,16,314,1624274802,366253016,395,0,2,'Your Autumn''s Kiss VI was successful on %t!','Your Autumn''s Kiss VI fades.','',1,0,'Spells/Priest/Druid/Fury/AutumnsKiss.lua',2465,'You cast Autumn''s Kiss VI on %t.',0,0,0,1,1,1,0,0,0,170011,0,0,0,0,0,1,0,0,0,'HoT-Ward',1579375708,1384378111,0,1),
(170017,680576502,0,0,'Autumn''s Kiss VII','Replenishes health over time for a short duration to the druid''s group.',189,16,314,1624274802,366253016,445,0,2,'Your Autumn''s Kiss VII was successful on %t!','Your Autumn''s Kiss VII fades.','',1,0,'Spells/Priest/Druid/Fury/AutumnsKiss.lua',2465,'You cast Autumn''s Kiss VII on %t.',0,0,0,1,1,1,0,0,0,170011,0,0,0,0,0,1,0,0,0,'HoT-Ward',1579375838,1384378113,0,1),
(170018,2439716382,0,0,'Autumn''s Kiss VIII','Replenishes health over time for a short duration to the druid''s group.',189,16,314,1624274802,366253016,495,0,2,'Your Autumn''s Kiss VIII was successful on %t!','Your Autumn''s Kiss VIII fades.','',1,0,'Spells/Priest/Druid/Fury/AutumnsKiss.lua',2465,'You cast Autumn''s Kiss VIII on %t.',0,0,0,0,1,1,0,0,0,170011,0,0,0,0,0,1,0,0,0,'HoT-Ward',1579375920,1384378114,0,1),
(170019,3225276758,0,0,'Back into the Fray','Replenishes target ally''s health. If target ally is under 50% health, the amount replenished is doubled.',180,13,316,1624274802,366253016,260,0,1,'Your Back into the Fray was successful on %t!','Your Back into the Fray fades.','',1,0,'Spells/Priest/Druid/Fury/BackintotheFray.lua',2466,'You cast Back into the Fray on %t.',0,1,0,1,1,0,0,0,0,170019,0,0,0,0,0,1,0,0,0,'Unset',1579382358,1384378111,0,1),
(170020,598732465,0,0,'Return to the Pack','Replenishes target ally''s health. If target ally is under 50% health, the amount replenished is doubled.',180,13,316,1624274802,366253016,360,0,1,'Your Back into the Fray II was successful on %t!','Your Back into the Fray II fades.','',1,0,'Spells/Priest/Druid/Fury/BackintotheFray.lua',2466,'You cast Back into the Fray II on %t.',0,1,0,1,1,0,0,0,0,170019,0,0,0,0,0,1,0,0,0,'Unset',1579382543,1384378114,0,1),
(170021,2720147849,0,0,'Back into the Fray III','Replenishes target ally''s health. If target ally is under 50% health, the amount replenished is doubled.',180,13,316,1624274802,366253016,410,0,1,'Your Back into the Fray III was successful on %t!','Your Back into the Fray III fades.','',1,0,'Spells/Priest/Druid/Fury/BackintotheFray.lua',2466,'You cast Back into the Fray III on %t.',0,1,0,1,1,0,0,0,0,170019,0,0,0,0,0,1,0,0,0,'Unset',1579382621,1384377827,0,1),
(170022,1039706647,0,0,'Back into the Fray IV','Replenishes target ally''s health. If target ally is under 50% health, the amount replenished is doubled.',180,13,316,1624274802,366253016,460,0,1,'Your Back into the Fray IV was successful on %t!','Your Back into the Fray IV fades.','',1,0,'Spells/Priest/Druid/Fury/BackintotheFray.lua',2466,'You cast Back into the Fray IV on %t.',0,1,0,1,1,0,0,0,0,170019,0,0,0,0,0,1,0,0,0,'Unset',1579382658,1384378113,0,1),
(170023,308959343,0,0,'Ball Lightning','Launches a ball of lightning from your hands that moves around you, pulsing lightning in an area around itself as it travels. Ball Lightning inflicts damage to all nearby enemies in its destructive path. It can be canceled early if needed.',168,14,313,1624274802,613995491,400,0,0,'Your Ball Lightning was successful on %t!','Your Ball Lightning fades.','',1,0,'Spells/Priest/Druid/Fury/BallLightning.lua',2467,'You cast Ball Lightning on %t.',0,0,0,1,1,0,0,0,1,170023,0,0,0,0,0,1,0,0,0,'Unset',1579383356,1384377827,0,1),
(170024,2513212204,0,0,'Ball Lightning II','Launches a ball of lightning from your hands that moves around you, pulsing lightning in an area around itself as it travels. Ball Lightning inflicts damage to all nearby enemies in its destructive path. It can be canceled early if needed.',168,14,313,1624274802,613995491,450,0,0,'Your Ball Lightning II was successful on %t!','Your Ball Lightning II fades.','',1,0,'Spells/Priest/Druid/Fury/BallLightning.lua',2467,'You cast Ball Lightning II on %t.',0,0,0,1,1,0,0,0,1,170023,0,0,0,0,0,1,0,0,0,'Unset',1579383392,1384378113,0,1),
(170025,455647504,0,0,'Ball Lightning III','Launches a ball of lightning from your hands that moves around you, pulsing lightning in an area around itself as it travels. Ball Lightning inflicts damage to all nearby enemies in its destructive path. It can be canceled early if needed.',168,14,313,1624274802,613995491,500,0,0,'Your Ball Lightning III was successful on %t!','Your Ball Lightning III fades.','',1,0,'Spells/Priest/Druid/Fury/BallLightning.lua',2467,'You cast Ball Lightning III on %t.',0,0,0,0,1,0,0,0,1,170023,0,0,0,0,0,1,0,0,0,'Unset',1579383406,1384378114,0,1),
(170026,4184482796,0,0,'Brambles','Snares and stifles all enemies near the fury and reduces their hate towards the fury. Any hostile actions taken on them have a chance at breaking this effect.',157,14,313,1624274802,882983852,65,0,1,'Your Brambles was successful on %t!','Your Brambles fades.','',1,0,'Spells/Priest/Druid/Fury/Brambles.lua',2468,'You cast Brambles on %t.',0,0,0,1,0,1,0,2,0,170026,0,0,0,0,0,0,0,0,0,'Unset',1579375003,1384378113,0,1),
(170027,554779222,0,0,'Confounding Brambles','Snares and stifles all enemies near the fury and reduces their hate towards the fury. Any hostile actions taken on them have a chance at breaking this effect.',157,14,313,1624274802,882983852,135,0,1,'Your Brambles II was successful on %t!','Your Brambles II fades.','',1,0,'Spells/Priest/Druid/Fury/ConfoundingBrambles.lua',2468,'You cast Brambles II on %t.',0,0,0,1,0,1,0,2,0,170026,0,0,0,0,0,0,0,0,0,'Unset',1579375027,1384377827,0,1),
(170028,3907166148,0,0,'Seizing Brambles','Snares and stifles all enemies near the fury and reduces their hate towards the fury. Any hostile actions taken on them have a chance at breaking this effect.',157,14,313,1624274802,882983852,205,0,1,'Your Brambles III was successful on %t!','Your Brambles III fades.','',1,0,'Spells/Priest/Druid/Fury/Brambles.lua',2468,'You cast Brambles III on %t.',0,0,0,1,0,1,0,2,0,170026,0,0,0,0,0,1,0,0,0,'Unset',1579375040,1384378113,0,1),
(170029,962956395,0,0,'Seizing Thorns','Snares and stifles all enemies near the fury and reduces their hate towards the fury. Any hostile actions taken on them have a chance at breaking this effect.',157,14,313,1624274802,882983852,275,0,1,'Your Brambles IV was successful on %t!','Your Brambles IV fades.','',1,0,'Spells/Priest/Druid/Fury/Brambles.lua',2468,'You cast Brambles IV on %t.',0,0,0,1,0,1,0,2,0,170026,0,0,0,0,0,1,0,0,0,'Unset',1579375049,1384378114,0,1),
(170030,3896580333,0,0,'Grasping Thorns','Snares and stifles all enemies near the fury and reduces their hate towards the fury. Any hostile actions taken on them have a chance at breaking this effect.',157,14,313,1624274802,882983852,345,0,1,'Your Brambles V was successful on %t!','Your Brambles V fades.','',1,0,'Spells/Priest/Druid/Fury/Brambles.lua',0,'You cast Brambles V on %t.',0,0,0,1,0,1,0,2,0,170026,0,0,0,0,0,1,0,0,0,'Unset',1579375059,1384377827,0,1),
(170031,262660967,0,0,'Incapacitating Thorns','Snares and stifles all enemies near the fury and reduces their hate towards the fury. Any hostile actions taken on them have a chance at breaking this effect.',157,14,313,1624274802,882983852,395,0,1,'Your Brambles VI was successful on %t!','Your Brambles VI fades.','',1,0,'Spells/Priest/Druid/Fury/Brambles.lua',2468,'You cast Brambles VI on %t.',0,0,0,1,0,1,0,2,0,170026,0,0,0,0,0,1,0,0,0,'Unset',1579375066,1384378113,0,1),
(170032,2500169120,0,0,'Brambles VII','Snares and stifles all enemies near the fury and reduces their hate towards the fury. Any hostile actions taken on them have a chance at breaking this effect.',157,14,313,1624274802,882983852,445,0,1,'Your Brambles VII was successful on %t!','Your Brambles VII fades.','',1,0,'Spells/Priest/Druid/Fury/Brambles.lua',2468,'You cast Brambles VII on %t.',0,0,0,1,0,1,0,2,0,170026,0,0,0,0,0,1,0,0,0,'Unset',1579375292,1384378113,0,1),
(170033,1418416736,0,0,'Brambles VIII','Snares and stifles all enemies near the fury and reduces their hate towards the fury. Any hostile actions taken on them have a chance at breaking this effect.',157,14,313,1624274802,882983852,495,0,1,'Your Brambles VIII was successful on %t!','Your Brambles VIII fades.','',1,0,'Spells/Priest/Druid/Fury/Brambles.lua',2468,'You cast Brambles VIII on %t.',0,0,0,0,0,1,0,2,0,170026,0,0,0,0,0,1,0,0,0,'Unset',1579375306,1384378114,0,1),
(170034,1058015191,0,0,'Call of Storms','Calls upon the power of thunderstorms to inflict damage to enemies within the area of effect.',1,65535,313,1624274802,613995491,325,0,0,'Your Call of Storms was successful on %t!','Your Call of Storms fades.','',1,0,'Spells/Priest/Druid/Fury/CallofStorms.lua',2469,'You cast Call of Storms on %t.',0,0,0,1,0,0,0,0,0,170034,0,0,0,0,0,1,0,0,0,'DD',1579383021,1384378114,0,1),
(170035,2466162217,0,0,'Call of Karana','Calls upon the power of thunderstorms to inflict damage to enemies within the area of effect.',1,65535,313,1624274802,613995491,390,0,0,'Your Call of Storms II was successful on %t!','Your Call of Storms II fades.','',1,0,'Spells/Priest/Druid/Fury/CallofStorms.lua',2469,'You cast Call of Storms II on %t.',0,0,0,1,0,0,0,0,0,170034,0,0,0,0,0,1,0,0,0,'DD',1579383168,1384378111,0,1),
(170036,2004794648,0,0,'Call of Storms III','Calls upon the power of thunderstorms to inflict damage to enemies within the area of effect.',1,65535,313,1624274802,613995491,440,0,0,'Your Call of Storms III was successful on %t!','Your Call of Storms III fades.','',1,0,'Spells/Priest/Druid/Fury/CallofStorms.lua',2469,'You cast Call of Storms III on %t.',0,0,0,1,0,0,0,0,0,170034,0,0,0,0,0,1,0,0,0,'DD',1579383187,1384378113,0,1),
(170037,4040717915,0,0,'Call of Storms IV','Calls upon the power of thunderstorms to inflict damage to enemies within the area of effect.',1,65535,313,1624274802,613995491,490,0,0,'Your Call of Storms IV was successful on %t!','Your Call of Storms IV fades.','',1,0,'Spells/Priest/Druid/Fury/CallofStorms.lua',2469,'You cast Call of Storms IV on %t.',0,0,0,0,0,0,0,0,0,170034,0,0,0,0,0,1,0,0,0,'DD',1579383274,1384378112,0,1),
(170038,1982820676,0,0,'Call of the Hunt','Resurrects all nearby fallen allies. This spell can be used in combat and cannot be interrupted.',156,15,314,1624274802,366253016,180,0,6,'Your Call of the Hunt was successful on %t!','Your Call of the Hunt fades.','',0,0,'Spells/Priest/Druid/Fury/CalloftheHunt.lua',2470,'You cast Call of the Hunt on %t.',0,1,1,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1589644964,1384378113,0,1),
(170039,543027982,0,0,'Stinging Insects','Deals divine damage over time to the target and lowers their defense.',369,14,315,1624274802,613995491,5,0,1,'Your Death Swarm was successful on %t!','Your Death Swarm fades.','',1,0,'Spells/Priest/Druid/Fury/DeathSwarm.lua',2471,'You cast Death Swarm on %t.',0,0,0,1,0,0,2,0,0,110014,0,0,0,0,0,0,0,0,0,'DoT',1579332355,1384377827,0,1),
(170040,248678236,0,0,'Stinging Swarm','Deals divine damage over time to the target and lowers their defense.',369,14,315,3282420779,613995491,45,0,1,'Your Death Swarm II was successful on %t!','Your Death Swarm II fades.','',1,0,'Spells/Priest/Druid/Fury/DeathSwarm.lua',2471,'You cast Death Swarm II on %t.',0,0,0,1,0,0,2,0,0,170039,0,0,0,0,0,0,0,0,0,'DoT',1579332377,1384378113,0,1),
(170041,3252301068,0,0,'Provoking Swarm','Deals divine damage over time to the target and lowers their defense.',369,14,315,1624274802,613995491,85,0,1,'Your Death Swarm III was successful on %t!','Your Death Swarm III fades.','',1,0,'Spells/Priest/Druid/Fury/DeathSwarm.lua',2471,'You cast Death Swarm III on %t.',0,0,0,1,0,0,2,0,0,170039,0,0,0,0,0,0,0,0,0,'DoT',1579332399,1384378111,0,1),
(170042,2246296107,0,0,'Deadly Swarm','Deals divine damage over time to the target and lowers their defense.',369,14,315,1624274802,613995491,155,0,1,'Your Death Swarm IV was successful on %t!','Your Death Swarm IV fades.','',1,0,'Spells/Priest/Druid/Fury/DeathSwarm.lua',2471,'You cast Death Swarm IV on %t.',0,0,0,1,0,0,2,0,0,170039,0,0,0,0,0,1,0,0,0,'DoT',1579332491,1384378113,0,1),
(170043,847844293,0,0,'Death Swarm IX','Deals divine damage over time to the target and lowers their defense.',369,14,315,1624274802,613995491,460,0,1,'Your Death Swarm IX was successful on %t!','Your Death Swarm IX fades.','',1,0,'Spells/Priest/Druid/Fury/DeathSwarm.lua',2471,'You cast Death Swarm IX on %t.',0,0,0,1,0,0,2,0,0,170039,0,0,0,0,0,1,0,0,0,'DoT',1579333507,1384378113,0,1),
(170044,361990832,0,0,'Dooming Swarm','Deals divine damage over time to the target and lowers their defense.',369,14,315,1624274802,613995491,225,0,1,'Your Death Swarm V was successful on %t!','Your Death Swarm V fades.','',1,0,'Spells/Priest/Druid/Fury/DeathSwarm.lua',2471,'You cast Death Swarm V on %t.',0,0,0,1,0,0,2,0,0,170039,0,0,0,0,0,1,0,0,0,'DoT',1579332556,1384378113,0,1),
(170045,3136193222,0,0,'Killing Swarm','Deals divine damage over time to the target and lowers their defense.',369,14,315,1624274802,613995491,295,0,1,'Your Death Swarm VI was successful on %t!','Your Death Swarm VI fades.','',1,0,'Spells/Priest/Druid/Fury/DeathSwarm.lua',2471,'You cast Death Swarm VI on %t.',0,0,0,1,0,0,2,0,0,170039,0,0,0,0,0,1,0,0,0,'DoT',1579332669,1384377827,0,1),
(170046,4178724421,0,0,'Death Swarm','Deals divine damage over time to the target and lowers their defense.',369,14,315,1624274802,613995491,360,0,1,'Your Death Swarm VII was successful on %t!','Your Death Swarm VII fades.','',1,0,'Spells/Priest/Druid/Fury/DeathSwarm.lua',2471,'You cast Death Swarm VII on %t.',0,0,0,1,0,0,2,0,0,170039,0,0,0,0,0,1,0,0,0,'DoT',1579333278,1384378113,0,1),
(170047,2944856755,0,0,'Death Swarm VIII','Deals divine damage over time to the target and lowers their defense.',369,14,315,1624274802,613995491,410,0,1,'Your Death Swarm VIII was successful on %t!','Your Death Swarm VIII fades.','',1,0,'Spells/Priest/Druid/Fury/DeathSwarm.lua',2471,'You cast Death Swarm VIII on %t.',0,0,0,1,0,0,2,0,0,170039,0,0,0,0,0,1,0,0,0,'DoT',1579333461,1384377827,0,1),
(170048,4230928423,0,0,'Fae Fire','A group augmentation that grants the fury''s group additional heat damage with every successful attack for up to 3 attacks per ally.',235,15,314,1624274802,3587918036,175,0,2,'Your Fae Fire was successful on %t!','Your Fae Fire fades.','',1,0,'Spells/Priest/Druid/Fury/FaeFire.lua',2472,'You cast Fae Fire on %t.',0,0,0,1,1,1,0,0,0,170048,0,0,0,0,0,1,0,0,0,'Unset',1579380140,1384378113,0,1),
(170049,2564714984,0,0,'Fae Flames','A group augmentation that grants the fury''s group additional heat damage with every successful attack for up to 3 attacks per ally.',235,15,314,1624274802,3587918036,245,0,2,'Your Fae Fire II was successful on %t!','Your Fae Fire II fades.','',1,0,'Spells/Priest/Druid/Fury/FaeFire.lua',2472,'You cast Fae Fire II on %t.',0,0,0,1,1,1,0,0,0,170048,0,0,0,0,0,1,0,0,0,'Unset',1579380173,1384378111,0,1),
(170050,1408751742,0,0,'Fae Pyre','A group augmentation that grants the fury''s group additional heat damage with every successful attack for up to 3 attacks per ally.',235,15,314,1624274802,3587918036,315,0,2,'Your Fae Fire III was successful on %t!','Your Fae Fire III fades.','',1,0,'Spells/Priest/Druid/Fury/FaeFire.lua',2472,'You cast Fae Fire III on %t.',0,0,0,1,1,1,0,0,0,170048,0,0,0,0,0,1,0,0,0,'Unset',1579380206,1384377827,0,1),
(170051,855501920,0,0,'Fae Immolation','A group augmentation that grants the fury''s group additional heat damage with every successful attack for up to 3 attacks per ally.',235,15,314,1624274802,3587918036,375,0,2,'Your Fae Fire IV was successful on %t!','Your Fae Fire IV fades.','',1,0,'Spells/Priest/Druid/Fury/FaeFire.lua',2472,'You cast Fae Fire IV on %t.',0,0,0,1,1,1,0,0,0,170048,0,0,0,0,0,1,0,0,0,'Unset',1579380229,1384378111,0,1),
(170052,1707812876,0,0,'Fae Fire V','A group augmentation that grants the fury''s group additional heat damage with every successful attack for up to 3 attacks per ally.',235,15,314,1624274802,3587918036,425,0,2,'Your Fae Fire V was successful on %t!','Your Fae Fire V fades.','',1,0,'Spells/Priest/Druid/Fury/FaeFire.lua',2472,'You cast Fae Fire V on %t.',0,0,0,1,1,1,0,0,0,170048,0,0,0,0,0,1,0,0,0,'Unset',1579380255,1384378114,0,1),
(170053,2756048844,0,0,'Fae Fire VI','A group augmentation that grants the fury''s group additional heat damage with every successful attack for up to 3 attacks per ally.',235,15,314,1624274802,3587918036,475,0,2,'Your Fae Fire VI was successful on %t!','Your Fae Fire VI fades.','',1,0,'Spells/Priest/Druid/Fury/FaeFire.lua',2472,'You cast Fae Fire VI on %t.',0,0,0,0,1,1,0,0,0,170048,0,0,0,0,0,1,0,0,0,'Unset',1579380268,1384377827,0,1),
(170054,3442480681,0,0,'Vicious Feast','An impairment placed on the target that heals the fury''s group over a period of time, increases the group''s attributes, increases the group''s base avoidance, and increases the group''s spell resistance when that target takes a certain amount of damage.\n \n\"One''s anger must be fed, just as one feeds their stomach. If one starves either of the two, one will die.\" - General Urduuk',471,15,315,1624274802,3587918036,145,0,1,'Your Feast was successful on %t!','Your Feast fades.','',1,0,'Spells/Priest/Druid/Fury/ViciousFeast.lua',2473,'You cast Feast on %t.',0,0,0,1,0,1,2,0,0,170054,0,0,0,0,0,0,0,0,0,'Unset',1579378459,1384378114,0,1),
(170055,1514535702,0,0,'Savage Feast','An impairment placed on the target that heals the fury''s group over a period of time, increases the group''s attributes, increases the group''s base avoidance, and increases the group''s spell resistance when that target takes a certain amount of damage.\n \n\"One''s anger must be fed, just as one feeds their stomach. If one starves either of the two, one will die.\" - General Urduuk',471,15,315,1624274802,3587918036,215,0,1,'Your Feast II was successful on %t!','Your Feast II fades.','',1,0,'Spells/Priest/Druid/Fury/Feast.lua',2473,'You cast Feast II on %t.',0,0,0,1,0,1,2,0,0,170054,0,0,0,0,0,0,0,0,0,'Unset',1579378521,1384378111,0,1),
(170056,674395386,0,0,'Bestial Feast','An impairment placed on the target that heals the fury''s group over a period of time, increases the group''s attributes, increases the group''s base avoidance, and increases the group''s spell resistance when that target takes a certain amount of damage.\n \n\"One''s anger must be fed, just as one feeds their stomach. If one starves either of the two, one will die.\" - General Urduuk',471,15,315,1624274802,3587918036,285,0,1,'Your Feast III was successful on %t!','Your Feast III fades.','',1,0,'Spells/Priest/Druid/Fury/Feast.lua',2473,'You cast Feast III on %t.',0,0,0,1,0,1,2,0,0,170054,0,0,0,0,0,0,0,0,0,'Unset',1579378599,1384378114,0,1),
(170057,1360317777,0,0,'Feast','An impairment placed on the target that heals the fury''s group over a period of time, increases the group''s attributes, increases the group''s base avoidance, and increases the group''s spell resistance when that target takes a certain amount of damage.\n \n\"One''s anger must be fed, just as one feeds their stomach. If one starves either of the two, one will die.\" - General Urduuk',471,15,315,1624274802,3587918036,355,0,1,'Your Feast IV was successful on %t!','Your Feast IV fades.','',1,0,'Spells/Priest/Druid/Fury/Feast.lua',2473,'You cast Feast IV on %t.',0,0,0,1,0,1,2,0,0,170054,0,0,0,0,0,0,0,0,0,'Unset',1579378652,1384377827,0,1),
(170058,2285166589,0,0,'Feast V','An impairment placed on the target that heals the fury''s group over a period of time, increases the group''s attributes, increases the group''s base avoidance, and increases the group''s spell resistance when that target takes a certain amount of damage.\n \n\"One''s anger must be fed, just as one feeds their stomach. If one starves either of the two, one will die.\" - General Urduuk',471,15,315,1624274802,3587918036,405,0,2,'Your Feast V was successful on %t!','Your Feast V fades.','',1,0,'Spells/Priest/Druid/Fury/Feast.lua',2473,'You cast Feast V on %t.',0,0,0,1,0,1,2,0,0,170054,0,0,0,0,0,0,0,0,0,'Unset',1579378831,1384377827,0,1),
(170059,1151262563,0,0,'Feast VI','An impairment placed on the target that heals the fury''s group over a period of time, increases the group''s attributes, increases the group''s base avoidance, and increases the group''s spell resistance when that target takes a certain amount of damage.\n \n\"One''s anger must be fed, just as one feeds their stomach. If one starves either of the two, one will die.\" - General Urduuk',471,15,315,1624274802,3587918036,455,0,2,'Your Feast VI was successful on %t!','Your Feast VI fades.','',1,0,'Spells/Priest/Druid/Fury/Feast.lua',2473,'You cast Feast VI on %t.',0,0,0,1,0,1,2,0,0,170054,0,0,0,0,0,0,0,0,0,'Unset',1579379003,1384378113,0,1),
(170060,3257963020,0,0,'Feral Pulse','Replenishes health over time for a short duration to the fury''s group. This spell does not require any power and does not have a casting time.',187,16,314,1624274802,366253016,240,0,2,'Your Feral Pulse was successful on %t!','Your Feral Pulse fades.','',1,1,'Spells/Priest/Druid/Fury/FeralPulse.lua',2474,'You cast Feral Pulse on %t.',0,0,0,0,1,1,0,0,0,170060,0,0,0,0,0,1,0,0,0,'Unset',1579381788,1384378156,0,1),
(170061,4058495140,0,0,'Feral Tenacity','If target ally receives damage that would be fatal, that ally is healed over time and their agility is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,1624274802,3587918036,205,0,1,'Your Feral Tenacity was successful on %t!','Your Feral Tenacity fades.','',1,1,'Spells/Priest/Druid/Fury/FeralTenacity.lua',2475,'You cast Feral Tenacity on %t.',0,0,0,1,1,0,0,0,0,170061,0,0,0,0,0,1,0,0,0,'Unset',1579380401,1384378114,0,1),
(170062,115125876,0,0,'Feral Vehemence','If target ally receives damage that would be fatal, that ally is healed over time and their agility is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,1624274802,3587918036,275,0,1,'Your Feral Tenacity II was successful on %t!','Your Feral Tenacity II fades.','',1,1,'Spells/Priest/Druid/Fury/FeralTenacity.lua',2475,'You cast Feral Tenacity II on %t.',0,0,0,1,1,0,0,0,0,170061,0,0,0,0,0,1,0,0,0,'Unset',1579380452,1384378113,0,1),
(170063,1675846636,0,0,'Feral Potence','If target ally receives damage that would be fatal, that ally is healed over time and their agility is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,1624274802,3587918036,345,0,1,'Your Feral Tenacity III was successful on %t!','Your Feral Tenacity III fades.','',1,1,'Spells/Priest/Druid/Fury/FeralTenacity.lua',2475,'You cast Feral Tenacity III on %t.',0,0,0,1,1,0,0,0,0,170061,0,0,0,0,0,1,0,0,0,'Unset',1579380488,1384378113,0,1),
(170064,4240163028,0,0,'Feral Courage','If target ally receives damage that would be fatal, that ally is healed over time and their agility is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,1624274802,3587918036,400,0,1,'Your Feral Tenacity IV was successful on %t!','Your Feral Tenacity IV fades.','',1,1,'Spells/Priest/Druid/Fury/FeralTenacity.lua',2475,'You cast Feral Tenacity IV on %t.',0,0,0,1,1,0,0,0,0,170061,0,0,0,0,0,1,0,0,0,'Unset',1579380544,1384377827,0,1),
(170065,1076629809,0,0,'Feral Tenacity V','If target ally receives damage that would be fatal, that ally is healed over time and their agility is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,1624274802,3587918036,450,0,1,'Your Feral Tenacity V was successful on %t!','Your Feral Tenacity V fades.','',1,1,'Spells/Priest/Druid/Fury/FeralTenacity.lua',2475,'You cast Feral Tenacity V on %t.',0,0,0,1,1,0,0,0,0,170061,0,0,0,0,0,1,0,0,0,'Unset',1579383525,1384378113,0,1),
(170066,3469222669,0,0,'Feral Tenacity VI','If target ally receives damage that would be fatal, that ally is healed over time and their agility is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,1624274802,3587918036,500,0,1,'Your Feral Tenacity VI was successful on %t!','Your Feral Tenacity VI fades.','',1,1,'Spells/Priest/Druid/Fury/FeralTenacity.lua',2475,'You cast Feral Tenacity VI on %t.',0,0,0,0,1,0,0,0,0,170061,0,0,0,0,0,1,0,0,0,'Unset',1579380719,1384378113,0,1),
(170067,1593870690,0,1,'Ferocity of the Eel','Augmentation which grants the fury''s group the ability to clearly see and breathe under water.',239,65535,314,1624274802,3587918036,115,1,2,'Your Ferocity of the Eel was successful on %t!','Your Ferocity of the Eel fades.','',1,1,'Spells/Priest/Druid/Fury/FerocityoftheEelClassic.lua',2476,'You cast Ferocity of the Eel on %t.',0,0,0,0,1,1,0,0,0,170067,0,0,0,0,0,0,0,0,0,'Unset',1579376881,1384378111,0,1),
(170068,2169778560,0,0,'Fierce Rousing','Resurrects a fallen ally. This spell can be used in combat and cannot be interrupted.',156,15,316,1624274802,366253016,110,0,6,'Your Fierce Rousing was successful on %t!','Your Fierce Rousing fades.','',0,0,'Spells/Priest/Druid/Fury/FierceRousingClassic.lua',2477,'You cast Fierce Rousing on %t.',0,1,1,0,1,0,0,0,0,170068,0,0,0,0,0,0,0,0,0,'Rez',1579376851,1384378114,0,1),
(170069,2728559987,0,1,'Wild Spirit','A group augmentation that increases the intelligence, wisdom, and spell resistance of the fury''s group.',241,13,314,3282420779,3587918036,90,1,2,'Your Forest Spirit was successful on %t!','Your Forest Spirit fades.','',1,1,'Spells/Priest/Druid/Fury/ForestSpirit.lua',2478,'You cast Forest Spirit on %t.',0,0,0,1,1,1,0,0,0,170069,0,0,0,0,0,0,0,0,0,'Unset',1579376424,1384378111,0,1),
(170070,975889573,0,1,'Untamed Spirit','A group augmentation that increases the intelligence, wisdom, and spell resistance of the fury''s group.',241,13,314,1624274802,3587918036,160,1,2,'Your Forest Spirit II was successful on %t!','Your Forest Spirit II fades.','',1,1,'Spells/Priest/Druid/Fury/ForestSpirit.lua',2478,'You cast Forest Spirit II on %t.',0,0,0,1,1,1,0,0,0,170069,0,0,0,0,0,1,0,0,0,'Unset',1579376439,1384378113,0,1),
(170071,96699844,0,1,'Ferine Spirit','A group augmentation that increases the intelligence, wisdom, and spell resistance of the fury''s group.',241,13,314,1624274802,3587918036,230,1,2,'Your Forest Spirit III was successful on %t!','Your Forest Spirit III fades.','',1,1,'Spells/Priest/Druid/Fury/ForestSpirit.lua',2478,'You cast Forest Spirit III on %t.',0,0,0,1,1,1,0,0,0,170069,0,0,0,0,0,1,0,0,0,'Unset',1579376461,1384377826,0,1),
(170072,1673599422,0,1,'Primal Spirit','A group augmentation that increases the intelligence, wisdom, and spell resistance of the fury''s group.',241,13,314,1624274802,3587918036,300,1,2,'Your Forest Spirit IV was successful on %t!','Your Forest Spirit IV fades.','',1,1,'Spells/Priest/Druid/Fury/ForestSpirit.lua',2478,'You cast Forest Spirit IV on %t.',0,0,0,1,1,1,0,0,0,170069,0,0,0,0,0,1,0,0,0,'Unset',1579376478,1384378114,0,1),
(170073,3924374609,0,1,'Forest Spirit','A group augmentation that increases the intelligence, wisdom, and spell resistance of the fury''s group.',241,13,314,1624274802,3587918036,365,1,2,'Your Forest Spirit V was successful on %t!','Your Forest Spirit V fades.','',1,1,'Spells/Priest/Druid/Fury/ForestSpirit.lua',2478,'You cast Forest Spirit V on %t.',0,0,0,1,1,1,0,0,0,170069,0,0,0,0,0,1,0,0,0,'Unset',1579376490,1384378114,0,1),
(170074,1728271211,0,1,'Forest Spirit VI','A group augmentation that increases the intelligence, wisdom, and spell resistance of the fury''s group.',241,13,314,1624274802,3587918036,415,1,2,'Your Forest Spirit VI was successful on %t!','Your Forest Spirit VI fades.','',1,1,'Spells/Priest/Druid/Fury/ForestSpirit.lua',2478,'You cast Forest Spirit VI on %t.',0,0,0,1,1,1,0,0,0,170069,0,0,0,0,0,1,0,0,0,'Unset',1579376502,1384377827,0,1),
(170075,3379282682,0,1,'Forest Spirit VII','A group augmentation that increases the intelligence, wisdom, and spell resistance of the fury''s group.',241,13,314,1624274802,3587918036,465,1,2,'Your Forest Spirit VII was successful on %t!','Your Forest Spirit VII fades.','',1,1,'Spells/Priest/Druid/Fury/ForestSpirit.lua',2478,'You cast Forest Spirit VII on %t.',0,0,0,0,1,1,0,0,0,170069,0,0,0,0,0,1,0,0,0,'Unset',1579376514,1384378112,0,1),
(170076,2381404160,0,0,'Hibernation','Replenishes the group''s health after a short period of time has passed.',155,13,314,1624274802,366253016,290,0,2,'Your Hibernation was successful on %t!','Your Hibernation fades.','',1,0,'Spells/Priest/Druid/Fury/Hibernation.lua',2479,'You cast Hibernation on %t.',0,0,0,1,1,1,0,0,0,170076,0,0,0,0,0,1,0,0,0,'Unset',1579382847,1384377826,0,1),
(170077,3776054788,0,0,'Hibernate','Replenishes the group''s health after a short period of time has passed.',155,13,314,1624274802,366253016,380,0,2,'Your Hibernation II was successful on %t!','Your Hibernation II fades.','',1,0,'Spells/Priest/Druid/Fury/Hibernation.lua',2479,'You cast Hibernation II on %t.',0,0,0,1,1,1,0,0,0,170076,0,0,0,0,0,1,0,0,0,'Unset',1579382858,1384377827,0,1),
(170078,2599352198,0,0,'Hibernation III','Replenishes the group''s health after a short period of time has passed.',155,13,314,1624274802,366253016,430,0,2,'Your Hibernation III was successful on %t!','Your Hibernation III fades.','',1,0,'Spells/Priest/Druid/Fury/Hibernation.lua',2479,'You cast Hibernation III on %t.',0,0,0,1,1,1,0,0,0,170076,0,0,0,0,0,1,0,0,0,'Unset',1578543802,1384378114,0,1),
(170079,132191984,0,0,'Hibernation IV','Replenishes the group''s health after a short period of time has passed.',155,13,314,1624274802,366253016,480,0,2,'Your Hibernation IV was successful on %t!','Your Hibernation IV fades.','',1,0,'Spells/Priest/Druid/Fury/Hibernation.lua',2479,'You cast Hibernation IV on %t.',0,0,0,0,1,1,0,0,0,170076,0,0,0,0,0,1,0,0,0,'Unset',1578543916,1384378111,0,1),
(170080,2781062370,0,0,'Intimidation','Impairs the target''s agility and wisdom.',241,16,315,1624274802,3587918036,35,0,1,'Your Intimidation was successful on %t!','Your Intimidation fades.','',1,0,'Spells/Priest/Druid/Fury/Intimidation.lua',2480,'You cast Intimidation on %t.',0,0,0,1,0,0,2,0,0,170080,0,0,0,0,0,0,0,0,0,'Unset',1579372319,1384378113,0,1),
(170081,4123409629,0,0,'Feral Intimidation','Impairs the target''s agility and wisdom.',241,16,315,1624274802,3587918036,105,0,1,'Your Intimidation II was successful on %t!','Your Intimidation II fades.','',1,0,'Spells/Priest/Druid/Fury/FeralIntimidation.lua',2480,'You cast Intimidation II on %t.',0,0,0,1,0,0,2,0,0,170080,0,0,0,0,0,0,0,0,0,'Unset',1579372390,1384377827,0,1),
(170082,4109523862,0,0,'Brutal Intimidation','Impairs the target''s agility and wisdom.',241,16,315,1624274802,3587918036,175,0,1,'Your Intimidation III was successful on %t!','Your Intimidation III fades.','',1,0,'Spells/Priest/Druid/Fury/Intimidation.lua',2480,'You cast Intimidation III on %t.',0,0,0,1,0,0,2,0,0,170080,0,0,0,0,0,1,0,0,0,'Unset',1579372496,1384378113,0,1),
(170083,741891085,0,0,'Beastly Intimidation','Impairs the target''s agility and wisdom.',241,16,315,1624274802,3587918036,245,0,1,'Your Intimidation IV was successful on %t!','Your Intimidation IV fades.','',1,0,'Spells/Priest/Druid/Fury/Intimidation.lua',2480,'You cast Intimidation IV on %t.',0,0,0,1,0,0,2,0,0,170080,0,0,0,0,0,1,0,0,0,'Unset',1579372624,1384378113,0,1),
(170084,182983506,0,0,'Barbarous Intimidation','Impairs the target''s agility and wisdom.',241,16,315,1624274802,3587918036,320,0,1,'Your Intimidation V was successful on %t!','Your Intimidation V fades.','',1,0,'Spells/Priest/Druid/Fury/Intimidation.lua',2480,'You cast Intimidation V on %t.',0,0,0,1,0,0,2,0,0,170080,0,0,0,0,0,1,0,0,0,'Unset',1579372955,1384378114,0,1),
(170085,528435613,0,0,'Inferiority','Impairs the target''s agility and wisdom.',241,16,315,1624274802,3587918036,380,0,1,'Your Intimidation VI was successful on %t!','Your Intimidation VI fades.','',1,0,'Spells/Priest/Druid/Fury/Intimidation.lua',2480,'You cast Intimidation VI on %t.',0,0,0,1,0,0,2,0,0,170080,0,0,0,0,0,1,0,0,0,'Unset',1579373143,1384378111,0,1),
(170086,4148529427,0,0,'Intimidation VII','Impairs the target''s agility and wisdom.',241,16,315,1624274802,3587918036,430,0,1,'Your Intimidation VII was successful on %t!','Your Intimidation VII fades.','',1,0,'Spells/Priest/Druid/Fury/Intimidation.lua',2480,'You cast Intimidation VII on %t.',0,0,0,1,0,0,2,0,0,170080,0,0,0,0,0,1,0,0,0,'Unset',1579373265,1384377830,0,1),
(170087,1321095931,0,0,'Intimidation VIII','Impairs the target''s agility and wisdom.',241,16,315,1624274802,3587918036,480,0,1,'Your Intimidation VIII was successful on %t!','Your Intimidation VIII fades.','',1,0,'Spells/Priest/Druid/Fury/Intimidation.lua',2480,'You cast Intimidation VIII on %t.',0,0,0,0,0,0,2,0,0,170080,0,0,0,0,0,1,0,0,0,'Unset',1579373311,1384377827,0,1),
(170088,188238821,0,0,'Root','Roots the fury''s target in place, preventing them from movement. Every hostile spell or damage received by the target has a chance at breaking the effect.',308,16,315,1624274802,882983852,35,0,1,'Your Karana''s Hold was successful on %t!','Your Karana''s Hold fades.','',1,0,'Spells/Priest/Druid/Fury/KaranasHold.lua',2481,'You cast Karana''s Hold on %t.',0,0,0,1,0,0,2,0,0,170088,0,0,0,0,0,0,0,0,0,'Unset',1579373442,1384377827,0,1),
(170089,1828867650,0,0,'Earthen Roots','Roots the fury''s target in place, preventing them from movement. Every hostile spell or damage received by the target has a chance at breaking the effect.',308,16,315,1624274802,882983852,105,0,1,'Your Karana''s Hold II was successful on %t!','Your Karana''s Hold II fades.','',1,0,'Spells/Priest/Druid/Fury/KaranasHold.lua',2481,'You cast Karana''s Hold II on %t.',0,0,0,1,0,0,2,0,0,170088,0,0,0,0,0,0,0,0,0,'Unset',1579373492,1384378114,0,1),
(170090,1301373079,0,0,'Entrapping Roots','Roots the fury''s target in place, preventing them from movement. Every hostile spell or damage received by the target has a chance at breaking the effect.',308,16,315,1624274802,882983852,175,0,1,'Your Karana''s Hold III was successful on %t!','Your Karana''s Hold III fades.','',1,0,'Spells/Priest/Druid/Fury/KaranasHold.lua',2481,'You cast Karana''s Hold III on %t.',0,0,0,1,0,0,2,0,0,170088,0,0,0,0,0,1,0,0,0,'Unset',1579373581,1384378113,0,1),
(170091,270611963,0,0,'Engulfing Roots','Roots the fury''s target in place, preventing them from movement. Every hostile spell or damage received by the target has a chance at breaking the effect.',308,16,315,1624274802,882983852,245,0,1,'Your Karana''s Hold IV was successful on %t!','Your Karana''s Hold IV fades.','',1,0,'Spells/Priest/Druid/Fury/KaranasHold.lua',2481,'You cast Karana''s Hold IV on %t.',0,0,0,1,0,0,2,0,0,170088,0,0,0,0,0,1,0,0,0,'Unset',1579373655,1384378111,0,1),
(170092,3834000250,0,0,'Elddars Grasp','Roots the fury''s target in place, preventing them from movement. Every hostile spell or damage received by the target has a chance at breaking the effect.',308,16,315,1624274802,882983852,320,0,1,'Your Karana''s Hold V was successful on %t!','Your Karana''s Hold V fades.','',1,0,'Spells/Priest/Druid/Fury/KaranasHold.lua',2481,'You cast Karana''s Hold V on %t.',0,0,0,1,0,0,2,0,0,170088,0,0,0,0,0,1,0,0,0,'Unset',1579373789,1384378114,0,1),
(170093,47227264,0,0,'Karanas Hold','Roots the fury''s target in place, preventing them from movement. Every hostile spell or damage received by the target has a chance at breaking the effect.',308,16,315,1624274802,882983852,380,0,1,'Your Karana''s Hold VI was successful on %t!','Your Karana''s Hold VI fades.','',1,0,'Spells/Priest/Druid/Fury/KaranasHold.lua',2481,'You cast Karana''s Hold VI on %t.',0,0,0,1,0,0,2,0,0,170088,0,0,0,0,0,1,0,0,0,'Unset',1579373867,1384378111,0,1),
(170094,1448632861,0,0,'Karana''s Hold VII','Roots the fury''s target in place, preventing them from movement. Every hostile spell or damage received by the target has a chance at breaking the effect.',308,16,315,1624274802,882983852,430,0,1,'Your Karana''s Hold VII was successful on %t!','Your Karana''s Hold VII fades.','',1,0,'Spells/Priest/Druid/Fury/KaranasHold.lua',2481,'You cast Karana''s Hold VII on %t.',0,0,0,1,0,0,2,0,0,170088,0,0,0,0,0,1,0,0,0,'Unset',1579373972,1384378113,0,1),
(170095,2250876335,0,1,'Minor Lucid','An augmentation that increases the intelligence and stamina of an ally.',211,16,316,1624274802,3587918036,20,1,1,'Your Lucidity was successful on %t!','Your Lucidity fades.','',1,1,'Spells/Priest/Druid/Fury/Lucidity.lua',2482,'You cast Lucidity on %t.',0,0,0,1,1,0,0,0,0,170095,0,0,0,0,0,0,0,0,0,'Unset',1579371670,1384378114,0,1),
(170096,3865807799,0,1,'Lucid','An augmentation that increases the intelligence and stamina of an ally.',211,16,316,1624274802,3587918036,80,1,1,'Your Lucidity II was successful on %t!','Your Lucidity II fades.','',1,1,'Spells/Priest/Druid/Fury/Lucidity.lua',2482,'You cast Lucidity II on %t.',0,0,0,1,1,0,0,0,0,170095,0,0,0,0,0,0,0,0,0,'Unset',1579371685,1384377827,0,1),
(170097,533018687,0,1,'Verve','An augmentation that increases the intelligence and stamina of an ally.',211,16,316,1624274802,3587918036,150,1,1,'Your Lucidity III was successful on %t!','Your Lucidity III fades.','',1,1,'Spells/Priest/Druid/Fury/Verve.lua',2482,'You cast Lucidity III on %t.',0,0,0,1,1,0,0,0,0,170095,0,0,0,0,0,0,0,0,0,'Unset',1579371718,1384378113,0,1),
(170098,604960661,0,1,'Vim','An augmentation that increases the intelligence and stamina of an ally.',211,16,316,1624274802,3587918036,220,1,1,'Your Lucidity IV was successful on %t!','Your Lucidity IV fades.','',1,1,'Spells/Priest/Druid/Fury/Lucidity.lua',2482,'You cast Lucidity IV on %t.',0,0,0,1,1,0,0,0,0,170095,0,0,0,0,0,1,0,0,0,'Unset',1579371792,1384378113,0,1),
(170099,1107677782,0,1,'Ferine Vim','An augmentation that increases the intelligence and stamina of an ally.',211,16,316,1624274802,3587918036,290,1,1,'Your Lucidity V was successful on %t!','Your Lucidity V fades.','',1,1,'Spells/Priest/Druid/Fury/Lucidity.lua',2482,'You cast Lucidity V on %t.',0,0,0,1,1,0,0,0,0,170095,0,0,0,0,0,1,0,0,0,'Unset',1579371823,1384378114,0,1),
(170100,114622175,0,1,'Lucidity','An augmentation that increases the intelligence and stamina of an ally.',211,16,316,1624274802,3587918036,360,1,1,'Your Lucidity VI was successful on %t!','Your Lucidity VI fades.','',1,1,'Spells/Priest/Druid/Fury/Lucidity.lua',2482,'You cast Lucidity VI on %t.',0,0,0,1,1,0,0,0,0,170095,0,0,0,0,0,1,0,0,0,'Unset',1579371868,1384378114,0,1),
(170101,2502691353,0,1,'Lucidity VII','An augmentation that increases the intelligence and stamina of an ally.',211,16,316,1624274802,3587918036,410,1,1,'Your Lucidity VII was successful on %t!','Your Lucidity VII fades.','',1,1,'Spells/Priest/Druid/Fury/Lucidity.lua',2482,'You cast Lucidity VII on %t.',0,0,0,1,1,0,0,0,0,170095,0,0,0,0,0,1,0,0,0,'Unset',1579371912,1384378113,0,1),
(170102,1419957721,0,1,'Lucidity VIII','An augmentation that increases the intelligence and stamina of an ally.',211,16,316,1624274802,3587918036,460,1,1,'Your Lucidity VIII was successful on %t!','Your Lucidity VIII fades.','',1,1,'Spells/Priest/Druid/Fury/Lucidity.lua',2482,'You cast Lucidity VIII on %t.',0,0,0,1,1,0,0,0,0,170095,0,0,0,0,0,1,0,0,0,'Unset',1579371940,1384377827,0,1),
(170103,2156106203,0,0,'Swarms','Interrupts target encounter and reduces their casting and aggression skills.',369,16,312,1624274802,3587918036,235,0,1,'Your Maddening Swarm was successful on %t!','Your Maddening Swarm fades.','',1,0,'Spells/Priest/Druid/Fury/MaddeningSwarm.lua',2483,'You cast Maddening Swarm on %t.',0,0,0,1,0,1,2,0,0,170103,0,0,0,0,0,1,0,0,0,'Unset',1579381065,1384378111,0,1),
(170104,638794644,0,0,'Maddening Swarm','Interrupts target encounter and reduces their casting and aggression skills.',369,16,312,1624274802,3587918036,305,0,1,'Your Maddening Swarm II was successful on %t!','Your Maddening Swarm II fades.','',1,0,'Spells/Priest/Druid/Fury/MaddeningSwarm.lua',2483,'You cast Maddening Swarm II on %t.',0,0,0,1,0,1,2,0,0,170103,0,0,0,0,0,1,0,0,0,'Unset',1579381198,1384377827,0,1),
(170105,431688610,0,0,'Distracting Swarm','Interrupts target encounter and reduces their casting and aggression skills.',369,16,312,1624274802,3587918036,375,0,1,'Your Maddening Swarm III was successful on %t!','Your Maddening Swarm III fades.','',1,0,'Spells/Priest/Druid/Fury/MaddeningSwarm.lua',2483,'You cast Maddening Swarm III on %t.',0,0,0,1,0,1,2,0,0,170103,0,0,0,0,0,1,0,0,0,'Unset',1579381250,1384377827,0,1),
(170106,1278611154,0,0,'Maddening Swarm IV','Interrupts target encounter and reduces their casting and aggression skills.',369,16,312,1624274802,3587918036,425,0,1,'Your Maddening Swarm IV was successful on %t!','Your Maddening Swarm IV fades.','',1,0,'Spells/Priest/Druid/Fury/MaddeningSwarm.lua',2483,'You cast Maddening Swarm IV on %t.',0,0,0,1,0,1,2,0,0,170103,0,0,0,0,0,1,0,0,0,'Unset',1579381436,1384377830,0,1),
(170107,2741286963,0,0,'Maddening Swarm V','Interrupts target encounter and reduces their casting and aggression skills.',369,16,312,1624274802,3587918036,475,0,1,'Your Maddening Swarm V was successful on %t!','Your Maddening Swarm V fades.','',1,0,'Spells/Priest/Druid/Fury/MaddeningSwarm.lua',2483,'You cast Maddening Swarm V on %t.',0,0,0,0,0,1,2,0,0,170103,0,0,0,0,0,1,0,0,0,'Unset',1579381618,1384378111,0,1),
(170108,3357038740,0,1,'Pride of the Hunt','A group augmentation that increases the elemental resistance and stamina of the fury''s group.',203,65535,314,1624274802,3587918036,80,1,2,'Your Master of the Hunt was successful on %t!','Your Master of the Hunt fades.','',1,1,'Spells/Priest/Druid/Fury/MasteroftheHunt.lua',2484,'You cast Master of the Hunt on %t.',0,0,0,1,1,1,0,0,0,170108,0,0,0,0,0,0,0,0,0,'Unset',1579376212,1384377827,0,1),
(170109,1819358521,0,1,'Mark of the Hunt','A group augmentation that increases the elemental resistance and stamina of the fury''s group.',203,65535,314,1624274802,3587918036,150,1,2,'Your Master of the Hunt II was successful on %t!','Your Master of the Hunt II fades.','',1,1,'Spells/Priest/Druid/Fury/MarkoftheHunt.lua',2484,'You cast Master of the Hunt II on %t.',0,0,0,1,1,1,0,0,0,170108,0,0,0,0,0,0,0,0,0,'Unset',1579376238,1384378113,0,1),
(170110,388985158,0,1,'Ferocity of the Hunt','A group augmentation that increases the elemental resistance and stamina of the fury''s group.',203,65535,314,1624274802,3587918036,220,1,2,'Your Master of the Hunt III was successful on %t!','Your Master of the Hunt III fades.','',1,1,'Spells/Priest/Druid/Fury/MasteroftheHunt.lua',2484,'You cast Master of the Hunt III on %t.',0,0,0,1,1,1,0,0,0,170108,0,0,0,0,0,1,0,0,0,'Unset',1579376251,1384378114,0,1),
(170111,2290833251,0,1,'Spirit of the Hunt','A group augmentation that increases the elemental resistance and stamina of the fury''s group.',203,65535,314,1624274802,3587918036,290,1,2,'Your Master of the Hunt IV was successful on %t!','Your Master of the Hunt IV fades.','',1,1,'Spells/Priest/Druid/Fury/MasteroftheHunt.lua',2484,'You cast Master of the Hunt IV on %t.',0,0,0,1,1,1,0,0,0,170108,0,0,0,0,0,1,0,0,0,'Unset',1579376265,1384378114,0,1),
(170112,643691583,0,1,'Master of the Hunt','A group augmentation that increases the elemental resistance and stamina of the fury''s group.',203,65535,314,1624274802,3587918036,360,1,2,'Your Master of the Hunt V was successful on %t!','Your Master of the Hunt V fades.','',1,1,'Spells/Priest/Druid/Fury/MasteroftheHunt.lua',2484,'You cast Master of the Hunt V on %t.',0,0,0,1,1,1,0,0,0,170108,0,0,0,0,0,1,0,0,0,'Unset',1579376278,1384378114,0,1),
(170113,1783134993,0,1,'Master of the Hunt VI','A group augmentation that increases the elemental resistance and stamina of the fury''s group.',203,65535,314,1624274802,3587918036,410,1,2,'Your Master of the Hunt VI was successful on %t!','Your Master of the Hunt VI fades.','',1,1,'Spells/Priest/Druid/Fury/MasteroftheHunt.lua',2484,'You cast Master of the Hunt VI on %t.',0,0,0,1,1,1,0,0,0,170108,0,0,0,0,0,1,0,0,0,'Unset',1579376326,1384378113,0,1),
(170114,4120049807,0,1,'Master of the Hunt VII','A group augmentation that increases the elemental resistance and stamina of the fury''s group.',203,65535,314,1624274802,3587918036,460,1,2,'Your Master of the Hunt VII was successful on %t!','Your Master of the Hunt VII fades.','',1,1,'Spells/Priest/Druid/Fury/MasteroftheHunt.lua',2484,'You cast Master of the Hunt VII on %t.',0,0,0,1,1,1,0,0,0,170108,0,0,0,0,0,1,0,0,0,'Unset',1579376336,1384378111,0,1),
(170115,1978430617,0,0,'Minor Elixir','Replenishes a large amount of target ally''s health.',468,12,316,1624274802,366253016,15,0,1,'Your Nature''s Elixir was successful on %t!','Your Nature''s Elixir fades.','',1,0,'Spells/Priest/Druid/Fury/NaturesElixir.lua',2485,'You cast Nature''s Elixir on %t.',0,1,0,1,1,0,0,0,0,170115,0,0,0,0,0,0,0,0,0,'Unset',1579369420,1384378114,0,1),
(170116,2693769062,0,0,'Elixir','Replenishes a large amount of target ally''s health.',468,12,316,1624274802,366253016,50,0,1,'Your Nature''s Elixir II was successful on %t!','Your Nature''s Elixir II fades.','',1,0,'Spells/Priest/Druid/Fury/NaturesElixir.lua',2485,'You cast Nature''s Elixir II on %t.',0,1,0,1,1,0,0,0,0,170115,0,0,0,0,0,0,0,0,0,'Unset',1579369442,1384377827,0,1),
(170117,880694377,0,0,'Greater Elixir','Replenishes a large amount of target ally''s health.',468,12,316,1624274802,366253016,90,0,1,'Your Nature''s Elixir III was successful on %t!','Your Nature''s Elixir III fades.','',1,0,'Spells/Priest/Druid/Fury/NaturesElixir.lua',2485,'You cast Nature''s Elixir III on %t.',0,1,0,1,1,0,0,0,0,170115,0,0,0,0,0,0,0,0,0,'Unset',1579369464,1384378111,0,1),
(170118,1302573832,0,0,'Wildling Elixir','Replenishes a large amount of target ally''s health.',468,12,316,1624274802,366253016,160,0,1,'Your Nature''s Elixir IV was successful on %t!','Your Nature''s Elixir IV fades.','',1,0,'Spells/Priest/Druid/Fury/NaturesElixir.lua',2485,'You cast Nature''s Elixir IV on %t.',0,1,0,1,1,0,0,0,0,170115,0,0,0,0,0,1,0,0,0,'Unset',1579369497,1384378113,0,1),
(170119,1728602909,0,0,'Nature''s Elixir IX','Replenishes a large amount of target ally''s health.',468,12,316,1624274802,366253016,465,0,1,'Your Nature''s Elixir IX was successful on %t!','Your Nature''s Elixir IX fades.','',1,0,'Spells/Priest/Druid/Fury/NaturesElixir.lua',2485,'You cast Nature''s Elixir IX on %t.',0,1,0,1,1,0,0,0,0,170115,0,0,0,0,0,1,0,0,0,'Unset',1579370203,1384377827,0,1),
(170120,2443722274,0,0,'Ferine Elixir','Replenishes a large amount of target ally''s health.',468,12,316,1624274802,366253016,230,0,1,'Your Nature''s Elixir V was successful on %t!','Your Nature''s Elixir V fades.','',1,0,'Spells/Priest/Druid/Fury/NaturesElixir.lua',2485,'You cast Nature''s Elixir V on %t.',0,1,0,1,1,0,0,0,0,170115,0,0,0,0,0,1,0,0,0,'Unset',1579369619,1384378114,0,1),
(170121,2286085178,0,0,'Natures Elixir','Replenishes a large amount of target ally''s health.',468,12,316,1624274802,366253016,300,0,1,'Your Nature''s Elixir VI was successful on %t!','Your Nature''s Elixir VI fades.','',1,0,'Spells/Priest/Druid/Fury/NaturesElixir.lua',2485,'You cast Nature''s Elixir VI on %t.',0,1,0,1,1,0,0,0,0,170115,0,0,0,0,0,1,0,0,0,'Unset',1579369806,1384378114,0,1),
(170122,3584665359,0,0,'Grand Elixir','Replenishes a large amount of target ally''s health.',468,12,316,1624274802,366253016,365,0,1,'Your Nature''s Elixir VII was successful on %t!','Your Nature''s Elixir VII fades.','',1,0,'Spells/Priest/Druid/Fury/NaturesElixir.lua',2485,'You cast Nature''s Elixir VII on %t.',0,1,0,1,1,0,0,0,0,170115,0,0,0,0,0,1,0,0,0,'Unset',1579369856,1384377827,0,1),
(170123,3769542750,0,0,'Nature''s Elixir VIII','Replenishes a large amount of target ally''s health.',468,12,316,1624274802,366253016,415,0,1,'Your Nature''s Elixir VIII was successful on %t!','Your Nature''s Elixir VIII fades.','',1,0,'Spells/Priest/Druid/Fury/NaturesElixir.lua',2485,'You cast Nature''s Elixir VIII on %t.',0,1,0,1,1,0,0,0,0,170115,0,0,0,0,0,1,0,0,0,'Unset',1579370150,1384377827,0,1),
(170124,1790945610,0,0,'Minor Salve','Instantly heals some of the target''s health.',158,12,316,1624274802,366253016,5,0,1,'Your Nature''s Salve was successful on %t!','Your Nature''s Salve fades.','',1,0,'Spells/Priest/Druid/Fury/NaturesSalve.lua',2486,'You cast Nature''s Salve on %t.',0,1,0,1,1,0,0,0,0,170124,0,0,0,0,0,0,0,0,0,'Unset',1579333605,1384378114,0,1),
(170125,8141107,0,0,'Salve','Instantly heals some of the target''s health.',158,12,316,1624274802,366253016,35,0,1,'Your Nature''s Salve II was successful on %t!','Your Nature''s Salve II fades.','',1,0,'Spells/Priest/Druid/Fury/NaturesSalve.lua',2486,'You cast Nature''s Salve II on %t.',0,1,0,1,1,0,0,0,0,170124,0,0,0,0,0,0,0,0,0,'Unset',1579333645,1384378113,0,1),
(170126,1622671014,0,0,'Greater Salve','Instantly heals some of the target''s health.',158,12,316,1624274802,366253016,75,0,1,'Your Nature''s Salve III was successful on %t!','Your Nature''s Salve III fades.','',1,0,'Spells/Priest/Druid/Fury/NaturesSalve.lua',2486,'You cast Nature''s Salve III on %t.',0,1,0,1,1,0,0,0,0,170124,0,0,0,0,0,0,0,0,0,'Unset',1579333657,1384378113,0,1),
(170127,3124574221,0,0,'Fleshweave','Instantly heals some of the target''s health.',158,12,316,1624274802,366253016,110,0,1,'Your Nature''s Salve IV was successful on %t!','Your Nature''s Salve IV fades.','',1,0,'Spells/Priest/Druid/Fury/Fleshweave.lua',2486,'You cast Nature''s Salve IV on %t.',0,1,0,1,1,0,0,0,0,170124,0,0,0,0,0,0,0,0,0,'Unset',1579333686,1384377827,0,1),
(170128,1609820248,0,0,'Nature''s Salve IX','Instantly heals some of the target''s health.',158,12,316,1624274802,366253016,405,0,1,'Your Nature''s Salve IX was successful on %t!','Your Nature''s Salve IX fades.','',1,0,'Spells/Priest/Druid/Fury/NaturesSalve.lua',2486,'You cast Nature''s Salve IX on %t.',0,1,0,1,1,0,0,0,0,170124,0,0,0,0,0,1,0,0,0,'Unset',1579333949,1384378113,0,1),
(170129,2796412562,0,0,'Natures Salve','Instantly heals some of the target''s health.',158,12,316,1624274802,366253016,145,0,1,'Your Nature''s Salve V was successful on %t!','Your Nature''s Salve V fades.','',1,0,'Spells/Priest/Druid/Fury/NaturesSalve.lua',2486,'You cast Nature''s Salve V on %t.',0,1,0,1,1,0,0,0,0,170124,0,0,0,0,0,0,0,0,0,'Unset',1579333759,1384378114,0,1),
(170130,2589372575,0,0,'Feral Salve','Instantly heals some of the target''s health.',158,12,316,1624274802,366253016,215,0,1,'Your Nature''s Salve VI was successful on %t!','Your Nature''s Salve VI fades.','',1,0,'Spells/Priest/Druid/Fury/NaturesSalve.lua',2486,'You cast Nature''s Salve VI on %t.',0,1,0,1,1,0,0,0,0,170124,0,0,0,0,0,1,0,0,0,'Unset',1579333814,1384378114,0,1),
(170131,4100820878,0,0,'Wild Salve','Instantly heals some of the target''s health.',158,12,316,1624274802,366253016,285,0,1,'Your Nature''s Salve VII was successful on %t!','Your Nature''s Salve VII fades.','',1,0,'Spells/Priest/Druid/Fury/NaturesSalve.lua',2486,'You cast Nature''s Salve VII on %t.',0,1,0,1,1,0,0,0,0,170124,0,0,0,0,0,1,0,0,0,'Unset',1579333858,1384378114,0,1),
(170132,2027130211,0,0,'Dire Salve','Instantly heals some of the target''s health.',158,12,316,1624274802,366253016,355,0,1,'Your Nature''s Salve VIII was successful on %t!','Your Nature''s Salve VIII fades.','',1,0,'Spells/Priest/Druid/Fury/NaturesSalve.lua',2486,'You cast Nature''s Salve VIII on %t.',0,1,0,1,1,0,0,0,0,170124,0,0,0,0,0,1,0,0,0,'Unset',1579333902,1384377827,0,1),
(170133,4053498313,0,0,'Nature''s Salve X','Instantly heals some of the target''s health.',158,12,316,1624274802,366253016,455,0,1,'Your Nature''s Salve X was successful on %t!','Your Nature''s Salve X fades.','',1,0,'Spells/Priest/Druid/Fury/NaturesSalve.lua',2486,'You cast Nature''s Salve X on %t.',0,1,0,1,1,0,0,0,0,170124,0,0,0,0,0,1,0,0,0,'Unset',1579333988,1384378113,0,1),
(170134,1537368695,0,1,'Nature''s Wrath','This is the condensed energy of an ancient, mythical weapon.',550,65535,317,1624274802,0,400,1,1,'Your Nature''s Wrath was successful on %t!','Your Nature''s Wrath fades.','',1,1,'Spells/Priest/Druid/Fury/NaturesWrath.lua',3551,'You cast Nature''s Wrath on %t.',0,0,0,1,1,1,0,0,0,170134,0,0,0,0,0,0,0,0,0,'Unset',1579383444,1384377877,0,1),
(170135,2469865293,0,0,'Pact of the Cheetah','An emergency group augmentation that cures hostile root effects and increases the in-combat movement speed of the fury''s group for a short duration.',334,15,314,1624274802,3587918036,195,0,2,'Your Pact of the Cheetah was successful on %t!','Your Pact of the Cheetah fades.','',1,1,'Spells/Priest/Druid/Fury/PactoftheCheetah.lua',2499,'You cast Pact of the Cheetah on %t.',0,0,0,1,1,1,0,0,0,170135,0,0,0,0,0,0,0,0,0,'Unset',1579380335,1384378113,0,1),
(170136,3028407382,0,1,'Peerless Predator','The fury takes on the form of a lion, increasing stamina, spell resistance, and base avoidance. While in this form, the fury also gains the ability to see stealthed creatures.',232,65535,317,1624274802,3587918036,100,1,0,'Your Peerless Predator was successful on %t!','Your Peerless Predator fades.','',1,1,'Spells/Priest/Druid/Fury/PeerlessPredatorClassic.lua',2487,'You cast Peerless Predator on %t.',0,0,0,1,1,0,0,0,0,170136,0,0,0,0,0,0,0,0,0,'Unset',1579376575,1384378114,0,1),
(170137,2961663130,0,1,'Transcendent Predator','The fury takes on the form of a lion, increasing stamina, spell resistance, and base avoidance. While in this form, the fury also gains the ability to see stealthed creatures.',232,65535,317,1624274802,3587918036,170,1,0,'Your Peerless Predator II was successful on %t!','Your Peerless Predator II fades.','',1,1,'Spells/Priest/Druid/Fury/PeerlessPredator.lua',2487,'You cast Peerless Predator II on %t.',0,0,0,1,1,0,0,0,0,170136,0,0,0,0,0,1,0,0,0,'Unset',1579376638,1384378113,0,1),
(170138,2723020492,0,1,'Incomparable Predator','The fury takes on the form of a lion, increasing stamina, spell resistance, and base avoidance. While in this form, the fury also gains the ability to see stealthed creatures.',232,65535,317,1624274802,3587918036,240,1,0,'Your Peerless Predator III was successful on %t!','Your Peerless Predator III fades.','',1,1,'Spells/Priest/Druid/Fury/PeerlessPredator.lua',2487,'You cast Peerless Predator III on %t.',0,0,0,1,1,0,0,0,0,170136,0,0,0,0,0,1,0,0,0,'Unset',1579376653,1384378111,0,1),
(170139,178804081,0,1,'Seasoned Predator','The fury takes on the form of a lion, increasing stamina, spell resistance, and base avoidance. While in this form, the fury also gains the ability to see stealthed creatures.',232,65535,317,1624274802,3587918036,310,1,0,'Your Peerless Predator IV was successful on %t!','Your Peerless Predator IV fades.','',1,1,'Spells/Priest/Druid/Fury/PeerlessPredator.lua',2487,'You cast Peerless Predator IV on %t.',0,0,0,1,1,0,0,0,0,170136,0,0,0,0,0,1,0,0,0,'Unset',1579376665,1384378114,0,1),
(170140,3735619124,0,1,'Veteran Predator','The fury takes on the form of a lion, increasing stamina, spell resistance, and base avoidance. While in this form, the fury also gains the ability to see stealthed creatures.',232,65535,317,1624274802,3587918036,380,1,0,'Your Peerless Predator V was successful on %t!','Your Peerless Predator V fades.','',1,1,'Spells/Priest/Druid/Fury/PeerlessPredator.lua',2487,'You cast Peerless Predator V on %t.',0,0,0,1,1,0,0,0,0,170136,0,0,0,0,0,1,0,0,0,'Unset',1579376683,1384378111,0,1),
(170141,4055404732,0,1,'Peerless Predator VI','The fury takes on the form of a lion, increasing stamina, spell resistance, and base avoidance. While in this form, the fury also gains the ability to see stealthed creatures.',232,65535,317,1624274802,3587918036,430,1,0,'Your Peerless Predator VI was successful on %t!','Your Peerless Predator VI fades.','',1,1,'Spells/Priest/Druid/Fury/PeerlessPredator.lua',2487,'You cast Peerless Predator VI on %t.',0,0,0,1,1,0,0,0,0,170136,0,0,0,0,0,1,0,0,0,'Unset',1579376698,1384378113,0,1),
(170142,2497686522,0,1,'Peerless Predator VII','The fury takes on the form of a lion, increasing stamina, spell resistance, and base avoidance. While in this form, the fury also gains the ability to see stealthed creatures.',232,65535,317,1624274802,3587918036,480,1,0,'Your Peerless Predator VII was successful on %t!','Your Peerless Predator VII fades.','',1,1,'Spells/Priest/Druid/Fury/PeerlessPredator.lua',2487,'You cast Peerless Predator VII on %t.',0,0,0,0,1,0,0,0,0,170136,0,0,0,0,0,1,0,0,0,'Unset',1579376719,1384378112,0,1),
(170143,1457820023,0,0,'Porcupine','An augmentation cast on the fury''s ally that greatly increases the ally''s resistances and causes all attackers of that ally instant divine damage. It costs power over time to maintain the spell but the spell can be toggled off early if desired. This spell can expire early if the porcupine effect triggers 50 times.',296,13,314,1624274802,3587918036,250,0,8,'Your Porcupine was successful on %t!','Your Porcupine fades.','',1,0,'Spells/Priest/Druid/Fury/Porcupine.lua',2488,'You cast Porcupine on %t.',0,1,0,1,1,0,0,0,0,170143,0,0,0,0,0,1,0,0,0,'Unset',1579381871,1384378113,0,1),
(170144,1745480399,0,0,'Urchin','An augmentation cast on the fury''s ally that greatly increases the ally''s resistances and causes all attackers of that ally instant divine damage. It costs power over time to maintain the spell but the spell can be toggled off early if desired. This spell can expire early if the porcupine effect triggers 50 times.',296,13,314,1624274802,3587918036,350,0,8,'Your Porcupine II was successful on %t!','Your Porcupine II fades.','',1,0,'Spells/Priest/Druid/Fury/Porcupine.lua',2488,'You cast Porcupine II on %t.',0,1,0,1,1,0,0,0,0,170143,0,0,0,0,0,1,0,0,0,'Unset',1579381941,1384378114,0,1),
(170145,977223010,0,0,'Hedgehog','An augmentation cast on the fury''s ally that greatly increases the ally''s resistances and causes all attackers of that ally instant divine damage. It costs power over time to maintain the spell but the spell can be toggled off early if desired. This spell can expire early if the porcupine effect triggers 50 times.',296,13,314,1624274802,3587918036,400,0,8,'Your Porcupine III was successful on %t!','Your Porcupine III fades.','',1,0,'Spells/Priest/Druid/Fury/Porcupine.lua',2488,'You cast Porcupine III on %t.',0,1,0,1,1,0,0,0,0,170143,0,0,0,0,0,1,0,0,0,'Unset',1579381995,1384377830,0,1),
(170146,1019141819,0,0,'Porcupine IV','An augmentation cast on the fury''s ally that greatly increases the ally''s resistances and causes all attackers of that ally instant divine damage. It costs power over time to maintain the spell but the spell can be toggled off early if desired. This spell can expire early if the porcupine effect triggers 50 times.',296,13,314,1624274802,3587918036,450,0,8,'Your Porcupine IV was successful on %t!','Your Porcupine IV fades.','',1,0,'Spells/Priest/Druid/Fury/Porcupine.lua',2488,'You cast Porcupine IV on %t.',0,1,0,1,1,0,0,0,0,170143,0,0,0,0,0,1,0,0,0,'Unset',1579382022,1384378113,0,1),
(170147,2088844719,0,0,'Porcupine V','An augmentation cast on the fury''s ally that greatly increases the ally''s resistances and causes all attackers of that ally instant divine damage. It costs power over time to maintain the spell but the spell can be toggled off early if desired. This spell can expire early if the porcupine effect triggers 50 times.',296,13,314,1624274802,3587918036,500,0,8,'Your Porcupine V was successful on %t!','Your Porcupine V fades.','',1,0,'Spells/Priest/Druid/Fury/Porcupine.lua',2488,'You cast Porcupine V on %t.',0,0,0,0,1,0,0,0,0,170143,0,0,0,0,0,1,0,0,0,'Unset',1579382103,1384378114,0,1),
(170148,3706115619,0,1,'Savagery','An augmentation that increases damage attributes, base avoidance, and spell resistance of an ally.  Additionally, this grants a chance of increased attack speed and Multi-Attack Chance. This spell does not require any concentration, but can only be maintained on a single ally.',326,13,316,1624274802,3587918036,130,1,1,'Your Primal Fury was successful on %t!','Your Primal Fury fades.','',1,1,'Spells/Priest/Druid/Fury/Savagery.lua',2489,'You cast Primal Fury on %t.',0,0,0,1,1,1,0,0,0,170148,0,0,0,0,0,0,0,0,0,'Unset',1579377880,1384378114,0,1),
(170149,377417341,0,1,'Bloodlust','An augmentation that increases damage attributes, base avoidance, and spell resistance of an ally.  Additionally, this grants a chance of increased attack speed and Multi-Attack Chance. This spell does not require any concentration, but can only be maintained on a single ally.',326,13,316,1624274802,3587918036,200,1,8,'Your Primal Fury II was successful on %t!','Your Primal Fury II fades.','',1,1,'Spells/Priest/Druid/Fury/PrimalFury.lua',2489,'You cast Primal Fury II on %t.',0,0,0,1,1,1,0,0,0,170148,0,0,0,0,0,1,0,0,0,'Unset',1579377957,1384378111,0,1),
(170150,1107289355,0,1,'Primal Fury','An augmentation that increases damage attributes, base avoidance, and spell resistance of an ally.  Additionally, this grants a chance of increased attack speed and Multi-Attack Chance. This spell does not require any concentration, but can only be maintained on a single ally.',326,13,316,1624274802,3587918036,270,1,8,'Your Primal Fury III was successful on %t!','Your Primal Fury III fades.','',1,1,'Spells/Priest/Druid/Fury/PrimalFury.lua',2489,'You cast Primal Fury III on %t.',0,0,0,1,1,1,0,0,0,170148,0,0,0,0,0,1,0,0,0,'Unset',1579378016,1384378113,0,1),
(170151,1287322154,0,1,'Agitate','An augmentation that increases damage attributes, base avoidance, and spell resistance of an ally.  Additionally, this grants a chance of increased attack speed and Multi-Attack Chance. This spell does not require any concentration, but can only be maintained on a single ally.',326,13,316,1624274802,3587918036,340,1,8,'Your Primal Fury IV was successful on %t!','Your Primal Fury IV fades.','',1,1,'Spells/Priest/Druid/Fury/PrimalFury.lua',2489,'You cast Primal Fury IV on %t.',0,0,0,1,1,1,0,0,0,170148,0,0,0,0,0,1,0,0,0,'Unset',1579378061,1384378113,0,1),
(170152,386102938,0,1,'Feral','An augmentation that increases damage attributes, base avoidance, and spell resistance of an ally.  Additionally, this grants a chance of increased attack speed and Multi-Attack Chance. This spell does not require any concentration, but can only be maintained on a single ally.',326,13,316,1624274802,3587918036,395,1,8,'Your Primal Fury V was successful on %t!','Your Primal Fury V fades.','',1,1,'Spells/Priest/Druid/Fury/PrimalFury.lua',2489,'You cast Primal Fury V on %t.',0,0,0,1,1,1,0,0,0,170148,0,0,0,0,0,1,0,0,0,'Unset',1579378131,1384377827,0,1),
(170153,2972316974,0,1,'Primal Fury VI','An augmentation that increases damage attributes, base avoidance, and spell resistance of an ally.  Additionally, this grants a chance of increased attack speed and Multi-Attack Chance. This spell does not require any concentration, but can only be maintained on a single ally.',326,13,316,1624274802,3587918036,445,1,8,'Your Primal Fury VI was successful on %t!','Your Primal Fury VI fades.','',1,1,'Spells/Priest/Druid/Fury/PrimalFury.lua',2489,'You cast Primal Fury VI on %t.',0,0,0,1,1,1,0,0,0,170148,0,0,0,0,0,1,0,0,0,'Unset',1579378205,1384378113,0,1),
(170154,740693080,0,1,'Primal Fury VII','An augmentation that increases damage attributes, base avoidance, and spell resistance of an ally.  Additionally, this grants a chance of increased attack speed and Multi-Attack Chance. This spell does not require any concentration, but can only be maintained on a single ally.',326,13,316,1624274802,3587918036,495,1,8,'Your Primal Fury VII was successful on %t!','Your Primal Fury VII fades.','',1,1,'Spells/Priest/Druid/Fury/PrimalFury.lua',2489,'You cast Primal Fury VII on %t.',0,0,0,0,1,0,0,0,0,170148,0,0,0,0,0,1,0,0,0,'Unset',1579378243,1384378114,0,1),
(170155,3371933150,0,0,'Primeval Awakening','Resurrects a fallen ally and shapechanges them into a treant, granting increased offensive casting techniques, intelligence, focus, and power over time replenishment. This spell can be used in combat.',156,15,316,1624274802,366253016,250,0,6,'Your Primeval Awakening was successful on %t!','Your Primeval Awakening fades.','',1,0,'Spells/Priest/Druid/Fury/PrimevalAwakening.lua',2490,'You cast Primeval Awakening on %t.',0,1,1,0,1,0,0,0,0,170155,0,0,0,0,0,0,0,0,0,'Rez',1579382180,1384377826,0,1),
(170156,3341174343,0,0,'Regrowth','Heals a large amount of target ally''s health over time for a short duration.',191,16,316,3282420779,366253016,60,0,1,'Your Regrowth was successful on %t!','Your Regrowth fades.','',1,0,'Spells/Priest/Druid/Fury/Regrowth.lua',2492,'You cast Regrowth on %t.',0,1,0,1,1,0,0,0,0,170156,0,0,0,0,0,0,0,0,0,'Unset',1579374023,1384378113,0,1),
(170157,1069989296,0,0,'Greater Regrowth','Heals a large amount of target ally''s health over time for a short duration.',191,16,316,1624274802,366253016,95,0,1,'Your Regrowth II was successful on %t!','Your Regrowth II fades.','',1,0,'Spells/Priest/Druid/Fury/Regrowth.lua',2492,'You cast Regrowth II on %t.',0,1,0,1,1,0,0,0,0,170156,0,0,0,0,0,0,0,0,0,'Unset',1579374091,1384378111,0,1),
(170158,3150960155,0,0,'Predatory Salve','Heals a large amount of target ally''s health over time for a short duration.',191,16,316,1624274802,366253016,130,0,1,'Your Regrowth III was successful on %t!','Your Regrowth III fades.','',1,0,'Spells/Priest/Druid/Fury/PredatorySalve.lua',2492,'You cast Regrowth III on %t.',0,1,0,1,1,0,0,0,0,170156,0,0,0,0,0,0,0,0,0,'Unset',1579374291,1384378114,0,1),
(170159,791522586,0,0,'Wild Bloodflow','Heals a large amount of target ally''s health over time for a short duration.',191,16,316,1624274802,366253016,200,0,1,'Your Regrowth IV was successful on %t!','Your Regrowth IV fades.','',1,0,'Spells/Priest/Druid/Fury/Regrowth.lua',2492,'You cast Regrowth IV on %t.',0,1,0,1,1,0,0,0,0,170156,0,0,0,0,0,1,0,0,0,'Unset',1579374480,1384378111,0,1),
(170160,1791440843,0,0,'Regrowth IX','Heals a large amount of target ally''s health over time for a short duration.',191,16,316,1624274802,366253016,490,0,1,'Your Regrowth IX was successful on %t!','Your Regrowth IX fades.','',1,0,'Spells/Priest/Druid/Fury/Regrowth.lua',2492,'You cast Regrowth IX on %t.',0,0,0,0,1,0,0,0,0,170156,0,0,0,0,0,1,0,0,0,'Unset',1579374878,1384377827,0,1),
(170161,3643277861,0,0,'Untamed Bloodflow','Heals a large amount of target ally''s health over time for a short duration.',191,16,316,1624274802,366253016,270,0,1,'Your Regrowth V was successful on %t!','Your Regrowth V fades.','',1,0,'Spells/Priest/Druid/Fury/Regrowth.lua',2492,'You cast Regrowth V on %t.',0,1,0,1,1,0,0,0,0,170156,0,0,0,0,0,1,0,0,0,'Unset',1579374569,1384378113,0,1),
(170162,2624085369,0,0,'Greater Bloodflow','Heals a large amount of target ally''s health over time for a short duration.',191,16,316,1624274802,366253016,340,0,1,'Your Regrowth VI was successful on %t!','Your Regrowth VI fades.','',1,0,'Spells/Priest/Druid/Fury/Regrowth.lua',2492,'You cast Regrowth VI on %t.',0,1,0,1,1,0,0,0,0,170156,0,0,0,0,0,1,0,0,0,'Unset',1579383547,1384377827,0,1),
(170163,2460326851,0,0,'Dire Bloodflow','Heals a large amount of target ally''s health over time for a short duration.',191,16,316,1624274802,366253016,390,0,1,'Your Regrowth VII was successful on %t!','Your Regrowth VII fades.','',1,0,'Spells/Priest/Druid/Fury/Regrowth.lua',2492,'You cast Regrowth VII on %t.',0,1,0,1,1,0,0,0,0,170156,0,0,0,0,0,1,0,0,0,'Unset',1579374662,1384377827,0,1),
(170164,2873747467,0,0,'Regrowth VIII','Heals a large amount of target ally''s health over time for a short duration.',191,16,316,1624274802,366253016,440,0,1,'Your Regrowth VIII was successful on %t!','Your Regrowth VIII fades.','',1,0,'Spells/Priest/Druid/Fury/Regrowth.lua',2492,'You cast Regrowth VIII on %t.',0,1,0,1,1,0,0,0,0,170156,0,0,0,0,0,1,0,0,0,'Unset',1579374818,1384378156,0,1),
(170165,976865853,0,0,'Ring of Fire','Summons a ring of fire around the fury. Heat damage is continually inflicted to any enemies within the ring.',221,13,313,1624274802,613995491,275,0,0,'Your Ring of Fire was successful on %t!','Your Ring of Fire fades.','',1,0,'Spells/Priest/Druid/Fury/RingofFire.lua',2493,'You cast Ring of Fire on %t.',0,0,0,1,1,0,0,0,1,170165,0,0,0,0,0,1,0,0,0,'Unset',1579382734,1384378113,0,1),
(170166,1810960505,0,0,'Wildfire','Summons a ring of fire around the fury. Heat damage is continually inflicted to any enemies within the ring.',221,13,313,1624274802,613995491,370,0,0,'Your Ring of Fire II was successful on %t!','Your Ring of Fire II fades.','',1,0,'Spells/Priest/Druid/Fury/RingofFire.lua',2493,'You cast Ring of Fire II on %t.',0,0,0,1,1,0,0,0,1,170165,0,0,0,0,0,1,0,0,0,'Unset',1579382763,1384378111,0,1),
(170167,3751491370,0,0,'Ring of Fire III','Summons a ring of fire around the fury. Heat damage is continually inflicted to any enemies within the ring.',221,13,313,1624274802,613995491,420,0,0,'Your Ring of Fire III was successful on %t!','Your Ring of Fire III fades.','',1,0,'Spells/Priest/Druid/Fury/RingofFire.lua',2493,'You cast Ring of Fire III on %t.',0,0,0,1,1,0,0,0,1,170165,0,0,0,0,0,1,0,0,0,'Unset',1579382781,1384378114,0,1),
(170168,1717628098,0,0,'Ring of Fire IV','Summons a ring of fire around the fury. Heat damage is continually inflicted to any enemies within the ring.',221,13,313,1624274802,613995491,470,0,0,'Your Ring of Fire IV was successful on %t!','Your Ring of Fire IV fades.','',1,0,'Spells/Priest/Druid/Fury/RingofFire.lua',2493,'You cast Ring of Fire IV on %t.',0,0,0,0,1,0,0,0,1,170165,0,0,0,0,0,1,0,0,0,'Unset',1579382793,1384378111,0,1),
(170169,3257376647,0,0,'Starburst','Deals instant heat damage to the target and all other nearby encounter members.',510,14,312,1624274802,613995491,160,0,2,'Your Starnova was successful on %t!','Your Starnova fades.','',1,0,'Spells/Priest/Druid/Fury/Starnova.lua',2494,'You cast Starnova on %t.',0,0,0,1,0,1,0,0,0,170169,0,0,0,0,0,1,0,0,0,'DD',1579379115,1384378113,0,1),
(170170,1055089917,0,0,'Starfire','Deals instant heat damage to the target and all other nearby encounter members.',510,14,312,1624274802,613995491,230,0,2,'Your Starnova II was successful on %t!','Your Starnova II fades.','',1,0,'Spells/Priest/Druid/Fury/Starnova.lua',2494,'You cast Starnova II on %t.',0,0,0,1,0,1,0,0,0,170169,0,0,0,0,0,1,0,0,0,'DD',1579379223,1384378111,0,1),
(170171,3503405195,0,0,'Starnova','Deals instant heat damage to the target and all other nearby encounter members.',510,14,312,1624274802,613995491,300,0,2,'Your Starnova III was successful on %t!','Your Starnova III fades.','',1,0,'Spells/Priest/Druid/Fury/Starnova.lua',2494,'You cast Starnova III on %t.',0,0,0,1,0,1,0,0,0,170169,0,0,0,0,0,1,0,0,0,'DD',1579379454,1384378114,0,1),
(170172,1561251173,0,0,'Starshower','Deals instant heat damage to the target and all other nearby encounter members.',510,14,312,1624274802,613995491,370,0,2,'Your Starnova IV was successful on %t!','Your Starnova IV fades.','',1,0,'Spells/Priest/Druid/Fury/Starnova.lua',2494,'You cast Starnova IV on %t.',0,0,0,1,0,1,0,0,0,170169,0,0,0,0,0,1,0,0,0,'DD',1579379809,1384378114,0,1),
(170173,2337027063,0,0,'Starnova V','Deals instant heat damage to the target and all other nearby encounter members.',510,14,312,1624274802,613995491,420,0,2,'Your Starnova V was successful on %t!','Your Starnova V fades.','',1,0,'Spells/Priest/Druid/Fury/Starnova.lua',2494,'You cast Starnova V on %t.',0,0,0,1,0,1,0,0,0,170169,0,0,0,0,0,1,0,0,0,'DD',1579379896,1384378114,0,1),
(170174,1254288439,0,0,'Starnova VI','Deals instant heat damage to the target and all other nearby encounter members.',510,14,312,1624274802,613995491,470,0,2,'Your Starnova VI was successful on %t!','Your Starnova VI fades.','',1,0,'Spells/Priest/Druid/Fury/Starnova.lua',2494,'You cast Starnova VI on %t.',0,0,0,1,0,1,0,0,0,170169,0,0,0,0,0,1,0,0,0,'DD',1579379983,1384378112,0,1),
(170175,4207198093,0,0,'Squall','Deals cold damage over time to an opponent. Deals extra damage to Elementals.',511,14,315,1624274802,613995491,15,0,1,'Your Tempest was successful on %t!','Your Tempest fades.','',1,0,'Spells/Priest/Druid/Fury/Tempest.lua',2495,'You cast Tempest on %t.',0,0,0,1,0,0,4,0,0,170175,0,0,0,0,0,0,0,0,0,'DoT',1579370337,1384378113,0,1),
(170176,1932486543,0,0,'Twirl','Deals cold damage over time to an opponent. Deals extra damage to Elementals.',511,14,315,1624274802,613995491,55,0,1,'Your Tempest II was successful on %t!','Your Tempest II fades.','',1,0,'Spells/Priest/Druid/Fury/Tempest.lua',2495,'You cast Tempest II on %t.',0,0,0,1,0,0,4,0,0,170175,0,0,0,0,0,0,0,0,0,'DoT',1579370355,1384378113,0,1),
(170177,1168997002,0,0,'Cyclone','Deals cold damage over time to an opponent. Deals extra damage to Elementals.',511,14,315,1624274802,613995491,125,0,1,'Your Tempest III was successful on %t!','Your Tempest III fades.','',1,0,'Spells/Priest/Druid/Fury/Cyclone.lua',2495,'You cast Tempest III on %t.',0,0,0,1,0,0,4,0,0,170175,0,0,0,0,0,0,0,0,0,'DoT',1579370494,1384378111,0,1),
(170178,3336310786,0,0,'Whirlwind','Deals cold damage over time to an opponent. Deals extra damage to Elementals.',511,14,315,1624274802,613995491,195,0,1,'Your Tempest IV was successful on %t!','Your Tempest IV fades.','',1,0,'Spells/Priest/Druid/Fury/Tempest.lua',2495,'You cast Tempest IV on %t.',0,0,0,1,0,0,4,0,0,170175,0,0,0,0,0,1,0,0,0,'DoT',1579370650,1384378113,0,1),
(170179,2642779323,0,0,'Tempest IX','Deals cold damage over time to an opponent. Deals extra damage to Elementals.',511,14,315,1624274802,613995491,490,0,1,'Your Tempest IX was successful on %t!','Your Tempest IX fades.','',1,0,'Spells/Priest/Druid/Fury/Tempest.lua',2495,'You cast Tempest IX on %t.',0,0,0,0,0,0,4,0,0,170175,0,0,0,0,0,1,0,0,0,'DoT',1579371556,1384378111,0,1),
(170180,1440144569,0,0,'Waterspout','Deals cold damage over time to an opponent. Deals extra damage to Elementals.',511,14,315,1624274802,613995491,265,0,1,'Your Tempest V was successful on %t!','Your Tempest V fades.','',1,0,'Spells/Priest/Druid/Fury/Tempest.lua',2495,'You cast Tempest V on %t.',0,0,0,1,0,0,4,0,0,170175,0,0,0,0,0,1,0,0,0,'DoT',1579371006,1384378113,0,1),
(170181,3006728423,0,0,'Tempest','Deals cold damage over time to an opponent. Deals extra damage to Elementals.',511,14,315,1624274802,613995491,335,0,1,'Your Tempest VI was successful on %t!','Your Tempest VI fades.','',1,0,'Spells/Priest/Druid/Fury/Tempest.lua',2495,'You cast Tempest VI on %t.',0,0,0,1,0,0,4,0,0,170175,0,0,0,0,0,1,0,0,0,'DoT',1579371137,1384377830,0,1),
(170182,3959907162,0,0,'Typhoon','Deals cold damage over time to an opponent. Deals extra damage to Elementals.',511,14,315,1624274802,613995491,390,0,1,'Your Tempest VII was successful on %t!','Your Tempest VII fades.','',1,0,'Spells/Priest/Druid/Fury/Tempest.lua',2495,'You cast Tempest VII on %t.',0,0,0,1,0,0,4,0,0,170175,0,0,0,0,0,1,0,0,0,'DoT',1579371324,1384378111,0,1),
(170183,1917319045,0,0,'Tempest VIII','Deals cold damage over time to an opponent. Deals extra damage to Elementals.',511,14,315,1624274802,613995491,440,0,1,'Your Tempest VIII was successful on %t!','Your Tempest VIII fades.','',1,0,'Spells/Priest/Druid/Fury/Tempest.lua',2495,'You cast Tempest VIII on %t.',0,0,0,1,0,0,4,0,0,170175,0,0,0,0,0,1,0,0,0,'DoT',1579371477,1384378113,0,1),
(170184,2061537244,0,1,'Bristles','An augmentation placed on the fury''s ally, that deals instant piercing damage to any attacker of that ally and all enemies nearby the attacker. This spell does not require any concentration, but can only be maintained on a single ally.',188,15,316,1624274802,3587918036,10,1,1,'Your Thornskin was successful on %t!','Your Thornskin fades.','',1,1,'Spells/Priest/Druid/Fury/Thornskin.lua',2496,'You cast Thornskin on %t.',0,1,0,1,1,0,0,0,0,170184,0,0,0,0,0,0,0,0,0,'Unset',1579334119,1384377827,0,1),
(170185,2192321105,0,1,'Bristleskin','An augmentation placed on the fury''s ally, that deals instant piercing damage to any attacker of that ally and all enemies nearby the attacker. This spell does not require any concentration, but can only be maintained on a single ally.',188,15,316,1624274802,3587918036,50,1,1,'Your Thornskin II was successful on %t!','Your Thornskin II fades.','',1,1,'Spells/Priest/Druid/Fury/Thornskin.lua',2496,'You cast Thornskin II on %t.',0,1,0,1,1,0,0,0,0,170184,0,0,0,0,0,0,0,0,0,'Unset',1579334134,1384377827,0,1),
(170186,1549013162,0,1,'Bristlepelt','An augmentation placed on the fury''s ally, that deals instant piercing damage to any attacker of that ally and all enemies nearby the attacker. This spell does not require any concentration, but can only be maintained on a single ally.',188,15,316,1624274802,3587918036,120,1,1,'Your Thornskin III was successful on %t!','Your Thornskin III fades.','',1,1,'Spells/Priest/Druid/Fury/Bristlepelt.lua',2496,'You cast Thornskin III on %t.',0,1,0,1,1,0,0,0,0,170184,0,0,0,0,0,0,0,0,0,'Unset',1579334163,1384378111,0,1),
(170187,3619305200,0,1,'Barbed Skin','An augmentation placed on the fury''s ally, that deals instant piercing damage to any attacker of that ally and all enemies nearby the attacker. This spell does not require any concentration, but can only be maintained on a single ally.',188,15,316,1624274802,3587918036,190,1,1,'Your Thornskin IV was successful on %t!','Your Thornskin IV fades.','',1,1,'Spells/Priest/Druid/Fury/Thornskin.lua',2496,'You cast Thornskin IV on %t.',0,1,0,1,1,0,0,0,0,170184,0,0,0,0,0,1,0,0,0,'Unset',1579334211,1384378113,0,1),
(170188,1388129601,0,1,'Thornskin IX','An augmentation placed on the fury''s ally, that deals instant piercing damage to any attacker of that ally and all enemies nearby the attacker. This spell does not require any concentration, but can only be maintained on a single ally.',188,15,316,1624274802,3587918036,485,1,1,'Your Thornskin IX was successful on %t!','Your Thornskin IX fades.','',1,1,'Spells/Priest/Druid/Fury/Thornskin.lua',2496,'You cast Thornskin IX on %t.',0,0,0,0,1,0,0,0,0,170184,0,0,0,0,0,1,0,0,0,'Unset',1579334474,1384377827,0,1),
(170189,652266626,0,1,'Thornskin','An augmentation placed on the fury''s ally, that deals instant piercing damage to any attacker of that ally and all enemies nearby the attacker. This spell does not require any concentration, but can only be maintained on a single ally.',188,15,316,1624274802,3587918036,260,1,1,'Your Thornskin V was successful on %t!','Your Thornskin V fades.','',1,1,'Spells/Priest/Druid/Fury/Thornskin.lua',2496,'You cast Thornskin V on %t.',0,1,0,1,1,0,0,0,0,170184,0,0,0,0,0,1,0,0,0,'Unset',1579334288,1384378113,0,1),
(170190,1250749548,0,1,'Spineskin','An augmentation placed on the fury''s ally, that deals instant piercing damage to any attacker of that ally and all enemies nearby the attacker. This spell does not require any concentration, but can only be maintained on a single ally.',188,15,316,1624274802,3587918036,330,1,1,'Your Thornskin VI was successful on %t!','Your Thornskin VI fades.','',1,1,'Spells/Priest/Druid/Fury/Thornskin.lua',2496,'You cast Thornskin VI on %t.',0,1,0,1,1,0,0,0,0,170184,0,0,0,0,0,1,0,0,0,'Unset',1579334316,1384377827,0,1),
(170191,912890459,0,1,'Quillskin','An augmentation placed on the fury''s ally, that deals instant piercing damage to any attacker of that ally and all enemies nearby the attacker. This spell does not require any concentration, but can only be maintained on a single ally.',188,15,316,1624274802,3587918036,385,1,1,'Your Thornskin VII was successful on %t!','Your Thornskin VII fades.','',1,1,'Spells/Priest/Druid/Fury/Thornskin.lua',2496,'You cast Thornskin VII on %t.',0,1,0,1,1,0,0,0,0,170184,0,0,0,0,0,1,0,0,0,'Unset',1579334361,1384378111,0,1),
(170192,3373818158,0,1,'Thornskin VIII','An augmentation placed on the fury''s ally, that deals instant piercing damage to any attacker of that ally and all enemies nearby the attacker. This spell does not require any concentration, but can only be maintained on a single ally.',188,15,316,1624274802,3587918036,435,1,1,'Your Thornskin VIII was successful on %t!','Your Thornskin VIII fades.','',1,1,'Spells/Priest/Druid/Fury/Thornskin.lua',2496,'You cast Thornskin VIII on %t.',0,1,0,1,1,0,0,0,0,170184,0,0,0,0,0,1,0,0,0,'Unset',1579334410,1384378113,0,1),
(170193,4257751881,0,0,'Strike of Thunder','Instantly deals a significant amount of magic damage to a target.',233,14,315,1624274802,613995491,115,0,1,'Your Thunderbolt was successful on %t!','Your Thunderbolt fades.','',1,0,'Spells/Priest/Druid/Fury/StrikeofThunder.lua',2497,'You cast Thunderbolt on %t.',0,0,0,1,0,0,0,0,0,170193,0,0,0,0,0,0,0,0,0,'DD',1579376991,1384378114,0,1),
(170194,3005477547,0,0,'Strike of Storms','Instantly deals a significant amount of magic damage to a target.',233,14,315,1624274802,613995491,185,0,1,'Your Thunderbolt II was successful on %t!','Your Thunderbolt II fades.','',1,0,'Spells/Priest/Druid/Fury/Thunderbolt.lua',2497,'You cast Thunderbolt II on %t.',0,0,0,1,0,0,0,0,0,170193,0,0,0,0,0,1,0,0,0,'DD',1579377077,1384378113,0,1),
(170195,3803147374,0,0,'Bolt of Storms','Instantly deals a significant amount of magic damage to a target.',233,14,315,1624274802,613995491,255,0,1,'Your Thunderbolt III was successful on %t!','Your Thunderbolt III fades.','',1,0,'Spells/Priest/Druid/Fury/Thunderbolt.lua',2497,'You cast Thunderbolt III on %t.',0,0,0,1,0,0,0,0,0,170193,0,0,0,0,0,1,0,0,0,'DD',1579377176,1384378113,0,1),
(170196,3697519161,0,0,'Thunderbolt','Instantly deals a significant amount of magic damage to a target.',233,14,315,1624274802,613995491,325,0,1,'Your Thunderbolt IV was successful on %t!','Your Thunderbolt IV fades.','',1,0,'Spells/Priest/Druid/Fury/Thunderbolt.lua',2497,'You cast Thunderbolt IV on %t.',0,0,0,1,0,0,0,0,0,170193,0,0,0,0,0,1,0,0,0,'DD',1579377330,1384378114,0,1),
(170197,3397720906,0,0,'Lightning Bolt','Instantly deals a significant amount of magic damage to a target.',233,14,315,1624274802,613995491,385,0,1,'Your Thunderbolt V was successful on %t!','Your Thunderbolt V fades.','',1,0,'Spells/Priest/Druid/Fury/Thunderbolt.lua',2497,'You cast Thunderbolt V on %t.',0,0,0,1,0,0,0,0,0,170193,0,0,0,0,0,1,0,0,0,'DD',1579377433,1384378111,0,1),
(170198,2007255794,0,0,'Thunderbolt VI','Instantly deals a significant amount of magic damage to a target.',233,14,315,1624274802,613995491,435,0,1,'Your Thunderbolt VI was successful on %t!','Your Thunderbolt VI fades.','',1,0,'Spells/Priest/Druid/Fury/Thunderbolt.lua',2497,'You cast Thunderbolt VI on %t.',0,0,0,1,0,0,0,0,0,170193,0,0,0,0,0,1,0,0,0,'DD',1579377577,1384378113,0,1),
(170199,3937119108,0,0,'Thunderbolt VII','Instantly deals a significant amount of magic damage to a target.',233,14,315,1624274802,613995491,485,0,1,'Your Thunderbolt VII was successful on %t!','Your Thunderbolt VII fades.','',1,0,'Spells/Priest/Druid/Fury/Thunderbolt.lua',2497,'You cast Thunderbolt VII on %t.',0,0,0,0,0,0,0,0,0,170193,0,0,0,0,0,1,0,0,0,'DD',1579377812,1384377827,0,1),
(170200,507156652,0,0,'Recovery of the Untamed','Heals all allies near the fury.',293,16,314,1624274802,366253016,70,0,2,'Your Untamed Regeneration was successful on %t!','Your Untamed Regeneration fades.','',1,0,'Spells/Priest/Druid/Fury/UntamedRegeneration.lua',2498,'You cast Untamed Regeneration on %t.',0,0,0,1,1,1,0,0,0,170200,0,0,0,0,0,0,0,0,0,'Unset',1579376000,1384378113,0,1),
(170201,874599824,0,0,'Breath of the Untamed','Heals all allies near the fury.',293,16,314,1624274802,366253016,140,0,2,'Your Untamed Regeneration II was successful on %t!','Your Untamed Regeneration II fades.','',1,0,'Spells/Priest/Druid/Fury/BreathoftheUntamed.lua',2498,'You cast Untamed Regeneration II on %t.',0,0,0,1,1,1,0,0,0,170200,0,0,0,0,0,0,0,0,0,'Unset',1579376039,1384377827,0,1),
(170202,2130472709,0,0,'Howl of the Untamed','Heals all allies near the fury.',293,16,314,1624274802,366253016,210,0,2,'Your Untamed Regeneration III was successful on %t!','Your Untamed Regeneration III fades.','',1,0,'Spells/Priest/Druid/Fury/UntamedRegeneration.lua',2498,'You cast Untamed Regeneration III on %t.',0,0,0,1,1,1,0,0,0,170200,0,0,0,0,0,1,0,0,0,'Unset',1579376057,1384377826,0,1),
(170203,304470709,0,0,'Cry of the Untamed','Heals all allies near the fury.',293,16,314,1624274802,366253016,280,0,2,'Your Untamed Regeneration IV was successful on %t!','Your Untamed Regeneration IV fades.','',1,0,'Spells/Priest/Druid/Fury/UntamedRegeneration.lua',2498,'You cast Untamed Regeneration IV on %t.',0,0,0,1,1,1,0,0,0,170200,0,0,0,0,0,1,0,0,0,'Unset',1579376073,1384378114,0,1),
(170204,3328175577,0,0,'Shriek of the Untamed','Heals all allies near the fury.',293,16,314,1624274802,366253016,350,0,2,'Your Untamed Regeneration V was successful on %t!','Your Untamed Regeneration V fades.','',1,0,'Spells/Priest/Druid/Fury/UntamedRegeneration.lua',2498,'You cast Untamed Regeneration V on %t.',0,0,0,1,1,1,0,0,0,170200,0,0,0,0,0,1,0,0,0,'Unset',1579376104,1384378113,0,1),
(170205,881226609,0,0,'Untamed Regeneration','Heals all allies near the fury.',293,16,314,1624274802,366253016,400,0,2,'Your Untamed Regeneration VI was successful on %t!','Your Untamed Regeneration VI fades.','',1,0,'Spells/Priest/Druid/Fury/UntamedRegeneration.lua',2498,'You cast Untamed Regeneration VI on %t.',0,0,0,1,1,1,0,0,0,170200,0,0,0,0,0,1,0,0,0,'Unset',1579376086,1384378113,0,1),
(170206,2952108453,0,0,'Untamed Regeneration VII','Heals all allies near the fury.',293,16,314,1624274802,366253016,450,0,2,'Your Untamed Regeneration VII was successful on %t!','Your Untamed Regeneration VII fades.','',1,0,'Spells/Priest/Druid/Fury/UntamedRegeneration.lua',2498,'You cast Untamed Regeneration VII on %t.',0,0,0,1,1,1,0,0,0,170200,0,0,0,0,0,1,0,0,0,'Unset',1579376133,1384378113,0,1),
(170207,3038401904,0,0,'Untamed Regeneration VIII','Heals all allies near the fury.',293,16,314,1624274802,366253016,500,0,2,'Your Untamed Regeneration VIII was successful on %t!','Your Untamed Regeneration VIII fades.','',1,0,'Spells/Priest/Druid/Fury/UntamedRegeneration.lua',2498,'You cast Untamed Regeneration VIII on %t.',0,0,0,0,1,1,0,0,0,170207,0,0,0,0,0,1,0,0,0,'Unset',1579334595,1384377827,0,1),
(170208,2375866879,0,0,'Untamed Shroud','Grants invisibility to the fury''s group',231,65535,314,1624274802,3587918036,225,0,2,'Your Untamed Shroud was successful on %t!','Your Untamed Shroud fades.','',1,0,'Spells/Priest/Druid/Fury/UntamedShroud.lua',2462,'You cast Untamed Shroud on %t.',0,0,0,0,1,1,0,0,0,170208,0,0,0,0,0,1,0,0,0,'Unset',1579380906,1384378111,0,1),
(170209,1010670050,0,1,'Wrath''s Blessing','This is the condensed energy of an ancient, mythical weapon.',274,65535,316,1624274802,0,400,1,1,'Your Wrath''s Blessing was successful on %t!','Your Wrath''s Blessing fades.','',1,0,'Spells/Priest/Druid/Fury/WrathsBlessing.lua',3552,'You cast Wrath''s Blessing on %t.',0,1,0,1,1,1,0,0,0,170209,0,0,0,0,0,0,0,0,0,'Unset',1579383484,1384377878,0,1),
(180000,2425237873,0,1,'Auspice','An augmentation that increases the health and power of the shaman''s ally.',211,13,316,3343700951,0,80,1,1,'Your Auspice was successful on %t!','Your Auspice fades.','',1,0,'Spells/Priest/Shaman/Auspice.lua',171,'You cast Auspice on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1576359464,1384378112,0,1),
(180001,2773254986,0,0,'Breath of Spirits','Heals all allies near the shaman. \r\n',185,16,314,3343700951,366253016,70,0,2,'Your Breath of Spirits was successful on %t!','Your Breath of Spirits fades.','',1,0,'Spells/Priest/Shaman/BreathofSpirits.lua',53,'You cast Breath of Spirits on %t.',0,0,0,1,1,1,0,0,0,180001,0,0,0,0,0,1,0,0,0,'Heal',1576359650,1384378113,0,1),
(180002,2975364229,0,0,'Cold Wind','Deals instant cold damage and reduces the movement speed of the target.',152,14,315,0,0,0,0,1,'Your Cold Wind was successful on %t!','Your Cold Wind fades.','',1,0,'',0,'You cast Cold Wind on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1384671278,1384378111,0,1),
(180003,2205826380,0,0,'Contagion','Deals disease damage over-time to an opponent. Deals additional disease damage over-time if the opponent is a Shadow being.\n\n \n\n\"Excuse me, but I feel really, really queasy now.\" - Seamist Fairy Faellia',197,14,315,3343700951,0,55,0,1,'Your Contagion was successful on %t!','Your Contagion fades.','',1,0,'Spells/Priest/Shaman/Contagion.lua',460,'You cast Contagion on %t.',0,0,0,1,0,0,0,0,0,110014,0,0,0,0,0,1,0,0,0,'DoT',1576360549,1384377827,0,1),
(180004,2936879794,0,0,'Eidolic Ward','Applies an emergency ward for a short duration that prevents damage to target ally until the ward has absorbed its maximum amount of damage. If any absorption remains when the ward expires, it is converted into a heal. This spell does not require any power and does not have a casting time.',194,16,316,3343700951,366253016,75,0,1,'Your Eidolic Ward was successful on %t!','Your Eidolic Ward fades.','',0,1,'',54,'You cast Eidolic Ward on %t.',0,1,0,0,1,1,0,0,0,180004,0,0,0,0,0,1,0,0,0,'HoT-Ward',1384671332,1384378114,0,1),
(180005,152080867,0,0,'Ghostly Ward','Applies a powerful ward for a short duration that prevents damage to target ally until the ward has absorbed its maximum amount of damage. If any absorption remains when the ward expires, it is converted into a heal.',194,16,316,0,0,0,0,1,'Your Ghostly Ward was successful on %t!','Your Ghostly Ward fades.','',1,0,'',0,'You cast Ghostly Ward on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384671367,1384378112,0,1),
(180006,3457871733,0,0,'Grey Wind','Deals instant cold damage and reduces the movement speed of the target.',152,14,315,3343700951,613995491,75,0,1,'Your Grey Wind was successful on %t!','Your Grey Wind fades.','',1,0,'Spells/Priest/Shaman/GreyWind.lua',131,'You cast Grey Wind on %t.',0,0,0,1,0,0,0,0,0,180006,0,0,0,0,0,1,0,0,0,'DD',1613193462,1384377827,0,1),
(180007,161022443,0,0,'Healing Ritual','Replenishes a large amount of target ally''s health. ',468,16,316,3343700951,366253016,90,0,1,'Your Healing Ritual was successful on %t!','Your Healing Ritual fades.','',1,0,'Spells/Priest/Shaman/HealingRitual.lua',730,'You cast Healing Ritual on %t.',0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Heal',1576360065,1384377827,0,1),
(180008,3241559225,0,0,'Phantasm','Fears enemies near the shaman and reduces their hate towards the shaman. Any hostile actions taken on them have a chance at breaking the fear effect.',157,15,313,3343700951,882983852,65,0,1,'Your Phantasm was successful on %t!','Your Phantasm fades.','',1,0,'Spells/Priest/Shaman/Phantasm.lua',784,'You cast Phantasm on %t.',0,0,0,1,0,1,0,0,0,180008,0,0,0,0,0,1,0,0,0,'Detaunt',1384671487,1384378113,0,1),
(180009,1102265620,0,0,'Spectral Ward','Applies a powerful ward for a short duration that prevents damage to target ally until the ward has absorbed its maximum amount of damage. If any absorption remains when the ward expires, it is converted into a heal.',194,16,316,3343700951,0,0,0,1,'Your Spectral Ward was successful on %t!','Your Spectral Ward fades.','',1,0,'Spells/Priest/Shaman/SpectralWard.lua',54,'You cast Spectral Ward on %t.',0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'HoT-Ward',1384671672,1384378114,0,1),
(180010,4216829281,0,0,'Spirit Guide','Summons a Spirit Guide for every group member. This item can be used to revive a fallen priest.',145,65535,314,3343700951,3587918036,55,0,2,'Your Spirit Guide was successful on %t!','Your Spirit Guide fades.','',1,1,'Spells/Priest/Shaman/SpiritGuide.lua',2512,'You cast Spirit Guide on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1573183440,1384378113,0,1),
(180011,3171273422,0,1,'Spirit of the Badger','Augmentation that grants Strength and Armor Class to the Shaman and allies. \r\n\r\nAlso has a chance to increase an ally''s Noxious mitigation on a successful attack.(Not implemented.)',146,65535,314,3343700951,3587918036,95,1,2,'Your Spirit of the Badger was successful on %t!','Your Spirit of the Badger fades.','',1,0,'Spells/Priest/Shaman/SpiritoftheBadger.lua',813,'You cast Spirit of the Badger on %t.',0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',1384671675,1384377827,0,1),
(180012,11727707,0,1,'Spirit of the Bull','A group augmentation that increases the strength and stamina of the shaman''s group.',352,65535,314,3343700951,3587918036,90,1,2,'Your Spirit of the Bull was successful on %t!','Your Spirit of the Bull fades.','',1,0,'Spells/Priest/Shaman/SpiritoftheBull.lua',812,'You cast Spirit of the Bull on %t.',0,0,0,1,1,1,0,0,0,180012,0,0,0,0,0,1,0,0,0,'Buff',1576360236,1384378112,0,1),
(180013,1569546164,0,0,'Spirit of the Wolf','Increases the movement speed of an ally while out of combat.',8,65535,315,3343700951,3587918036,65,0,9,'Your Spirit of the Wolf was successful on %t!','Your Spirit of the Wolf fades.','',1,1,'Spells/Priest/Shaman/SpiritoftheWolf.lua',2513,'You cast Spirit of the Wolf on %t.',0,0,0,0,1,0,0,0,0,180013,0,0,0,0,0,1,0,0,0,'Unset',1576359217,1384378112,0,1),
(180014,450305826,0,1,'Spiritual Seal',' Augmentation that increases the Health Pool, Divine mitigations, and Noxious mitigations on the Shaman and allies',144,65535,314,3343700951,3587918036,65,1,2,'Your Spiritual Seal was successful on %t!','Your Spiritual Seal fades.','',1,0,'Spells/Priest/Shaman/SpiritualSeal.lua',813,'You cast Spiritual Seal on %t.',0,0,0,0,1,1,0,0,0,180014,0,0,0,0,0,1,0,0,0,'Buff',1576359878,1384378112,0,1),
(180015,3946479925,0,0,'Totemic Aid','Heals an ally, and removes minor Noxious impairments.',158,12,316,3343700951,366253016,85,0,1,'Your Totemic Aid was successful on %t!','Your Totemic Aid fades.','',1,0,'Spells/Priest/Shaman/TotemicAid.lua',53,'You cast Totemic Aid on %t.',0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Heal',1576360345,1384377827,0,1),
(180016,349046412,0,0,'Umbral Trap','Impairment placed upon an encounter that lowers their combat attack damage. This spell has an extended duration. ',196,16,312,3343700951,366253016,175,0,2,'Your Umbral Trap was successful on %t!','Your Umbral Trap fades.','',1,0,'Spells/Priest/Shaman/UmbralTrap.lua',2510,'You cast Umbral Trap on %t.',0,0,0,1,0,1,3,0,0,180016,0,0,0,0,0,1,0,0,0,'Unset',1585197122,1384378114,0,1),
(180017,418166973,0,0,'Wailing Haze','Impairment that decreases target''s attack speed.',193,15,315,3343700951,0,50,0,1,'Your Wailing Haze was successful on %t!','Your Wailing Haze fades.','',1,0,'Spells/Priest/Shaman/WailingHaze.lua',166,'You cast Wailing Haze on %t.',0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1576359243,1384377827,0,1),
(180018,4289176131,0,0,'Wards of Spirit','Applies a powerful ward for a short duration on the shaman''s group that prevents damage to them until the ward has absorbed its maximum amount of damage.',192,16,314,3343700951,366253016,70,0,2,'Your Wards of Spirit was successful on %t!','Your Wards of Spirit fades.','',1,0,'Spells/Priest/Shaman/WardsofSpirit.lua',813,'You cast Wards of Spirit on %t.',0,0,0,1,1,1,0,0,0,180018,0,0,0,0,0,1,0,0,0,'HoT-Ward',1384671745,1384378112,0,1),
(180020,3061844111,0,0,'Mending Spirit','Cures Trauma impairments from an ally, and wards the ally versus Trauma damage.',147,13,315,3343700951,366253016,80,0,0,'','','',1,0,'Spells/Priest/Shaman/MendingSpirit.lua',53,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Cure',0,0,0,1),
(180021,0,0,0,'Grey Winds','Grey Wind Proc.',152,0,315,0,0,0,0,1,'','','',0,0,'Spells/Priest/Shaman/GreyWindSubspell.lua',170,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,0),
(180022,3771192042,0,0,'Expunge Elements','Cures Elemental impairments and wards an ally versus Elemental damage.',149,13,315,3343700951,366253016,95,0,0,'','','',1,0,'Spells/Priest/Shaman/ExpungeElements.lua',53,'',0,0,0,1,0,0,0,0,0,180022,0,0,0,0,0,1,0,0,0,'Cure',0,0,0,1),
(190000,4139799029,0,1,'Avatar','An augmentation which increases strength, stamina, agility, and base avoidance.',243,16,316,3467160477,3587918036,235,1,1,'Your Ancestral Avatar was successful on %t!','Your Ancestral Avatar fades.','',1,1,'Spells/Priest/Shaman/Mystic/AncestralAvatar.lua',2516,'You cast Ancestral Avatar on %t.',0,0,0,1,1,1,0,0,0,190000,0,0,0,0,0,1,0,0,0,'Unset',1581033578,1384378112,0,1),
(190001,3477819572,0,1,'Ancient Avatar','An augmentation which increases strength, stamina, agility, and base avoidance.',243,16,316,3467160477,3587918036,305,1,1,'Your Ancestral Avatar II was successful on %t!','Your Ancestral Avatar II fades.','',1,1,'Spells/Priest/Shaman/Mystic/AncestralAvatar.lua',2516,'You cast Ancestral Avatar II on %t.',0,0,0,1,1,1,0,0,0,190000,0,0,0,0,0,1,0,0,0,'Unset',1581033632,1384378113,0,1),
(190002,2485364808,0,1,'Ancestral Avatar','An augmentation which increases strength, stamina, agility, and base avoidance.',243,16,316,3467160477,3587918036,375,1,1,'Your Ancestral Avatar III was successful on %t!','Your Ancestral Avatar III fades.','',1,1,'Spells/Priest/Shaman/Mystic/AncestralAvatar.lua',2516,'You cast Ancestral Avatar III on %t.',0,0,0,1,1,1,0,0,0,190000,0,0,0,0,0,1,0,0,0,'Unset',1581033658,1384378113,0,1),
(190003,3619438214,0,1,'Ancestral Avatar IV','An augmentation which increases strength, stamina, agility, and base avoidance.',243,16,316,3467160477,3587918036,425,1,1,'Your Ancestral Avatar IV was successful on %t!','Your Ancestral Avatar IV fades.','',1,1,'Spells/Priest/Shaman/Mystic/AncestralAvatar.lua',2516,'You cast Ancestral Avatar IV on %t.',0,0,0,1,1,1,0,0,0,190000,0,0,0,0,0,1,0,0,0,'Unset',1581033705,1384378114,0,1),
(190004,6209246,0,1,'Ancestral Avatar V','An augmentation which increases strength, stamina, agility, and base avoidance.',243,16,316,3467160477,3587918036,475,1,1,'Your Ancestral Avatar V was successful on %t!','Your Ancestral Avatar V fades.','',1,1,'Spells/Priest/Shaman/Mystic/AncestralAvatar.lua',2516,'You cast Ancestral Avatar V on %t.',0,0,0,0,1,0,0,0,0,190000,0,0,0,0,0,1,0,0,0,'Unset',1581033739,1384377827,0,1),
(190005,1201946921,0,0,'Ancient Balm','Cures all impairment types on target ally.',209,15,316,3467160477,3587918036,290,0,1,'Your Ancestral Balm was successful on %t!','Your Ancestral Balm fades.','',1,1,'Spells/Priest/Shaman/Mystic/AncestralBalm.lua',2517,'You cast Ancestral Balm on %t.',0,0,0,1,1,0,0,0,0,190005,0,0,0,0,0,0,0,0,0,'Unset',1581111625,1384378114,0,1),
(190006,3537042667,0,0,'Ancestral Balm','Cures all impairment types on target ally.',209,15,316,3467160477,3587918036,380,0,1,'Your Ancestral Balm II was successful on %t!','Your Ancestral Balm II fades.','',1,1,'Spells/Priest/Shaman/Mystic/AncestralBalm.lua',2517,'You cast Ancestral Balm II on %t.',0,0,0,1,1,0,0,0,0,190005,0,0,0,0,0,0,0,0,0,'Unset',1581111799,1384377828,0,1),
(190007,340840254,0,0,'Ancestral Balm III','Cures all impairment types on target ally.',209,15,316,3467160477,3587918036,430,0,1,'Your Ancestral Balm III was successful on %t!','Your Ancestral Balm III fades.','',1,1,'Spells/Priest/Shaman/Mystic/AncestralBalm.lua',2517,'You cast Ancestral Balm III on %t.',0,0,0,1,1,0,0,0,0,190005,0,0,0,0,0,0,0,0,0,'Unset',1581111908,1384378114,0,1),
(190008,2482373757,0,0,'Ancestral Balm IV','Cures all impairment types on target ally.',209,15,316,3467160477,3587918036,480,0,1,'Your Ancestral Balm IV was successful on %t!','Your Ancestral Balm IV fades.','',1,1,'Spells/Priest/Shaman/Mystic/AncestralBalm.lua',2517,'You cast Ancestral Balm IV on %t.',0,0,0,0,1,0,0,0,0,190005,0,0,0,0,0,0,0,0,0,'Unset',1581112079,1384378114,0,1),
(190009,3329093284,0,1,'Spiritual Seal','A group augmentation that increases the noxious resistance and stamina of the mystic''s group.',208,65535,314,3343700951,3587918036,80,1,2,'Your Ancestral Mettle was successful on %t!','Your Ancestral Mettle fades.','',1,1,'Spells/Priest/Shaman/Mystic/AncestralMettle.lua',2518,'You cast Ancestral Mettle on %t.',0,0,0,1,1,1,0,0,0,190009,0,0,0,0,0,0,0,0,0,'Unset',1580788982,1384378114,0,1),
(190010,3609991632,0,1,'Umbral Fortitude','A group augmentation that increases the noxious resistance and stamina of the mystic''s group.',208,65535,314,3467160477,3587918036,150,1,2,'Your Ancestral Mettle II was successful on %t!','Your Ancestral Mettle II fades.','',1,1,'Spells/Priest/Shaman/Mystic/UmbralFortitude.lua',2518,'You cast Ancestral Mettle II on %t.',0,0,0,1,1,1,0,0,0,190009,0,0,0,0,0,0,0,0,0,'Unset',1580788994,1384378113,0,1),
(190011,4134590430,0,1,'Eidolic Mettle','A group augmentation that increases the noxious resistance and stamina of the mystic''s group.',208,65535,314,3467160477,3587918036,220,1,2,'Your Ancestral Mettle III was successful on %t!','Your Ancestral Mettle III fades.','',1,1,'Spells/Priest/Shaman/Mystic/AncestralMettle.lua',2518,'You cast Ancestral Mettle III on %t.',0,0,0,1,1,1,0,0,0,190009,0,0,0,0,0,1,0,0,0,'Unset',1580789187,1384378112,0,1),
(190012,3897359259,0,1,'Umbral Mettle','A group augmentation that increases the noxious resistance and stamina of the mystic''s group.',208,65535,314,3467160477,3587918036,290,1,2,'Your Ancestral Mettle IV was successful on %t!','Your Ancestral Mettle IV fades.','',1,1,'Spells/Priest/Shaman/Mystic/AncestralMettle.lua',2518,'You cast Ancestral Mettle IV on %t.',0,0,0,1,1,1,0,0,0,190009,0,0,0,0,0,1,0,0,0,'Unset',1580789274,1384378114,0,1),
(190013,1949684514,0,1,'Ancestral Mettle','A group augmentation that increases the noxious resistance and stamina of the mystic''s group.',208,65535,314,3467160477,3587918036,360,1,2,'Your Ancestral Mettle V was successful on %t!','Your Ancestral Mettle V fades.','',1,1,'Spells/Priest/Shaman/Mystic/AncestralMettle.lua',2518,'You cast Ancestral Mettle V on %t.',0,0,0,1,1,1,0,0,0,190009,0,0,0,0,0,1,0,0,0,'Unset',1580789306,1384378112,0,1),
(190014,933905900,0,1,'Ancestral Mettle VI','A group augmentation that increases the noxious resistance and stamina of the mystic''s group.',208,65535,314,3467160477,3587918036,410,1,2,'Your Ancestral Mettle VI was successful on %t!','Your Ancestral Mettle VI fades.','',1,1,'Spells/Priest/Shaman/Mystic/AncestralMettle.lua',2518,'You cast Ancestral Mettle VI on %t.',0,0,0,1,1,1,0,0,0,190009,0,0,0,0,0,1,0,0,0,'Unset',1580789318,1384378113,0,1),
(190015,3762865588,0,1,'Ancestral Mettle VII','A group augmentation that increases the noxious resistance and stamina of the mystic''s group.',208,65535,314,3467160477,3587918036,460,1,2,'Your Ancestral Mettle VII was successful on %t!','Your Ancestral Mettle VII fades.','',1,1,'Spells/Priest/Shaman/Mystic/AncestralMettle.lua',2518,'You cast Ancestral Mettle VII on %t.',0,0,0,1,1,1,0,0,0,190009,0,0,0,0,0,1,0,0,0,'Unset',1580789331,1384378114,0,1),
(190016,740637785,0,0,'Eidolic Savior','If target ally receives damage that would be fatal, that ally is healed health and power instead and a ward is placed on them. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,3467160477,3587918036,205,0,1,'Your Ancestral Savior was successful on %t!','Your Ancestral Savior fades.','',1,0,'Spells/Priest/Shaman/Mystic/AncestralSavior.lua',2519,'You cast Ancestral Savior on %t.',0,0,0,1,1,1,0,0,0,190016,0,0,0,0,0,0,0,0,0,'Unset',1581032853,1384378112,0,1),
(190017,2012002808,0,0,'Umbral Savior','If target ally receives damage that would be fatal, that ally is healed health and power instead and a ward is placed on them. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,3467160477,3587918036,275,0,1,'Your Ancestral Savior II was successful on %t!','Your Ancestral Savior II fades.','',1,0,'Spells/Priest/Shaman/Mystic/AncestralSavior.lua',2519,'You cast Ancestral Savior II on %t.',0,0,0,1,1,1,0,0,0,190016,0,0,0,0,0,0,0,0,0,'Unset',1581032936,1384378114,0,1),
(190018,3807319112,0,0,'Ghastly Savior','If target ally receives damage that would be fatal, that ally is healed health and power instead and a ward is placed on them. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,3467160477,3587918036,345,0,1,'Your Ancestral Savior III was successful on %t!','Your Ancestral Savior III fades.','',1,0,'Spells/Priest/Shaman/Mystic/AncestralSavior.lua',2519,'You cast Ancestral Savior III on %t.',0,0,0,1,1,1,0,0,0,190016,0,0,0,0,0,0,0,0,0,'Unset',1581033031,1384377827,0,1),
(190019,3895182824,0,0,'Ancestral Savior','If target ally receives damage that would be fatal, that ally is healed health and power instead and a ward is placed on them. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,3467160477,3587918036,400,0,1,'Your Ancestral Savior IV was successful on %t!','Your Ancestral Savior IV fades.','',1,0,'Spells/Priest/Shaman/Mystic/AncestralSavior.lua',2519,'You cast Ancestral Savior IV on %t.',0,0,0,1,1,1,0,0,0,190016,0,0,0,0,0,0,0,0,0,'Unset',1581033122,1384378114,0,1),
(190020,1070155184,0,0,'Ancestral Savior V','If target ally receives damage that would be fatal, that ally is healed health and power instead and a ward is placed on them. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,3467160477,3587918036,450,0,1,'Your Ancestral Savior V was successful on %t!','Your Ancestral Savior V fades.','',1,0,'Spells/Priest/Shaman/Mystic/AncestralSavior.lua',2519,'You cast Ancestral Savior V on %t.',0,0,0,1,1,1,0,0,0,190016,0,0,0,0,0,0,0,0,0,'Unset',1581033199,1384377827,0,1),
(190021,2230182699,0,0,'Ancestral Savior VI','If target ally receives damage that would be fatal, that ally is healed health and power instead and a ward is placed on them. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,3467160477,3587918036,500,0,1,'Your Ancestral Savior VI was successful on %t!','Your Ancestral Savior VI fades.','',1,0,'Spells/Priest/Shaman/Mystic/AncestralSavior.lua',2519,'You cast Ancestral Savior VI on %t.',0,0,0,0,1,0,0,0,0,190016,0,0,0,0,0,0,0,0,0,'Unset',1581033250,1384378114,0,1),
(190022,4098267631,0,0,'Ancestral Sentry','Summons an ancient ancestor of an ally that protects their nearby allies. The ancestor will absorb damage from nearby allies before it returns to the spiritual world.',74,65535,313,3467160477,3587918036,400,0,0,'Your Ancestral Sentry was successful on %t!','Your Ancestral Sentry fades.','',1,0,'Spells/Priest/Shaman/Mystic/AncestralSentry.lua',2520,'You cast Ancestral Sentry on %t.',0,1,0,1,1,1,0,0,0,190022,0,0,0,0,0,1,0,0,0,'Unset',1581112400,1384378114,0,1),
(190023,597957047,0,0,'Ancestral Sentry II','Summons an ancient ancestor of an ally that protects their nearby allies. The ancestor will absorb damage from nearby allies before it returns to the spiritual world.',74,65535,313,3467160477,3587918036,450,0,0,'Your Ancestral Sentry II was successful on %t!','Your Ancestral Sentry II fades.','',1,0,'Spells/Priest/Shaman/Mystic/AncestralSentry.lua',2520,'You cast Ancestral Sentry II on %t.',0,1,0,1,1,1,0,0,0,190022,0,0,0,0,0,1,0,0,0,'Unset',1581112393,1384378113,0,1),
(190024,2558574380,0,0,'Ancestral Sentry III','Summons an ancient ancestor of an ally that protects their nearby allies. The ancestor will absorb damage from nearby allies before it returns to the spiritual world.',74,65535,313,3467160477,3587918036,500,0,0,'Your Ancestral Sentry III was successful on %t!','Your Ancestral Sentry III fades.','',1,0,'Spells/Priest/Shaman/Mystic/AncestralSentry.lua',2520,'You cast Ancestral Sentry III on %t.',0,0,0,0,1,0,0,0,0,190022,0,0,0,0,0,1,0,0,0,'Unset',1581112408,1384378114,0,1),
(190025,1804412850,0,0,'Spectral Ward','Applies a powerful ward for a short duration that prevents damage to target ally until the ward has absorbed its maximum amount of damage. If any absorption remains when the ward expires, it is converted into a heal.\n\n',194,16,316,3343700951,366253016,60,0,1,'Your Ancestral Ward was successful on %t!','Your Ancestral Ward fades.','',1,0,'Spells/Priest/Shaman/Mystic/AncestralWard.lua',2521,'You cast Ancestral Ward on %t.',0,1,0,1,1,1,0,0,0,190025,0,0,0,0,0,0,0,0,0,'Unset',1580786439,1384378112,0,1),
(190026,827722767,0,0,'Ghostly Ward','Applies a powerful ward for a short duration that prevents damage to target ally until the ward has absorbed its maximum amount of damage. If any absorption remains when the ward expires, it is converted into a heal.\n\n',194,16,316,3467160477,366253016,95,0,1,'Your Ancestral Ward II was successful on %t!','Your Ancestral Ward II fades.','',1,0,'Spells/Priest/Shaman/Mystic/AncestralWard.lua',2521,'You cast Ancestral Ward II on %t.',0,1,0,1,1,1,0,0,0,190025,0,0,0,0,0,0,0,0,0,'Unset',1580786474,1384378114,0,1),
(190027,3356446724,0,0,'Ancestral Ward','Applies a powerful ward for a short duration that prevents damage to target ally until the ward has absorbed its maximum amount of damage. If any absorption remains when the ward expires, it is converted into a heal.\n\n',194,16,316,3467160477,366253016,130,0,1,'Your Ancestral Ward III was successful on %t!','Your Ancestral Ward III fades.','',1,0,'Spells/Priest/Shaman/Mystic/AncestralWardClassic.lua',2521,'You cast Ancestral Ward III on %t.',0,1,0,1,1,1,0,0,0,190025,0,0,0,0,0,0,0,0,0,'Unset',1580786495,1384377830,0,1),
(190028,4145349802,0,0,'Ancestral Aegis','Applies a powerful ward for a short duration that prevents damage to target ally until the ward has absorbed its maximum amount of damage. If any absorption remains when the ward expires, it is converted into a heal.\n\n',194,16,316,3467160477,366253016,200,0,1,'Your Ancestral Ward IV was successful on %t!','Your Ancestral Ward IV fades.','',1,0,'Spells/Priest/Shaman/Mystic/AncestralWard.lua',2521,'You cast Ancestral Ward IV on %t.',0,1,0,1,1,1,0,0,0,190025,0,0,0,0,0,1,0,0,0,'Unset',1580786552,1384378112,0,1),
(190029,2033111552,0,0,'Ancestral Ward IX','Applies a powerful ward for a short duration that prevents damage to target ally until the ward has absorbed its maximum amount of damage. If any absorption remains when the ward expires, it is converted into a heal.\n\n',194,16,316,3467160477,366253016,490,0,1,'Your Ancestral Ward IX was successful on %t!','Your Ancestral Ward IX fades.','',1,0,'Spells/Priest/Shaman/Mystic/AncestralWard.lua',2521,'You cast Ancestral Ward IX on %t.',0,0,0,0,1,0,0,0,0,190025,0,0,0,0,0,1,0,0,0,'Unset',1580786799,1384378113,0,1),
(190030,3396252746,0,0,'Sacred Aegis','Applies a powerful ward for a short duration that prevents damage to target ally until the ward has absorbed its maximum amount of damage. If any absorption remains when the ward expires, it is converted into a heal.\n\n',194,16,316,3467160477,366253016,270,0,1,'Your Ancestral Ward V was successful on %t!','Your Ancestral Ward V fades.','',1,0,'Spells/Priest/Shaman/Mystic/AncestralWard.lua',2521,'You cast Ancestral Ward V on %t.',0,1,0,1,1,1,0,0,0,190025,0,0,0,0,0,1,0,0,0,'Unset',1580786630,1384378113,0,1),
(190031,3604463143,0,0,'Ethereal Aegis','Applies a powerful ward for a short duration that prevents damage to target ally until the ward has absorbed its maximum amount of damage. If any absorption remains when the ward expires, it is converted into a heal.\n\n',194,16,316,3467160477,366253016,340,0,1,'Your Ancestral Ward VI was successful on %t!','Your Ancestral Ward VI fades.','',1,0,'Spells/Priest/Shaman/Mystic/AncestralWard.lua',2521,'You cast Ancestral Ward VI on %t.',0,1,0,1,1,1,0,0,0,190025,0,0,0,0,0,1,0,0,0,'Unset',1581112550,1384378114,0,1),
(190032,1663775277,0,0,'Ancient Aegis','Applies a powerful ward for a short duration that prevents damage to target ally until the ward has absorbed its maximum amount of damage. If any absorption remains when the ward expires, it is converted into a heal.\n\n',194,16,316,3467160477,366253016,390,0,1,'Your Ancestral Ward VII was successful on %t!','Your Ancestral Ward VII fades.','',1,0,'Spells/Priest/Shaman/Mystic/AncestralWard.lua',2521,'You cast Ancestral Ward VII on %t.',0,1,0,1,1,1,0,0,0,190025,0,0,0,0,0,1,0,0,0,'Unset',1580786687,1384378113,0,1),
(190033,4270332227,0,0,'Ancestral Ward VIII','Applies a powerful ward for a short duration that prevents damage to target ally until the ward has absorbed its maximum amount of damage. If any absorption remains when the ward expires, it is converted into a heal.\n\n',194,16,316,3467160477,366253016,440,0,1,'Your Ancestral Ward VIII was successful on %t!','Your Ancestral Ward VIII fades.','',1,0,'Spells/Priest/Shaman/Mystic/AncestralWard.lua',2521,'You cast Ancestral Ward VIII on %t.',0,1,0,1,1,1,0,0,0,190025,0,0,0,0,0,1,0,0,0,'Unset',1580786729,1384378114,0,1),
(190034,3484670453,0,0,'Bolster','Greatly boosts the attribute scores and size of an ally for a limited duration.',16,65535,316,3467160477,3587918036,325,0,1,'Your Bolster was successful on %t!','Your Bolster fades.','',1,0,'Spells/Priest/Shaman/Mystic/Bolster.lua',2522,'You cast Bolster on %t.',0,1,0,1,1,1,0,0,0,190034,0,0,0,0,0,0,0,0,0,'Unset',1581112280,1384377827,0,1),
(190035,3349307562,0,0,'Enfeeble','An impairment that decreases the target''s strength and agility.',281,16,315,3467160477,3587918036,35,0,1,'Your Deteriorate was successful on %t!','Your Deteriorate fades.','',1,0,'Spells/Priest/Shaman/Mystic/Deteriorate.lua',2523,'You cast Deteriorate on %t.',0,0,0,1,0,0,2,0,0,190035,0,0,0,0,0,0,0,0,0,'Unset',1580785765,1384377827,0,1),
(190036,939015691,0,0,'Delusion','An impairment that decreases the target''s strength and agility.',281,16,315,3467160477,3587918036,105,0,1,'Your Deteriorate II was successful on %t!','Your Deteriorate II fades.','',1,0,'Spells/Priest/Shaman/Mystic/Delusion.lua',2523,'You cast Deteriorate II on %t.',0,0,0,1,0,1,2,0,0,190035,0,0,0,0,0,0,0,0,0,'Unset',1580785816,1384377827,0,1),
(190037,3440722927,0,0,'Fallacy','An impairment that decreases the target''s strength and agility.',281,16,315,3467160477,3587918036,175,0,1,'Your Deteriorate III was successful on %t!','Your Deteriorate III fades.','',1,0,'Spells/Priest/Shaman/Mystic/Deteriorate.lua',2523,'You cast Deteriorate III on %t.',0,0,0,1,0,1,2,0,0,190035,0,0,0,0,0,1,0,0,0,'Unset',1580785871,1384378113,0,1),
(190038,3880011599,0,0,'Chimerik','An impairment that decreases the target''s strength and agility.',281,16,315,3467160477,3587918036,245,0,1,'Your Deteriorate IV was successful on %t!','Your Deteriorate IV fades.','',1,0,'Spells/Priest/Shaman/Mystic/Deteriorate.lua',2523,'You cast Deteriorate IV on %t.',0,0,0,1,0,1,2,0,0,190035,0,0,0,0,0,1,0,0,0,'Unset',1580785911,1384378112,0,1),
(190039,2033424391,0,0,'Eidolon','An impairment that decreases the target''s strength and agility.',281,16,315,3467160477,3587918036,320,0,1,'Your Deteriorate V was successful on %t!','Your Deteriorate V fades.','',1,0,'Spells/Priest/Shaman/Mystic/Deteriorate.lua',2523,'You cast Deteriorate V on %t.',0,0,0,1,0,1,2,0,0,190035,0,0,0,0,0,1,0,0,0,'Unset',1580786062,1384378114,0,1),
(190040,4152853456,0,0,'Deteriorate','An impairment that decreases the target''s strength and agility.',281,16,315,3467160477,3587918036,380,0,1,'Your Deteriorate VI was successful on %t!','Your Deteriorate VI fades.','',1,0,'Spells/Priest/Shaman/Mystic/Deteriorate.lua',2523,'You cast Deteriorate VI on %t.',0,0,0,1,0,1,2,0,0,190035,0,0,0,0,0,1,0,0,0,'Unset',1580786282,1384378113,0,1),
(190041,2702391078,0,0,'Deteriorate VII','An impairment that decreases the target''s strength and agility.',281,16,315,3467160477,3587918036,430,0,1,'Your Deteriorate VII was successful on %t!','Your Deteriorate VII fades.','',1,0,'Spells/Priest/Shaman/Mystic/Deteriorate.lua',2523,'You cast Deteriorate VII on %t.',0,0,0,1,0,1,2,0,0,190035,0,0,0,0,0,1,0,0,0,'Unset',1580786333,1384378114,0,1),
(190042,1008522832,0,0,'Deteriorate VIII','An impairment that decreases the target''s strength and agility.',281,16,315,3467160477,3587918036,480,0,1,'Your Deteriorate VIII was successful on %t!','Your Deteriorate VIII fades.','',1,0,'Spells/Priest/Shaman/Mystic/Deteriorate.lua',2523,'You cast Deteriorate VIII on %t.',0,0,0,0,0,0,2,0,0,190035,0,0,0,0,0,1,0,0,0,'Unset',1580786388,1384378114,0,1),
(190043,2251807006,0,0,'Fadingspirits','Cures impairments on the mystic''s group.',747,13,314,3467160477,366253016,210,0,2,'Your Ebbing Spirit was successful on %t!','Your Ebbing Spirit fades.','',1,0,'Spells/Priest/Shaman/Mystic/EbbingSpirit.lua',2524,'You cast Ebbing Spirit on %t.',0,0,0,1,1,0,0,0,0,190043,0,0,0,0,0,1,0,0,0,'Unset',1581033327,1384378112,0,1),
(190044,2934735202,0,0,'Gasping Spirit','Cures impairments on the mystic''s group.',747,13,314,3467160477,366253016,280,0,2,'Your Ebbing Spirit II was successful on %t!','Your Ebbing Spirit II fades.','',1,0,'Spells/Priest/Shaman/Mystic/EbbingSpirit.lua',2524,'You cast Ebbing Spirit II on %t.',0,0,0,1,1,0,0,0,0,190043,0,0,0,0,0,1,0,0,0,'Unset',1581033359,1384378114,0,1),
(190045,462347794,0,0,'Ebbing Spirit','Cures impairments on the mystic''s group.',747,13,314,3467160477,366253016,350,0,2,'Your Ebbing Spirit III was successful on %t!','Your Ebbing Spirit III fades.','',1,0,'Spells/Priest/Shaman/Mystic/EbbingSpirit.lua',2524,'You cast Ebbing Spirit III on %t.',0,0,0,1,1,0,0,0,0,190043,0,0,0,0,0,1,0,0,0,'Unset',1581033382,1384377827,0,1),
(190046,3811191793,0,0,'Cry of the Ancients','An impairment that increases damage dealt to the target and reduces noxious and elemental resistance to an entire enemy encounter.  The target encounter is also interrupted.  \"Choose to be strong of body and not strong of soul.\" - General Urduuk',184,12,312,3467160477,3587918036,130,0,2,'Your Echoes of the Ancients was successful on %t!','Your Echoes of the Ancients fades.','',1,0,'Spells/Priest/Shaman/Mystic/CryoftheAncients.lua',2525,'You cast Echoes of the Ancients on %t.',0,0,0,1,0,1,3,0,0,190046,0,0,0,0,0,0,0,0,0,'Unset',1580791566,1384378113,0,1),
(190047,1952433870,0,0,'Howl of the Ancients','An impairment that increases damage dealt to the target and reduces noxious and elemental resistance to an entire enemy encounter.  The target encounter is also interrupted.  \"Choose to be strong of body and not strong of soul.\" - General Urduuk',184,12,312,3467160477,3587918036,200,0,2,'Your Echoes of the Ancients II was successful on %t!','Your Echoes of the Ancients II fades.','',1,0,'Spells/Priest/Shaman/Mystic/EchoesoftheAncients.lua',2525,'You cast Echoes of the Ancients II on %t.',0,0,0,1,0,1,3,0,0,190046,0,0,0,0,0,1,0,0,0,'Unset',1580791689,1384378112,0,1),
(190048,995256808,0,0,'Scream of the Ancients','An impairment that increases damage dealt to the target and reduces noxious and elemental resistance to an entire enemy encounter.  The target encounter is also interrupted.  \"Choose to be strong of body and not strong of soul.\" - General Urduuk',184,12,312,3467160477,3587918036,270,0,2,'Your Echoes of the Ancients III was successful on %t!','Your Echoes of the Ancients III fades.','',1,0,'Spells/Priest/Shaman/Mystic/EchoesoftheAncients.lua',2525,'You cast Echoes of the Ancients III on %t.',0,0,0,1,0,1,3,0,0,190046,0,0,0,0,0,1,0,0,0,'Unset',1580791758,1384378113,0,1),
(190049,750693834,0,0,'Wail of the Ancients','An impairment that increases damage dealt to the target and reduces noxious and elemental resistance to an entire enemy encounter.  The target encounter is also interrupted.  \"Choose to be strong of body and not strong of soul.\" - General Urduuk',184,12,312,3467160477,3587918036,340,0,2,'Your Echoes of the Ancients IV was successful on %t!','Your Echoes of the Ancients IV fades.','',1,0,'Spells/Priest/Shaman/Mystic/EchoesoftheAncients.lua',2525,'You cast Echoes of the Ancients IV on %t.',0,0,0,1,0,1,3,0,0,190046,0,0,0,0,0,1,0,0,0,'Unset',1580791807,1384378114,0,1),
(190050,3708239408,0,0,'Echoes of the Ancients','An impairment that increases damage dealt to the target and reduces noxious and elemental resistance to an entire enemy encounter.  The target encounter is also interrupted.  \"Choose to be strong of body and not strong of soul.\" - General Urduuk',184,12,312,3467160477,3587918036,395,0,2,'Your Echoes of the Ancients V was successful on %t!','Your Echoes of the Ancients V fades.','',1,0,'Spells/Priest/Shaman/Mystic/EchoesoftheAncients.lua',2525,'You cast Echoes of the Ancients V on %t.',0,0,0,1,0,1,3,0,0,190046,0,0,0,0,0,1,0,0,0,'Unset',1580791865,1384378113,0,1),
(190051,1063014703,0,0,'Echoes of the Ancients VI','An impairment that increases damage dealt to the target and reduces noxious and elemental resistance to an entire enemy encounter.  The target encounter is also interrupted.  \"Choose to be strong of body and not strong of soul.\" - General Urduuk',184,12,312,3467160477,3587918036,445,0,2,'Your Echoes of the Ancients VI was successful on %t!','Your Echoes of the Ancients VI fades.','',1,0,'Spells/Priest/Shaman/Mystic/EchoesoftheAncients.lua',2525,'You cast Echoes of the Ancients VI on %t.',0,0,0,1,0,1,3,0,0,190046,0,0,0,0,0,1,0,0,0,'Unset',1580791947,1384378114,0,1),
(190052,2597830945,0,0,'Echoes of the Ancients VII','An impairment that increases damage dealt to the target and reduces noxious and elemental resistance to an entire enemy encounter.  The target encounter is also interrupted.  \"Choose to be strong of body and not strong of soul.\" - General Urduuk',184,12,312,3467160477,3587918036,495,0,2,'Your Echoes of the Ancients VII was successful on %t!','Your Echoes of the Ancients VII fades.','',1,0,'Spells/Priest/Shaman/Mystic/EchoesoftheAncients.lua',2525,'You cast Echoes of the Ancients VII on %t.',0,0,0,0,0,1,3,0,0,190046,0,0,0,0,0,1,0,0,0,'Unset',1580792015,1384378113,0,1),
(190053,2500780724,0,0,'Fields of the Grey','Resurrects nearby fallen allies near the targeted dead ally. This spell can be used in combat and has a longer range than normal.',156,15,314,3467160477,366253016,180,0,6,'Your Fields of the Grey was successful on %t!','Your Fields of the Grey fades.','',1,0,'Spells/Priest/Shaman/Mystic/FieldsoftheGrey.lua',2526,'You cast Fields of the Grey on %t.',0,1,1,0,1,0,0,0,0,190053,0,0,0,0,0,1,0,0,0,'Unset',1581032500,1384378112,0,1),
(190054,2806981142,0,0,'Cold Fire','An impairment that deals cold damage over time to the enemy.',235,14,315,3467160477,613995491,115,0,1,'Your Glacial Flames was successful on %t!','Your Glacial Flames fades.','',1,0,'Spells/Priest/Shaman/Mystic/ColdFire.lua',2527,'You cast Glacial Flames on %t.',0,0,0,1,0,1,4,0,0,190054,0,0,0,0,0,0,0,0,0,'DoT',1580790167,1384378113,0,1),
(190055,2277353540,0,0,'Icy Flames','An impairment that deals cold damage over time to the enemy.',235,14,315,3467160477,613995491,185,0,1,'Your Glacial Flames II was successful on %t!','Your Glacial Flames II fades.','',1,0,'Spells/Priest/Shaman/Mystic/GlacialFlames.lua',2527,'You cast Glacial Flames II on %t.',0,0,0,1,0,1,4,0,0,190054,0,0,0,0,0,1,0,0,0,'DoT',1580790251,1384378112,0,1),
(190056,501777543,0,0,'Arctic Flames','An impairment that deals cold damage over time to the enemy.',235,14,315,3467160477,613995491,255,0,1,'Your Glacial Flames III was successful on %t!','Your Glacial Flames III fades.','',1,0,'Spells/Priest/Shaman/Mystic/GlacialFlames.lua',2527,'You cast Glacial Flames III on %t.',0,0,0,1,0,1,4,0,0,190054,0,0,0,0,0,1,0,0,0,'DoT',1580790363,1384377827,0,1),
(190057,3496145890,0,0,'Glacial Flames','An impairment that deals cold damage over time to the enemy.',235,14,315,3467160477,613995491,325,0,1,'Your Glacial Flames IV was successful on %t!','Your Glacial Flames IV fades.','',1,0,'Spells/Priest/Shaman/Mystic/GlacialFlames.lua',2527,'You cast Glacial Flames IV on %t.',0,0,0,1,0,1,4,0,0,190054,0,0,0,0,0,1,0,0,0,'DoT',1580790450,1384378114,0,1),
(190058,935262949,0,0,'Ice Age','An impairment that deals cold damage over time to the enemy.',235,14,315,3467160477,613995491,385,0,1,'Your Glacial Flames V was successful on %t!','Your Glacial Flames V fades.','',1,0,'Spells/Priest/Shaman/Mystic/GlacialFlames.lua',2527,'You cast Glacial Flames V on %t.',0,0,0,1,0,1,4,0,0,190054,0,0,0,0,0,1,0,0,0,'DoT',1580790771,1384378113,0,1),
(190059,384183831,0,0,'Glacial Flames VI','An impairment that deals cold damage over time to the enemy.',235,14,315,3467160477,613995491,435,0,1,'Your Glacial Flames VI was successful on %t!','Your Glacial Flames VI fades.','',1,0,'Spells/Priest/Shaman/Mystic/GlacialFlames.lua',2527,'You cast Glacial Flames VI on %t.',0,0,0,1,0,1,4,0,0,190054,0,0,0,0,0,1,0,0,0,'DoT',1580790964,1384378114,0,1),
(190060,2436949332,0,0,'Glacial Flames VII','An impairment that deals cold damage over time to the enemy.',235,14,315,3467160477,613995491,485,0,1,'Your Glacial Flames VII was successful on %t!','Your Glacial Flames VII fades.','',1,0,'Spells/Priest/Shaman/Mystic/GlacialFlames.lua',2527,'You cast Glacial Flames VII on %t.',0,0,0,0,0,0,4,0,0,190054,0,0,0,0,0,1,0,0,0,'DoT',1580791217,1384378113,0,1),
(190061,1518121134,0,0,'Haze','Impairment that decreases target''s attack speed and offensive melee skills.',193,15,315,3467160477,3587918036,10,0,1,'Your Haze was successful on %t!','Your Haze fades.','',1,0,'Spells/Priest/Shaman/Mystic/Haze.lua',2528,'You cast Haze on %t.',0,0,0,1,0,0,3,0,0,190061,0,0,0,0,0,0,0,0,0,'Unset',1580783180,1384378112,0,1),
(190062,1336145389,0,0,'Wailing Haze','Impairment that decreases target''s attack speed and offensive melee skills.',193,15,315,3343700951,3587918036,50,0,1,'Your Haze II was successful on %t!','Your Haze II fades.','',1,0,'Spells/Priest/Shaman/Mystic/Haze.lua',2528,'You cast Haze II on %t.',0,0,0,1,0,0,3,0,0,190061,0,0,0,0,0,0,0,0,0,'Unset',1580783234,1384378112,0,1),
(190063,981046096,0,0,'Keening Haze','Impairment that decreases target''s attack speed and offensive melee skills.',193,15,315,3467160477,3587918036,120,0,1,'Your Haze III was successful on %t!','Your Haze III fades.','',1,0,'Spells/Priest/Shaman/Mystic/KeeningHaze.lua',2528,'You cast Haze III on %t.',0,0,0,1,0,1,3,0,0,190061,0,0,0,0,0,0,0,0,0,'Unset',1580783305,1384378113,0,1),
(190064,1303893654,0,0,'Howling Haze','Impairment that decreases target''s attack speed and offensive melee skills.',193,15,315,3467160477,3587918036,190,0,1,'Your Haze IV was successful on %t!','Your Haze IV fades.','',1,0,'Spells/Priest/Shaman/Mystic/Haze.lua',2528,'You cast Haze IV on %t.',0,0,0,1,0,1,3,0,0,190061,0,0,0,0,0,1,0,0,0,'Unset',1580783352,1384378113,0,1),
(190065,3298850378,0,0,'Weeping Haze','Impairment that decreases target''s attack speed and offensive melee skills.',193,15,315,3467160477,3587918036,260,0,1,'Your Haze V was successful on %t!','Your Haze V fades.','',1,0,'Spells/Priest/Shaman/Mystic/Haze.lua',2528,'You cast Haze V on %t.',0,0,0,1,0,1,3,0,0,190061,0,0,0,0,0,1,0,0,0,'Unset',1580783412,1384378114,0,1),
(190066,1988308793,0,0,'Shrieking Haze','Impairment that decreases target''s attack speed and offensive melee skills.',193,15,315,3467160477,3587918036,330,0,1,'Your Haze VI was successful on %t!','Your Haze VI fades.','',1,0,'Spells/Priest/Shaman/Mystic/Haze.lua',2528,'You cast Haze VI on %t.',0,0,0,1,0,1,3,0,0,190061,0,0,0,0,0,1,0,0,0,'Unset',1580783481,1384378114,0,1),
(190067,1419994454,0,0,'Mourning Soul','Impairment that decreases target''s combat attack damage.',268,16,315,3467160477,3587918036,195,0,1,'Your Lamenting Soul was successful on %t!','Your Lamenting Soul fades.','',1,0,'Spells/Priest/Shaman/Mystic/LamentingSoul.lua',2529,'You cast Lamenting Soul on %t.',0,0,0,1,0,1,3,0,0,190067,0,0,0,0,0,1,0,0,0,'Unset',1581032579,1384378112,0,1),
(190068,3508226115,0,0,'Grieving Soul','Impairment that decreases target''s combat attack damage.',268,16,315,3467160477,3587918036,265,0,1,'Your Lamenting Soul II was successful on %t!','Your Lamenting Soul II fades.','',1,0,'Spells/Priest/Shaman/Mystic/LamentingSoul.lua',2529,'You cast Lamenting Soul II on %t.',0,0,0,1,0,1,3,0,0,190067,0,0,0,0,0,1,0,0,0,'Unset',1581032644,1384377827,0,1),
(190069,3818255160,0,0,'Lamenting Soul','Impairment that decreases target''s combat attack damage.',268,16,315,3467160477,3587918036,335,0,1,'Your Lamenting Soul III was successful on %t!','Your Lamenting Soul III fades.','',1,0,'Spells/Priest/Shaman/Mystic/LamentingSoul.lua',2529,'You cast Lamenting Soul III on %t.',0,0,0,1,0,1,3,0,0,190067,0,0,0,0,0,1,0,0,0,'Unset',1581032715,1384378114,0,1),
(190070,1639467071,0,0,'Grim Lethargy','An impairment that decreases the attack speed of the enemy and surrounding encounter members.',246,15,312,3467160477,3587918036,175,0,1,'Your Lethargy was successful on %t!','Your Lethargy fades.','',1,0,'Spells/Priest/Shaman/Mystic/Lethargy.lua',2530,'You cast Lethargy on %t.',0,0,0,1,0,1,3,0,0,190070,0,0,0,0,0,1,0,0,0,'Unset',1580793047,1384378112,0,1),
(190071,2642195269,0,0,'Dreadful Lethargy','An impairment that decreases the attack speed of the enemy and surrounding encounter members.',246,15,312,3467160477,3587918036,245,0,1,'Your Lethargy II was successful on %t!','Your Lethargy II fades.','',1,0,'Spells/Priest/Shaman/Mystic/Lethargy.lua',2530,'You cast Lethargy II on %t.',0,0,0,1,0,1,3,0,0,190070,0,0,0,0,0,1,0,0,0,'Unset',1581032140,1384378112,0,1),
(190072,3918238656,0,0,'Lethargy','An impairment that decreases the attack speed of the enemy and surrounding encounter members.',246,15,312,3467160477,3587918036,315,0,1,'Your Lethargy III was successful on %t!','Your Lethargy III fades.','',1,0,'Spells/Priest/Shaman/Mystic/Lethargy.lua',2530,'You cast Lethargy III on %t.',0,0,0,1,0,1,3,0,0,190070,0,0,0,0,0,1,0,0,0,'Unset',1581032399,1384378114,0,1);
INSERT INTO `spells` VALUES
(190073,1063511743,0,0,'Aide','Summons a protective spirit which cannot attack but casts beneficial spells on the mystic''s allies.',244,15,317,3467160477,882983852,225,0,0,'Your Lunar Attendant was successful on %t!','Your Lunar Attendant fades.','',1,0,'Spells/Priest/Shaman/Mystic/LunarAttendant.lua',2531,'You cast Lunar Attendant on %t.',0,0,0,1,1,1,0,0,0,190073,0,0,0,0,0,1,0,0,0,'Unset',1581033424,1384378112,0,1),
(190074,803643732,0,0,'Umbral Attendant','Summons a protective spirit which cannot attack but casts beneficial spells on the mystic''s allies.',244,15,317,3467160477,882983852,295,0,0,'Your Lunar Attendant II was successful on %t!','Your Lunar Attendant II fades.','',1,0,'Spells/Priest/Shaman/Mystic/LunarAttendant.lua',2531,'You cast Lunar Attendant II on %t.',0,0,0,1,1,1,0,0,0,190073,0,0,0,0,0,1,0,0,0,'Unset',1581033455,1384378114,0,1),
(190075,4065121268,0,0,'Lunar Attendant','Summons a protective spirit which cannot attack but casts beneficial spells on the mystic''s allies.',244,15,317,3467160477,882983852,365,0,0,'Your Lunar Attendant III was successful on %t!','Your Lunar Attendant III fades.','',1,0,'Spells/Priest/Shaman/Mystic/LunarAttendant.lua',2531,'You cast Lunar Attendant III on %t.',0,0,0,1,1,1,0,0,0,190073,0,0,0,0,0,1,0,0,0,'Unset',1581033476,1384378112,0,1),
(190076,70481820,0,0,'Lunar Attendant IV','Summons a protective spirit which cannot attack but casts beneficial spells on the mystic''s allies.',244,15,317,3467160477,882983852,415,0,0,'Your Lunar Attendant IV was successful on %t!','Your Lunar Attendant IV fades.','',1,0,'Spells/Priest/Shaman/Mystic/LunarAttendant.lua',2531,'You cast Lunar Attendant IV on %t.',0,0,0,1,1,1,0,0,0,190073,0,0,0,0,0,1,0,0,0,'Unset',1581033496,1384378114,0,1),
(190077,3949052285,0,0,'Lunar Attendant V','Summons a protective spirit which cannot attack but casts beneficial spells on the mystic''s allies.',244,15,317,3467160477,882983852,465,0,0,'Your Lunar Attendant V was successful on %t!','Your Lunar Attendant V fades.','',1,0,'Spells/Priest/Shaman/Mystic/LunarAttendant.lua',2531,'You cast Lunar Attendant V on %t.',0,0,0,0,1,0,0,0,0,190073,0,0,0,0,0,1,0,0,0,'Unset',1581033505,1384377827,0,1),
(190078,1719185754,0,0,'Oberon','Grants a powerful ward to a chosen ally. This ward will slowly regenerate absorption for the duration of the spell. The mystic''s power is drained, but the spell can be toggled off early if desired. ',199,16,316,3467160477,366253016,250,0,1,'Your Oberon was successful on %t!','Your Oberon fades.','',1,0,'Spells/Priest/Shaman/Mystic/Oberon.lua',2532,'You cast Oberon on %t.',0,0,0,1,1,1,0,0,0,190078,0,0,0,0,0,0,0,0,0,'Unset',1581109107,1384377827,0,1),
(190079,1752859071,0,0,'Oberon Barrier','Grants a powerful ward to a chosen ally. This ward will slowly regenerate absorption for the duration of the spell. The mystic''s power is drained, but the spell can be toggled off early if desired. ',199,16,316,3467160477,366253016,350,0,1,'Your Oberon II was successful on %t!','Your Oberon II fades.','',1,0,'Spells/Priest/Shaman/Mystic/Oberon.lua',2532,'You cast Oberon II on %t.',0,0,0,1,1,1,0,0,0,190078,0,0,0,0,0,0,0,0,0,'Unset',1581109614,1384378112,0,1),
(190080,1581693773,0,0,'Oberon Obstruction','Grants a powerful ward to a chosen ally. This ward will slowly regenerate absorption for the duration of the spell. The mystic''s power is drained, but the spell can be toggled off early if desired. ',199,16,316,3467160477,366253016,400,0,1,'Your Oberon III was successful on %t!','Your Oberon III fades.','',1,0,'Spells/Priest/Shaman/Mystic/Oberon.lua',2532,'You cast Oberon III on %t.',0,0,0,1,1,1,0,0,0,190078,0,0,0,0,0,0,0,0,0,'Unset',1581109831,1384378113,0,1),
(190081,2553630001,0,0,'Oberon IV','Grants a powerful ward to a chosen ally. This ward will slowly regenerate absorption for the duration of the spell. The mystic''s power is drained, but the spell can be toggled off early if desired. ',199,16,316,3467160477,366253016,450,0,1,'Your Oberon IV was successful on %t!','Your Oberon IV fades.','',1,0,'Spells/Priest/Shaman/Mystic/Oberon.lua',2532,'You cast Oberon IV on %t.',0,0,0,1,1,1,0,0,0,190078,0,0,0,0,0,0,0,0,0,'Unset',1581109955,1384378114,0,1),
(190082,3679752276,0,0,'Oberon V','Grants a powerful ward to a chosen ally. This ward will slowly regenerate absorption for the duration of the spell. The mystic''s power is drained, but the spell can be toggled off early if desired. ',199,16,316,3467160477,366253016,500,0,1,'Your Oberon V was successful on %t!','Your Oberon V fades.','',1,0,'Spells/Priest/Shaman/Mystic/Oberon.lua',2532,'You cast Oberon V on %t.',0,0,0,0,1,0,0,0,0,190078,0,0,0,0,0,0,0,0,0,'Unset',1581110097,1384378114,0,1),
(190083,971362009,0,0,'Path of the Grey','Resurrects a dead ally. This spell can be used in combat and has a longer range than normal.',156,15,316,3467160477,366253016,110,0,6,'Your Path of the Grey was successful on %t!','Your Path of the Grey fades.','',1,0,'Spells/Priest/Shaman/Mystic/PathoftheGreyClassic.lua',2533,'You cast Path of the Grey on %t.',0,1,1,0,1,0,0,0,0,190083,0,0,0,0,0,0,0,0,0,'Unset',1580789978,1384378113,0,1),
(190084,568861492,0,0,'Fever','Deals disease damage over time to the enemy. Additional damage is dealt if the enemy is a being of shadow.',197,14,315,3467160477,613995491,15,0,1,'Your Plague was successful on %t!','Your Plague fades.','',1,0,'Spells/Priest/Shaman/Mystic/Plague.lua',2534,'You cast Plague on %t.',0,0,0,1,0,0,3,0,0,190084,0,0,0,0,0,0,0,0,0,'DoT',1580783583,1384378111,0,1),
(190085,1887227030,0,0,'Sickness','Deals disease damage over time to the enemy. Additional damage is dealt if the enemy is a being of shadow.',197,14,315,3467160477,613995491,55,0,1,'Your Plague II was successful on %t!','Your Plague II fades.','',1,0,'Spells/Priest/Shaman/Mystic/Plague.lua',2534,'You cast Plague II on %t.',0,0,0,1,0,0,3,0,0,190084,0,0,0,0,0,0,0,0,0,'DoT',1580783614,1384378112,0,1),
(190086,2768017745,0,0,'Miasma','Deals disease damage over time to the enemy. Additional damage is dealt if the enemy is a being of shadow.',197,14,315,3467160477,613995491,125,0,1,'Your Plague III was successful on %t!','Your Plague III fades.','',1,0,'Spells/Priest/Shaman/Mystic/Miasma.lua',2534,'You cast Plague III on %t.',0,0,0,1,0,1,3,0,0,190084,0,0,0,0,0,0,0,0,0,'DoT',1580783706,1384378156,0,1),
(190087,3887509868,0,0,'Pox','Deals disease damage over time to the enemy. Additional damage is dealt if the enemy is a being of shadow.',197,14,315,3467160477,613995491,195,0,1,'Your Plague IV was successful on %t!','Your Plague IV fades.','',1,0,'Spells/Priest/Shaman/Mystic/Plague.lua',2534,'You cast Plague IV on %t.',0,0,0,1,0,1,3,0,0,190084,0,0,0,0,0,1,0,0,0,'DoT',1580783848,1384378113,0,1),
(190088,3020983604,0,0,'Plague IX','Deals disease damage over time to the enemy. Additional damage is dealt if the enemy is a being of shadow.',197,14,315,3467160477,613995491,490,0,1,'Your Plague IX was successful on %t!','Your Plague IX fades.','',1,0,'Spells/Priest/Shaman/Mystic/Plague.lua',2534,'You cast Plague IX on %t.',0,0,0,0,0,0,3,0,0,190084,0,0,0,0,0,1,0,0,0,'DoT',1580784242,1384378113,0,1),
(190089,4173499812,0,0,'Fevered Pox','Deals disease damage over time to the enemy. Additional damage is dealt if the enemy is a being of shadow.',197,14,315,3467160477,613995491,265,0,1,'Your Plague V was successful on %t!','Your Plague V fades.','',1,0,'Spells/Priest/Shaman/Mystic/Plague.lua',2534,'You cast Plague V on %t.',0,0,0,1,0,1,3,0,0,190084,0,0,0,0,0,1,0,0,0,'DoT',1580783916,1384378114,0,1),
(190090,2995343433,0,0,'Plague','Deals disease damage over time to the enemy. Additional damage is dealt if the enemy is a being of shadow.',197,14,315,3467160477,613995491,335,0,1,'Your Plague VI was successful on %t!','Your Plague VI fades.','',1,0,'Spells/Priest/Shaman/Mystic/Plague.lua',2534,'You cast Plague VI on %t.',0,0,0,1,0,1,3,0,0,190084,0,0,0,0,0,1,0,0,0,'DoT',1580784002,1384378114,0,1),
(190091,2064466975,0,0,'Epidemic','Deals disease damage over time to the enemy. Additional damage is dealt if the enemy is a being of shadow.',197,14,315,3467160477,613995491,390,0,1,'Your Plague VII was successful on %t!','Your Plague VII fades.','',1,0,'Spells/Priest/Shaman/Mystic/Plague.lua',2534,'You cast Plague VII on %t.',0,0,0,1,0,1,3,0,0,190084,0,0,0,0,0,1,0,0,0,'DoT',1580784085,1384378113,0,1),
(190092,2741737847,0,0,'Plague VIII','Deals disease damage over time to the enemy. Additional damage is dealt if the enemy is a being of shadow.',197,14,315,3467160477,613995491,440,0,1,'Your Plague VIII was successful on %t!','Your Plague VIII fades.','',1,0,'Spells/Priest/Shaman/Mystic/Plague.lua',2534,'You cast Plague VIII on %t.',0,0,0,1,0,1,3,0,0,190084,0,0,0,0,0,1,0,0,0,'DoT',1580784170,1384378114,0,1),
(190093,64748398,0,1,'Minor Auspice','An augmentation that increases the health and power of the mystic''s ally.',245,13,316,3467160477,3587918036,20,1,1,'Your Premonition was successful on %t!','Your Premonition fades.','',1,1,'Spells/Priest/Shaman/Mystic/Premonition.lua',2535,'You cast Premonition on %t.',0,0,0,1,1,1,0,0,0,190093,0,0,0,0,0,0,0,0,0,'Unset',1580785053,1384378112,0,1),
(190094,3056957686,0,1,'Auspice','An augmentation that increases the health and power of the mystic''s ally.',245,13,316,3343700951,3587918036,80,1,1,'Your Premonition II was successful on %t!','Your Premonition II fades.','',1,1,'Spells/Priest/Shaman/Mystic/Premonition.lua',2535,'You cast Premonition II on %t.',0,0,0,1,1,1,0,0,0,190093,0,0,0,0,0,0,0,0,0,'Unset',1580785069,1384378114,0,1),
(190095,444278822,0,1,'Omen','An augmentation that increases the health and power of the mystic''s ally.',245,13,316,3467160477,3587918036,150,1,1,'Your Premonition III was successful on %t!','Your Premonition III fades.','',1,1,'Spells/Priest/Shaman/Mystic/Omen.lua',2535,'You cast Premonition III on %t.',0,0,0,1,1,1,0,0,0,190093,0,0,0,0,0,0,0,0,0,'Unset',1580785096,1384378113,0,1),
(190096,2057500355,0,1,'Prophecy','An augmentation that increases the health and power of the mystic''s ally.',245,13,316,3467160477,3587918036,220,1,1,'Your Premonition IV was successful on %t!','Your Premonition IV fades.','',1,1,'Spells/Priest/Shaman/Mystic/Premonition.lua',2535,'You cast Premonition IV on %t.',0,0,0,1,1,1,0,0,0,190093,0,0,0,0,0,1,0,0,0,'Unset',1580785136,1384378112,0,1),
(190097,1663008317,0,1,'Foretelling','An augmentation that increases the health and power of the mystic''s ally.',245,13,316,3467160477,3587918036,290,1,1,'Your Premonition V was successful on %t!','Your Premonition V fades.','',1,1,'Spells/Priest/Shaman/Mystic/Premonition.lua',2535,'You cast Premonition V on %t.',0,0,0,1,1,1,0,0,0,190093,0,0,0,0,0,1,0,0,0,'Unset',1580785174,1384378114,0,1),
(190098,99462521,0,1,'Premonition','An augmentation that increases the health and power of the mystic''s ally.',245,13,316,3467160477,3587918036,360,1,1,'Your Premonition VI was successful on %t!','Your Premonition VI fades.','',1,1,'Spells/Priest/Shaman/Mystic/Premonition.lua',2535,'You cast Premonition VI on %t.',0,0,0,1,1,1,0,0,0,190093,0,0,0,0,0,1,0,0,0,'Unset',1580785217,1384378112,0,1),
(190099,1400445327,0,1,'Premonition VII','An augmentation that increases the health and power of the mystic''s ally.',245,13,316,3467160477,3587918036,410,1,1,'Your Premonition VII was successful on %t!','Your Premonition VII fades.','',1,1,'Spells/Priest/Shaman/Mystic/Premonition.lua',2535,'You cast Premonition VII on %t.',0,0,0,1,1,1,0,0,0,190093,0,0,0,0,0,1,0,0,0,'Unset',1580785264,1384378114,0,1),
(190100,3463903481,0,1,'Premonition VIII','An augmentation that increases the health and power of the mystic''s ally.',245,13,316,3467160477,3587918036,460,1,1,'Your Premonition VIII was successful on %t!','Your Premonition VIII fades.','',1,1,'Spells/Priest/Shaman/Mystic/Premonition.lua',2535,'You cast Premonition VIII on %t.',0,0,0,1,1,1,0,0,0,190093,0,0,0,0,0,1,0,0,0,'Unset',1580785304,1384378114,0,1),
(190101,1646871254,0,0,'Prophetic Guard','A group augmentation that places a protective barrier over the mystic''s group, that increases noxious resistance and wards noxious sources of damage for a limited duration.',245,13,314,3467160477,3587918036,145,0,2,'Your Prophetic Ward was successful on %t!','Your Prophetic Ward fades.','',1,0,'Spells/Priest/Shaman/Mystic/PropheticGuard.lua',2537,'You cast Prophetic Ward on %t.',0,0,0,1,1,1,0,0,0,190101,0,0,0,0,0,0,0,0,0,'Unset',1580792355,1384378113,0,1),
(190102,65165530,0,0,'Prophetic Shield','A group augmentation that places a protective barrier over the mystic''s group, that increases noxious resistance and wards noxious sources of damage for a limited duration.',245,13,314,3467160477,3587918036,215,0,2,'Your Prophetic Ward II was successful on %t!','Your Prophetic Ward II fades.','',1,0,'Spells/Priest/Shaman/Mystic/PropheticWard.lua',2537,'You cast Prophetic Ward II on %t.',0,0,0,1,1,1,0,0,0,190101,0,0,0,0,0,0,0,0,0,'Unset',1580792407,1384378112,0,1),
(190103,1885134678,0,0,'Prophetic Aegis','A group augmentation that places a protective barrier over the mystic''s group, that increases noxious resistance and wards noxious sources of damage for a limited duration.',245,13,314,3467160477,3587918036,285,0,2,'Your Prophetic Ward III was successful on %t!','Your Prophetic Ward III fades.','',1,0,'Spells/Priest/Shaman/Mystic/PropheticWard.lua',2537,'You cast Prophetic Ward III on %t.',0,0,0,1,1,1,0,0,0,190101,0,0,0,0,0,0,0,0,0,'Unset',1580792422,1384378114,0,1),
(190104,2331581027,0,0,'Prophetic Ward','A group augmentation that places a protective barrier over the mystic''s group, that increases noxious resistance and wards noxious sources of damage for a limited duration.',245,13,314,3467160477,3587918036,355,0,2,'Your Prophetic Ward IV was successful on %t!','Your Prophetic Ward IV fades.','',1,0,'Spells/Priest/Shaman/Mystic/PropheticWard.lua',2537,'You cast Prophetic Ward IV on %t.',0,0,0,1,1,1,0,0,0,190101,0,0,0,0,0,0,0,0,0,'Unset',1580792498,1384378112,0,1),
(190105,1283140022,0,0,'Prophetic Ward V','A group augmentation that places a protective barrier over the mystic''s group, that increases noxious resistance and wards noxious sources of damage for a limited duration.',245,13,314,3467160477,3587918036,405,0,2,'Your Prophetic Ward V was successful on %t!','Your Prophetic Ward V fades.','',1,0,'Spells/Priest/Shaman/Mystic/PropheticWard.lua',2537,'You cast Prophetic Ward V on %t.',0,0,0,1,1,1,0,0,0,190101,0,0,0,0,0,0,0,0,0,'Unset',1580792509,1384378113,0,1),
(190106,3420316405,0,0,'Prophetic Ward VI','A group augmentation that places a protective barrier over the mystic''s group, that increases noxious resistance and wards noxious sources of damage for a limited duration.',245,13,314,3467160477,3587918036,455,0,2,'Your Prophetic Ward VI was successful on %t!','Your Prophetic Ward VI fades.','',1,0,'Spells/Priest/Shaman/Mystic/PropheticWard.lua',2537,'You cast Prophetic Ward VI on %t.',0,0,0,1,1,1,0,0,0,190101,0,0,0,0,0,0,0,0,0,'Unset',1580792539,1384378112,0,1),
(190107,2593203610,0,0,'Recall of the Grey','Resurrects a fallen ally and grants them a replenishing ward for a short time. This spell can be used in combat.',156,15,316,3467160477,366253016,250,0,6,'Your Recall of the Grey was successful on %t!','Your Recall of the Grey fades.','',1,0,'Spells/Priest/Shaman/Mystic/RecalloftheGrey.lua',2538,'You cast Recall of the Grey on %t.',0,1,1,0,1,0,0,0,0,190107,0,0,0,0,0,1,0,0,0,'Unset',1581110119,1384378112,0,1),
(190108,3274438181,0,0,'Minor Aid','Instantly heals some of target ally''s health. This also temporarily increases target ally''s maximum health for a short duration.',158,12,316,3467160477,366253016,5,0,1,'Your Rejuvenation was successful on %t!','Your Rejuvenation fades.','',1,0,'Spells/Priest/Shaman/Mystic/Rejuvenation.lua',2539,'You cast Rejuvenation on %t.',0,0,0,1,1,0,0,0,0,190108,0,0,0,0,0,0,0,0,0,'Unset',1580778902,1384378112,0,1),
(190109,3408448735,0,0,'Aid','Instantly heals some of target ally''s health. This also temporarily increases target ally''s maximum health for a short duration.',158,12,316,3467160477,366253016,35,0,1,'Your Rejuvenation II was successful on %t!','Your Rejuvenation II fades.','',1,0,'Spells/Priest/Shaman/Mystic/Rejuvenation.lua',2539,'You cast Rejuvenation II on %t.',0,0,0,1,1,0,0,0,0,190108,0,0,0,0,0,0,0,0,0,'Unset',1580778922,1384378112,0,1),
(190110,2232343269,0,0,'Totemic Aid','Instantly heals some of target ally''s health. This also temporarily increases target ally''s maximum health for a short duration.',158,12,316,3343700951,366253016,75,0,1,'Your Rejuvenation III was successful on %t!','Your Rejuvenation III fades.','',1,0,'Spells/Priest/Shaman/Mystic/Rejuvenation.lua',2539,'You cast Rejuvenation III on %t.',0,0,0,1,1,0,0,0,0,190108,0,0,0,0,0,0,0,0,0,'Unset',1580778942,1384377827,0,1),
(190111,3145543790,0,0,'Spiritual Replenishment','Instantly heals some of target ally''s health. This also temporarily increases target ally''s maximum health for a short duration.',158,12,316,3467160477,366253016,110,0,1,'Your Rejuvenation IV was successful on %t!','Your Rejuvenation IV fades.','',1,0,'Spells/Priest/Shaman/Mystic/SpiritistsSalve.lua',2539,'You cast Rejuvenation IV on %t.',0,0,0,1,1,0,0,0,0,190108,0,0,0,0,0,0,0,0,0,'Unset',1580778980,1384378113,0,1),
(190112,1305079326,0,0,'Rejuvenation IX','Instantly heals some of target ally''s health. This also temporarily increases target ally''s maximum health for a short duration.',158,12,316,3467160477,366253016,405,0,1,'Your Rejuvenation IX was successful on %t!','Your Rejuvenation IX fades.','',1,0,'Spells/Priest/Shaman/Mystic/Rejuvenation.lua',2539,'You cast Rejuvenation IX on %t.',0,0,0,1,1,0,0,0,0,190108,0,0,0,0,0,0,0,0,0,'Unset',1580779385,1384378113,0,1),
(190113,2490559713,0,0,'Spiritual Replenishment','Instantly heals some of target ally''s health. This also temporarily increases target ally''s maximum health for a short duration.',158,12,316,3467160477,366253016,145,0,1,'Your Rejuvenation V was successful on %t!','Your Rejuvenation V fades.','',1,0,'Spells/Priest/Shaman/Mystic/SpiritualReplenishment.lua',2539,'You cast Rejuvenation V on %t.',0,0,0,1,1,0,0,0,0,190108,0,0,0,0,0,0,0,0,0,'Unset',1580779041,1384378113,0,1),
(190114,916924469,0,0,'Rejuvenating Chant','Instantly heals some of target ally''s health. This also temporarily increases target ally''s maximum health for a short duration.',158,12,316,3467160477,366253016,215,0,1,'Your Rejuvenation VI was successful on %t!','Your Rejuvenation VI fades.','',1,0,'Spells/Priest/Shaman/Mystic/Rejuvenation.lua',2539,'You cast Rejuvenation VI on %t.',0,0,0,1,1,0,0,0,0,190108,0,0,0,0,0,1,0,0,0,'Unset',1580779154,1384378112,0,1),
(190115,3537124650,0,0,'Rejuvenating Rite','Instantly heals some of target ally''s health. This also temporarily increases target ally''s maximum health for a short duration.',158,12,316,3467160477,366253016,285,0,1,'Your Rejuvenation VII was successful on %t!','Your Rejuvenation VII fades.','',1,0,'Spells/Priest/Shaman/Mystic/Rejuvenation.lua',2539,'You cast Rejuvenation VII on %t.',0,0,0,1,1,0,0,0,0,190108,0,0,0,0,0,1,0,0,0,'Unset',1580779202,1384378114,0,1),
(190116,423701891,0,0,'Rejuvenation','Instantly heals some of target ally''s health. This also temporarily increases target ally''s maximum health for a short duration.',158,12,316,3467160477,366253016,355,0,1,'Your Rejuvenation VIII was successful on %t!','Your Rejuvenation VIII fades.','',1,0,'Spells/Priest/Shaman/Mystic/Rejuvenation.lua',2539,'You cast Rejuvenation VIII on %t.',0,0,0,1,1,0,0,0,0,190108,0,0,0,0,0,0,0,0,0,'Unset',1580779332,1384377827,0,1),
(190117,4096931318,0,0,'Rejuvenation X','Instantly heals some of target ally''s health. This also temporarily increases target ally''s maximum health for a short duration.',158,12,316,3467160477,366253016,455,0,1,'Your Rejuvenation X was successful on %t!','Your Rejuvenation X fades.','',1,0,'Spells/Priest/Shaman/Mystic/RejuvenationX.lua',2539,'You cast Rejuvenation X on %t.',0,0,0,1,1,0,0,0,0,190108,0,0,0,0,0,1,0,0,0,'Unset',1580779095,1384378112,0,1),
(190118,2385577370,0,0,'Minor Ritual','Replenishes a large amount of target ally''s health. This also temporarily increases target ally''s maximum health for a short duration.',468,12,316,3467160477,366253016,15,0,1,'Your Ritual Healing was successful on %t!','Your Ritual Healing fades.','',1,0,'Spells/Priest/Shaman/Mystic/RitualHealing.lua',2540,'You cast Ritual Healing on %t.',0,0,0,1,1,0,0,0,0,190118,0,0,0,0,0,0,0,0,0,'Unset',1580784287,1384377827,0,1),
(190119,1980933536,0,0,'Ritual','Replenishes a large amount of target ally''s health. This also temporarily increases target ally''s maximum health for a short duration.',468,12,316,3467160477,366253016,50,0,1,'Your Ritual Healing II was successful on %t!','Your Ritual Healing II fades.','',1,0,'Spells/Priest/Shaman/Mystic/RitualHealing.lua',2540,'You cast Ritual Healing II on %t.',0,0,0,1,1,0,0,0,0,190118,0,0,0,0,0,0,0,0,0,'Unset',1580784346,1384377827,0,1),
(190120,4120970950,0,0,'Healing Ritual','Replenishes a large amount of target ally''s health. This also temporarily increases target ally''s maximum health for a short duration.',468,12,316,3343700951,366253016,90,0,1,'Your Ritual Healing III was successful on %t!','Your Ritual Healing III fades.','',1,0,'Spells/Priest/Shaman/Mystic/RitualHealing.lua',2540,'You cast Ritual Healing III on %t.',0,0,0,1,1,0,0,0,0,190118,0,0,0,0,0,0,0,0,0,'Unset',1580784370,1384377827,0,1),
(190121,4160279742,0,0,'Spiritual Healing','Replenishes a large amount of target ally''s health. This also temporarily increases target ally''s maximum health for a short duration.',468,12,316,3467160477,366253016,160,0,1,'Your Ritual Healing IV was successful on %t!','Your Ritual Healing IV fades.','',1,0,'Spells/Priest/Shaman/Mystic/RitualHealing.lua',2540,'You cast Ritual Healing IV on %t.',0,0,0,1,1,0,0,0,0,190118,0,0,0,0,0,1,0,0,0,'Unset',1580784419,1384377827,0,1),
(190122,2665512940,0,0,'Ritual Healing IX','Replenishes a large amount of target ally''s health. This also temporarily increases target ally''s maximum health for a short duration.',468,12,316,3467160477,3587918036,465,0,1,'Your Ritual Healing IX was successful on %t!','Your Ritual Healing IX fades.','',1,0,'Spells/Priest/Shaman/Mystic/RitualHealing.lua',2540,'You cast Ritual Healing IX on %t.',0,0,0,1,1,0,0,0,0,190118,0,0,0,0,0,1,0,0,0,'Unset',1580784871,1384378114,0,1),
(190123,1678922074,0,0,'Enlightened Healing','Replenishes a large amount of target ally''s health. This also temporarily increases target ally''s maximum health for a short duration.',468,12,316,3467160477,366253016,230,0,1,'Your Ritual Healing V was successful on %t!','Your Ritual Healing V fades.','',1,0,'Spells/Priest/Shaman/Mystic/RitualHealing.lua',2540,'You cast Ritual Healing V on %t.',0,0,0,1,1,0,0,0,0,190118,0,0,0,0,0,1,0,0,0,'Unset',1580784464,1384378112,0,1),
(190124,742510228,0,0,'Learned Healing','Replenishes a large amount of target ally''s health. This also temporarily increases target ally''s maximum health for a short duration.',468,12,316,3467160477,366253016,300,0,1,'Your Ritual Healing VI was successful on %t!','Your Ritual Healing VI fades.','',1,0,'Spells/Priest/Shaman/Mystic/RitualHealing.lua',2540,'You cast Ritual Healing VI on %t.',0,0,0,1,1,0,0,0,0,190118,0,0,0,0,0,1,0,0,0,'Unset',1580784633,1384378113,0,1),
(190125,3754198906,0,0,'Ritual Healing','Replenishes a large amount of target ally''s health. This also temporarily increases target ally''s maximum health for a short duration.',468,12,316,3467160477,3587918036,365,0,1,'Your Ritual Healing VII was successful on %t!','Your Ritual Healing VII fades.','',1,0,'Spells/Priest/Shaman/Mystic/RitualHealing.lua',2540,'You cast Ritual Healing VII on %t.',0,0,0,1,1,0,0,0,0,190118,0,0,0,0,0,1,0,0,0,'Unset',1580784765,1384378113,0,1),
(190126,424064175,0,0,'Ritual Healing VIII','Replenishes a large amount of target ally''s health. This also temporarily increases target ally''s maximum health for a short duration.',468,12,316,3467160477,3587918036,415,0,1,'Your Ritual Healing VIII was successful on %t!','Your Ritual Healing VIII fades.','',1,0,'Spells/Priest/Shaman/Mystic/RitualHealing.lua',2540,'You cast Ritual Healing VIII on %t.',0,0,0,1,1,0,0,0,0,190118,0,0,0,0,0,1,0,0,0,'Unset',1580784820,1384378114,0,1),
(190127,4260866253,0,1,'Runic Mark','A group augmentation that increases physical mitigation to the mystic''s non-fighter allies, health to the mystic''s fighter allies (when the mystic is level 94 or above), and a replenishing ward against physical damage to the entire group.',146,65535,314,3467160477,3587918036,25,1,2,'Your Runic Armor was successful on %t!','Your Runic Armor fades.','',1,1,'Spells/Priest/Shaman/Mystic/RunicArmor.lua',2541,'You cast Runic Armor on %t.',0,0,0,1,1,1,0,0,0,190127,0,0,0,0,0,0,0,0,0,'Unset',1580785445,1384378112,0,1),
(190128,4258376734,0,1,'Runic Symbol','A group augmentation that increases physical mitigation to the mystic''s non-fighter allies, health to the mystic''s fighter allies (when the mystic is level 94 or above), and a replenishing ward against physical damage to the entire group.',146,65535,314,3467160477,3587918036,95,1,2,'Your Runic Armor II was successful on %t!','Your Runic Armor II fades.','',1,1,'Spells/Priest/Shaman/Mystic/RunicArmor.lua',2541,'You cast Runic Armor II on %t.',0,0,0,1,1,1,0,0,0,190127,0,0,0,0,0,0,0,0,0,'Unset',1580785561,1384378113,0,1),
(190129,3059055844,0,1,'Runic Shield','A group augmentation that increases physical mitigation to the mystic''s non-fighter allies, health to the mystic''s fighter allies (when the mystic is level 94 or above), and a replenishing ward against physical damage to the entire group.',146,65535,314,3467160477,3587918036,165,1,0,'Your Runic Armor III was successful on %t!','Your Runic Armor III fades.','',1,1,'Spells/Priest/Shaman/Mystic/RunicArmor.lua',2541,'You cast Runic Armor III on %t.',0,0,0,1,1,1,0,0,0,190127,0,0,0,0,0,1,0,0,0,'Unset',1580785577,1384378113,0,1),
(190130,1505903038,0,1,'Runic Talisman','A group augmentation that increases physical mitigation to the mystic''s non-fighter allies, health to the mystic''s fighter allies (when the mystic is level 94 or above), and a replenishing ward against physical damage to the entire group.',146,65535,314,3467160477,3587918036,235,1,2,'Your Runic Armor IV was successful on %t!','Your Runic Armor IV fades.','',1,1,'Spells/Priest/Shaman/Mystic/RunicArmor.lua',2541,'You cast Runic Armor IV on %t.',0,0,0,1,1,1,0,0,0,190127,0,0,0,0,0,1,0,0,0,'Unset',1580785592,1384378112,0,1),
(190131,1981165900,0,1,'Runic Aegis','A group augmentation that increases physical mitigation to the mystic''s non-fighter allies, health to the mystic''s fighter allies (when the mystic is level 94 or above), and a replenishing ward against physical damage to the entire group.',146,65535,314,3467160477,3587918036,305,1,2,'Your Runic Armor V was successful on %t!','Your Runic Armor V fades.','',1,1,'Spells/Priest/Shaman/Mystic/RunicArmor.lua',2541,'You cast Runic Armor V on %t.',0,0,0,1,1,1,0,0,0,190127,0,0,0,0,0,1,0,0,0,'Unset',1580785612,1384378113,0,1),
(190132,389160649,0,1,'Runic Armor','A group augmentation that increases physical mitigation to the mystic''s non-fighter allies, health to the mystic''s fighter allies (when the mystic is level 94 or above), and a replenishing ward against physical damage to the entire group.',146,65535,314,3467160477,3587918036,370,1,2,'Your Runic Armor VI was successful on %t!','Your Runic Armor VI fades.','',1,1,'Spells/Priest/Shaman/Mystic/RunicArmor.lua',2541,'You cast Runic Armor VI on %t.',0,0,0,1,1,1,0,0,0,190127,0,0,0,0,0,1,0,0,0,'Unset',1580785630,1384378113,0,1),
(190133,1101441599,0,1,'Runic Armor VII','A group augmentation that increases physical mitigation to the mystic''s non-fighter allies, health to the mystic''s fighter allies (when the mystic is level 94 or above), and a replenishing ward against physical damage to the entire group.',146,65535,314,3467160477,3587918036,420,1,2,'Your Runic Armor VII was successful on %t!','Your Runic Armor VII fades.','',1,1,'Spells/Priest/Shaman/Mystic/RunicArmor.lua',2541,'You cast Runic Armor VII on %t.',0,0,0,1,1,1,0,0,0,190127,0,0,0,0,0,1,0,0,0,'Unset',1580785645,1384378114,0,1),
(190134,3702082377,0,1,'Runic Armor VIII','A group augmentation that increases physical mitigation to the mystic''s non-fighter allies, health to the mystic''s fighter allies (when the mystic is level 94 or above), and a replenishing ward against physical damage to the entire group.',146,65535,314,3467160477,3587918036,470,1,2,'Your Runic Armor VIII was successful on %t!','Your Runic Armor VIII fades.','',1,1,'Spells/Priest/Shaman/Mystic/RunicArmor.lua',2541,'You cast Runic Armor VIII on %t.',0,0,0,1,1,1,0,0,0,190127,0,0,0,0,0,1,0,0,0,'Unset',1580785661,1384378114,0,1),
(190135,3611477258,0,0,'Slothful Spirit','Impairment that causes pain to target opponent each time they successfully cast a spell or combat art. This impairment drains their power each time they use a spell or combat art and deals divine damage to them. This effect can trigger up to 3 times.',476,65535,315,3467160477,3587918036,275,0,1,'Your Slothful Spirit was successful on %t!','Your Slothful Spirit fades.','',1,0,'Spells/Priest/Shaman/Mystic/SlothfulSpirit.lua',2542,'You cast Slothful Spirit on %t.',0,0,0,1,0,1,2,0,0,190135,0,0,0,0,0,0,0,0,0,'Unset',1581111030,1384378114,0,1),
(190136,1699648446,0,0,'Slothiness','Impairment that causes pain to target opponent each time they successfully cast a spell or combat art. This impairment drains their power each time they use a spell or combat art and deals divine damage to them. This effect can trigger up to 3 times.',476,65535,315,3467160477,3587918036,370,0,1,'Your Slothful Spirit II was successful on %t!','Your Slothful Spirit II fades.','',1,0,'Spells/Priest/Shaman/Mystic/SlothfulSpirit.lua',2542,'You cast Slothful Spirit II on %t.',0,0,0,1,0,1,2,0,0,190135,0,0,0,0,0,0,0,0,0,'Unset',1581111099,1384377828,0,1),
(190137,1474374958,0,0,'Slothful Spirit III','Impairment that causes pain to target opponent each time they successfully cast a spell or combat art. This impairment drains their power each time they use a spell or combat art and deals divine damage to them. This effect can trigger up to 3 times.',476,65535,315,3467160477,3587918036,420,0,1,'Your Slothful Spirit III was successful on %t!','Your Slothful Spirit III fades.','',1,0,'Spells/Priest/Shaman/Mystic/SlothfulSpirit.lua',2542,'You cast Slothful Spirit III on %t.',0,0,0,1,0,1,2,0,0,190135,0,0,0,0,0,0,0,0,0,'Unset',1581111400,1384378114,0,1),
(190138,3098778575,0,0,'Slothful Spirit IV','Impairment that causes pain to target opponent each time they successfully cast a spell or combat art. This impairment drains their power each time they use a spell or combat art and deals divine damage to them. This effect can trigger up to 3 times.',476,65535,315,3467160477,3587918036,470,0,1,'Your Slothful Spirit IV was successful on %t!','Your Slothful Spirit IV fades.','',1,0,'Spells/Priest/Shaman/Mystic/SlothfulSpirit.lua',2542,'You cast Slothful Spirit IV on %t.',0,0,0,1,0,1,2,0,0,190135,0,0,0,0,0,0,0,0,0,'Unset',1581111492,1384378114,0,1),
(190139,2631196528,0,0,'Spirit Tap','This is the condensed energy of an ancient, mythical weapon.',175,65535,314,3467160477,0,400,0,2,'Your Spirit Tap was successful on %t!','Your Spirit Tap fades.','',1,1,'Spells/Priest/Shaman/Mystic/SpiritTap.lua',3555,'You cast Spirit Tap on %t.',0,0,1,1,1,1,0,0,0,190139,0,0,0,0,0,0,0,0,0,'Unset',1581112473,1384377877,0,1),
(190140,902870740,0,1,'Spirit of the Bull','A group augmentation that increases the strength and stamina of the mystic''s group.',352,13,314,3343700951,3587918036,90,1,2,'Your Spirit of the Mammoth was successful on %t!','Your Spirit of the Mammoth fades.','',1,1,'Spells/Priest/Shaman/Mystic/SpiritoftheMammoth.lua',2543,'You cast Spirit of the Mammoth on %t.',0,0,0,1,1,1,0,0,0,190140,0,0,0,0,0,0,0,0,0,'Unset',1580789408,1384377830,0,1),
(190141,3231833931,0,1,'Spirit of the Rhino','A group augmentation that increases the strength and stamina of the mystic''s group.',352,13,314,3467160477,3587918036,160,1,2,'Your Spirit of the Mammoth II was successful on %t!','Your Spirit of the Mammoth II fades.','',1,1,'Spells/Priest/Shaman/Mystic/SpiritoftheMammoth.lua',2543,'You cast Spirit of the Mammoth II on %t.',0,0,0,1,1,1,0,0,0,190140,0,0,0,0,0,1,0,0,0,'Unset',1580789422,1384378113,0,1),
(190142,2369799175,0,1,'Spirit of the Elephant','A group augmentation that increases the strength and stamina of the mystic''s group.',352,13,314,3467160477,3587918036,230,1,2,'Your Spirit of the Mammoth III was successful on %t!','Your Spirit of the Mammoth III fades.','',1,1,'Spells/Priest/Shaman/Mystic/SpiritoftheMammoth.lua',2543,'You cast Spirit of the Mammoth III on %t.',0,0,0,1,1,1,0,0,0,190140,0,0,0,0,0,1,0,0,0,'Unset',1580789446,1384378112,0,1),
(190143,789550422,0,1,'Spirit of the Mammoth','A group augmentation that increases the strength and stamina of the mystic''s group.',352,13,314,3467160477,3587918036,300,1,2,'Your Spirit of the Mammoth IV was successful on %t!','Your Spirit of the Mammoth IV fades.','',1,1,'Spells/Priest/Shaman/Mystic/SpiritoftheMammoth.lua',2543,'You cast Spirit of the Mammoth IV on %t.',0,0,0,1,1,1,0,0,0,190140,0,0,0,0,0,1,0,0,0,'Unset',1580789470,1384378113,0,1),
(190144,3539152258,0,1,'Spirit of the Mastodon','A group augmentation that increases the strength and stamina of the mystic''s group.',352,13,314,3467160477,3587918036,365,1,2,'Your Spirit of the Mammoth V was successful on %t!','Your Spirit of the Mammoth V fades.','',1,1,'Spells/Priest/Shaman/Mystic/SpiritoftheMammoth.lua',2543,'You cast Spirit of the Mammoth V on %t.',0,0,0,1,1,1,0,0,0,190140,0,0,0,0,0,1,0,0,0,'Unset',1580789484,1384378156,0,1),
(190145,1004192389,0,1,'Spirit of the Mammoth VI','A group augmentation that increases the strength and stamina of the mystic''s group.',352,13,314,3467160477,3587918036,415,1,2,'Your Spirit of the Mammoth VI was successful on %t!','Your Spirit of the Mammoth VI fades.','',1,1,'Spells/Priest/Shaman/Mystic/SpiritoftheMammoth.lua',2543,'You cast Spirit of the Mammoth VI on %t.',0,0,0,1,1,1,0,0,0,190140,0,0,0,0,0,1,0,0,0,'Unset',1580789611,1384378114,0,1),
(190146,3137316770,0,1,'Spirit of the Mammoth VII','A group augmentation that increases the strength and stamina of the mystic''s group.',352,13,314,3467160477,3587918036,465,1,2,'Your Spirit of the Mammoth VII was successful on %t!','Your Spirit of the Mammoth VII fades.','',1,1,'Spells/Priest/Shaman/Mystic/SpiritoftheMammoth.lua',2543,'You cast Spirit of the Mammoth VII on %t.',0,0,0,0,1,1,0,0,0,190140,0,0,0,0,0,1,0,0,0,'Unset',1580789649,1384378114,0,1),
(190147,1346367228,0,0,'Phantasmal Spirits','Mesmerizes all enemies near the mystic and reduces their hate towards the shaman. Any hostile actions taken on them will break the mesmerize effect.',157,14,313,3467160477,882983852,65,0,1,'Your Spirits was successful on %t!','Your Spirits fades.','',1,0,'Spells/Priest/Shaman/Mystic/Spirits.lua',2544,'You cast Spirits on %t.',0,0,0,1,0,1,3,1,0,190147,0,0,0,0,0,0,0,0,0,'Unset',1580788167,1384378112,0,1),
(190148,4247423499,0,0,'Quelling Spirits','Mesmerizes all enemies near the mystic and reduces their hate towards the shaman. Any hostile actions taken on them will break the mesmerize effect.',157,14,313,3467160477,882983852,135,0,1,'Your Spirits II was successful on %t!','Your Spirits II fades.','',1,0,'Spells/Priest/Shaman/Mystic/QuellingSpirits.lua',2544,'You cast Spirits II on %t.',0,0,0,1,0,1,3,1,0,190147,0,0,0,0,0,0,0,0,0,'Unset',1580788186,1384378113,0,1),
(190149,2163021848,0,0,'Accordant Spirits','Mesmerizes all enemies near the mystic and reduces their hate towards the shaman. Any hostile actions taken on them will break the mesmerize effect.',157,14,313,3467160477,882983852,205,0,1,'Your Spirits III was successful on %t!','Your Spirits III fades.','',1,0,'Spells/Priest/Shaman/Mystic/Spirits.lua',2544,'You cast Spirits III on %t.',0,0,0,1,0,1,3,1,0,190147,0,0,0,0,0,1,0,0,0,'Unset',1580788202,1384378112,0,1),
(190150,2914395028,0,0,'Harmonious Spirits','Reduces threat and stuns targets surrounding the mystic.',157,14,313,3467160477,882983852,275,0,1,'Your Spirits IV was successful on %t!','Your Spirits IV fades.','',1,0,'Spells/Priest/Shaman/Mystic/Spirits.lua',2544,'You cast Spirits IV on %t.',0,0,0,1,0,1,3,1,0,190147,0,0,0,0,0,1,0,0,0,'Unset',1580788220,1384378114,0,1),
(190151,1837962156,0,0,'Sonorus Spirits','Mesmerizes all enemies near the mystic and reduces their hate towards the shaman. Any hostile actions taken on them will break the mesmerize effect.',157,14,313,3467160477,882983852,345,0,1,'Your Spirits V was successful on %t!','Your Spirits V fades.','',1,0,'Spells/Priest/Shaman/Mystic/Spirits.lua',2544,'You cast Spirits V on %t.',0,0,0,1,0,1,3,1,0,190147,0,0,0,0,0,1,0,0,0,'Unset',1580788237,1384378114,0,1),
(190152,3037769051,0,0,'Spirits','Mesmerizes all enemies near the mystic and reduces their hate towards the shaman. Any hostile actions taken on them will break the mesmerize effect.',157,14,313,3467160477,882983852,395,0,1,'Your Spirits VI was successful on %t!','Your Spirits VI fades.','',1,0,'Spells/Priest/Shaman/Mystic/Spirits.lua',2544,'You cast Spirits VI on %t.',0,0,0,1,0,1,3,1,0,190147,0,0,0,0,0,1,0,0,0,'Unset',1580788250,1384377828,0,1),
(190153,1142683350,0,0,'Spirits VII','Mesmerizes all enemies near the mystic and reduces their hate towards the shaman. Any hostile actions taken on them will break the mesmerize effect.',157,14,313,3467160477,882983852,445,0,1,'Your Spirits VII was successful on %t!','Your Spirits VII fades.','',1,0,'Spells/Priest/Shaman/Mystic/Spirits.lua',2544,'You cast Spirits VII on %t.',0,0,0,1,0,1,3,1,0,190147,0,0,0,0,0,1,0,0,0,'Unset',1580788284,1384377827,0,1),
(190154,2883165672,0,0,'Spirits VIII','Mesmerizes all enemies near the mystic and reduces their hate towards the shaman. Any hostile actions taken on them will break the mesmerize effect.',157,14,313,3467160477,882983852,495,0,1,'Your Spirits VIII was successful on %t!','Your Spirits VIII fades.','',1,0,'Spells/Priest/Shaman/Mystic/Spirits.lua',2544,'You cast Spirits VIII on %t.',0,0,0,0,0,0,3,1,0,190147,0,0,0,0,0,1,0,0,0,'Unset',1580788298,1384378114,0,1),
(190155,4216005861,0,1,'Spiritual Warding','This is the condensed energy of an ancient, mythical weapon.',616,65535,317,3467160477,0,400,1,1,'Your Spiritual Warding was successful on %t!','Your Spiritual Warding fades.','',1,1,'Spells/Priest/Shaman/Mystic/SpiritualWarding.lua',3556,'You cast Spiritual Warding on %t.',0,0,0,1,1,1,0,0,0,190155,0,0,0,0,0,0,0,0,0,'Unset',1581112425,1384377883,0,1),
(190156,902524875,0,0,'Torpor','Places a regenerating ward over target ally and replenishes their health over time. While this spell is in effect, that ally has reduced movement and attack speed. This spell also has a recurring power cost.',218,65535,316,3467160477,366253016,260,0,1,'Your Torpor was successful on %t!','Your Torpor fades.','',1,0,'Spells/Priest/Shaman/Mystic/Torpor.lua',2545,'You cast Torpor on %t.',0,1,0,1,1,1,0,0,0,190156,0,0,0,0,0,0,0,0,0,'Unset',1581110313,1384377827,0,1),
(190157,2039140121,0,0,'Stoicism','Places a regenerating ward over target ally and replenishes their health over time. While this spell is in effect, that ally has reduced movement and attack speed. This spell also has a recurring power cost.',218,65535,316,3467160477,366253016,360,0,1,'Your Torpor II was successful on %t!','Your Torpor II fades.','',1,0,'Spells/Priest/Shaman/Mystic/Torpor.lua',2545,'You cast Torpor II on %t.',0,1,0,1,1,1,0,0,0,190156,0,0,0,0,0,0,0,0,0,'Unset',1581110491,1384378112,0,1),
(190158,2258735073,0,0,'Torpor III','Places a regenerating ward over target ally and replenishes their health over time. While this spell is in effect, that ally has reduced movement and attack speed. This spell also has a recurring power cost.',218,65535,316,3467160477,366253016,410,0,1,'Your Torpor III was successful on %t!','Your Torpor III fades.','',1,0,'Spells/Priest/Shaman/Mystic/Torpor.lua',2545,'You cast Torpor III on %t.',0,1,0,1,1,1,0,0,0,190156,0,0,0,0,0,0,0,0,0,'Unset',1581110601,1384378114,0,1),
(190159,2447023010,0,0,'Torpor IV','Places a regenerating ward over target ally and replenishes their health over time. While this spell is in effect, that ally has reduced movement and attack speed. This spell also has a recurring power cost.',218,65535,316,3467160477,366253016,460,0,1,'Your Torpor IV was successful on %t!','Your Torpor IV fades.','',1,0,'Spells/Priest/Shaman/Mystic/Torpor.lua',2545,'You cast Torpor IV on %t.',0,1,0,1,1,1,0,0,0,190156,0,0,0,0,0,0,0,0,0,'Unset',1581110732,1384377827,0,1),
(190160,307456059,0,0,'Breath of Spirits','Heals all allies near the mystic. This also temporarily increases their maximum health for a short duration.',293,16,314,3343700951,366253016,70,0,2,'Your Transcendence was successful on %t!','Your Transcendence fades.','',1,0,'Spells/Priest/Shaman/Mystic/Transcendence.lua',2546,'You cast Transcendence on %t.',0,0,0,1,1,0,0,0,0,190160,0,0,0,0,0,0,0,0,0,'Unset',1580788346,1384377827,0,1),
(190161,958101493,0,0,'Spiritist''s Salve','Heals all allies near the mystic. This also temporarily increases their maximum health for a short duration.',293,16,314,3467160477,366253016,140,0,2,'Your Transcendence II was successful on %t!','Your Transcendence II fades.','',1,0,'Spells/Priest/Shaman/Mystic/SpiritistsSalve.lua',2546,'You cast Transcendence II on %t.',0,0,0,1,1,0,0,0,0,190160,0,0,0,0,0,0,0,0,0,'Unset',1580788381,1384378113,0,1),
(190162,583338554,0,0,'Transcendent Blessing','Heals all allies near the mystic. This also temporarily increases their maximum health for a short duration.',293,16,314,3467160477,366253016,210,0,2,'Your Transcendence III was successful on %t!','Your Transcendence III fades.','',1,0,'Spells/Priest/Shaman/Mystic/Transcendence.lua',2546,'You cast Transcendence III on %t.',0,0,0,1,1,0,0,0,0,190160,0,0,0,0,0,1,0,0,0,'Unset',1580788398,1384378112,0,1),
(190163,1208738659,0,0,'Transcendent Grace','Heals all allies near the mystic. This also temporarily increases their maximum health for a short duration.',293,16,314,3467160477,366253016,280,0,2,'Your Transcendence IV was successful on %t!','Your Transcendence IV fades.','',1,0,'Spells/Priest/Shaman/Mystic/Transcendence.lua',2546,'You cast Transcendence IV on %t.',0,0,0,1,1,0,0,0,0,190160,0,0,0,0,0,1,0,0,0,'Unset',1580788625,1384378114,0,1),
(190164,896691674,0,0,'Transcendence','Heals all allies near the mystic. This also temporarily increases their maximum health for a short duration.',293,16,314,3467160477,366253016,350,0,2,'Your Transcendence V was successful on %t!','Your Transcendence V fades.','',1,0,'Spells/Priest/Shaman/Mystic/Transcendence.lua',2546,'You cast Transcendence V on %t.',0,0,0,1,1,0,0,0,0,190160,0,0,0,0,0,1,0,0,0,'Unset',1580788640,1384377827,0,1),
(190165,1467655176,0,0,'Transcendent Aid','Heals all allies near the mystic. This also temporarily increases their maximum health for a short duration.',293,16,314,3467160477,366253016,400,0,2,'Your Transcendence VI was successful on %t!','Your Transcendence VI fades.','',1,0,'Spells/Priest/Shaman/Mystic/Transcendence.lua',2546,'You cast Transcendence VI on %t.',0,0,0,1,1,0,0,0,0,190160,0,0,0,0,0,1,0,0,0,'Unset',1580788659,1384378113,0,1),
(190166,368089969,0,0,'Transcendence VII','Heals all allies near the mystic. This also temporarily increases their maximum health for a short duration.',293,16,314,3467160477,366253016,450,0,2,'Your Transcendence VII was successful on %t!','Your Transcendence VII fades.','',1,0,'Spells/Priest/Shaman/Mystic/Transcendence.lua',2546,'You cast Transcendence VII on %t.',0,0,0,1,1,0,0,0,0,190160,0,0,0,0,0,1,0,0,0,'Unset',1580788678,1384378114,0,1),
(190167,1328373484,0,0,'Transcendence VIII','Heals all allies near the mystic. This also temporarily increases their maximum health for a short duration.',293,16,314,3467160477,366253016,500,0,2,'Your Transcendence VIII was successful on %t!','Your Transcendence VIII fades.','',1,0,'Spells/Priest/Shaman/Mystic/Transcendence.lua',2546,'You cast Transcendence VIII on %t.',0,0,0,0,1,1,0,0,0,190160,0,0,0,0,0,1,0,0,0,'Unset',1580788693,1384378114,0,1),
(190168,43007554,0,0,'Umbral Warding','Applies a powerful ward for a short duration on the mystic''s group that prevents damage to them until the ward has absorbed its maximum amount of damage.',192,16,314,3467160477,366253016,70,0,2,'Your Umbral Warding was successful on %t!','Your Umbral Warding fades.','',1,0,'Spells/Priest/Shaman/Mystic/UmbralWarding.lua',2547,'You cast Umbral Warding on %t.',0,0,0,1,1,1,0,0,0,190168,0,0,0,0,0,0,0,0,0,'Unset',1580788753,1384378111,0,1),
(190169,453102445,0,0,'Wards of Shadow','Applies a powerful ward for a short duration on the mystic''s group that prevents damage to them until the ward has absorbed its maximum amount of damage.',192,16,314,3467160477,366253016,140,0,2,'Your Umbral Warding II was successful on %t!','Your Umbral Warding II fades.','',1,0,'Spells/Priest/Shaman/Mystic/WardsofShadow.lua',2547,'You cast Umbral Warding II on %t.',0,0,0,1,1,1,0,0,0,190168,0,0,0,0,0,0,0,0,0,'Unset',1580788802,1384378113,0,1),
(190170,35255018,0,0,'Umbral Ritual','Applies a powerful ward for a short duration on the mystic''s group that prevents damage to them until the ward has absorbed its maximum amount of damage.',192,16,314,3467160477,366253016,210,0,2,'Your Umbral Warding III was successful on %t!','Your Umbral Warding III fades.','',1,0,'Spells/Priest/Shaman/Mystic/UmbralWarding.lua',2547,'You cast Umbral Warding III on %t.',0,0,0,1,1,1,0,0,0,190168,0,0,0,0,0,1,0,0,0,'Unset',1580788809,1384378112,0,1),
(190171,722448480,0,0,'Umbral Sacrament','Applies a powerful ward for a short duration on the mystic''s group that prevents damage to them until the ward has absorbed its maximum amount of damage.',192,16,314,3467160477,366253016,280,0,2,'Your Umbral Warding IV was successful on %t!','Your Umbral Warding IV fades.','',1,0,'Spells/Priest/Shaman/Mystic/UmbralWarding.lua',2547,'You cast Umbral Warding IV on %t.',0,0,0,1,1,1,0,0,0,190168,0,0,0,0,0,1,0,0,0,'Unset',1580788827,1384377827,0,1),
(190172,2755952757,0,0,'Umbral Liturgy','Applies a powerful ward for a short duration on the mystic''s group that prevents damage to them until the ward has absorbed its maximum amount of damage.',192,16,314,3467160477,366253016,350,0,2,'Your Umbral Warding V was successful on %t!','Your Umbral Warding V fades.','',1,0,'Spells/Priest/Shaman/Mystic/UmbralWarding.lua',2547,'You cast Umbral Warding V on %t.',0,0,0,1,1,1,0,0,0,190168,0,0,0,0,0,1,0,0,0,'Unset',1580788839,1384377827,0,1),
(190173,2901330707,0,0,'Umbral Warding','Applies a powerful ward for a short duration on the mystic''s group that prevents damage to them until the ward has absorbed its maximum amount of damage.',192,16,314,3467160477,366253016,395,0,2,'Your Umbral Warding VI was successful on %t!','Your Umbral Warding VI fades.','',1,0,'Spells/Priest/Shaman/Mystic/UmbralWarding.lua',2547,'You cast Umbral Warding VI on %t.',0,0,0,1,1,1,0,0,0,190168,0,0,0,0,0,1,0,0,0,'Unset',1580788853,1384378113,0,1),
(190174,1785526470,0,0,'Umbral Warding VII','Applies a powerful ward for a short duration on the mystic''s group that prevents damage to them until the ward has absorbed its maximum amount of damage.',192,16,314,3467160477,366253016,445,0,2,'Your Umbral Warding VII was successful on %t!','Your Umbral Warding VII fades.','',1,0,'Spells/Priest/Shaman/Mystic/UmbralWarding.lua',2547,'You cast Umbral Warding VII on %t.',0,0,0,1,1,1,0,0,0,190168,0,0,0,0,0,1,0,0,0,'Unset',1580788870,1384377827,0,1),
(190175,3989451653,0,0,'Umbral Warding VIII','Applies a powerful ward for a short duration on the mystic''s group that prevents damage to them until the ward has absorbed its maximum amount of damage.',192,16,314,3467160477,366253016,495,0,2,'Your Umbral Warding VIII was successful on %t!','Your Umbral Warding VIII fades.','',1,0,'Spells/Priest/Shaman/Mystic/UmbralWarding.lua',2547,'You cast Umbral Warding VIII on %t.',0,0,0,0,1,1,0,0,0,190168,0,0,0,0,0,1,0,0,0,'Unset',1580788946,1384377827,0,1),
(190176,4199189276,0,1,'Ursine Elder','The mystic takes on the form of a bear, increasing wisdom, spell resistance, and stamina. While in this form, the mystic also gains the ability to see stealthed creatures.\n \n\"Yes, yes indeed! I need a disguise.\" - Cicero Puer, Qeynos',241,65535,317,3467160477,3587918036,100,1,0,'Your Ursine Avatar was successful on %t!','Your Ursine Avatar fades.','',1,1,'Spells/Priest/Shaman/Mystic/UrsineElder.lua',2548,'You cast Ursine Avatar on %t.',0,0,0,1,1,1,0,0,0,190176,0,0,0,0,0,0,0,0,0,'Unset',1580789725,1384378113,0,1),
(190177,3442166583,0,1,'Ursine Oracle','The mystic takes on the form of a bear, increasing wisdom, spell resistance, and stamina. While in this form, the mystic also gains the ability to see stealthed creatures.\n \n\"Yes, yes indeed! I need a disguise.\" - Cicero Puer, Qeynos',241,65535,317,3467160477,3587918036,170,1,0,'Your Ursine Avatar II was successful on %t!','Your Ursine Avatar II fades.','',1,1,'Spells/Priest/Shaman/Mystic/UrsineAvatar.lua',2548,'You cast Ursine Avatar II on %t.',0,0,0,1,1,1,0,0,0,190176,0,0,0,0,0,1,0,0,0,'Unset',1580789748,1384378112,0,1),
(190178,1205175252,0,1,'Ursine Prophet','The mystic takes on the form of a bear, increasing wisdom, spell resistance, and stamina. While in this form, the mystic also gains the ability to see stealthed creatures.\n \n\"Yes, yes indeed! I need a disguise.\" - Cicero Puer, Qeynos',241,65535,317,3467160477,3587918036,240,1,0,'Your Ursine Avatar III was successful on %t!','Your Ursine Avatar III fades.','',1,1,'Spells/Priest/Shaman/Mystic/UrsineAvatar.lua',2548,'You cast Ursine Avatar III on %t.',0,0,0,1,1,1,0,0,0,190176,0,0,0,0,0,1,0,0,0,'Unset',1580789838,1384378112,0,1),
(190179,3367494237,0,1,'Ursine Augur','The mystic takes on the form of a bear, increasing wisdom, spell resistance, and stamina. While in this form, the mystic also gains the ability to see stealthed creatures.\n \n\"Yes, yes indeed! I need a disguise.\" - Cicero Puer, Qeynos',241,65535,317,3467160477,3587918036,310,1,0,'Your Ursine Avatar IV was successful on %t!','Your Ursine Avatar IV fades.','',1,1,'Spells/Priest/Shaman/Mystic/UrsineAvatar.lua',2548,'You cast Ursine Avatar IV on %t.',0,0,0,1,1,1,0,0,0,190176,0,0,0,0,0,1,0,0,0,'Unset',1580789862,1384378114,0,1),
(190180,2381017312,0,1,'Ursine Avatar','The mystic takes on the form of a bear, increasing wisdom, spell resistance, and stamina. While in this form, the mystic also gains the ability to see stealthed creatures.\n \n\"Yes, yes indeed! I need a disguise.\" - Cicero Puer, Qeynos',241,65535,317,3467160477,3587918036,380,1,0,'Your Ursine Avatar V was successful on %t!','Your Ursine Avatar V fades.','',1,1,'Spells/Priest/Shaman/Mystic/UrsineAvatar.lua',2548,'You cast Ursine Avatar V on %t.',0,0,0,1,1,1,0,0,0,190176,0,0,0,0,0,1,0,0,0,'Unset',1580789876,1384377831,0,1),
(190181,50403290,0,1,'Ursine Avatar VI','The mystic takes on the form of a bear, increasing wisdom, spell resistance, and stamina. While in this form, the mystic also gains the ability to see stealthed creatures.\n \n\"Yes, yes indeed! I need a disguise.\" - Cicero Puer, Qeynos',241,65535,317,3467160477,3587918036,430,1,0,'Your Ursine Avatar VI was successful on %t!','Your Ursine Avatar VI fades.','',1,1,'Spells/Priest/Shaman/Mystic/UrsineAvatar.lua',2548,'You cast Ursine Avatar VI on %t.',0,0,0,1,1,1,0,0,0,190176,0,0,0,0,0,1,0,0,0,'Unset',1580789891,1384378114,0,1),
(190182,2909374027,0,1,'Ursine Avatar VII','The mystic takes on the form of a bear, increasing wisdom, spell resistance, and stamina. While in this form, the mystic also gains the ability to see stealthed creatures.\n \n\"Yes, yes indeed! I need a disguise.\" - Cicero Puer, Qeynos',241,65535,317,3467160477,3587918036,480,1,0,'Your Ursine Avatar VII was successful on %t!','Your Ursine Avatar VII fades.','',1,1,'Spells/Priest/Shaman/Mystic/UrsineAvatar.lua',2548,'You cast Ursine Avatar VII on %t.',0,0,0,0,1,0,0,0,0,190176,0,0,0,0,0,1,0,0,0,'Unset',1580789913,1384378113,0,1),
(190183,3721816798,0,0,'Chilling Wind','Deals instant cold damage and reduces the movement speed of the target.',152,14,315,2662430630,613995491,5,0,1,'Your Velium Winds was successful on %t!','Your Velium Winds fades.','',1,0,'Spells/Priest/Shaman/Mystic/VeliumWinds.lua',2549,'You cast Velium Winds on %t.',0,0,0,1,0,0,0,0,0,110014,0,0,0,0,0,0,0,0,0,'DD',1580782486,1384378112,0,1),
(190184,2543357828,0,0,'Cold Wind','Deals instant cold damage and reduces the movement speed of the target.',152,14,315,3467160477,613995491,45,0,1,'Your Velium Winds II was successful on %t!','Your Velium Winds II fades.','',1,0,'Spells/Priest/Shaman/Mystic/VeliumWinds.lua',2549,'You cast Velium Winds II on %t.',0,0,0,1,0,0,0,0,0,190183,0,0,0,0,0,0,0,0,0,'DD',1580782526,1384378112,0,1),
(190185,3469330829,0,0,'Grey Wind','Deals instant cold damage and reduces the movement speed of the target.',152,14,315,3343700951,613995491,85,0,1,'Your Velium Winds III was successful on %t!','Your Velium Winds III fades.','',1,0,'Spells/Priest/Shaman/Mystic/VeliumWinds.lua',2549,'You cast Velium Winds III on %t.',0,0,0,1,0,0,0,0,0,190183,0,0,0,0,0,0,0,0,0,'DD',1580782637,1384378114,0,1),
(190186,738562157,0,0,'Touch of the Grey','Deals instant cold damage and reduces the movement speed of the target.',152,14,315,3467160477,613995491,155,0,1,'Your Velium Winds IV was successful on %t!','Your Velium Winds IV fades.','',1,0,'Spells/Priest/Shaman/Mystic/VeliumWinds.lua',2549,'You cast Velium Winds IV on %t.',0,0,0,1,0,0,0,0,0,190183,0,0,0,0,0,1,0,0,0,'DD',1580782705,1384378113,0,1),
(190187,1989622027,0,0,'Velium Winds IX','Deals instant cold damage and reduces the movement speed of the target.',152,14,315,3467160477,613995491,460,0,1,'Your Velium Winds IX was successful on %t!','Your Velium Winds IX fades.','',1,0,'Spells/Priest/Shaman/Mystic/VeliumWinds.lua',2549,'You cast Velium Winds IX on %t.',0,0,0,1,0,0,0,0,0,190183,0,0,0,0,0,1,0,0,0,'DD',1580783145,1384378114,0,1),
(190188,1497968779,0,0,'Ire of the Grey','Deals instant cold damage and reduces the movement speed of the target.',152,14,315,3467160477,613995491,225,0,1,'Your Velium Winds V was successful on %t!','Your Velium Winds V fades.','',1,0,'Spells/Priest/Shaman/Mystic/VeliumWinds.lua',2549,'You cast Velium Winds V on %t.',0,0,0,1,0,0,0,0,0,190183,0,0,0,0,0,1,0,0,0,'DD',1580782765,1384378112,0,1),
(190189,2162282035,0,0,'Wrath of the Grey','Deals instant cold damage and reduces the movement speed of the target.',152,14,315,3467160477,613995491,295,0,1,'Your Velium Winds VI was successful on %t!','Your Velium Winds VI fades.','',1,0,'Spells/Priest/Shaman/Mystic/VeliumWinds.lua',2549,'You cast Velium Winds VI on %t.',0,0,0,1,0,0,0,0,0,190183,0,0,0,0,0,1,0,0,0,'DD',1580782825,1384377827,0,1),
(190190,2615419262,0,0,'Velium Winds','Deals instant cold damage and reduces the movement speed of the target.',152,14,315,3467160477,613995491,360,0,1,'Your Velium Winds VII was successful on %t!','Your Velium Winds VII fades.','',1,0,'Spells/Priest/Shaman/Mystic/VeliumWinds.lua',2549,'You cast Velium Winds VII on %t.',0,0,0,1,0,0,0,0,0,190183,0,0,0,0,0,1,0,0,0,'DD',1580782879,1384378112,0,1),
(190191,3480019683,0,0,'Velium Winds VIII','Deals instant cold damage and reduces the movement speed of the target.',152,14,315,3467160477,613995491,410,0,1,'Your Velium Winds VIII was successful on %t!','Your Velium Winds VIII fades.','',1,0,'Spells/Priest/Shaman/Mystic/VeliumWinds.lua',2549,'You cast Velium Winds VIII on %t.',0,0,0,1,0,0,0,0,0,190183,0,0,0,0,0,1,0,0,0,'DD',1580783014,1384378114,0,1),
(190192,1496646413,0,0,'Wards of the Eidolon','Applies a powerful emergency ward for a short duration on the mystic''s group that prevents damage to them until the ward has absorbed its maximum amount of damage. This spell does not require any power and does not have a casting time.',192,16,314,3467160477,366253016,240,0,2,'Your Wards of the Eidolon was successful on %t!','Your Wards of the Eidolon fades.','',1,0,'Spells/Priest/Shaman/Mystic/WardsoftheEidolon.lua',2550,'You cast Wards of the Eidolon on %t.',0,0,0,0,1,1,0,0,0,190192,0,0,0,0,0,0,0,0,0,'Unset',1581108949,1384378112,0,1),
(190193,2417710155,0,1,'Water Spirit','Augmentation which grants the mystic''s group the ability to walk and breathe under water.',239,65535,314,3467160477,3587918036,115,1,2,'Your Water Spirit was successful on %t!','Your Water Spirit fades.','',1,0,'Spells/Priest/Shaman/Mystic/WaterSpiritClassic.lua',2551,'You cast Water Spirit on %t.',0,0,0,0,1,1,0,0,0,190193,0,0,0,0,0,0,0,0,0,'Unset',1580791450,1384378113,0,1),
(190194,1821731522,0,0,'Anger of the Ancients','Deals instant disease damage to the enemy and surrounding encounter members.',261,14,312,3467160477,613995491,160,0,2,'Your Wrath of the Ancients was successful on %t!','Your Wrath of the Ancients fades.','',1,0,'Spells/Priest/Shaman/Mystic/WrathoftheAncients.lua',2515,'You cast Wrath of the Ancients on %t.',0,0,0,1,0,1,0,0,0,190194,0,0,0,0,0,1,0,0,0,'Unset',1580792641,1384378112,0,1),
(190195,347222300,0,0,'Fury of the Ancients','Deals instant disease damage to the enemy and surrounding encounter members.',261,14,312,3467160477,613995491,230,0,2,'Your Wrath of the Ancients II was successful on %t!','Your Wrath of the Ancients II fades.','',1,0,'Spells/Priest/Shaman/Mystic/WrathoftheAncients.lua',2515,'You cast Wrath of the Ancients II on %t.',0,0,0,1,0,1,0,0,0,190194,0,0,0,0,0,1,0,0,0,'Unset',1580792708,1384378112,0,1),
(190196,216030111,0,0,'Wrath of the Ancients','Deals instant disease damage to the enemy and surrounding encounter members.',261,14,312,3467160477,613995491,300,0,2,'Your Wrath of the Ancients III was successful on %t!','Your Wrath of the Ancients III fades.','',1,0,'Spells/Priest/Shaman/Mystic/WrathoftheAncients.lua',2515,'You cast Wrath of the Ancients III on %t.',0,0,0,1,0,1,0,0,0,190194,0,0,0,0,0,1,0,0,0,'Unset',1580792757,1384378113,0,1),
(190197,193442612,0,0,'Revenge of the Ancients','Deals instant disease damage to the enemy and surrounding encounter members.',261,14,312,3467160477,613995491,370,0,2,'Your Wrath of the Ancients IV was successful on %t!','Your Wrath of the Ancients IV fades.','',1,0,'Spells/Priest/Shaman/Mystic/WrathoftheAncients.lua',2515,'You cast Wrath of the Ancients IV on %t.',0,0,0,1,0,1,0,0,0,190194,0,0,0,0,0,1,0,0,0,'Unset',1580792832,1384378113,0,1),
(190198,1854706914,0,0,'Wrath of the Ancients V','Deals instant disease damage to the enemy and surrounding encounter members.',261,14,312,3467160477,613995491,420,0,2,'Your Wrath of the Ancients V was successful on %t!','Your Wrath of the Ancients V fades.','',1,0,'Spells/Priest/Shaman/Mystic/WrathoftheAncients.lua',2515,'You cast Wrath of the Ancients V on %t.',0,0,0,1,0,1,0,0,0,190194,0,0,0,0,0,1,0,0,0,'Unset',1580792879,1384378114,0,1),
(190199,4020892101,0,0,'Wrath of the Ancients VI','Deals instant disease damage to the enemy and surrounding encounter members.',261,14,312,3467160477,613995491,470,0,2,'Your Wrath of the Ancients VI was successful on %t!','Your Wrath of the Ancients VI fades.','',1,0,'Spells/Priest/Shaman/Mystic/WrathoftheAncients.lua',2515,'You cast Wrath of the Ancients VI on %t.',0,0,0,1,0,1,0,0,0,190194,0,0,0,0,0,1,0,0,0,'Unset',1580792931,1384378114,0,1),
(200000,1146798345,0,0,'Loathsome Seal','A powerful impairment that decreases the target''s strength, agility, and wisdom. This impairment can only be maintained on a single target.',236,13,315,3191839982,3587918036,235,0,1,'Your Abhorrent Seal was successful on %t!','Your Abhorrent Seal fades.','',1,0,'Spells/Priest/Shaman/Defiler/AbhorrentSeal.lua',2553,'You cast Abhorrent Seal on %t.',0,0,0,1,0,1,3,0,0,200000,0,0,0,0,0,1,0,0,0,'Unset',1580262527,1384378114,0,1),
(200001,3593213694,0,1,'Abhorrent Seal','A powerful impairment that decreases the target''s strength, agility, and wisdom. This impairment can only be maintained on a single target.',236,13,315,3191839982,3587918036,305,0,1,'Your Abhorrent Seal II was successful on %t!','Your Abhorrent Seal II fades.','',1,0,'Spells/Priest/Shaman/Defiler/AbhorrentSeal.lua',2553,'You cast Abhorrent Seal II on %t.',0,0,0,1,0,1,3,0,0,200000,0,0,0,0,0,1,0,0,0,'Unset',1580263038,1384378112,0,1),
(200002,4113749509,0,0,'Hideous Seal','A powerful impairment that decreases the target''s strength, agility, and wisdom. This impairment can only be maintained on a single target.',236,13,315,3191839982,3587918036,375,0,1,'Your Abhorrent Seal III was successful on %t!','Your Abhorrent Seal III fades.','',1,0,'Spells/Priest/Shaman/Defiler/AbhorrentSeal.lua',2553,'You cast Abhorrent Seal III on %t.',0,0,0,1,0,1,3,0,0,200000,0,0,0,0,0,1,0,0,0,'Unset',1580263074,1384378112,0,1),
(200003,1127850735,0,0,'Abhorrent Seal IV','A powerful impairment that decreases the target''s strength, agility, and wisdom. This impairment can only be maintained on a single target.',236,13,315,3191839982,3587918036,425,0,1,'Your Abhorrent Seal IV was successful on %t!','Your Abhorrent Seal IV fades.','',1,0,'Spells/Priest/Shaman/Defiler/AbhorrentSeal.lua',2553,'You cast Abhorrent Seal IV on %t.',0,0,0,1,0,1,3,0,0,200000,0,0,0,0,0,1,0,0,0,'Unset',1580263154,1384378114,0,1),
(200004,3298781612,0,0,'Abhorrent Seal V','A powerful impairment that decreases the target''s strength, agility, and wisdom. This impairment can only be maintained on a single target.',236,13,315,3191839982,3587918036,475,0,1,'Your Abhorrent Seal V was successful on %t!','Your Abhorrent Seal V fades.','',1,0,'Spells/Priest/Shaman/Defiler/AbhorrentSeal.lua',2553,'You cast Abhorrent Seal V on %t.',0,0,0,1,0,1,3,0,0,200000,0,0,0,0,0,1,0,0,0,'Unset',1580263243,1384378114,0,1),
(200005,1625743548,0,0,'Repulsion','Reduces all of target''s attributes, which includes strength, agility, wisdom and intelligence along with the increasing damage dealt to the target.',204,16,315,3191839982,3587918036,35,0,1,'Your Abomination was successful on %t!','Your Abomination fades.','',1,0,'Spells/Priest/Shaman/Defiler/Abomination.lua',2554,'You cast Abomination on %t.',0,0,0,1,0,1,3,0,0,200005,0,0,0,0,0,0,0,0,0,'Unset',1580065835,1384378113,0,1),
(200006,197776095,0,0,'Revulsion','Reduces all of target''s attributes, which includes strength, agility, wisdom and intelligence along with the increasing damage dealt to the target.',204,16,315,3191839982,3587918036,105,0,1,'Your Abomination II was successful on %t!','Your Abomination II fades.','',1,0,'Spells/Priest/Shaman/Defiler/Revulsion.lua',2559,'You cast Abomination II on %t.',0,0,0,1,0,1,3,0,0,200005,0,0,0,0,0,0,0,0,0,'Unset',1580065898,1384378112,0,1),
(200007,3199850263,0,0,'Loathing','Reduces all of target''s attributes, which includes strength, agility, wisdom and intelligence along with the increasing damage dealt to the target.',204,16,315,3191839982,3587918036,175,0,1,'Your Abomination III was successful on %t!','Your Abomination III fades.','',1,0,'Spells/Priest/Shaman/Defiler/Abomination.lua',2559,'You cast Abomination III on %t.',0,0,0,1,0,1,3,0,0,200005,0,0,0,0,0,1,0,0,0,'Unset',1580065983,1384378114,0,1),
(200008,2152705158,0,0,'Abhorrence','Reduces all of target''s attributes, which includes strength, agility, wisdom and intelligence along with the increasing damage dealt to the target.',204,16,315,3191839982,3587918036,245,0,1,'Your Abomination IV was successful on %t!','Your Abomination IV fades.','',1,0,'Spells/Priest/Shaman/Defiler/Abomination.lua',2559,'You cast Abomination IV on %t.',0,0,0,1,0,1,3,0,0,200005,0,0,0,0,0,1,0,0,0,'Unset',1580066085,1384378114,0,1),
(200009,3418485423,0,0,'Malignancy','Reduces all of target''s attributes, which includes strength, agility, wisdom and intelligence along with the increasing damage dealt to the target.',204,16,315,3191839982,3587918036,320,0,1,'Your Abomination V was successful on %t!','Your Abomination V fades.','',1,0,'Spells/Priest/Shaman/Defiler/Abomination.lua',2559,'You cast Abomination V on %t.',0,0,0,1,0,1,3,0,0,200005,0,0,0,0,0,1,0,0,0,'Unset',1580066253,1384378112,0,1),
(200010,1324779245,0,0,'Abomination','Reduces all of target''s attributes, which includes strength, agility, wisdom and intelligence along with the increasing damage dealt to the target.',204,16,315,3191839982,3587918036,380,0,1,'Your Abomination VI was successful on %t!','Your Abomination VI fades.','',1,0,'Spells/Priest/Shaman/Defiler/Abomination.lua',2559,'You cast Abomination VI on %t.',0,0,0,1,0,1,3,0,0,200005,0,0,0,0,0,1,0,0,0,'Unset',1580066283,1384378112,0,1),
(200011,409088539,0,0,'Abomination VII','Reduces all of target''s attributes, which includes strength, agility, wisdom and intelligence along with the increasing damage dealt to the target.',204,16,315,3191839982,3587918036,430,0,1,'Your Abomination VII was successful on %t!','Your Abomination VII fades.','',1,0,'Spells/Priest/Shaman/Defiler/Abomination.lua',2559,'You cast Abomination VII on %t.',0,0,0,1,0,1,3,0,0,200005,0,0,0,0,0,1,0,0,0,'Unset',1580066364,1384378114,0,1),
(200012,2238567277,0,0,'Abomination VIII','Reduces all of target''s attributes, which includes strength, agility, wisdom and intelligence along with the increasing damage dealt to the target.',204,16,315,3191839982,3587918036,480,0,1,'Your Abomination VIII was successful on %t!','Your Abomination VIII fades.','',1,0,'Spells/Priest/Shaman/Defiler/Abomination.lua',2559,'You cast Abomination VIII on %t.',0,0,0,0,0,0,3,0,0,200005,0,0,0,0,0,1,0,0,0,'Unset',1580066452,1384378114,0,1),
(200013,2155985140,0,1,'Abominus','Augmentation which grants the defiler''s group the ability to walk and breathe under water.',239,65535,314,3191839982,3587918036,115,1,2,'Your Abominus was successful on %t!','Your Abominus fades.','',1,1,'Spells/Priest/Shaman/Defiler/AbominusClassic.lua',2555,'You cast Abominus on %t.',0,0,0,0,1,1,0,0,0,200013,0,0,0,0,0,0,0,0,0,'Unset',1580183689,1384378114,0,1),
(200014,1632797120,0,0,'Aphotic Touch','Interrupts the target encounter while dealing disease damage over time and decreasing Noxious mitigations on an opponent and its allies.',238,15,312,3191839982,613995491,160,0,1,'Your Absolute Corruption was successful on %t!','Your Absolute Corruption fades.','',1,0,'Spells/Priest/Shaman/Defiler/AbsoluteCorruption.lua',2556,'You cast Absolute Corruption on %t.',0,0,0,1,0,1,3,0,0,200014,0,0,0,0,0,1,0,0,0,'DoT',1580260327,1384378114,0,1),
(200015,94513167,0,0,'Aphotic Corruption','Interrupts the target encounter while dealing disease damage over time and decreasing Noxious mitigations on an opponent and its allies.',238,15,312,3191839982,613995491,230,0,1,'Your Absolute Corruption II was successful on %t!','Your Absolute Corruption II fades.','',1,0,'Spells/Priest/Shaman/Defiler/AbsoluteCorruption.lua',2556,'You cast Absolute Corruption II on %t.',0,0,0,1,0,1,3,0,0,200014,0,0,0,0,0,1,0,0,0,'DoT',1580260422,1384378114,0,1),
(200016,520761296,0,0,'Caliginous Corruption','Interrupts the target encounter while dealing disease damage over time and decreasing Noxious mitigations on an opponent and its allies.',238,15,312,3191839982,613995491,300,0,1,'Your Absolute Corruption III was successful on %t!','Your Absolute Corruption III fades.','',1,0,'Spells/Priest/Shaman/Defiler/AbsoluteCorruption.lua',2556,'You cast Absolute Corruption III on %t.',0,0,0,1,0,1,3,0,0,200014,0,0,0,0,0,1,0,0,0,'DoT',1580260508,1384378112,0,1),
(200017,62753189,0,0,'Absolute Corruption','Interrupts the target encounter while dealing disease damage over time and decreasing Noxious mitigations on an opponent and its allies.',238,15,312,3191839982,613995491,370,0,1,'Your Absolute Corruption IV was successful on %t!','Your Absolute Corruption IV fades.','',1,0,'Spells/Priest/Shaman/Defiler/AbsoluteCorruption.lua',2556,'You cast Absolute Corruption IV on %t.',0,0,0,1,0,1,3,0,0,200014,0,0,0,0,0,1,0,0,0,'DoT',1580260598,1384377828,0,1),
(200018,3743912421,0,0,'Absolute Corruption V','Interrupts the target encounter while dealing disease damage over time and decreasing Noxious mitigations on an opponent and its allies.',238,15,312,3191839982,613995491,420,0,1,'Your Absolute Corruption V was successful on %t!','Your Absolute Corruption V fades.','',1,0,'Spells/Priest/Shaman/Defiler/AbsoluteCorruption.lua',2556,'You cast Absolute Corruption V on %t.',0,0,0,1,0,1,3,0,0,200014,0,0,0,0,0,1,0,0,0,'DoT',1580260701,1384378114,0,1),
(200019,3356488997,0,0,'Absolute Corruption VI','Interrupts the target encounter while dealing disease damage over time and decreasing Noxious mitigations on an opponent and its allies.',238,15,312,3191839982,613995491,470,0,1,'Your Absolute Corruption VI was successful on %t!','Your Absolute Corruption VI fades.','',1,0,'Spells/Priest/Shaman/Defiler/AbsoluteCorruption.lua',2556,'You cast Absolute Corruption VI on %t.',0,0,0,0,0,0,3,0,0,200014,0,0,0,0,0,1,0,0,0,'DoT',1580260766,1384378114,0,1),
(200020,4132404075,0,0,'Eerie Avenger','If target ally receives damage that would be fatal, that ally is healed instead and a ward is placed on them. A powerful minion is summoned that grabs the attention of the enemy that attempted to slay the ally. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,3191839982,3587918036,205,0,1,'Your Ancestral Avenger was successful on %t!','Your Ancestral Avenger fades.','',1,1,'Spells/Priest/Shaman/Defiler/AncestralAvenger.lua',2557,'You cast Ancestral Avenger on %t.',0,0,0,1,1,1,0,0,0,200020,0,0,0,0,0,0,0,0,0,'Unset',1580261663,1384378112,0,1),
(200021,3541101869,0,0,'Ghostly Avenger','If target ally receives damage that would be fatal, that ally is healed instead and a ward is placed on them. A powerful minion is summoned that grabs the attention of the enemy that attempted to slay the ally. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,3191839982,3587918036,275,0,1,'Your Ancestral Avenger II was successful on %t!','Your Ancestral Avenger II fades.','',1,1,'Spells/Priest/Shaman/Defiler/AncestralAvenger.lua',2557,'You cast Ancestral Avenger II on %t.',0,0,0,1,1,1,0,0,0,200020,0,0,0,0,0,0,0,0,0,'Unset',1580261703,1384378114,0,1),
(200022,3752016364,0,0,'Spirit Avenger','If target ally receives damage that would be fatal, that ally is healed instead and a ward is placed on them. A powerful minion is summoned that grabs the attention of the enemy that attempted to slay the ally. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,3191839982,3587918036,345,0,1,'Your Ancestral Avenger III was successful on %t!','Your Ancestral Avenger III fades.','',1,1,'Spells/Priest/Shaman/Defiler/AncestralAvenger.lua',2557,'You cast Ancestral Avenger III on %t.',0,0,0,1,1,1,0,0,0,200020,0,0,0,0,0,0,0,0,0,'Unset',1580261748,1384378113,0,1),
(200023,1711748269,0,0,'Ancestral Avenger','If target ally receives damage that would be fatal, that ally is healed instead and a ward is placed on them. A powerful minion is summoned that grabs the attention of the enemy that attempted to slay the ally. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,3191839982,3587918036,400,0,1,'Your Ancestral Avenger IV was successful on %t!','Your Ancestral Avenger IV fades.','',1,1,'Spells/Priest/Shaman/Defiler/AncestralAvenger.lua',2557,'You cast Ancestral Avenger IV on %t.',0,0,0,1,1,1,0,0,0,200020,0,0,0,0,0,0,0,0,0,'Unset',1580261804,1384378114,0,1),
(200024,56627179,0,0,'Ancestral Avenger V','If target ally receives damage that would be fatal, that ally is healed instead and a ward is placed on them. A powerful minion is summoned that grabs the attention of the enemy that attempted to slay the ally. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,3191839982,3587918036,450,0,1,'Your Ancestral Avenger V was successful on %t!','Your Ancestral Avenger V fades.','',1,1,'Spells/Priest/Shaman/Defiler/AncestralAvenger.lua',2557,'You cast Ancestral Avenger V on %t.',0,0,0,1,1,1,0,0,0,200020,0,0,0,0,0,0,0,0,0,'Unset',1580261841,1384378114,0,1),
(200025,1678139777,0,0,'Ancestral Avenger VI','If target ally receives damage that would be fatal, that ally is healed instead and a ward is placed on them. A powerful minion is summoned that grabs the attention of the enemy that attempted to slay the ally. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,3191839982,3587918036,500,0,1,'Your Ancestral Avenger VI was successful on %t!','Your Ancestral Avenger VI fades.','',1,1,'Spells/Priest/Shaman/Defiler/AncestralAvenger.lua',2557,'You cast Ancestral Avenger VI on %t.',0,0,0,0,1,0,0,0,0,200020,0,0,0,0,0,0,0,0,0,'Unset',1580261883,1384378113,0,1),
(200026,1983009964,0,0,'Spectral Ward','Applies a powerful ward for a short duration that prevents damage to target ally until the ward has absorbed its maximum amount of damage. If any absorption remains when the ward expires, it is converted into a heal.\n\n',194,16,316,3343700951,366253016,60,0,1,'Your Ancient Shroud was successful on %t!','Your Ancient Shroud fades.','',1,0,'Spells/Priest/Shaman/Defiler/AncientShroud.lua',2558,'You cast Ancient Shroud on %t.',0,1,0,1,1,1,0,0,0,200026,0,0,0,0,0,0,0,0,0,'Unset',1580066515,1384377828,0,1),
(200027,753499921,0,0,'Ghostly Ward','Applies a powerful ward for a short duration that prevents damage to target ally until the ward has absorbed its maximum amount of damage. If any absorption remains when the ward expires, it is converted into a heal.\n\n',194,16,316,3191839982,366253016,95,0,1,'Your Ancient Shroud II was successful on %t!','Your Ancient Shroud II fades.','',1,0,'Spells/Priest/Shaman/Defiler/AncientShroud.lua',2558,'You cast Ancient Shroud II on %t.',0,1,0,1,1,1,0,0,0,200026,0,0,0,0,0,0,0,0,0,'Unset',1580066543,1384378114,0,1),
(200028,2492058635,0,0,'Spectral Guard','Applies a powerful ward for a short duration that prevents damage to target ally until the ward has absorbed its maximum amount of damage. If any absorption remains when the ward expires, it is converted into a heal.\n\n',194,16,316,3191839982,366253016,130,0,1,'Your Ancient Shroud III was successful on %t!','Your Ancient Shroud III fades.','',1,0,'Spells/Priest/Shaman/Defiler/SpectralGuard.lua',2558,'You cast Ancient Shroud III on %t.',0,1,0,1,1,1,0,0,0,200026,0,0,0,0,0,0,0,0,0,'Unset',1580066565,1384377828,0,1),
(200029,1566069660,0,0,'Malefic Shroud','Applies a powerful ward for a short duration that prevents damage to target ally until the ward has absorbed its maximum amount of damage. If any absorption remains when the ward expires, it is converted into a heal.\n\n',194,16,316,3191839982,366253016,200,0,1,'Your Ancient Shroud IV was successful on %t!','Your Ancient Shroud IV fades.','',1,0,'Spells/Priest/Shaman/Defiler/AncientShroud.lua',2558,'You cast Ancient Shroud IV on %t.',0,1,0,1,1,1,0,0,0,200026,0,0,0,0,0,1,0,0,0,'Unset',1580066621,1384378112,0,1),
(200030,1687265566,0,0,'Ancient Shroud IX','Applies a powerful ward for a short duration that prevents damage to target ally until the ward has absorbed its maximum amount of damage. If any absorption remains when the ward expires, it is converted into a heal.\n\n',194,16,316,3191839982,366253016,490,0,1,'Your Ancient Shroud IX was successful on %t!','Your Ancient Shroud IX fades.','',1,0,'Spells/Priest/Shaman/Defiler/AncientShroud.lua',2558,'You cast Ancient Shroud IX on %t.',0,0,0,0,1,0,0,0,0,200026,0,0,0,0,0,1,0,0,0,'Unset',1580067123,1384377831,0,1),
(200031,1352085168,0,0,'Calamitous Shroud','Applies a powerful ward for a short duration that prevents damage to target ally until the ward has absorbed its maximum amount of damage. If any absorption remains when the ward expires, it is converted into a heal.\n\n',194,16,316,3191839982,366253016,270,0,1,'Your Ancient Shroud V was successful on %t!','Your Ancient Shroud V fades.','',1,0,'Spells/Priest/Shaman/Defiler/AncientShroud.lua',2558,'You cast Ancient Shroud V on %t.',0,1,0,1,1,1,0,0,0,200026,0,0,0,0,0,1,0,0,0,'Unset',1580066655,1384378114,0,1),
(200032,279943205,0,0,'Malignant Shroud','Applies a powerful ward for a short duration that prevents damage to target ally until the ward has absorbed its maximum amount of damage. If any absorption remains when the ward expires, it is converted into a heal.\n\n',194,16,316,3191839982,366253016,340,0,1,'Your Ancient Shroud VI was successful on %t!','Your Ancient Shroud VI fades.','',1,0,'Spells/Priest/Shaman/Defiler/AncientShroud.lua',2558,'You cast Ancient Shroud VI on %t.',0,1,0,1,1,1,0,0,0,200026,0,0,0,0,0,1,0,0,0,'Unset',1580066969,1384378113,0,1),
(200033,632641928,0,0,'Ancient Shroud','Applies a powerful ward for a short duration that prevents damage to target ally until the ward has absorbed its maximum amount of damage. If any absorption remains when the ward expires, it is converted into a heal.\n\n',194,16,316,3191839982,366253016,390,0,1,'Your Ancient Shroud VII was successful on %t!','Your Ancient Shroud VII fades.','',1,0,'Spells/Priest/Shaman/Defiler/AncientShroud.lua',2558,'You cast Ancient Shroud VII on %t.',0,1,0,1,1,1,0,0,0,200026,0,0,0,0,0,1,0,0,0,'Unset',1580067010,1384378112,0,1),
(200034,3812059741,0,0,'Ancient Shroud VIII','Applies a powerful ward for a short duration that prevents damage to target ally until the ward has absorbed its maximum amount of damage. If any absorption remains when the ward expires, it is converted into a heal.\n\n',194,16,316,3191839982,366253016,440,0,1,'Your Ancient Shroud VIII was successful on %t!','Your Ancient Shroud VIII fades.','',1,0,'Spells/Priest/Shaman/Defiler/AncientShroud.lua',2558,'You cast Ancient Shroud VIII on %t.',0,1,0,1,1,1,0,0,0,200026,0,0,0,0,0,1,0,0,0,'Unset',1580067054,1384378114,0,1),
(200035,800429331,0,0,'Primordial Terror','Forces target to flee in fear. The fear effect has a chance to break each time the target is attacked or cast upon.',232,13,315,3191839982,882983852,195,0,1,'Your Ancient Terror was successful on %t!','Your Ancient Terror fades.','',1,0,'Spells/Priest/Shaman/Defiler/AncientTerror.lua',2559,'You cast Ancient Terror on %t.',0,0,0,1,0,1,3,0,0,200035,0,0,0,0,0,0,0,0,0,'Unset',1580261312,1384378114,0,1),
(200036,1459187031,0,0,'Primeval Terror','Forces target to flee in fear. The fear effect has a chance to break each time the target is attacked or cast upon.',232,13,315,3191839982,882983852,265,0,1,'Your Ancient Terror II was successful on %t!','Your Ancient Terror II fades.','',1,0,'Spells/Priest/Shaman/Defiler/AncientTerror.lua',2559,'You cast Ancient Terror II on %t.',0,0,0,1,0,1,3,0,0,200035,0,0,0,0,0,0,0,0,0,'Unset',1580261398,1384378114,0,1),
(200037,2573958737,0,0,'Ancient Terror','Forces target to flee in fear. The fear effect has a chance to break each time the target is attacked or cast upon.',232,13,315,3191839982,882983852,335,0,1,'Your Ancient Terror III was successful on %t!','Your Ancient Terror III fades.','',1,0,'Spells/Priest/Shaman/Defiler/AncientTerror.lua',2559,'You cast Ancient Terror III on %t.',0,0,0,1,0,1,3,0,0,200035,0,0,0,0,0,0,0,0,0,'Unset',1580261452,1384377831,0,1),
(200038,996572427,0,0,'Panic','Forces target to flee in fear. The fear effect has a chance to break each time the target is attacked or cast upon.',232,13,315,3191839982,882983852,385,0,1,'Your Ancient Terror IV was successful on %t!','Your Ancient Terror IV fades.','',1,0,'Spells/Priest/Shaman/Defiler/AncientTerror.lua',2559,'You cast Ancient Terror IV on %t.',0,0,0,1,0,1,3,0,0,200035,0,0,0,0,0,0,0,0,0,'Unset',1580261490,1384377827,0,1),
(200039,3629090503,0,0,'Ancient Terror V','Forces target to flee in fear. The fear effect has a chance to break each time the target is attacked or cast upon.',232,13,315,3191839982,882983852,435,0,1,'Your Ancient Terror V was successful on %t!','Your Ancient Terror V fades.','',1,0,'Spells/Priest/Shaman/Defiler/AncientTerror.lua',2559,'You cast Ancient Terror V on %t.',0,0,0,1,0,1,3,0,0,200035,0,0,0,0,0,0,0,0,0,'Unset',1580261540,1384378114,0,1),
(200040,3862587720,0,0,'Curse','Impairment that decreases target''s attack speed.',193,15,315,3191839982,3587918036,10,0,1,'Your Atrophy was successful on %t!','Your Atrophy fades.','',1,0,'Spells/Priest/Shaman/Defiler/Atrophy.lua',2560,'You cast Atrophy on %t.',0,0,0,1,0,1,3,0,0,200040,0,0,0,0,0,0,0,0,0,'Unset',1580053882,1384378114,0,1),
(200041,2824098309,0,0,'Greater Curse','Impairment that decreases target''s attack speed.',193,15,315,3191839982,3587918036,50,0,1,'Your Atrophy II was successful on %t!','Your Atrophy II fades.','',1,0,'Spells/Priest/Shaman/Defiler/Atrophy.lua',2560,'You cast Atrophy II on %t.',0,0,0,1,0,1,3,0,0,200040,0,0,0,0,0,0,0,0,0,'Unset',1580053902,1384377831,0,1),
(200042,4029534695,0,0,'Degeneration','Impairment that decreases target''s attack speed.',193,15,315,3191839982,3587918036,120,0,1,'Your Atrophy III was successful on %t!','Your Atrophy III fades.','',1,0,'Spells/Priest/Shaman/Defiler/Degeneration.lua',2560,'You cast Atrophy III on %t.',0,0,0,1,0,1,3,0,0,200040,0,0,0,0,0,0,0,0,0,'Unset',1580054048,1384378114,0,1),
(200043,2460282639,0,0,'Atrophy','Impairment that decreases target''s attack speed.',193,15,315,3191839982,3587918036,190,0,1,'Your Atrophy IV was successful on %t!','Your Atrophy IV fades.','',1,0,'Spells/Priest/Shaman/Defiler/Atrophy.lua',2560,'You cast Atrophy IV on %t.',0,0,0,1,0,1,3,0,0,200040,0,0,0,0,0,1,0,0,0,'Unset',1580054157,1384378112,0,1),
(200044,3727743398,0,0,'Degenerate','Impairment that decreases target''s attack speed.',193,15,315,3191839982,3587918036,260,0,1,'Your Atrophy V was successful on %t!','Your Atrophy V fades.','',1,0,'Spells/Priest/Shaman/Defiler/Atrophy.lua',2560,'You cast Atrophy V on %t.',0,0,0,1,0,1,3,0,0,200040,0,0,0,0,0,1,0,0,0,'Unset',1580054510,1384377828,0,1),
(200045,2526603988,0,0,'Abasement','Impairment that decreases target''s attack speed.',193,15,315,3191839982,3587918036,330,0,1,'Your Atrophy VI was successful on %t!','Your Atrophy VI fades.','',1,0,'Spells/Priest/Shaman/Defiler/Atrophy.lua',2560,'You cast Atrophy VI on %t.',0,0,0,1,0,1,3,0,0,200040,0,0,0,0,0,1,0,0,0,'Unset',1580054627,1384378157,0,1),
(200046,1202046430,0,0,'Curse of Shielding','A curse placed on an enemy that causes them to sometimes ward the target against the enemy''s hostile spells and attacks.',267,15,315,3191839982,3587918036,130,0,1,'Your Bane of Warding was successful on %t!','Your Bane of Warding fades.','',1,0,'Spells/Priest/Shaman/Defiler/CurseofShielding.lua',2561,'You cast Bane of Warding on %t.',0,0,0,1,0,1,4,0,0,200046,0,0,0,0,0,0,0,0,0,'Unset',1580186108,1384377828,0,1),
(200047,1519323569,0,0,'Bane of Shielding','A curse placed on an enemy that causes them to sometimes ward the target against the enemy''s hostile spells and attacks.',267,15,315,3191839982,3587918036,200,0,1,'Your Bane of Warding II was successful on %t!','Your Bane of Warding II fades.','',1,0,'Spells/Priest/Shaman/Defiler/BaneofWarding.lua',2561,'You cast Bane of Warding II on %t.',0,0,0,1,0,1,4,0,0,200046,0,0,0,0,0,0,0,0,0,'Unset',1580185893,1384378114,0,1),
(200048,4000628544,0,0,'Bane Of Guarding','A curse placed on an enemy that causes them to sometimes ward the target against the enemy''s hostile spells and attacks.',267,15,315,3191839982,3587918036,270,0,1,'Your Bane of Warding III was successful on %t!','Your Bane of Warding III fades.','',1,0,'Spells/Priest/Shaman/Defiler/BaneofWarding.lua',0,'You cast Bane of Warding III on %t.',0,0,0,1,0,1,4,0,0,200046,0,0,0,0,0,0,0,0,0,'Unset',1580186133,1384378114,0,1),
(200049,679414518,0,0,'Bane Of Protection','A curse placed on an enemy that causes them to sometimes ward the target against the enemy''s hostile spells and attacks.',267,15,315,3191839982,3587918036,340,0,1,'Your Bane of Warding IV was successful on %t!','Your Bane of Warding IV fades.','',1,0,'Spells/Priest/Shaman/Defiler/BaneofWarding.lua',2561,'You cast Bane of Warding IV on %t.',0,0,0,1,0,1,4,0,0,200046,0,0,0,0,0,0,0,0,0,'Unset',1580186270,1384377827,0,1),
(200050,4267319446,0,0,'Bane Of Warding','A curse placed on an enemy that causes them to sometimes ward the target against the enemy''s hostile spells and attacks.',267,15,315,3191839982,3587918036,395,0,1,'Your Bane of Warding V was successful on %t!','Your Bane of Warding V fades.','',1,0,'Spells/Priest/Shaman/Defiler/BaneofWarding.lua',2561,'You cast Bane of Warding V on %t.',0,0,0,1,0,1,4,0,0,200046,0,0,0,0,0,0,0,0,0,'Unset',1580186379,1384378112,0,1),
(200051,136676606,0,0,'Bane of Warding VI','A curse placed on an enemy that causes them to sometimes ward the target against the enemy''s hostile spells and attacks.',267,15,315,3191839982,3587918036,445,0,1,'Your Bane of Warding VI was successful on %t!','Your Bane of Warding VI fades.','',1,0,'Spells/Priest/Shaman/Defiler/BaneofWarding.lua',2561,'You cast Bane of Warding VI on %t.',0,0,0,1,0,1,4,0,0,200046,0,0,0,0,0,0,0,0,0,'Unset',1580186443,1384378114,0,1),
(200052,3883348511,0,0,'Bane of Warding VII','A curse placed on an enemy that causes them to sometimes ward the target against the enemy''s hostile spells and attacks.',267,15,315,3191839982,3587918036,495,0,1,'Your Bane of Warding VII was successful on %t!','Your Bane of Warding VII fades.','',1,0,'Spells/Priest/Shaman/Defiler/BaneofWarding.lua',2561,'You cast Bane of Warding VII on %t.',0,0,0,0,0,0,4,0,0,200046,0,0,0,0,0,0,0,0,0,'Unset',1580186547,1384378157,0,1),
(200053,1985600764,0,0,'Ward of Spirit','Applies a powerful ward for a short duration on the defiler''s group that prevents damage to them until the ward has absorbed its maximum amount of damage.',192,16,314,3191839982,366253016,70,0,2,'Your Carrion Warding was successful on %t!','Your Carrion Warding fades.','',1,0,'Spells/Priest/Shaman/Defiler/CarrionWarding.lua',2562,'You cast Carrion Warding on %t.',0,0,0,1,1,1,0,0,0,200053,0,0,0,0,0,0,0,0,0,'Unset',1580179817,1384377832,0,1),
(200054,2005639101,0,0,'Seeping Eschar','Applies a powerful ward for a short duration on the defiler''s group that prevents damage to them until the ward has absorbed its maximum amount of damage.',192,16,314,3191839982,366253016,140,0,2,'Your Carrion Warding II was successful on %t!','Your Carrion Warding II fades.','',1,0,'Spells/Priest/Shaman/Defiler/SeepingEschar.lua',2562,'You cast Carrion Warding II on %t.',0,0,0,1,1,1,0,0,0,200053,0,0,0,0,0,0,0,0,0,'Unset',1580179844,1384378114,0,1),
(200055,4240187952,0,0,'Carrion Shield','Applies a powerful ward for a short duration on the defiler''s group that prevents damage to them until the ward has absorbed its maximum amount of damage.',192,16,314,3191839982,366253016,210,0,2,'Your Carrion Warding III was successful on %t!','Your Carrion Warding III fades.','',1,0,'Spells/Priest/Shaman/Defiler/CarrionWarding.lua',2562,'You cast Carrion Warding III on %t.',0,0,0,1,1,1,0,0,0,200053,0,0,0,0,0,1,0,0,0,'Unset',1580179862,1384377827,0,1),
(200056,3053982195,0,0,'Carrion Aegis','Applies a powerful ward for a short duration on the defiler''s group that prevents damage to them until the ward has absorbed its maximum amount of damage.',192,16,314,3191839982,366253016,280,0,2,'Your Carrion Warding IV was successful on %t!','Your Carrion Warding IV fades.','',1,0,'Spells/Priest/Shaman/Defiler/CarrionWarding.lua',2562,'You cast Carrion Warding IV on %t.',0,0,0,1,1,1,0,0,0,200053,0,0,0,0,0,1,0,0,0,'Unset',1580179881,1384378114,0,1),
(200057,3659670798,0,0,'Carrion Bulwark','Applies a powerful ward for a short duration on the defiler''s group that prevents damage to them until the ward has absorbed its maximum amount of damage.',192,16,314,3191839982,366253016,350,0,2,'Your Carrion Warding V was successful on %t!','Your Carrion Warding V fades.','',1,0,'Spells/Priest/Shaman/Defiler/CarrionWarding.lua',2562,'You cast Carrion Warding V on %t.',0,0,0,1,1,1,0,0,0,200053,0,0,0,0,0,1,0,0,0,'Unset',1580179895,1384378113,0,1),
(200058,1788593003,0,0,'Carrion Warding','Applies a powerful ward for a short duration on the defiler''s group that prevents damage to them until the ward has absorbed its maximum amount of damage.',192,16,314,3191839982,366253016,395,0,2,'Your Carrion Warding VI was successful on %t!','Your Carrion Warding VI fades.','',1,0,'Spells/Priest/Shaman/Defiler/CarrionWarding.lua',2562,'You cast Carrion Warding VI on %t.',0,0,0,1,1,1,0,0,0,200053,0,0,0,0,0,1,0,0,0,'Unset',1580179982,1384377827,0,1),
(200059,2632214275,0,0,'Carrion Warding VII','Applies a powerful ward for a short duration on the defiler''s group that prevents damage to them until the ward has absorbed its maximum amount of damage.',192,16,314,3191839982,366253016,445,0,2,'Your Carrion Warding VII was successful on %t!','Your Carrion Warding VII fades.','',1,0,'Spells/Priest/Shaman/Defiler/CarrionWarding.lua',2562,'You cast Carrion Warding VII on %t.',0,0,0,1,1,1,0,0,0,200053,0,0,0,0,0,1,0,0,0,'Unset',1580180125,1384378114,0,1),
(200060,1941361122,0,0,'Carrion Warding VIII','Applies a powerful ward for a short duration on the defiler''s group that prevents damage to them until the ward has absorbed its maximum amount of damage.',192,16,314,3191839982,366253016,495,0,2,'Your Carrion Warding VIII was successful on %t!','Your Carrion Warding VIII fades.','',1,0,'Spells/Priest/Shaman/Defiler/CarrionWarding.lua',2562,'You cast Carrion Warding VIII on %t.',0,0,0,0,1,1,0,0,0,200053,0,0,0,0,0,1,0,0,0,'Unset',1580180169,1384378113,0,1),
(200061,1340988900,0,1,'Distill Soul','Whenever a group ally is responsible for the death of an enemy, they have a chance at capturing some of their spirit. This spirit can later be consumed to heal nearby allies. This spell does not require any concentration, but consumes a small amount of your health anytime it triggers.',254,16,314,3191839982,3587918036,145,1,2,'Your Crystallize Soul was successful on %t!','Your Crystallize Soul fades.','',1,1,'Spells/Priest/Shaman/Defiler/DistillSoul.lua',2563,'You cast Crystallize Soul on %t.',0,0,0,1,1,1,0,0,0,200061,0,0,0,0,0,0,0,0,0,'Unset',1580186648,1384377828,0,1),
(200062,1909472086,0,1,'Cyrstallize Soul','Whenever a group ally is responsible for the death of an enemy, they have a chance at capturing some of their spirit. This spirit can later be consumed to heal nearby allies. This spell does not require any concentration, but consumes a small amount of your health anytime it triggers.',254,16,314,3191839982,3587918036,215,1,2,'Your Crystallize Soul II was successful on %t!','Your Crystallize Soul II fades.','',1,1,'Spells/Priest/Shaman/Defiler/CrystallizeSoul.lua',2563,'You cast Crystallize Soul II on %t.',0,0,0,1,1,1,0,0,0,200061,0,0,0,0,0,0,0,0,0,'Unset',1580259954,1384378114,0,1),
(200063,231367660,0,1,'Crystallize Spirit','Whenever a group ally is responsible for the death of an enemy, they have a chance at capturing some of their spirit. This spirit can later be consumed to heal nearby allies. This spell does not require any concentration, but consumes a small amount of your health anytime it triggers.',254,16,314,3191839982,3587918036,285,1,2,'Your Crystallize Soul III was successful on %t!','Your Crystallize Soul III fades.','',1,1,'Spells/Priest/Shaman/Defiler/CrystallizeSoul.lua',2563,'You cast Crystallize Soul III on %t.',0,0,0,1,1,1,0,0,0,200061,0,0,0,0,0,0,0,0,0,'Unset',1580260002,1384378114,0,1),
(200064,3679035064,0,1,'Crystallize Essence','Whenever a group ally is responsible for the death of an enemy, they have a chance at capturing some of their spirit. This spirit can later be consumed to heal nearby allies. This spell does not require any concentration, but consumes a small amount of your health anytime it triggers.',254,16,314,3191839982,3587918036,355,1,2,'Your Crystallize Soul IV was successful on %t!','Your Crystallize Soul IV fades.','',1,1,'Spells/Priest/Shaman/Defiler/CrystallizeSoul.lua',2563,'You cast Crystallize Soul IV on %t.',0,0,0,1,1,1,0,0,0,200061,0,0,0,0,0,0,0,0,0,'Unset',1580260019,1384378113,0,1),
(200065,1040498688,0,1,'Crystallize Soul V','Whenever a group ally is responsible for the death of an enemy, they have a chance at capturing some of their spirit. This spirit can later be consumed to heal nearby allies. This spell does not require any concentration, but consumes a small amount of your health anytime it triggers.',254,16,314,3191839982,3587918036,405,1,2,'Your Crystallize Soul V was successful on %t!','Your Crystallize Soul V fades.','',1,1,'Spells/Priest/Shaman/Defiler/CrystallizeSoul.lua',2563,'You cast Crystallize Soul V on %t.',0,0,0,1,1,1,0,0,0,200061,0,0,0,0,0,0,0,0,0,'Unset',1580260033,1384378114,0,1),
(200066,3512104673,0,1,'Crystallize Soul VI','Whenever a group ally is responsible for the death of an enemy, they have a chance at capturing some of their spirit. This spirit can later be consumed to heal nearby allies. This spell does not require any concentration, but consumes a small amount of your health anytime it triggers.',254,16,314,3191839982,3587918036,455,1,2,'Your Crystallize Soul VI was successful on %t!','Your Crystallize Soul VI fades.','',1,1,'Spells/Priest/Shaman/Defiler/CrystallizeSoul.lua',2563,'You cast Crystallize Soul VI on %t.',0,0,0,1,1,1,0,0,0,200061,0,0,0,0,0,0,0,0,0,'Unset',1580260060,1384378114,0,1),
(200067,4055243208,0,0,'Deathward','Deathward is more powerful the closer the target is to death.',259,16,316,3191839982,366253016,400,0,1,'Your Deathward was successful on %t!','Your Deathward fades.','',1,0,'Spells/Priest/Shaman/Defiler/Deathward.lua',2564,'You cast Deathward on %t.',0,1,0,1,1,1,0,0,0,200067,0,0,0,0,0,0,0,0,0,'Unset',1580265408,1384377827,0,1),
(200068,1779652007,0,0,'Deathward II','Deathward is more powerful the closer the target is to death.',259,16,316,3191839982,366253016,450,0,1,'Your Deathward II was successful on %t!','Your Deathward II fades.','',1,0,'Spells/Priest/Shaman/Defiler/Deathward.lua',2564,'You cast Deathward II on %t.',0,1,0,1,1,1,0,0,0,200067,0,0,0,0,0,0,0,0,0,'Unset',1580265445,1384378114,0,1),
(200069,707573427,0,0,'Deathward III','Deathward is more powerful the closer the target is to death.',259,16,316,3191839982,366253016,500,0,1,'Your Deathward III was successful on %t!','Your Deathward III fades.','',1,0,'Spells/Priest/Shaman/Defiler/Deathward.lua',2564,'You cast Deathward III on %t.',0,0,0,0,1,0,0,0,0,200067,0,0,0,0,0,0,0,0,0,'Unset',1580265488,1384378113,0,1),
(200070,3498371953,0,0,'Defile','An area effect spell that deals disease damage over-time to enemies surrounding the defiler. The amount of damage increases the closer the enemies are near death.',279,65535,313,3191839982,613995491,325,0,1,'Your Defile was successful on %t!','Your Defile fades.','',1,0,'Spells/Priest/Shaman/Defiler/Defile.lua',2565,'You cast Defile on %t.',0,0,0,1,1,1,0,0,0,200070,0,0,0,0,0,0,0,0,0,'DoT',1580265172,1384378113,0,1),
(200071,3676364952,0,0,'Emaciate','An area effect spell that deals disease damage over-time to enemies surrounding the defiler. The amount of damage increases the closer the enemies are near death.',279,65535,313,3191839982,613995491,390,0,1,'Your Defile II was successful on %t!','Your Defile II fades.','',1,0,'Spells/Priest/Shaman/Defiler/Defile.lua',2565,'You cast Defile II on %t.',0,0,0,1,1,1,0,0,0,200070,0,0,0,0,0,0,0,0,0,'DoT',1580265207,1384378112,0,1),
(200072,2202215730,0,0,'Defile III','An area effect spell that deals disease damage over-time to enemies surrounding the defiler. The amount of damage increases the closer the enemies are near death.',279,65535,313,3191839982,613995491,440,0,1,'Your Defile III was successful on %t!','Your Defile III fades.','',1,0,'Spells/Priest/Shaman/Defiler/Defile.lua',2565,'You cast Defile III on %t.',0,0,0,1,1,1,0,0,0,200070,0,0,0,0,0,0,0,0,0,'DoT',1580265329,1384378114,0,1),
(200073,2486710641,0,0,'Defile IV','An area effect spell that deals disease damage over-time to enemies surrounding the defiler. The amount of damage increases the closer the enemies are near death.',279,65535,313,3191839982,613995491,490,0,1,'Your Defile IV was successful on %t!','Your Defile IV fades.','',1,0,'Spells/Priest/Shaman/Defiler/Defile.lua',2565,'You cast Defile IV on %t.',0,0,0,0,1,0,0,0,0,200070,0,0,0,0,0,0,0,0,0,'DoT',1580265273,1384378112,0,1),
(200074,1455620557,0,0,'Minor Balm','Instantly heals some of target ally''s health.',158,12,316,3191839982,366253016,5,0,1,'Your Dire Balm was successful on %t!','Your Dire Balm fades.','',1,0,'Spells/Priest/Shaman/Defiler/DireBalm.lua',2566,'You cast Dire Balm on %t.',0,1,0,1,1,0,0,0,0,200074,0,0,0,0,0,0,0,0,0,'Unset',1579993748,1384378114,0,1),
(200075,45204546,0,0,'Balm','Instantly heals some of target ally''s health.',158,12,316,3191839982,366253016,35,0,1,'Your Dire Balm II was successful on %t!','Your Dire Balm II fades.','',1,0,'Spells/Priest/Shaman/Defiler/DireBalm.lua',2566,'You cast Dire Balm II on %t.',0,1,0,1,1,0,0,0,0,200074,0,0,0,0,0,0,0,0,0,'Unset',1579993764,1384378113,0,1),
(200076,989024464,0,0,'Greater Balm','Instantly heals some of target ally''s health.',158,12,316,3191839982,366253016,75,0,1,'Your Dire Balm III was successful on %t!','Your Dire Balm III fades.','',1,0,'Spells/Priest/Shaman/Defiler/DireBalm.lua',2566,'You cast Dire Balm III on %t.',0,1,0,1,1,0,0,0,0,200074,0,0,0,0,0,0,0,0,0,'Unset',1579993779,1384378113,0,1),
(200077,3384996850,0,0,'Putrified Balm','Instantly heals some of target ally''s health.',158,12,316,3191839982,366253016,110,0,1,'Your Dire Balm IV was successful on %t!','Your Dire Balm IV fades.','',1,0,'Spells/Priest/Shaman/Defiler/DireBalm.lua',2566,'You cast Dire Balm IV on %t.',0,1,0,1,1,0,0,0,0,200074,0,0,0,0,0,0,0,0,0,'Unset',1579993812,1384377828,0,1),
(200078,544260202,0,0,'Dire Balm IX','Instantly heals some of target ally''s health.',158,12,316,3191839982,366253016,405,0,1,'Your Dire Balm IX was successful on %t!','Your Dire Balm IX fades.','',1,0,'Spells/Priest/Shaman/Defiler/DireBalm.lua',2566,'You cast Dire Balm IX on %t.',0,1,0,1,1,0,0,0,0,200074,0,0,0,0,0,1,0,0,0,'Unset',1579994475,1384378114,0,1),
(200079,4156312428,0,0,'Putrified Balm','Instantly heals some of target ally''s health.',158,12,316,3191839982,366253016,145,0,1,'Your Dire Balm V was successful on %t!','Your Dire Balm V fades.','',1,0,'Spells/Priest/Shaman/Defiler/PutrifiedBalm.lua',2566,'You cast Dire Balm V on %t.',0,1,0,1,1,0,0,0,0,200074,0,0,0,0,0,0,0,0,0,'Unset',1579993931,1384377828,0,1),
(200080,3173001762,0,0,'Fetid Balm','Instantly heals some of target ally''s health.',158,12,316,3191839982,366253016,215,0,1,'Your Dire Balm VI was successful on %t!','Your Dire Balm VI fades.','',1,0,'Spells/Priest/Shaman/Defiler/DireBalm.lua',2566,'You cast Dire Balm VI on %t.',0,1,0,1,1,0,0,0,0,200074,0,0,0,0,0,1,0,0,0,'Unset',1579994007,1384378112,0,1),
(200081,633707383,0,0,'Putrid Balm','Instantly heals some of target ally''s health.',158,12,316,3191839982,366253016,285,0,1,'Your Dire Balm VII was successful on %t!','Your Dire Balm VII fades.','',1,0,'Spells/Priest/Shaman/Defiler/DireBalm.lua',2566,'You cast Dire Balm VII on %t.',0,1,0,1,1,0,0,0,0,200074,0,0,0,0,0,1,0,0,0,'Unset',1579994106,1384378114,0,1),
(200082,1390698267,0,0,'Dire Balm','Instantly heals some of target ally''s health.',158,12,316,3191839982,366253016,355,0,1,'Your Dire Balm VIII was successful on %t!','Your Dire Balm VIII fades.','',1,0,'Spells/Priest/Shaman/Defiler/DireBalm.lua',2566,'You cast Dire Balm VIII on %t.',0,1,0,1,1,0,0,0,0,200074,0,0,0,0,0,1,0,0,0,'Unset',1579994365,1384378113,0,1),
(200083,3151334405,0,0,'Dire Balm X','Instantly heals some of target ally''s health.',158,12,316,3191839982,366253016,455,0,1,'Your Dire Balm X was successful on %t!','Your Dire Balm X fades.','',1,0,'Spells/Priest/Shaman/Defiler/DireBalm.lua',2566,'You cast Dire Balm X on %t.',0,1,0,1,1,0,0,0,0,200074,0,0,0,0,0,1,0,0,0,'Unset',1579994528,1384377827,0,1),
(200084,4055891567,0,0,'Fuliginous Sphere','Deals disease damage over time and decreases the attack speed of the target.',239,15,315,3191839982,613995491,115,0,1,'Your Fuliginous Whip was successful on %t!','Your Fuliginous Whip fades.','',1,0,'Spells/Priest/Shaman/Defiler/FuliginousSphere.lua',2567,'You cast Fuliginous Whip on %t.',0,0,0,1,0,1,3,0,0,200084,0,0,0,0,0,0,0,0,0,'DoT',1580184150,1384378112,0,1),
(200085,3511514173,0,0,'Fulginous Coil','Deals disease damage over time and decreases the attack speed of the target.',239,15,315,3191839982,613995491,185,0,1,'Your Fuliginous Whip II was successful on %t!','Your Fuliginous Whip II fades.','',1,0,'Spells/Priest/Shaman/Defiler/FuliginousWhip.lua',2567,'You cast Fuliginous Whip II on %t.',0,0,0,1,0,1,3,0,0,200084,0,0,0,0,0,1,0,0,0,'DoT',1580184304,1384378114,0,1),
(200086,970832875,0,0,'Fulginous Tendril','Deals disease damage over time and decreases the attack speed of the target.',239,15,315,3191839982,613995491,255,0,1,'Your Fuliginous Whip III was successful on %t!','Your Fuliginous Whip III fades.','',1,0,'Spells/Priest/Shaman/Defiler/FuliginousWhip.lua',2567,'You cast Fuliginous Whip III on %t.',0,0,0,1,0,1,3,0,0,200084,0,0,0,0,0,1,0,0,0,'DoT',1580184537,1384378113,0,1),
(200087,2426203642,0,0,'Fulginous Dominion','Deals disease damage over time and decreases the attack speed of the target.',239,15,315,3191839982,613995491,325,0,1,'Your Fuliginous Whip IV was successful on %t!','Your Fuliginous Whip IV fades.','',1,0,'Spells/Priest/Shaman/Defiler/FuliginousWhip.lua',2567,'You cast Fuliginous Whip IV on %t.',0,0,0,1,0,1,3,0,0,200084,0,0,0,0,0,1,0,0,0,'DoT',1580184704,1384377831,0,1),
(200088,3787720175,0,0,'Fuliginous Whip','Deals disease damage over time and decreases the attack speed of the target.',239,15,315,3191839982,613995491,385,0,1,'Your Fuliginous Whip V was successful on %t!','Your Fuliginous Whip V fades.','',1,0,'Spells/Priest/Shaman/Defiler/FuliginousWhip.lua',2567,'You cast Fuliginous Whip V on %t.',0,0,0,1,0,1,3,0,0,200084,0,0,0,0,0,1,0,0,0,'DoT',1580185092,1384377827,0,1),
(200089,398172551,0,0,'Fuliginous Whip VI','Deals disease damage over time and decreases the attack speed of the target.',239,15,315,3191839982,613995491,435,0,1,'Your Fuliginous Whip VI was successful on %t!','Your Fuliginous Whip VI fades.','',1,0,'Spells/Priest/Shaman/Defiler/FuliginousWhip.lua',2567,'You cast Fuliginous Whip VI on %t.',0,0,0,1,0,1,3,0,0,200084,0,0,0,0,0,1,0,0,0,'DoT',1580185272,1384377827,0,1),
(200090,4176025446,0,0,'Fuliginous Whip VII','Deals disease damage over time and decreases the attack speed of the target.',239,15,315,3191839982,613995491,485,0,1,'Your Fuliginous Whip VII was successful on %t!','Your Fuliginous Whip VII fades.','',1,0,'Spells/Priest/Shaman/Defiler/FuliginousWhip.lua',2567,'You cast Fuliginous Whip VII on %t.',0,0,0,0,0,0,3,0,0,200084,0,0,0,0,0,1,0,0,0,'DoT',1580184764,1384378113,0,1),
(200091,2191465295,0,1,'Minor Fortune','An augmentation that increases the stamina and power of the defiler''s ally.',272,13,316,3191839982,3587918036,20,1,8,'Your Harbinger was successful on %t!','Your Harbinger fades.','',1,1,'Spells/Priest/Shaman/Defiler/Harbinger.lua',2568,'You cast Harbinger on %t.',0,0,0,1,1,1,0,0,0,200091,0,0,0,0,0,0,0,0,0,'Unset',1580064826,1384378114,0,1),
(200092,810531409,0,1,'Fortune','An augmentation that increases the stamina and power of the defiler''s ally.',272,13,316,3191839982,3587918036,80,1,8,'Your Harbinger II was successful on %t!','Your Harbinger II fades.','',1,1,'Spells/Priest/Shaman/Defiler/Harbinger.lua',2568,'You cast Harbinger II on %t.',0,0,0,1,1,1,0,0,0,200091,0,0,0,0,0,0,0,0,0,'Unset',1580064845,1384377828,0,1),
(200093,1524360537,0,1,'Foreboding','An augmentation that increases the stamina and power of the defiler''s ally.',272,13,316,3191839982,3587918036,150,1,8,'Your Harbinger III was successful on %t!','Your Harbinger III fades.','',1,1,'Spells/Priest/Shaman/Defiler/Foreboding.lua',2568,'You cast Harbinger III on %t.',0,0,0,1,1,1,0,0,0,200091,0,0,0,0,0,0,0,0,0,'Unset',1580064888,1384378114,0,1),
(200094,4041756661,0,1,'Harbinger','An augmentation that increases the stamina and power of the defiler''s ally.',272,13,316,3191839982,3587918036,220,1,8,'Your Harbinger IV was successful on %t!','Your Harbinger IV fades.','',1,1,'Spells/Priest/Shaman/Defiler/Harbinger.lua',2568,'You cast Harbinger IV on %t.',0,0,0,1,1,1,0,0,0,200091,0,0,0,0,0,1,0,0,0,'Unset',1580064903,1384378112,0,1),
(200095,2214521807,0,1,'Portent','An augmentation that increases the stamina and power of the defiler''s ally.',272,13,316,3191839982,3587918036,290,1,8,'Your Harbinger V was successful on %t!','Your Harbinger V fades.','',1,1,'Spells/Priest/Shaman/Defiler/Harbinger.lua',2568,'You cast Harbinger V on %t.',0,0,0,1,1,1,0,0,0,200091,0,0,0,0,0,1,0,0,0,'Unset',1580064942,1384378114,0,1),
(200096,248310279,0,1,'Precognition','An augmentation that increases the stamina and power of the defiler''s ally.',272,13,316,3191839982,3587918036,360,1,8,'Your Harbinger VI was successful on %t!','Your Harbinger VI fades.','',1,1,'Spells/Priest/Shaman/Defiler/Harbinger.lua',2568,'You cast Harbinger VI on %t.',0,0,0,1,1,1,0,0,0,200091,0,0,0,0,0,1,0,0,0,'Unset',1580064996,1384377827,0,1),
(200097,2914404066,0,1,'Harbinger VII','An augmentation that increases the stamina and power of the defiler''s ally.',272,13,316,3191839982,3587918036,410,1,8,'Your Harbinger VII was successful on %t!','Your Harbinger VII fades.','',1,1,'Spells/Priest/Shaman/Defiler/Harbinger.lua',2568,'You cast Harbinger VII on %t.',0,0,0,1,1,1,0,0,0,200091,0,0,0,0,0,1,0,0,0,'Unset',1580065044,1384378114,0,1),
(200098,907217549,0,1,'Harbinger VIII','An augmentation that increases the stamina and power of the defiler''s ally.',272,13,316,3191839982,3587918036,460,1,8,'Your Harbinger VIII was successful on %t!','Your Harbinger VIII fades.','',1,1,'Spells/Priest/Shaman/Defiler/Harbinger.lua',2568,'You cast Harbinger VIII on %t.',0,0,0,1,1,1,0,0,0,200091,0,0,0,0,0,1,0,0,0,'Unset',1580065078,1384377827,0,1),
(200099,227945470,0,0,'Imprecation','Deals instant disease damage to the target and decreases their noxious resistance for a short duration.',257,14,315,3191839982,613995491,5,0,1,'Your Imprecate was successful on %t!','Your Imprecate fades.','',1,0,'Spells/Priest/Shaman/Defiler/Imprecate.lua',2569,'You cast Imprecate on %t.',0,0,0,1,0,1,3,0,0,110014,0,0,0,0,0,0,0,0,0,'DD',1579994614,1384378114,0,1),
(200100,3650492871,0,0,'Greater Imprecation','Deals instant disease damage to the target and decreases their noxious resistance for a short duration.',257,14,315,3191839982,613995491,45,0,1,'Your Imprecate II was successful on %t!','Your Imprecate II fades.','',1,0,'Spells/Priest/Shaman/Defiler/Imprecate.lua',2569,'You cast Imprecate II on %t.',0,0,0,1,0,1,3,0,0,200099,0,0,0,0,0,0,0,0,0,'DD',1579994703,1384378156,0,1),
(200101,2842524564,0,0,'Sickening Imprecation','Deals instant disease damage to the target and decreases their noxious resistance for a short duration.',257,14,315,3191839982,613995491,85,0,1,'Your Imprecate III was successful on %t!','Your Imprecate III fades.','',1,0,'Spells/Priest/Shaman/Defiler/Imprecate.lua',2569,'You cast Imprecate III on %t.',0,0,0,1,0,1,3,0,0,200099,0,0,0,0,0,0,0,0,0,'DD',1579994722,1384378113,0,1),
(200102,3336547184,0,0,'Vile Imprecation','Deals instant disease damage to the target and decreases their noxious resistance for a short duration.',257,14,315,3191839982,613995491,155,0,1,'Your Imprecate IV was successful on %t!','Your Imprecate IV fades.','',1,0,'Spells/Priest/Shaman/Defiler/VileImprecation.lua',2561,'You cast Imprecate IV on %t.',0,0,0,1,0,1,3,0,0,200099,0,0,0,0,0,0,0,0,0,'DD',1579994833,1384377828,0,1),
(200103,26474378,0,0,'Imprecate IX','Deals instant disease damage to the target and decreases their noxious resistance for a short duration.',257,14,315,3191839982,613995491,460,0,1,'Your Imprecate IX was successful on %t!','Your Imprecate IX fades.','',1,0,'Spells/Priest/Shaman/Defiler/Imprecate.lua',2561,'You cast Imprecate IX on %t.',0,0,0,1,0,1,3,0,0,200099,0,0,0,0,0,1,0,0,0,'DD',1580053783,1384377827,0,1),
(200104,2749406972,0,0,'Ruinous Imprecation','Deals instant disease damage to the target and decreases their noxious resistance for a short duration.',257,14,315,3191839982,613995491,225,0,1,'Your Imprecate V was successful on %t!','Your Imprecate V fades.','',1,0,'Spells/Priest/Shaman/Defiler/Imprecate.lua',2561,'You cast Imprecate V on %t.',0,0,0,1,0,1,3,0,0,200099,0,0,0,0,0,1,0,0,0,'DD',1579994921,1384378112,0,1),
(200105,2204222884,0,0,'Ruinous Anathema','Deals instant disease damage to the target and decreases their noxious resistance for a short duration.',257,14,315,3191839982,613995491,295,0,1,'Your Imprecate VI was successful on %t!','Your Imprecate VI fades.','',1,0,'Spells/Priest/Shaman/Defiler/Imprecate.lua',2561,'You cast Imprecate VI on %t.',0,0,0,1,0,1,3,0,0,200099,0,0,0,0,0,1,0,0,0,'DD',1580053147,1384378112,0,1),
(200106,3902940308,0,0,'Imprecate','Deals instant disease damage to the target and decreases their noxious resistance for a short duration.',257,14,315,3191839982,613995491,360,0,1,'Your Imprecate VII was successful on %t!','Your Imprecate VII fades.','',1,0,'Spells/Priest/Shaman/Defiler/Imprecate.lua',2561,'You cast Imprecate VII on %t.',0,0,0,1,0,1,3,0,0,200099,0,0,0,0,0,1,0,0,0,'DD',1580053326,1384377827,0,1),
(200107,2587278309,0,0,'Imprecate VIII','Deals instant disease damage to the target and decreases their noxious resistance for a short duration.',257,14,315,3191839982,613995491,410,0,1,'Your Imprecate VIII was successful on %t!','Your Imprecate VIII fades.','',1,0,'Spells/Priest/Shaman/Defiler/Imprecate.lua',2561,'You cast Imprecate VIII on %t.',0,0,0,1,0,1,3,0,0,200099,0,0,0,0,0,1,0,0,0,'DD',1580053507,1384377831,0,1),
(200108,2224652546,0,1,'Dread Invective','An augmentation placed on an ally that has a chance to deal disease damage over time and place an impairment that does additional disease damage each time the attacked opponent consumes power. This spell does not require any concentration, but can only be maintained on a single ally.',240,14,316,3191839982,3587918036,225,1,1,'Your Invective was successful on %t!','Your Invective fades.','',1,1,'Spells/Priest/Shaman/Defiler/Invective.lua',2570,'You cast Invective on %t.',0,0,0,1,1,1,0,0,0,200108,0,0,0,0,0,0,0,0,0,'Unset',1580262113,1384377828,0,1),
(200109,1223409031,0,1,'Dire Invective','An augmentation placed on an ally that has a chance to deal disease damage over time and place an impairment that does additional disease damage each time the attacked opponent consumes power. This spell does not require any concentration, but can only be maintained on a single ally.',240,14,316,3191839982,3587918036,295,1,1,'Your Invective II was successful on %t!','Your Invective II fades.','',1,1,'Spells/Priest/Shaman/Defiler/Invective.lua',2570,'You cast Invective II on %t.',0,0,0,1,1,1,0,0,0,200108,0,0,0,0,0,0,0,0,0,'Unset',1580262246,1384378114,0,1),
(200110,2752205330,0,1,'Invective','An augmentation placed on an ally that has a chance to deal disease damage over time and place an impairment that does additional disease damage each time the attacked opponent consumes power. This spell does not require any concentration, but can only be maintained on a single ally.',240,14,316,3191839982,3587918036,365,1,1,'Your Invective III was successful on %t!','Your Invective III fades.','',1,1,'Spells/Priest/Shaman/Defiler/Invective.lua',2570,'You cast Invective III on %t.',0,0,0,1,1,1,0,0,0,200108,0,0,0,0,0,0,0,0,0,'Unset',1580262273,1384378114,0,1),
(200111,3600797027,0,1,'Invective IV','An augmentation placed on an ally that has a chance to deal disease damage over time and place an impairment that does additional disease damage each time the attacked opponent consumes power. This spell does not require any concentration, but can only be maintained on a single ally.',240,14,316,3191839982,3587918036,415,1,1,'Your Invective IV was successful on %t!','Your Invective IV fades.','',1,1,'Spells/Priest/Shaman/Defiler/Invective.lua',2570,'You cast Invective IV on %t.',0,0,0,1,1,1,0,0,0,200108,0,0,0,0,0,0,0,0,0,'Unset',1580262313,1384378114,0,1),
(200112,1295679756,0,1,'Invective V','An augmentation placed on an ally that has a chance to deal disease damage over time and place an impairment that does additional disease damage each time the attacked opponent consumes power. This spell does not require any concentration, but can only be maintained on a single ally.',240,14,316,3191839982,3587918036,465,1,1,'Your Invective V was successful on %t!','Your Invective V fades.','',1,1,'Spells/Priest/Shaman/Defiler/Invective.lua',2570,'You cast Invective V on %t.',0,0,0,0,1,0,0,0,0,200108,0,0,0,0,0,0,0,0,0,'Unset',1580262346,1384377828,0,1),
(200113,1883768716,0,0,'Maelstrom of Dismay','Drains health and power over time from the target and nearby encounter members, and converts it into health and power for the defiler''s group. It costs power over time to maintain the spell, but the spell can be toggled off early if desired. ',212,12,312,3191839982,613995491,250,0,1,'Your Maelstrom was successful on %t!','Your Maelstrom fades.','',1,0,'Spells/Priest/Shaman/Defiler/Maelstrom.lua',2571,'You cast Maelstrom on %t.',0,0,0,1,0,1,3,0,0,200113,0,0,0,0,0,0,0,0,0,'Unset',1580263429,1384378114,0,1),
(200114,760502801,0,0,'Maelstrom','Drains health and power over time from the target and nearby encounter members, and converts it into health and power for the defiler''s group. It costs power over time to maintain the spell, but the spell can be toggled off early if desired. ',212,12,312,3191839982,613995491,350,0,1,'Your Maelstrom II was successful on %t!','Your Maelstrom II fades.','',1,0,'Spells/Priest/Shaman/Defiler/Maelstrom.lua',2571,'You cast Maelstrom II on %t.',0,0,0,1,0,1,3,0,0,200113,0,0,0,0,0,0,0,0,0,'Unset',1580263506,1384377827,0,1),
(200115,3698915463,0,0,'Pandemonium','Drains health and power over time from the target and nearby encounter members, and converts it into health and power for the defiler''s group. It costs power over time to maintain the spell, but the spell can be toggled off early if desired. ',212,12,312,3191839982,613995491,400,0,1,'Your Maelstrom III was successful on %t!','Your Maelstrom III fades.','',1,0,'Spells/Priest/Shaman/Defiler/Maelstrom.lua',2571,'You cast Maelstrom III on %t.',0,0,0,1,0,1,3,0,0,200113,0,0,0,0,0,0,0,0,0,'Unset',1580263616,1384377827,0,1),
(200116,3294988559,0,0,'Maelstrom IV','Drains health and power over time from the target and nearby encounter members, and converts it into health and power for the defiler''s group. It costs power over time to maintain the spell, but the spell can be toggled off early if desired. ',212,12,312,3191839982,613995491,450,0,1,'Your Maelstrom IV was successful on %t!','Your Maelstrom IV fades.','',1,0,'Spells/Priest/Shaman/Defiler/Maelstrom.lua',2571,'You cast Maelstrom IV on %t.',0,0,0,1,0,1,3,0,0,200113,0,0,0,0,0,0,0,0,0,'Unset',1580263752,1384378114,0,1),
(200117,2220517915,0,0,'Maelstrom V','Drains health and power over time from the target and nearby encounter members, and converts it into health and power for the defiler''s group. It costs power over time to maintain the spell, but the spell can be toggled off early if desired. ',212,12,312,3191839982,613995491,500,0,1,'Your Maelstrom V was successful on %t!','Your Maelstrom V fades.','',1,0,'Spells/Priest/Shaman/Defiler/Maelstrom.lua',2571,'You cast Maelstrom V on %t.',0,0,0,0,0,0,3,0,0,200113,0,0,0,0,0,0,0,0,0,'Unset',1580263777,1384377827,0,1),
(200118,579302539,0,0,'Mail of Souls','Cures impairments on the defiler''s group.',747,15,314,3191839982,3587918036,210,0,2,'Your Mail of Souls was successful on %t!','Your Mail of Souls fades.','',1,0,'Spells/Priest/Shaman/Defiler/MailofSouls.lua',2572,'You cast Mail of Souls on %t.',0,0,0,1,1,0,0,0,0,200118,0,0,0,0,0,1,0,0,0,'Unset',1580262009,1384378114,0,1),
(200119,2100228815,0,0,'Mail of Spirits','Cures impairments on the defiler''s group.',747,15,314,3191839982,3587918036,280,0,2,'Your Mail of Souls II was successful on %t!','Your Mail of Souls II fades.','',1,0,'Spells/Priest/Shaman/Defiler/MailofSouls.lua',2572,'You cast Mail of Souls II on %t.',0,0,0,1,1,0,0,0,0,200118,0,0,0,0,0,1,0,0,0,'Unset',1580262034,1384378114,0,1),
(200120,1306442377,0,0,'Mail of Phantoms','Cures impairments on the defiler''s group.',747,15,314,3191839982,3587918036,350,0,2,'Your Mail of Souls III was successful on %t!','Your Mail of Souls III fades.','',1,0,'Spells/Priest/Shaman/Defiler/MailofSouls.lua',2572,'You cast Mail of Souls III on %t.',0,0,0,1,1,0,0,0,0,200118,0,0,0,0,0,1,0,0,0,'Unset',1580262047,1384377827,0,1),
(200121,2894447282,0,0,'Nightmares','This is the condensed energy of an ancient, mythical weapon.',279,65535,312,3191839982,0,400,0,1,'Your Nightmares was successful on %t!','Your Nightmares fades.','',1,1,'Spells/Priest/Shaman/Defiler/Nightmares.lua',3548,'You cast Nightmares on %t.',0,0,0,1,0,1,3,0,0,200121,0,0,0,0,0,0,0,0,0,'Unset',1580265549,1384377878,0,1),
(200122,1213935364,0,1,'Efflux','A group augmentation that increases the noxious resistance and stamina of the defiler''s group.',208,65535,314,3191839982,3587918036,80,1,2,'Your Noxious Efflux was successful on %t!','Your Noxious Efflux fades.','',1,1,'Spells/Priest/Shaman/Defiler/NoxiousEfflux.lua',2573,'You cast Noxious Efflux on %t.',0,0,0,1,1,1,0,0,0,200122,0,0,0,0,0,0,0,0,0,'Unset',1580181626,1384378113,0,1),
(200123,1741304046,0,1,'Dire Effluence','A group augmentation that increases the noxious resistance and stamina of the defiler''s group.',208,65535,314,3191839982,3587918036,150,1,2,'Your Noxious Efflux II was successful on %t!','Your Noxious Efflux II fades.','',1,1,'Spells/Priest/Shaman/Defiler/DireEffluence.lua',2573,'You cast Noxious Efflux II on %t.',0,0,0,1,1,1,0,0,0,200122,0,0,0,0,0,0,0,0,0,'Unset',1580181831,1384378112,0,1),
(200124,1000028570,0,1,'Baleful Efflux','A group augmentation that increases the noxious resistance and stamina of the defiler''s group.',208,65535,314,3191839982,3587918036,220,1,2,'Your Noxious Efflux III was successful on %t!','Your Noxious Efflux III fades.','',1,1,'Spells/Priest/Shaman/Defiler/NoxiousEfflux.lua',2573,'You cast Noxious Efflux III on %t.',0,0,0,1,1,1,0,0,0,200122,0,0,0,0,0,1,0,0,0,'Unset',1580181857,1384377827,0,1),
(200125,3504465928,0,1,'Malevolent Efflux','A group augmentation that increases the noxious resistance and stamina of the defiler''s group.',208,65535,314,3191839982,3587918036,290,1,2,'Your Noxious Efflux IV was successful on %t!','Your Noxious Efflux IV fades.','',1,1,'Spells/Priest/Shaman/Defiler/NoxiousEfflux.lua',2573,'You cast Noxious Efflux IV on %t.',0,0,0,1,1,1,0,0,0,200122,0,0,0,0,0,1,0,0,0,'Unset',1580181880,1384378114,0,1),
(200126,3078618976,0,1,'Noxious Efflux','A group augmentation that increases the noxious resistance and stamina of the defiler''s group.',208,65535,314,3191839982,3587918036,360,1,2,'Your Noxious Efflux V was successful on %t!','Your Noxious Efflux V fades.','',1,1,'Spells/Priest/Shaman/Defiler/NoxiousEfflux.lua',2573,'You cast Noxious Efflux V on %t.',0,0,0,1,1,1,0,0,0,200122,0,0,0,0,0,1,0,0,0,'Unset',1580181932,1384378114,0,1),
(200127,1912458421,0,1,'Noxious Efflux VI','A group augmentation that increases the noxious resistance and stamina of the defiler''s group.',208,65535,314,3191839982,3587918036,410,1,2,'Your Noxious Efflux VI was successful on %t!','Your Noxious Efflux VI fades.','',1,1,'Spells/Priest/Shaman/Defiler/NoxiousEfflux.lua',2573,'You cast Noxious Efflux VI on %t.',0,0,0,1,1,1,0,0,0,200122,0,0,0,0,0,1,0,0,0,'Unset',1580181996,1384378114,0,1),
(200128,4133160950,0,1,'Noxious Efflux VII','A group augmentation that increases the noxious resistance and stamina of the defiler''s group.',208,65535,314,3191839982,3587918036,460,1,2,'Your Noxious Efflux VII was successful on %t!','Your Noxious Efflux VII fades.','',1,1,'Spells/Priest/Shaman/Defiler/NoxiousEfflux.lua',2573,'You cast Noxious Efflux VII on %t.',0,0,0,1,1,1,0,0,0,200122,0,0,0,0,0,1,0,0,0,'Unset',1580182058,1384377827,0,1),
(200129,1569314256,0,0,'Purulence','Applies a powerful emergency ward for a short duration on the defiler''s group that prevents damage to them until the ward has absorbed its maximum amount of damage. This spell does not require any power and does not have a casting time.',192,16,314,3191839982,366253016,240,0,2,'Your Purulence was successful on %t!','Your Purulence fades.','',0,1,'Spells/Priest/Shaman/Defiler/Purulence.lua',2574,'You cast Purulence on %t.',0,0,0,0,1,1,0,0,0,200129,0,0,0,0,0,0,0,0,0,'Unset',1580263319,1384378114,0,1),
(200130,4283439596,0,0,'Malaise','Deals poison damage over time to the target.\n\n \n\n\"He did not expect my blade to be poisoned.\" - 1st Lieutenant Danarg, 313 AS',197,14,315,3191839982,613995491,15,0,1,'Your Putrefy was successful on %t!','Your Putrefy fades.','',1,0,'Spells/Priest/Shaman/Defiler/Putrefy.lua',2575,'You cast Putrefy on %t.',0,0,0,1,0,1,3,0,0,200130,0,0,0,0,0,0,0,0,0,'DoT',1580054674,1384378114,0,1),
(200131,2018943597,0,0,'Infection','Deals poison damage over time to the target.\n\n \n\n\"He did not expect my blade to be poisoned.\" - 1st Lieutenant Danarg, 313 AS',197,14,315,3191839982,613995491,55,0,1,'Your Putrefy II was successful on %t!','Your Putrefy II fades.','',1,0,'Spells/Priest/Shaman/Defiler/Putrefy.lua',2575,'You cast Putrefy II on %t.',0,0,0,1,0,1,3,0,0,200130,0,0,0,0,0,0,0,0,0,'DoT',1580054715,1384378113,0,1),
(200132,1070029049,0,0,'Contamination','Deals poison damage over time to the target.\n\n \n\n\"He did not expect my blade to be poisoned.\" - 1st Lieutenant Danarg, 313 AS',197,14,315,3191839982,613995491,125,0,1,'Your Putrefy III was successful on %t!','Your Putrefy III fades.','',1,0,'Spells/Priest/Shaman/Defiler/Contamination.lua',2575,'You cast Putrefy III on %t.',0,0,0,1,0,1,3,0,0,200130,0,0,0,0,0,0,0,0,0,'DoT',1580054785,1384377828,0,1),
(200133,4149428017,0,0,'Suppuration','Deals poison damage over time to the target.\n\n \n\n\"He did not expect my blade to be poisoned.\" - 1st Lieutenant Danarg, 313 AS',197,14,315,3191839982,613995491,195,0,1,'Your Putrefy IV was successful on %t!','Your Putrefy IV fades.','',1,0,'Spells/Priest/Shaman/Defiler/Putrefy.lua',2575,'You cast Putrefy IV on %t.',0,0,0,1,0,1,3,0,0,200130,0,0,0,0,0,1,0,0,0,'DoT',1580054943,1384378114,0,1),
(200134,667711093,0,0,'Putrefy IX','Deals poison damage over time to the target.\n\n \n\n\"He did not expect my blade to be poisoned.\" - 1st Lieutenant Danarg, 313 AS',197,14,315,3191839982,613995491,490,0,1,'Your Putrefy IX was successful on %t!','Your Putrefy IX fades.','',1,0,'Spells/Priest/Shaman/Defiler/Putrefy.lua',2575,'You cast Putrefy IX on %t.',0,0,0,0,0,0,3,0,0,200130,0,0,0,0,0,1,0,0,0,'DoT',1580057386,1384378113,0,1),
(200135,1823541824,0,0,'Infestation','Deals poison damage over time to the target.\n\n \n\n\"He did not expect my blade to be poisoned.\" - 1st Lieutenant Danarg, 313 AS',197,14,315,3191839982,613995491,265,0,1,'Your Putrefy V was successful on %t!','Your Putrefy V fades.','',1,0,'Spells/Priest/Shaman/Defiler/Putrefy.lua',2575,'You cast Putrefy V on %t.',0,0,0,1,0,1,3,0,0,200130,0,0,0,0,0,1,0,0,0,'DoT',1580055147,1384378113,0,1),
(200136,159310377,0,0,'Putrefy','Deals poison damage over time to the target.\n\n \n\n\"He did not expect my blade to be poisoned.\" - 1st Lieutenant Danarg, 313 AS',197,14,315,3191839982,613995491,335,0,1,'Your Putrefy VI was successful on %t!','Your Putrefy VI fades.','',1,0,'Spells/Priest/Shaman/Defiler/Putrefy.lua',2575,'You cast Putrefy VI on %t.',0,0,0,1,0,1,3,0,0,200130,0,0,0,0,0,1,0,0,0,'DoT',1580055217,1384377827,0,1),
(200137,1265474267,0,0,'Malis','Deals poison damage over time to the target.\n\n \n\n\"He did not expect my blade to be poisoned.\" - 1st Lieutenant Danarg, 313 AS',197,14,315,3191839982,613995491,390,0,1,'Your Putrefy VII was successful on %t!','Your Putrefy VII fades.','',1,0,'Spells/Priest/Shaman/Defiler/Putrefy.lua',2575,'You cast Putrefy VII on %t.',0,0,0,1,0,1,3,0,0,200130,0,0,0,0,0,1,0,0,0,'DoT',1580055868,1384377827,0,1),
(200138,3356368203,0,0,'Putrefy VIII','Deals poison damage over time to the target.\n\n \n\n\"He did not expect my blade to be poisoned.\" - 1st Lieutenant Danarg, 313 AS',197,14,315,3191839982,613995491,440,0,1,'Your Putrefy VIII was successful on %t!','Your Putrefy VIII fades.','',1,0,'Spells/Priest/Shaman/Defiler/Putrefy.lua',2575,'You cast Putrefy VIII on %t.',0,0,0,1,0,1,3,0,0,200130,0,0,0,0,0,1,0,0,0,'DoT',1580057232,1384378114,0,1),
(200139,294783152,0,0,'Reanimate','Resurrects a fallen ally and grants them increased power regeneration. This spell can be cast during combat.',156,15,316,3191839982,366253016,110,0,6,'Your Reanimate was successful on %t!','Your Reanimate fades.','',1,0,'Spells/Priest/Shaman/Defiler/ReanimateClassic.lua',2576,'You cast Reanimate on %t.',0,1,1,0,1,0,0,0,0,200139,0,0,0,0,0,0,0,0,0,'Unset',1580183561,1384378112,0,1),
(200140,589856008,0,0,'Minor Sacrificial Heal','Heals a large amount of target ally''s health. ',468,12,316,3191839982,366253016,15,0,1,'Your Sacrificial Restoration was successful on %t!','Your Sacrificial Restoration fades.','',1,0,'Spells/Priest/Shaman/Defiler/SacrificialRestoration.lua',2577,'You cast Sacrificial Restoration on %t.',0,1,0,1,1,0,0,0,0,200140,0,0,0,0,0,0,0,0,0,'Unset',1580063884,1384378113,0,1),
(200141,3547336263,0,0,'Sacrificial Heal','Heals a large amount of target ally''s health. ',468,12,316,3191839982,366253016,50,0,1,'Your Sacrificial Restoration II was successful on %t!','Your Sacrificial Restoration II fades.','',1,0,'Spells/Priest/Shaman/Defiler/SacrificialRestoration.lua',2577,'You cast Sacrificial Restoration II on %t.',0,1,0,1,1,0,0,0,0,200140,0,0,0,0,0,0,0,0,0,'Unset',1580063918,1384378113,0,1),
(200142,2609951372,0,0,'Greater Sacrificial Heal','Heals a large amount of target ally''s health. ',468,12,316,3191839982,366253016,90,0,1,'Your Sacrificial Restoration III was successful on %t!','Your Sacrificial Restoration III fades.','',1,0,'Spells/Priest/Shaman/Defiler/SacrificialRestoration.lua',2577,'You cast Sacrificial Restoration III on %t.',0,1,0,1,1,0,0,0,0,200140,0,0,0,0,0,0,0,0,0,'Unset',1580063938,1384378113,0,1),
(200143,3117515073,0,0,'Senescence','Resurrects all nearby fallen allies and grants them increased power regeneration. This spell can be cast during combat.',156,15,314,3191839982,366253016,180,0,6,'Your Senescence was successful on %t!','Your Senescence fades.','',1,0,'Spells/Priest/Shaman/Defiler/Senescence.lua',2578,'You cast Senescence on %t.',0,1,1,0,1,0,0,0,0,200143,0,0,0,0,0,0,0,0,0,'Unset',1580261103,1384378114,0,1),
(200144,1915503005,0,1,'Shroud','A group augmentation that increases physical mitigation to the defiler''s non-fighter allies, health to the defiler''s fighter allies (when the defiler is level 94 or above), and a replenishing ward against non-physical damage to the entire group.',146,65535,314,3191839982,3587918036,25,1,2,'Your Shroud of Armor was successful on %t!','Your Shroud of Armor fades.','',1,1,'Spells/Priest/Shaman/Defiler/ShroudofArmor.lua',2579,'You cast Shroud of Armor on %t.',0,0,0,1,1,1,0,0,0,200144,0,0,0,0,0,0,0,0,0,'Unset',1580065141,1384378113,0,1),
(200145,591270575,0,1,'Greater Shroud','A group augmentation that increases physical mitigation to the defiler''s non-fighter allies, health to the defiler''s fighter allies (when the defiler is level 94 or above), and a replenishing ward against non-physical damage to the entire group.',146,65535,314,3191839982,3587918036,95,1,2,'Your Shroud of Armor II was successful on %t!','Your Shroud of Armor II fades.','',1,1,'Spells/Priest/Shaman/Defiler/ShroudofArmor.lua',2579,'You cast Shroud of Armor II on %t.',0,0,0,1,1,1,0,0,0,200144,0,0,0,0,0,0,0,0,0,'Unset',1580065151,1384378114,0,1),
(200146,2336128891,0,1,'Dire Shroud','A group augmentation that increases physical mitigation to the defiler''s non-fighter allies, health to the defiler''s fighter allies (when the defiler is level 94 or above), and a replenishing ward against non-physical damage to the entire group.',146,65535,314,3191839982,3587918036,165,1,2,'Your Shroud of Armor III was successful on %t!','Your Shroud of Armor III fades.','',1,1,'Spells/Priest/Shaman/Defiler/ShroudofArmor.lua',2579,'You cast Shroud of Armor III on %t.',0,0,0,1,1,1,0,0,0,200144,0,0,0,0,0,1,0,0,0,'Unset',1580065244,1384378112,0,1),
(200147,1419884016,0,1,'Ghastly Shroud','A group augmentation that increases physical mitigation to the defiler''s non-fighter allies, health to the defiler''s fighter allies (when the defiler is level 94 or above), and a replenishing ward against non-physical damage to the entire group.',146,65535,314,3191839982,3587918036,235,1,2,'Your Shroud of Armor IV was successful on %t!','Your Shroud of Armor IV fades.','',1,1,'Spells/Priest/Shaman/Defiler/ShroudofArmor.lua',2579,'You cast Shroud of Armor IV on %t.',0,0,0,1,1,1,0,0,0,200144,0,0,0,0,0,1,0,0,0,'Unset',1580065362,1384378112,0,1),
(200148,3724936485,0,1,'Abhorrent Shroud','A group augmentation that increases physical mitigation to the defiler''s non-fighter allies, health to the defiler''s fighter allies (when the defiler is level 94 or above), and a replenishing ward against non-physical damage to the entire group.',146,65535,314,3191839982,3587918036,305,1,2,'Your Shroud of Armor V was successful on %t!','Your Shroud of Armor V fades.','',1,1,'Spells/Priest/Shaman/Defiler/ShroudofArmor.lua',2579,'You cast Shroud of Armor V on %t.',0,0,0,1,1,1,0,0,0,200144,0,0,0,0,0,1,0,0,0,'Unset',1580065405,1384378112,0,1),
(200149,1040822195,0,1,'Shroud Of Armor','A group augmentation that increases physical mitigation to the defiler''s non-fighter allies, health to the defiler''s fighter allies (when the defiler is level 94 or above), and a replenishing ward against non-physical damage to the entire group.',146,65535,314,3191839982,3587918036,370,1,2,'Your Shroud of Armor VI was successful on %t!','Your Shroud of Armor VI fades.','',1,1,'Spells/Priest/Shaman/Defiler/ShroudofArmor.lua',2579,'You cast Shroud of Armor VI on %t.',0,0,0,1,1,1,0,0,0,200144,0,0,0,0,0,1,0,0,0,'Unset',1580065510,1384378112,0,1),
(200150,3363179483,0,1,'Shroud of Armor VII','A group augmentation that increases physical mitigation to the defiler''s non-fighter allies, health to the defiler''s fighter allies (when the defiler is level 94 or above), and a replenishing ward against non-physical damage to the entire group.',146,65535,314,3191839982,3587918036,420,1,2,'Your Shroud of Armor VII was successful on %t!','Your Shroud of Armor VII fades.','',1,1,'Spells/Priest/Shaman/Defiler/ShroudofArmor.lua',2579,'You cast Shroud of Armor VII on %t.',0,0,0,1,1,1,0,0,0,200144,0,0,0,0,0,1,0,0,0,'Unset',1580065718,1384377827,0,1),
(200151,656719162,0,1,'Shroud of Armor VIII','A group augmentation that increases physical mitigation to the defiler''s non-fighter allies, health to the defiler''s fighter allies (when the defiler is level 94 or above), and a replenishing ward against non-physical damage to the entire group.',146,65535,314,3191839982,3587918036,470,1,2,'Your Shroud of Armor VIII was successful on %t!','Your Shroud of Armor VIII fades.','',1,1,'Spells/Priest/Shaman/Defiler/ShroudofArmor.lua',2579,'You cast Shroud of Armor VIII on %t.',0,0,0,1,1,1,0,0,0,200144,0,0,0,0,0,1,0,0,0,'Unset',1580065764,1384377828,0,1),
(200152,944709925,0,1,'Baleful Countenance','The defiler takes on a wraith form, increasing wisdom, spell resistance, and stamina. While in this form, the defiler also gains the ability to see invisible creatures.\n\"His purpose unknown, his form befouled; By the dark rituals of days past\" - Serina Melosine, from her poem \"Keep of Immortality\"',237,65535,317,3191839982,3587918036,100,1,0,'Your Sinister Countenance was successful on %t!','Your Sinister Countenance fades.','',1,1,'Spells/Priest/Shaman/Defiler/BalefulCountenance.lua',2580,'You cast Sinister Countenance on %t.',0,0,0,1,1,1,0,0,0,200152,0,0,0,0,0,0,0,0,0,'Unset',1580183302,1384378112,0,1),
(200153,652262364,0,1,'Sinister Countenance','The defiler takes on a wraith form, increasing wisdom, spell resistance, and stamina. While in this form, the defiler also gains the ability to see invisible creatures.\n\"His purpose unknown, his form befouled; By the dark rituals of days past\" - Serina Melosine, from her poem \"Keep of Immortality\"',237,65535,317,3191839982,3587918036,170,1,0,'Your Sinister Countenance II was successful on %t!','Your Sinister Countenance II fades.','',1,1,'Spells/Priest/Shaman/Defiler/SinisterCountenance.lua',2580,'You cast Sinister Countenance II on %t.',0,0,0,1,1,1,0,0,0,200152,0,0,0,0,0,1,0,0,0,'Unset',1580183430,1384378114,0,1),
(200154,1903556353,0,1,'Malefic Countenance','The defiler takes on a wraith form, increasing wisdom, spell resistance, and stamina. While in this form, the defiler also gains the ability to see invisible creatures.\n\"His purpose unknown, his form befouled; By the dark rituals of days past\" - Serina Melosine, from her poem \"Keep of Immortality\"',237,65535,317,3191839982,3587918036,240,1,0,'Your Sinister Countenance III was successful on %t!','Your Sinister Countenance III fades.','',1,1,'Spells/Priest/Shaman/Defiler/SinisterCountenance.lua',2580,'You cast Sinister Countenance III on %t.',0,0,0,1,1,1,0,0,0,200152,0,0,0,0,0,1,0,0,0,'Unset',1580183433,1384378114,0,1),
(200155,1774805385,0,1,'Woeful Countenance','The defiler takes on a wraith form, increasing wisdom, spell resistance, and stamina. While in this form, the defiler also gains the ability to see invisible creatures.\n\"His purpose unknown, his form befouled; By the dark rituals of days past\" - Serina Melosine, from her poem \"Keep of Immortality\"',237,65535,317,3191839982,3587918036,310,1,0,'Your Sinister Countenance IV was successful on %t!','Your Sinister Countenance IV fades.','',1,1,'Spells/Priest/Shaman/Defiler/SinisterCountenance.lua',2580,'You cast Sinister Countenance IV on %t.',0,0,0,1,1,1,0,0,0,200152,0,0,0,0,0,1,0,0,0,'Unset',1580183445,1384378112,0,1),
(200156,3816080928,0,1,'Countenance','The defiler takes on a wraith form, increasing wisdom, spell resistance, and stamina. While in this form, the defiler also gains the ability to see invisible creatures.\n\"His purpose unknown, his form befouled; By the dark rituals of days past\" - Serina Melosine, from her poem \"Keep of Immortality\"',237,65535,317,3191839982,3587918036,380,1,0,'Your Sinister Countenance V was successful on %t!','Your Sinister Countenance V fades.','',1,1,'Spells/Priest/Shaman/Defiler/SinisterCountenance.lua',2580,'You cast Sinister Countenance V on %t.',0,0,0,1,1,1,0,0,0,200152,0,0,0,0,0,1,0,0,0,'Unset',1580183469,1384378112,0,1),
(200157,999985692,0,1,'Sinister Countenance VI','The defiler takes on a wraith form, increasing wisdom, spell resistance, and stamina. While in this form, the defiler also gains the ability to see invisible creatures.\n\"His purpose unknown, his form befouled; By the dark rituals of days past\" - Serina Melosine, from her poem \"Keep of Immortality\"',237,65535,317,3191839982,3587918036,430,1,0,'Your Sinister Countenance VI was successful on %t!','Your Sinister Countenance VI fades.','',1,1,'Spells/Priest/Shaman/Defiler/SinisterCountenance.lua',2580,'You cast Sinister Countenance VI on %t.',0,0,0,1,1,1,0,0,0,200152,0,0,0,0,0,1,0,0,0,'Unset',1580183519,1384377827,0,1),
(200158,2699655368,0,1,'Sinister Countenance VII','The defiler takes on a wraith form, increasing wisdom, spell resistance, and stamina. While in this form, the defiler also gains the ability to see invisible creatures.\n\"His purpose unknown, his form befouled; By the dark rituals of days past\" - Serina Melosine, from her poem \"Keep of Immortality\"',237,65535,317,3191839982,3587918036,480,1,0,'Your Sinister Countenance VII was successful on %t!','Your Sinister Countenance VII fades.','',1,1,'Spells/Priest/Shaman/Defiler/SinisterCountenance.lua',2580,'You cast Sinister Countenance VII on %t.',0,0,0,0,1,0,0,0,0,200152,0,0,0,0,0,1,0,0,0,'Unset',1580183532,1384378114,0,1),
(200159,3357882694,0,0,'Forced Cannibalize','Does Divine damage over-time to the target opponent, and converts a portion of this damage into Power for the Defiler.',160,65535,315,3191839982,613995491,260,0,1,'Your Soul Cannibalize was successful on %t!','Your Soul Cannibalize fades.','',1,0,'Spells/Priest/Shaman/Defiler/SoulCannibalize.lua',2581,'You cast Soul Cannibalize on %t.',0,0,0,1,0,1,2,0,0,200159,0,0,0,0,0,1,0,0,0,'DoT',1580264052,1384377828,0,1),
(200160,1440878323,0,0,'Soul Cannibalize','Does Divine damage over-time to the target opponent, and converts a portion of this damage into Power for the Defiler.',160,65535,315,3191839982,613995491,360,0,1,'Your Soul Cannibalize II was successful on %t!','Your Soul Cannibalize II fades.','',1,0,'Spells/Priest/Shaman/Defiler/SoulCannibalize.lua',2581,'You cast Soul Cannibalize II on %t.',0,0,0,1,0,1,2,0,0,200159,0,0,0,0,0,1,0,0,0,'DoT',1580264393,1384378114,0,1),
(200161,377329725,0,0,'Soul Cannibalize III','Does Divine damage over-time to the target opponent, and converts a portion of this damage into Power for the Defiler.',160,65535,315,3191839982,613995491,410,0,1,'Your Soul Cannibalize III was successful on %t!','Your Soul Cannibalize III fades.','',1,0,'Spells/Priest/Shaman/Defiler/SoulCannibalize.lua',2581,'You cast Soul Cannibalize III on %t.',0,0,0,1,0,1,2,0,0,200159,0,0,0,0,0,1,0,0,0,'DoT',1580264496,1384377827,0,1),
(200162,3248429157,0,0,'Soul Cannibalize IV','Does Divine damage over-time to the target opponent, and converts a portion of this damage into Power for the Defiler.',160,65535,315,3191839982,613995491,460,0,1,'Your Soul Cannibalize IV was successful on %t!','Your Soul Cannibalize IV fades.','',1,0,'Spells/Priest/Shaman/Defiler/SoulCannibalize.lua',2581,'You cast Soul Cannibalize IV on %t.',0,0,0,1,0,1,2,0,0,200159,0,0,0,0,0,1,0,0,0,'DoT',1580264595,1384377828,0,1),
(200163,1754827595,0,0,'Spiritual Circle','Summons a spirit totem that continually attempts to ward group members in a radius around the totem. Once summoned, this spirit cannot move. This spell has a recurrent power cost.',479,65535,313,3191839982,366253016,290,0,0,'Your Spiritual Circle was successful on %t!','Your Spiritual Circle fades.','',1,0,'Spells/Priest/Shaman/Defiler/SpiritualCircle.lua',2582,'You cast Spiritual Circle on %t.',0,0,0,1,1,1,0,0,0,200163,0,0,0,0,0,0,0,0,0,'Unset',1580265013,1384378113,0,1),
(200164,323484992,0,0,'Spiritual Shrine','Summons a spirit totem that continually attempts to ward group members in a radius around the totem. Once summoned, this spirit cannot move. This spell has a recurrent power cost.',479,65535,313,3191839982,366253016,380,0,0,'Your Spiritual Circle II was successful on %t!','Your Spiritual Circle II fades.','',1,0,'Spells/Priest/Shaman/Defiler/SpiritualCircle.lua',2582,'You cast Spiritual Circle II on %t.',0,0,0,1,1,1,0,0,0,200163,0,0,0,0,0,0,0,0,0,'Unset',1580265035,1384377827,0,1),
(200165,1372563441,0,0,'Spiritual Circle III','Summons a spirit totem that continually attempts to ward group members in a radius around the totem. Once summoned, this spirit cannot move. This spell has a recurrent power cost.',479,65535,313,3191839982,366253016,430,0,0,'Your Spiritual Circle III was successful on %t!','Your Spiritual Circle III fades.','',1,0,'Spells/Priest/Shaman/Defiler/SpiritualCircle.lua',2582,'You cast Spiritual Circle III on %t.',0,0,0,1,1,1,0,0,0,200163,0,0,0,0,0,0,0,0,0,'Unset',1580265051,1384377827,0,1),
(200166,2251106217,0,0,'Spiritual Circle IV','Summons a spirit totem that continually attempts to ward group members in a radius around the totem. Once summoned, this spirit cannot move. This spell has a recurrent power cost.',479,65535,313,3191839982,366253016,480,0,0,'Your Spiritual Circle IV was successful on %t!','Your Spiritual Circle IV fades.','',1,0,'Spells/Priest/Shaman/Defiler/SpiritualCircle.lua',2582,'You cast Spiritual Circle IV on %t.',0,0,0,0,1,0,0,0,0,200163,0,0,0,0,0,0,0,0,0,'Unset',1580265070,1384378114,0,1),
(200167,2737294124,0,1,'Tendrils of Fear','An augmentation that grants a chance to decrease attack speed and combat attack damage of an opponent when they attack the defiler''s ally. This spell does not require any concentration, but can only be maintained on a single ally.',261,16,316,3191839982,3587918036,175,1,8,'Your Tendrils of Horror was successful on %t!','Your Tendrils of Horror fades.','',1,1,'Spells/Priest/Shaman/Defiler/TendrilsofHorror.lua',2583,'You cast Tendrils of Horror on %t.',0,0,0,1,1,1,0,0,0,200167,0,0,0,0,0,1,0,0,0,'Unset',1580260916,1384378114,0,1),
(200168,3674247410,0,1,'Tendrils of Terror','An augmentation that grants a chance to decrease attack speed and combat attack damage of an opponent when they attack the defiler''s ally. This spell does not require any concentration, but can only be maintained on a single ally.',261,16,316,3191839982,3587918036,245,1,8,'Your Tendrils of Horror II was successful on %t!','Your Tendrils of Horror II fades.','',1,1,'Spells/Priest/Shaman/Defiler/TendrilsofHorror.lua',2583,'You cast Tendrils of Horror II on %t.',0,0,0,1,1,1,0,0,0,200167,0,0,0,0,0,1,0,0,0,'Unset',1580260959,1384378114,0,1),
(200169,632329712,0,1,'Tendrils of Horror','An augmentation that grants a chance to decrease attack speed and combat attack damage of an opponent when they attack the defiler''s ally. This spell does not require any concentration, but can only be maintained on a single ally.',261,16,316,3191839982,3587918036,315,1,8,'Your Tendrils of Horror III was successful on %t!','Your Tendrils of Horror III fades.','',1,1,'Spells/Priest/Shaman/Defiler/TendrilsofHorror.lua',2583,'You cast Tendrils of Horror III on %t.',0,0,0,1,1,1,0,0,0,200167,0,0,0,0,0,1,0,0,0,'Unset',1580261010,1384378112,0,1),
(200170,2161954345,0,0,'Fearful Chant','Fears enemies near the defiler and reduces their hate towards the defiler. Any hostile actions taken on them have a chance at breaking the fear effect.',157,14,313,3191839982,882983852,65,0,1,'Your Terror Chant was successful on %t!','Your Terror Chant fades.','',1,0,'Spells/Priest/Shaman/Defiler/TerrorChant.lua',2584,'You cast Terror Chant on %t.',0,0,0,1,0,1,0,0,0,200170,0,0,0,0,0,0,0,0,0,'Unset',1580067221,1384378113,0,1),
(200171,2685573480,0,0,'Devigorating Chant','Fears enemies near the defiler and reduces their hate towards the defiler. Any hostile actions taken on them have a chance at breaking the fear effect.',157,14,313,3191839982,882983852,135,0,1,'Your Terror Chant II was successful on %t!','Your Terror Chant II fades.','',1,0,'Spells/Priest/Shaman/Defiler/DevigoratingChant.lua',2584,'You cast Terror Chant II on %t.',0,0,0,1,0,1,0,0,0,200170,0,0,0,0,0,0,0,0,0,'Unset',1580179405,1384378114,0,1),
(200172,2973315371,0,0,'Devitalizing Chant','Fears enemies near the defiler and reduces their hate towards the defiler. Any hostile actions taken on them have a chance at breaking the fear effect.',157,14,313,3191839982,882983852,205,0,1,'Your Terror Chant III was successful on %t!','Your Terror Chant III fades.','',1,0,'Spells/Priest/Shaman/Defiler/TerrorChant.lua',2584,'You cast Terror Chant III on %t.',0,0,0,1,0,1,0,0,0,200170,0,0,0,0,0,1,0,0,0,'Unset',1580179465,1384378114,0,1),
(200173,2377048239,0,0,'Extenuating Chant','Fears enemies near the defiler and reduces their hate towards the defiler. Any hostile actions taken on them have a chance at breaking the fear effect.',157,14,313,3191839982,882983852,275,0,1,'Your Terror Chant IV was successful on %t!','Your Terror Chant IV fades.','',1,0,'Spells/Priest/Shaman/Defiler/TerrorChant.lua',2584,'You cast Terror Chant IV on %t.',0,0,0,1,0,1,0,0,0,200170,0,0,0,0,0,1,0,0,0,'Unset',1580179476,1384378114,0,1),
(200174,1289810563,0,0,'Torpid Chant','Fears enemies near the defiler and reduces their hate towards the defiler. Any hostile actions taken on them have a chance at breaking the fear effect.',157,14,313,3191839982,882983852,345,0,1,'Your Terror Chant V was successful on %t!','Your Terror Chant V fades.','',1,0,'Spells/Priest/Shaman/Defiler/TerrorChant.lua',2584,'You cast Terror Chant V on %t.',0,0,0,1,0,1,0,0,0,200170,0,0,0,0,0,1,0,0,0,'Unset',1580179488,1384378113,0,1),
(200175,4213438746,0,0,'Terror Chant','Fears enemies near the defiler and reduces their hate towards the defiler. Any hostile actions taken on them have a chance at breaking the fear effect.',157,14,313,3191839982,882983852,395,0,1,'Your Terror Chant VI was successful on %t!','Your Terror Chant VI fades.','',1,0,'Spells/Priest/Shaman/Defiler/TerrorChant.lua',2584,'You cast Terror Chant VI on %t.',0,0,0,1,0,1,0,0,0,200170,0,0,0,0,0,1,0,0,0,'Unset',1580179522,1384378114,0,1),
(200176,2947234439,0,0,'Terror Chant VII','Fears enemies near the defiler and reduces their hate towards the defiler. Any hostile actions taken on them have a chance at breaking the fear effect.',157,14,313,3191839982,882983852,445,0,1,'Your Terror Chant VII was successful on %t!','Your Terror Chant VII fades.','',1,0,'Spells/Priest/Shaman/Defiler/TerrorChant.lua',2584,'You cast Terror Chant VII on %t.',0,0,0,1,0,1,0,0,0,200170,0,0,0,0,0,1,0,0,0,'Unset',1580179566,1384378114,0,1),
(200177,374399343,0,0,'Terror Chant VIII','Fears enemies near the defiler and reduces their hate towards the defiler. Any hostile actions taken on them have a chance at breaking the fear effect.',157,14,313,3191839982,882983852,495,0,1,'Your Terror Chant VIII was successful on %t!','Your Terror Chant VIII fades.','',1,0,'Spells/Priest/Shaman/Defiler/TerrorChant.lua',2584,'You cast Terror Chant VIII on %t.',0,0,0,0,0,0,0,0,0,200170,0,0,0,0,0,1,0,0,0,'Unset',1580179580,1384378113,0,1),
(200178,3407493415,0,1,'Tribal Spirit','This is the condensed energy of an ancient, mythical weapon.',913,65535,317,3191839982,0,400,1,1,'Your Tribal Spirit was successful on %t!','Your Tribal Spirit fades.','',1,1,'Spells/Priest/Shaman/Defiler/TribalSpirit.lua',3549,'You cast Tribal Spirit on %t.',0,0,0,1,1,1,0,0,0,200121,0,0,0,0,0,0,0,0,0,'Unset',1580265585,1384377878,0,1),
(200179,150410174,0,1,'Vehement','A group augmentation that increases the strength and maximum health of the defiler''s group.',184,13,314,3191839982,3587918036,90,1,2,'Your Vehemence was successful on %t!','Your Vehemence fades.','',1,1,'Spells/Priest/Shaman/Defiler/Vehemence.lua',2585,'You cast Vehemence on %t.',0,0,0,1,1,1,0,0,0,200179,0,0,0,0,0,0,0,0,0,'Unset',1580182182,1384378113,0,1),
(200180,2916293825,0,1,'Vehemence','A group augmentation that increases the strength and maximum health of the defiler''s group.',184,13,314,3191839982,3587918036,160,1,2,'Your Vehemence II was successful on %t!','Your Vehemence II fades.','',1,1,'Spells/Priest/Shaman/Defiler/Vehemence.lua',2585,'You cast Vehemence II on %t.',0,0,0,1,1,1,0,0,0,200179,0,0,0,0,0,1,0,0,0,'Unset',1580182264,1384377827,0,1),
(200181,2255386698,0,1,'Voracity','A group augmentation that increases the strength and maximum health of the defiler''s group.',184,13,314,3191839982,3587918036,230,1,2,'Your Vehemence III was successful on %t!','Your Vehemence III fades.','',1,1,'Spells/Priest/Shaman/Defiler/Vehemence.lua',2585,'You cast Vehemence III on %t.',0,0,0,1,1,1,0,0,0,200179,0,0,0,0,0,1,0,0,0,'Unset',1580182293,1384378114,0,1),
(200182,2135048743,0,1,'Rapacity','A group augmentation that increases the strength and maximum health of the defiler''s group.',184,13,314,3191839982,3587918036,300,1,2,'Your Vehemence IV was successful on %t!','Your Vehemence IV fades.','',1,1,'Spells/Priest/Shaman/Defiler/Vehemence.lua',2585,'You cast Vehemence IV on %t.',0,0,0,1,1,1,0,0,0,200179,0,0,0,0,0,1,0,0,0,'Unset',1580182546,1384378112,0,1),
(200183,3771876368,0,1,'Enormity','A group augmentation that increases the strength and maximum health of the defiler''s group.',184,13,314,3191839982,3587918036,365,1,2,'Your Vehemence V was successful on %t!','Your Vehemence V fades.','',1,1,'Spells/Priest/Shaman/Defiler/Vehemence.lua',2585,'You cast Vehemence V on %t.',0,0,0,1,1,1,0,0,0,200179,0,0,0,0,0,1,0,0,0,'Unset',1580182981,1384377827,0,1),
(200184,2852308236,0,1,'Vehemence VI','A group augmentation that increases the strength and maximum health of the defiler''s group.',184,13,314,3191839982,3587918036,415,1,2,'Your Vehemence VI was successful on %t!','Your Vehemence VI fades.','',1,1,'Spells/Priest/Shaman/Defiler/Vehemence.lua',2585,'You cast Vehemence VI on %t.',0,0,0,1,1,1,0,0,0,200179,0,0,0,0,0,1,0,0,0,'Unset',1580183009,1384378114,0,1),
(200185,833063267,0,1,'Vehemence VII','A group augmentation that increases the strength and maximum health of the defiler''s group.',184,13,314,3191839982,3587918036,465,1,2,'Your Vehemence VII was successful on %t!','Your Vehemence VII fades.','',1,1,'Spells/Priest/Shaman/Defiler/Vehemence.lua',2585,'You cast Vehemence VII on %t.',0,0,0,0,1,1,0,0,0,200179,0,0,0,0,0,1,0,0,0,'Unset',1580183045,1384378114,0,1),
(200186,758673695,0,0,'No Change','Resurrects a fallen ally without incurring any resurrection effects. This spell can be cast during combat.',156,15,316,3191839982,366253016,250,0,6,'Your Vivication was successful on %t!','Your Vivication fades.','',1,0,'Spells/Priest/Shaman/Defiler/Vivication.lua',2586,'You cast Vivication on %t.',0,1,1,0,1,0,0,0,0,200186,0,0,0,0,0,0,0,0,0,'Unset',1580263892,1384378114,0,1),
(200187,3283392622,0,0,'Voice of the Ancestors','Cures all hostile control effects on the party. The Defiler can cast this while under the effects of Stuns, Mesmerizes, or Stifles.',471,65535,314,3191839982,366253016,275,0,2,'Your Voice of the Ancestors was successful on %t!','Your Voice of the Ancestors fades.','',1,1,'Spells/Priest/Shaman/Defiler/VoiceoftheAncestors.lua',2587,'You cast Voice of the Ancestors on %t.',0,0,0,1,1,0,0,0,0,200187,0,7,0,0,0,0,0,0,0,'Unset',1580264815,1384378113,0,1),
(200188,2510888743,0,0,'Words of the Ancestors','Cures all hostile control effects on the party. The Defiler can cast this while under the effects of Stuns, Mesmerizes, or Stifles.',471,65535,314,3191839982,366253016,370,0,2,'Your Voice of the Ancestors II was successful on %t!','Your Voice of the Ancestors II fades.','',1,1,'Spells/Priest/Shaman/Defiler/VoiceoftheAncestors.lua',2587,'You cast Voice of the Ancestors II on %t.',0,0,0,1,1,0,0,0,0,200187,0,7,0,0,0,0,0,0,0,'Unset',1580264836,1384378112,0,1),
(200189,3633270643,0,0,'Voice of the Ancestors III','Cures all hostile control effects on the party. The Defiler can cast this while under the effects of Stuns, Mesmerizes, or Stifles.',471,65535,314,3191839982,366253016,420,0,2,'Your Voice of the Ancestors III was successful on %t!','Your Voice of the Ancestors III fades.','',1,1,'Spells/Priest/Shaman/Defiler/VoiceoftheAncestors.lua',2587,'You cast Voice of the Ancestors III on %t.',0,0,0,1,1,0,0,0,0,200187,0,7,0,0,0,0,0,0,0,'Unset',1580264853,1384378114,0,1),
(200190,2097471357,0,0,'Voice of the Ancestors IV','Cures all hostile control effects on the party. The Defiler can cast this while under the effects of Stuns, Mesmerizes, or Stifles.',471,65535,314,3191839982,366253016,470,0,2,'Your Voice of the Ancestors IV was successful on %t!','Your Voice of the Ancestors IV fades.','',1,1,'Spells/Priest/Shaman/Defiler/VoiceoftheAncestors.lua',2587,'You cast Voice of the Ancestors IV on %t.',0,0,0,0,1,1,0,0,0,200187,0,7,0,0,0,0,0,0,0,'Unset',1580264897,1384378114,0,1),
(200191,3933688258,0,0,'Accretion','Heals all allies near the defiler.',293,16,314,3191839982,366253016,70,0,2,'Your Wild Accretion was successful on %t!','Your Wild Accretion fades.','',1,0,'Spells/Priest/Shaman/Defiler/WildAccretion.lua',2552,'You cast Wild Accretion on %t.',0,0,0,1,1,0,0,0,0,200191,0,0,0,0,0,0,0,0,0,'Unset',1580180691,1384377832,0,1),
(200192,898287052,0,0,'Profane Accretion','Heals all allies near the defiler.',293,16,314,3191839982,366253016,140,0,2,'Your Wild Accretion II was successful on %t!','Your Wild Accretion II fades.','',1,0,'Spells/Priest/Shaman/Defiler/ProfaneAccretion.lua',2552,'You cast Wild Accretion II on %t.',0,0,0,1,1,0,0,0,0,200191,0,0,0,0,0,0,0,0,0,'Unset',1580180710,1384378114,0,1),
(200193,2933625426,0,0,'Venal Accretion','Heals all allies near the defiler.',293,16,314,3191839982,366253016,210,0,2,'Your Wild Accretion III was successful on %t!','Your Wild Accretion III fades.','',1,0,'Spells/Priest/Shaman/Defiler/WildAccretion.lua',2552,'You cast Wild Accretion III on %t.',0,0,0,1,1,0,0,0,0,200191,0,0,0,0,0,1,0,0,0,'Unset',1580181224,1384378112,0,1),
(200194,2780797537,0,0,'Banal Accretion','Heals all allies near the defiler.',293,16,314,3191839982,366253016,280,0,2,'Your Wild Accretion IV was successful on %t!','Your Wild Accretion IV fades.','',1,0,'Spells/Priest/Shaman/Defiler/WildAccretion.lua',2552,'You cast Wild Accretion IV on %t.',0,0,0,1,1,0,0,0,0,200191,0,0,0,0,0,1,0,0,0,'Unset',1580181303,1384378114,0,1),
(200195,1559312784,0,0,'Impious Accretion','Heals all allies near the defiler.',293,16,314,3191839982,366253016,350,0,2,'Your Wild Accretion V was successful on %t!','Your Wild Accretion V fades.','',1,0,'Spells/Priest/Shaman/Defiler/WildAccretion.lua',2552,'You cast Wild Accretion V on %t.',0,0,0,1,1,0,0,0,0,200191,0,0,0,0,0,1,0,0,0,'Unset',1580181391,1384378113,0,1),
(200196,824204141,0,0,'Wild Accretion','Heals all allies near the defiler.',293,16,314,3191839982,366253016,400,0,2,'Your Wild Accretion VI was successful on %t!','Your Wild Accretion VI fades.','',1,0,'Spells/Priest/Shaman/Defiler/WildAccretion.lua',2552,'You cast Wild Accretion VI on %t.',0,0,0,1,1,0,0,0,0,200191,0,0,0,0,0,1,0,0,0,'Unset',1580181414,1384378114,0,1),
(200197,3062272046,0,0,'Wild Accretion VII','Heals all allies near the defiler.',293,16,314,3191839982,366253016,450,0,2,'Your Wild Accretion VII was successful on %t!','Your Wild Accretion VII fades.','',1,0,'Spells/Priest/Shaman/Defiler/WildAccretion.lua',2552,'You cast Wild Accretion VII on %t.',0,0,0,1,1,0,0,0,0,200191,0,0,0,0,0,1,0,0,0,'Unset',1580181435,1384378114,0,1),
(200198,945988114,0,0,'Wild Accretion VIII','Heals all allies near the defiler.',293,16,314,3191839982,366253016,500,0,2,'Your Wild Accretion VIII was successful on %t!','Your Wild Accretion VIII fades.','',1,0,'Spells/Priest/Shaman/Defiler/WildAccretion.lua',2552,'You cast Wild Accretion VIII on %t.',0,0,0,0,1,1,0,0,0,200191,0,0,0,0,0,1,0,0,0,'Unset',1580181470,1384378113,0,1),
(200199,1817814869,0,0,'Sacrificial Aid','Heals a large amount of target ally''s health. ',468,12,316,3191839982,0,160,0,1,'Your Sacrificial Restoration IV was successful on %t!','Your Sacrificial Restoration IV fades.','',1,0,'Spells/Priest/Shaman/Defiler/SacrificialRestoration.lua',2577,'You cast Sacrificial Restoration IV on %t.',0,0,0,0,1,0,0,0,0,200140,0,0,0,0,0,1,0,0,0,'Unset',1580063972,1384378114,0,1),
(200200,51554718,0,0,'Sacrificial Restoration IX','Heals a large amount of target ally''s health. ',468,12,316,3191839982,366253016,465,0,1,'Your Sacrificial Restoration IX was successful on %t!','Your Sacrificial Restoration IX fades.','',1,0,'Spells/Priest/Shaman/Defiler/SacrificialRestoration.lua',2577,'You cast Sacrificial Restoration IX on %t.',0,0,0,0,1,0,0,0,0,200140,0,0,0,0,0,1,0,0,0,'Unset',1580064730,1384378114,0,1),
(200201,3291929854,0,0,'Sacrifical Alleviation','Replenishes a large amount of target ally''s health.',468,12,316,3191839982,0,230,0,1,'Your Sacrificial Restoration V was successful on %t!','Your Sacrificial Restoration V fades.','',1,0,'Spells/Priest/Shaman/Defiler/SacrificialRestoration.lua',2577,'You cast Sacrificial Restoration V on %t.',0,0,0,1,1,0,0,0,0,200140,0,0,0,0,0,1,0,0,0,'Unset',1585186905,1384378112,0,1),
(200202,4222340933,0,0,'Sacrificial Deliverance','Heals a large amount of target ally''s health. ',468,12,316,3191839982,0,300,0,1,'Your Sacrificial Restoration VI was successful on %t!','Your Sacrificial Restoration VI fades.','',1,0,'Spells/Priest/Shaman/Defiler/SacrificialRestoration.lua',2577,'You cast Sacrificial Restoration VI on %t.',0,0,0,0,1,0,0,0,0,200140,0,0,0,0,0,1,0,0,0,'Unset',1580064083,1384378112,0,1),
(200203,1776638355,0,0,'Sacrificial Restoration','Heals a large amount of target ally''s health. ',468,12,316,3191839982,0,365,0,1,'Your Sacrificial Restoration VII was successful on %t!','Your Sacrificial Restoration VII fades.','',1,0,'Spells/Priest/Shaman/Defiler/SacrificialRestoration.lua',2577,'You cast Sacrificial Restoration VII on %t.',0,0,0,0,1,0,0,0,0,200140,0,0,0,0,0,1,0,0,0,'Unset',1580064132,1384378114,0,1),
(200204,3826192137,0,0,'Sacrificial Restoration VIII','Heals a large amount of target ally''s health. ',468,12,316,3191839982,0,415,0,1,'Your Sacrificial Restoration VIII was successful on %t!','Your Sacrificial Restoration VIII fades.','',1,0,'Spells/Priest/Shaman/Defiler/SacrificialRestoration.lua',2577,'You cast Sacrificial Restoration VIII on %t.',0,0,0,0,1,0,0,0,0,200140,0,0,0,0,0,1,0,0,0,'Unset',1580064627,1384378114,0,1),
(200205,0,0,1,'Vehemence','A group augmentation that increases the strength and maximum health of the defiler''s group.',184,13,314,3191839982,3587918036,90,1,2,'Your Vehemence was successful on %t!','Your Vehemence fades.','',1,0,'Spells/Priest/Shaman/Defiler/VehemenceClassic.lua',2585,'You cast Vehemence on %t.',0,0,0,1,1,1,0,0,0,200179,0,0,0,0,0,0,0,0,0,'Unset',1732043470,0,0,1),
(210000,1812025739,0,0,'Absorb Magic','Dispels beneficial magic spells from the mage''s target and absorbs some of their power.',162,65535,315,3820670534,3587918036,45,0,1,'Your Absorb Magic was successful on %t!','Your Absorb Magic fades.','',1,0,'Spells/Mage/AbsorbMagic.lua',2186,'You cast Absorb Magic on %t.',0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589730020,1384378115,0,1),
(210001,1522180756,0,0,'Apprentice''s Strike','',1,65535,65535,0,0,0,0,1,'Your Apprentice''s Strike was successful on %t!','Your Apprentice''s Strike fades.','',1,0,'Spells/Mage/ApprenticesStrike.lua',0,'You cast Apprentice''s Strike on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1484307150,1384377848,0,1),
(210002,1605359312,0,0,'Arcane Augur','Grants a chance to create a heroic opportunity.\r\n\r\n \r\n\r\n\"Knowing gateways to unimaginable power lie everywhere is nothing. Even common guttersnipes can claim that knowledge.  Finding and using them, that''s a mage''s true measure.\" - The Foci, Opal Darkbriar',159,26,317,3820670534,0,0,0,0,'Your Arcane Augur was successful on %t!','Your Arcane Augur fades.','',1,1,'Spells/Mage/ArcaneAugur.lua',2113,'You cast Arcane Augur on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578007588,1384378115,0,0),
(210003,623196270,0,0,'Arcane Bindings','Roots the mage''s target in place, preventing them from movement. Every hostile spell or damage received by the target has a chance at breaking the effect.',52,24,315,3820670534,882983852,25,0,1,'%t is rooted to the ground by arcane chains!','%t ''s arcane bindings break.','',1,0,'Spells/Mage/ArcaneBindings.lua',170,'You cast Arcane Bindings on %t.',0,0,0,1,0,0,2,0,0,210003,0,0,0,0,0,1,0,0,0,'Root',1384671228,1384378114,0,1),
(210004,3704471397,0,0,'Bind Sight','An augmentation that grants the mage the ability to see through the eyes of a group member. This augmentation can be cast while invisible, and can be cancelled early by clicking on the spell icon again.',167,27,316,0,0,0,0,1,'Your Bind Sight was successful on %t!','Your Bind Sight fades.','',1,0,'Spells/Mage/BindSight.lua',2114,'You cast Bind Sight on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384671247,1384378114,0,1),
(210005,2531377198,0,0,'Call Servant','Summons your primary pet to the immediate area.',255,65535,317,3820670534,3587918036,75,0,0,'Your Call Servant was successful on %t!','Your Call Servant fades.','',1,1,'Spells/Mage/CallServant.lua',0,'You cast Call Servant on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1589732551,1384378115,0,1),
(210006,3530975588,0,0,'Cure Magic','Cures impairments on target ally.',150,65535,316,3820670534,366253016,30,0,1,'Your Cure Magic was successful on %t!','Your Cure Magic fades.','',1,1,'Spells/Mage/CureMagic.lua',2115,'You cast Cure Magic on %t.',0,1,1,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384671289,1384378115,0,1),
(210007,2746698796,0,1,'Gift of the Magi','An augmentation that increases the power pool and magic resistance for the mage''s group.',164,27,314,3820670534,3587918036,35,1,2,'Your Gift of the Magi was successful on %t!','Your Gift of the Magi fades.','',1,0,'Spells/Mage/GiftoftheMagi.lua',132,'You cast Gift of the Magi on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',1578007931,1384377828,0,1),
(210008,3183838930,0,0,'Invisibility','',165,65535,315,2120065377,0,0,0,1,'Your Invisibility was successful on %t!','Your Invisibility fades.','',1,0,'Spells/Mage/Invisibility.lua',2218,'You cast Invisibility on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1579139134,1384377864,0,1),
(210009,2316141608,0,0,'Lightning Burst','Deals instant magic damage to the targeted enemy.\r\n \r\n\r\n\"A charged scent filled the air as the clouds began to gather.\" - unknown written account',161,25,315,3820670534,613995491,10,0,1,'%t is struck by a bolt of lightning!','Your Lightning Burst fades.','',1,0,'Spells/Mage/LightningBurst.lua',18,'You call lightning down on %t.',0,0,0,1,0,0,0,0,0,210009,0,0,0,0,0,1,0,0,0,'DD',1661383642,1384378114,0,1),
(210010,2142450572,0,0,'Lightning Shock','Deals instant magic damage to the targeted enemy.\n\n \n\n\"A charged scent filled the air as the clouds began to gather.\" - unknown written account',161,25,315,3820670534,613995491,35,0,1,'Your Lightning Shock was successful on %t!','Your Lightning Shock fades.','',1,0,'Spells/Mage/LightningShock.lua',18,'You cast Lightning Shock on %t.',0,0,0,1,0,0,0,0,0,210009,0,0,0,0,0,0,0,0,0,'DD',1578270093,1384378114,0,1),
(210011,581691655,0,1,'Magi''s Shielding','An augmentation spell that benefits the caster by increasing avoidance, resistances, stamina, and decreasing the chance of interruption.',163,65535,317,3820670534,3587918036,20,1,0,'Your Magi''s Shielding was successful on %t!','Your Magi''s Shielding fades.','',1,1,'Spells/Mage/MagisShielding.lua',21,'You cast Magi''s Shielding on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1578007784,1384378115,0,1),
(210012,1410230263,0,0,'Master''s Strike','Your research into certain enemies allows you to cast a power efficient lightning projectile at them. (Completing Lore and Legend quests adds more races to this ability)',152,25,65535,3820670534,613995491,25,0,1,'Your Master''s Strike was successful on %t!','Your Master''s Strike fades.','',1,0,'',319,'You cast Master''s Strike on %t.',0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1613319190,1384377868,0,1),
(210013,2970789278,0,1,'See Invisibility','An augmentation that allows a mage''s ally to see invisible enemies.',167,65535,316,3820670534,3587918036,45,1,1,'Your See Invisibility was successful on %t!','Your See Invisibility fades.','',1,1,'Spells/Mage/SeeInvisibility.lua',2116,'You cast See Invisibility on %t.',0,1,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1583023162,1384378115,0,1),
(210014,3764700002,0,1,'Shrink Servant','Reduces the overall size of your primary pet.',218,65535,317,3820670534,3587918036,50,1,1,'Your Shrink Servant was successful on %t!','Your Shrink Servant fades.','',1,1,'',0,'You cast Shrink Servant on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384671655,1384378114,0,1),
(210015,1722904647,0,0,'Static Pulse','Deals magic damage over time to the enemy for the duration of the spell.\r\n \r\n\r\n\"Practicing the static pulse is a risky venture best left to the outdoors, and preferably away from metallic objects.\" - Emil''s Book of Mystical Miracles',168,28,315,3820670534,613995491,5,0,1,'%t is struck by a static pulse!','The pulsing static fades from %t.','',1,0,'Spells/Mage/StaticPulse.lua',35,'%a begins to gather strands of arcane energy!',0,0,0,1,0,0,2,0,0,210015,0,0,0,0,0,1,0,0,0,'DoT',1576356585,1384378114,0,1),
(210016,1498599141,0,0,'Storm of Lightning','Deals instant Magic damage to the enemy and its surrounding allies.',169,29,312,3820670534,613995491,40,0,1,'Your Storm of Lightning was successful on %t!','Your Storm of Lightning fades.','',1,0,'Spells/Mage/StormofLightning.lua',184,'You cast Storm of Lightning on %t.',0,0,0,1,0,0,0,0,0,210016,0,0,0,0,0,1,0,0,0,'DD',1384671680,1384378114,0,1),
(210017,3077232287,0,0,'Word of Force','Deals instant magic damage to the targeted enemy, with a small chance at dealing additional magic damage.',161,25,315,0,0,0,0,1,'Your Word of Force was successful on %t!','Your Word of Force fades.','',1,0,'',0,'You cast Word of Force on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1613319172,1384377867,0,1),
(210018,0,0,0,'Oofala''s Guard','',0,0,0,0,0,0,0,1,'Your test was successful on %t!','Your test fades.','',0,0,'Spells/oofalasguard.lua',184,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1650664304,0,0,0),
(210019,0,0,0,'Cure Arcane','Cures impairments on target ally.',150,65535,316,3820670534,366253016,30,0,1,'Your Cure Arcane was successful on %t!','Your Cure Arcane fades.','',0,0,'Spells/Mage/CureArcane.lua',137,'You cast Cure Arcane on %t.',0,1,1,0,1,1,0,0,0,210019,0,0,0,0,0,1,0,0,0,'Cure',1670299546,0,0,1),
(210020,0,0,0,'Dispel Arcane','Dispels beneficial Magic spells from the target.',162,65535,315,3820670534,3587918036,45,0,1,'Your Dispel Arcane was successful on %t!','Your Dispel Arcane fades.','',1,0,'Spells/Mage/DispelArcane.lua',147,'You cast Dispel Arcane on %t.',0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Debuff',1670300032,0,0,1),
(210021,0,0,1,'Magi''s Shielding','Increase health pool, power pool and armor class of the caster.',163,65535,317,3820670534,3587918036,20,1,0,'Your Magi''s Shielding was successful on %t!','Your Magi''s Shielding fades.','',1,0,'Spells/Mage/MagisShieldingClassic.lua',21,'You cast Magi''s Shielding on %t.',0,0,0,0,1,1,0,0,0,210021,0,0,0,0,0,1,0,0,0,'Buff',1671166811,0,0,1),
(210100,0,0,0,'Lightning Burst','Deals instant magic damage to the targeted enemy.\r\n \r\n\r\n\"A charged scent filled the air as the clouds began to gather.\" - unknown written account',161,25,315,3820670534,613995491,10,0,1,'%t is struck by a bolt of lightning!','Your Lightning Burst fades.','',1,0,'Spells/Mage/LightningBurst.lua',18,'You call lightning down on %t.',0,0,0,1,0,0,0,0,0,210009,0,0,0,0,0,1,0,0,0,'DD',1739395084,0,0,1),
(220000,3364990428,0,1,'Accord','An augmentation cast on the sorcerer''s ally that grants a chance to instantly increase their power when they are hit in melee combat. This spell does not require any concentration, but can only be maintained on a single ally.\n\n',243,27,316,2533124061,3587918036,90,1,1,'Your Accord was successful on %t!','Your Accord fades.','',1,0,'Spells/Mage/Sorcerer/Accord.lua',455,'You cast Accord on %t.',0,0,0,0,1,0,0,0,0,220000,0,0,0,0,0,1,0,0,0,'Unset',1384671209,1384378114,0,1),
(220001,2490238192,0,0,'Blaze',' Deals instant Heat damage to an opponent.\r\n\r\n \r\n\r\n\"The residual heat didn''t emanate from the dying embers, but from the glowing red ground on which the sorcerer stood.\" - A stunned onlooker during a sorcerous duel.',481,28,315,2533124061,613995491,50,0,1,'Your Blaze was successful on %t!','Your Blaze fades.','',1,0,'Spells/Mage/Sorcerer/Blaze.lua',78,'You cast Blaze on %t.',0,0,0,1,0,0,4,0,0,220001,0,0,0,0,0,1,0,0,0,'DoT',1384671247,1384377828,0,1),
(220002,723594649,0,1,'Burning Radiance','Places an augmentation that engulfs an ally''s weapon in flames, that grants the chance to strike for additional heat damage with each successful attack.',190,65535,316,2533124061,3587918036,55,1,1,'Your Burning Radiance was successful on %t!','Your Burning Radiance fades.','',1,0,'Spells/Mage/Sorcerer/BurningRadiance.lua',151,'You cast Burning Radiance on %t.',0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',1384671262,1384378114,0,1),
(220003,3491511413,0,0,'Concussive','Interrupts and instantly reduces target encounter''s hate towards the caster.',270,27,312,2533124061,882983852,75,0,1,'Your Concussive was successful on %t!','Your Concussive fades.','',1,0,'Spells/Mage/Sorcerer/Concussive.lua',183,'You cast Concussive on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384671278,1384378114,0,1),
(220004,3612436447,0,0,'Conflagration','Deals great amounts of heat damage to all enemies surrounding the sorcerer.',481,28,313,2533124061,613995491,70,0,1,'Your Conflagration was successful on %t!','Your Conflagration fades.','',1,0,'Spells/Mage/Sorcerer/Conflagration.lua',454,'You cast Conflagration on %t.',0,0,0,1,0,1,0,0,0,220004,0,0,0,0,0,1,0,0,0,'DD',1384671279,1384378114,0,1),
(220005,3036846985,0,0,'Ice Flame','Deals instant cold and heat damage and greatly slows movement speed for a short time.',228,25,315,2533124061,613995491,175,0,1,'Your Flames of Velious was successful on %t!','Your Flames of Velious fades.','',1,0,'Spells/Mage/Sorcerer/FlamesofVelious.lua',2193,'You cast Flames of Velious on %t.',0,0,0,1,0,0,4,0,0,220005,0,0,0,0,0,1,0,0,0,'DD',1589512979,1384378114,0,1),
(220006,450172936,0,0,'Glacialflame','Deals instant cold and heat damage and greatly slows movement speed for a short time.',228,25,315,2533124061,613995491,265,0,1,'Your Flames of Velious II was successful on %t!','Your Flames of Velious II fades.','',1,0,'Spells/Mage/Sorcerer/FlamesofVelious.lua',2193,'You cast Flames of Velious II on %t.',0,0,0,1,0,0,4,0,0,220005,0,0,0,0,0,1,0,0,0,'DD',1384671353,1384378114,0,1),
(220007,4183956296,0,0,'Ice Flame','Deals instant cold and heat damage and greatly slows movement speed for a short time.',228,25,315,2533124061,613995491,355,0,1,'Your Flames of Velious III was successful on %t!','Your Flames of Velious III fades.','',1,0,'Spells/Mage/Sorcerer/FlamesofVelious.lua',2193,'You cast Flames of Velious III on %t.',0,0,0,1,0,0,4,0,0,220005,0,0,0,0,0,1,0,0,0,'DD',1384671353,1384378114,0,1),
(220008,2247977833,0,0,'Flames of Velious IV','Deals instant cold and heat damage and greatly slows movement speed for a short time.',228,25,315,2533124061,613995491,405,0,1,'Your Flames of Velious IV was successful on %t!','Your Flames of Velious IV fades.','',1,0,'Spells/Mage/Sorcerer/FlamesofVelious.lua',2193,'You cast Flames of Velious IV on %t.',0,0,0,1,0,0,4,0,0,220005,0,0,0,0,0,1,0,0,0,'DD',1384671353,1384378114,0,1),
(220009,3768209455,0,0,'Flames of Velious V','Deals instant cold and heat damage and greatly slows movement speed for a short time.',228,25,315,2533124061,613995491,455,0,1,'Your Flames of Velious V was successful on %t!','Your Flames of Velious V fades.','',1,0,'Spells/Mage/Sorcerer/FlamesofVelious.lua',2193,'You cast Flames of Velious V on %t.',0,0,0,1,0,0,4,0,0,220005,0,0,0,0,0,1,0,0,0,'DD',1384671353,1384378114,0,1),
(220010,1652524557,0,0,'Freeze','Stuns the sorcerer''s target briefly and deals instant cold damage.',195,29,315,2533124061,613995491,0,0,1,'Your Freeze was successful on %t!','Your Freeze fades.','',1,0,'Spells/Mage/Sorcerer/Freeze.lua',128,'You cast Freeze on %t.',0,0,0,1,0,0,4,4,0,220010,0,0,0,0,0,1,0,0,0,'DD',1384671361,1384378114,0,1),
(220011,282803391,0,0,'Freezing Whorl','Deals cold damage over time and decreases target''s elemental resistance.',505,29,315,2533124061,613995491,65,0,1,'Your Freezing Whorl was successful on %t!','Your Freezing Whorl fades.','',1,0,'Spells/Mage/Sorcerer/FreezingWhorl.lua',456,'You cast Freezing Whorl on %t.',0,0,0,1,0,0,4,0,0,220011,0,0,0,0,0,1,0,0,0,'DoT',1384671361,1384377828,0,1),
(220012,1586111310,0,0,'Frozen Manacles','Roots the sorcerer''s target in place, preventing them from movement. Every hostile spell or damage received by the target has a chance at breaking the effect. When the root effect expires, the target''s movement speed is reduced for a short duration.',166,24,315,2533124061,882983852,95,0,1,'Your Frozen Manacles was successful on %t!','Your Frozen Manacles fades.','',1,0,'Spells/Mage/Sorcerer/FrozenManacles.lua',131,'You cast Frozen Manacles on %t.',0,0,0,0,0,0,4,0,0,210003,0,0,0,0,0,1,0,0,0,'Unset',1613193986,1384378114,0,1),
(220013,4193388598,0,0,'Ice Spike','Deals instant cold damage to the targeted enemy.',228,25,315,2533124061,613995491,75,0,1,'Your Ice Spike was successful on %t!','Your Ice Spike fades.','',1,0,'Spells/Mage/Sorcerer/IceSpike.lua',128,'You cast Ice Spike on %t.',0,0,0,1,0,0,0,0,0,220013,0,0,0,0,0,1,0,0,0,'DD',1384671402,1384378114,0,1),
(220014,3222729489,0,0,'Engulf','Deals heat damage over time to an enemy.',482,28,315,2533124061,613995491,85,0,1,'Your Incinerate was successful on %t!','Your Incinerate fades.','',1,0,'Spells/Mage/Sorcerer/Incinerate.lua',454,'You cast Incinerate on %t.',0,0,0,1,0,0,4,0,0,220016,0,0,0,0,0,1,0,0,0,'DoT',1384671410,1384377828,0,1),
(220015,4027047042,0,0,'Painful Meditation','Converts some of the sorcerer''s health into power.',170,24,317,2533124061,366253016,65,0,0,'Your Painful Meditation was successful on %t!','Your Painful Meditation fades.','',1,0,'Spells/Mage/Sorcerer/PainfulMeditation.lua',19,'You cast Painful Meditation on %t.',0,0,0,0,1,0,0,0,0,220015,0,0,0,0,0,1,0,0,0,'Unset',1384671475,1384378114,0,1),
(220016,397438455,0,0,'Scorch','Deals heat damage over time to an enemy.',482,28,315,2533124061,613995491,50,0,1,'Your Scorch was successful on %t!','Your Scorch fades.','',1,0,'Spells/Mage/Sorcerer/Scorch.lua',164,'You cast Scorch on %t.',0,0,0,1,0,0,4,0,0,220016,0,0,0,0,0,0,0,0,0,'DoT',1384671605,1384378114,0,1),
(220017,1319313662,0,0,'Summon Shadows','Summons shadows around a single ally, granting them invisibility while reducing their movement speed. You can only maintain this spell on a single ally. This spell cannot be interrupted.',165,65535,316,2533124061,3587918036,75,0,1,'Your Summon Shadows was successful on %t!','Your Summon Shadows fades.','',0,1,'Spells/Mage/Sorcerer/SummonShadows.lua',95,'You cast Summon Shadows on %t.',0,0,1,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671684,1384378114,0,1),
(220018,1667156397,0,0,'Tongue Twist','Instantly interrupts and stifles the sorcerer''s target for a brief duration with a small amount of magic damage. This spell is cast very quickly and a small power cost.',476,25,315,2533124061,613995491,50,0,1,'Your Tongue Twist was successful on %t!','Your Tongue Twist fades.','',1,0,'Spells/Mage/Sorcerer/TongueTwist.lua',37,'You cast Tongue Twist on %t.',0,0,0,1,0,0,2,2,0,220018,0,0,0,0,0,1,0,0,0,'DD',1384671702,1384377828,0,1),
(220019,1634378213,0,0,'Translocate','Summons a mystical portal that allows those around the sorcerer to choose a location to transport to.',737,65535,316,2533124061,0,125,0,0,'Your Translocate was successful on %t!','Your Translocate fades.','',1,0,'Spells/Mage/Sorcerer/Translocate.lua',2082,'You cast Translocate on %t.',0,0,0,0,1,0,0,0,0,220019,1,0,0,0,0,1,0,0,0,'Unset',1582602121,1384377884,0,1),
(220020,290558661,0,1,'Vivid Seal','A group augmentation that increases the strength and intelligence of the sorcerer''s group.',479,24,314,2533124061,3587918036,60,1,2,'Your Vivid Seal was successful on %t!','Your Vivid Seal fades.','',1,0,'Spells/Mage/Sorcerer/VividSeal.lua',2112,'You cast Vivid Seal on %t.',0,0,0,1,1,1,0,0,0,220020,0,0,0,0,0,1,0,0,0,'Unset',1384671741,1384377828,0,1),
(230000,2703265619,0,0,'Boreal','An emergency spell that mesmerizes the target and removes them from being affected by area of effect spells for a short duration. Mesmerization breaks if the target receives any damage. The caster is rooted for the duration of the mesmerize.',198,24,315,2662430630,882983852,125,0,1,'Your Boreal was successful on %t!','Your Boreal fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Aurora.lua',1935,'You cast Boreal on %t.',0,0,0,1,0,1,2,1,0,230000,0,0,0,0,0,0,0,0,0,'Unset',1579318816,1384378113,0,1),
(230001,3854501740,0,0,'Aurora','An emergency spell that mesmerizes the target and removes them from being affected by area of effect spells for a short duration. Mesmerization breaks if the target receives any damage. The caster is rooted for the duration of the mesmerize.',198,24,315,2662430630,882983852,195,0,1,'Your Aurora II was successful on %t!','Your Aurora II fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Aurora.lua',1935,'You cast Aurora II on %t.',0,0,0,1,0,1,2,1,0,230000,0,0,0,0,0,0,0,0,0,'Unset',1579318917,1384377827,0,1),
(230002,4069449754,0,0,'Nimbus Aurora','An emergency spell that mesmerizes the target and removes them from being affected by area of effect spells for a short duration. Mesmerization breaks if the target receives any damage. The caster is rooted for the duration of the mesmerize.',198,24,315,2662430630,882983852,265,0,1,'Your Aurora III was successful on %t!','Your Aurora III fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Aurora.lua',1935,'You cast Aurora III on %t.',0,0,0,1,0,1,2,1,0,230000,0,0,0,0,0,0,0,0,0,'Unset',1579319142,1384378114,0,1),
(230003,3806343620,0,0,'Corona','An emergency spell that mesmerizes the target and removes them from being affected by area of effect spells for a short duration. Mesmerization breaks if the target receives any damage. The caster is rooted for the duration of the mesmerize.',198,24,315,2662430630,882983852,335,0,1,'Your Aurora IV was successful on %t!','Your Aurora IV fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Aurora.lua',1935,'You cast Aurora IV on %t.',0,0,0,1,0,1,2,1,0,230000,0,0,0,0,0,0,0,0,0,'Unset',1579322983,1384378114,0,1),
(230004,879699129,0,0,'Peak Shift','An emergency spell that mesmerizes the target and removes them from being affected by area of effect spells for a short duration. Mesmerization breaks if the target receives any damage. The caster is rooted for the duration of the mesmerize.',198,24,315,2662430630,882983852,390,0,1,'Your Aurora V was successful on %t!','Your Aurora V fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Aurora.lua',1935,'You cast Aurora V on %t.',0,0,0,1,0,1,2,1,0,230000,0,0,0,0,0,0,0,0,0,'Unset',1579323114,1384378114,0,1),
(230005,1928170383,0,0,'Aurora VI','An emergency spell that mesmerizes the target and removes them from being affected by area of effect spells for a short duration. Mesmerization breaks if the target receives any damage. The caster is rooted for the duration of the mesmerize.',198,24,315,2662430630,882983852,440,0,1,'Your Aurora VI was successful on %t!','Your Aurora VI fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Aurora.lua',1935,'You cast Aurora VI on %t.',0,0,0,1,0,1,2,1,0,230000,0,0,0,0,0,0,0,0,0,'Unset',1579323304,1384377827,0,1),
(230006,1934093817,0,0,'Ball of Fire','Launches a ball of fire towards the enemy, dealing instant heat damage.',242,25,315,2662430630,613995491,115,0,1,'Your Ball of Fire was successful on %t!','Your Ball of Fire fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/BallofFire.lua',1933,'You cast Ball of Fire on %t.',0,0,0,1,0,0,0,0,0,230006,0,0,0,0,0,0,0,0,0,'DD',1579317101,1384378113,0,1),
(230007,1143352786,0,0,'Ball of Flames','Launches a ball of fire towards the enemy, dealing instant heat damage.',242,25,315,2662430630,613995491,185,0,1,'Your Ball of Fire II was successful on %t!','Your Ball of Fire II fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/BallofFire.lua',1933,'You cast Ball of Fire II on %t.',0,0,0,1,0,0,0,0,0,230006,0,0,0,0,0,1,0,0,0,'DD',1579317298,1384378114,0,1),
(230008,663992076,0,0,'Ball of Incineration','Launches a ball of fire towards the enemy, dealing instant heat damage.',242,25,315,2662430630,613995491,255,0,1,'Your Ball of Fire III was successful on %t!','Your Ball of Fire III fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/BallofFire.lua',1933,'You cast Ball of Fire III on %t.',0,0,0,1,0,0,0,0,0,230006,0,0,0,0,0,1,0,0,0,'DD',1579317408,1384377828,0,1),
(230009,1156930761,0,0,'Ball of Lava','Launches a ball of fire towards the enemy, dealing instant heat damage.',242,25,315,2662430630,613995491,325,0,1,'Your Ball of Fire IV was successful on %t!','Your Ball of Fire IV fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/BallofFire.lua',1933,'You cast Ball of Fire IV on %t.',0,0,0,1,0,0,0,0,0,230006,0,0,0,0,0,1,0,0,0,'DD',1579317528,1384378114,0,1),
(230010,1385582973,0,0,'Ball of Magma','Launches a ball of fire towards the enemy, dealing instant heat damage.',242,25,315,2662430630,613995491,385,0,1,'Your Ball of Fire V was successful on %t!','Your Ball of Fire V fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/BallofFire.lua',1933,'You cast Ball of Fire V on %t.',0,0,0,1,0,0,0,0,0,230006,0,0,0,0,0,1,0,0,0,'DD',1579317603,1384378114,0,1),
(230011,1246179536,0,0,'Ball of Fire VI','Launches a ball of fire towards the enemy, dealing instant heat damage.',242,25,315,2662430630,613995491,435,0,1,'Your Ball of Fire VI was successful on %t!','Your Ball of Fire VI fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/BallofFire.lua',1933,'You cast Ball of Fire VI on %t.',0,0,0,1,0,0,0,0,0,230006,0,0,0,0,0,1,0,0,0,'DD',1579317706,1384377827,0,1),
(230012,4089244472,0,0,'Ball of Fire VII','Launches a ball of fire towards the enemy, dealing instant heat damage.',242,25,315,2662430630,613995491,485,0,1,'Your Ball of Fire VII was successful on %t!','Your Ball of Fire VII fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/BallofFire.lua',1933,'You cast Ball of Fire VII on %t.',0,0,0,0,0,0,0,0,0,230006,0,0,0,0,0,1,0,0,0,'DD',1579317825,1384378112,0,1),
(230013,2896685164,0,0,'Tongue Twist','Instantly interrupts and stifles the wizard''s target for a brief duration, and lowers the target''s hate towards the wizard. This spell is cast very quickly and at a small power cost.',476,25,315,2533124061,882983852,50,0,1,'Your Cease was successful on %t!','Your Cease fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Cease.lua',1925,'You cast Cease on %t.',0,0,0,1,0,1,2,2,0,230013,0,0,0,0,0,0,0,0,0,'Detaunt',1579231390,1384367310,0,1),
(230014,1451815040,0,0,'Benumb','Instantly interrupts and stifles the wizard''s target for a brief duration, and lowers the target''s hate towards the wizard. This spell is cast very quickly and at a small power cost.',476,25,315,2662430630,882983852,120,0,1,'Your Cease II was successful on %t!','Your Cease II fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Cease.lua',1925,'You cast Cease II on %t.',0,0,0,1,0,1,2,2,0,230013,0,0,0,0,0,0,0,0,0,'Detaunt',1579231518,1384378114,0,1),
(230015,3382646729,0,0,'Enfeeblement','Instantly interrupts and stifles the wizard''s target for a brief duration, and lowers the target''s hate towards the wizard. This spell is cast very quickly and at a small power cost.',476,25,315,2662430630,882983852,190,0,1,'Your Cease III was successful on %t!','Your Cease III fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Cease.lua',1925,'You cast Cease III on %t.',0,0,0,1,0,1,2,2,0,230013,0,0,0,0,0,1,0,0,0,'Detaunt',1579231570,1384378114,0,1),
(230016,2488420533,0,0,'Lapse','Instantly interrupts and stifles the wizard''s target for a brief duration, and lowers the target''s hate towards the wizard. This spell is cast very quickly and at a small power cost.',476,25,315,2662430630,882983852,260,0,1,'Your Cease IV was successful on %t!','Your Cease IV fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Cease.lua',1925,'You cast Cease IV on %t.',0,0,0,1,0,1,2,2,0,230013,0,0,0,0,0,1,0,0,0,'Detaunt',1579231652,1384378114,0,1),
(230017,4265910916,0,0,'Cease','Instantly interrupts and stifles the wizard''s target for a brief duration, and lowers the target''s hate towards the wizard. This spell is cast very quickly and at a small power cost.',476,25,315,2662430630,882983852,330,0,1,'Your Cease V was successful on %t!','Your Cease V fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Cease.lua',1925,'You cast Cease V on %t.',0,0,0,1,0,1,2,2,0,230013,0,0,0,0,0,1,0,0,0,'Detaunt',1579232144,1384378114,0,1),
(230018,456109492,0,0,'Blip','Instantly interrupts and stifles the wizard''s target for a brief duration, and lowers the target''s hate towards the wizard. This spell is cast very quickly and at a small power cost.',476,25,315,2662430630,882983852,385,0,1,'Your Cease VI was successful on %t!','Your Cease VI fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Cease.lua',1925,'You cast Cease VI on %t.',0,0,0,1,0,1,2,2,0,230013,0,0,0,0,0,1,0,0,0,'Detaunt',1579232288,1384378114,0,1),
(230019,1304017666,0,0,'Cease VII','Instantly interrupts and stifles the wizard''s target for a brief duration, and lowers the target''s hate towards the wizard. This spell is cast very quickly and at a small power cost.',476,25,315,2662430630,882983852,435,0,1,'Your Cease VII was successful on %t!','Your Cease VII fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Cease.lua',1925,'You cast Cease VII on %t.',0,0,0,1,0,1,2,2,0,230013,0,0,0,0,0,1,0,0,0,'Detaunt',1579232385,1384378112,0,1),
(230020,2165554076,0,0,'Cease VIII','Instantly interrupts and stifles the wizard''s target for a brief duration, and lowers the target''s hate towards the wizard. This spell is cast very quickly and at a small power cost.',476,25,315,2662430630,882983852,485,0,1,'Your Cease VIII was successful on %t!','Your Cease VIII fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Cease.lua',1925,'You cast Cease VIII on %t.',0,0,0,0,0,0,2,2,0,230013,0,0,0,0,0,1,0,0,0,'Detaunt',1579232455,1384378112,0,1),
(230021,2837552003,0,1,'Accord','An augmentation cast on the wizard''s ally that grants a chance to instantly increase their power and the wizard''s power when they are hit in melee combat. This spell does not require any concentration, but can only be maintained on a single ally. If that ally is a fighter, then a small amount of the wizard''s hate acquired in combat is transferred to that ally.\n',243,27,316,2533124061,3587918036,90,1,1,'Your Converge was successful on %t!','Your Converge fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/Converge.lua',1928,'You cast Converge on %t.',0,1,0,1,1,1,0,0,0,230021,0,0,0,0,0,0,0,0,0,'Unset',1579235969,1384378114,0,1),
(230022,2977123919,0,1,'Concurrence','An augmentation cast on the wizard''s ally that grants a chance to instantly increase their power and the wizard''s power when they are hit in melee combat. This spell does not require any concentration, but can only be maintained on a single ally. If that ally is a fighter, then a small amount of the wizard''s hate acquired in combat is transferred to that ally.\n',243,27,316,2662430630,3587918036,165,1,1,'Your Converge II was successful on %t!','Your Converge II fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/Converge.lua',1928,'You cast Converge II on %t.',0,1,0,1,1,1,0,0,0,230021,0,0,0,0,0,1,0,0,0,'Unset',1579236037,1384378114,0,1),
(230023,1910286257,0,1,'Singularity','An augmentation cast on the wizard''s ally that grants a chance to instantly increase their power and the wizard''s power when they are hit in melee combat. This spell does not require any concentration, but can only be maintained on a single ally. If that ally is a fighter, then a small amount of the wizard''s hate acquired in combat is transferred to that ally.\n',243,27,316,2662430630,3587918036,235,1,1,'Your Converge III was successful on %t!','Your Converge III fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/Converge.lua',1928,'You cast Converge III on %t.',0,1,0,1,1,1,0,0,0,230021,0,0,0,0,0,1,0,0,0,'Unset',1579236080,1384378114,0,1),
(230024,2985618841,0,1,'Anomalism','An augmentation cast on the wizard''s ally that grants a chance to instantly increase their power and the wizard''s power when they are hit in melee combat. This spell does not require any concentration, but can only be maintained on a single ally. If that ally is a fighter, then a small amount of the wizard''s hate acquired in combat is transferred to that ally.\n',243,27,316,2662430630,3587918036,305,1,1,'Your Converge IV was successful on %t!','Your Converge IV fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/Converge.lua',1928,'You cast Converge IV on %t.',0,1,0,1,1,1,0,0,0,230021,0,0,0,0,0,1,0,0,0,'Unset',1579236123,1384377828,0,1),
(230025,4056697510,0,1,'Converge','An augmentation cast on the wizard''s ally that grants a chance to instantly increase their power and the wizard''s power when they are hit in melee combat. This spell does not require any concentration, but can only be maintained on a single ally. If that ally is a fighter, then a small amount of the wizard''s hate acquired in combat is transferred to that ally.\n',243,27,316,2662430630,3587918036,365,1,1,'Your Converge V was successful on %t!','Your Converge V fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/Converge.lua',1928,'You cast Converge V on %t.',0,1,0,1,1,1,0,0,0,230021,0,0,0,0,0,1,0,0,0,'Unset',1579236222,1384378114,0,1),
(230026,1647623776,0,1,'Converge VI','An augmentation cast on the wizard''s ally that grants a chance to instantly increase their power and the wizard''s power when they are hit in melee combat. This spell does not require any concentration, but can only be maintained on a single ally. If that ally is a fighter, then a small amount of the wizard''s hate acquired in combat is transferred to that ally.\n',243,27,316,2662430630,3587918036,415,1,1,'Your Converge VI was successful on %t!','Your Converge VI fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/Converge.lua',1928,'You cast Converge VI on %t.',0,1,0,1,1,1,0,0,0,230021,0,0,0,0,0,1,0,0,0,'Unset',1579236363,1384378114,0,1),
(230027,2746900896,0,1,'Converge VII','An augmentation cast on the wizard''s ally that grants a chance to instantly increase their power and the wizard''s power when they are hit in melee combat. This spell does not require any concentration, but can only be maintained on a single ally. If that ally is a fighter, then a small amount of the wizard''s hate acquired in combat is transferred to that ally.\n',243,27,316,2662430630,3587918036,465,1,1,'Your Converge VII was successful on %t!','Your Converge VII fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/Converge.lua',1928,'You cast Converge VII on %t.',0,1,0,1,1,1,0,0,0,230021,0,0,0,0,0,1,0,0,0,'Unset',1579236430,1384377827,0,1),
(230028,1338767926,0,0,'Depart','Teleports the wizard and all nearby group members to the nearest designated safe spot in the current adventuring area.',255,65535,314,2662430630,3587918036,190,0,2,'Your Depart was successful on %t!','Your Depart fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Depart.lua',1934,'You cast Depart on %t.',0,0,0,0,1,0,0,0,0,230028,0,0,0,0,0,1,0,0,0,'Unset',1579332085,1384378114,0,1),
(230029,2126551743,0,0,'Conglagration','Deals great amounts of heat damage to all enemies surrounding the wizard.',481,28,313,2662430630,613995491,70,0,1,'Your Firestorm was successful on %t!','Your Firestorm fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Firestorm.lua',1926,'You cast Firestorm on %t.',0,0,0,1,0,0,0,0,0,230029,0,0,0,0,0,0,0,0,0,'DD',1579235119,1384378114,0,1),
(230030,2712501322,0,0,'Pyre','Deals great amounts of heat damage to all enemies surrounding the wizard.',481,28,313,2662430630,613995491,140,0,1,'Your Firestorm II was successful on %t!','Your Firestorm II fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Pyre.lua',1926,'You cast Firestorm II on %t.',0,0,0,1,0,0,0,0,0,230029,0,0,0,0,0,0,0,0,0,'DD',1579235232,1384378114,0,1),
(230031,4277559911,0,0,'Inferno','Deals great amounts of heat damage to all enemies surrounding the wizard.',481,28,313,2662430630,613995491,210,0,1,'Your Firestorm III was successful on %t!','Your Firestorm III fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Firestorm.lua',1926,'You cast Firestorm III on %t.',0,0,0,1,0,0,0,0,0,230029,0,0,0,0,0,1,0,0,0,'DD',1579235297,1384378114,0,1),
(230032,1721995673,0,0,'Firey Inferno','Deals great amounts of heat damage to all enemies surrounding the wizard.',481,28,313,2662430630,613995491,280,0,1,'Your Firestorm IV was successful on %t!','Your Firestorm IV fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Firestorm.lua',1926,'You cast Firestorm IV on %t.',0,0,0,1,0,0,0,0,0,230029,0,0,0,0,0,1,0,0,0,'DD',1579235478,1384377828,0,1),
(230033,4248474596,0,0,'Firestorm','Deals great amounts of heat damage to all enemies surrounding the wizard.',481,28,313,2662430630,613995491,350,0,1,'Your Firestorm V was successful on %t!','Your Firestorm V fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Firestorm.lua',1926,'You cast Firestorm V on %t.',0,0,0,1,0,0,0,0,0,230029,0,0,0,0,0,1,0,0,0,'DD',1579235531,1384378114,0,1),
(230034,3672937170,0,0,'Exothermicity','Deals great amounts of heat damage to all enemies surrounding the wizard.',481,28,313,2662430630,613995491,400,0,1,'Your Firestorm VI was successful on %t!','Your Firestorm VI fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Firestorm.lua',1926,'You cast Firestorm VI on %t.',0,0,0,1,0,0,0,0,0,230029,0,0,0,0,0,1,0,0,0,'DD',1579235737,1384378114,0,1),
(230035,336281850,0,0,'Firestorm VII','Deals great amounts of heat damage to all enemies surrounding the wizard.',481,28,313,2662430630,613995491,450,0,1,'Your Firestorm VII was successful on %t!','Your Firestorm VII fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Firestorm.lua',1926,'You cast Firestorm VII on %t.',0,0,0,1,0,0,0,0,0,230029,0,0,0,0,0,1,0,0,0,'DD',1579235782,1384378114,0,1),
(230036,1412735982,0,0,'Firestorm VIII','Deals great amounts of heat damage to all enemies surrounding the wizard.',481,28,313,2662430630,613995491,500,0,1,'Your Firestorm VIII was successful on %t!','Your Firestorm VIII fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Firestorm.lua',1926,'You cast Firestorm VIII on %t.',0,0,0,0,0,0,0,0,0,230029,0,0,0,0,0,1,0,0,0,'DD',1579235868,1384378112,0,1),
(230037,1889028314,0,1,'Focused Mind','This is the condensed energy of an ancient, mythical weapon.',41,65535,317,2662430630,0,400,1,1,'Your Focused Mind was successful on %t!','Your Focused Mind fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/FocusedMind.lua',3547,'You cast Focused Mind on %t.',0,0,0,1,1,1,0,0,0,230037,0,0,0,0,0,0,0,0,0,'Unset',1579331591,1384377875,0,1),
(230038,1073779625,0,1,'Amplify','An augmentation that increases the power pool and elemental resistance for the wizard''s group. The elemental resist protects more against heat than cold.',203,65535,314,2662430630,3587918036,35,1,2,'Your Fortify Elements was successful on %t!','Your Fortify Elements fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/FortifyElements.lua',1917,'You cast Fortify Elements on %t.',0,0,0,1,1,1,0,0,0,230038,0,0,0,0,0,0,0,0,0,'Buff',1579227669,1384378114,0,1),
(230039,3219459803,0,1,'Amplification','An augmentation that increases the power pool and elemental resistance for the wizard''s group. The elemental resist protects more against heat than cold.',203,65535,314,2662430630,3587918036,105,1,2,'Your Fortify Elements II was successful on %t!','Your Fortify Elements II fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/Amplification.lua',1917,'You cast Fortify Elements II on %t.',0,0,0,1,1,1,0,0,0,230038,0,0,0,0,0,0,0,0,0,'Buff',1579227696,1384378114,0,1),
(230040,4224716245,0,1,'Intensify','An augmentation that increases the power pool and elemental resistance for the wizard''s group. The elemental resist protects more against heat than cold.',203,65535,314,2662430630,3587918036,175,1,2,'Your Fortify Elements III was successful on %t!','Your Fortify Elements III fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/FortifyElements.lua',1917,'You cast Fortify Elements III on %t.',0,0,0,1,1,1,0,0,0,230038,0,0,0,0,0,1,0,0,0,'Buff',1579227705,1384377828,0,1),
(230041,3788600822,0,1,'Augmentation','An augmentation that increases the power pool and elemental resistance for the wizard''s group. The elemental resist protects more against heat than cold.',203,65535,314,2662430630,3587918036,245,1,2,'Your Fortify Elements IV was successful on %t!','Your Fortify Elements IV fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/FortifyElements.lua',1917,'You cast Fortify Elements IV on %t.',0,0,0,1,1,1,0,0,0,230038,0,0,0,0,0,1,0,0,0,'Buff',1579227722,1384378114,0,1),
(230042,2012217719,0,1,'Fortify Elements','An augmentation that increases the power pool and elemental resistance for the wizard''s group. The elemental resist protects more against heat than cold.',203,65535,314,2662430630,3587918036,315,1,2,'Your Fortify Elements V was successful on %t!','Your Fortify Elements V fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/FortifyElements.lua',1917,'You cast Fortify Elements V on %t.',0,0,0,1,1,1,0,0,0,230038,0,0,0,0,0,1,0,0,0,'Buff',1579227732,1384377828,0,1),
(230043,1914032592,0,1,'Consolidation','An augmentation that increases the power pool and elemental resistance for the wizard''s group. The elemental resist protects more against heat than cold.',203,65535,314,2662430630,3587918036,375,1,2,'Your Fortify Elements VI was successful on %t!','Your Fortify Elements VI fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/FortifyElements.lua',1917,'You cast Fortify Elements VI on %t.',0,0,0,1,1,1,0,0,0,230038,0,0,0,0,0,1,0,0,0,'Buff',1579227746,1384378112,0,1),
(230044,1018385826,0,1,'Fortify Elements VII','An augmentation that increases the power pool and elemental resistance for the wizard''s group. The elemental resist protects more against heat than cold.',203,65535,314,2662430630,3587918036,425,1,2,'Your Fortify Elements VII was successful on %t!','Your Fortify Elements VII fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/FortifyElements.lua',1917,'You cast Fortify Elements VII on %t.',0,0,0,1,1,1,0,0,0,230038,0,0,0,0,0,1,0,0,0,'Buff',1579227775,1384378114,0,1),
(230045,3948008954,0,1,'Fortify Elements VIII','An augmentation that increases the power pool and elemental resistance for the wizard''s group. The elemental resist protects more against heat than cold.',203,65535,314,2662430630,3587918036,475,1,2,'Your Fortify Elements VIII was successful on %t!','Your Fortify Elements VIII fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/FortifyElements.lua',1917,'You cast Fortify Elements VIII on %t.',0,0,0,0,1,1,0,0,0,230038,0,0,0,0,0,1,0,0,0,'Buff',1589416197,1384378114,0,1),
(230046,3484249132,0,0,'Frostbound Gift','A group augmentation that grants the wizard''s group a chance at dealing additional cold damage for every non-heat, non-physical hostile spell they cast for a short duration. Any enemies struck by this damage have their movement speed reduced for a short duration.',229,28,314,2662430630,3587918036,175,0,2,'Your Frigid Gift was successful on %t!','Your Frigid Gift fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/FrigidGift.lua',1939,'You cast Frigid Gift on %t.',0,0,0,1,1,1,0,0,0,230046,0,0,0,0,0,1,0,0,0,'Buff',1579325318,1384378114,0,1),
(230047,862558038,0,0,'Icebound Gift','A group augmentation that grants the wizard''s group a chance at dealing additional cold damage for every non-heat, non-physical hostile spell they cast for a short duration. Any enemies struck by this damage have their movement speed reduced for a short duration.',229,28,314,2662430630,3587918036,245,0,2,'Your Frigid Gift II was successful on %t!','Your Frigid Gift II fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/FrigidGift.lua',1939,'You cast Frigid Gift II on %t.',0,0,0,1,1,1,0,0,0,230046,0,0,0,0,0,1,0,0,0,'Buff',1579327317,1384378114,0,1),
(230048,2776050354,0,0,'Frigid Gift','A group augmentation that grants the wizard''s group a chance at dealing additional cold damage for every non-heat, non-physical hostile spell they cast for a short duration. Any enemies struck by this damage have their movement speed reduced for a short duration.',229,28,314,2662430630,3587918036,315,0,2,'Your Frigid Gift III was successful on %t!','Your Frigid Gift III fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/FrigidGift.lua',1939,'You cast Frigid Gift III on %t.',0,0,0,1,1,1,0,0,0,230046,0,0,0,0,0,1,0,0,0,'Buff',1579327363,1384378114,0,1),
(230049,729135692,0,0,'Velium Gift','A group augmentation that grants the wizard''s group a chance at dealing additional cold damage for every non-heat, non-physical hostile spell they cast for a short duration. Any enemies struck by this damage have their movement speed reduced for a short duration.',229,28,314,2662430630,3587918036,375,0,2,'Your Frigid Gift IV was successful on %t!','Your Frigid Gift IV fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/FrigidGift.lua',1939,'You cast Frigid Gift IV on %t.',0,0,0,1,1,1,0,0,0,230046,0,0,0,0,0,1,0,0,0,'Buff',1579327476,1384378112,0,1),
(230050,3456737519,0,0,'Frigid Gift V','A group augmentation that grants the wizard''s group a chance at dealing additional cold damage for every non-heat, non-physical hostile spell they cast for a short duration. Any enemies struck by this damage have their movement speed reduced for a short duration.',229,28,314,2662430630,3587918036,425,0,2,'Your Frigid Gift V was successful on %t!','Your Frigid Gift V fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/FrigidGift.lua',1939,'You cast Frigid Gift V on %t.',0,0,0,1,1,1,0,0,0,230046,0,0,0,0,0,1,0,0,0,'Buff',1579327620,1384378112,0,1),
(230051,1392918937,0,0,'Frigid Gift VI','A group augmentation that grants the wizard''s group a chance at dealing additional cold damage for every non-heat, non-physical hostile spell they cast for a short duration. Any enemies struck by this damage have their movement speed reduced for a short duration.',229,28,314,2662430630,3587918036,475,0,2,'Your Frigid Gift VI was successful on %t!','Your Frigid Gift VI fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/FrigidGift.lua',1939,'You cast Frigid Gift VI on %t.',0,0,0,1,1,1,0,0,0,230046,0,0,0,0,0,1,0,0,0,'Buff',1579327636,1384378114,0,1),
(230052,2897506353,0,0,'Forge of Ro','Summons flames near the caster. Anyone  near these flames will continually take Heat damage until they leave the area.',274,65535,313,2662430630,613995491,275,0,0,'Your Furnace of Ro was successful on %t!','Your Furnace of Ro fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/FurnaceofRo.lua',1947,'You cast Furnace of Ro on %t.',0,0,0,1,1,0,4,0,1,230052,0,0,0,0,0,1,0,0,0,'DoT',1579330384,1384378114,0,1),
(230053,318787611,0,0,'Furnace of Ro','Summons flames near the caster. Anyone  near these flames will continually take Heat damage until they leave the area.',274,65535,313,2662430630,613995491,370,0,0,'Your Furnace of Ro II was successful on %t!','Your Furnace of Ro II fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/FurnaceofRo.lua',1947,'You cast Furnace of Ro II on %t.',0,0,0,1,1,0,4,0,1,230052,0,0,0,0,0,1,0,0,0,'DoT',1579330411,1384378114,0,1),
(230054,2649372449,0,0,'Furnace of Ro III','Summons flames near the caster. Anyone  near these flames will continually take Heat damage until they leave the area.',274,65535,313,2662430630,613995491,420,0,0,'Your Furnace of Ro III was successful on %t!','Your Furnace of Ro III fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/FurnaceofRo.lua',1947,'You cast Furnace of Ro III on %t.',0,0,0,1,1,0,4,0,1,230052,0,0,0,0,0,1,0,0,0,'DoT',1579330436,1384378114,0,1),
(230055,864200368,0,0,'Furnace of Ro IV','Summons flames near the caster. Anyone  near these flames will continually take Heat damage until they leave the area.',274,65535,313,2662430630,613995491,470,0,0,'Your Furnace of Ro IV was successful on %t!','Your Furnace of Ro IV fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/FurnaceofRo.lua',1947,'You cast Furnace of Ro IV on %t.',0,0,0,0,1,0,4,0,1,230052,0,0,0,0,0,1,0,0,0,'DoT',1579330483,1384378114,0,1),
(230056,4023197486,0,0,'Fusion','The wizard gathers a powerful ball of energy, releasing it into a single powerful burst that deals extreme cold damage up to 3 enemies in a short 90 degree cone in front of the wizard. This spell has a very short range, and long reuse time.',85,65535,313,2662430630,613995491,325,0,1,'Your Fusion was successful on %t!','Your Fusion fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Fusion.lua',1029,'You cast Fusion on %t.',0,0,0,1,0,0,4,0,0,230056,0,0,0,0,0,0,0,0,0,'DD',1579331255,1384378114,0,1),
(230057,1050163214,0,0,'Fission','The wizard gathers a powerful ball of energy, releasing it into a single powerful burst that deals extreme cold damage up to 3 enemies in a short 90 degree cone in front of the wizard. This spell has a very short range, and long reuse time.',85,65535,313,2662430630,613995491,390,0,1,'Your Fusion II was successful on %t!','Your Fusion II fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Fusion.lua',1948,'You cast Fusion II on %t.',0,0,0,1,0,0,4,0,0,230056,0,0,0,0,0,0,0,0,0,'DD',1579331138,1384378157,0,1),
(230058,3154825581,0,0,'Fusion III','The wizard gathers a powerful ball of energy, releasing it into a single powerful burst that deals extreme cold damage up to 3 enemies in a short 90 degree cone in front of the wizard. This spell has a very short range, and long reuse time.',85,65535,313,2662430630,613995491,440,0,1,'Your Fusion III was successful on %t!','Your Fusion III fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Fusion.lua',1948,'You cast Fusion III on %t.',0,0,0,1,0,0,4,0,0,230056,0,0,0,0,0,0,0,0,0,'DD',1579331293,1384378112,0,1),
(230059,2876359982,0,0,'Fusion IV','The wizard gathers a powerful ball of energy, releasing it into a single powerful burst that deals extreme cold damage up to 3 enemies in a short 90 degree cone in front of the wizard. This spell has a very short range, and long reuse time.',85,65535,313,2662430630,613995491,490,0,1,'Your Fusion IV was successful on %t!','Your Fusion IV fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Fusion.lua',1948,'You cast Fusion IV on %t.',0,0,0,0,0,0,4,4,0,230056,0,0,0,0,0,0,0,0,0,'DD',1579331478,1384378112,0,1),
(230060,3875117975,0,0,'Chilling Wind- Ready for Testing','Deals cold damage over-time  to the target and surrounding encounter members and and lowers their elemental resistances. Needs resist debuff numbers.',256,29,312,2662430630,613995491,100,0,2,'Your Glacial Wind was successful on %t!','Your Glacial Wind fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/ChillingWind.lua',128,'You cast Glacial Wind on %t.',0,0,0,1,0,1,4,0,0,230060,0,0,0,0,0,1,0,0,0,'DoT',1579236561,1384377832,0,1),
(230061,2426567884,0,0,'Freezing Wind','Deals cold damage over-time to the target and surrounding encounter members.',256,29,312,2662430630,613995491,170,0,2,'Your Glacial Wind II was successful on %t!','Your Glacial Wind II fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/GlacialWind.lua',1930,'You cast Glacial Wind II on %t.',0,0,0,1,0,1,4,0,0,230060,0,0,0,0,0,1,0,0,0,'DoT',1579315842,1384378114,0,1),
(230062,4243929251,0,0,'Icy Wind','Deals cold damage over-time to the target and surrounding encounter members.',256,29,312,2662430630,613995491,240,0,2,'Your Glacial Wind III was successful on %t!','Your Glacial Wind III fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/GlacialWind.lua',1930,'You cast Glacial Wind III on %t.',0,0,0,1,0,1,4,0,0,230060,0,0,0,0,0,1,0,0,0,'DoT',1579315994,1384378114,0,1),
(230063,2436130638,0,0,'Glacial Wind','Deals cold damage over-time to the target and surrounding encounter members.',256,29,312,2662430630,613995491,310,0,2,'Your Glacial Wind IV was successful on %t!','Your Glacial Wind IV fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/GlacialWind.lua',1930,'You cast Glacial Wind IV on %t.',0,0,0,1,0,1,4,0,0,230060,0,0,0,0,0,1,0,0,0,'DoT',1579316116,1384378114,0,1),
(230064,2310756125,0,0,'Solar Wind','Deals cold damage over-time to the target and surrounding encounter members.',256,29,312,2662430630,613995491,375,0,2,'Your Glacial Wind V was successful on %t!','Your Glacial Wind V fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/GlacialWind.lua',1930,'You cast Glacial Wind V on %t.',0,0,0,1,0,1,4,0,0,230060,0,0,0,0,0,1,0,0,0,'DoT',1579316212,1384377831,0,1),
(230065,428529147,0,0,'Glacial Wind VI','Deals cold damage over-time to the target and surrounding encounter members.',256,29,312,2662430630,613995491,425,0,2,'Your Glacial Wind VI was successful on %t!','Your Glacial Wind VI fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/GlacialWind.lua',1930,'You cast Glacial Wind VI on %t.',0,0,0,1,0,1,4,0,0,230060,0,0,0,0,0,1,0,0,0,'DoT',1579316401,1384377828,0,1),
(230066,2691763731,0,0,'Glacial Wind VII','Deals cold damage over-time to the target and surrounding encounter members.',256,29,312,2662430630,613995491,475,0,2,'Your Glacial Wind VII was successful on %t!','Your Glacial Wind VII fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/GlacialWind.lua',1930,'You cast Glacial Wind VII on %t.',0,0,0,1,0,1,4,0,0,230060,0,0,0,0,0,1,0,0,0,'DoT',1579316449,1384378114,0,1),
(230067,3346768001,0,0,'Essence Harvest','Allows the wizard to harvest health over time into power, stifling the wizard during the conversion process. It lasts for up to 15 seconds, and the wizard can terminate the harvest conversion early.',254,27,317,2662430630,366253016,140,0,0,'Your Harvest Mana was successful on %t!','Your Harvest Mana fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/HarvestMana.lua',1936,'You cast Harvest Mana on %t.',0,0,0,1,1,1,0,2,0,230067,0,0,0,0,0,0,0,0,0,'Buff',1579323574,1384378157,0,1),
(230068,4271320806,0,0,'Vitalic Harvest','Allows the wizard to harvest health over time into power, stifling the wizard during the conversion process. It lasts for up to 15 seconds, and the wizard can terminate the harvest conversion early.',254,27,317,2662430630,366253016,210,0,0,'Your Harvest Mana II was successful on %t!','Your Harvest Mana II fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/HarvestMana.lua',1936,'You cast Harvest Mana II on %t.',0,0,0,1,1,1,0,2,0,230067,0,0,0,0,0,1,0,0,0,'Buff',1579323589,1384378114,0,1),
(230069,2129472352,0,0,'Vitalic Reaping','Allows the wizard to harvest health over time into power, stifling the wizard during the conversion process. It lasts for up to 15 seconds, and the wizard can terminate the harvest conversion early.',254,27,317,2662430630,366253016,280,0,0,'Your Harvest Mana III was successful on %t!','Your Harvest Mana III fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/HarvestMana.lua',1936,'You cast Harvest Mana III on %t.',0,0,0,1,1,1,0,2,0,230067,0,0,0,0,0,1,0,0,0,'Buff',1579323782,1384378112,0,1),
(230070,892110240,0,0,'Vitalic Cropping','Allows the wizard to harvest health over time into power, stifling the wizard during the conversion process. It lasts for up to 15 seconds, and the wizard can terminate the harvest conversion early.',254,27,317,2662430630,366253016,350,0,1,'Your Harvest Mana IV was successful on %t!','Your Harvest Mana IV fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/HarvestMana.lua',1936,'You cast Harvest Mana IV on %t.',0,0,0,1,1,1,0,2,0,230067,0,0,0,0,0,1,0,0,0,'Buff',1579323796,1384378114,0,1),
(230071,122773159,0,0,'Harvest Mana','Allows the wizard to harvest health over time into power, stifling the wizard during the conversion process. It lasts for up to 15 seconds, and the wizard can terminate the harvest conversion early.',254,27,317,2662430630,366253016,400,0,1,'Your Harvest Mana V was successful on %t!','Your Harvest Mana V fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/HarvestMana.lua',1936,'You cast Harvest Mana V on %t.',0,0,0,1,1,1,0,2,0,230067,0,0,0,0,0,1,0,0,0,'Buff',1579323849,1384377828,0,1),
(230072,3198846287,0,0,'Harvest Mana VI','Allows the wizard to harvest health over time into power, stifling the wizard during the conversion process. It lasts for up to 15 seconds, and the wizard can terminate the harvest conversion early.',254,27,317,2662430630,366253016,450,0,1,'Your Harvest Mana VI was successful on %t!','Your Harvest Mana VI fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/HarvestMana.lua',1936,'You cast Harvest Mana VI on %t.',0,0,0,1,1,1,0,2,0,230067,0,0,0,0,0,1,0,0,0,'Buff',1579323864,1384378114,0,1),
(230073,1722811313,0,0,'Harvest Mana VII','Allows the wizard to harvest health over time into power, stifling the wizard during the conversion process. It lasts for up to 15 seconds, and the wizard can terminate the harvest conversion early.',254,27,317,2662430630,366253016,500,0,0,'Your Harvest Mana VII was successful on %t!','Your Harvest Mana VII fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/HarvestMana.lua',1936,'You cast Harvest Mana VII on %t.',0,0,0,0,1,0,0,2,0,230067,0,0,0,0,0,1,0,0,0,'Buff',1579323902,1384378112,0,1),
(230074,2053466642,0,0,'Ice Comet','Deal massive cold damage and stuns the target briefly. If a player is the target of this spell, it will also knockback and blur the vision of the player.',252,29,315,2662430630,613995491,250,0,1,'Your Ice Comet was successful on %t!','Your Ice Comet fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/IceComet.lua',1943,'You cast Ice Comet on %t.',0,0,0,1,0,0,4,4,0,230074,0,0,0,0,0,1,0,0,0,'DD',1579329544,1384378114,0,1),
(230075,2110155396,0,0,'Ice Comet II','Deal massive cold damage and stuns the target briefly. If a player is the target of this spell, it will also knockback and blur the vision of the player.',252,29,315,2662430630,613995491,350,0,1,'Your Ice Comet II was successful on %t!','Your Ice Comet II fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/IceComet.lua',1943,'You cast Ice Comet II on %t.',0,0,0,1,0,0,4,4,0,230074,0,0,0,0,0,1,0,0,0,'DD',1579329589,1384378114,0,1),
(230076,638691076,0,0,'Ice Comet III','Deal massive cold damage and stuns the target briefly. If a player is the target of this spell, it will also knockback and blur the vision of the player.',252,29,315,2662430630,613995491,400,0,1,'Your Ice Comet III was successful on %t!','Your Ice Comet III fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/IceComet.lua',1943,'You cast Ice Comet III on %t.',0,0,0,1,0,0,4,4,0,230074,0,0,0,0,0,1,0,0,0,'DD',1579329868,1384378114,0,1),
(230077,3632179788,0,0,'Ice Comet IV','Deal massive cold damage and stuns the target briefly. If a player is the target of this spell, it will also knockback and blur the vision of the player.',252,29,315,2662430630,613995491,450,0,1,'Your Ice Comet IV was successful on %t!','Your Ice Comet IV fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/IceComet.lua',1943,'You cast Ice Comet IV on %t.',0,0,0,1,0,0,4,4,0,230074,0,0,0,0,0,1,0,0,0,'DD',1579330036,1384378114,0,1),
(230078,2554415448,0,0,'Ice Comet V','Deal massive cold damage and stuns the target briefly. If a player is the target of this spell, it will also knockback and blur the vision of the player.',252,29,315,2662430630,613995491,500,0,1,'Your Ice Comet V was successful on %t!','Your Ice Comet V fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/IceComet.lua',1943,'You cast Ice Comet V on %t.',0,0,0,0,0,0,4,4,0,230074,0,0,0,0,0,1,0,0,0,'DD',1579330134,1384378114,0,1),
(230079,746608716,0,0,'Cold Whorl','Deals cold damage over time and decreases target''s elemental resistance.',505,29,315,2662430630,613995491,20,0,1,'Your Ice Spears was successful on %t!','Your Ice Spears fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/IceSpears.lua',1927,'You cast Ice Spears on %t.',0,0,0,1,0,0,4,0,0,230079,0,0,0,0,0,0,0,0,0,'DoT',1579226092,1384378114,0,1),
(230080,3783199879,0,0,'Freezing Whorl','Deals cold damage over time and decreases target''s elemental resistance.',505,29,315,2533124061,613995491,65,0,1,'Your Ice Spears II was successful on %t!','Your Ice Spears II fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/IceSpears.lua',1927,'You cast Ice Spears II on %t.',0,0,0,1,0,1,4,0,0,230079,0,0,0,0,0,0,0,0,0,'DoT',1579226121,1384378114,0,1),
(230081,2820008126,0,0,'Icy Coil','Deals cold damage over time and decreases target''s elemental resistance.',505,29,315,2662430630,613995491,135,0,1,'Your Icy Coil was successful on %t!','Your Icy Coil fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/IcyCoil.lua',1927,'You cast Icy Coil on %t.',0,0,0,1,0,1,4,0,0,230079,0,0,0,0,0,0,0,0,0,'DoT',1579226249,1384377831,0,1),
(230082,3477528632,0,0,'Piercing Icicles','Deals cold damage over time and decreases target''s elemental resistance.',505,29,315,2662430630,613995491,205,0,1,'Your Ice Spears IV was successful on %t!','Your Ice Spears IV fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/IceSpears.lua',1927,'You cast Ice Spears IV on %t.',0,0,0,1,0,1,4,0,0,230079,0,0,0,0,0,1,0,0,0,'DoT',1579226369,1384377828,0,1),
(230083,1586908283,0,0,'Ice Spears IX','Deals cold damage over time and decreases target''s elemental resistance.',505,29,315,2662430630,613995491,495,0,1,'Your Ice Spears IX was successful on %t!','Your Ice Spears IX fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/IceSpears.lua',1927,'You cast Ice Spears IX on %t.',0,0,0,0,0,0,4,0,0,230079,0,0,0,0,0,1,0,0,0,'DoT',1579226915,1384378112,0,1),
(230084,2502266946,0,0,'Arctic Icicles','Deals cold damage over time and decreases target''s elemental resistance.',505,29,315,2662430630,613995491,275,0,1,'Your Ice Spears V was successful on %t!','Your Ice Spears V fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/IceSpears.lua',1927,'You cast Ice Spears V on %t.',0,0,0,1,0,1,4,0,0,230079,0,0,0,0,0,1,0,0,0,'DoT',1579226495,1384377828,0,1),
(230085,340080518,0,0,'Rending Iciciles','Deals cold damage over time and decreases target''s elemental resistance.',505,29,315,2662430630,613995491,345,0,1,'Your Ice Spears VI was successful on %t!','Your Ice Spears VI fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/IceSpears.lua',1927,'You cast Ice Spears VI on %t.',0,0,0,1,0,1,4,0,0,230079,0,0,0,0,0,1,0,0,0,'DoT',1579226589,1384378114,0,1),
(230086,2758820043,0,0,'Ice Spears','Deals cold damage over time and decreases target''s elemental resistance.',505,29,315,2662430630,613995491,395,0,1,'Your Ice Spears VII was successful on %t!','Your Ice Spears VII fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/IceSpears.lua',1927,'You cast Ice Spears VII on %t.',0,0,0,1,0,1,4,0,0,230079,0,0,0,0,0,1,0,0,0,'DoT',1579226680,1384378114,0,1),
(230087,2197853694,0,0,'Ice Spears VIII','Deals cold damage over time and decreases target''s elemental resistance.',505,29,315,2662430630,613995491,445,0,1,'Your Ice Spears VIII was successful on %t!','Your Ice Spears VIII fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/IceSpears.lua',1927,'You cast Ice Spears VIII on %t.',0,0,0,1,0,0,4,0,0,230079,0,0,0,0,0,1,0,0,0,'DoT',1579226817,1384378112,0,1),
(230088,706097448,0,0,'Coldshield','Places an icy barrier surrounding target ally. Whenever that ally is struck by an enemy in combat, that enemy receives instant cold damage. This effect can trigger up to 3 times.',253,27,316,2662430630,3587918036,100,0,1,'Your Iceshield was successful on %t!','Your Iceshield fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Iceshield.lua',1931,'You cast Iceshield on %t.',0,1,0,1,1,1,0,0,0,230088,0,0,0,0,0,0,0,0,0,'Buff',1579316605,1384378113,0,1),
(230089,3438753180,0,0,'Chillshield','Places an icy barrier surrounding target ally. Whenever that ally is struck by an enemy in combat, that enemy receives instant cold damage. This effect can trigger up to 3 times.',253,27,316,2662430630,3587918036,175,0,1,'Your Iceshield II was successful on %t!','Your Iceshield II fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Iceshield.lua',1931,'You cast Iceshield II on %t.',0,1,0,1,1,1,0,0,0,230088,0,0,0,0,0,1,0,0,0,'Buff',1579316735,1384378114,0,1),
(230090,719577128,0,0,'Frostshield','Places an icy barrier surrounding target ally. Whenever that ally is struck by an enemy in combat, that enemy receives instant cold damage. This effect can trigger up to 3 times.',253,27,316,2662430630,3587918036,250,0,1,'Your Iceshield III was successful on %t!','Your Iceshield III fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Iceshield.lua',0,'You cast Iceshield III on %t.',0,1,0,1,1,1,0,0,0,230088,0,0,0,0,0,1,0,0,0,'Buff',1579316725,1384378114,0,1),
(230091,4202698666,0,0,'Iceshield','Places an icy barrier surrounding target ally. Whenever that ally is struck by an enemy in combat, that enemy receives instant cold damage. This effect can trigger up to 3 times.',253,27,316,2662430630,3587918036,320,0,1,'Your Iceshield IV was successful on %t!','Your Iceshield IV fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Iceshield.lua',1931,'You cast Iceshield IV on %t.',0,1,0,1,1,1,0,0,0,230088,0,0,0,0,0,1,0,0,0,'Buff',1579316776,1384377827,0,1),
(230092,2842470836,0,0,'Glacialshield','Places an icy barrier surrounding target ally. Whenever that ally is struck by an enemy in combat, that enemy receives instant cold damage. This effect can trigger up to 3 times.',253,27,316,2662430630,3587918036,380,0,1,'Your Iceshield V was successful on %t!','Your Iceshield V fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Iceshield.lua',1931,'You cast Iceshield V on %t.',0,1,0,1,1,1,0,0,0,230088,0,0,0,0,0,1,0,0,0,'Buff',1579316801,1384378112,0,1),
(230093,1272806773,0,0,'Iceshield VI','Places an icy barrier surrounding target ally. Whenever that ally is struck by an enemy in combat, that enemy receives instant cold damage. This effect can trigger up to 3 times.',253,27,316,2662430630,3587918036,430,0,1,'Your Iceshield VI was successful on %t!','Your Iceshield VI fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Iceshield.lua',1931,'You cast Iceshield VI on %t.',0,1,0,1,1,1,0,0,0,230088,0,0,0,0,0,1,0,0,0,'Buff',1585104288,1384378112,0,1),
(230094,3497537818,0,0,'Iceshield VII','Places an icy barrier surrounding target ally. Whenever that ally is struck by an enemy in combat, that enemy receives instant cold damage. This effect can trigger up to 3 times.',253,27,316,2662430630,3587918036,480,0,1,'Your Iceshield VII was successful on %t!','Your Iceshield VII fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Iceshield.lua',1931,'You cast Iceshield VII on %t.',0,0,0,0,1,0,0,0,0,230088,0,0,0,0,0,1,0,0,0,'Buff',1579316873,1384377828,0,1),
(230095,117130196,0,0,'Blaze','Deals heat damage over a short time to the target.',482,28,315,2533124061,613995491,50,0,1,'Your Immolation was successful on %t!','Your Immolation fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Immolation.lua',1920,'You cast Immolation on %t.',0,0,0,1,0,1,4,0,0,230095,0,0,0,0,0,0,0,0,0,'DoT',1579068824,1384378114,0,1),
(230096,599471727,0,0,'Plasmatic Pulse','Deals heat damage over a short time to the target.',482,28,315,2662430630,613995491,120,0,1,'Your Immolation II was successful on %t!','Your Immolation II fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/PlasmaticPulse.lua',1920,'You cast Immolation II on %t.',0,0,0,1,0,1,0,0,0,230095,0,0,0,0,0,0,0,0,0,'DoT',1579232637,1384378114,0,1),
(230097,1075768259,0,0,'Immolation','Deals heat damage over a short time to the target.',482,28,315,2662430630,613995491,190,0,1,'Your Immolation III was successful on %t!','Your Immolation III fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Immolation.lua',1920,'You cast Immolation III on %t.',0,0,0,1,0,1,4,0,0,230095,0,0,0,0,0,1,0,0,0,'DoT',1579232721,1384378114,0,1),
(230098,4227579510,0,0,'Cremate','Deals heat damage over a short time to the target.',482,28,315,2662430630,613995491,260,0,1,'Your Immolation IV was successful on %t!','Your Immolation IV fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Immolation.lua',1920,'You cast Immolation IV on %t.',0,0,0,1,0,1,4,0,0,230095,0,0,0,0,0,1,0,0,0,'DoT',1579232988,1384377828,0,1),
(230099,3380572956,0,0,'Irradiate','Deals heat damage over a short time to the target.',482,28,315,2662430630,613995491,330,0,1,'Your Immolation V was successful on %t!','Your Immolation V fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Immolation.lua',1920,'You cast Immolation V on %t.',0,0,0,1,0,1,4,0,0,230095,0,0,0,0,0,1,0,0,0,'DoT',1579233100,1384378114,0,1),
(230100,1023600988,0,0,'Heatwave','Deals heat damage over a short time to the target.',482,28,315,2042842194,613995491,385,0,1,'Your Immolation VI was successful on %t!','Your Immolation VI fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Immolation.lua',1920,'You cast Immolation VI on %t.',0,0,0,1,0,1,4,0,0,230095,0,0,0,0,0,1,0,0,0,'DoT',1579233199,1384378114,0,1),
(230101,212421742,0,0,'Immolation VII','Deals heat damage over a short time to the target.',482,28,315,2662430630,613995491,435,0,1,'Your Immolation VII was successful on %t!','Your Immolation VII fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Immolation.lua',1920,'You cast Immolation VII on %t.',0,0,0,1,0,1,4,0,0,230095,0,0,0,0,0,1,0,0,0,'DoT',1579233284,1384378112,0,1),
(230102,3510605291,0,0,'Immolation VIII','Deals heat damage over a short time to the target.',482,28,315,2662430630,613995491,485,0,1,'Your Immolation VIII was successful on %t!','Your Immolation VIII fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Immolation.lua',1920,'You cast Immolation VIII on %t.',0,0,0,0,0,0,4,0,0,230095,0,0,0,0,0,1,0,0,0,'DoT',1579233516,1384378112,0,1),
(230103,615381555,0,0,'Engulf','Deals unresistable heat damage over time to an enemy.',168,28,315,2662430630,613995491,15,0,1,'Your Incinerate was successful on %t!','Your Incinerate fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Incinerate.lua',1915,'You cast Incinerate on %t.',0,0,0,1,0,0,4,0,0,230103,0,0,0,0,0,0,0,0,0,'DoT',1579225657,1384378114,0,1),
(230104,815645446,0,0,'Scorch','Deals unresistable heat damage over time to an enemy.',168,28,315,2662430630,613995491,50,0,1,'Your Incinerate II was successful on %t!','Your Incinerate II fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Incinerate.lua',1915,'You cast Incinerate II on %t.',0,0,0,1,0,0,4,0,0,230103,0,0,0,0,0,0,0,0,0,'DoT',1579225689,1384378114,0,1),
(230105,1765754614,0,0,'Incinerate','Deals unresistable heat damage over time to an enemy.',168,28,315,2533124061,613995491,85,0,1,'Your Incinerate III was successful on %t!','Your Incinerate III fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Incinerate.lua',1915,'You cast Incinerate III on %t.',0,0,0,1,0,0,4,0,0,230103,0,0,0,0,0,0,0,0,0,'DoT',1579225715,1384378114,0,1),
(230106,129196527,0,0,'Heat Stroke','Deals unresistable heat damage over time to an enemy.',168,28,315,2662430630,613995491,155,0,1,'Your Incinerate IV was successful on %t!','Your Incinerate IV fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/HeatStroke.lua',1915,'You cast Incinerate IV on %t.',0,0,0,1,0,0,4,0,0,230103,0,0,0,0,0,0,0,0,0,'DoT',1579225783,1384378114,0,1),
(230107,2879382155,0,0,'Incinerate IX','Deals unresistable heat damage over time to an enemy.',168,28,315,2662430630,613995491,460,0,1,'Your Incinerate IX was successful on %t!','Your Incinerate IX fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Incinerate.lua',1915,'You cast Incinerate IX on %t.',0,0,0,1,0,0,4,0,0,230103,0,0,0,0,0,1,0,0,0,'DoT',1579225991,1384377827,0,1),
(230108,91059048,0,0,'Heat Convulsions','Deals unresistable heat damage over time to an enemy.',168,28,315,2662430630,613995491,225,0,1,'Your Incinerate V was successful on %t!','Your Incinerate V fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Incinerate.lua',1915,'You cast Incinerate V on %t.',0,0,0,1,0,0,4,0,0,230103,0,0,0,0,0,1,0,0,0,'DoT',1579225805,1384378114,0,1),
(230109,2494154657,0,0,'Firey Convulsions','Deals unresistable heat damage over time to an enemy.',168,28,315,2662430630,613995491,295,0,1,'Your Incinerate VI was successful on %t!','Your Incinerate VI fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Incinerate.lua',1915,'You cast Incinerate VI on %t.',0,0,0,1,0,0,4,0,0,230103,0,0,0,0,0,1,0,0,0,'DoT',1579225858,1384377828,0,1),
(230110,189576904,0,0,'Ro''s Coil','Deals unresistable heat damage over time to an enemy.',168,28,315,2662430630,613995491,360,0,1,'Your Incinerate VII was successful on %t!','Your Incinerate VII fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Incinerate.lua',1915,'You cast Incinerate VII on %t.',0,0,0,1,0,0,4,0,0,230103,0,0,0,0,0,1,0,0,0,'DoT',1579225929,1384378114,0,1),
(230111,1980316430,0,0,'Incinerate VIII','Deals unresistable heat damage over time to an enemy.',168,28,315,2662430630,613995491,410,0,1,'Your Incinerate VIII was successful on %t!','Your Incinerate VIII fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Incinerate.lua',1915,'You cast Incinerate VIII on %t.',0,0,0,1,0,0,4,0,0,230103,0,0,0,0,0,1,0,0,0,'DoT',1579225973,1384378114,0,1),
(230112,2480089938,0,0,'Fire Chamber','Stuns the wizard''s target briefly and deals instant heat damage.',160,28,315,2662430630,882983852,10,0,1,'Your Magma Chamber was successful on %t!','Your Magma Chamber fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/MagmaChamber.lua',1924,'You cast Magma Chamber on %t.',0,0,0,1,0,0,4,4,0,230112,0,0,0,0,0,0,0,0,0,'DD',1579224145,1384377828,0,1),
(230113,1923347511,0,0,'Flame Chamber','Stuns the wizard''s target briefly and deals instant heat damage.',160,28,315,2662430630,882983852,80,0,1,'Your Magma Chamber II was successful on %t!','Your Magma Chamber II fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/MagmaChamber.lua',1924,'You cast Magma Chamber II on %t.',0,0,0,1,0,0,4,4,0,230112,0,0,0,0,0,0,0,0,0,'DD',1579224260,1384378114,0,1),
(230114,22584373,0,0,'Benumb','Stuns the wizard''s target briefly and deals instant heat damage.',160,28,315,2662430630,882983852,150,0,1,'Your Magma Chamber III was successful on %t!','Your Magma Chamber III fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Benumb.lua',1924,'You cast Magma Chamber III on %t.',0,0,0,1,0,0,4,4,0,230112,0,0,0,0,0,0,0,0,0,'DD',1579224408,1384378114,0,1),
(230115,2291226791,0,0,'Paralyze','Stuns the wizard''s target briefly and deals instant heat damage.',160,28,315,2662430630,882983852,220,0,1,'Your Magma Chamber IV was successful on %t!','Your Magma Chamber IV fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/MagmaChamber.lua',1924,'You cast Magma Chamber IV on %t.',0,0,0,1,0,0,4,4,0,230112,0,0,0,0,0,1,0,0,0,'DD',1579224625,1384378114,0,1),
(230116,2926552096,0,0,'Incapacitate','Stuns the wizard''s target briefly and deals instant heat damage.',160,28,315,2662430630,882983852,290,0,1,'Your Magma Chamber V was successful on %t!','Your Magma Chamber V fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/MagmaChamber.lua',1924,'You cast Magma Chamber V on %t.',0,0,0,1,0,0,4,4,0,230112,0,0,0,0,0,1,0,0,0,'DD',1579225119,1384378112,0,1),
(230117,1735515570,0,0,'Magma Chamber','Stuns the wizard''s target briefly and deals instant heat damage.',160,28,315,2662430630,882983852,360,0,1,'Your Magma Chamber VI was successful on %t!','Your Magma Chamber VI fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/MagmaChamber.lua',1924,'You cast Magma Chamber VI on %t.',0,0,0,1,0,0,4,4,0,230112,0,0,0,0,0,1,0,0,0,'DD',1579225366,1384378114,0,1),
(230118,3919297160,0,0,'Magma Chamber VII','Stuns the wizard''s target briefly and deals instant heat damage.',160,28,315,2662430630,882983852,410,0,1,'Your Magma Chamber VII was successful on %t!','Your Magma Chamber VII fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/MagmaChamber.lua',1924,'You cast Magma Chamber VII on %t.',0,0,0,1,0,0,4,4,0,230112,0,0,0,0,0,1,0,0,0,'DD',1579225457,1384378114,0,1),
(230119,1207118617,0,0,'Magma Chamber VIII','Stuns the wizard''s target briefly and deals instant heat damage.',160,28,315,2662430630,882983852,460,0,1,'Your Magma Chamber VIII was successful on %t!','Your Magma Chamber VIII fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/MagmaChamber.lua',1924,'You cast Magma Chamber VIII on %t.',0,0,0,1,0,0,4,4,0,230112,0,0,0,0,0,1,0,0,0,'DD',1579225598,1384378114,0,1),
(230120,668356473,0,1,'Mail of Frost','Frost Ward will trigger when the Wizard is below 30% health. It applies a powerful ward for a short duration that absorbs all damage types.',253,27,317,2662430630,3587918036,200,1,0,'Your Mail of Frost was successful on %t!','Your Mail of Frost fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/MailofFrost.lua',1944,'You cast Mail of Frost on %t.',0,0,0,0,1,1,0,0,0,230120,0,0,0,0,0,0,0,0,0,'Buff',1579327762,1384378114,0,1),
(230121,1124179970,0,0,'Intromission','Replenishes power to target ally, at the cost of the wizard''s health.',480,27,316,2662430630,366253016,165,0,1,'Your Mana Intromission was successful on %t!','Your Mana Intromission fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/ManaIntromission.lua',1938,'You cast Mana Intromission on %t.',0,1,0,1,1,0,0,0,0,230121,0,0,0,0,0,1,0,0,0,'HoT-Ward',1579324937,1384378113,0,1),
(230122,3407821414,0,0,'Essential Intromission','Replenishes power to target ally, at the cost of the wizard''s health.',480,27,316,2662430630,366253016,235,0,1,'Your Mana Intromission II was successful on %t!','Your Mana Intromission II fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/ManaIntromission.lua',1938,'You cast Mana Intromission II on %t.',0,1,0,1,1,0,0,0,0,230121,0,0,0,0,0,1,0,0,0,'HoT-Ward',1579324976,1384378114,0,1),
(230123,1946853459,0,0,'Cardinal Intromission','Replenishes power to target ally, at the cost of the wizard''s health.',480,27,316,2662430630,366253016,305,0,1,'Your Mana Intromission III was successful on %t!','Your Mana Intromission III fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/ManaIntromission.lua',1938,'You cast Mana Intromission III on %t.',0,1,0,1,1,0,0,0,0,230121,0,0,0,0,0,1,0,0,0,'HoT-Ward',1579325062,1384377828,0,1),
(230124,4218383220,0,0,'Mana Intromission','Replenishes power to target ally, at the cost of the wizard''s health.',480,27,316,2662430630,366253016,370,0,1,'Your Mana Intromission IV was successful on %t!','Your Mana Intromission IV fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/ManaIntromission.lua',1938,'You cast Mana Intromission IV on %t.',0,1,0,1,1,0,0,0,0,230121,0,0,0,0,0,1,0,0,0,'HoT-Ward',1579325204,1384378112,0,1),
(230125,2280659797,0,0,'Mana Intromission V','Replenishes power to target ally, at the cost of the wizard''s health.',480,27,316,2662430630,366253016,420,0,1,'Your Mana Intromission V was successful on %t!','Your Mana Intromission V fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/ManaIntromission.lua',1938,'You cast Mana Intromission V on %t.',0,1,0,1,1,0,0,0,0,230121,0,0,0,0,0,1,0,0,0,'HoT-Ward',1579325162,1384378114,0,1),
(230126,3801554963,0,0,'Mana Intromission VI','Replenishes power to target ally, at the cost of the wizard''s health.',480,27,316,2662430630,366253016,470,0,1,'Your Mana Intromission VI was successful on %t!','Your Mana Intromission VI fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/ManaIntromission.lua',1938,'You cast Mana Intromission VI on %t.',0,0,0,0,1,0,0,0,0,230121,0,0,0,0,0,1,0,0,0,'HoT-Ward',1579325233,1384378114,0,1),
(230127,1362994010,0,0,'Numbing Cold','Reduces movement speed of enemies around the Wizard. Also a chance of rooting the target when they attempt a melee attack.',256,65535,313,2662430630,3587918036,260,0,1,'Your Numbing Cold was successful on %t!','Your Numbing Cold fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/NumbingCold.lua',1946,'You cast Numbing Cold on %t.',0,0,0,1,0,1,4,0,0,230127,0,0,0,0,0,0,0,0,0,'Debuff',1579330257,1384377828,0,1),
(230128,3654366471,0,0,'Portal','Teleports the wizard to the nearest designated safe spot in the current adventuring area.',255,65535,317,2662430630,3587918036,120,0,0,'Your Portal was successful on %t!','Your Portal fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Portal.lua',2708,'You cast Portal on %t.',0,0,0,0,1,0,0,0,0,230128,0,0,0,0,0,0,0,0,0,'Unset',1579318006,1384377828,0,1),
(230129,2281951981,0,0,'Protoflame','Summons a fiery minion that attacks an enemy until the spell expires.',190,28,315,2662430630,882983852,240,0,1,'Your Protoflame was successful on %t!','Your Protoflame fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Protoflame.lua',1951,'You cast Protoflame on %t.',0,0,0,1,0,0,4,0,1,230129,0,0,0,0,0,1,0,0,0,'DoT',1579328575,1384378114,0,1),
(230130,1135348743,0,0,'Protoferno','Summons a fiery minion that attacks an enemy until the spell expires.',190,28,315,2662430630,882983852,310,0,1,'Your Protoflame II was successful on %t!','Your Protoflame II fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Protoflame.lua',1951,'You cast Protoflame II on %t.',0,0,0,1,0,0,4,0,1,230129,0,0,0,0,0,1,0,0,0,'DoT',1579328619,1384377828,0,1),
(230131,675138503,0,0,'Protofire','Summons a fiery minion that attacks an enemy until the spell expires.',190,28,315,2662430630,882983852,370,0,1,'Your Protoflame III was successful on %t!','Your Protoflame III fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Protoflame.lua',1951,'You cast Protoflame III on %t.',0,0,0,1,0,0,4,0,1,230129,0,0,0,0,0,1,0,0,0,'DoT',1579328732,1384377831,0,1),
(230132,4276571433,0,0,'Protoflame IV','Summons a fiery minion that attacks an enemy until the spell expires.',190,28,315,2662430630,882983852,420,0,1,'Your Protoflame IV was successful on %t!','Your Protoflame IV fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Protoflame.lua',1951,'You cast Protoflame IV on %t.',0,0,0,1,0,0,4,0,1,230129,0,0,0,0,0,1,0,0,0,'DoT',1579328817,1384378114,0,1),
(230133,594646188,0,0,'Protoflame V','Summons a fiery minion that attacks an enemy until the spell expires.',190,28,315,2662430630,882983852,470,0,1,'Your Protoflame V was successful on %t!','Your Protoflame V fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Protoflame.lua',1951,'You cast Protoflame V on %t.',0,0,0,0,0,0,4,0,1,230129,0,0,0,0,0,1,0,0,0,'DoT',1579328844,1384378114,0,1),
(230134,737443344,0,0,'Rays of Disintegration','Inflicts a large amount of heat damage upon the target.',172,65535,315,2662430630,613995491,400,0,1,'Your Rays of Disintegration was successful on %t!','Your Rays of Disintegration fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/RaysofDisintegration.lua',1950,'You cast Rays of Disintegration on %t.',0,0,0,1,0,0,0,0,0,230134,0,0,0,0,0,1,0,0,0,'DD',1579331656,1384378114,0,1),
(230135,3654351697,0,0,'Rays of Disintegration II','Inflicts a large amount of heat damage upon the target.',172,65535,315,2662430630,613995491,450,0,1,'Your Rays of Disintegration II was successful on %t!','Your Rays of Disintegration II fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/RaysofDisintegration.lua',1950,'You cast Rays of Disintegration II on %t.',0,0,0,1,0,0,0,0,0,230134,0,0,0,0,0,1,0,0,0,'DD',1579331833,1384378114,0,1),
(230136,3075300991,0,0,'Rays of Disintegration III','Inflicts a large amount of heat damage upon the target.',172,65535,315,2662430630,613995491,500,0,1,'Your Rays of Disintegration III was successful on %t!','Your Rays of Disintegration III fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/RaysofDisintegration.lua',1950,'You cast Rays of Disintegration III on %t.',0,0,0,0,0,0,0,0,0,230134,0,0,0,0,0,1,0,0,0,'DD',1579331959,1384378114,0,1),
(230137,1478247292,0,0,'Ring of Cold','Freezes movement of the target and the surrounding encounter members. When the freeze effect wears off, it slows their movement for a short duration. Any damage received by the target has a chance at breaking the effect.',228,29,312,2662430630,882983852,200,0,2,'Your Ring of Ice was successful on %t!','Your Ring of Ice fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/RingofIce.lua',1941,'You cast Ring of Ice on %t.',0,0,0,1,0,1,4,0,0,230137,0,0,0,0,0,0,0,0,0,'Unset',1579327832,1384378114,0,1),
(230138,779622155,0,0,'Ring of Ice','Freezes movement of the target and the surrounding encounter members. When the freeze effect wears off, it slows their movement for a short duration. Any damage received by the target has a chance at breaking the effect.',228,29,312,2662430630,882983852,270,0,2,'Your Ring of Ice II was successful on %t!','Your Ring of Ice II fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/RingofIce.lua',1941,'You cast Ring of Ice II on %t.',0,0,0,1,0,1,4,0,0,230137,0,0,0,0,0,0,0,0,0,'Unset',1579327942,1384378112,0,1),
(230139,939709071,0,0,'Ring of Frost','Freezes movement of the target and the surrounding encounter members. When the freeze effect wears off, it slows their movement for a short duration. Any damage received by the target has a chance at breaking the effect.',228,29,312,2662430630,882983852,340,0,2,'Your Ring of Ice III was successful on %t!','Your Ring of Ice III fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/RingofIce.lua',1941,'You cast Ring of Ice III on %t.',0,0,0,1,0,1,4,0,0,230137,0,0,0,0,0,0,0,0,0,'Unset',1579328045,1384378114,0,1),
(230140,4181767912,0,0,'Ring of Glaciers','Freezes movement of the target and the surrounding encounter members. When the freeze effect wears off, it slows their movement for a short duration. Any damage received by the target has a chance at breaking the effect.',228,29,312,2662430630,882983852,390,0,2,'Your Ring of Ice IV was successful on %t!','Your Ring of Ice IV fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/RingofIce.lua',1941,'You cast Ring of Ice IV on %t.',0,0,0,1,0,1,4,0,0,230137,0,0,0,0,0,0,0,0,0,'Unset',1579328141,1384378114,0,1),
(230141,54058667,0,0,'Ring of Ice V','Freezes movement of the target and the surrounding encounter members. When the freeze effect wears off, it slows their movement for a short duration. Any damage received by the target has a chance at breaking the effect.',228,29,312,2662430630,882983852,440,0,2,'Your Ring of Ice V was successful on %t!','Your Ring of Ice V fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/RingofIce.lua',1941,'You cast Ring of Ice V on %t.',0,0,0,1,0,1,4,0,0,230137,0,0,0,0,0,0,0,0,0,'Unset',1579328242,1384377827,0,1),
(230142,2654420957,0,0,'Ring of Ice VI','Freezes movement of the target and the surrounding encounter members. When the freeze effect wears off, it slows their movement for a short duration. Any damage received by the target has a chance at breaking the effect.',228,29,312,2662430630,882983852,490,0,2,'Your Ring of Ice VI was successful on %t!','Your Ring of Ice VI fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/RingofIce.lua',1941,'You cast Ring of Ice VI on %t.',0,0,0,0,0,1,4,0,0,230137,0,0,0,0,0,0,0,0,0,'Unset',1579328421,1384377828,0,1),
(230143,1152953154,0,1,'Burning Radiance','Places an augmentation that engulfs an ally''s weapon in flames, that grants the chance to strike for additional heat damage with each successful attack.',470,27,316,2533124061,3587918036,55,1,1,'Your Ro''s Blade was successful on %t!','Your Ro''s Blade fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/RosBlade.lua',1921,'You cast Ro''s Blade on %t.',0,0,0,1,1,1,0,0,0,230143,0,0,0,0,0,0,0,0,0,'Buff',1579233664,1384378114,0,1),
(230144,2335795735,0,1,'Flametongue','Places an augmentation that engulfs an ally''s weapon in flames, that grants the chance to strike for additional heat damage with each successful attack.',470,27,316,2662430630,3587918036,125,1,1,'Your Flametongue was successful on %t!','Your Flametongue fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/Flametongue.lua',1921,'You cast Flametongue on %t.',0,0,0,1,1,1,0,0,0,230143,0,0,0,0,0,0,0,0,0,'Buff',1579233724,1384378114,0,1),
(230145,169417704,0,1,'Firey Grandeur','Places an augmentation that engulfs an ally''s weapon in flames, that grants the chance to strike for additional heat damage with each successful attack.',470,27,316,2662430630,3587918036,190,1,1,'Your Ro''s Blade III was successful on %t!','Your Ro''s Blade III fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/RosBlade.lua',1921,'You cast Ro''s Blade III on %t.',0,0,0,1,1,1,0,0,0,230143,0,0,0,0,0,1,0,0,0,'Buff',1579233814,1384378114,0,1),
(230146,3493415812,0,1,'Blazing Grandeur','Places an augmentation that engulfs an ally''s weapon in flames, that grants the chance to strike for additional heat damage with each successful attack.',470,27,316,2662430630,3587918036,265,1,1,'Your Ro''s Blade IV was successful on %t!','Your Ro''s Blade IV fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/RosBlade.lua',1921,'You cast Ro''s Blade IV on %t.',0,0,0,1,1,1,0,0,0,230143,0,0,0,0,0,1,0,0,0,'Buff',1579233911,1384378114,0,1),
(230147,1277302037,0,1,'Phoenixblade','Places an augmentation that engulfs an ally''s weapon in flames, that grants the chance to strike for additional heat damage with each successful attack.',470,27,316,2662430630,3587918036,335,1,1,'Your Ro''s Blade V was successful on %t!','Your Ro''s Blade V fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/RosBlade.lua',1921,'You cast Ro''s Blade V on %t.',0,0,0,1,1,1,0,0,0,230143,0,0,0,0,0,1,0,0,0,'Buff',1579233950,1384378114,0,1),
(230148,2749142665,0,1,'Ro''s Blade','Places an augmentation that engulfs an ally''s weapon in flames, that grants the chance to strike for additional heat damage with each successful attack.',470,27,316,2662430630,3587918036,390,1,1,'Your Ro''s Blade VI was successful on %t!','Your Ro''s Blade VI fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/RosBlade.lua',1921,'You cast Ro''s Blade VI on %t.',0,0,0,1,1,1,0,0,0,230143,0,0,0,0,0,1,0,0,0,'Buff',1579234182,1384378114,0,1),
(230149,3511159288,0,1,'Ro''s Blade VII','Places an augmentation that engulfs an ally''s weapon in flames, that grants the chance to strike for additional heat damage with each successful attack.',470,27,316,2662430630,3587918036,440,1,1,'Your Ro''s Blade VII was successful on %t!','Your Ro''s Blade VII fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/RosBlade.lua',1921,'You cast Ro''s Blade VII on %t.',0,0,0,1,1,1,0,0,0,230143,0,0,0,0,0,1,0,0,0,'Buff',1579234216,1384378112,0,1),
(230150,1257063831,0,1,'Ro''s Blade VIII','Places an augmentation that engulfs an ally''s weapon in flames, that grants the chance to strike for additional heat damage with each successful attack.',470,27,316,2662430630,3587918036,490,1,1,'Your Ro''s Blade VIII was successful on %t!','Your Ro''s Blade VIII fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/RosBlade.lua',1921,'You cast Ro''s Blade VIII on %t.',0,0,0,0,1,0,0,0,0,230143,0,0,0,0,0,1,0,0,0,'Buff',1579234314,1384378112,0,1),
(230151,1177934931,0,0,'Arcane Bindings','Roots the wizard''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the root effect expires, the target''s movement speed is reduced for a short duration.',166,24,315,3820670534,882983852,25,0,1,'Your Shackle was successful on %t!','Your Shackle fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Shackle.lua',1942,'You cast Shackle on %t.',0,0,0,1,0,1,2,0,0,230151,0,0,0,0,0,0,0,0,0,'Root',1579226984,1384377828,0,1),
(230152,1813984420,0,0,'Manacles','Roots the wizard''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the root effect expires, the target''s movement speed is reduced for a short duration.',166,24,315,2662430630,882983852,95,0,1,'Your Shackle II was successful on %t!','Your Shackle II fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Shackle.lua',1942,'You cast Shackle II on %t.',0,0,0,1,0,1,2,0,0,230151,0,0,0,0,0,0,0,0,0,'Unset',1579227065,1384378114,0,1),
(230153,2100497586,0,0,'Tether','Roots the wizard''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the root effect expires, the target''s movement speed is reduced for a short duration.',166,24,315,2662430630,882983852,165,0,1,'Your Shackle III was successful on %t!','Your Shackle III fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Shackle.lua',1942,'You cast Shackle III on %t.',0,0,0,1,0,1,2,0,0,230151,0,0,0,0,0,1,0,0,0,'Unset',1579227122,1384378114,0,1),
(230154,2353491364,0,0,'Truss','Roots the wizard''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the root effect expires, the target''s movement speed is reduced for a short duration.',166,24,315,2662430630,882983852,235,0,1,'Your Shackle IV was successful on %t!','Your Shackle IV fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Shackle.lua',1942,'You cast Shackle IV on %t.',0,0,0,1,0,1,2,0,0,230151,0,0,0,0,0,1,0,0,0,'Unset',1579227220,1384378114,0,1),
(230155,1979795711,0,0,'Shackle','Roots the wizard''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the root effect expires, the target''s movement speed is reduced for a short duration.',166,24,315,2662430630,882983852,305,0,1,'Your Shackle V was successful on %t!','Your Shackle V fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Shackle.lua',1942,'You cast Shackle V on %t.',0,0,0,1,0,1,2,0,0,230151,0,0,0,0,0,1,0,0,0,'Unset',1579227331,1384378114,0,1),
(230156,972958007,0,0,'Fetter','Roots the wizard''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the root effect expires, the target''s movement speed is reduced for a short duration.',166,24,315,2662430630,882983852,365,0,1,'Your Shackle VI was successful on %t!','Your Shackle VI fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Shackle.lua',1942,'You cast Shackle VI on %t.',0,0,0,1,0,1,2,0,0,230151,0,0,0,0,0,1,0,0,0,'Unset',1579227395,1384378114,0,1),
(230157,1178489034,0,0,'Shackle VII','Roots the wizard''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the root effect expires, the target''s movement speed is reduced for a short duration.',166,24,315,2662430630,882983852,415,0,1,'Your Shackle VII was successful on %t!','Your Shackle VII fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Shackle.lua',1942,'You cast Shackle VII on %t.',0,0,0,1,0,1,2,0,0,230151,0,0,0,0,0,1,0,0,0,'Unset',1579227512,1384378114,0,1),
(230158,2851879924,0,0,'Shackle VIII','Roots the wizard''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the root effect expires, the target''s movement speed is reduced for a short duration.',166,24,315,2662430630,882983852,465,0,1,'Your Shackle VIII was successful on %t!','Your Shackle VIII fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/Shackle.lua',1942,'You cast Shackle VIII on %t.',0,0,0,0,0,0,2,0,0,230151,0,0,0,0,0,1,0,0,0,'Unset',1579227567,1384378114,0,1),
(230159,3984283767,0,1,'Snow-filled Steps','Augmentation that grants see invisible sight to all party members as well as granting additional elemental damage mitigation.',167,65535,316,2662430630,3587918036,115,1,2,'Your Snow-filled Steps was successful on %t!','Your Snow-filled Steps fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/SnowfilledSteps.lua',1919,'You cast Snow-filled Steps on %t.',0,0,0,0,1,1,0,0,0,230159,0,0,0,0,0,0,0,0,0,'Unset',1579317890,1384378114,0,1),
(230160,2901720969,0,0,'Lightning Burst','Deals instant heat damage to the targeted enemy.',161,25,315,3820670534,613995491,5,0,1,'Your Solar Flare was successful on %t!','Your Solar Flare fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/SolarFlare.lua',1914,'You cast Solar Flare on %t.',0,0,0,1,0,0,0,0,0,210009,0,0,0,0,0,0,0,0,0,'DD',1579137043,1384378114,0,1),
(230161,654775926,0,0,'Lightning Shock','Deals instant heat damage to the targeted enemy.',161,25,315,2662430630,613995491,30,0,1,'Your Solar Flare II was successful on %t!','Your Solar Flare II fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/SolarFlare.lua',1914,'You cast Solar Flare II on %t.',0,0,0,1,0,0,0,0,0,230160,0,0,0,0,0,0,0,0,0,'DD',1579137056,1384377828,0,1),
(230162,3653358074,0,0,'Plasma Burst','Deals instant heat damage to the targeted enemy.',161,25,315,2662430630,613995491,60,0,1,'Your Solar Flare III was successful on %t!','Your Solar Flare III fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/SolarFlare.lua',1914,'You cast Solar Flare III on %t.',0,0,0,1,0,0,0,0,0,230160,0,0,0,0,0,0,0,0,0,'DD',1579137086,1384378114,0,1),
(230163,3357973201,0,0,'Breath of the Tyrant- Ready for Testing','Deals instant heat damage to the targeted enemy.',161,25,315,2662430630,613995491,100,0,1,'Your Breath of the Tyrant was successful on %t!','Your Breath of the Tyrant fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/BreathoftheTyrant.lua',328,'You cast Breath of the Tyrant on %t.',0,0,0,1,0,0,0,0,0,230163,0,0,0,0,0,1,0,0,0,'DD',1579137073,1384377828,0,1),
(230164,3051364563,0,0,'Solar Flare IX','Deals instant heat damage to the targeted enemy.',161,25,315,2662430630,613995491,405,0,1,'Your Solar Flare IX was successful on %t!','Your Solar Flare IX fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/SolarFlare.lua',1914,'You cast Solar Flare IX on %t.',0,0,0,1,0,0,0,0,0,230160,0,0,0,0,0,1,0,0,0,'DD',1579224088,1384378114,0,1),
(230165,4267391608,0,0,'Plasma Strike','Deals instant heat damage to the targeted enemy.',161,25,315,2662430630,613995491,145,0,1,'Your Solar Flare V was successful on %t!','Your Solar Flare V fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/SolarFlare.lua',1914,'You cast Solar Flare V on %t.',0,0,0,1,0,0,0,0,0,230160,0,0,0,0,0,0,0,0,0,'DD',1579137141,1384377831,0,1),
(230166,3794317766,0,0,'Flamestrike','Deals instant heat damage to the targeted enemy.',161,25,315,2662430630,613995491,215,0,1,'Your Solar Flare VI was successful on %t!','Your Solar Flare VI fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/SolarFlare.lua',1914,'You cast Solar Flare VI on %t.',0,0,0,1,0,0,0,0,0,230160,0,0,0,0,0,1,0,0,0,'DD',1579137247,1384378114,0,1),
(230167,3332936709,0,0,'Sun Strike','Deals instant heat damage to the targeted enemy.',161,25,315,2662430630,613995491,285,0,1,'Your Solar Flare VII was successful on %t!','Your Solar Flare VII fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/SolarFlare.lua',1914,'You cast Solar Flare VII on %t.',0,0,0,1,0,0,0,0,0,230160,0,0,0,0,0,1,0,0,0,'DD',1579137380,1384378112,0,1),
(230168,3816068133,0,0,'Solar Flare','Deals instant heat damage to the targeted enemy.',161,25,315,2662430630,613995491,355,0,1,'Your Solar Flare VIII was successful on %t!','Your Solar Flare VIII fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/SolarFlare.lua',1914,'You cast Solar Flare VIII on %t.',0,0,0,1,0,0,0,0,0,230160,0,0,0,0,0,1,0,0,0,'DD',1579223865,1384378114,0,1),
(230169,686801317,0,0,'Solar Flare X','Deals instant heat damage to the targeted enemy.',161,25,315,2662430630,613995491,455,0,1,'Your Solar Flare X was successful on %t!','Your Solar Flare X fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/SolarFlare.lua',1914,'You cast Solar Flare X on %t.',0,0,0,1,0,0,0,0,0,230160,0,0,0,0,0,1,0,0,0,'DD',1579332063,1384378114,0,1),
(230170,2226774542,0,0,'Storm of Lightning','Deals magic damage over time for a short duration to target enemy and surrounding encounter members.',169,29,312,3820670534,613995491,40,0,2,'Your Storm of Lightning was successful on %t!','Your Storm of Lightning fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/StormofLightning.lua',1918,'You cast Storm of Lightning on %t.',0,0,0,1,0,1,2,0,0,230170,0,0,0,0,0,0,0,0,0,'DoT',1579227819,1384378114,0,1),
(230171,2506967207,0,0,'Lighting Flash','Deals magic damage over time for a short duration to target enemy and surrounding encounter members.',169,29,312,2662430630,613995491,110,0,2,'Your Lighting Flash was successful on %t!','Your Lighting Flash fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/LightingFlash.lua',1918,'You cast Lighting Flash on %t.',0,0,0,1,0,1,2,0,0,210016,0,0,0,0,0,0,0,0,0,'DoT',1579228216,1384377828,0,1),
(230172,1246605142,0,0,'Scorching Pulse','Deals magic damage over time for a short duration to target enemy and surrounding encounter members.',169,29,312,2662430630,613995491,180,0,2,'Your Storm of Lightning III was successful on %t!','Your Storm of Lightning III fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/StormofLightning.lua',1918,'You cast Storm of Lightning III on %t.',0,0,0,1,0,1,2,0,0,230170,0,0,0,0,0,1,0,0,0,'DoT',1579228260,1384377827,0,1),
(230173,3236036405,0,0,'Firey Pulse','Deals magic damage over time for a short duration to target enemy and surrounding encounter members.',169,29,312,2662430630,613995491,250,0,2,'Your Storm of Lightning IV was successful on %t!','Your Storm of Lightning IV fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/StormofLightning.lua',1918,'You cast Storm of Lightning IV on %t.',0,0,0,1,0,1,2,0,0,230170,0,0,0,0,0,1,0,0,0,'DoT',1579228757,1384378114,0,1),
(230174,1611299609,0,0,'Electrifying Flash','Deals magic damage over time for a short duration to target enemy and surrounding encounter members.',169,29,312,2662430630,613995491,320,0,2,'Your Storm of Lightning V was successful on %t!','Your Storm of Lightning V fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/StormofLightning.lua',1918,'You cast Storm of Lightning V on %t.',0,0,0,1,0,1,2,0,0,230170,0,0,0,0,0,1,0,0,0,'DoT',1579229181,1384378114,0,1),
(230175,386004040,0,0,'Electron Storm','Deals magic damage over time for a short duration to target enemy and surrounding encounter members.',169,29,312,2662430630,613995491,380,0,2,'Your Storm of Lightning VI was successful on %t!','Your Storm of Lightning VI fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/StormofLightning.lua',1918,'You cast Storm of Lightning VI on %t.',0,0,0,1,0,1,2,0,0,230170,0,0,0,0,0,1,0,0,0,'DoT',1579229740,1384377828,0,1),
(230176,3098779679,0,0,'Storm of Lightning VII','Deals magic damage over time for a short duration to target enemy and surrounding encounter members.',169,29,312,2662430630,613995491,430,0,2,'Your Storm of Lightning VII was successful on %t!','Your Storm of Lightning VII fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/StormofLightning.lua',1918,'You cast Storm of Lightning VII on %t.',0,0,0,1,0,1,2,0,0,230170,0,0,0,0,0,1,0,0,0,'DoT',1579229808,1384377827,0,1),
(230177,661201793,0,0,'Storm of Lightning VIII','Deals magic damage over time for a short duration to target enemy and surrounding encounter members.',169,29,312,2662430630,613995491,480,0,2,'Your Storm of Lightning VIII was successful on %t!','Your Storm of Lightning VIII fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/StormofLightning.lua',1918,'You cast Storm of Lightning VIII on %t.',0,0,0,0,0,1,2,0,0,230170,0,0,0,0,0,1,0,0,0,'DoT',1579231146,1384378114,0,1),
(230178,4081983285,0,0,'Surging Tempest','Deals significant amounts of damage to the target over time and knocks them down for a short duration. This spell has a recurrent power cost.',14,29,315,2662430630,613995491,290,0,1,'Your Storming Tempest was successful on %t!','Your Storming Tempest fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/StormingTempest.lua',1949,'You cast Storming Tempest on %t.',0,0,0,1,0,1,2,4,0,230178,0,0,0,0,0,0,0,0,0,'DoT',1579330622,1384377828,0,1),
(230179,3623990795,0,0,'Storming Tempest','Deals significant amounts of damage to the target over time and knocks them down for a short duration. This spell has a recurrent power cost.',14,29,315,2662430630,613995491,380,0,1,'Your Storming Tempest II was successful on %t!','Your Storming Tempest II fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/StormingTempest.lua',1949,'You cast Storming Tempest II on %t.',0,0,0,1,0,1,2,4,0,230178,0,0,0,0,0,0,0,0,0,'DoT',1579330723,1384377828,0,1),
(230180,2610831557,0,0,'Storming Tempest III','Deals significant amounts of damage to the target over time and knocks them down for a short duration. This spell has a recurrent power cost.',14,29,315,2662430630,613995491,430,0,1,'Your Storming Tempest III was successful on %t!','Your Storming Tempest III fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/StormingTempest.lua',1949,'You cast Storming Tempest III on %t.',0,0,0,1,0,1,2,4,0,230178,0,0,0,0,0,0,0,0,0,'DoT',1579330902,1384378112,0,1),
(230181,1283235997,0,0,'Storming Tempest IV','Deals significant amounts of damage to the target over time and knocks them down for a short duration. This spell has a recurrent power cost.',14,29,315,2662430630,613995491,480,0,1,'Your Storming Tempest IV was successful on %t!','Your Storming Tempest IV fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/StormingTempest.lua',1949,'You cast Storming Tempest IV on %t.',0,0,0,0,0,0,2,4,0,230178,0,0,0,0,0,0,0,0,0,'DoT',1579330975,1384377828,0,1),
(230182,2285479321,0,0,'Surge of Flames','For a short time, the wizard deals additional heat damage with every heat spell that strikes an enemy.',222,27,317,2662430630,366253016,160,0,0,'Your Surge of Ro was successful on %t!','Your Surge of Ro fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/SurgeofRo.lua',1937,'You cast Surge of Ro on %t.',0,0,0,1,1,1,0,0,0,230182,0,0,0,0,0,1,0,0,0,'Unset',1579324104,1384378114,0,1),
(230183,1705516460,0,0,'Firey Surge','For a short time, the wizard deals additional heat damage with every heat spell that strikes an enemy.',222,27,317,2662430630,366253016,230,0,0,'Your Surge of Ro II was successful on %t!','Your Surge of Ro II fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/SurgeofRo.lua',1937,'You cast Surge of Ro II on %t.',0,0,0,1,1,1,0,0,0,230182,0,0,0,0,0,1,0,0,0,'Unset',1579324144,1384378114,0,1),
(230184,558897392,0,0,'Inferno Surge','For a short time, the wizard deals additional heat damage with every heat spell that strikes an enemy.',222,27,317,2662430630,366253016,300,0,0,'Your Surge of Ro III was successful on %t!','Your Surge of Ro III fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/SurgeofRo.lua',1937,'You cast Surge of Ro III on %t.',0,0,0,1,1,1,0,0,0,230182,0,0,0,0,0,1,0,0,0,'Unset',1579324185,1384378114,0,1),
(230185,524132858,0,0,'Surge of Ro','For a short time, the wizard deals additional heat damage with every heat spell that strikes an enemy.',222,27,317,2662430630,366253016,365,0,0,'Your Surge of Ro IV was successful on %t!','Your Surge of Ro IV fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/SurgeofRo.lua',1937,'You cast Surge of Ro IV on %t.',0,0,0,1,1,1,0,0,0,230182,0,0,0,0,0,1,0,0,0,'Unset',1579324206,1384378114,0,1),
(230186,1235817740,0,0,'Surge of Ro V','For a short time, the wizard deals additional heat damage with every heat spell that strikes an enemy.',222,27,317,2662430630,366253016,415,0,0,'Your Surge of Ro V was successful on %t!','Your Surge of Ro V fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/SurgeofRo.lua',1937,'You cast Surge of Ro V on %t.',0,0,0,1,1,1,0,0,0,230182,0,0,0,0,0,1,0,0,0,'Unset',1579324222,1384378114,0,1),
(230187,3567711354,0,0,'Surge of Ro VI','For a short time, the wizard deals additional heat damage with every heat spell that strikes an enemy.',222,27,317,2662430630,366253016,465,0,0,'Your Surge of Ro VI was successful on %t!','Your Surge of Ro VI fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/SurgeofRo.lua',1937,'You cast Surge of Ro VI on %t.',0,0,0,0,1,0,0,0,0,230182,0,0,0,0,0,1,0,0,0,'Unset',1579324520,1384378114,0,1),
(230188,3436555085,0,1,'Vivid Seal','A group augmentation that increases the strength and intelligence of the wizard''s group.',479,65535,314,2533124061,3587918036,60,1,2,'Your Tyrant''s Pact was successful on %t!','Your Tyrant''s Pact fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/TyrantsPact.lua',1922,'You cast Tyrant''s Pact on %t.',0,0,0,1,1,1,0,0,0,230188,0,0,0,0,0,0,0,0,0,'Buff',1579234452,1384378114,0,1),
(230189,1477441921,0,1,'Dazzling Seal','A group augmentation that increases the strength and intelligence of the wizard''s group.',479,65535,314,2662430630,3587918036,130,1,2,'Your Tyrant''s Pact II was successful on %t!','Your Tyrant''s Pact II fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/DazzlingSeal.lua',1922,'You cast Tyrant''s Pact II on %t.',0,0,0,1,1,1,0,0,0,230188,0,0,0,0,0,0,0,0,0,'Buff',1579234487,1384377827,0,1),
(230190,2229546690,0,1,'Hand of the Tyrant','A group augmentation that increases the strength and intelligence of the wizard''s group.',479,65535,314,2662430630,3587918036,200,1,2,'Your Tyrant''s Pact III was successful on %t!','Your Tyrant''s Pact III fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/TyrantsPact.lua',1922,'You cast Tyrant''s Pact III on %t.',0,0,0,1,1,1,0,0,0,230188,0,0,0,0,0,1,0,0,0,'Buff',1579234505,1384378114,0,1),
(230191,3477007755,0,1,'Fist of the Tyrant','A group augmentation that increases the strength and intelligence of the wizard''s group.',479,65535,314,2662430630,3587918036,270,1,2,'Your Tyrant''s Pact IV was successful on %t!','Your Tyrant''s Pact IV fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/TyrantsPact.lua',1922,'You cast Tyrant''s Pact IV on %t.',0,0,0,1,1,1,0,0,0,230188,0,0,0,0,0,1,0,0,0,'Buff',1579234516,1384377828,0,1),
(230192,2349605770,0,1,'Voice of the Tyrant','A group augmentation that increases the strength and intelligence of the wizard''s group.',479,65535,314,2662430630,3587918036,340,1,2,'Your Tyrant''s Pact V was successful on %t!','Your Tyrant''s Pact V fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/TyrantsPact.lua',1922,'You cast Tyrant''s Pact V on %t.',0,0,0,1,1,1,0,0,0,230188,0,0,0,0,0,1,0,0,0,'Buff',1579234526,1384378114,0,1),
(230193,3619803061,0,1,'Tyrant''s Pact','A group augmentation that increases the strength and intelligence of the wizard''s group.',479,65535,314,2662430630,3587918036,395,1,2,'Your Tyrant''s Pact VI was successful on %t!','Your Tyrant''s Pact VI fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/TyrantsPact.lua',1922,'You cast Tyrant''s Pact VI on %t.',0,0,0,1,1,1,0,0,0,230188,0,0,0,0,0,1,0,0,0,'Buff',1579234534,1384378114,0,1),
(230194,2202602536,0,1,'Tyrant''s Pact VII','A group augmentation that increases the strength and intelligence of the wizard''s group.',479,65535,314,2662430630,3587918036,445,1,2,'Your Tyrant''s Pact VII was successful on %t!','Your Tyrant''s Pact VII fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/TyrantsPact.lua',1922,'You cast Tyrant''s Pact VII on %t.',0,0,0,1,1,1,0,0,0,230188,0,0,0,0,0,1,0,0,0,'Buff',1579234543,1384378114,0,1),
(230195,984799168,0,1,'Tyrant''s Pact VIII','A group augmentation that increases the strength and intelligence of the wizard''s group.',479,65535,314,2662430630,3587918036,495,1,2,'Your Tyrant''s Pact VIII was successful on %t!','Your Tyrant''s Pact VIII fades.','',1,1,'Spells/Mage/Sorcerer/Wizard/TyrantsPact.lua',1922,'You cast Tyrant''s Pact VIII on %t.',0,0,0,0,1,1,0,0,0,230188,0,0,0,0,0,1,0,0,0,'Buff',1579234619,1384378112,0,1),
(230196,405197501,0,0,'Painful Meditation','Converts some of the wizard''s health into power.',170,24,317,2533124061,366253016,65,0,0,'Your Vital Transfer was successful on %t!','Your Vital Transfer fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/VitalTransfer.lua',1923,'You cast Vital Transfer on %t.',0,0,0,1,1,0,0,0,0,230196,0,0,0,0,0,0,0,0,0,'Unset',1579234670,1384378114,0,1),
(230197,2023649100,0,0,'Essence Harvest','Converts some of the wizard''s health into power.',170,24,317,2662430630,366253016,135,0,0,'Your Vital Transfer II was successful on %t!','Your Vital Transfer II fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/EssenceHarvest.lua',1923,'You cast Vital Transfer II on %t.',0,0,0,1,1,0,0,0,0,230196,0,0,0,0,0,0,0,0,0,'Unset',1579234708,1384378114,0,1),
(230198,2210675290,0,0,'Vital Flow','Converts some of the wizard''s health into power.',170,24,317,2662430630,366253016,205,0,0,'Your Vital Transfer III was successful on %t!','Your Vital Transfer III fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/VitalTransfer.lua',1923,'You cast Vital Transfer III on %t.',0,0,0,1,1,0,0,0,0,230196,0,0,0,0,0,1,0,0,0,'Unset',1579234727,1384378114,0,1),
(230199,484872289,0,0,'Vital Flood','Converts some of the wizard''s health into power.',170,24,317,2662430630,366253016,275,0,0,'Your Vital Transfer IV was successful on %t!','Your Vital Transfer IV fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/VitalTransfer.lua',1923,'You cast Vital Transfer IV on %t.',0,0,0,1,1,0,0,0,0,230196,0,0,0,0,0,1,0,0,0,'Unset',1579234786,1384377828,0,1),
(230200,843070295,0,0,'Vital Conversion','Converts some of the wizard''s health into power.',170,24,317,2662430630,366253016,345,0,0,'Your Vital Transfer V was successful on %t!','Your Vital Transfer V fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/VitalTransfer.lua',1923,'You cast Vital Transfer V on %t.',0,0,0,1,1,0,0,0,0,230196,0,0,0,0,0,1,0,0,0,'Unset',1579234805,1384378114,0,1),
(230201,723771664,0,0,'Vital Transfer','Converts some of the wizard''s health into power.',170,24,317,2662430630,366253016,395,0,0,'Your Vital Transfer VI was successful on %t!','Your Vital Transfer VI fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/VitalTransfer.lua',1923,'You cast Vital Transfer VI on %t.',0,0,0,1,1,0,0,0,0,230196,0,0,0,0,0,1,0,0,0,'Unset',1579234821,1384378114,0,1),
(230202,3986805445,0,0,'Vital Transfer VII','Converts some of the wizard''s health into power.',170,24,317,2662430630,366253016,445,0,0,'Your Vital Transfer VII was successful on %t!','Your Vital Transfer VII fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/VitalTransfer.lua',1923,'You cast Vital Transfer VII on %t.',0,0,0,1,1,0,0,0,0,230196,0,0,0,0,0,1,0,0,0,'Unset',1579234838,1384378114,0,1),
(230203,1778850182,0,0,'Vital Transfer VIII','Converts some of the wizard''s health into power.',170,24,317,2662430630,366253016,495,0,0,'Your Vital Transfer VIII was successful on %t!','Your Vital Transfer VIII fades.','',1,0,'Spells/Mage/Sorcerer/Wizard/VitalTransfer.lua',1923,'You cast Vital Transfer VIII on %t.',0,0,0,0,1,0,0,0,0,230196,0,0,0,0,0,1,0,0,0,'Unset',1579234871,1384378112,0,1),
(240000,385084862,0,0,'Negative Absolution','Deals instant disease damage to the target and surrounding encounter members.',257,25,312,193411854,613995491,100,0,2,'Your Absolution was successful on %t!','Your Absolution fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/NegativeAbsolution.lua',1971,'You cast Absolution on %t.',0,0,0,1,0,0,0,0,0,240000,0,0,0,0,0,0,0,0,0,'DD',1578965558,1384378114,0,1),
(240001,563228053,0,0,'Null Absolution','Deals instant disease damage to the target and surrounding encounter members.',257,25,312,193411854,613995491,170,0,2,'Your Absolution II was successful on %t!','Your Absolution II fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Absolution.lua',1971,'You cast Absolution II on %t.',0,0,0,1,0,0,0,0,0,240000,0,0,0,0,0,1,0,0,0,'DD',1578965603,1384378112,0,1),
(240002,2220824226,0,0,'Nil Absolution','Deals instant disease damage to the target and surrounding encounter members.',257,25,312,193411854,613995491,240,0,2,'Your Absolution III was successful on %t!','Your Absolution III fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Absolution.lua',1971,'You cast Absolution III on %t.',0,0,0,1,0,0,0,0,0,240000,0,0,0,0,0,1,0,0,0,'DD',1578965656,1384378112,0,1),
(240003,3109670737,0,0,'Void Absolution','Deals instant disease damage to the target and surrounding encounter members.',257,25,312,193411854,613995491,310,0,2,'Your Absolution IV was successful on %t!','Your Absolution IV fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Absolution.lua',1971,'You cast Absolution IV on %t.',0,0,0,1,0,0,0,0,0,240000,0,0,0,0,0,1,0,0,0,'DD',1578965843,1384378114,0,1),
(240004,1219501529,0,0,'Absolution','Deals instant disease damage to the target and surrounding encounter members.',257,25,312,193411854,613995491,375,0,2,'Your Absolution V was successful on %t!','Your Absolution V fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Absolution.lua',1971,'You cast Absolution V on %t.',0,0,0,1,0,0,0,0,0,240000,0,0,0,0,0,1,0,0,0,'DD',1578965968,1384378114,0,1),
(240005,1874905324,0,0,'Absolution VI','Deals instant disease damage to the target and surrounding encounter members.',257,25,312,193411854,613995491,425,0,2,'Your Absolution VI was successful on %t!','Your Absolution VI fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Absolution.lua',1971,'You cast Absolution VI on %t.',0,0,0,1,0,0,0,0,0,240000,0,0,0,0,0,1,0,0,0,'DD',1578966125,1384377828,0,1),
(240006,2991985001,0,0,'Absolution VII','Deals instant disease damage to the target and surrounding encounter members.',257,25,312,193411854,613995491,475,0,2,'Your Absolution VII was successful on %t!','Your Absolution VII fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Absolution.lua',1971,'You cast Absolution VII on %t.',0,0,0,1,0,1,0,0,0,240000,0,0,0,0,0,1,0,0,0,'DD',1578966291,1384378114,0,1),
(240007,2062285203,0,0,'Erupt','Deals unresistable instant poison damage to an enemy.',168,28,315,193411854,613995491,15,0,1,'Your Acid was successful on %t!','Your Acid fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Acid.lua',1953,'You cast Acid on %t.',0,0,0,1,0,0,3,0,0,240007,0,0,0,0,0,0,0,0,0,'DoT',1578954122,1384377827,0,1),
(240008,4077016943,0,0,'Emanate','Deals unresistable instant poison damage to an enemy.',168,28,315,193411854,613995491,50,0,1,'Your Acid II was successful on %t!','Your Acid II fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Acid.lua',1953,'You cast Acid II on %t.',0,0,0,1,0,1,3,0,0,240007,0,0,0,0,0,0,0,0,0,'DoT',1578954151,1384377827,0,1),
(240009,2764985652,0,0,'Shadowy Emanations','Deals unresistable instant poison damage to an enemy.',168,28,315,193411854,613995491,85,0,1,'Your Acid III was successful on %t!','Your Acid III fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Acid.lua',1953,'You cast Acid III on %t.',0,0,0,1,0,1,3,0,0,240008,0,0,0,0,0,0,0,0,0,'DoT',1578954182,1384378114,0,1),
(240010,1038680372,0,0,'Noxious Bolt','Deals unresistable instant poison damage to an enemy.',168,28,315,193411854,613995491,155,0,1,'Your Acid IV was successful on %t!','Your Acid IV fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/NoxiousBolt.lua',1953,'You cast Acid IV on %t.',0,0,0,1,0,1,3,0,0,240007,0,0,0,0,0,0,0,0,0,'DoT',1578954304,1384377828,0,1),
(240011,2974579385,0,0,'Acid IX','Deals unresistable instant poison damage to an enemy.',168,28,315,193411854,613995491,460,0,1,'Your Acid IX was successful on %t!','Your Acid IX fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Acid.lua',1953,'You cast Acid IX on %t.',0,0,0,1,0,1,3,0,0,240007,0,0,0,0,0,1,0,0,0,'DoT',1579066370,1384378114,0,1),
(240012,2903601406,0,1,'Acid Rain','This is the condensed energy of an ancient, mythical weapon.',239,65535,317,193411854,0,400,1,1,'Your Acid Rain was successful on %t!','Your Acid Rain fades.','',1,0,'',0,'You cast Acid Rain on %t.',0,0,0,1,1,1,0,0,0,240012,0,0,0,0,0,0,0,0,0,'Unset',1579048984,1384377875,0,1),
(240013,1612845841,0,0,'Acid Storm','Accumulates a storm of acid rain that follows your enemy. All enemies under the storm receive poison damage. The closer the enemies are to the center of the storm, the greater the damage inflicted.',562,65535,313,193411854,613995491,400,0,1,'Your Acid Storm was successful on %t!','Your Acid Storm fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/AcidStorm.lua',2016,'You cast Acid Storm on %t.',0,0,0,1,0,0,3,0,1,240013,0,0,0,0,0,1,0,0,0,'DoT',1579049019,1384378114,0,1),
(240014,3182742164,0,0,'Acid Storm II','Accumulates a storm of acid rain that follows your enemy. All enemies under the storm receive poison damage. The closer the enemies are to the center of the storm, the greater the damage inflicted.',562,65535,313,193411854,613995491,450,0,1,'Your Acid Storm II was successful on %t!','Your Acid Storm II fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/AcidStorm.lua',2016,'You cast Acid Storm II on %t.',0,0,0,1,0,0,3,0,1,240013,0,0,0,0,0,1,0,0,0,'DoT',1579049067,1384378114,0,1),
(240015,2804818186,0,0,'Acid Storm III','Accumulates a storm of acid rain that follows your enemy. All enemies under the storm receive poison damage. The closer the enemies are to the center of the storm, the greater the damage inflicted.',562,65535,313,193411854,613995491,500,0,1,'Your Acid Storm III was successful on %t!','Your Acid Storm III fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/AcidStorm.lua',2016,'You cast Acid Storm III on %t.',0,0,0,0,0,0,3,0,1,240013,0,0,0,0,0,1,0,0,0,'DoT',1579049106,1384378114,0,1),
(240016,3191654286,0,0,'Torment of Shadows','Deals unresistable instant poison damage to an enemy.',168,28,315,193411854,613995491,225,0,1,'Your Acid V was successful on %t!','Your Acid V fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Acid.lua',1953,'You cast Acid V on %t.',0,0,0,1,0,1,3,0,0,240007,0,0,0,0,0,1,0,0,0,'DoT',1578954321,1384378114,0,1),
(240017,1314880708,0,0,'Scourge of Shadows','Deals unresistable instant poison damage to an enemy.',168,28,315,193411854,613995491,295,0,1,'Your Acid VI was successful on %t!','Your Acid VI fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Acid.lua',1953,'You cast Acid VI on %t.',0,0,0,1,0,1,3,0,0,240007,0,0,0,0,0,1,0,0,0,'DoT',1578954420,1384378114,0,1),
(240018,3782410724,0,0,'Acid','Deals unresistable instant poison damage to an enemy.',168,28,315,193411854,613995491,360,0,1,'Your Acid VII was successful on %t!','Your Acid VII fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Acid.lua',1953,'You cast Acid VII on %t.',0,0,0,1,0,1,3,0,0,240007,0,0,0,0,0,1,0,0,0,'DoT',1578954449,1384377827,0,1),
(240019,389771533,0,0,'Acid VIII','Deals unresistable instant poison damage to an enemy.',168,28,315,193411854,613995491,410,0,1,'Your Acid VIII was successful on %t!','Your Acid VIII fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Acid.lua',1953,'You cast Acid VIII on %t.',0,0,0,1,0,1,3,0,0,240007,0,0,0,0,0,1,0,0,0,'DoT',1579066507,1384378114,0,1),
(240020,1681178982,0,0,'Devastation','Deals massive poison damage over time to as many as 5 enemies.',258,28,312,193411854,613995491,250,0,2,'Your Apocalypse was successful on %t!','Your Apocalypse fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Apocalypse.lua',2010,'You cast Apocalypse on %t.',0,0,1,1,0,1,3,0,0,240020,0,0,0,0,0,1,0,0,0,'DoT',1579047174,1384378114,0,1),
(240021,4291259636,0,0,'Apocalypse','Deals massive poison damage over time to as many as 5 enemies.',258,28,312,193411854,613995491,350,0,2,'Your Apocalypse II was successful on %t!','Your Apocalypse II fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Apocalypse.lua',2010,'You cast Apocalypse II on %t.',0,0,0,1,0,1,3,0,0,240020,0,0,0,0,0,1,0,0,0,'DoT',1579047267,1384377827,0,1),
(240022,810223172,0,0,'Armageddon','Deals massive poison damage over time to as many as 5 enemies.',258,28,312,193411854,613995491,400,0,2,'Your Apocalypse III was successful on %t!','Your Apocalypse III fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Apocalypse.lua',2010,'You cast Apocalypse III on %t.',0,0,0,1,0,1,3,0,0,240020,0,0,0,0,0,1,0,0,0,'DoT',1579047350,1384378115,0,1),
(240023,86073412,0,0,'Apocalypse IV','Deals massive poison damage over time to as many as 5 enemies.',258,28,312,193411854,613995491,450,0,2,'Your Apocalypse IV was successful on %t!','Your Apocalypse IV fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Apocalypse.lua',2010,'You cast Apocalypse IV on %t.',0,0,0,1,0,1,3,0,0,240020,0,0,0,0,0,1,0,0,0,'DoT',1579047411,1384378114,0,1),
(240024,532384730,0,0,'Apocalypse V','Deals massive poison damage over time to as many as 5 enemies.',258,28,312,193411854,613995491,500,0,2,'Your Apocalypse V was successful on %t!','Your Apocalypse V fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Apocalypse.lua',2010,'You cast Apocalypse V on %t.',0,0,0,0,0,1,3,0,0,240020,0,0,0,0,0,1,0,0,0,'DoT',1579047466,1384378157,0,1),
(240025,4266033946,0,1,'Boon of the Shadows','An augmentation that increases the power pool and noxious resistance for the warlock''s group.\n \n\"Revel in the darkness! Hold the night close to your heart, and shut out the light!\" - Lord Grimrot',208,65535,314,193411854,3587918036,35,1,2,'Your Aspect of Darkness was successful on %t!','Your Aspect of Darkness fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/AspectofDarkness.lua',1957,'You cast Aspect of Darkness on %t.',0,0,0,1,1,1,0,0,0,240025,0,0,0,0,0,0,0,0,0,'Buff',1578957789,1384377827,0,1),
(240026,4038170210,0,1,'Boon of the Void','An augmentation that increases the power pool and noxious resistance for the warlock''s group.\n \n\"Revel in the darkness! Hold the night close to your heart, and shut out the light!\" - Lord Grimrot',208,65535,314,193411854,3587918036,105,1,2,'Your Aspect of Darkness II was successful on %t!','Your Aspect of Darkness II fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/BoonoftheVoid.lua',2021,'You cast Aspect of Darkness II on %t.',0,0,0,1,1,1,0,0,0,240025,0,0,0,0,0,0,0,0,0,'Buff',1578957814,1384377828,0,1),
(240027,1939713637,0,1,'Bolster Energy','An augmentation that increases the power pool and noxious resistance for the warlock''s group.\n \n\"Revel in the darkness! Hold the night close to your heart, and shut out the light!\" - Lord Grimrot',208,65535,314,193411854,3587918036,175,1,2,'Your Aspect of Darkness III was successful on %t!','Your Aspect of Darkness III fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/AspectofDarkness.lua',2021,'You cast Aspect of Darkness III on %t.',0,0,0,1,1,1,0,0,0,240025,0,0,0,0,0,1,0,0,0,'Buff',1578957830,1384377828,0,1),
(240028,831282044,0,1,'Aspect of Darkness','An augmentation that increases the power pool and noxious resistance for the warlock''s group.\n \n\"Revel in the darkness! Hold the night close to your heart, and shut out the light!\" - Lord Grimrot',208,65535,314,193411854,3587918036,245,1,2,'Your Aspect of Darkness IV was successful on %t!','Your Aspect of Darkness IV fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/AspectofDarkness.lua',2021,'You cast Aspect of Darkness IV on %t.',0,0,0,1,1,1,0,0,0,240025,0,0,0,0,0,1,0,0,0,'Buff',1578957853,1384378114,0,1),
(240029,150540923,0,1,'Aspect of Night','An augmentation that increases the power pool and noxious resistance for the warlock''s group.\n \n\"Revel in the darkness! Hold the night close to your heart, and shut out the light!\" - Lord Grimrot',208,65535,314,193411854,3587918036,315,1,2,'Your Aspect of Darkness V was successful on %t!','Your Aspect of Darkness V fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/AspectofDarkness.lua',2021,'You cast Aspect of Darkness V on %t.',0,0,0,1,1,1,0,0,0,240025,0,0,0,0,0,1,0,0,0,'Buff',1578957874,1384378114,0,1),
(240030,2006583551,0,1,'Aspect of Moon','An augmentation that increases the power pool and noxious resistance for the warlock''s group.\n \n\"Revel in the darkness! Hold the night close to your heart, and shut out the light!\" - Lord Grimrot',208,65535,314,193411854,3587918036,375,1,2,'Your Aspect of Darkness VI was successful on %t!','Your Aspect of Darkness VI fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/AspectofDarkness.lua',2021,'You cast Aspect of Darkness VI on %t.',0,0,0,1,1,1,0,0,0,240025,0,0,0,0,0,1,0,0,0,'Buff',1578957891,1384378114,0,1),
(240031,3119457123,0,1,'Aspect of Darkness VII','An augmentation that increases the power pool and noxious resistance for the warlock''s group.\n \n\"Revel in the darkness! Hold the night close to your heart, and shut out the light!\" - Lord Grimrot',208,65535,314,193411854,3587918036,425,1,2,'Your Aspect of Darkness VII was successful on %t!','Your Aspect of Darkness VII fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/AspectofDarkness.lua',2021,'You cast Aspect of Darkness VII on %t.',0,0,0,1,1,1,0,0,0,240025,0,0,0,0,0,1,0,0,0,'Buff',1578957909,1384378112,0,1),
(240032,641048829,0,1,'Aspect of Darkness VIII','An augmentation that increases the power pool and noxious resistance for the warlock''s group.\n \n\"Revel in the darkness! Hold the night close to your heart, and shut out the light!\" - Lord Grimrot',208,65535,314,193411854,3587918036,475,1,2,'Your Aspect of Darkness VIII was successful on %t!','Your Aspect of Darkness VIII fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/AspectofDarkness.lua',1957,'You cast Aspect of Darkness VIII on %t.',0,0,0,0,1,1,0,0,0,240025,0,0,0,0,0,1,0,0,0,'Buff',1578958153,1384377828,0,1),
(240033,2285617762,0,0,'Aura of Darkness','An impairment that causes the target additional disease damage when it is damaged by a spell. This impairment is removed after it has been triggered 3 times.',260,27,315,193411854,882983852,175,0,1,'Your Aura of Void was successful on %t!','Your Aura of Void fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/AuraofVoid.lua',2021,'You cast Aura of Void on %t.',0,0,0,1,0,0,3,0,0,240033,0,0,0,0,0,1,0,0,0,'DoT',1579045924,1384377828,0,1),
(240034,1962883352,0,0,'Aura of Emptiness','An impairment that causes the target additional disease damage when it is damaged by a spell. This impairment is removed after it has been triggered 3 times.',260,27,315,193411854,882983852,245,0,1,'Your Aura of Void II was successful on %t!','Your Aura of Void II fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/AuraofVoid.lua',2021,'You cast Aura of Void II on %t.',0,0,0,1,0,0,3,0,0,240033,0,0,0,0,0,1,0,0,0,'DoT',1579046034,1384377828,0,1),
(240035,3552851499,0,0,'Aura of Nihility','An impairment that causes the target additional disease damage when it is damaged by a spell. This impairment is removed after it has been triggered 3 times.',260,27,315,193411854,882983852,315,0,1,'Your Aura of Void III was successful on %t!','Your Aura of Void III fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/AuraofVoid.lua',2021,'You cast Aura of Void III on %t.',0,0,0,1,0,0,3,0,0,240033,0,0,0,0,0,1,0,0,0,'DoT',1579046078,1384378114,0,1),
(240036,3918611966,0,0,'Aura of Void','An impairment that causes the target additional disease damage when it is damaged by a spell. This impairment is removed after it has been triggered 3 times.',260,27,315,193411854,882983852,375,0,1,'Your Aura of Void IV was successful on %t!','Your Aura of Void IV fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/AuraofVoid.lua',2021,'You cast Aura of Void IV on %t.',0,0,0,1,0,0,3,0,0,240033,0,0,0,0,0,1,0,0,0,'DoT',1579046177,1384377827,0,1),
(240037,3172566627,0,0,'Aura of Void V','An impairment that causes the target additional disease damage when it is damaged by a spell. This impairment is removed after it has been triggered 3 times.',260,27,315,193411854,882983852,425,0,1,'Your Aura of Void V was successful on %t!','Your Aura of Void V fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/AuraofVoid.lua',2021,'You cast Aura of Void V on %t.',0,0,0,1,0,0,3,0,0,240033,0,0,0,0,0,1,0,0,0,'DoT',1579046274,1384378112,0,1),
(240038,81943947,0,0,'Aura of Void VI','An impairment that causes the target additional disease damage when it is damaged by a spell. This impairment is removed after it has been triggered 3 times.',260,27,315,193411854,882983852,475,0,1,'Your Aura of Void VI was successful on %t!','Your Aura of Void VI fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/AuraofVoid.lua',2021,'You cast Aura of Void VI on %t.',0,0,0,0,0,0,3,0,0,240033,0,0,0,0,0,1,0,0,0,'DoT',1579046326,1384377828,0,1),
(240039,789042833,0,1,'Boon of the Dark','An augmentation cast on the warlock''s ally that grants a chance to increase their power and the warlock''s power over time when the ally is hit in melee combat. This spell does not require any concentration, but can only be maintained on a single ally. If that ally is a fighter, then a small amount of the warlock''s hate acquired in combat is transferred to that ally.',243,24,316,193411854,3587918036,90,1,1,'Your Boon of the Damned was successful on %t!','Your Boon of the Damned fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/BoonoftheDamned.lua',1970,'You cast Boon of the Damned on %t.',0,1,0,1,1,1,0,0,0,240039,0,0,0,0,0,0,0,0,0,'Buff',1578964982,1384377828,0,1),
(240040,3463782684,0,1,'Boon of the Shadowed','An augmentation cast on the warlock''s ally that grants a chance to increase their power and the warlock''s power over time when the ally is hit in melee combat. This spell does not require any concentration, but can only be maintained on a single ally. If that ally is a fighter, then a small amount of the warlock''s hate acquired in combat is transferred to that ally.',243,24,316,193411854,3587918036,165,1,1,'Your Boon of the Damned II was successful on %t!','Your Boon of the Damned II fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/BoonoftheDamned.lua',1970,'You cast Boon of the Damned II on %t.',0,1,0,1,1,1,0,0,0,240039,0,0,0,0,0,1,0,0,0,'Buff',1578965022,1384378114,0,1),
(240041,3788180172,0,1,'Vulian Gift','An augmentation cast on the warlock''s ally that grants a chance to increase their power and the warlock''s power over time when the ally is hit in melee combat. This spell does not require any concentration, but can only be maintained on a single ally. If that ally is a fighter, then a small amount of the warlock''s hate acquired in combat is transferred to that ally.',243,24,316,193411854,3587918036,235,1,1,'Your Boon of the Damned III was successful on %t!','Your Boon of the Damned III fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/BoonoftheDamned.lua',1970,'You cast Boon of the Damned III on %t.',0,1,0,1,1,1,0,0,0,240039,0,0,0,0,0,1,0,0,0,'Buff',1578965087,1384378112,0,1),
(240042,3394582416,0,1,'Boon of hte Damned','An augmentation cast on the warlock''s ally that grants a chance to increase their power and the warlock''s power over time when the ally is hit in melee combat. This spell does not require any concentration, but can only be maintained on a single ally. If that ally is a fighter, then a small amount of the warlock''s hate acquired in combat is transferred to that ally.',243,24,316,193411854,3587918036,305,1,1,'Your Boon of the Damned IV was successful on %t!','Your Boon of the Damned IV fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/BoonoftheDamned.lua',1970,'You cast Boon of the Damned IV on %t.',0,1,0,1,1,1,0,0,0,240039,0,0,0,0,0,1,0,0,0,'Buff',1579066604,1384378114,0,1),
(240043,957759862,0,1,'Boon of Solitude','An augmentation cast on the warlock''s ally that grants a chance to increase their power and the warlock''s power over time when the ally is hit in melee combat. This spell does not require any concentration, but can only be maintained on a single ally. If that ally is a fighter, then a small amount of the warlock''s hate acquired in combat is transferred to that ally.',243,24,316,193411854,3587918036,365,1,1,'Your Boon of the Damned V was successful on %t!','Your Boon of the Damned V fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/BoonoftheDamned.lua',1970,'You cast Boon of the Damned V on %t.',0,1,0,1,1,1,0,0,0,240039,0,0,0,0,0,1,0,0,0,'Buff',1579066536,1384378115,0,1),
(240044,3545517484,0,1,'Boon of the Damned VI','An augmentation cast on the warlock''s ally that grants a chance to increase their power and the warlock''s power over time when the ally is hit in melee combat. This spell does not require any concentration, but can only be maintained on a single ally. If that ally is a fighter, then a small amount of the warlock''s hate acquired in combat is transferred to that ally.',243,24,316,193411854,3587918036,415,1,1,'Your Boon of the Damned VI was successful on %t!','Your Boon of the Damned VI fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/BoonoftheDamned.lua',1970,'You cast Boon of the Damned VI on %t.',0,1,0,1,1,1,0,0,0,240039,0,0,0,0,0,1,0,0,0,'Buff',1578965401,1384378112,0,1),
(240045,1284427314,0,1,'Boon of the Damned VII','An augmentation cast on the warlock''s ally that grants a chance to increase their power and the warlock''s power over time when the ally is hit in melee combat. This spell does not require any concentration, but can only be maintained on a single ally. If that ally is a fighter, then a small amount of the warlock''s hate acquired in combat is transferred to that ally.',243,24,316,193411854,3587918036,465,1,1,'Your Boon of the Damned VII was successful on %t!','Your Boon of the Damned VII fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/BoonoftheDamned.lua',1970,'You cast Boon of the Damned VII on %t.',0,1,0,1,1,1,0,0,0,240039,0,0,0,0,0,1,0,0,0,'Buff',1578965427,1384378114,0,1),
(240046,739015837,0,0,'Poison Cloud','Interrupts and deals great amounts of poison damage over time to all enemies surrounding the warlock.',238,28,313,193411854,613995491,10,0,1,'Your Cataclysm was successful on %t!','Your Cataclysm fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Cataclysm.lua',1968,'You cast Cataclysm on %t.',0,0,0,1,0,1,3,0,0,240046,0,0,0,0,0,0,0,0,0,'DoT',1578953289,1384378112,0,1),
(240047,4257205895,0,0,'Suffocate','Interrupts and deals great amounts of poison damage over time to all enemies surrounding the warlock.',238,28,313,193411854,613995491,70,0,1,'Your Cataclysm II was successful on %t!','Your Cataclysm II fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Cataclysm.lua',1968,'You cast Cataclysm II on %t.',0,0,0,1,0,1,3,0,0,240046,0,0,0,0,0,0,0,0,0,'DoT',1578953331,1384378114,0,1),
(240048,1404097354,0,0,'Suffocating Cloud','Interrupts and deals great amounts of poison damage over time to all enemies surrounding the warlock.',238,28,313,193411854,613995491,140,0,1,'Your Cataclysm III was successful on %t!','Your Cataclysm III fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Cataclysm.lua',1968,'You cast Cataclysm III on %t.',0,0,0,1,0,1,3,0,0,240046,0,0,0,0,0,0,0,0,0,'DoT',1578953495,1384377828,0,1),
(240049,516919914,0,0,'Abysmal Fury','Interrupts and deals great amounts of poison damage over time to all enemies surrounding the warlock.',238,28,313,193411854,613995491,210,0,1,'Your Cataclysm IV was successful on %t!','Your Cataclysm IV fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Cataclysm.lua',1968,'You cast Cataclysm IV on %t.',0,0,0,1,0,1,3,0,0,240046,0,0,0,0,0,1,0,0,0,'DoT',1578953610,1384377828,0,1),
(240050,2082273658,0,0,'Cataclysm IX','Interrupts and deals great amounts of poison damage over time to all enemies surrounding the warlock.',238,28,313,193411854,613995491,500,0,1,'Your Cataclysm IX was successful on %t!','Your Cataclysm IX fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Cataclysm.lua',1968,'You cast Cataclysm IX on %t.',0,0,0,0,0,0,3,0,0,240046,0,0,0,0,0,1,0,0,0,'DoT',1578954032,1384377827,0,1),
(240051,3943795076,0,0,'Boundless Fury','Interrupts and deals great amounts of poison damage over time to all enemies surrounding the warlock.',238,28,313,193411854,613995491,280,0,1,'Your Cataclysm V was successful on %t!','Your Cataclysm V fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Cataclysm.lua',1968,'You cast Cataclysm V on %t.',0,0,0,1,0,1,3,0,0,240046,0,0,0,0,0,1,0,0,0,'DoT',1578953702,1384378114,0,1),
(240052,827065907,0,0,'Chaostorm','Interrupts and deals great amounts of poison damage over time to all enemies surrounding the warlock.',238,28,313,193411854,613995491,350,0,1,'Your Cataclysm VI was successful on %t!','Your Cataclysm VI fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Cataclysm.lua',1968,'You cast Cataclysm VI on %t.',0,0,0,1,0,1,3,0,0,240046,0,0,0,0,0,1,0,0,0,'DoT',1578953806,1384378114,0,1),
(240053,2810598913,0,0,'Cataclysm','Interrupts and deals great amounts of poison damage over time to all enemies surrounding the warlock.',238,28,313,193411854,613995491,400,0,1,'Your Cataclysm VII was successful on %t!','Your Cataclysm VII fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Cataclysm.lua',1968,'You cast Cataclysm VII on %t.',0,0,0,1,0,1,3,0,0,240046,0,0,0,0,0,1,0,0,0,'DoT',1578953867,1384378115,0,1),
(240054,1008933486,0,0,'Cataclysm VIII','Interrupts and deals great amounts of poison damage over time to all enemies surrounding the warlock.',238,28,313,193411854,613995491,450,0,1,'Your Cataclysm VIII was successful on %t!','Your Cataclysm VIII fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Cataclysm.lua',1968,'You cast Cataclysm VIII on %t.',0,0,0,1,0,1,3,0,0,240046,0,0,0,0,0,1,0,0,0,'DoT',1578953949,1384378114,0,1),
(240055,3172614619,0,0,'Curse of Darkness','A temporary group buff that triggers additional poison damage for every spell cast.',237,28,314,193411854,3587918036,125,0,2,'Your Curse of Darkness was successful on %t!','Your Curse of Darkness fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/CurseofDarknessClassic.lua',2003,'You cast Curse of Darkness on %t.',0,0,0,1,1,1,0,0,0,240055,0,0,0,0,0,0,0,0,0,'Buff',1579043854,1384378114,0,1),
(240056,2746604322,0,0,'Curse of Emptiness','A temporary group buff that triggers additional poison damage for every spell cast.',237,28,314,193411854,3587918036,195,0,2,'Your Curse of Darkness II was successful on %t!','Your Curse of Darkness II fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/CurseofDarkness.lua',2003,'You cast Curse of Darkness II on %t.',0,0,0,1,1,1,0,0,0,240055,0,0,0,0,0,1,0,0,0,'Buff',1579043878,1384377828,0,1),
(240057,925189389,0,0,'Curse of Desolation','A temporary group buff that triggers additional poison damage for every spell cast.',237,28,314,193411854,3587918036,265,0,2,'Your Curse of Darkness III was successful on %t!','Your Curse of Darkness III fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/CurseofDarkness.lua',2003,'You cast Curse of Darkness III on %t.',0,0,0,1,1,1,0,0,0,240055,0,0,0,0,0,1,0,0,0,'Buff',1579043899,1384378114,0,1),
(240058,1818771975,0,0,'Curse of Isolation','A temporary group buff that triggers additional poison damage for every spell cast.',237,28,314,193411854,3587918036,335,0,2,'Your Curse of Darkness IV was successful on %t!','Your Curse of Darkness IV fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/CurseofDarkness.lua',2003,'You cast Curse of Darkness IV on %t.',0,0,0,1,1,1,0,0,0,240055,0,0,0,0,0,1,0,0,0,'Buff',1579043921,1384378114,0,1),
(240059,3235818178,0,0,'Curse of Luclin','A temporary group buff that triggers additional poison damage for every spell cast.',237,28,314,193411854,3587918036,390,0,2,'Your Curse of Darkness V was successful on %t!','Your Curse of Darkness V fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/CurseofDarkness.lua',2003,'You cast Curse of Darkness V on %t.',0,0,0,1,1,1,0,0,0,240055,0,0,0,0,0,1,0,0,0,'Buff',1579043940,1384378114,0,1),
(240060,3574742120,0,0,'Curse of Darkness VI','A temporary group buff that triggers additional poison damage for every spell cast.',237,28,314,193411854,3587918036,440,0,2,'Your Curse of Darkness VI was successful on %t!','Your Curse of Darkness VI fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/CurseofDarkness.lua',2003,'You cast Curse of Darkness VI on %t.',0,0,0,1,1,1,0,0,0,240055,0,0,0,0,0,1,0,0,0,'Buff',1579043971,1384378114,0,1),
(240061,2960459566,0,0,'Curse of Darkness VII','A temporary group buff that triggers additional poison damage for every spell cast.',237,28,314,193411854,3587918036,490,0,2,'Your Curse of Darkness VII was successful on %t!','Your Curse of Darkness VII fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/CurseofDarkness.lua',2003,'You cast Curse of Darkness VII on %t.',0,0,0,0,1,1,0,0,0,240055,0,0,0,0,0,1,0,0,0,'Buff',1579043994,1384377831,0,1),
(240062,1776155395,0,0,'Curse of Null','Impairment which reduces an enemy''s strength and intelligence.',244,24,315,193411854,3587918036,140,0,1,'Your Curse of Void was successful on %t!','Your Curse of Void fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/CurseofNull.lua',2004,'You cast Curse of Void on %t.',0,0,0,1,0,1,3,0,0,240062,0,0,0,0,0,0,0,0,0,'Debuff',1579044045,1384378114,0,1),
(240063,2739258205,0,0,'Curse of Nil','Impairment which reduces an enemy''s strength and intelligence.',244,24,315,193411854,3587918036,210,0,1,'Your Curse of Void II was successful on %t!','Your Curse of Void II fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/CurseofVoid.lua',2004,'You cast Curse of Void II on %t.',0,0,0,1,0,1,3,0,0,240062,0,0,0,0,0,1,0,0,0,'Debuff',1579044132,1384378112,0,1),
(240064,2351465328,0,0,'Curse of Nothingness','Impairment which reduces an enemy''s strength and intelligence.',244,24,315,193411854,3587918036,280,0,1,'Your Curse of Void III was successful on %t!','Your Curse of Void III fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/CurseofVoid.lua',2004,'You cast Curse of Void III on %t.',0,0,0,1,0,1,3,0,0,240062,0,0,0,0,0,1,0,0,0,'Debuff',1579044218,1384378114,0,1),
(240065,3094342674,0,0,'Curse of Void','Impairment which reduces an enemy''s strength and intelligence.',244,24,315,193411854,3587918036,350,0,1,'Your Curse of Void IV was successful on %t!','Your Curse of Void IV fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/CurseofVoid.lua',2004,'You cast Curse of Void IV on %t.',0,0,0,1,0,1,3,0,0,240062,0,0,0,0,0,1,0,0,0,'Debuff',1579044246,1384378114,0,1),
(240066,2622103911,0,0,'Curse of Humility','Impairment which reduces an enemy''s strength and intelligence.',244,24,315,193411854,3587918036,400,0,1,'Your Curse of Void V was successful on %t!','Your Curse of Void V fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/CurseofVoid.lua',2004,'You cast Curse of Void V on %t.',0,0,0,1,0,1,3,0,0,240062,0,0,0,0,0,1,0,0,0,'Debuff',1579044403,1384378115,0,1),
(240067,2565675705,0,0,'Curse of Void VI','Impairment which reduces an enemy''s strength and intelligence.',244,24,315,193411854,3587918036,450,0,1,'Your Curse of Void VI was successful on %t!','Your Curse of Void VI fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/CurseofVoid.lua',2004,'You cast Curse of Void VI on %t.',0,0,0,1,0,1,3,0,0,240062,0,0,0,0,0,1,0,0,0,'Debuff',1579044458,1384378114,0,1),
(240068,3257982756,0,0,'Curse of Void VII','Impairment which reduces an enemy''s strength and intelligence.',244,24,315,193411854,3587918036,500,0,1,'Your Curse of Void VII was successful on %t!','Your Curse of Void VII fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/CurseofVoid.lua',2004,'You cast Curse of Void VII on %t.',0,0,0,0,0,0,3,0,0,240062,0,0,0,0,0,1,0,0,0,'Debuff',1579044755,1384378114,0,1),
(240069,135575320,0,0,'Dark Infestation','Does poison damage over time to the target, and also has a chance to summon up to three dark broodlings to attack the target every time the target receives noxious damage. Be warned, dark broodlings are extremely unstable entities and will attack everything nearby while they''re present.',193,65535,315,193411854,613995491,260,0,1,'Your Dark Infestation was successful on %t!','Your Dark Infestation fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/DarkInfestation.lua',2012,'You cast Dark Infestation on %t.',0,0,0,1,0,1,3,0,0,240069,0,0,0,0,0,0,0,0,0,'DoT',1579047709,1384378112,0,1),
(240070,3980855404,0,0,'Brood Infestation','Does poison damage over time to the target, and also has a chance to summon up to three dark broodlings to attack the target every time the target receives noxious damage. Be warned, dark broodlings are extremely unstable entities and will attack everything nearby while they''re present.',193,65535,315,193411854,613995491,360,0,1,'Your Dark Infestation II was successful on %t!','Your Dark Infestation II fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/DarkInfestation.lua',2012,'You cast Dark Infestation II on %t.',0,0,0,1,0,1,3,0,0,240069,0,0,0,0,0,0,0,0,0,'DoT',1579047876,1384378114,0,1),
(240071,988499108,0,0,'Dark Infestation III','Does poison damage over time to the target, and also has a chance to summon up to three dark broodlings to attack the target every time the target receives noxious damage. Be warned, dark broodlings are extremely unstable entities and will attack everything nearby while they''re present.',193,65535,315,193411854,613995491,410,0,1,'Your Dark Infestation III was successful on %t!','Your Dark Infestation III fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/DarkInfestation.lua',2012,'You cast Dark Infestation III on %t.',0,0,0,1,0,1,3,0,0,240069,0,0,0,0,0,0,0,0,0,'DoT',1579047952,1384377828,0,1),
(240072,3976842492,0,0,'Dark Infestation IV','Does poison damage over time to the target, and also has a chance to summon up to three dark broodlings to attack the target every time the target receives noxious damage. Be warned, dark broodlings are extremely unstable entities and will attack everything nearby while they''re present.',193,65535,315,193411854,613995491,460,0,1,'Your Dark Infestation IV was successful on %t!','Your Dark Infestation IV fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/DarkInfestation.lua',2012,'You cast Dark Infestation IV on %t.',0,0,0,1,0,1,3,0,0,240069,0,0,0,0,0,0,0,0,0,'DoT',1579048059,1384378114,0,1),
(240073,2321483781,0,0,'Gas Cloud','Deals instant poison damage to target enemy and surrounding encounter members, and leaving them stunned for a short duration.',169,29,312,193411854,613995491,40,0,2,'Your Dark Nebula was successful on %t!','Your Dark Nebula fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/DarkNebula.lua',1958,'You cast Dark Nebula on %t.',0,0,0,1,0,0,3,4,0,240073,0,0,0,0,0,0,0,0,0,'DD',1578958191,1384378157,0,1),
(240074,2151742658,0,0,'Putrid Cloud','Deals instant poison damage to target enemy and surrounding encounter members, and leaving them stunned for a short duration.',169,29,312,193411854,613995491,110,0,2,'Your Dark Nebula II was successful on %t!','Your Dark Nebula II fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/PutridCloud.lua',1958,'You cast Dark Nebula II on %t.',0,0,0,1,0,1,3,4,0,240073,0,0,0,0,0,0,0,0,0,'DD',1578958393,1384378114,0,1),
(240075,445665255,0,0,'Grievous Blast','Deals instant poison damage to target enemy and surrounding encounter members, and leaving them stunned for a short duration.',169,29,312,193411854,613995491,180,0,2,'Your Dark Nebula III was successful on %t!','Your Dark Nebula III fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/DarkNebula.lua',1958,'You cast Dark Nebula III on %t.',0,0,0,1,0,1,3,4,0,240073,0,0,0,0,0,1,0,0,0,'DD',1578958828,1384378112,0,1),
(240076,1049156582,0,0,'Dark Nebula','Short Stun effect to an enemy as well as dealing instant Poison damage to it and surrounding encounter members.',169,29,312,193411854,613995491,250,0,2,'Your Dark Nebula IV was successful on %t!','Your Dark Nebula IV fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/DarkNebula.lua',1958,'You cast Dark Nebula IV on %t.',0,0,0,1,0,1,3,4,0,240073,0,0,0,0,0,1,0,0,0,'DD',1578958956,1384378112,0,1),
(240077,3675227807,0,0,'Nebula','Deals instant poison damage to target enemy and surrounding encounter members, and leaving them stunned for a short duration.',169,29,312,193411854,613995491,320,0,2,'Your Dark Nebula V was successful on %t!','Your Dark Nebula V fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/DarkNebula.lua',1958,'You cast Dark Nebula V on %t.',0,0,0,1,0,1,3,4,0,240073,0,0,0,0,0,1,0,0,0,'DD',1578959101,1384378114,0,1),
(240078,2175060005,0,0,'Radiation','Deals instant poison damage to target enemy and surrounding encounter members, and leaving them stunned for a short duration.',169,29,312,193411854,613995491,380,0,2,'Your Dark Nebula VI was successful on %t!','Your Dark Nebula VI fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/DarkNebula.lua',1958,'You cast Dark Nebula VI on %t.',0,0,0,1,0,1,3,4,0,240073,0,0,0,0,0,1,0,0,0,'DD',1578959237,1384378114,0,1),
(240079,2120314595,0,0,'Dark Nebula VII','Short Stun effect to an enemy as well as dealing instant Poison damage to it and surrounding encounter members.',169,29,312,193411854,613995491,430,0,2,'Your Dark Nebula VII was successful on %t!','Your Dark Nebula VII fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/DarkNebula.lua',1958,'You cast Dark Nebula VII on %t.',0,0,0,1,0,1,3,4,0,240073,0,0,0,0,0,1,0,0,0,'DD',1578959332,1384377828,0,1),
(240080,3815673749,0,0,'Dark Nebula VIII','Short Stun effect to an enemy as well as dealing instant Poison damage to it and surrounding encounter members.',169,29,312,193411854,613995491,480,0,2,'Your Dark Nebula VIII was successful on %t!','Your Dark Nebula VIII fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/DarkNebula.lua',1958,'You cast Dark Nebula VIII on %t.',0,0,0,0,0,1,3,4,0,240073,0,0,0,0,0,1,0,0,0,'DD',1578959427,1384378114,0,1),
(240081,2172491810,0,1,'Spellbinding Pact','A group augmentation that increases the effectiveness of all casting and taunting techniques of the warlock''s group. Increases to casting technique makes it more difficult for enemies to outright resist your group''s spells and reduces the power cost of beneficial spells.',236,65535,314,193411854,3587918036,60,1,2,'Your Dark Pact was successful on %t!','Your Dark Pact fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/DarkPact.lua',1964,'You cast Dark Pact on %t.',0,0,0,1,1,1,0,0,0,240081,0,0,0,0,0,0,0,0,0,'Buff',1578963347,1384378114,0,1),
(240082,2377318814,0,1,'Dark Pact','A group augmentation that increases the effectiveness of all casting and taunting techniques of the warlock''s group. Increases to casting technique makes it more difficult for enemies to outright resist your group''s spells and reduces the power cost of beneficial spells.',236,65535,314,193411854,3587918036,130,1,2,'Your Dark Pact II was successful on %t!','Your Dark Pact II fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/DarkPactClassic.lua',1964,'You cast Dark Pact II on %t.',0,0,0,1,1,1,0,0,0,240081,0,0,0,0,0,0,0,0,0,'Buff',1578963378,1384378114,0,1),
(240083,639674001,0,1,'Seal of Dark Rumination','A group augmentation that increases the effectiveness of all casting and taunting techniques of the warlock''s group. Increases to casting technique makes it more difficult for enemies to outright resist your group''s spells and reduces the power cost of beneficial spells.',236,65535,314,193411854,3587918036,200,1,2,'Your Dark Pact III was successful on %t!','Your Dark Pact III fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/DarkPact.lua',1964,'You cast Dark Pact III on %t.',0,0,0,1,1,1,0,0,0,240081,0,0,0,0,0,1,0,0,0,'Buff',1578963412,1384378112,0,1),
(240084,3225500710,0,1,'Seal of Ebon Thought','A group augmentation that increases the effectiveness of all casting and taunting techniques of the warlock''s group. Increases to casting technique makes it more difficult for enemies to outright resist your group''s spells and reduces the power cost of beneficial spells.',236,65535,314,193411854,3587918036,270,1,2,'Your Dark Pact IV was successful on %t!','Your Dark Pact IV fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/DarkPact.lua',1964,'You cast Dark Pact IV on %t.',0,0,0,1,1,1,0,0,0,240081,0,0,0,0,0,1,0,0,0,'Buff',1578963426,1384377827,0,1),
(240085,2733220173,0,1,'Seal of Dismal Logic','A group augmentation that increases the effectiveness of all casting and taunting techniques of the warlock''s group. Increases to casting technique makes it more difficult for enemies to outright resist your group''s spells and reduces the power cost of beneficial spells.',236,65535,314,193411854,3587918036,340,1,2,'Your Dark Pact V was successful on %t!','Your Dark Pact V fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/DarkPact.lua',1964,'You cast Dark Pact V on %t.',0,0,0,1,1,1,0,0,0,240081,0,0,0,0,0,1,0,0,0,'Buff',1578963451,1384377833,0,1),
(240086,2614959102,0,1,'Mage''s Pact','A group augmentation that increases the effectiveness of all casting and taunting techniques of the warlock''s group. Increases to casting technique makes it more difficult for enemies to outright resist your group''s spells and reduces the power cost of beneficial spells.',236,65535,314,193411854,3587918036,395,1,2,'Your Dark Pact VI was successful on %t!','Your Dark Pact VI fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/DarkPact.lua',1964,'You cast Dark Pact VI on %t.',0,0,0,1,1,1,0,0,0,240081,0,0,0,0,0,1,0,0,0,'Buff',1578963474,1384378114,0,1),
(240087,946071272,0,1,'Dark Pact VII','A group augmentation that increases the effectiveness of all casting and taunting techniques of the warlock''s group. Increases to casting technique makes it more difficult for enemies to outright resist your group''s spells and reduces the power cost of beneficial spells.',236,65535,314,193411854,3587918036,445,1,2,'Your Dark Pact VII was successful on %t!','Your Dark Pact VII fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/DarkPact.lua',1964,'You cast Dark Pact VII on %t.',0,0,0,1,1,1,0,0,0,240081,0,0,0,0,0,1,0,0,0,'Buff',1578963503,1384378114,0,1),
(240088,2747705991,0,1,'Dark Pact VIII','A group augmentation that increases the effectiveness of all casting and taunting techniques of the warlock''s group. Increases to casting technique makes it more difficult for enemies to outright resist your group''s spells and reduces the power cost of beneficial spells.',236,65535,314,193411854,0,495,1,2,'Your Dark Pact VIII was successful on %t!','Your Dark Pact VIII fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/DarkPact.lua',1964,'You cast Dark Pact VIII on %t.',0,0,0,0,1,0,0,0,0,240081,0,0,0,0,0,1,0,0,0,'Buff',1578963520,1384377827,0,1),
(240089,2312287297,0,0,'Suffocation','Deals disease damage over time to the target.',250,28,315,193411854,613995491,50,0,1,'Your Dark Pyre was successful on %t!','Your Dark Pyre fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/DarkPyre.lua',1960,'You cast Dark Pyre on %t.',0,0,0,1,0,1,3,0,0,240089,0,0,0,0,0,0,0,0,0,'DoT',1578959741,1384377827,0,1),
(240090,4293915368,0,0,'Suffocating Breath','Deals disease damage over time to the target.',250,28,315,193411854,613995491,120,0,1,'Your Dark Pyre II was successful on %t!','Your Dark Pyre II fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/SuffocatingBreath.lua',1960,'You cast Dark Pyre II on %t.',0,0,0,1,0,1,3,0,0,240089,0,0,0,0,0,0,0,0,0,'Unset',1578959797,1384378114,0,1),
(240091,521415516,0,0,'Dark Pyre','Deals disease damage over time to the target.',250,28,315,193411854,613995491,190,0,1,'Your Dark Pyre III was successful on %t!','Your Dark Pyre III fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/DarkPyre.lua',1960,'You cast Dark Pyre III on %t.',0,0,0,1,0,1,3,0,0,240089,0,0,0,0,0,1,0,0,0,'DoT',1578959899,1384378112,0,1),
(240092,4134239321,0,0,'War Pyre','Deals disease damage over time to the target.',250,28,315,193411854,613995491,260,0,1,'Your Dark Pyre IV was successful on %t!','Your Dark Pyre IV fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/DarkPyre.lua',1960,'You cast Dark Pyre IV on %t.',0,0,0,1,0,0,3,0,0,240089,0,0,0,0,0,1,0,0,0,'DoT',1578960197,1384378114,0,1),
(240093,3250590867,0,0,'Vacuum Chamber','Deals disease damage over time to the target.',250,28,315,193411854,613995491,330,0,1,'Your Dark Pyre V was successful on %t!','Your Dark Pyre V fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/DarkPyre.lua',1960,'You cast Dark Pyre V on %t.',0,0,0,1,0,1,3,0,0,240089,0,0,0,0,0,1,0,0,0,'DoT',1578960595,1384378114,0,1),
(240094,3710942358,0,0,'Dark Pyre VI','Deals disease damage over time to the target.',250,28,315,193411854,613995491,385,0,1,'Your Dark Pyre VI was successful on %t!','Your Dark Pyre VI fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/DarkPyre.lua',1960,'You cast Dark Pyre VI on %t.',0,0,0,1,0,1,3,0,0,240089,0,0,0,0,0,1,0,0,0,'DoT',1578960877,1384378114,0,1),
(240095,1095318724,0,0,'Dark Pyre VII','Deals disease damage over time to the target.',250,28,315,193411854,613995491,435,0,1,'Your Dark Pyre VII was successful on %t!','Your Dark Pyre VII fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/DarkPyre.lua',1960,'You cast Dark Pyre VII on %t.',0,0,0,1,0,1,3,0,0,240089,0,0,0,0,0,1,0,0,0,'DoT',1578961033,1384378112,0,1),
(240096,3672928427,0,0,'Dark Pyre VIII','Deals disease damage over time to the target.',250,28,315,193411854,613995491,485,0,1,'Your Dark Pyre VIII was successful on %t!','Your Dark Pyre VIII fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/DarkPyre.lua',1960,'You cast Dark Pyre VIII on %t.',0,0,0,0,0,0,3,0,0,240089,0,0,0,0,0,1,0,0,0,'DoT',1578961190,1384377828,0,1),
(240097,3936847722,0,0,'Dark Siphoning','Drains health and power from an enemy and surrounding encounter members, and converts a portion of this damage into health and power over time replenishment for the party.',207,24,312,193411854,613995491,120,0,2,'Your Dark Siphoning was successful on %t!','Your Dark Siphoning fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/DarkSiphoning.lua',2006,'You cast Dark Siphoning on %t.',0,0,0,1,0,1,3,0,0,240097,0,0,0,0,0,0,0,0,0,'HoT-Ward',1579042285,1384378114,0,1),
(240098,813691972,0,0,'Pillagings','Drains health and power from an enemy and surrounding encounter members, and converts a portion of this damage into health and power over time replenishment for the party.',207,24,312,193411854,613995491,190,0,2,'Your Dark Siphoning II was successful on %t!','Your Dark Siphoning II fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/DarkSiphoning.lua',2006,'You cast Dark Siphoning II on %t.',0,0,0,1,0,1,3,0,0,240097,0,0,0,0,0,1,0,0,0,'HoT-Ward',1579042536,1384378112,0,1),
(240099,332825646,0,0,'Shadowed Pillaging','Drains health and power from an enemy and surrounding encounter members, and converts a portion of this damage into health and power over time replenishment for the party.',207,24,312,193411854,613995491,260,0,2,'Your Dark Siphoning III was successful on %t!','Your Dark Siphoning III fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/DarkSiphoning.lua',2006,'You cast Dark Siphoning III on %t.',0,0,0,1,0,1,3,0,0,240097,0,0,0,0,0,1,0,0,0,'HoT-Ward',1579042645,1384378114,0,1),
(240100,2198238056,0,0,'Phantom Pillaging','Drains health and power from an enemy and surrounding encounter members, and converts a portion of this damage into health and power over time replenishment for the party.',207,24,312,193411854,613995491,330,0,2,'Your Dark Siphoning IV was successful on %t!','Your Dark Siphoning IV fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/DarkSiphoning.lua',2006,'You cast Dark Siphoning IV on %t.',0,0,0,1,0,1,3,0,0,240097,0,0,0,0,0,1,0,0,0,'HoT-Ward',1579042756,1384378114,0,1),
(240101,4235233942,0,0,'Pillaging','Drains health and power from an enemy and surrounding encounter members, and converts a portion of this damage into health and power over time replenishment for the party.',207,24,312,193411854,613995491,385,0,2,'Your Dark Siphoning V was successful on %t!','Your Dark Siphoning V fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/DarkSiphoning.lua',2006,'You cast Dark Siphoning V on %t.',0,0,0,1,0,1,3,0,0,240097,0,0,0,0,0,1,0,0,0,'HoT-Ward',1579042945,1384377828,0,1),
(240102,4047760577,0,0,'Dark Siphoning VI','Drains health and power from an enemy and surrounding encounter members, and converts a portion of this damage into health and power over time replenishment for the party.',207,24,312,193411854,613995491,435,0,2,'Your Dark Siphoning VI was successful on %t!','Your Dark Siphoning VI fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/DarkSiphoning.lua',2006,'You cast Dark Siphoning VI on %t.',0,0,0,1,0,1,3,0,0,240097,0,0,0,0,0,1,0,0,0,'HoT-Ward',1579043067,1384377828,0,1),
(240103,1994729346,0,0,'Dark Siphoning VII','Drains health and power from an enemy and surrounding encounter members, and converts a portion of this damage into health and power over time replenishment for the party.',207,24,312,193411854,613995491,485,0,2,'Your Dark Siphoning VII was successful on %t!','Your Dark Siphoning VII fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/DarkSiphoning.lua',2006,'You cast Dark Siphoning VII on %t.',0,0,0,0,0,1,3,0,0,240097,0,0,0,0,0,1,0,0,0,'HoT-Ward',1579043188,1384377828,0,1),
(240104,2272594880,0,0,'Corrosive Strike','Deals instant poison damage to the targeted enemy.',161,25,315,193411854,613995491,5,0,1,'Your Dissolve was successful on %t!','Your Dissolve fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Dissolve.lua',1952,'You cast Dissolve on %t.',0,0,0,1,0,0,0,0,0,210009,0,0,0,0,0,0,0,0,0,'DD',1578952408,1384378112,0,1),
(240105,838110905,0,0,'Corrosive Blast','Deals instant poison damage to the targeted enemy.',161,25,315,193411854,613995491,30,0,1,'Your Dissolve II was successful on %t!','Your Dissolve II fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Dissolve.lua',1952,'You cast Dissolve II on %t.',0,0,0,1,0,0,0,0,0,240104,0,0,0,0,0,0,0,0,0,'DD',1578952447,1384377832,0,1),
(240106,1316164920,0,0,'Corrosive Bolt','Deals instant poison damage to the targeted enemy.',161,25,315,193411854,613995491,60,0,1,'Your Dissolve III was successful on %t!','Your Dissolve III fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Dissolve.lua',1952,'You cast Dissolve III on %t.',0,0,0,1,0,0,0,0,0,240104,0,0,0,0,0,0,0,0,0,'DD',1578952485,1384378114,0,1),
(240107,244598244,0,0,'Noxious Blast','Deals instant poison damage to the targeted enemy.',161,25,315,193411854,613995491,100,0,1,'Your Dissolve IV was successful on %t!','Your Dissolve IV fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Dissolve.lua',1952,'You cast Dissolve IV on %t.',0,0,0,1,0,0,0,0,0,240104,0,0,0,0,0,0,0,0,0,'DD',1578952513,1384378114,0,1),
(240108,153595573,0,0,'Dissolve IX','Deals instant poison damage to the targeted enemy.',161,25,315,193411854,613995491,405,0,1,'Your Dissolve IX was successful on %t!','Your Dissolve IX fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Dissolve.lua',1952,'You cast Dissolve IX on %t.',0,0,0,1,0,0,0,0,0,240104,0,0,0,0,0,1,0,0,0,'DD',1578953097,1384378114,0,1),
(240109,2128813139,0,0,'Noxious Bolt','Deals instant poison damage to the targeted enemy.',161,25,315,193411854,613995491,145,0,1,'Your Dissolve V was successful on %t!','Your Dissolve V fades.','',1,0,'',1952,'You cast Dissolve V on %t.',0,0,0,1,0,0,0,0,0,240104,0,0,0,0,0,0,0,0,0,'DD',1578952732,1384378114,0,1),
(240110,2616026111,0,0,'Soul Flay','Deals instant poison damage to the targeted enemy.',161,25,315,193411854,613995491,215,0,1,'Your Dissolve VI was successful on %t!','Your Dissolve VI fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Dissolve.lua',1952,'You cast Dissolve VI on %t.',0,0,0,1,0,0,0,0,0,240104,0,0,0,0,0,1,0,0,0,'DD',1578952799,1384378114,0,1),
(240111,2389797566,0,0,'Soul Blister','Deals instant poison damage to the targeted enemy.',161,25,315,193411854,613995491,285,0,1,'Your Dissolve VII was successful on %t!','Your Dissolve VII fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Dissolve.lua',1952,'You cast Dissolve VII on %t.',0,0,0,1,0,0,0,0,0,240104,0,0,0,0,0,1,0,0,0,'DD',1578952939,1384378114,0,1),
(240112,2598328947,0,0,'Dissolve','Deals instant poison damage to the targeted enemy.',161,25,315,193411854,613995491,355,0,1,'Your Dissolve VIII was successful on %t!','Your Dissolve VIII fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Dissolve.lua',1952,'You cast Dissolve VIII on %t.',0,0,0,1,0,0,0,0,0,240104,0,0,0,0,0,1,0,0,0,'DD',1578952990,1384377827,0,1),
(240113,3366547829,0,0,'Dissolve X','Deals instant poison damage to the targeted enemy.',161,25,315,193411854,613995491,455,0,1,'Your Dissolve X was successful on %t!','Your Dissolve X fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Dissolve.lua',1952,'You cast Dissolve X on %t.',0,0,0,1,0,0,0,0,0,240104,0,0,0,0,0,1,0,0,0,'DD',1578953199,1384377828,0,1),
(240114,2521347424,0,0,'Dark Distortion','Deals instant poison damage to an enemy and returns a portion of this damage as power replenishment to the warlock.',259,25,315,193411854,613995491,115,0,1,'Your Distortion was successful on %t!','Your Distortion fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/DarkDistortion.lua',1973,'You cast Distortion on %t.',0,0,0,1,0,0,0,0,0,240114,0,0,0,0,0,0,0,0,0,'DD',1579041448,1384378114,0,1),
(240115,2703848779,0,0,'Nil Distortion','Deals instant poison damage to an enemy and returns a portion of this damage as power replenishment to the warlock.',259,25,315,193411854,613995491,185,0,1,'Your Distortion II was successful on %t!','Your Distortion II fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Distortion.lua',1973,'You cast Distortion II on %t.',0,0,0,1,0,0,0,0,0,240114,0,0,0,0,0,1,0,0,0,'DD',1579041566,1384378112,0,1),
(240116,286853750,0,0,'Null Distortion','Deals instant poison damage to an enemy and returns a portion of this damage as power replenishment to the warlock.',259,25,315,193411854,613995491,255,0,1,'Your Distortion III was successful on %t!','Your Distortion III fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Distortion.lua',1973,'You cast Distortion III on %t.',0,0,0,1,0,0,0,0,0,240114,0,0,0,0,0,1,0,0,0,'DD',1579041676,1384378114,0,1),
(240117,2900000777,0,0,'Void Distortion','Deals instant poison damage to an enemy and returns a portion of this damage as power replenishment to the warlock.',259,25,315,193411854,613995491,325,0,1,'Your Distortion IV was successful on %t!','Your Distortion IV fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Distortion.lua',1973,'You cast Distortion IV on %t.',0,0,0,1,0,0,0,0,0,240114,0,0,0,0,0,1,0,0,0,'DD',1579041770,1384378114,0,1),
(240118,2442834005,0,0,'Distortion','Deals instant poison damage to an enemy and returns a portion of this damage as power replenishment to the warlock.',259,25,315,193411854,613995491,385,0,1,'Your Distortion V was successful on %t!','Your Distortion V fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Distortion.lua',1973,'You cast Distortion V on %t.',0,0,0,1,0,0,0,0,0,240114,0,0,0,0,0,1,0,0,0,'DD',1579041858,1384377828,0,1),
(240119,3068814688,0,0,'Distortion VI','Deals instant poison damage to an enemy and returns a portion of this damage as power replenishment to the warlock.',259,25,315,193411854,613995491,435,0,1,'Your Distortion VI was successful on %t!','Your Distortion VI fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Distortion.lua',1973,'You cast Distortion VI on %t.',0,0,0,1,0,0,0,0,0,240114,0,0,0,0,0,1,0,0,0,'DD',1579041959,1384378114,0,1),
(240120,1803336933,0,0,'Distortion VII','Deals instant poison damage to an enemy and returns a portion of this damage as power replenishment to the warlock.',259,25,315,193411854,613995491,485,0,1,'Your Distortion VII was successful on %t!','Your Distortion VII fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Distortion.lua',1973,'You cast Distortion VII on %t.',0,0,0,0,0,0,0,0,0,240114,0,0,0,0,0,1,0,0,0,'DD',1579042085,1384378114,0,1),
(240121,1507643347,0,0,'Freeze','Stuns the warlock''s target briefly and deals instant cold damage.',160,29,315,2533124061,882983852,80,0,1,'Your Encase was successful on %t!','Your Encase fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Encase.lua',1966,'You cast Encase on %t.',0,0,0,1,0,1,4,4,0,240121,0,0,0,0,0,0,0,0,0,'DD',1578963983,1384378114,0,1),
(240122,1086880210,0,0,'Flashfreeze','Stuns the warlock''s target briefly and deals instant cold damage.',160,29,315,193411854,882983852,150,0,1,'Your Encase II was successful on %t!','Your Encase II fades.','',1,0,'',1966,'You cast Encase II on %t.',0,0,0,1,0,1,4,4,0,240121,0,0,0,0,0,0,0,0,0,'DD',1578964056,1384378114,0,1),
(240123,280188294,0,0,'Deter','Stuns the warlock''s target briefly and deals instant cold damage.',160,29,315,193411854,882983852,220,0,1,'Your Encase III was successful on %t!','Your Encase III fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Encase.lua',1966,'You cast Encase III on %t.',0,0,0,1,0,1,4,4,0,240121,0,0,0,0,0,1,0,0,0,'DD',1578964215,1384377828,0,1),
(240124,713309548,0,0,'Thwart','Stuns the warlock''s target briefly and deals instant cold damage.',160,29,315,193411854,882983852,290,0,1,'Your Encase IV was successful on %t!','Your Encase IV fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Encase.lua',1966,'You cast Encase IV on %t.',0,0,0,1,0,1,4,4,0,240121,0,0,0,0,0,1,0,0,0,'DD',1578964363,1384378114,0,1),
(240125,2125003975,0,0,'Encase','Stuns the warlock''s target briefly and deals instant cold damage.',160,29,315,193411854,882983852,360,0,1,'Your Encase V was successful on %t!','Your Encase V fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Encase.lua',1966,'You cast Encase V on %t.',0,0,0,1,0,1,4,4,0,240121,0,0,0,0,0,1,0,0,0,'DD',1578964507,1384377827,0,1),
(240126,2702258966,0,0,'Encase VI','Stuns the warlock''s target briefly and deals instant cold damage.',160,29,315,193411854,882983852,410,0,1,'Your Encase VI was successful on %t!','Your Encase VI fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Encase.lua',1966,'You cast Encase VI on %t.',0,0,0,1,0,1,4,4,0,240121,0,0,0,0,0,1,0,0,0,'DD',1578964590,1384378114,0,1),
(240127,3060410197,0,0,'Encase VII','Stuns the warlock''s target briefly and deals instant cold damage.',160,29,315,193411854,882983852,460,0,1,'Your Encase VII was successful on %t!','Your Encase VII fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Encase.lua',1966,'You cast Encase VII on %t.',0,0,0,1,0,1,4,4,0,240121,0,0,0,0,0,1,0,0,0,'DD',1578964713,1384378114,0,1),
(240128,931055641,0,0,'Abhorrent Gift','For a short time, the warlock is granted a chance at additional poison damage in an area where an enemy was struck by a poison spell cast by the warlock. ',224,27,317,193411854,3587918036,160,0,0,'Your Gift of Bertoxxulous was successful on %t!','Your Gift of Bertoxxulous fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/GiftofBertoxxulous.lua',2005,'You cast Gift of Bertoxxulous on %t.',0,0,0,1,1,0,0,0,0,240128,0,0,0,0,0,1,0,0,0,'Buff',1579045279,1384378114,0,1),
(240129,2397431272,0,0,'Wicked Gift','For a short time, the warlock is granted a chance at additional poison damage in an area where an enemy was struck by a poison spell cast by the warlock. ',224,27,317,193411854,3587918036,230,0,0,'Your Gift of Bertoxxulous II was successful on %t!','Your Gift of Bertoxxulous II fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/GiftofBertoxxulous.lua',2005,'You cast Gift of Bertoxxulous II on %t.',0,0,0,1,1,0,0,0,0,240128,0,0,0,0,0,1,0,0,0,'Buff',1579045311,1384378112,0,1),
(240130,551550421,0,0,'Corrupt Gift','For a short time, the warlock is granted a chance at additional poison damage in an area where an enemy was struck by a poison spell cast by the warlock. ',224,27,317,193411854,3587918036,300,0,0,'Your Gift of Bertoxxulous III was successful on %t!','Your Gift of Bertoxxulous III fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/GiftofBertoxxulous.lua',2005,'You cast Gift of Bertoxxulous III on %t.',0,0,0,1,1,0,0,0,0,240128,0,0,0,0,0,1,0,0,0,'Buff',1579045328,1384378114,0,1),
(240131,4220403083,0,0,'Gift of Bertoxxulous','For a short time, the warlock is granted a chance at additional poison damage in an area where an enemy was struck by a poison spell cast by the warlock. ',224,27,317,193411854,3587918036,365,0,0,'Your Gift of Bertoxxulous IV was successful on %t!','Your Gift of Bertoxxulous IV fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/GiftofBertoxxulous.lua',2005,'You cast Gift of Bertoxxulous IV on %t.',0,0,0,1,1,0,0,0,0,240128,0,0,0,0,0,1,0,0,0,'Buff',1579045362,1384378114,0,1),
(240132,2374952451,0,0,'Gift of Bertoxxulous V','For a short time, the warlock is granted a chance at additional poison damage in an area where an enemy was struck by a poison spell cast by the warlock. ',224,27,317,193411854,3587918036,415,0,0,'Your Gift of Bertoxxulous V was successful on %t!','Your Gift of Bertoxxulous V fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/GiftofBertoxxulous.lua',2005,'You cast Gift of Bertoxxulous V on %t.',0,0,0,1,1,0,0,0,0,240128,0,0,0,0,0,1,0,0,0,'Buff',1579045376,1384378112,0,1),
(240133,385682647,0,0,'Gift of Bertoxxulous VI','For a short time, the warlock is granted a chance at additional poison damage in an area where an enemy was struck by a poison spell cast by the warlock. ',224,27,317,193411854,3587918036,465,0,0,'Your Gift of Bertoxxulous VI was successful on %t!','Your Gift of Bertoxxulous VI fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/GiftofBertoxxulous.lua',2005,'You cast Gift of Bertoxxulous VI on %t.',0,0,0,1,1,0,0,0,0,240128,0,0,0,0,0,1,0,0,0,'Buff',1579045393,1384377828,0,1),
(240134,1084797273,0,1,'Venomous Grasp','Augmentation which grants an ally a chance of causing poison damage over time when they successfully attack an opponent.',279,27,316,193411854,3587918036,55,1,1,'Your Grasp of Bertoxxulous was successful on %t!','Your Grasp of Bertoxxulous fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/GraspofBertoxxulous.lua',1962,'You cast Grasp of Bertoxxulous on %t.',0,0,0,1,1,1,0,0,0,240134,0,0,0,0,0,0,0,0,0,'Buff',1578962593,1384378114,0,1),
(240135,3222678259,0,1,'Venomous Runes','Augmentation which grants an ally a chance of causing poison damage over time when they successfully attack an opponent.',279,27,316,193411854,3587918036,125,1,1,'Your Grasp of Bertoxxulous II was successful on %t!','Your Grasp of Bertoxxulous II fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/VenomousRunes.lua',1962,'You cast Grasp of Bertoxxulous II on %t.',0,0,0,1,1,1,0,0,0,240134,0,0,0,0,0,0,0,0,0,'Buff',1578962624,1384378114,0,1),
(240136,3907212079,0,1,'Toxic Grasp','Augmentation which grants an ally a chance of causing poison damage over time when they successfully attack an opponent.',279,27,316,193411854,3587918036,195,1,1,'Your Grasp of Bertoxxulous III was successful on %t!','Your Grasp of Bertoxxulous III fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/GraspofBertoxxulous.lua',1962,'You cast Grasp of Bertoxxulous III on %t.',0,0,0,1,1,1,0,0,0,240134,0,0,0,0,0,1,0,0,0,'Buff',1578962708,1384378114,0,1),
(240137,4117480559,0,1,'Virulent Grasp','Augmentation which grants an ally a chance of causing poison damage over time when they successfully attack an opponent.',279,27,316,193411854,3587918036,265,1,1,'Your Grasp of Bertoxxulous IV was successful on %t!','Your Grasp of Bertoxxulous IV fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/GraspofBertoxxulous.lua',1962,'You cast Grasp of Bertoxxulous IV on %t.',0,0,0,1,1,1,0,0,0,240134,0,0,0,0,0,1,0,0,0,'Buff',1578962800,1384378114,0,1),
(240138,3908830069,0,1,'Malignant Grasp','Augmentation which grants an ally a chance of causing poison damage over time when they successfully attack an opponent.',279,27,316,193411854,3587918036,335,1,1,'Your Grasp of Bertoxxulous V was successful on %t!','Your Grasp of Bertoxxulous V fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/GraspofBertoxxulous.lua',1962,'You cast Grasp of Bertoxxulous V on %t.',0,0,0,1,1,1,0,0,0,240134,0,0,0,0,0,1,0,0,0,'Buff',1578962925,1384378114,0,1),
(240139,3026927233,0,1,'Grasp of Bertoxxulous','Augmentation which grants an ally a chance of causing poison damage over time when they successfully attack an opponent.',279,27,316,193411854,3587918036,390,1,1,'Your Grasp of Bertoxxulous VI was successful on %t!','Your Grasp of Bertoxxulous VI fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/GraspofBertoxxulous.lua',1962,'You cast Grasp of Bertoxxulous VI on %t.',0,0,0,1,1,1,0,0,0,240134,0,0,0,0,0,1,0,0,0,'Buff',1578962964,1384378114,0,1),
(240140,1467888968,0,1,'Grasp of Bertoxxulous VII','Augmentation which grants an ally a chance of causing poison damage over time when they successfully attack an opponent.',279,27,316,193411854,3587918036,440,1,1,'Your Grasp of Bertoxxulous VII was successful on %t!','Your Grasp of Bertoxxulous VII fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/GraspofBertoxxulous.lua',1962,'You cast Grasp of Bertoxxulous VII on %t.',0,0,0,1,1,1,0,0,0,240134,0,0,0,0,0,1,0,0,0,'Buff',1578963036,1384378114,0,1),
(240141,3596308591,0,1,'Grasp of Bertoxxulous VIII','Augmentation which grants an ally a chance of causing poison damage over time when they successfully attack an opponent.',279,27,316,193411854,3587918036,490,1,1,'Your Grasp of Bertoxxulous VIII was successful on %t!','Your Grasp of Bertoxxulous VIII fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/GraspofBertoxxulous.lua',1962,'You cast Grasp of Bertoxxulous VIII on %t.',0,0,0,0,1,0,0,0,0,240134,0,0,0,0,0,1,0,0,0,'Buff',1578963108,1384378114,0,1),
(240142,3098198600,0,0,'Strength of Void','Replenishes power over time for a short duration to target ally, at the cost of slowly draining the warlock''s health.',480,27,316,193411854,366253016,165,0,1,'Your Mana Trickle was successful on %t!','Your Mana Trickle fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/ManaTrickle.lua',2007,'You cast Mana Trickle on %t.',0,1,0,1,1,1,0,0,0,240142,0,0,0,0,0,1,0,0,0,'Buff',1579045500,1384378112,0,1),
(240143,22146178,0,0,'Endow Energy','Replenishes power over time for a short duration to target ally, at the cost of slowly draining the warlock''s health.',480,27,316,193411854,366253016,235,0,1,'Your Mana Trickle II was successful on %t!','Your Mana Trickle II fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/ManaTrickle.lua',2007,'You cast Mana Trickle II on %t.',0,1,0,1,1,1,0,0,0,240142,0,0,0,0,0,1,0,0,0,'Buff',1579045551,1384378114,0,1),
(240144,4227623449,0,0,'Bestow Energy','Replenishes power over time for a short duration to target ally, at the cost of slowly draining the warlock''s health.',480,27,316,193411854,366253016,305,0,1,'Your Mana Trickle III was successful on %t!','Your Mana Trickle III fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/ManaTrickle.lua',2007,'You cast Mana Trickle III on %t.',0,1,0,1,1,1,0,0,0,240142,0,0,0,0,0,1,0,0,0,'Buff',1579045582,1384378114,0,1),
(240145,3949474075,0,0,'Mana Trickle','Replenishes power over time for a short duration to target ally, at the cost of slowly draining the warlock''s health.',480,27,316,193411854,366253016,370,0,1,'Your Mana Trickle IV was successful on %t!','Your Mana Trickle IV fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/ManaTrickle.lua',2007,'You cast Mana Trickle IV on %t.',0,1,0,1,1,1,0,0,0,240142,0,0,0,0,0,1,0,0,0,'Buff',1579045639,1384378114,0,1),
(240146,3219190406,0,0,'Mana Trickle V','Replenishes power over time for a short duration to target ally, at the cost of slowly draining the warlock''s health.',480,27,316,193411854,366253016,420,0,1,'Your Mana Trickle V was successful on %t!','Your Mana Trickle V fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/ManaTrickle.lua',2007,'You cast Mana Trickle V on %t.',0,1,0,1,1,1,0,0,0,240142,0,0,0,0,0,1,0,0,0,'Buff',1579045774,1384377828,0,1),
(240147,102443374,0,0,'Mana Trickle VI','Replenishes power over time for a short duration to target ally, at the cost of slowly draining the warlock''s health.',480,27,316,193411854,366253016,470,0,1,'Your Mana Trickle VI was successful on %t!','Your Mana Trickle VI fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/ManaTrickle.lua',2007,'You cast Mana Trickle VI on %t.',0,0,0,0,1,0,0,0,0,240142,0,0,0,0,0,1,0,0,0,'Buff',1579045834,1384378114,0,1),
(240148,3398339435,0,1,'Negative Void','This is the condensed energy of an ancient, mythical weapon.',732,65535,317,193411854,0,400,1,0,'Your Negative Void was successful on %t!','Your Negative Void fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/NegativeVoid.lua',3546,'You cast Negative Void on %t.',0,0,0,1,1,1,0,0,0,240148,0,0,0,0,0,0,0,0,0,'Unset',1579066466,1384377875,0,1),
(240149,2690761728,0,0,'Nether Region','Creates a powerful negative energy field around the warlock that continually radiates. Anyone affected by the radiation will be dealt additional poison damage every time they are the target of a hostile poison or disease based spell. This spell has a recurrent power cost.',20,65535,313,193411854,3587918036,290,0,0,'Your Netherealm was successful on %t!','Your Netherealm fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Netherealm.lua',2014,'You cast Netherealm on %t.',0,0,0,1,1,1,0,0,0,240149,0,0,0,0,0,0,0,0,0,'Buff',1579048289,1384378114,0,1),
(240150,2761629721,0,0,'Netherealm','Creates a powerful negative energy field around the warlock that continually radiates. Anyone affected by the radiation will be dealt additional poison damage every time they are the target of a hostile poison or disease based spell. This spell has a recurrent power cost.',20,65535,313,193411854,3587918036,380,0,0,'Your Netherealm II was successful on %t!','Your Netherealm II fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Netherealm.lua',2014,'You cast Netherealm II on %t.',0,0,0,1,1,1,0,0,0,240149,0,0,0,0,0,0,0,0,0,'Buff',1579048339,1384378114,0,1),
(240151,2213279020,0,0,'Netherealm III','Creates a powerful negative energy field around the warlock that continually radiates. Anyone affected by the radiation will be dealt additional poison damage every time they are the target of a hostile poison or disease based spell. This spell has a recurrent power cost.',20,65535,313,193411854,3587918036,430,0,0,'Your Netherealm III was successful on %t!','Your Netherealm III fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Netherealm.lua',2014,'You cast Netherealm III on %t.',0,0,0,1,1,1,0,0,0,240149,0,0,0,0,0,0,0,0,0,'Buff',1579048367,1384377828,0,1),
(240152,1585261737,0,0,'Netherealm IV','Creates a powerful negative energy field around the warlock that continually radiates. Anyone affected by the radiation will be dealt additional poison damage every time they are the target of a hostile poison or disease based spell. This spell has a recurrent power cost.',20,65535,313,193411854,3587918036,480,0,0,'Your Netherealm IV was successful on %t!','Your Netherealm IV fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Netherealm.lua',2014,'You cast Netherealm IV on %t.',0,0,0,0,1,0,0,0,0,240149,0,0,0,0,0,0,0,0,0,'Buff',1579048389,1384378114,0,1),
(240153,3644335721,0,0,'Netheros','Summons a powerful minion for the warlock to attack an enemy. This creature inflicts damage on enemies around his target at an increasing rate the longer he remains summoned.',237,25,315,193411854,882983852,240,0,1,'Your Netherlord was successful on %t!','Your Netherlord fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Netherlord.lua',2011,'You cast Netherlord on %t.',0,0,0,1,0,0,3,0,1,240153,0,0,0,0,0,1,0,0,0,'DoT',1579046965,1384377828,0,1),
(240154,2684364568,0,0,'Netherlord','Summons a powerful minion for the warlock to attack an enemy. This creature inflicts damage on enemies around his target at an increasing rate the longer he remains summoned.',237,25,315,193411854,882983852,310,0,1,'Your Netherlord II was successful on %t!','Your Netherlord II fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Netherlord.lua',2011,'You cast Netherlord II on %t.',0,0,0,1,0,0,3,0,1,240153,0,0,0,0,0,1,0,0,0,'DoT',1579046998,1384378114,0,1),
(240155,2988495941,0,0,'Netherbeast','Summons a powerful minion for the warlock to attack an enemy. This creature inflicts damage on enemies around his target at an increasing rate the longer he remains summoned.',237,25,315,193411854,882983852,370,0,1,'Your Netherlord III was successful on %t!','Your Netherlord III fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Netherlord.lua',2011,'You cast Netherlord III on %t.',0,0,0,1,0,0,3,0,1,240153,0,0,0,0,0,1,0,0,0,'DoT',1579047030,1384377827,0,1),
(240156,3051064904,0,0,'Netherlord IV','Summons a powerful minion for the warlock to attack an enemy. This creature inflicts damage on enemies around his target at an increasing rate the longer he remains summoned.',237,25,315,193411854,882983852,420,0,1,'Your Netherlord IV was successful on %t!','Your Netherlord IV fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Netherlord.lua',2011,'You cast Netherlord IV on %t.',0,0,0,1,0,0,3,0,1,240153,0,0,0,0,0,1,0,0,0,'DoT',1579047072,1384378112,0,1),
(240157,1749899213,0,0,'Netherlord V','Summons a powerful minion for the warlock to attack an enemy. This creature inflicts damage on enemies around his target at an increasing rate the longer he remains summoned.',237,25,315,193411854,882983852,470,0,1,'Your Netherlord V was successful on %t!','Your Netherlord V fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Netherlord.lua',2011,'You cast Netherlord V on %t.',0,0,0,0,0,0,3,0,1,240153,0,0,0,0,0,1,0,0,0,'DoT',1579047097,1384377828,0,1),
(240158,1773318957,0,0,'Bind','Roots the warlock''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the root effect expires, the target has a chance of running away in fear with a movement penalty for a short duration.',166,24,315,193411854,882983852,25,0,1,'Your Netherous Bind was successful on %t!','Your Netherous Bind fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/NetherousBind.lua',1956,'You cast Netherous Bind on %t.',0,0,0,1,0,1,3,0,0,240158,0,0,0,0,0,0,0,0,0,'Unset',1578955714,1384377832,0,1),
(240159,237300535,0,0,'Fearful Bind','Roots the warlock''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the root effect expires, the target has a chance of running away in fear with a movement penalty for a short duration.',166,24,315,193411854,882983852,95,0,1,'Your Netherous Bind II was successful on %t!','Your Netherous Bind II fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/NetherousBind.lua',1956,'You cast Netherous Bind II on %t.',0,0,0,1,0,1,3,0,0,240158,0,0,0,0,0,0,0,0,0,'Unset',1578955761,1384378114,0,1),
(240160,1270689758,0,0,'Paralyzing Fear','Roots the warlock''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the root effect expires, the target has a chance of running away in fear with a movement penalty for a short duration.',166,24,315,193411854,882983852,165,0,1,'Your Netherous Bind III was successful on %t!','Your Netherous Bind III fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/NetherousBind.lua',1956,'You cast Netherous Bind III on %t.',0,0,0,1,0,1,3,0,0,240158,0,0,0,0,0,1,0,0,0,'Unset',1578955853,1384378112,0,1),
(240161,3479754667,0,0,'Cower','Roots the warlock''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the root effect expires, the target has a chance of running away in fear with a movement penalty for a short duration.',166,24,315,193411854,882983852,235,0,1,'Your Netherous Bind IV was successful on %t!','Your Netherous Bind IV fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/NetherousBind.lua',1956,'You cast Netherous Bind IV on %t.',0,0,0,1,0,1,3,0,0,240158,0,0,0,0,0,1,0,0,0,'Unset',1578956346,1384378114,0,1),
(240162,1621850613,0,0,'Cowering Bind','Roots the warlock''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the root effect expires, the target has a chance of running away in fear with a movement penalty for a short duration.',166,24,315,193411854,882983852,305,0,1,'Your Netherous Bind V was successful on %t!','Your Netherous Bind V fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/NetherousBind.lua',1956,'You cast Netherous Bind V on %t.',0,0,0,1,0,1,3,0,0,240158,0,0,0,0,0,1,0,0,0,'Unset',1578957076,1384377831,0,1),
(240163,1622369329,0,0,'Netherous Bind','Roots the warlock''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the root effect expires, the target has a chance of running away in fear with a movement penalty for a short duration.',166,24,315,193411854,882983852,365,0,1,'Your Netherous Bind VI was successful on %t!','Your Netherous Bind VI fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/NetherousBind.lua',1956,'You cast Netherous Bind VI on %t.',0,0,0,1,0,1,3,0,0,240158,0,0,0,0,0,1,0,0,0,'Unset',1578957239,1384377827,0,1),
(240164,2788251620,0,0,'Netherous Bind VII','Roots the warlock''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the root effect expires, the target has a chance of running away in fear with a movement penalty for a short duration.',166,24,315,193411854,882983852,415,0,1,'Your Netherous Bind VII was successful on %t!','Your Netherous Bind VII fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/NetherousBind.lua',1956,'You cast Netherous Bind VII on %t.',0,0,0,1,0,1,3,0,0,240158,0,0,0,0,0,1,0,0,0,'Unset',1578957412,1384378112,0,1),
(240165,4036040366,0,0,'Null Caress','Teleports nearby enemies to a random location nearby and reduces movement speed drastically. Hate towards the caster is reduced for all affected enemies.',218,65535,313,193411854,3587918036,275,0,1,'Your Null Caress was successful on %t!','Your Null Caress fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/NullCaress.lua',2013,'You cast Null Caress on %t.',0,0,0,1,0,0,3,0,0,240165,0,0,0,0,0,0,0,0,0,'Unset',1579048172,1384378114,0,1),
(240166,306776654,0,0,'Interference','Interrupts and dazes target encounter for a brief duration. All nearby encounter members have their hate slightly reduced towards the warlock. This spell has a short cast time and a small power cost.',476,25,312,193411854,882983852,50,0,2,'Your Nullify was successful on %t!','Your Nullify fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Nullify.lua',1967,'You cast Nullify on %t.',0,0,0,1,0,1,3,3,0,240166,0,0,0,0,0,0,0,0,0,'Detaunt',1578961307,1384377894,0,1),
(240167,1801916733,0,0,'Nullification','Interrupts and dazes target encounter for a brief duration. All nearby encounter members have their hate slightly reduced towards the warlock. This spell has a short cast time and a small power cost.',476,25,312,193411854,882983852,120,0,2,'Your Nullify II was successful on %t!','Your Nullify II fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Nullification.lua',1967,'You cast Nullify II on %t.',0,0,0,1,0,1,3,3,0,240166,0,0,0,0,0,0,0,0,0,'Detaunt',1578961525,1384377828,0,1),
(240168,1602830984,0,0,'Vulian Interference','Interrupts and dazes target encounter for a brief duration. All nearby encounter members have their hate slightly reduced towards the warlock. This spell has a short cast time and a small power cost.',476,25,312,193411854,882983852,190,0,2,'Your Nullify III was successful on %t!','Your Nullify III fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Nullify.lua',1967,'You cast Nullify III on %t.',0,0,0,1,0,1,3,3,0,240166,0,0,0,0,0,1,0,0,0,'Detaunt',1578961698,1384378112,0,1),
(240169,2779053981,0,0,'Vulian Intrusion','Interrupts and dazes target encounter for a brief duration. All nearby encounter members have their hate slightly reduced towards the warlock. This spell has a short cast time and a small power cost.',476,25,312,193411854,882983852,260,0,2,'Your Nullify IV was successful on %t!','Your Nullify IV fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Nullify.lua',1967,'You cast Nullify IV on %t.',0,0,0,1,0,1,3,3,0,240166,0,0,0,0,0,1,0,0,0,'Detaunt',1578961840,1384378114,0,1),
(240170,4202919823,0,0,'Vulian Nullification','Interrupts and dazes target encounter for a brief duration. All nearby encounter members have their hate slightly reduced towards the warlock. This spell has a short cast time and a small power cost.',476,25,312,193411854,882983852,330,0,2,'Your Nullify V was successful on %t!','Your Nullify V fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Nullify.lua',1967,'You cast Nullify V on %t.',0,0,0,1,0,1,3,3,0,240166,0,0,0,0,0,1,0,0,0,'Detaunt',1578961935,1384378157,0,1),
(240171,1199632371,0,0,'Nullify','Interrupts and dazes target encounter for a brief duration. All nearby encounter members have their hate slightly reduced towards the warlock. This spell has a short cast time and a small power cost.',476,25,312,193411854,882983852,385,0,2,'Your Nullify VI was successful on %t!','Your Nullify VI fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Nullify.lua',1967,'You cast Nullify VI on %t.',0,0,0,1,0,1,3,3,0,240166,0,0,0,0,0,1,0,0,0,'Detaunt',1578962141,1384378114,0,1),
(240172,3062609022,0,0,'Nullify VII','Interrupts and dazes target encounter for a brief duration. All nearby encounter members have their hate slightly reduced towards the warlock. This spell has a short cast time and a small power cost.',476,25,312,193411854,882983852,435,0,2,'Your Nullify VII was successful on %t!','Your Nullify VII fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Nullify.lua',1967,'You cast Nullify VII on %t.',0,0,0,1,0,1,3,3,0,240166,0,0,0,0,0,1,0,0,0,'Detaunt',1578962297,1384377828,0,1),
(240173,1498013504,0,0,'Nullify VIII','Interrupts and dazes target encounter for a brief duration. All nearby encounter members have their hate slightly reduced towards the warlock. This spell has a short cast time and a small power cost.',476,25,312,193411854,882983852,485,0,2,'Your Nullify VIII was successful on %t!','Your Nullify VIII fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Nullify.lua',1967,'You cast Nullify VIII on %t.',0,0,0,0,0,1,3,3,0,240166,0,0,0,0,0,1,0,0,0,'Detaunt',1578962479,1384377827,0,1),
(240174,4117157369,0,1,'Nullmail','Nullmail Armor will trigger when the Warlock is below 30% health. It applies a powerful resistance bonus to all damage types and grants a 50% chance to completely evade any combat attacks and 100% chance to avoid non-direct area effects.',358,27,317,193411854,3587918036,200,1,0,'Your Nullmail was successful on %t!','Your Nullmail fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/Nullmail.lua',2009,'You cast Nullmail on %t.',0,0,0,0,1,1,0,0,0,240174,0,0,0,0,0,0,0,0,0,'Buff',1579046407,1384378112,0,1),
(240175,2400537572,0,0,'Rift','Knocks all enemies in a large area around the warlock into the air. Anyone affected is stunned, and receives a large amount of damage.',508,65535,313,193411854,613995491,325,0,1,'Your Rift was successful on %t!','Your Rift fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Rift.lua',2015,'You cast Rift on %t.',0,0,0,1,0,1,4,4,0,240175,0,0,0,0,0,1,0,0,0,'DD',1579048480,1384378114,0,1),
(240176,790455500,0,0,'Upheaval','Knocks all enemies in a large area around the warlock into the air. Anyone affected is stunned, and receives a large amount of damage.',508,65535,313,193411854,613995491,390,0,1,'Your Rift II was successful on %t!','Your Rift II fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Rift.lua',2015,'You cast Rift II on %t.',0,0,0,1,0,1,4,4,0,240175,0,0,0,0,0,1,0,0,0,'DD',1579048546,1384378114,0,1),
(240177,1672749927,0,0,'Rift III','Knocks all enemies in a large area around the warlock into the air. Anyone affected is stunned, and receives a large amount of damage.',508,65535,313,193411854,613995491,440,0,1,'Your Rift III was successful on %t!','Your Rift III fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Rift.lua',2015,'You cast Rift III on %t.',0,0,0,1,0,1,4,4,0,240175,0,0,0,0,0,1,0,0,0,'DD',1579048827,1384377828,0,1),
(240178,3317901523,0,0,'Rift IV','Knocks all enemies in a large area around the warlock into the air. Anyone affected is stunned, and receives a large amount of damage.',508,65535,313,193411854,613995491,490,0,1,'Your Rift IV was successful on %t!','Your Rift IV fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Rift.lua',2015,'You cast Rift IV on %t.',0,0,0,0,0,0,4,4,0,240175,0,0,0,0,0,1,0,0,0,'DD',1579048894,1384378114,0,1),
(240179,913119274,0,1,'Shadowsight','A group augmentation that grants sonicvision and allows the warlock''s allies to see invisible enemies.',167,65535,316,193411854,3587918036,115,1,0,'Your Shadowsight was successful on %t!','Your Shadowsight fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Shadowsight.lua',1959,'You cast Shadowsight on %t.',0,0,0,0,1,1,0,0,0,240179,0,0,0,0,0,0,0,0,0,'Buff',1579042170,1384378114,0,1),
(240180,4293827309,0,1,'Poisonous Veil','An augmentation which grants an ally the chance at dealing poison damage to all encounter members surrounding the enemy that struck the ally in combat.',261,29,316,193411854,3587918036,100,1,1,'Your Shroud of Bertoxxulous was successful on %t!','Your Shroud of Bertoxxulous fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/ShroudofBertoxxulous.lua',2005,'You cast Shroud of Bertoxxulous on %t.',0,1,0,1,1,1,0,0,0,240180,0,0,0,0,0,0,0,0,0,'Unset',1579041289,1384378114,0,1),
(240181,4130221467,0,1,'Poisonous Shroud','An augmentation which grants an ally the chance at dealing poison damage to all encounter members surrounding the enemy that struck the ally in combat.',261,29,316,193411854,3587918036,175,1,1,'Your Shroud of Bertoxxulous II was successful on %t!','Your Shroud of Bertoxxulous II fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/ShroudofBertoxxulous.lua',2005,'You cast Shroud of Bertoxxulous II on %t.',0,1,0,1,1,1,0,0,0,240180,0,0,0,0,0,1,0,0,0,'Unset',1579040800,1384378114,0,1),
(240182,87067240,0,1,'Nihilism','An augmentation which grants an ally the chance at dealing poison damage to all encounter members surrounding the enemy that struck the ally in combat.',261,29,316,193411854,3587918036,250,1,1,'Your Shroud of Bertoxxulous III was successful on %t!','Your Shroud of Bertoxxulous III fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/ShroudofBertoxxulous.lua',2005,'You cast Shroud of Bertoxxulous III on %t.',0,1,0,1,1,1,0,0,0,240181,0,0,0,0,0,1,0,0,0,'Unset',1579040866,1384378112,0,1),
(240183,542411599,0,1,'Nihilistics','An augmentation which grants an ally the chance at dealing poison damage to all encounter members surrounding the enemy that struck the ally in combat.',261,29,316,193411854,3587918036,320,1,1,'Your Shroud of Bertoxxulous IV was successful on %t!','Your Shroud of Bertoxxulous IV fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/ShroudofBertoxxulous.lua',2005,'You cast Shroud of Bertoxxulous IV on %t.',0,1,0,1,1,1,0,0,0,240181,0,0,0,0,0,1,0,0,0,'Unset',1579041043,1384378114,0,1),
(240184,2063222378,0,1,'Shroud of Bertoxxulous','An augmentation which grants an ally the chance at dealing poison damage to all encounter members surrounding the enemy that struck the ally in combat.',261,29,316,193411854,3587918036,380,1,1,'Your Shroud of Bertoxxulous V was successful on %t!','Your Shroud of Bertoxxulous V fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/ShroudofBertoxxulous.lua',2005,'You cast Shroud of Bertoxxulous V on %t.',0,1,0,1,1,1,0,0,0,240181,0,0,0,0,0,1,0,0,0,'Unset',1579041093,1384378114,0,1),
(240185,2560698741,0,1,'Shroud of Bertoxxulous VI','An augmentation which grants an ally the chance at dealing poison damage to all encounter members surrounding the enemy that struck the ally in combat.',261,29,316,193411854,3587918036,430,1,1,'Your Shroud of Bertoxxulous VI was successful on %t!','Your Shroud of Bertoxxulous VI fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/ShroudofBertoxxulous.lua',2005,'You cast Shroud of Bertoxxulous VI on %t.',0,1,0,1,1,1,0,0,0,240181,0,0,0,0,0,1,0,0,0,'Unset',1579041153,1384377828,0,1),
(240186,1026210171,0,1,'Shroud of Bertoxxulous VII','An augmentation which grants an ally the chance at dealing poison damage to all encounter members surrounding the enemy that struck the ally in combat.',261,29,316,193411854,3587918036,480,1,1,'Your Shroud of Bertoxxulous VII was successful on %t!','Your Shroud of Bertoxxulous VII fades.','',1,1,'Spells/Mage/Sorcerer/Warlock/ShroudofBertoxxulous.lua',2005,'You cast Shroud of Bertoxxulous VII on %t.',0,0,0,0,1,0,0,0,0,240181,0,0,0,0,0,1,0,0,0,'Unset',1579041192,1384377828,0,1),
(240187,3599689350,0,0,'Bony Grasp','Roots the target and surrounding encounter members. Any damage received by the target has a chance at breaking the effect.',478,29,312,193411854,882983852,200,0,2,'Your Skeletal Grasp was successful on %t!','Your Skeletal Grasp fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/SkeletalGrasp.lua',2008,'You cast Skeletal Grasp on %t.',0,0,0,1,0,1,3,0,0,240187,0,0,0,0,0,1,0,0,0,'Unset',1579046542,1384378114,0,1),
(240188,2347345148,0,0,'Skeletal Grasp','Roots the target and surrounding encounter members. Any damage received by the target has a chance at breaking the effect.',478,29,312,193411854,882983852,270,0,2,'Your Skeletal Grasp II was successful on %t!','Your Skeletal Grasp II fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/SkeletalGrasp.lua',2008,'You cast Skeletal Grasp II on %t.',0,0,0,1,0,1,3,0,0,240187,0,0,0,0,0,1,0,0,0,'Unset',1579046582,1384378114,0,1),
(240189,68244051,0,0,'Spectral Grasp','Roots the target and surrounding encounter members. Any damage received by the target has a chance at breaking the effect.',478,29,312,193411854,882983852,340,0,2,'Your Skeletal Grasp III was successful on %t!','Your Skeletal Grasp III fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/SkeletalGrasp.lua',2008,'You cast Skeletal Grasp III on %t.',0,0,0,1,0,1,3,0,0,240187,0,0,0,0,0,1,0,0,0,'Unset',1579046669,1384378114,0,1),
(240190,3338667949,0,0,'Dead Grasp','Roots the target and surrounding encounter members. Any damage received by the target has a chance at breaking the effect.',478,29,312,193411854,882983852,390,0,2,'Your Skeletal Grasp IV was successful on %t!','Your Skeletal Grasp IV fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/SkeletalGrasp.lua',2008,'You cast Skeletal Grasp IV on %t.',0,0,0,1,0,1,3,0,0,240187,0,0,0,0,0,1,0,0,0,'Unset',1579046785,1384378114,0,1),
(240191,1047909414,0,0,'Skeletal Grasp V','Roots the target and surrounding encounter members. Any damage received by the target has a chance at breaking the effect.',478,29,312,193411854,882983852,440,0,2,'Your Skeletal Grasp V was successful on %t!','Your Skeletal Grasp V fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/SkeletalGrasp.lua',2008,'You cast Skeletal Grasp V on %t.',0,0,0,1,0,1,3,0,0,240187,0,0,0,0,0,1,0,0,0,'Unset',1579046839,1384378114,0,1),
(240192,3117621093,0,0,'Skeletal Grasp VI','Roots the target and surrounding encounter members. Any damage received by the target has a chance at breaking the effect.',478,29,312,193411854,882983852,490,0,2,'Your Skeletal Grasp VI was successful on %t!','Your Skeletal Grasp VI fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/SkeletalGrasp.lua',2008,'You cast Skeletal Grasp VI on %t.',0,0,0,0,0,1,3,0,0,240187,0,0,0,0,0,1,0,0,0,'Unset',1579046869,1384377831,0,1),
(240193,3529702707,0,0,'Stop Breath','Reduces target encounter''s poison and disease resist.',261,29,312,193411854,613995491,20,0,2,'Your Vacuum Field was successful on %t!','Your Vacuum Field fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/VacuumField.lua',1965,'You cast Vacuum Field on %t.',0,0,0,1,0,1,3,0,0,240193,0,0,0,0,0,0,0,0,0,'Debuff',1578954707,1384377827,0,1),
(240194,471755925,0,0,'Shorten Breath','Reduces target encounter''s poison and disease resist.',261,29,312,193411854,613995491,65,0,2,'Your Vacuum Field II was successful on %t!','Your Vacuum Field II fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/VacuumField.lua',1965,'You cast Vacuum Field II on %t.',0,0,0,1,0,1,3,0,0,240193,0,0,0,0,0,0,0,0,0,'Debuff',1578954728,1384377833,0,1),
(240195,195702775,0,0,'Suffocating Cloud','Reduces target encounter''s poison and disease resist.',261,29,312,193411854,613995491,135,0,2,'Your Vacuum Field III was successful on %t!','Your Vacuum Field III fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/SuffocatingCloud.lua',1965,'You cast Vacuum Field III on %t.',0,0,0,1,0,1,3,0,0,240193,0,0,0,0,0,0,0,0,0,'Debuff',1578954792,1384378114,0,1),
(240196,2630269194,0,0,'Chaotic Maelstrom','Reduces target encounter''s poison and disease resist.',261,29,312,193411854,613995491,205,0,2,'Your Vacuum Field IV was successful on %t!','Your Vacuum Field IV fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/VacuumField.lua',1965,'You cast Vacuum Field IV on %t.',0,0,0,1,0,1,3,0,0,240193,0,0,0,0,0,1,0,0,0,'Debuff',1578954907,1384378114,0,1),
(240197,2031047496,0,0,'Vacuum Field IX','Reduces target encounter''s poison and disease resist.',261,29,312,193411854,613995491,495,0,2,'Your Vacuum Field IX was successful on %t!','Your Vacuum Field IX fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/VacuumField.lua',1965,'You cast Vacuum Field IX on %t.',0,0,0,0,0,1,3,0,0,240193,0,0,0,0,0,1,0,0,0,'Debuff',1578955636,1384378114,0,1),
(240198,658047054,0,0,'Anarchic Maelstrom','Reduces target encounter''s poison and disease resist.',261,29,312,193411854,613995491,275,0,2,'Your Vacuum Field V was successful on %t!','Your Vacuum Field V fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/VacuumField.lua',1975,'You cast Vacuum Field V on %t.',0,0,0,1,0,1,3,0,0,240193,0,0,0,0,0,1,0,0,0,'Debuff',1578955039,1384378114,0,1),
(240199,627168515,0,0,'Tumultuous Maelstrom','Reduces target encounter''s poison and disease resist.',261,29,312,193411854,613995491,345,0,2,'Your Vacuum Field VI was successful on %t!','Your Vacuum Field VI fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/VacuumField.lua',1965,'You cast Vacuum Field VI on %t.',0,0,0,1,0,1,3,0,0,240193,0,0,0,0,0,1,0,0,0,'Debuff',1578955192,1384378114,0,1),
(240200,2491173693,0,0,'Vacuum Field','Reduces target encounter''s poison and disease resist.',261,29,312,193411854,613995491,395,0,2,'Your Vacuum Field VII was successful on %t!','Your Vacuum Field VII fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/VacuumField.lua',1965,'You cast Vacuum Field VII on %t.',0,0,0,1,0,1,3,0,0,240193,0,0,0,0,0,1,0,0,0,'Debuff',1578955351,1384378115,0,1),
(240201,3237251232,0,0,'Vacuum Field VIII','Reduces target encounter''s poison and disease resist.',261,29,312,193411854,613995491,445,0,2,'Your Vacuum Field VIII was successful on %t!','Your Vacuum Field VIII fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/VacuumField.lua',1965,'You cast Vacuum Field VIII on %t.',0,0,0,1,0,1,3,0,0,0,0,240193,0,0,0,1,0,0,0,'Debuff',1578955461,1384377828,0,1),
(240202,778311598,0,0,'Tap Void','Converts some of the warlock''s health into power.',170,24,317,193411854,366253016,65,0,0,'Your Void Contract was successful on %t!','Your Void Contract fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/VoidContract.lua',1965,'You cast Void Contract on %t.',0,0,0,1,1,0,0,0,0,240202,0,0,0,0,0,0,0,0,0,'Unset',1578963653,1384378114,0,1),
(240203,3027713136,0,0,'Invite Void','Converts some of the warlock''s health into power.',170,24,317,193411854,366253016,135,0,0,'Your Void Contract II was successful on %t!','Your Void Contract II fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/InviteVoid.lua',1965,'You cast Void Contract II on %t.',0,0,0,1,1,0,0,0,0,240202,0,0,0,0,0,0,0,0,0,'Unset',1578963678,1384378114,0,1),
(240204,971995792,0,0,'Grisly Contract','Converts some of the warlock''s health into power.',170,24,317,193411854,366253016,205,0,0,'Your Void Contract III was successful on %t!','Your Void Contract III fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/VoidContract.lua',1965,'You cast Void Contract III on %t.',0,0,0,1,1,0,0,0,0,240202,0,0,0,0,0,1,0,0,0,'Unset',1578963709,1384378115,0,1),
(240205,241457390,0,0,'Ghastly Contract','Converts some of the warlock''s health into power.',170,24,317,193411854,366253016,275,0,0,'Your Void Contract IV was successful on %t!','Your Void Contract IV fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/VoidContract.lua',1965,'You cast Void Contract IV on %t.',0,0,0,1,1,0,0,0,0,240202,0,0,0,0,0,1,0,0,0,'Unset',1578963752,1384378114,0,1),
(240206,277091230,0,0,'Terrible Deeds','Converts some of the warlock''s health into power.',170,24,317,193411854,366253016,345,0,0,'Your Void Contract V was successful on %t!','Your Void Contract V fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/VoidContract.lua',1965,'You cast Void Contract V on %t.',0,0,0,1,1,0,0,0,0,240202,0,0,0,0,0,1,0,0,0,'Unset',1578963773,1384378114,0,1),
(240207,2552553602,0,0,'Void Contract','Converts some of the warlock''s health into power.',170,24,317,193411854,366253016,395,0,0,'Your Void Contract VI was successful on %t!','Your Void Contract VI fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/VoidContract.lua',1965,'You cast Void Contract VI on %t.',0,0,0,1,1,0,0,0,0,240202,0,0,0,0,0,1,0,0,0,'Unset',1578963815,1384378114,0,1),
(240208,382633912,0,0,'Void Contract VII','Converts some of the warlock''s health into power.',170,24,317,193411854,366253016,445,0,0,'Your Void Contract VII was successful on %t!','Your Void Contract VII fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/VoidContract.lua',1965,'You cast Void Contract VII on %t.',0,0,0,1,1,0,0,0,0,240202,0,0,0,0,0,1,0,0,0,'Unset',1578963833,1384377828,0,1),
(240209,3097892393,0,0,'Void Contract VIII','Converts some of the warlock''s health into power.',170,24,317,193411854,366253016,495,0,0,'Your Void Contract VIII was successful on %t!','Your Void Contract VIII fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/VoidContract.lua',1965,'You cast Void Contract VIII on %t.',0,0,0,0,1,0,0,0,0,240202,0,0,0,0,0,1,0,0,0,'Unset',1578963873,1384378114,0,1),
(250000,2789104454,0,0,'Binding Light','Roots an opponent. Also blurs vision and reduces movement speed on the opponent after the root expires.',166,24,315,287643040,882983852,95,0,1,'Your Binding Light was successful on %t!','Your Binding Light fades.','',1,0,'Spells/Mage/Enchanter/BindingLight.lua',170,'You cast Binding Light on %t.',0,0,0,1,0,0,2,0,0,250000,0,0,0,0,0,1,0,0,0,'Root',1613193657,1384377828,0,1),
(250001,2576174279,0,0,'Blink','Reduces Hate towards the Enchanter from opponents in the immediate area and randomly teleports the Enchanter to a random location nearby. Care must be taken when using Blink, it has the potential to aggravate nearby non-hostile beings!',477,27,313,287643040,3587918036,75,0,1,'Your Blink was successful on %t!','Your Blink fades.','',1,0,'Spells/Mage/Enchanter/Blink.lua',2122,'You cast Blink on %t.',0,0,0,0,0,1,0,0,0,250001,0,0,0,0,0,1,0,0,0,'Detaunt',1384671251,1384378112,0,1),
(250002,1308394794,0,1,'Breeze','Increases in-combat power replenishment of the enchanter''s group. This ability does stack with the bard''s concentration group power replenishment song.\n\n\"I recall taking a break from my studies, allowing the cool ocean air on the docks of Erudin to rejuvenate my mind.\" -Ellonialis',475,27,314,287643040,366253016,90,1,2,'Your Breeze was successful on %t!','Your Breeze fades.','',1,0,'Spells/Mage/Enchanter/Breeze.lua',794,'You cast Breeze on %t.',0,0,0,1,1,1,0,0,0,250002,0,0,0,0,0,1,0,0,0,'Unset',1384671260,1384377828,0,1),
(250003,3313640342,0,0,'Cerebral Lash','Deals mental damage over time to a target. If this effect is not cured when it expires, the target is dealt additional mental damage.',202,28,315,287643040,613995491,85,0,1,'Your Cerebral Lash was successful on %t!','Your Cerebral Lash fades.','',1,0,'Spells/Mage/Enchanter/CerebralLash.lua',37,'You cast Cerebral Lash on %t.',0,0,0,1,0,0,0,0,0,250004,0,0,0,0,0,0,0,0,0,'DoT',1613193556,1384378114,0,1),
(250004,2871207103,0,0,'Cerebral Spasm','Deals mental damage over time to a target. If this effect is not cured when it expires, the target is dealt additional mental damage.',202,28,315,287643040,613995491,75,0,1,'Your Cerebral Spasm was successful on %t!','Your Cerebral Spasm fades.','',1,0,'Spells/Mage/Enchanter/CerebralSpasm.lua',37,'You cast Cerebral Spasm on %t.',0,0,0,1,0,0,2,0,0,250004,0,0,0,0,0,1,0,0,0,'DoT',1384671270,1384378114,0,1),
(250005,2024830039,0,0,'Befriend','Grants the enchanter control over target opponent. The opponent has a recurring chance to resist the charm throughout its duration. Higher ranks of this spell will decrease the chance at a periodic resist.',473,24,315,287643040,882983852,50,0,1,'Your Charm was successful on %t!','Your Charm fades.','',1,0,'Spells/Mage/Enchanter/Charm.lua',163,'You cast Charm on %t.',0,0,0,1,0,0,0,0,0,250005,0,0,0,0,0,0,0,0,0,'Unset',1384671272,1384378114,0,1),
(250006,2107166412,0,0,'Consume Ego','Slowly converts the enchanter''s health into power over time.',170,24,317,287643040,366253016,65,0,0,'Your Consume Ego was successful on %t!','Your Consume Ego fades.','',1,0,'Spells/Mage/Enchanter/ConsumeEgo.lua',19,'You cast Consume Ego on %t.',0,0,0,1,1,0,0,0,0,250006,0,0,0,0,0,1,0,0,0,'Unset',1384671281,1384378114,0,1),
(250007,444381752,0,0,'Daunting Gaze','Stuns the enchanter''s target and drains some of their power instantly.',5,25,315,287643040,613995491,65,0,1,'Your Daunting Gaze was successful on %t!','Your Daunting Gaze fades.','',1,0,'Spells/Mage/Enchanter/DauntingGaze.lua',922,'You cast Daunting Gaze on %t.',0,0,0,1,0,0,2,4,0,250007,0,0,0,0,0,1,0,0,0,'Unset',1384671297,1384378115,0,1),
(250008,2666487770,0,0,'Ego Shock','Deals instant mental damage to the target and roots them in place.',216,25,315,287643040,613995491,55,0,1,'Your Ego Shock was successful on %t!','Your Ego Shock fades.','',1,0,'Spells/Mage/Enchanter/EgoShock.lua',321,'You cast Ego Shock on %t.',0,0,0,1,0,0,2,0,0,250008,0,0,0,0,0,1,0,0,0,'Root',1384671330,1384377828,0,1),
(250009,1816712357,0,0,'Fascinate','Mesmerizes the target and removes them from being affected by area of effect spells for a short duration. Mesmerization breaks if the target receives any damage.',477,27,315,287643040,882983852,50,0,1,'Your Fascinate was successful on %t!','Your Fascinate fades.','',1,0,'Spells/Mage/Enchanter/Fascinate.lua',180,'You cast Fascinate on %t.',0,0,0,1,0,0,2,1,0,250009,0,0,0,0,0,1,0,0,0,'Unset',1613193785,1384378114,0,1),
(250010,3536220381,0,0,'Gloom','Deals mental damage over time to the target and decreases their arcane resistance.',476,29,315,287643040,613995491,70,0,1,'Your Gloom was successful on %t!','Your Gloom fades.','',1,0,'Spells/Mage/Enchanter/Gloom.lua',518,'You cast Gloom on %t.',0,0,0,1,0,0,2,0,0,250010,0,0,0,0,0,1,0,0,0,'DoT',1384671371,1384378115,0,1),
(250011,2324198425,0,0,'Mana Cloak','Augmentation, placed upon you and your group, which provides the chance to gain power back when receiving any damage.',195,65535,314,287643040,3587918036,175,0,2,'Your Mana Cloak was successful on %t!','Your Mana Cloak fades.','',1,0,'Spells/Mage/Enchanter/ManaCloak.lua',2136,'You cast Mana Cloak on %t.',0,0,0,1,1,0,0,0,0,250011,0,0,0,0,0,1,0,0,0,'Unset',1384671439,1384378112,0,1),
(250012,3289732337,0,0,'Mana Cover','Augmentation, placed upon you and your group, which provides the chance to gain power back when receiving any damage.',195,65535,314,287643040,3587918036,265,0,2,'Your Mana Cloak II was successful on %t!','Your Mana Cloak II fades.','',1,0,'Spells/Mage/Enchanter/ManaCloak.lua',2136,'You cast Mana Cloak II on %t.',0,0,0,1,1,0,0,0,0,250011,0,0,0,0,0,1,0,0,0,'Unset',1384671440,1384378114,0,1),
(250013,2110871988,0,0,'Mana Shroud','Augmentation, placed upon you and your group, which provides the chance to gain power back when receiving any damage.',195,65535,314,287643040,3587918036,355,0,2,'Your Mana Cloak III was successful on %t!','Your Mana Cloak III fades.','',1,0,'Spells/Mage/Enchanter/ManaCloak.lua',2136,'You cast Mana Cloak III on %t.',0,0,0,1,1,0,0,0,0,250011,0,0,0,0,0,1,0,0,0,'Unset',1384671440,1384378115,0,1),
(250014,1850208453,0,0,'Mana Cloak IV','Augmentation, placed upon you and your group, which provides the chance to gain power back when receiving any damage.',195,65535,314,287643040,3587918036,405,0,2,'Your Mana Cloak IV was successful on %t!','Your Mana Cloak IV fades.','',1,0,'Spells/Mage/Enchanter/ManaCloak.lua',2136,'You cast Mana Cloak IV on %t.',0,0,0,1,1,0,0,0,0,250011,0,0,0,0,0,1,0,0,0,'Unset',1384671440,1384378115,0,1),
(250015,3016829248,0,0,'Mana Cloak V','Augmentation, placed upon you and your group, which provides the chance to gain power back when receiving any damage.',195,65535,314,287643040,3587918036,455,0,2,'Your Mana Cloak V was successful on %t!','Your Mana Cloak V fades.','',1,0,'Spells/Mage/Enchanter/ManaCloak.lua',2136,'You cast Mana Cloak V on %t.',0,0,0,1,1,0,0,0,0,250011,0,0,0,0,0,1,0,0,0,'Unset',1384671440,1384378115,0,1),
(250016,2452337297,0,0,'Mind Jolt','Deals instant mental damage. This spell has a fast casting time.\r\n\r\n\r\n \r\n\"Nothing like a nice jolt to the brain to get their attention!\" - Zibbleflig',161,25,315,287643040,613995491,85,0,1,'Your Mind Jolt was successful on %t!','Your Mind Jolt fades.','',1,0,'Spells/Mage/Enchanter/MindJolt.lua',71,'You cast Mind Jolt on %t.',0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1384671451,1384378114,0,1),
(250017,4177079426,0,0,'Overwhelming Silence','Stifles and drains power over time from the enchanter''s target.',495,24,315,287643040,613995491,80,0,1,'Your Overwhelming Silence was successful on %t!','Your Overwhelming Silence fades.','',1,0,'Spells/Mage/Enchanter/OverwhelmingSilence.lua',2185,'You cast Overwhelming Silence on %t.',0,0,0,1,0,0,2,2,0,250017,0,0,0,0,0,1,0,0,0,'Unset',1384671475,1384378114,0,1),
(250018,1793185596,0,1,'Signet of Intuition','Increases intelligence, agility, and mental mitigation for the enchanter and their allies.',474,24,314,287643040,3587918036,60,1,2,'Your Signet of Intuition was successful on %t!','Your Signet of Intuition fades.','',1,0,'Spells/Mage/Enchanter/SignetofIntuition.lua',794,'You cast Signet of Intuition on %t.',0,0,0,1,1,1,0,0,0,250018,0,0,0,0,0,1,0,0,0,'Buff',1384671659,1384378114,0,1),
(250019,3699521889,0,0,'Stupefy','Decreases the target''s hate towards the enchanter and stuns the target.',476,29,315,287643040,613995491,80,0,1,'Your Stupefy was successful on %t!','Your Stupefy fades.','',1,0,'Spells/Mage/Enchanter/Stupefy.lua',2188,'You cast Stupefy on %t.',0,0,0,1,0,0,2,4,0,250019,0,0,0,0,0,1,0,0,0,'Unset',1384671682,1384378114,0,1),
(250020,581548087,0,0,'Veil of the Unseen','Distorts the reality around target ally, granting them invisibility and protecting them from indirect area effects. This spell can only be maintained on a single ally.\n\n',165,65535,316,287643040,3587918036,75,0,1,'Your Veil of the Unseen was successful on %t!','Your Veil of the Unseen fades.','',1,0,'Spells/Mage/Enchanter/VeiloftheUnseen.lua',2157,'You cast Veil of the Unseen on %t.',0,0,1,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1572081837,1384378114,0,1),
(260000,1223312472,0,0,'Headache','Dazes the target and deals instant mental damage. Daze prevents the target from making normal auto attacks.',216,25,315,2898101972,613995491,55,0,1,'Your Aneurysm was successful on %t!','Your Aneurysm fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Aneurysm.lua',2118,'You cast Aneurysm on %t.',0,0,0,1,0,0,2,3,0,260000,0,0,0,0,0,0,0,0,0,'DD',1580364036,1384378114,0,1),
(260001,2162535300,0,0,'Psychic Assailant','Dazes the target and deals instant mental damage. Daze prevents the target from making normal auto attacks.',216,25,315,2898101972,613995491,125,0,1,'Your Aneurysm II was successful on %t!','Your Aneurysm II fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/PsychicAssailant.lua',2118,'You cast Aneurysm II on %t.',0,0,0,1,0,1,2,3,0,260000,0,0,0,0,0,0,0,0,0,'DD',1580364064,1384377828,0,1),
(260002,1334978454,0,0,'Aneurysm','Dazes the target and deals instant mental damage. Daze prevents the target from making normal auto attacks.',216,25,315,2898101972,613995491,195,0,1,'Your Aneurysm III was successful on %t!','Your Aneurysm III fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Aneurysm.lua',2118,'You cast Aneurysm III on %t.',0,0,0,1,0,1,2,3,0,260000,0,0,0,0,0,1,0,0,0,'DD',1580364103,1384377828,0,1),
(260003,4252557645,0,0,'Embolism','Dazes the target and deals instant mental damage. Daze prevents the target from making normal auto attacks.',216,25,315,2898101972,613995491,265,0,1,'Your Aneurysm IV was successful on %t!','Your Aneurysm IV fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Aneurysm.lua',2118,'You cast Aneurysm IV on %t.',0,0,0,1,0,1,2,3,0,260000,0,0,0,0,0,1,0,0,0,'DD',1580364319,1384377828,0,1),
(260004,2001426489,0,0,'Tumor','Dazes the target and deals instant mental damage. Daze prevents the target from making normal auto attacks.',216,25,315,2898101972,613995491,335,0,1,'Your Aneurysm V was successful on %t!','Your Aneurysm V fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Aneurysm.lua',2118,'You cast Aneurysm V on %t.',0,0,0,1,0,1,2,3,0,260000,0,0,0,0,0,1,0,0,0,'DD',1580364377,1384378114,0,1),
(260005,4284591766,0,0,'Lesion','Dazes the target and deals instant mental damage. Daze prevents the target from making normal auto attacks.',216,25,315,2898101972,613995491,390,0,1,'Your Aneurysm VI was successful on %t!','Your Aneurysm VI fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Aneurysm.lua',2118,'You cast Aneurysm VI on %t.',0,0,0,1,0,1,2,3,0,260000,0,0,0,0,0,1,0,0,0,'DD',1580364474,1384377828,0,1),
(260006,3759898525,0,0,'Aneurysm VII','Dazes the target and deals instant mental damage. Daze prevents the target from making normal auto attacks.',216,25,315,2898101972,613995491,440,0,1,'Your Aneurysm VII was successful on %t!','Your Aneurysm VII fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Aneurysm.lua',2118,'You cast Aneurysm VII on %t.',0,0,0,1,0,1,2,3,0,260000,0,0,0,0,0,1,0,0,0,'DD',1580364549,1384377833,0,1),
(260007,563454045,0,0,'Aneurysm VIII','Dazes the target and deals instant mental damage. Daze prevents the target from making normal auto attacks.',216,25,315,2898101972,613995491,490,0,1,'Your Aneurysm VIII was successful on %t!','Your Aneurysm VIII fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Aneurysm.lua',2118,'You cast Aneurysm VIII on %t.',0,0,0,0,0,0,2,3,0,260000,0,0,0,0,0,1,0,0,0,'DD',1583556159,1384378114,0,1),
(260008,3450617402,0,1,'Aspect of Thought','An augmentation that increases the power pool and arcane resistance for the illusionist''s group. The arcane resist protects more against magic and divine than mental.',245,27,314,2898101972,3587918036,35,1,2,'Your Aspect of Genius was successful on %t!','Your Aspect of Genius fades.','',0,1,'Spells/Mage/Enchanter/Illusionist/AspectofGenius.lua',2119,'You cast Aspect of Genius on %t.',0,0,0,1,1,1,0,0,0,260008,0,0,0,0,0,0,0,0,0,'Unset',1580362311,1384378114,0,1),
(260009,2864170210,0,1,'Blessing of the Prism','An augmentation that increases the power pool and arcane resistance for the illusionist''s group. The arcane resist protects more against magic and divine than mental.',245,27,314,2898101972,3587918036,105,1,2,'Your Aspect of Genius II was successful on %t!','Your Aspect of Genius II fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/BlessingofthePrism.lua',2119,'You cast Aspect of Genius II on %t.',0,0,0,1,1,1,0,0,0,260008,0,0,0,0,0,0,0,0,0,'Unset',1580362328,1384378114,0,1),
(260010,2761365077,0,1,'Mental Bulwark','An augmentation that increases the power pool and arcane resistance for the illusionist''s group. The arcane resist protects more against magic and divine than mental.',245,27,314,2898101972,3587918036,175,1,2,'Your Aspect of Genius III was successful on %t!','Your Aspect of Genius III fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/AspectofGenius.lua',2119,'You cast Aspect of Genius III on %t.',0,0,0,1,1,1,0,0,0,260008,0,0,0,0,0,1,0,0,0,'Unset',1580362337,1384377827,0,1),
(260011,2803054717,0,1,'Aspect of Mind','An augmentation that increases the power pool and arcane resistance for the illusionist''s group. The arcane resist protects more against magic and divine than mental.',245,27,314,2898101972,3587918036,245,1,2,'Your Aspect of Genius IV was successful on %t!','Your Aspect of Genius IV fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/AspectofGenius.lua',2119,'You cast Aspect of Genius IV on %t.',0,0,0,1,1,1,0,0,0,260008,0,0,0,0,0,1,0,0,0,'Unset',1580362345,1384378112,0,1),
(260012,1060829754,0,1,'Aspect of Lucidity','An augmentation that increases the power pool and arcane resistance for the illusionist''s group. The arcane resist protects more against magic and divine than mental.',245,27,314,2898101972,3587918036,315,1,2,'Your Aspect of Genius V was successful on %t!','Your Aspect of Genius V fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/AspectofGenius.lua',2119,'You cast Aspect of Genius V on %t.',0,0,0,1,1,1,0,0,0,260008,0,0,0,0,0,1,0,0,0,'Unset',1580362354,1384378115,0,1),
(260013,370243971,0,1,'Aspect of Genius','An augmentation that increases the power pool and arcane resistance for the illusionist''s group. The arcane resist protects more against magic and divine than mental.',245,27,314,2898101972,3587918036,375,1,2,'Your Aspect of Genius VI was successful on %t!','Your Aspect of Genius VI fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/AspectofGenius.lua',2119,'You cast Aspect of Genius VI on %t.',0,0,0,1,1,1,0,0,0,260008,0,0,0,0,0,1,0,0,0,'Unset',1580362361,1384377827,0,1),
(260014,1435430733,0,1,'Aspect of Genius VII','An augmentation that increases the power pool and arcane resistance for the illusionist''s group. The arcane resist protects more against magic and divine than mental.',245,27,314,2898101972,3587918036,425,1,2,'Your Aspect of Genius VII was successful on %t!','Your Aspect of Genius VII fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/AspectofGenius.lua',2119,'You cast Aspect of Genius VII on %t.',0,0,0,1,1,1,0,0,0,260008,0,0,0,0,0,1,0,0,0,'Unset',1580362381,1384378112,0,1),
(260015,2188144405,0,1,'Aspect of Genius VIII','An augmentation that increases the power pool and arcane resistance for the illusionist''s group. The arcane resist protects more against magic and divine than mental.',245,27,314,2898101972,3587918036,475,1,2,'Your Aspect of Genius VIII was successful on %t!','Your Aspect of Genius VIII fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/AspectofGenius.lua',2119,'You cast Aspect of Genius VIII on %t.',0,0,0,0,1,0,0,0,0,260008,0,0,0,0,0,1,0,0,0,'Unset',1580362391,1384378114,0,1),
(260016,2019656311,0,0,'Barrier of Intellect','For a short duration, enemies surrounding the Illusionist are mesmerized, and their hate towards the Illusionist is reduced.',329,27,313,2898101972,882983852,200,0,1,'Your Barrier of Intellect was successful on %t!','Your Barrier of Intellect fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/BarrierofIntellect.lua',2120,'You cast Barrier of Intellect on %t.',0,0,0,0,0,0,2,1,0,260016,0,0,0,0,0,1,0,0,0,'Unset',1580520244,1384377833,0,1),
(260017,3926074054,0,0,'Bewilderment','Stuns the target and nearby encounter members for a short duration.',202,29,312,2898101972,882983852,80,0,1,'Your Bewilderment was successful on %t!','Your Bewilderment fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Bewilderment.lua',2121,'You cast Bewilderment on %t.',0,0,1,1,0,1,2,4,0,260017,0,0,0,0,0,0,0,0,0,'Unset',1580366984,1384378112,0,1),
(260018,2379942788,0,0,'Bewildering Cascade','Stuns the target and nearby encounter members for a short duration.',202,29,312,2898101972,882983852,150,0,1,'Your Bewilderment II was successful on %t!','Your Bewilderment II fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/BewilderingCascade.lua',2121,'You cast Bewilderment II on %t.',0,0,0,1,0,1,2,4,0,260017,0,0,0,0,0,0,0,0,0,'Unset',1580367154,1384378114,0,1),
(260019,4113837678,0,0,'Stunning Array','Stuns the target and nearby encounter members for a short duration.',202,29,312,2898101972,882983852,220,0,1,'Your Bewilderment III was successful on %t!','Your Bewilderment III fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Bewilderment.lua',2121,'You cast Bewilderment III on %t.',0,0,0,1,0,1,2,4,0,260017,0,0,0,0,0,1,0,0,0,'Unset',1580367127,1384378114,0,1),
(260020,3825649578,0,0,'Dazzling Array','Stuns the target and nearby encounter members for a short duration.',202,29,312,2898101972,882983852,290,0,1,'Your Bewilderment IV was successful on %t!','Your Bewilderment IV fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Bewilderment.lua',2121,'You cast Bewilderment IV on %t.',0,0,0,1,0,1,2,4,0,260017,0,0,0,0,0,1,0,0,0,'Unset',1580367233,1384377828,0,1),
(260021,2727280994,0,0,'Bedazzlement','Stuns the target and nearby encounter members for a short duration.',202,29,312,2898101972,882983852,355,0,1,'Your Bewilderment V was successful on %t!','Your Bewilderment V fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Bewilderment.lua',2121,'You cast Bewilderment V on %t.',0,0,0,1,0,1,2,4,0,260017,0,0,0,0,0,1,0,0,0,'Unset',1580426482,1384377827,0,1),
(260022,4189888361,0,0,'Bewilderment VI','Stuns the target and nearby encounter members for a short duration.',202,29,312,2898101972,882983852,405,0,1,'Your Bewilderment VI was successful on %t!','Your Bewilderment VI fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Bewilderment.lua',2121,'You cast Bewilderment VI on %t.',0,0,0,1,0,1,2,4,0,260017,0,0,0,0,0,1,0,0,0,'Unset',1580426540,1384377828,0,1),
(260023,1625656538,0,0,'Migraine','Deals unresistable mental damage over time to a target. If this effect is not cured when it expires, the target is dealt additional mental damage.',168,28,315,2898101972,613995491,15,0,1,'Your Brainburst was successful on %t!','Your Brainburst fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Brainburst.lua',2123,'You cast Brainburst on %t.',0,0,0,1,0,0,2,0,0,260023,0,0,0,0,0,0,0,0,0,'DoT',1580360679,1384378115,0,1),
(260024,1694983959,0,0,'Greater Migraine','Deals unresistable mental damage over time to a target. If this effect is not cured when it expires, the target is dealt additional mental damage.',168,28,315,2898101972,613995491,50,0,1,'Your Brainburst II was successful on %t!','Your Brainburst II fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Brainburst.lua',2123,'You cast Brainburst II on %t.',0,0,0,1,0,0,2,0,0,260023,0,0,0,0,0,0,0,0,0,'DoT',1580360816,1384377828,0,1),
(260025,2468466903,0,0,'Lobotomy','Deals unresistable mental damage over time to a target. If this effect is not cured when it expires, the target is dealt additional mental damage.',168,28,315,2898101972,613995491,85,0,1,'Your Brainburst III was successful on %t!','Your Brainburst III fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Brainburst.lua',2123,'You cast Brainburst III on %t.',0,0,0,1,0,0,2,0,0,260023,0,0,0,0,0,0,0,0,0,'DoT',1580360838,1384378112,0,1),
(260026,1955537927,0,0,'Tormenting Visions','Deals unresistable mental damage over time to a target. If this effect is not cured when it expires, the target is dealt additional mental damage.',168,28,315,2898101972,613995491,155,0,1,'Your Brainburst IV was successful on %t!','Your Brainburst IV fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Brainburst.lua',2123,'You cast Brainburst IV on %t.',0,0,0,1,0,1,2,0,0,260023,0,0,0,0,0,1,0,0,0,'DoT',1580361208,1384378114,0,1),
(260027,3024944081,0,0,'Brainburst IX','Deals unresistable mental damage over time to a target. If this effect is not cured when it expires, the target is dealt additional mental damage.',168,28,315,2898101972,613995491,460,0,1,'Your Brainburst IX was successful on %t!','Your Brainburst IX fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Brainburst.lua',2123,'You cast Brainburst IX on %t.',0,0,0,1,0,1,2,0,0,260023,0,0,0,0,0,1,0,0,0,'DoT',1580361958,1384378114,0,1),
(260028,842561438,0,0,'Lobotomize','Deals unresistable mental damage over time to a target. If this effect is not cured when it expires, the target is dealt additional mental damage.',168,28,315,2898101972,613995491,225,0,1,'Your Brainburst V was successful on %t!','Your Brainburst V fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Brainburst.lua',2123,'You cast Brainburst V on %t.',0,0,0,1,0,1,2,0,0,260023,0,0,0,0,0,1,0,0,0,'DoT',1580361277,1384378114,0,1),
(260029,1600448036,0,0,'Brainburst','Deals unresistable mental damage over time to a target. If this effect is not cured when it expires, the target is dealt additional mental damage.',168,28,315,2898101972,613995491,295,0,1,'Your Brainburst VI was successful on %t!','Your Brainburst VI fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Brainburst.lua',2123,'You cast Brainburst VI on %t.',0,0,0,1,0,1,2,0,0,260023,0,0,0,0,0,1,0,0,0,'DoT',1580361795,1384377828,0,1),
(260030,1681339315,0,0,'Brainclot','Deals unresistable mental damage over time to a target. If this effect is not cured when it expires, the target is dealt additional mental damage.',168,28,315,2898101972,613995491,360,0,1,'Your Brainburst VII was successful on %t!','Your Brainburst VII fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Brainburst.lua',2123,'You cast Brainburst VII on %t.',0,0,0,1,0,1,2,0,0,260023,0,0,0,0,0,1,0,0,0,'DoT',1580361865,1384378115,0,1),
(260031,1775903316,0,0,'Brainburst VIII','Deals unresistable mental damage over time to a target. If this effect is not cured when it expires, the target is dealt additional mental damage.',168,28,315,2898101972,613995491,410,0,1,'Your Brainburst VIII was successful on %t!','Your Brainburst VIII fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Brainburst.lua',2123,'You cast Brainburst VIII on %t.',0,0,0,1,0,1,2,0,0,260023,0,0,0,0,0,1,0,0,0,'DoT',1580361934,1384378112,0,1),
(260032,3061023529,0,0,'Color Shower','Deals mental damage over time and stifles the illusionist''s enemies in an area near the target of the spell.',266,29,312,2898101972,613995491,250,0,1,'Your Chromatic Shower was successful on %t!','Your Chromatic Shower fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/ChromaticShower.lua',2124,'You cast Chromatic Shower on %t.',0,0,0,1,0,1,2,2,0,260032,0,0,0,0,0,1,0,0,0,'DoT',1580520804,1384378112,0,1),
(260033,2718557165,0,0,'Solar Shower','Deals mental damage over time and stifles the illusionist''s enemies in an area near the target of the spell.',266,29,312,2898101972,613995491,350,0,1,'Your Chromatic Shower II was successful on %t!','Your Chromatic Shower II fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/ChromaticShower.lua',2124,'You cast Chromatic Shower II on %t.',0,0,0,1,0,1,2,2,0,260032,0,0,0,0,0,1,0,0,0,'DoT',1580521069,1384377827,0,1),
(260034,1051872073,0,0,'Chromatic Shower','Deals mental damage over time and stifles the illusionist''s enemies in an area near the target of the spell.',266,29,312,2898101972,613995491,400,0,1,'Your Chromatic Shower III was successful on %t!','Your Chromatic Shower III fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/ChromaticShower.lua',2124,'You cast Chromatic Shower III on %t.',0,0,0,1,0,1,2,2,0,260032,0,0,0,0,0,1,0,0,0,'DoT',1580521228,1384378112,0,1),
(260035,3914386193,0,0,'Chromatic Shower IV','Deals mental damage over time and stifles the illusionist''s enemies in an area near the target of the spell.',266,29,312,2898101972,613995491,450,0,1,'Your Chromatic Shower IV was successful on %t!','Your Chromatic Shower IV fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/ChromaticShower.lua',2124,'You cast Chromatic Shower IV on %t.',0,0,0,1,0,1,2,2,0,260032,0,0,0,0,0,1,0,0,0,'DoT',1580521296,1384378114,0,1),
(260036,1383361930,0,0,'Chromatic Shower V','Deals mental damage over time and stifles the illusionist''s enemies in an area near the target of the spell.',266,29,312,2898101972,613995491,500,0,1,'Your Chromatic Shower V was successful on %t!','Your Chromatic Shower V fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/ChromaticShower.lua',2124,'You cast Chromatic Shower V on %t.',0,0,0,0,0,0,2,2,0,260032,0,0,0,0,0,1,0,0,0,'DoT',1580521371,1384378114,0,1),
(260037,2061611780,0,0,'Storm of Colors','Deals mental damage over time and interrupts the target and surrounding encounter members. When the spell duration expires, it interrupts the encounter again.',169,29,312,2898101972,613995491,40,0,1,'Your Chromatic Storm was successful on %t!','Your Chromatic Storm fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/ChromaticStorm.lua',2125,'You cast Chromatic Storm on %t.',0,0,1,1,0,1,2,0,0,260037,0,0,0,0,0,0,0,0,0,'DoT',1580362441,1384378114,0,1),
(260038,2276577045,0,0,'Chromatic Storm','Deals mental damage over time and interrupts the target and surrounding encounter members. When the spell duration expires, it interrupts the encounter again.',169,29,312,2898101972,613995491,110,0,1,'Your Chromatic Storm II was successful on %t!','Your Chromatic Storm II fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/ChromaticStormClassic.lua',2125,'You cast Chromatic Storm II on %t.',0,0,0,1,0,1,2,2,0,260037,0,0,0,0,0,0,0,0,0,'DoT',1580362519,1384378115,0,1),
(260039,1194217585,0,0,'Cerebral Tempest','Deals mental damage over time and interrupts the target and surrounding encounter members. When the spell duration expires, it interrupts the encounter again.',169,29,312,2898101972,613995491,180,0,1,'Your Chromatic Storm III was successful on %t!','Your Chromatic Storm III fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/ChromaticStorm.lua',2125,'You cast Chromatic Storm III on %t.',0,0,0,1,0,1,2,0,0,260037,0,0,0,0,0,1,0,0,0,'DoT',1580362651,1384378114,0,1),
(260040,3474947923,0,0,'Psychotic Spectrum','Deals mental damage over time and interrupts the target and surrounding encounter members. When the spell duration expires, it interrupts the encounter again.',169,29,312,2898101972,613995491,250,0,1,'Your Chromatic Storm IV was successful on %t!','Your Chromatic Storm IV fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/ChromaticStorm.lua',2125,'You cast Chromatic Storm IV on %t.',0,0,0,1,0,1,2,0,0,260037,0,0,0,0,0,1,0,0,0,'DoT',1580362784,1384378112,0,1),
(260041,2085844847,0,0,'Ultraviolet Storm','Deals mental damage over time and interrupts the target and surrounding encounter members. When the spell duration expires, it interrupts the encounter again.',169,29,312,2898101972,613995491,320,0,1,'Your Chromatic Storm V was successful on %t!','Your Chromatic Storm V fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/ChromaticStorm.lua',2125,'You cast Chromatic Storm V on %t.',0,0,0,1,0,1,2,0,0,260037,0,0,0,0,0,1,0,0,0,'DoT',1580362855,1384378114,0,1),
(260042,2970670201,0,0,'Gamma Storm','Deals mental damage over time and interrupts the target and surrounding encounter members. When the spell duration expires, it interrupts the encounter again.',169,29,312,2898101972,613995491,380,0,1,'Your Chromatic Storm VI was successful on %t!','Your Chromatic Storm VI fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/ChromaticStorm.lua',2125,'You cast Chromatic Storm VI on %t.',0,0,0,1,0,1,2,0,0,260037,0,0,0,0,0,1,0,0,0,'DoT',1580363726,1384378112,0,1),
(260043,309047757,0,0,'Chromatic Storm VII','Deals mental damage over time and interrupts the target and surrounding encounter members. When the spell duration expires, it interrupts the encounter again.',169,29,312,2898101972,613995491,430,0,1,'Your Chromatic Storm VII was successful on %t!','Your Chromatic Storm VII fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/ChromaticStorm.lua',2125,'You cast Chromatic Storm VII on %t.',0,0,0,1,0,1,2,0,0,260037,0,0,0,0,0,1,0,0,0,'DoT',1580363793,1384377827,0,1),
(260044,4248373036,0,0,'Chromatic Storm VIII','Deals mental damage over time and interrupts the target and surrounding encounter members. When the spell duration expires, it interrupts the encounter again.',169,29,312,2898101972,613995491,480,0,1,'Your Chromatic Storm VIII was successful on %t!','Your Chromatic Storm VIII fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/ChromaticStorm.lua',2125,'You cast Chromatic Storm VIII on %t.',0,0,0,0,0,0,2,0,0,260037,0,0,0,0,0,1,0,0,0,'DoT',1580363876,1384377828,0,1),
(260045,3548528358,0,0,'Disappointment','An impairment that decreases the enemies offensive abilities.',265,29,315,2898101972,3587918036,100,0,1,'Your Dismay was successful on %t!','Your Dismay fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Dismay.lua',2127,'You cast Dismay on %t.',0,0,0,1,0,1,2,0,0,260045,0,0,0,0,0,0,0,0,0,'Unset',1580428052,1384378114,0,1),
(260046,1850789071,0,0,'Misfortune','An impairment that decreases the enemies offensive abilities.',265,29,315,2898101972,3587918036,175,0,1,'Your Dismay II was successful on %t!','Your Dismay II fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Dismay.lua',2127,'You cast Dismay II on %t.',0,0,0,1,0,1,2,0,0,260045,0,0,0,0,0,1,0,0,0,'Unset',1580428112,1384377828,0,1),
(260047,3532803299,0,0,'Dismay','An impairment that decreases the enemies offensive abilities.',265,29,315,2898101972,3587918036,250,0,1,'Your Dismay III was successful on %t!','Your Dismay III fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Dismay.lua',2127,'You cast Dismay III on %t.',0,0,0,1,0,1,2,0,0,260045,0,0,0,0,0,1,0,0,0,'Unset',1580428150,1384378114,0,1),
(260048,1521816557,0,0,'Tribulation','An impairment that decreases the enemies offensive abilities.',265,29,315,2898101972,3587918036,320,0,1,'Your Dismay IV was successful on %t!','Your Dismay IV fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Dismay.lua',2127,'You cast Dismay IV on %t.',0,0,0,1,0,1,2,0,0,260045,0,0,0,0,0,1,0,0,0,'Unset',1580428194,1384378114,0,1),
(260049,3537927486,0,0,'Daunted','An impairment that decreases the enemies offensive abilities.',265,29,315,2898101972,3587918036,380,0,1,'Your Dismay V was successful on %t!','Your Dismay V fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Dismay.lua',2127,'You cast Dismay V on %t.',0,0,0,1,0,1,2,0,0,260045,0,0,0,0,0,1,0,0,0,'Unset',1580428625,1384377828,0,1),
(260050,111680652,0,0,'Dismay VI','An impairment that decreases the enemies offensive abilities.',265,29,315,2898101972,3587918036,430,0,1,'Your Dismay VI was successful on %t!','Your Dismay VI fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Dismay.lua',2127,'You cast Dismay VI on %t.',0,0,0,1,0,1,2,0,0,260045,0,0,0,0,0,1,0,0,0,'Unset',1580429015,1384378112,0,1),
(260051,299043023,0,0,'Dismay VII','An impairment that decreases the enemies offensive abilities.',265,29,315,2898101972,3587918036,480,0,1,'Your Dismay VII was successful on %t!','Your Dismay VII fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Dismay.lua',2127,'You cast Dismay VII on %t.',0,0,0,0,0,0,2,0,0,260045,0,0,0,0,0,1,0,0,0,'Unset',1580429085,1384377828,0,1),
(260052,1556556987,0,0,'Doppelganger','You create a pet illusion for a friend that takes on their appearance.  The pet will then absorb some of the damage taken by your friend.   Upgrades increase the number of hits and damage absorbed.',12,65535,316,2898101972,3587918036,400,0,1,'Your Doppelganger was successful on %t!','Your Doppelganger fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Doppelganger.lua',2128,'You cast Doppelganger on %t.',0,1,1,1,1,0,0,0,0,260052,0,0,0,0,0,0,0,0,0,'Unset',1583556092,1384378112,0,1),
(260053,3845977939,0,0,'Doppelganger II','You create a pet illusion for a friend that takes on their appearance.  The pet will then absorb some of the damage taken by your friend.   Upgrades increase the number of hits and damage absorbed.',12,65535,316,2898101972,3587918036,450,0,1,'Your Doppelganger II was successful on %t!','Your Doppelganger II fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Doppelganger.lua',2128,'You cast Doppelganger II on %t.',0,1,1,1,1,0,0,0,0,260052,0,0,0,0,0,0,0,0,0,'Unset',1583556115,1384378114,0,1),
(260054,1025929645,0,0,'Doppelganger III','You create a pet illusion for a friend that takes on their appearance.  The pet will then absorb some of the damage taken by your friend.   Upgrades increase the number of hits and damage absorbed.',12,65535,316,2898101972,3587918036,500,0,1,'Your Doppelganger III was successful on %t!','Your Doppelganger III fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Doppelganger.lua',2128,'You cast Doppelganger III on %t.',0,0,0,0,1,0,0,0,0,260052,0,0,0,0,0,0,0,0,0,'Unset',1583556144,1384377828,0,1),
(260055,1463253151,0,0,'Sleep','Mesmerizes the target and removes them from being affected by area of effect spells for a short duration. Mesmerization breaks if the target receives any damage. This spell cannot be interrupted.',477,27,315,2898101972,882983852,5,0,1,'Your Entrance was successful on %t!','Your Entrance fades.','',0,0,'Spells/Mage/Enchanter/Illusionist/Entrance.lua',2129,'You cast Entrance on %t.',0,0,0,1,0,0,2,1,0,260055,0,0,0,0,0,0,0,0,0,'Unset',1580265882,1384377865,0,1),
(260056,3838189477,0,0,'Trance','Mesmerizes the target and removes them from being affected by area of effect spells for a short duration. Mesmerization breaks if the target receives any damage. This spell cannot be interrupted.',477,27,315,2898101972,882983852,60,0,1,'Your Entrance II was successful on %t!','Your Entrance II fades.','',0,0,'Spells/Mage/Enchanter/Illusionist/Entrance.lua',2129,'You cast Entrance II on %t.',0,0,0,1,0,0,2,1,0,260055,0,0,0,0,0,0,0,0,0,'Unset',1580265921,1384378114,0,1),
(260057,866194131,0,0,'Entrance','Mesmerizes the target and removes them from being affected by area of effect spells for a short duration. Mesmerization breaks if the target receives any damage. This spell cannot be interrupted.',477,27,315,2898101972,882983852,120,0,1,'Your Entrance III was successful on %t!','Your Entrance III fades.','',0,0,'Spells/Mage/Enchanter/Illusionist/EntranceClassic.lua',2129,'You cast Entrance III on %t.',0,0,0,1,0,0,2,1,0,260055,0,0,0,0,0,0,0,0,0,'Unset',1580266031,1384378115,0,0),
(260058,2420442536,0,0,'Capture Mind','Mesmerizes the target and removes them from being affected by area of effect spells for a short duration. Mesmerization breaks if the target receives any damage. This spell cannot be interrupted.',477,27,315,2898101972,882983852,190,0,1,'Your Entrance IV was successful on %t!','Your Entrance IV fades.','',0,0,'Spells/Mage/Enchanter/Illusionist/Entrance.lua',2129,'You cast Entrance IV on %t.',0,0,0,1,0,0,2,1,0,260055,0,0,0,0,0,1,0,0,0,'Unset',1580266107,1384378114,0,1),
(260059,3628740672,0,0,'Abduct Mind','Mesmerizes the target and removes them from being affected by area of effect spells for a short duration. Mesmerization breaks if the target receives any damage. This spell cannot be interrupted.',477,27,315,2898101972,882983852,260,0,1,'Your Entrance V was successful on %t!','Your Entrance V fades.','',0,0,'Spells/Mage/Enchanter/Illusionist/Entrance.lua',2129,'You cast Entrance V on %t.',0,0,0,1,0,0,2,1,0,260055,0,0,0,0,0,1,0,0,0,'Unset',1580266244,1384378112,0,1),
(260060,2548059764,0,0,'Empty Mind','Mesmerizes the target and removes them from being affected by area of effect spells for a short duration. Mesmerization breaks if the target receives any damage. This spell cannot be interrupted.',477,27,315,2898101972,882983852,330,0,1,'Your Entrance VI was successful on %t!','Your Entrance VI fades.','',0,0,'Spells/Mage/Enchanter/Illusionist/Entrance.lua',0,'You cast Entrance VI on %t.',0,0,0,1,0,0,2,1,0,0,0,0,0,0,0,1,0,0,0,'Unset',1580266531,1384378114,0,1),
(260061,2018701885,0,0,'Mindless','Mesmerizes the target and removes them from being affected by area of effect spells for a short duration. Mesmerization breaks if the target receives any damage. This spell cannot be interrupted.',477,27,315,2898101972,882983852,385,0,1,'Your Entrance VII was successful on %t!','Your Entrance VII fades.','',0,0,'Spells/Mage/Enchanter/Illusionist/Entrance.lua',2129,'You cast Entrance VII on %t.',0,0,0,1,0,1,2,1,0,260055,0,0,0,0,0,1,0,0,0,'Unset',1580266611,1384377828,0,1),
(260062,4029476899,0,0,'Entrance VIII','Mesmerizes the target and removes them from being affected by area of effect spells for a short duration. Mesmerization breaks if the target receives any damage. This spell cannot be interrupted.',477,27,315,2898101972,882983852,435,0,1,'Your Entrance VIII was successful on %t!','Your Entrance VIII fades.','',0,0,'Spells/Mage/Enchanter/Illusionist/Entrance.lua',2129,'You cast Entrance VIII on %t.',0,0,0,1,0,0,2,1,0,260055,0,0,0,0,0,1,0,0,0,'Unset',1580266709,1384378112,0,1),
(260063,202493410,0,1,'Scintillation','Increases in-combat power replenishment of the illusionist''s group. This ability does stack with the bard''s concentration group power replenishment song.\n\n\"I recall taking a break from my studies, allowing the cool ocean air on the docks of Erudin to rejuvenate my mind.\" -Ellonialis',475,27,314,2898101972,366253016,90,1,2,'Your Epiphany was successful on %t!','Your Epiphany fades.','',0,1,'Spells/Mage/Enchanter/Illusionist/Epiphany.lua',2130,'You cast Epiphany on %t.',0,0,0,1,1,1,0,0,0,260063,0,0,0,0,0,0,0,0,0,'Unset',1580427091,1384378112,0,1),
(260064,3700488489,0,1,'Scintillating Aura','Increases in-combat power replenishment of the illusionist''s group. This ability does stack with the bard''s concentration group power replenishment song.\n\n\"I recall taking a break from my studies, allowing the cool ocean air on the docks of Erudin to rejuvenate my mind.\" -Ellonialis',475,27,314,2898101972,366253016,165,1,2,'Your Epiphany II was successful on %t!','Your Epiphany II fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/Epiphany.lua',2130,'You cast Epiphany II on %t.',0,0,0,1,1,1,0,0,0,260063,0,0,0,0,0,1,0,0,0,'Unset',1580427119,1384378114,0,1),
(260065,561435100,0,1,'Insight','Increases in-combat power replenishment of the illusionist''s group. This ability does stack with the bard''s concentration group power replenishment song.\n\n\"I recall taking a break from my studies, allowing the cool ocean air on the docks of Erudin to rejuvenate my mind.\" -Ellonialis',475,27,314,2898101972,366253016,235,1,2,'Your Epiphany III was successful on %t!','Your Epiphany III fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/Epiphany.lua',2130,'You cast Epiphany III on %t.',0,0,0,1,1,1,0,0,0,260063,0,0,0,0,0,1,0,0,0,'Unset',1580427132,1384378114,0,1),
(260066,2329289825,0,1,'Epiphany','Increases in-combat power replenishment of the illusionist''s group. This ability does stack with the bard''s concentration group power replenishment song.\n\n\"I recall taking a break from my studies, allowing the cool ocean air on the docks of Erudin to rejuvenate my mind.\" -Ellonialis',475,27,314,2898101972,366253016,305,1,2,'Your Epiphany IV was successful on %t!','Your Epiphany IV fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/Epiphany.lua',2130,'You cast Epiphany IV on %t.',0,0,0,1,1,1,0,0,0,260063,0,0,0,0,0,1,0,0,0,'Unset',1580427146,1384378114,0,1),
(260067,134306398,0,1,'Percolate','Increases in-combat power replenishment of the illusionist''s group. This ability does stack with the bard''s concentration group power replenishment song.\n\n\"I recall taking a break from my studies, allowing the cool ocean air on the docks of Erudin to rejuvenate my mind.\" -Ellonialis',475,27,314,2898101972,366253016,365,1,2,'Your Epiphany V was successful on %t!','Your Epiphany V fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/Epiphany.lua',2130,'You cast Epiphany V on %t.',0,0,0,1,1,1,0,0,0,260063,0,0,0,0,0,1,0,0,0,'Unset',1580427157,1384378112,0,1),
(260068,3696615258,0,1,'Epiphany VI','Increases in-combat power replenishment of the illusionist''s group. This ability does stack with the bard''s concentration group power replenishment song.\n\n\"I recall taking a break from my studies, allowing the cool ocean air on the docks of Erudin to rejuvenate my mind.\" -Ellonialis',475,27,314,2898101972,366253016,415,1,2,'Your Epiphany VI was successful on %t!','Your Epiphany VI fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/Epiphany.lua',2130,'You cast Epiphany VI on %t.',0,0,0,1,1,1,0,0,0,260063,0,0,0,0,0,1,0,0,0,'Unset',1580427174,1384378112,0,1),
(260069,500891802,0,1,'Epiphany VII','Increases in-combat power replenishment of the illusionist''s group. This ability does stack with the bard''s concentration group power replenishment song.\n\n\"I recall taking a break from my studies, allowing the cool ocean air on the docks of Erudin to rejuvenate my mind.\" -Ellonialis',475,27,314,2898101972,366253016,465,1,2,'Your Epiphany VII was successful on %t!','Your Epiphany VII fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/Epiphany.lua',2130,'You cast Epiphany VII on %t.',0,0,0,0,1,0,0,0,0,260063,0,0,0,0,0,1,0,0,0,'Unset',1580427559,1384378114,0,1),
(260070,3944964549,0,0,'Tap Mind','Slowly converts the illusionist''s health into power over time.',170,24,317,2898101972,366253016,65,0,0,'Your Extract Mana was successful on %t!','Your Extract Mana fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/ExtractMana.lua',2131,'You cast Extract Mana on %t.',0,0,0,1,1,1,0,0,0,260070,0,0,0,0,0,0,0,0,0,'Unset',1580364832,1384378114,0,1),
(260071,3788656339,0,0,'Excruciating Reverie','Slowly converts the illusionist''s health into power over time.',170,24,317,2898101972,366253016,135,0,0,'Your Extract Mana II was successful on %t!','Your Extract Mana II fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/ExcruciatingReverie.lua',2131,'You cast Extract Mana II on %t.',0,0,0,1,1,1,0,0,0,260070,0,0,0,0,0,0,0,0,0,'Unset',1580364899,1384378114,0,1),
(260072,2278521205,0,0,'Siphon Self','Slowly converts the illusionist''s health into power over time.',170,24,317,2898101972,366253016,205,0,0,'Your Extract Mana III was successful on %t!','Your Extract Mana III fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/ExtractMana.lua',2131,'You cast Extract Mana III on %t.',0,0,0,1,1,1,0,0,0,260070,0,0,0,0,0,1,0,0,0,'Unset',1580364983,1384377828,0,1),
(260073,3044284576,0,0,'Essence Siphon','Slowly converts the illusionist''s health into power over time.',170,24,317,2898101972,366253016,275,0,0,'Your Extract Mana IV was successful on %t!','Your Extract Mana IV fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/ExtractMana.lua',2131,'You cast Extract Mana IV on %t.',0,0,0,1,1,1,0,0,0,260070,0,0,0,0,0,1,0,0,0,'Unset',1580365026,1384377828,0,1),
(260074,1363694168,0,0,'Extract Essence','Slowly converts the illusionist''s health into power over time.',170,24,317,2898101972,366253016,345,0,0,'Your Extract Mana V was successful on %t!','Your Extract Mana V fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/ExtractMana.lua',2131,'You cast Extract Mana V on %t.',0,0,0,1,1,1,0,0,0,260070,0,0,0,0,0,1,0,0,0,'Unset',1580365179,1384378114,0,1),
(260075,2409109709,0,0,'Extract Mana','Slowly converts the illusionist''s health into power over time.',170,24,317,2898101972,366253016,395,0,0,'Your Extract Mana VI was successful on %t!','Your Extract Mana VI fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/ExtractMana.lua',2131,'You cast Extract Mana VI on %t.',0,0,0,1,1,1,0,0,0,260070,0,0,0,0,0,1,0,0,0,'Unset',1580365323,1384378114,0,1),
(260076,3675315024,0,0,'Extract Mana VII','Slowly converts the illusionist''s health into power over time.',170,24,317,2898101972,366253016,445,0,0,'Your Extract Mana VII was successful on %t!','Your Extract Mana VII fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/ExtractMana.lua',2131,'You cast Extract Mana VII on %t.',0,0,0,1,1,1,0,0,0,260070,0,0,0,0,0,1,0,0,0,'Unset',1580365410,1384378157,0,1),
(260077,1659568312,0,0,'Extract Mana VIII','Slowly converts the illusionist''s health into power over time.',170,24,317,2898101972,366253016,495,0,0,'Your Extract Mana VIII was successful on %t!','Your Extract Mana VIII fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/ExtractMana.lua',2131,'You cast Extract Mana VIII on %t.',0,0,0,0,1,0,0,0,0,260070,0,0,0,0,0,1,0,0,0,'Unset',1580365537,1384378114,0,1),
(260078,592132193,0,0,'Flash of Brilliance- Possible Spell','A group augmentation that significantly increases intelligence, focus, and casting techniques of the illusionist''s group for a short duration. Increases to casting technique makes it more difficult for enemies to outright resist your group''s spells.',209,27,314,2898101972,3587918036,125,0,2,'Your Flash of Brilliance was successful on %t!','Your Flash of Brilliance fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/FlashofBrilliance.lua',2132,'You cast Flash of Brilliance on %t.',0,0,0,1,1,1,0,0,0,260078,0,0,0,0,0,0,0,0,0,'Unset',1580430860,1384377828,0,1),
(260079,2909408539,0,0,'Fleeting Sentiment','A group augmentation that significantly increases intelligence, focus, and casting techniques of the illusionist''s group for a short duration. Increases to casting technique makes it more difficult for enemies to outright resist your group''s spells.',209,27,314,2898101972,3587918036,195,0,2,'Your Flash of Brilliance II was successful on %t!','Your Flash of Brilliance II fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/FlashofBrilliance.lua',2132,'You cast Flash of Brilliance II on %t.',0,0,0,1,1,1,0,0,0,260078,0,0,0,0,0,1,0,0,0,'Unset',1580430881,1384378112,0,1),
(260080,3681434066,0,0,'Transient Sentiment','A group augmentation that significantly increases intelligence, focus, and casting techniques of the illusionist''s group for a short duration. Increases to casting technique makes it more difficult for enemies to outright resist your group''s spells.',209,27,314,2898101972,3587918036,265,0,2,'Your Flash of Brilliance III was successful on %t!','Your Flash of Brilliance III fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/FlashofBrilliance.lua',2132,'You cast Flash of Brilliance III on %t.',0,0,0,1,1,1,0,0,0,260078,0,0,0,0,0,1,0,0,0,'Unset',1580430892,1384378112,0,1),
(260081,1144963193,0,0,'Momentary Sentiment','A group augmentation that significantly increases intelligence, focus, and casting techniques of the illusionist''s group for a short duration. Increases to casting technique makes it more difficult for enemies to outright resist your group''s spells.',209,27,314,2898101972,3587918036,335,0,2,'Your Flash of Brilliance IV was successful on %t!','Your Flash of Brilliance IV fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/FlashofBrilliance.lua',2132,'You cast Flash of Brilliance IV on %t.',0,0,0,1,1,1,0,0,0,260078,0,0,0,0,0,1,0,0,0,'Unset',1580430905,1384378114,0,1),
(260082,2029374767,0,0,'Flash of Brilliance','A group augmentation that significantly increases intelligence, focus, and casting techniques of the illusionist''s group for a short duration. Increases to casting technique makes it more difficult for enemies to outright resist your group''s spells.',209,27,314,2898101972,3587918036,390,0,2,'Your Flash of Brilliance V was successful on %t!','Your Flash of Brilliance V fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/FlashofBrilliance.lua',2132,'You cast Flash of Brilliance V on %t.',0,0,0,1,1,1,0,0,0,260078,0,0,0,0,0,1,0,0,0,'Unset',1580430926,1384377828,0,1),
(260083,2758792559,0,0,'Flash of Brilliance VI','A group augmentation that significantly increases intelligence, focus, and casting techniques of the illusionist''s group for a short duration. Increases to casting technique makes it more difficult for enemies to outright resist your group''s spells.',209,27,314,2898101972,3587918036,440,0,2,'Your Flash of Brilliance VI was successful on %t!','Your Flash of Brilliance VI fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/FlashofBrilliance.lua',2132,'You cast Flash of Brilliance VI on %t.',0,0,0,1,1,1,0,0,0,260078,0,0,0,0,0,1,0,0,0,'Unset',1580430939,1384378114,0,1),
(260084,3007820207,0,0,'Flash of Brilliance VII','A group augmentation that significantly increases intelligence, focus, and casting techniques of the illusionist''s group for a short duration. Increases to casting technique makes it more difficult for enemies to outright resist your group''s spells.',209,27,314,2898101972,3587918036,490,0,2,'Your Flash of Brilliance VII was successful on %t!','Your Flash of Brilliance VII fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/FlashofBrilliance.lua',2132,'You cast Flash of Brilliance VII on %t.',0,0,0,0,1,0,0,0,0,260078,0,0,0,0,0,1,0,0,0,'Unset',1580430951,1384378114,0,1),
(260085,2463870178,0,0,'Illusion: Burynai','',267,65535,317,2898101972,0,400,0,0,'Your Illusion: Burynai was successful on %t!','Your Illusion: Burynai fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/IllusionBurynai.lua',0,'You cast Illusion: Burynai on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1583556240,1384377875,0,1),
(260086,2177473215,0,0,'Illusion: Drachnid','',267,65535,317,2898101972,0,400,0,0,'Your Illusion: Drachnid was successful on %t!','Your Illusion: Drachnid fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/IllusionDrachnid.lua',0,'You cast Illusion: Drachnid on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589588991,1384377875,0,1),
(260087,648118638,0,0,'Illusion: Fishman','',267,65535,317,2898101972,0,400,0,0,'Your Illusion: Fishman was successful on %t!','Your Illusion: Fishman fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/IllusionFishman.lua',0,'You cast Illusion: Fishman on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589589039,1384377875,0,1),
(260088,2751018622,0,0,'Illusion: Spiroc','',267,65535,317,2898101972,0,400,0,0,'Your Illusion: Spiroc was successful on %t!','Your Illusion: Spiroc fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/IllusionSpiroc.lua',0,'You cast Illusion: Spiroc on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589589051,1384377875,0,1),
(260089,2698907796,0,0,'Illusory Allies','Creates illusionary copies of the illusionist''s group for a short duration. They confuse the enemies in target encounter into attacking them.',269,24,312,2898101972,882983852,275,0,1,'Your Illusory Allies was successful on %t!','Your Illusory Allies fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/IllusoryAllies.lua',2133,'You cast Illusory Allies on %t.',0,0,0,1,0,0,2,0,1,260089,0,0,0,0,0,0,0,0,0,'Unset',1580521616,1384378112,0,1),
(260090,1653989936,0,0,'Illusory Group','Creates illusionary copies of the illusionist''s group for a short duration. They confuse the enemies in target encounter into attacking them.',269,24,312,2898101972,882983852,370,0,1,'Your Illusory Allies II was successful on %t!','Your Illusory Allies II fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/IllusoryAllies.lua',2133,'You cast Illusory Allies II on %t.',0,0,0,1,0,0,2,0,1,260089,0,0,0,0,0,0,0,0,0,'Unset',1580521691,1384378112,0,1),
(260091,545126576,0,0,'Illusory Allies III','Creates illusionary copies of the illusionist''s group for a short duration. They confuse the enemies in target encounter into attacking them.',269,24,312,2898101972,882983852,420,0,1,'Your Illusory Allies III was successful on %t!','Your Illusory Allies III fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/IllusoryAllies.lua',2133,'You cast Illusory Allies III on %t.',0,0,0,1,0,0,2,0,1,260089,0,0,0,0,0,0,0,0,0,'Unset',1580521846,1384378112,0,1),
(260092,3475983953,0,0,'Illusory Allies IV','Creates illusionary copies of the illusionist''s group for a short duration. They confuse the enemies in target encounter into attacking them.',269,24,312,2898101972,882983852,470,0,1,'Your Illusory Allies IV was successful on %t!','Your Illusory Allies IV fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/IllusoryAllies.lua',2133,'You cast Illusory Allies IV on %t.',0,0,0,0,0,0,2,0,1,260089,0,0,0,0,0,0,0,0,0,'Unset',1580521870,1384377827,0,1),
(260093,3581921834,0,0,'Illusory Mask- Possible Spell','An augmentation that grants invisibility to the illusionist''s group.',231,65535,314,2898101972,3587918036,120,0,2,'Your Illusory Mask was successful on %t!','Your Illusory Mask fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/IllusoryMask.lua',2134,'You cast Illusory Mask on %t.',0,0,0,0,1,1,0,0,0,260093,0,0,0,0,0,0,0,0,0,'Unset',1580430699,1384378114,0,1),
(260094,3593844873,0,0,'Binding Light','Roots the illusionist''s target in place, preventing them from movement. This also stifles and blurs their vision until they are struck by any damage. Upgrades to this spell reduce the target''s resistance to the full duration of the root effect.',166,24,315,287643040,882983852,25,0,1,'Your Lockdown was successful on %t!','Your Lockdown fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Lockdown.lua',2135,'You cast Lockdown on %t.',0,0,0,1,0,0,2,0,0,260094,0,0,0,0,0,0,0,0,0,'Unset',1580362027,1384378114,0,1),
(260095,317472550,0,0,'Locking Light','Roots the illusionist''s target in place, preventing them from movement. This also stifles and blurs their vision until they are struck by any damage. Upgrades to this spell reduce the target''s resistance to the full duration of the root effect.',166,24,315,2898101972,882983852,95,0,1,'Your Lockdown II was successful on %t!','Your Lockdown II fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Lockdown.lua',2135,'You cast Lockdown II on %t.',0,0,0,1,0,1,2,0,0,260094,0,0,0,0,0,0,0,0,0,'Unset',1580362067,1384378114,0,1),
(260096,3903057431,0,0,'Lock Mind','Roots the illusionist''s target in place, preventing them from movement. This also stifles and blurs their vision until they are struck by any damage. Upgrades to this spell reduce the target''s resistance to the full duration of the root effect.',166,24,315,2898101972,882983852,165,0,1,'Your Lockdown III was successful on %t!','Your Lockdown III fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Lockdown.lua',2135,'You cast Lockdown III on %t.',0,0,0,1,0,1,2,0,0,260094,0,0,0,0,0,1,0,0,0,'Unset',1580362120,1384377828,0,1),
(260097,3690509802,0,0,'Terrifying Vision','Roots the illusionist''s target in place, preventing them from movement. This also stifles and blurs their vision until they are struck by any damage. Upgrades to this spell reduce the target''s resistance to the full duration of the root effect.',166,24,315,2898101972,882983852,235,0,1,'Your Lockdown IV was successful on %t!','Your Lockdown IV fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Lockdown.lua',2135,'You cast Lockdown IV on %t.',0,0,0,1,0,1,2,0,0,260094,0,0,0,0,0,1,0,0,0,'Unset',1580362160,1384377833,0,1),
(260098,3930056949,0,0,'Lockdown','Roots the illusionist''s target in place, preventing them from movement. This also stifles and blurs their vision until they are struck by any damage. Upgrades to this spell reduce the target''s resistance to the full duration of the root effect.',166,24,315,2898101972,882983852,305,0,1,'Your Lockdown V was successful on %t!','Your Lockdown V fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Lockdown.lua',2135,'You cast Lockdown V on %t.',0,0,0,1,0,1,2,0,0,260094,0,0,0,0,0,1,0,0,0,'Unset',1580362193,1384377828,0,1),
(260099,3416036366,0,0,'Inhibition','Roots the illusionist''s target in place, preventing them from movement. This also stifles and blurs their vision until they are struck by any damage. Upgrades to this spell reduce the target''s resistance to the full duration of the root effect.',166,24,315,2898101972,882983852,365,0,1,'Your Lockdown VI was successful on %t!','Your Lockdown VI fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Lockdown.lua',2135,'You cast Lockdown VI on %t.',0,0,0,1,0,1,2,0,0,260094,0,0,0,0,0,1,0,0,0,'Unset',1580362227,1384378112,0,1),
(260100,3166442446,0,0,'Lockdown VII','Roots the illusionist''s target in place, preventing them from movement. This also stifles and blurs their vision until they are struck by any damage. Upgrades to this spell reduce the target''s resistance to the full duration of the root effect.',166,24,315,2898101972,882983852,415,0,1,'Your Lockdown VII was successful on %t!','Your Lockdown VII fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Lockdown.lua',2135,'You cast Lockdown VII on %t.',0,0,0,1,0,1,2,0,0,260094,0,0,0,0,0,1,0,0,0,'Unset',1580362262,1384378112,0,1),
(260101,525073807,0,0,'Devitalizing Stare','Drains power over time from the target and surrounding encounter members. A portion of this power is added over time to the illusionist''s group.',341,29,312,2898101972,613995491,170,0,2,'Your Manatap was successful on %t!','Your Manatap fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Manatap.lua',2137,'You cast Manatap on %t.',0,0,0,1,0,1,2,0,0,260101,0,0,0,0,0,1,0,0,0,'Unset',1580433495,1384378112,0,1),
(260102,1303895573,0,0,'Devitalizing Gazes','Drains power over time from the target and surrounding encounter members. A portion of this power is added over time to the illusionist''s group.',341,29,312,2898101972,613995491,240,0,2,'Your Manatap II was successful on %t!','Your Manatap II fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Manatap.lua',2137,'You cast Manatap II on %t.',0,0,0,1,0,1,2,0,0,260101,0,0,0,0,0,1,0,0,0,'Unset',1580436278,1384378114,0,1),
(260103,3172265786,0,0,'Manatap','Drains power over time from the target and surrounding encounter members. A portion of this power is added over time to the illusionist''s group.',341,29,312,2898101972,613995491,310,0,2,'Your Manatap III was successful on %t!','Your Manatap III fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Manatap.lua',2137,'You cast Manatap III on %t.',0,0,0,1,0,1,2,0,0,260101,0,0,0,0,0,1,0,0,0,'Unset',1580440458,1384377828,0,1),
(260104,1483454423,0,0,'Manatap IV','Drains power over time from the target and surrounding encounter members. A portion of this power is added over time to the illusionist''s group.',341,29,312,2898101972,613995491,370,0,2,'Your Manatap IV was successful on %t!','Your Manatap IV fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Manatap.lua',2137,'You cast Manatap IV on %t.',0,0,0,1,0,1,2,0,0,260101,0,0,0,0,0,1,0,0,0,'Unset',1580442507,1384377827,0,1),
(260105,2841701466,0,0,'Manatap V','Drains power over time from the target and surrounding encounter members. A portion of this power is added over time to the illusionist''s group.',341,29,312,2898101972,613995491,420,0,2,'Your Manatap V was successful on %t!','Your Manatap V fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Manatap.lua',2137,'You cast Manatap V on %t.',0,0,0,1,0,1,2,0,0,260101,0,0,0,0,0,1,0,0,0,'Unset',1580443262,1384378112,0,1),
(260106,1185056612,0,0,'Manatap VI','Drains power over time from the target and surrounding encounter members. A portion of this power is added over time to the illusionist''s group.',341,29,312,2898101972,613995491,470,0,2,'Your Manatap VI was successful on %t!','Your Manatap VI fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Manatap.lua',2137,'You cast Manatap VI on %t.',0,0,0,0,0,0,2,0,0,260101,0,0,0,0,0,1,0,0,0,'Unset',1580519470,1384378114,0,1),
(260107,1041025792,0,1,'Mirage Mastery','This is the condensed energy of an ancient, mythical weapon.',266,65535,317,2898101972,0,400,1,1,'Your Mirage Mastery was successful on %t!','Your Mirage Mastery fades.','',1,1,'',3543,'You cast Mirage Mastery on %t.',0,0,0,1,1,1,0,0,0,260107,0,0,0,0,0,0,0,0,0,'Unset',1580522215,1384377877,0,1),
(260108,2355019994,0,0,'Sadness','Deals mental damage over time to the target and decreases their arcane resistance.',476,29,315,2898101972,613995491,70,0,1,'Your Nightmare was successful on %t!','Your Nightmare fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Nightmare.lua',2138,'You cast Nightmare on %t.',0,0,0,1,0,0,2,0,0,260108,0,0,0,0,0,0,0,0,0,'DoT',1580365707,1384377828,0,1),
(260109,1536408525,0,0,'Nightmare','Deals mental damage over time to the target and decreases their arcane resistance.',476,29,315,2898101972,613995491,140,0,1,'Your Nightmare II was successful on %t!','Your Nightmare II fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/NightmareClassic.lua',2138,'You cast Nightmare II on %t.',0,0,0,1,0,1,2,0,0,260108,0,0,0,0,0,0,0,0,0,'DoT',1580365804,1384377827,0,1),
(260110,1332715514,0,0,'Wither Hope','Deals mental damage over time to the target and decreases their arcane resistance.',476,29,315,2898101972,613995491,210,0,1,'Your Nightmare III was successful on %t!','Your Nightmare III fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Nightmare.lua',2138,'You cast Nightmare III on %t.',0,0,0,1,0,1,2,0,0,260108,0,0,0,0,0,1,0,0,0,'DoT',1580365845,1384378114,0,1),
(260111,2792842201,0,0,'Devour Hope','Deals mental damage over time to the target and decreases their arcane resistance.',476,29,315,2898101972,613995491,280,0,1,'Your Nightmare IV was successful on %t!','Your Nightmare IV fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Nightmare.lua',2138,'You cast Nightmare IV on %t.',0,0,0,1,0,1,2,0,0,260108,0,0,0,0,0,1,0,0,0,'DoT',1580366548,1384378112,0,1),
(260112,4221485092,0,0,'Abolish Hope','Deals mental damage over time to the target and decreases their arcane resistance.',476,29,315,2898101972,613995491,350,0,1,'Your Nightmare V was successful on %t!','Your Nightmare V fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Nightmare.lua',2138,'You cast Nightmare V on %t.',0,0,0,1,0,1,2,0,0,260108,0,0,0,0,0,1,0,0,0,'DoT',1580366641,1384377827,0,1),
(260113,1050900361,0,0,'Pessimism','Deals mental damage over time to the target and decreases their arcane resistance.',476,29,315,2898101972,613995491,400,0,1,'Your Nightmare VI was successful on %t!','Your Nightmare VI fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Nightmare.lua',2138,'You cast Nightmare VI on %t.',0,0,0,1,0,1,2,0,0,260108,0,0,0,0,0,1,0,0,0,'DoT',1580366737,1384378112,0,1),
(260114,3985131063,0,0,'Nightmare VII','Deals mental damage over time to the target and decreases their arcane resistance.',476,29,315,2898101972,613995491,450,0,1,'Your Nightmare VII was successful on %t!','Your Nightmare VII fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Nightmare.lua',2138,'You cast Nightmare VII on %t.',0,0,0,1,0,1,2,0,0,260108,0,0,0,0,0,1,0,0,0,'DoT',1580366849,1384378114,0,1),
(260115,2914493731,0,0,'Nightmare VIII','Deals mental damage over time to the target and decreases their arcane resistance.',476,29,315,2898101972,613995491,500,0,1,'Your Nightmare VIII was successful on %t!','Your Nightmare VIII fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Nightmare.lua',2138,'You cast Nightmare VIII on %t.',0,0,0,0,0,0,2,0,0,260108,0,0,0,0,0,1,0,0,0,'DoT',1580366931,1384378115,0,1),
(260116,1542775332,0,0,'Confusion','Temporarily stuns the illusionist''s target and deals mental damage.',5,29,315,2898101972,882983852,10,0,1,'Your Paranoia was successful on %t!','Your Paranoia fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Paranoia.lua',2139,'You cast Paranoia on %t.',0,0,0,1,0,0,2,4,0,260116,0,0,0,0,0,0,0,0,0,'DD',1580268005,1384378115,0,1),
(260117,363035079,0,0,'Paranoia','Temporarily stuns the illusionist''s target and deals mental damage.',5,29,315,2898101972,882983852,65,0,1,'Your Paranoia II was successful on %t!','Your Paranoia II fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Paranoia.lua',2139,'You cast Paranoia II on %t.',0,0,0,1,0,0,2,4,0,260116,0,0,0,0,0,0,0,0,0,'DD',1580268059,1384378114,0,1),
(260118,2725077888,0,0,'Uncertainty','Temporarily stuns the illusionist''s target and deals mental damage.',5,29,315,2898101972,882983852,135,0,1,'Your Paranoia III was successful on %t!','Your Paranoia III fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Uncertainty.lua',2139,'You cast Paranoia III on %t.',0,0,0,1,0,1,2,4,0,260116,0,0,0,0,0,0,0,0,0,'DD',1580268122,1384378114,0,1),
(260119,3367207782,0,0,'Drain Will','Temporarily stuns the illusionist''s target and deals mental damage.',5,29,315,2898101972,882983852,205,0,1,'Your Paranoia IV was successful on %t!','Your Paranoia IV fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Paranoia.lua',2139,'You cast Paranoia IV on %t.',0,0,0,1,0,1,2,4,0,260116,0,0,0,0,0,1,0,0,0,'DD',1580268414,1384378114,0,1),
(260120,3091335243,0,0,'Paranoia IX','Temporarily stuns the illusionist''s target and deals mental damage.',5,29,315,2898101972,882983852,495,0,1,'Your Paranoia IX was successful on %t!','Your Paranoia IX fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Paranoia.lua',2139,'You cast Paranoia IX on %t.',0,0,0,0,0,0,2,4,0,260116,0,0,0,0,0,1,0,0,0,'DD',1580268841,1384377828,0,1),
(260121,1600665170,0,0,'Sap Will','Temporarily stuns the illusionist''s target and deals mental damage.',5,29,315,2898101972,882983852,275,0,1,'Your Paranoia V was successful on %t!','Your Paranoia V fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Paranoia.lua',2139,'You cast Paranoia V on %t.',0,0,0,1,0,1,2,4,0,260116,0,0,0,0,0,1,0,0,0,'DD',1580268476,1384378112,0,1),
(260122,1509999548,0,0,'Forsake Will','Temporarily stuns the illusionist''s target and deals mental damage.',5,29,315,2898101972,882983852,345,0,1,'Your Paranoia VI was successful on %t!','Your Paranoia VI fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Paranoia.lua',2139,'You cast Paranoia VI on %t.',0,0,0,1,0,1,2,4,0,260116,0,0,0,0,0,1,0,0,0,'DD',1580268579,1384378114,0,1),
(260123,1167082879,0,0,'Withdrawl','Temporarily stuns the illusionist''s target and deals mental damage.',5,29,315,2898101972,882983852,395,0,1,'Your Paranoia VII was successful on %t!','Your Paranoia VII fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Paranoia.lua',2139,'You cast Paranoia VII on %t.',0,0,0,1,0,1,2,4,0,260116,0,0,0,0,0,1,0,0,0,'DD',1580268680,1384378114,0,1),
(260124,2043467659,0,0,'Paranoia VIII','Temporarily stuns the illusionist''s target and deals mental damage.',5,29,315,2898101972,882983852,445,0,1,'Your Paranoia VIII was successful on %t!','Your Paranoia VIII fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Paranoia.lua',2139,'You cast Paranoia VIII on %t.',0,0,0,1,0,1,2,4,0,260116,0,0,0,0,0,1,0,0,0,'DD',1580268742,1384378114,0,1),
(260125,2739564171,0,1,'Personae','The illusionist summons a replica illusion that inherits some of the illusionist''s spells. Although not as powerful as the illusionist''s spell damage, the illusionary replica retains the power of their control spells.',473,24,317,2898101972,882983852,10,1,0,'Your Personae Reflection was successful on %t!','Your Personae Reflection fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/PersonaeReflection.lua',2140,'You cast Personae Reflection on %t.',0,0,0,1,1,0,0,0,0,260125,0,0,0,0,0,0,0,0,0,'Unset',1580268943,1384378115,0,1),
(260126,4069739322,0,1,'Personae Twin','The illusionist summons a replica illusion that inherits some of the illusionist''s spells. Although not as powerful as the illusionist''s spell damage, the illusionary replica retains the power of their control spells.',473,24,317,2898101972,882983852,50,1,0,'Your Personae Reflection II was successful on %t!','Your Personae Reflection II fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/PersonaeReflection.lua',2140,'You cast Personae Reflection II on %t.',0,0,0,1,1,0,0,0,0,260125,0,0,0,0,0,0,0,0,0,'Unset',1580360532,1384378114,0,1),
(260127,2758874333,0,1,'Personae Split','The illusionist summons a replica illusion that inherits some of the illusionist''s spells. Although not as powerful as the illusionist''s spell damage, the illusionary replica retains the power of their control spells.',473,24,317,2898101972,882983852,100,1,0,'Your Personae Reflection III was successful on %t!','Your Personae Reflection III fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/PersonaeReflection.lua',2140,'You cast Personae Reflection III on %t.',0,0,0,1,1,0,0,0,0,260125,0,0,0,0,0,0,0,0,0,'Unset',1580360545,1384377828,0,1),
(260128,518113848,0,1,'Personae Shift','The illusionist summons a replica illusion that inherits some of the illusionist''s spells. Although not as powerful as the illusionist''s spell damage, the illusionary replica retains the power of their control spells.',473,24,317,2898101972,882983852,165,1,0,'Your Personae Reflection IV was successful on %t!','Your Personae Reflection IV fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/PersonaeReflection.lua',2140,'You cast Personae Reflection IV on %t.',0,0,0,1,1,0,0,0,0,260125,0,0,0,0,0,1,0,0,0,'Unset',1580360554,1384378112,0,1),
(260129,2496000206,0,1,'Personae Reflection IX','The illusionist summons a replica illusion that inherits some of the illusionist''s spells. Although not as powerful as the illusionist''s spell damage, the illusionary replica retains the power of their control spells.',473,24,317,2898101972,882983852,470,1,0,'Your Personae Reflection IX was successful on %t!','Your Personae Reflection IX fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/PersonaeReflection.lua',2140,'You cast Personae Reflection IX on %t.',0,0,0,0,1,0,0,0,0,260125,0,0,0,0,0,1,0,0,0,'Unset',1580360616,1384378114,0,1),
(260130,3245876162,0,1,'Personae Duplicate','The illusionist summons a replica illusion that inherits some of the illusionist''s spells. Although not as powerful as the illusionist''s spell damage, the illusionary replica retains the power of their control spells.',473,24,317,2898101972,882983852,235,1,0,'Your Personae Reflection V was successful on %t!','Your Personae Reflection V fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/PersonaeReflection.lua',2140,'You cast Personae Reflection V on %t.',0,0,0,1,1,0,0,0,0,260125,0,0,0,0,0,1,0,0,0,'Unset',1580360566,1384377828,0,1),
(260131,2540495511,0,1,'Personae Mirror','The illusionist summons a replica illusion that inherits some of the illusionist''s spells. Although not as powerful as the illusionist''s spell damage, the illusionary replica retains the power of their control spells.',473,24,317,2898101972,882983852,305,1,0,'Your Personae Reflection VI was successful on %t!','Your Personae Reflection VI fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/PersonaeReflection.lua',2140,'You cast Personae Reflection VI on %t.',0,0,0,1,1,0,0,0,0,260125,0,0,0,0,0,1,0,0,0,'Unset',1580360580,1384378115,0,1),
(260132,1601670222,0,1,'Personae Reflection','The illusionist summons a replica illusion that inherits some of the illusionist''s spells. Although not as powerful as the illusionist''s spell damage, the illusionary replica retains the power of their control spells.',473,24,317,2898101972,882983852,370,1,0,'Your Personae Reflection VII was successful on %t!','Your Personae Reflection VII fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/PersonaeReflection.lua',2140,'You cast Personae Reflection VII on %t.',0,0,0,1,1,0,0,0,0,260125,0,0,0,0,0,1,0,0,0,'Unset',1580360591,1384378112,0,1),
(260133,2213385230,0,1,'Personae Reflection VIII','The illusionist summons a replica illusion that inherits some of the illusionist''s spells. Although not as powerful as the illusionist''s spell damage, the illusionary replica retains the power of their control spells.',473,24,317,2898101972,882983852,420,1,0,'Your Personae Reflection VIII was successful on %t!','Your Personae Reflection VIII fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/PersonaeReflection.lua',2140,'You cast Personae Reflection VIII on %t.',0,0,0,1,1,0,0,0,0,260125,0,0,0,0,0,1,0,0,0,'Unset',1580360604,1384378112,0,1),
(260134,718332460,0,0,'Phantasmal Splendor','Mesmerizes target opponent and nearby encounter members, and removes them from being affected by any area effects.',157,24,312,2898101972,882983852,115,0,1,'Your Phantasmal Awe was successful on %t!','Your Phantasmal Awe fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/PhantasmalSplendor.lua',2141,'You cast Phantasmal Awe on %t.',0,0,0,1,0,1,2,1,0,260134,0,0,0,0,0,0,0,0,0,'Unset',1580430272,1384378114,0,1),
(260135,170027134,0,0,'Phantasmal Grandeur','Mesmerizes target opponent and nearby encounter members, and removes them from being affected by any area effects.',157,24,312,2898101972,882983852,185,0,1,'Your Phantasmal Awe II was successful on %t!','Your Phantasmal Awe II fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/PhantasmalAwe.lua',2141,'You cast Phantasmal Awe II on %t.',0,0,0,1,0,1,2,1,0,260134,0,0,0,0,0,1,0,0,0,'Unset',1580430346,1384378112,0,1),
(260136,2181975387,0,0,'Phantasmal Brilliance','Mesmerizes target opponent and nearby encounter members, and removes them from being affected by any area effects.',157,24,312,2898101972,882983852,255,0,1,'Your Phantasmal Awe III was successful on %t!','Your Phantasmal Awe III fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/PhantasmalAwe.lua',2141,'You cast Phantasmal Awe III on %t.',0,0,0,1,0,1,2,1,0,260134,0,0,0,0,0,1,0,0,0,'Unset',1580430434,1384378112,0,1),
(260137,7817878,0,0,'Phantasmal Resplendance','Mesmerizes target opponent and nearby encounter members, and removes them from being affected by any area effects.',157,24,312,2898101972,882983852,325,0,1,'Your Phantasmal Awe IV was successful on %t!','Your Phantasmal Awe IV fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/PhantasmalAwe.lua',2141,'You cast Phantasmal Awe IV on %t.',0,0,0,1,0,1,2,1,0,260134,0,0,0,0,0,1,0,0,0,'Unset',1580430485,1384378114,0,1),
(260138,1808813821,0,0,'Phantasmal Awe','Mesmerizes target opponent and nearby encounter members, and removes them from being affected by any area effects.',157,24,312,2898101972,882983852,385,0,1,'Your Phantasmal Awe V was successful on %t!','Your Phantasmal Awe V fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/PhantasmalAwe.lua',2141,'You cast Phantasmal Awe V on %t.',0,0,0,1,0,1,2,1,0,260134,0,0,0,0,0,1,0,0,0,'Unset',1580430531,1384377828,0,1),
(260139,2907864360,0,0,'Phantasmal Awe VI','Mesmerizes target opponent and nearby encounter members, and removes them from being affected by any area effects.',157,24,312,2898101972,882983852,435,0,1,'Your Phantasmal Awe VI was successful on %t!','Your Phantasmal Awe VI fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/PhantasmalAwe.lua',2141,'You cast Phantasmal Awe VI on %t.',0,0,0,1,0,1,2,1,0,260134,0,0,0,0,0,1,0,0,0,'Unset',1580430555,1384378114,0,1),
(260140,3684254060,0,0,'Phase','Quickly teleports target enemy to a distant location. Hate towards their current target is almost completely erased.',305,65535,315,2898101972,882983852,325,0,1,'Your Phase was successful on %t!','Your Phase fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Phase.lua',2142,'You cast Phase on %t.',0,0,0,1,0,0,0,0,0,260140,0,0,0,0,0,0,0,0,0,'Unset',1580522088,1384378114,0,1),
(260141,2277089236,0,0,'Prismatic Discord','An augmentation placed on the illusionist''s ally that deals additional mental damage every time they hit for up to 3 hits.',266,25,316,2898101972,613995491,140,0,1,'Your Prismatic Chaos was successful on %t!','Your Prismatic Chaos fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/PrismaticDiscord.lua',2143,'You cast Prismatic Chaos on %t.',0,1,1,1,1,0,0,0,0,260141,0,0,0,0,0,0,0,0,0,'Unset',1580431051,1384377833,0,1),
(260142,4052577166,0,0,'Prismatic Strife','An augmentation placed on the illusionist''s ally that deals additional mental damage every time they hit for up to 3 hits.',266,25,316,2898101972,613995491,210,0,1,'Your Prismatic Chaos II was successful on %t!','Your Prismatic Chaos II fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/PrismaticChaos.lua',2143,'You cast Prismatic Chaos II on %t.',0,1,0,1,1,1,0,0,0,260141,0,0,0,0,0,1,0,0,0,'Unset',1580431108,1384378114,0,1),
(260143,4030431043,0,0,'Prismatic Chaos','An augmentation placed on the illusionist''s ally that deals additional mental damage every time they hit for up to 3 hits.',266,25,316,2898101972,613995491,280,0,1,'Your Prismatic Chaos III was successful on %t!','Your Prismatic Chaos III fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/PrismaticChaos.lua',2143,'You cast Prismatic Chaos III on %t.',0,1,0,1,1,1,0,0,0,260141,0,0,0,0,0,1,0,0,0,'Unset',1580431198,1384377828,0,1),
(260144,2377386936,0,0,'Pristmatic Havoc','An augmentation placed on the illusionist''s ally that deals additional mental damage every time they hit for up to 3 hits.',266,25,316,2898101972,613995491,350,0,1,'Your Prismatic Chaos IV was successful on %t!','Your Prismatic Chaos IV fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/PrismaticChaos.lua',2143,'You cast Prismatic Chaos IV on %t.',0,1,0,1,1,1,0,0,0,260141,0,0,0,0,0,1,0,0,0,'Unset',1580431245,1384377827,0,1),
(260145,1051841550,0,0,'Prismatic Adornment','An augmentation placed on the illusionist''s ally that deals additional mental damage every time they hit for up to 3 hits.',266,25,316,2898101972,613995491,400,0,1,'Your Prismatic Chaos V was successful on %t!','Your Prismatic Chaos V fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/PrismaticChaos.lua',2143,'You cast Prismatic Chaos V on %t.',0,1,0,1,1,1,0,0,0,260141,0,0,0,0,0,1,0,0,0,'Unset',1580431302,1384378112,0,1),
(260146,2493061425,0,0,'Prismatic Chaos VI','An augmentation placed on the illusionist''s ally that deals additional mental damage every time they hit for up to 3 hits.',266,25,316,2898101972,613995491,450,0,1,'Your Prismatic Chaos VI was successful on %t!','Your Prismatic Chaos VI fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/PrismaticChaos.lua',2143,'You cast Prismatic Chaos VI on %t.',0,1,0,1,1,1,0,0,0,260141,0,0,0,0,0,1,0,0,0,'Unset',1580431327,1384378114,0,1),
(260147,3145236868,0,0,'Prismatic Chaos VII','An augmentation placed on the illusionist''s ally that deals additional mental damage every time they hit for up to 3 hits.',266,25,316,2898101972,613995491,500,0,1,'Your Prismatic Chaos VII was successful on %t!','Your Prismatic Chaos VII fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/PrismaticChaos.lua',2143,'You cast Prismatic Chaos VII on %t.',0,0,0,0,1,0,0,0,0,260141,0,0,0,0,0,1,0,0,0,'Unset',1580431399,1384377828,0,1),
(260148,1477218420,0,1,'Alacrity','Increases the attack speed of target ally.',300,24,316,2898101972,3587918036,100,1,1,'Your Rapidity was successful on %t!','Your Rapidity fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Alacrity.lua',2148,'You cast Rapidity on %t.',0,0,0,1,1,1,0,0,0,260148,0,0,0,0,0,0,0,0,0,'Unset',1580429508,1384378114,0,1),
(260149,9117198,0,1,'Celerity','Increases the attack speed of target ally.',300,24,316,2898101972,3587918036,170,1,1,'Your Rapidity II was successful on %t!','Your Rapidity II fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Rapidity.lua',2148,'You cast Rapidity II on %t.',0,0,0,1,1,1,0,0,0,260148,0,0,0,0,0,1,0,0,0,'Unset',1580429797,1384378112,0,1),
(260150,3081359513,0,1,'Legerity','Increases the attack speed of target ally.',300,24,316,2898101972,3587918036,240,1,1,'Your Rapidity III was successful on %t!','Your Rapidity III fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Rapidity.lua',2148,'You cast Rapidity III on %t.',0,0,0,1,1,1,0,0,0,260148,0,0,0,0,0,1,0,0,0,'Unset',1580429905,1384378114,0,1),
(260151,1811382865,0,1,'Rapidity','Increases the attack speed of target ally.',300,24,316,2898101972,3587918036,310,1,1,'Your Rapidity IV was successful on %t!','Your Rapidity IV fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Rapidity.lua',2148,'You cast Rapidity IV on %t.',0,0,0,1,1,1,0,0,0,260148,0,0,0,0,0,1,0,0,0,'Unset',1580430130,1384377828,0,1),
(260152,1847304358,0,0,'Convincing Regalia','An additional mesmerization spell for the illusionist that costs less but lasts for a shorter duration. Mesmerization breaks if the target receives any damage. This spell cannot be interrupted or fizzled.',269,24,315,2898101972,882983852,200,0,1,'Your Regalia was successful on %t!','Your Regalia fades.','',0,1,'Spells/Mage/Enchanter/Illusionist/Regalia.lua',2149,'You cast Regalia on %t.',0,0,0,1,0,1,2,1,0,260152,0,0,0,0,0,1,0,0,0,'Unset',1580520447,1384378114,0,1),
(260153,3460111019,0,0,'Brilliant Regalia','An additional mesmerization spell for the illusionist that costs less but lasts for a shorter duration. Mesmerization breaks if the target receives any damage. This spell cannot be interrupted or fizzled.',269,24,315,2898101972,882983852,270,0,1,'Your Regalia II was successful on %t!','Your Regalia II fades.','',0,1,'Spells/Mage/Enchanter/Illusionist/Regalia.lua',2149,'You cast Regalia II on %t.',0,0,0,1,0,1,2,1,0,260152,0,0,0,0,0,1,0,0,0,'Unset',1580520496,1384378112,0,1),
(260154,1283401398,0,0,'Lustrous Regalia','An additional mesmerization spell for the illusionist that costs less but lasts for a shorter duration. Mesmerization breaks if the target receives any damage. This spell cannot be interrupted or fizzled.',269,24,315,2898101972,882983852,340,0,1,'Your Regalia III was successful on %t!','Your Regalia III fades.','',0,1,'Spells/Mage/Enchanter/Illusionist/Regalia.lua',2149,'You cast Regalia III on %t.',0,0,0,1,0,1,2,1,0,260152,0,0,0,0,0,1,0,0,0,'Unset',1580520574,1384378114,0,1),
(260155,152359089,0,0,'Regalia','An additional mesmerization spell for the illusionist that costs less but lasts for a shorter duration. Mesmerization breaks if the target receives any damage. This spell cannot be interrupted or fizzled.',269,24,315,2898101972,882983852,390,0,1,'Your Regalia IV was successful on %t!','Your Regalia IV fades.','',0,1,'Spells/Mage/Enchanter/Illusionist/Regalia.lua',2149,'You cast Regalia IV on %t.',0,0,0,1,0,1,2,1,0,260152,0,0,0,0,0,1,0,0,0,'Unset',1580520624,1384378114,0,1),
(260156,4162816828,0,0,'Regalia V','An additional mesmerization spell for the illusionist that costs less but lasts for a shorter duration. Mesmerization breaks if the target receives any damage. This spell cannot be interrupted or fizzled.',269,24,315,2898101972,882983852,440,0,1,'Your Regalia V was successful on %t!','Your Regalia V fades.','',0,1,'Spells/Mage/Enchanter/Illusionist/Regalia.lua',2149,'You cast Regalia V on %t.',0,0,0,1,0,1,2,1,0,260152,0,0,0,0,0,1,0,0,0,'Unset',1580520675,1384378114,0,1),
(260157,2728331340,0,1,'Rune of Thought','A group augmentation that increases the intelligence, wisdom, and spell resistance of the illusionist''s group.',474,24,314,2898101972,3587918036,60,1,2,'Your Rune of Thought was successful on %t!','Your Rune of Thought fades.','',0,1,'Spells/Mage/Enchanter/Illusionist/RuneofThought.lua',2150,'You cast Rune of Thought on %t.',0,0,1,1,1,1,0,0,0,260157,0,0,0,0,0,0,0,0,0,'Unset',1580364655,1384378114,0,1),
(260158,3776808282,0,1,'Fleeting Thoughts','A group augmentation that increases the intelligence, wisdom, and spell resistance of the illusionist''s group.',474,24,314,2898101972,3587918036,130,1,2,'Your Rune of Thought II was successful on %t!','Your Rune of Thought II fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/FleetingThoughts.lua',2150,'You cast Rune of Thought II on %t.',0,0,0,1,1,1,0,0,0,260157,0,0,0,0,0,0,0,0,0,'Unset',1580364680,1384378114,0,1),
(260159,1387139841,0,1,'Seal of Comprehension','A group augmentation that increases the intelligence, wisdom, and spell resistance of the illusionist''s group.',474,24,314,2898101972,3587918036,200,1,2,'Your Rune of Thought III was successful on %t!','Your Rune of Thought III fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/RuneofThought.lua',2150,'You cast Rune of Thought III on %t.',0,0,0,1,1,1,0,0,0,260157,0,0,0,0,0,1,0,0,0,'Unset',1580364693,1384378114,0,1),
(260160,1756842953,0,1,'Seal of Ingenuity','A group augmentation that increases the intelligence, wisdom, and spell resistance of the illusionist''s group.',474,65535,314,2898101972,3587918036,270,1,2,'Your Rune of Thought IV was successful on %t!','Your Rune of Thought IV fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/RuneofThought.lua',2150,'You cast Rune of Thought IV on %t.',0,0,0,1,1,1,0,0,0,260157,0,0,0,0,0,1,0,0,0,'Unset',1580364706,1384378112,0,1),
(260161,497524141,0,1,'Seal of Ascention','A group augmentation that increases the intelligence, wisdom, and spell resistance of the illusionist''s group.',474,24,314,2898101972,3587918036,340,1,2,'Your Rune of Thought V was successful on %t!','Your Rune of Thought V fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/RuneofThought.lua',2150,'You cast Rune of Thought V on %t.',0,0,0,1,1,1,0,0,0,260157,0,0,0,0,0,1,0,0,0,'Unset',1580364716,1384378114,0,1),
(260162,3332510520,0,1,'Seal of Invention','A group augmentation that increases the intelligence, wisdom, and spell resistance of the illusionist''s group.',474,24,314,2898101972,3587918036,395,1,2,'Your Rune of Thought VI was successful on %t!','Your Rune of Thought VI fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/RuneofThought.lua',2150,'You cast Rune of Thought VI on %t.',0,0,0,1,1,1,0,0,0,260157,0,0,0,0,0,1,0,0,0,'Unset',1580364729,1384377828,0,1),
(260163,4011197627,0,1,'Rune of Thought VII','A group augmentation that increases the intelligence, wisdom, and spell resistance of the illusionist''s group.',474,24,314,2898101972,3587918036,445,1,2,'Your Rune of Thought VII was successful on %t!','Your Rune of Thought VII fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/RuneofThought.lua',2150,'You cast Rune of Thought VII on %t.',0,0,0,1,1,1,0,0,0,260157,0,0,0,0,0,1,0,0,0,'Unset',1580364752,1384378114,0,1),
(260164,4502106,0,1,'Rune of Thought VIII','A group augmentation that increases the intelligence, wisdom, and spell resistance of the illusionist''s group.',474,24,314,2898101972,3587918036,495,1,2,'Your Rune of Thought VIII was successful on %t!','Your Rune of Thought VIII fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/RuneofThought.lua',2150,'You cast Rune of Thought VIII on %t.',0,0,0,0,1,0,0,0,0,260157,0,0,0,0,0,1,0,0,0,'Unset',1580364767,1384378114,0,1),
(260165,769272175,0,0,'Savante','An augmentation that conserves the group''s power consumption for a limited duration by returning a portion of the power back after it is consumed.',262,65535,314,2898101972,3587918036,260,0,2,'Your Savante was successful on %t!','Your Savante fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Savante.lua',2151,'You cast Savante on %t.',0,0,0,1,1,1,0,0,0,260165,0,0,0,0,0,0,0,0,0,'Unset',1580521471,1384378112,0,1),
(260166,3091960659,0,0,'Overwhelming Silence','Stifles and damages the illusionist''s target.',495,28,315,287643040,882983852,80,0,1,'Your Speechless was successful on %t!','Your Speechless fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Speechless.lua',2153,'You cast Speechless on %t.',0,0,0,1,0,0,2,2,0,260166,0,0,0,0,0,0,0,0,0,'DD',1580426707,1384378112,0,1),
(260167,1384341954,0,0,'Speechless','Stifles and damages the illusionist''s target.',495,28,315,2898101972,882983852,150,0,1,'Your Speechless II was successful on %t!','Your Speechless II fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/SpeechlessClassic.lua',2153,'You cast Speechless II on %t.',0,0,0,1,0,1,2,2,0,260166,0,0,0,0,0,0,0,0,0,'DD',1580426766,1384378114,0,1),
(260168,296185360,0,0,'Mind Drain','Stifles and damages the illusionist''s target.',495,28,315,2898101972,882983852,220,0,1,'Your Speechless III was successful on %t!','Your Speechless III fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Speechless.lua',2153,'You cast Speechless III on %t.',0,0,0,1,0,1,2,2,0,260166,0,0,0,0,0,1,0,0,0,'DD',1580426817,1384378157,0,1),
(260169,3559646033,0,0,'Drain Thought','Stifles and damages the illusionist''s target.',495,28,315,2898101972,882983852,290,0,1,'Your Speechless IV was successful on %t!','Your Speechless IV fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Speechless.lua',2153,'You cast Speechless IV on %t.',0,0,0,1,0,1,2,2,0,260166,0,0,0,0,0,1,0,0,0,'DD',1580426876,1384378112,0,1),
(260170,2197219340,0,0,'Drain Consciousness','Stifles and damages the illusionist''s target.',495,28,315,2898101972,882983852,360,0,1,'Your Speechless V was successful on %t!','Your Speechless V fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Speechless.lua',2153,'You cast Speechless V on %t.',0,0,0,1,0,1,2,2,0,260166,0,0,0,0,0,1,0,0,0,'DD',1580426924,1384378112,0,1),
(260171,2425927606,0,0,'Speechless VI','Stifles and damages the illusionist''s target.',495,28,315,2898101972,882983852,410,0,1,'Your Speechless VI was successful on %t!','Your Speechless VI fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Speechless.lua',2153,'You cast Speechless VI on %t.',0,0,0,1,0,1,2,2,0,260166,0,0,0,0,0,1,0,0,0,'DD',1580426966,1384378112,0,1),
(260172,1292791347,0,0,'Speechless VII','Stifles and damages the illusionist''s target.',495,28,315,2898101972,882983852,460,0,1,'Your Speechless VII was successful on %t!','Your Speechless VII fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Speechless.lua',2153,'You cast Speechless VII on %t.',0,0,0,1,0,1,2,2,0,260166,0,0,0,0,0,1,0,0,0,'DD',1580427011,1384377827,0,1),
(260173,1432010721,0,1,'Spellshield','Augmentation placed on an ally that can reflect up to three hostile profession spells or abilities back at their original caster. This spell has a recurring power cost over time.',762,65535,316,2898101972,3587918036,290,1,1,'Your Spellshield was successful on %t!','Your Spellshield fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Spellshield.lua',2154,'You cast Spellshield on %t.',0,0,0,1,1,1,0,0,0,260173,0,0,0,0,0,1,0,0,0,'Unset',1580521988,1384377828,0,1),
(260174,2005616945,0,1,'Intensity','An augmentation placed on the illusionist''s ally that grants them a chance at dealing additional mental damage. If the recipient of this spell is not a fighter class and not a pet, their target''s hate towards them after every hostile spell they cast has a chance of being reduced.',264,27,316,2898101972,3587918036,175,1,1,'Your Synergism was successful on %t!','Your Synergism fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/Synergism.lua',2155,'You cast Synergism on %t.',0,1,0,1,1,1,0,0,0,260174,0,0,0,0,0,1,0,0,0,'Unset',1580519581,1384378114,0,1),
(260175,2337256011,0,1,'Dynamism','An augmentation placed on the illusionist''s ally that grants them a chance at dealing additional mental damage. If the recipient of this spell is not a fighter class and not a pet, their target''s hate towards them after every hostile spell they cast has a chance of being reduced.',264,27,316,2898101972,3587918036,245,1,1,'Your Synergism II was successful on %t!','Your Synergism II fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/Synergism.lua',2155,'You cast Synergism II on %t.',0,1,0,1,1,1,0,0,0,260174,0,0,0,0,0,1,0,0,0,'Unset',1580519645,1384377828,0,1),
(260176,4158816328,0,1,'Synergism','An augmentation placed on the illusionist''s ally that grants them a chance at dealing additional mental damage. If the recipient of this spell is not a fighter class and not a pet, their target''s hate towards them after every hostile spell they cast has a chance of being reduced.',264,27,316,2898101972,3587918036,315,1,1,'Your Synergism III was successful on %t!','Your Synergism III fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/Synergism.lua',2155,'You cast Synergism III on %t.',0,1,0,1,1,1,0,0,0,260174,0,0,0,0,0,1,0,0,0,'Unset',1580519704,1384377832,0,1),
(260177,3073128528,0,1,'Tandem','An augmentation placed on the illusionist''s ally that grants them a chance at dealing additional mental damage. If the recipient of this spell is not a fighter class and not a pet, their target''s hate towards them after every hostile spell they cast has a chance of being reduced.',264,27,316,2898101972,3587918036,375,1,1,'Your Synergism IV was successful on %t!','Your Synergism IV fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/Synergism.lua',2155,'You cast Synergism IV on %t.',0,1,0,1,1,1,0,0,0,260174,0,0,0,0,0,1,0,0,0,'Unset',1580519740,1384378112,0,1),
(260178,4133918997,0,1,'Synergism V','An augmentation placed on the illusionist''s ally that grants them a chance at dealing additional mental damage. If the recipient of this spell is not a fighter class and not a pet, their target''s hate towards them after every hostile spell they cast has a chance of being reduced.',264,27,316,2898101972,3587918036,425,1,1,'Your Synergism V was successful on %t!','Your Synergism V fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/Synergism.lua',2155,'You cast Synergism V on %t.',0,1,0,1,1,1,0,0,0,260174,0,0,0,0,0,1,0,0,0,'Unset',1580519936,1384378112,0,1),
(260179,1841550714,0,1,'Synergism VI','An augmentation placed on the illusionist''s ally that grants them a chance at dealing additional mental damage. If the recipient of this spell is not a fighter class and not a pet, their target''s hate towards them after every hostile spell they cast has a chance of being reduced.',264,27,316,2898101972,3587918036,475,1,1,'Your Synergism VI was successful on %t!','Your Synergism VI fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/Synergism.lua',2155,'You cast Synergism VI on %t.',0,1,0,1,1,1,0,0,0,260174,0,0,0,0,0,1,0,0,0,'Unset',1580519959,1384378114,0,1),
(260180,4284031652,0,0,'Theorems','An impairment on the target that deals mental damage whenever they are struck by a damaging spell.',218,28,315,2898101972,882983852,160,0,1,'Your Theorems was successful on %t!','Your Theorems fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Theorems.lua',2143,'You cast Theorems on %t.',0,0,0,1,0,1,0,0,0,260180,0,0,0,0,0,1,0,0,0,'Unset',1580431690,1384378114,0,1),
(260181,2611579755,0,0,'Theorems II','An impairment on the target that deals mental damage whenever they are struck by a damaging spell.',218,28,315,2898101972,882983852,230,0,1,'Your Theorems II was successful on %t!','Your Theorems II fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Theorems.lua',2143,'You cast Theorems II on %t.',0,0,0,1,0,1,0,0,0,260180,0,0,0,0,0,1,0,0,0,'Unset',1580431770,1384377828,0,1),
(260182,3279055683,0,0,'Theorems III','An impairment on the target that deals mental damage whenever they are struck by a damaging spell.',218,28,315,2898101972,882983852,300,0,1,'Your Theorems III was successful on %t!','Your Theorems III fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Theorems.lua',2143,'You cast Theorems III on %t.',0,0,0,1,0,1,0,0,0,260180,0,0,0,0,0,1,0,0,0,'Unset',1580431814,1384378112,0,1),
(260183,719619509,0,0,'Theorems IV','An impairment on the target that deals mental damage whenever they are struck by a damaging spell.',218,28,315,2898101972,882983852,365,0,1,'Your Theorems IV was successful on %t!','Your Theorems IV fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Theorems.lua',2143,'You cast Theorems IV on %t.',0,0,0,1,0,1,0,0,0,260180,0,0,0,0,0,1,0,0,0,'Unset',1580431874,1384378112,0,1),
(260184,778601497,0,0,'Theorems V','An impairment on the target that deals mental damage whenever they are struck by a damaging spell.',218,28,315,2898101972,882983852,415,0,1,'Your Theorems V was successful on %t!','Your Theorems V fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Theorems.lua',2143,'You cast Theorems V on %t.',0,0,0,1,0,1,0,0,0,260180,0,0,0,0,0,1,0,0,0,'Unset',1580432077,1384378112,0,1),
(260185,2981234567,0,0,'Theorems VI','An impairment on the target that deals mental damage whenever they are struck by a damaging spell.',218,28,315,2898101972,882983852,465,0,1,'Your Theorems VI was successful on %t!','Your Theorems VI fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/Theorems.lua',2143,'You cast Theorems VI on %t.',0,0,0,0,0,0,0,0,0,260180,0,0,0,0,0,1,0,0,0,'Unset',1580432665,1384378114,0,1),
(260186,4282984752,0,0,'Phantasmal Shock','Deals instant mental damage. This spell has a fast casting time.',161,25,315,2898101972,613995491,5,0,1,'Your Ultraviolet Beam was successful on %t!','Your Ultraviolet Beam fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/UltravioletBeam.lua',2156,'You cast Ultraviolet Beam on %t.',0,0,0,1,0,0,0,0,0,210009,0,0,0,0,0,0,0,0,0,'DD',1580266833,1384378115,0,1),
(260187,4001599102,0,0,'Phantasmal Blast','Deals instant mental damage. This spell has a fast casting time.',161,25,315,2898101972,613995491,30,0,1,'Your Ultraviolet Beam II was successful on %t!','Your Ultraviolet Beam II fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/UltravioletBeam.lua',2156,'You cast Ultraviolet Beam II on %t.',0,0,0,1,0,0,0,0,0,260186,0,0,0,0,0,0,0,0,0,'DD',1580266870,1384378114,0,1),
(260188,2049668419,0,0,'Phantasmal Jolt','Deals instant mental damage. This spell has a fast casting time.',161,25,315,2898101972,613995491,60,0,1,'Your Ultraviolet Beam III was successful on %t!','Your Ultraviolet Beam III fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/UltravioletBeam.lua',2156,'You cast Ultraviolet Beam III on %t.',0,0,0,1,0,0,0,0,0,260186,0,0,0,0,0,0,0,0,0,'DD',1580266910,1384378114,0,1),
(260189,1954459317,0,0,'Phantasmal Ray','Deals instant mental damage. This spell has a fast casting time.',161,25,315,2898101972,613995491,100,0,1,'Your Ultraviolet Beam IV was successful on %t!','Your Ultraviolet Beam IV fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/UltravioletBeam.lua',2156,'You cast Ultraviolet Beam IV on %t.',0,0,0,1,0,0,0,0,0,260186,0,0,0,0,0,0,0,0,0,'DD',1580267056,1384378114,0,1),
(260190,433419796,0,0,'Ultraviolet Beam IX','Deals instant mental damage. This spell has a fast casting time.',161,25,315,2898101972,613995491,405,0,1,'Your Ultraviolet Beam IX was successful on %t!','Your Ultraviolet Beam IX fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/UltravioletBeam.lua',2156,'You cast Ultraviolet Beam IX on %t.',0,0,0,1,0,0,0,0,0,260186,0,0,0,0,0,1,0,0,0,'DD',1580267770,1384378112,0,1),
(260191,1612694718,0,0,'Phantasmal Charge','Deals instant mental damage. This spell has a fast casting time.',161,25,315,2898101972,613995491,145,0,1,'Your Ultraviolet Beam V was successful on %t!','Your Ultraviolet Beam V fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/PhantasmalCharge.lua',2156,'You cast Ultraviolet Beam V on %t.',0,0,0,1,0,0,0,0,0,260186,0,0,0,0,0,0,0,0,0,'DD',1580267235,1384378114,0,1),
(260192,2798238580,0,0,'Scorching Beam','Deals instant mental damage. This spell has a fast casting time.',161,25,315,2898101972,613995491,215,0,1,'Your Ultraviolet Beam VI was successful on %t!','Your Ultraviolet Beam VI fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/UltravioletBeam.lua',2156,'You cast Ultraviolet Beam VI on %t.',0,0,0,1,0,0,0,0,0,260186,0,0,0,0,0,1,0,0,0,'DD',1580267379,1384378114,0,1),
(260193,1942330942,0,0,'Shimmering Beam','Deals instant mental damage. This spell has a fast casting time.',161,25,315,2898101972,613995491,285,0,1,'Your Ultraviolet Beam VII was successful on %t!','Your Ultraviolet Beam VII fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/UltravioletBeam.lua',2156,'You cast Ultraviolet Beam VII on %t.',0,0,0,1,0,0,0,0,0,260186,0,0,0,0,0,1,0,0,0,'DD',1580267467,1384378112,0,1),
(260194,1514856666,0,0,'Ultraviolet Beam','Deals instant mental damage. This spell has a fast casting time.',161,25,315,2898101972,613995491,355,0,1,'Your Ultraviolet Beam VIII was successful on %t!','Your Ultraviolet Beam VIII fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/UltravioletBeam.lua',2156,'You cast Ultraviolet Beam VIII on %t.',0,0,0,1,0,0,0,0,0,260186,0,0,0,0,0,1,0,0,0,'DD',1580267639,1384378115,0,1),
(260195,3459774028,0,0,'Ultraviolet Beam X','Deals instant mental damage. This spell has a fast casting time.',161,25,315,2898101972,613995491,455,0,1,'Your Ultraviolet Beam X was successful on %t!','Your Ultraviolet Beam X fades.','',1,0,'Spells/Mage/Enchanter/Illusionist/UltravioletBeam.lua',2156,'You cast Ultraviolet Beam X on %t.',0,0,0,1,0,0,0,0,0,260186,0,0,0,0,0,1,0,0,0,'DD',1384671710,1384377827,0,1),
(260196,2906986524,0,1,'Shift Vision','A group augmentation that allows the illusionist''s allies to see invisible enemies and grants infravision.',167,65535,314,2898101972,0,0,1,2,'Your Shift Vision was successful on %t!','Your Shift Vision fades.','',1,1,'Spells/Mage/Enchanter/Illusionist/ShiftVision.lua',2152,'You cast Shift Vision on %t.',0,0,0,0,1,0,0,0,0,260196,0,0,0,0,0,0,0,0,0,'Unset',1580430635,1384378114,0,1),
(270000,546331599,0,0,'Amnesia','Stuns the target briefly and wipes the enemy''s memory of all previous aggressions. When the stun expires, the enemy will go after the coercer unless it has been attacked by another person.',262,65535,315,2950599749,3587918036,275,0,1,'Your Amnesia was successful on %t!','Your Amnesia fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Amnesia.lua',2158,'You cast Amnesia on %t.',0,0,0,1,0,1,2,4,0,270000,0,0,0,0,0,0,0,0,0,'Unset',1581640107,1384377828,0,1),
(270001,1194989731,0,0,'Anesthesia','Stuns the target briefly and wipes the enemy''s memory of all previous aggressions. When the stun expires, the enemy will go after the coercer unless it has been attacked by another person.',262,65535,315,2950599749,3587918036,370,0,1,'Your Amnesia II was successful on %t!','Your Amnesia II fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Amnesia.lua',2158,'You cast Amnesia II on %t.',0,0,0,1,0,1,2,0,0,270000,0,0,0,0,0,0,0,0,0,'Unset',1581640174,1384377828,0,1),
(270002,2290254195,0,0,'Amnesia III','Stuns the target briefly and wipes the enemy''s memory of all previous aggressions. When the stun expires, the enemy will go after the coercer unless it has been attacked by another person.',262,65535,315,2950599749,3587918036,420,0,1,'Your Amnesia III was successful on %t!','Your Amnesia III fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Amnesia.lua',2158,'You cast Amnesia III on %t.',0,0,0,1,0,1,2,4,0,270000,0,0,0,0,0,0,0,0,0,'Unset',1581640237,1384377833,0,1),
(270003,2546819906,0,0,'Gloom','Deals mental damage over time to the target and decreases their arcane resistance. If the target still has more than 50% of their power after this spell expires, they receive additional mental damage.',476,29,315,287643040,613995491,70,0,1,'Your Asylum was successful on %t!','Your Asylum fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Asylum.lua',2159,'You cast Asylum on %t.',0,0,0,1,0,1,2,0,0,270003,0,0,0,0,0,0,0,0,0,'DoT',1581565547,1384378112,0,1),
(270004,3859400753,0,0,'Melancholy','Deals mental damage over time to the target and decreases their arcane resistance. If the target still has more than 50% of their power after this spell expires, they receive additional mental damage.',476,29,315,2950599749,613995491,140,0,1,'Your Asylum II was successful on %t!','Your Asylum II fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Melancholy.lua',2159,'You cast Asylum II on %t.',0,0,0,1,0,1,2,0,0,270003,0,0,0,0,0,0,0,0,0,'DoT',1581565628,1384378114,0,1),
(270005,2547918838,0,0,'Despair','Deals mental damage over time to the target and decreases their arcane resistance. If the target still has more than 50% of their power after this spell expires, they receive additional mental damage.',476,29,315,2950599749,613995491,210,0,1,'Your Asylum III was successful on %t!','Your Asylum III fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Asylum.lua',2159,'You cast Asylum III on %t.',0,0,0,1,0,1,2,0,0,270003,0,0,0,0,0,1,0,0,0,'DoT',1581565742,1384378115,0,1),
(270006,1083289930,0,0,'Depression','Deals mental damage over time to the target and decreases their arcane resistance. If the target still has more than 50% of their power after this spell expires, they receive additional mental damage.',476,29,315,2950599749,613995491,280,0,1,'Your Asylum IV was successful on %t!','Your Asylum IV fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Asylum.lua',2159,'You cast Asylum IV on %t.',0,0,0,1,0,1,2,0,0,270003,0,0,0,0,0,1,0,0,0,'DoT',1581633680,1384378115,0,1),
(270007,997228198,0,0,'Breakdown','Deals mental damage over time to the target and decreases their arcane resistance. If the target still has more than 50% of their power after this spell expires, they receive additional mental damage.',476,29,315,2950599749,613995491,350,0,1,'Your Asylum V was successful on %t!','Your Asylum V fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Asylum.lua',2159,'You cast Asylum V on %t.',0,0,0,1,0,1,2,0,0,270003,0,0,0,0,0,1,0,0,0,'DoT',1581633774,1384378115,0,1),
(270008,1114211734,0,0,'Asylum','Deals mental damage over time to the target and decreases their arcane resistance. If the target still has more than 50% of their power after this spell expires, they receive additional mental damage.',476,29,315,2950599749,613995491,400,0,1,'Your Asylum VI was successful on %t!','Your Asylum VI fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Asylum.lua',2159,'You cast Asylum VI on %t.',0,0,0,1,0,1,2,0,0,270003,0,0,0,0,0,1,0,0,0,'DoT',1581633839,1384378114,0,1),
(270009,1427280341,0,0,'Asylum VII','Deals mental damage over time to the target and decreases their arcane resistance. If the target still has more than 50% of their power after this spell expires, they receive additional mental damage.',476,29,315,2950599749,613995491,450,0,1,'Your Asylum VII was successful on %t!','Your Asylum VII fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Asylum.lua',2159,'You cast Asylum VII on %t.',0,0,0,1,0,0,2,0,0,270003,0,0,0,0,0,1,0,0,0,'DoT',1581633910,1384378112,0,1),
(270010,376655024,0,0,'Asylum VIII','Deals mental damage over time to the target and decreases their arcane resistance. If the target still has more than 50% of their power after this spell expires, they receive additional mental damage.',476,29,315,2950599749,613995491,500,0,1,'Your Asylum VIII was successful on %t!','Your Asylum VIII fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Asylum.lua',2159,'You cast Asylum VIII on %t.',0,0,0,0,0,0,2,0,0,270003,0,0,0,0,0,1,0,0,0,'DoT',1581633990,1384377827,0,1),
(270011,2195559208,0,0,'Cerebral Shock','Deals unresistable mental damage and drains power from an enemy over time. A portion of this power is added to the coercer.',168,28,315,2950599749,613995491,15,0,1,'Your Brainshock was successful on %t!','Your Brainshock fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Brainshock.lua',2160,'You cast Brainshock on %t.',0,0,0,1,0,0,2,0,0,270011,0,0,0,0,0,0,0,0,0,'DoT',1473792613,1384377829,0,1),
(270012,270600583,0,0,'Cerebral Spasm','Deals unresistable mental damage and drains power from an enemy over time. A portion of this power is added to the coercer.',168,28,315,287643040,613995491,50,0,1,'Your Brainshock II was successful on %t!','Your Brainshock II fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Brainshock.lua',2160,'You cast Brainshock II on %t.',0,0,0,1,0,0,2,0,0,270011,0,0,0,0,0,0,0,0,0,'DoT',1581562677,1384377829,0,1),
(270013,2273174876,0,0,'Cerebral Lash','Deals unresistable mental damage and drains power from an enemy over time. A portion of this power is added to the coercer.',168,28,315,2950599749,613995491,85,0,1,'Your Brainshock III was successful on %t!','Your Brainshock III fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Brainshock.lua',2160,'You cast Brainshock III on %t.',0,0,0,1,0,0,2,0,0,270011,0,0,0,0,0,0,0,0,0,'DoT',1581562694,1384378112,0,1),
(270014,867200419,0,0,'Anguish','Deals unresistable mental damage and drains power from an enemy over time. A portion of this power is added to the coercer.',168,28,315,2950599749,613995491,155,0,1,'Your Brainshock IV was successful on %t!','Your Brainshock IV fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Brainshock.lua',2160,'You cast Brainshock IV on %t.',0,0,0,1,0,0,2,0,0,270011,0,0,0,0,0,1,0,0,0,'DoT',1581562754,1384378114,0,1),
(270015,4241978076,0,0,'Brainshock IX','Deals unresistable mental damage and drains power from an enemy over time. A portion of this power is added to the coercer.',168,28,315,2950599749,613995491,460,0,1,'Your Brainshock IX was successful on %t!','Your Brainshock IX fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Brainshock.lua',2160,'You cast Brainshock IX on %t.',0,0,0,1,0,0,2,0,0,270011,0,0,0,0,0,1,0,0,0,'DoT',1581563016,1384377827,0,1),
(270016,1872995714,0,0,'Writhe','Deals unresistable mental damage and drains power from an enemy over time. A portion of this power is added to the coercer.',168,28,315,2950599749,613995491,225,0,1,'Your Brainshock V was successful on %t!','Your Brainshock V fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Brainshock.lua',2160,'You cast Brainshock V on %t.',0,0,0,1,0,0,2,0,0,270011,0,0,0,0,0,1,0,0,0,'DoT',1581562779,1384378114,0,1),
(270017,1697903627,0,0,'Vicious Torment','Deals unresistable mental damage and drains power from an enemy over time. A portion of this power is added to the coercer.',168,28,315,2950599749,613995491,295,0,1,'Your Brainshock VI was successful on %t!','Your Brainshock VI fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Brainshock.lua',2160,'You cast Brainshock VI on %t.',0,0,0,1,0,0,2,0,0,270011,0,0,0,0,0,1,0,0,0,'DoT',1581562829,1384377828,0,1),
(270018,103906924,0,0,'Brainshock','Deals unresistable mental damage and drains power from an enemy over time. A portion of this power is added to the coercer.',168,28,315,2950599749,613995491,360,0,1,'Your Brainshock VII was successful on %t!','Your Brainshock VII fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Brainshock.lua',2160,'You cast Brainshock VII on %t.',0,0,0,1,0,0,2,0,0,270011,0,0,0,0,0,1,0,0,0,'DoT',1581562921,1384378112,0,1),
(270019,557951833,0,0,'Brainshock VIII','Deals unresistable mental damage and drains power from an enemy over time. A portion of this power is added to the coercer.',168,28,315,2950599749,613995491,410,0,1,'Your Brainshock VIII was successful on %t!','Your Brainshock VIII fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Brainshock.lua',2160,'You cast Brainshock VIII on %t.',0,0,0,1,0,0,2,0,0,270011,0,0,0,0,0,1,0,0,0,'DoT',1581562972,1384378114,0,1),
(270020,445002803,0,1,'Breeze','Increases in-combat power replenishment of the coercer''s group. This ability does stack with the bard''s concentration group power replenishment song.\n\n\"I recall taking a break from my studies, allowing the cool ocean air on the docks of Erudin to rejuvenate my mind.\" -Ellonialis',475,27,314,287643040,366253016,90,1,2,'Your Breeze was successful on %t!','Your Breeze fades.','',1,1,'Spells/Mage/Enchanter/Coercer/Breeze.lua',2161,'You cast Breeze on %t.',0,0,0,1,1,1,0,0,0,270020,0,0,0,0,0,0,0,0,0,'Unset',1581634818,1384378112,0,1),
(270021,2800546654,0,1,'Refresh','Increases in-combat power replenishment of the coercer''s group. This ability does stack with the bard''s concentration group power replenishment song.\n\n\"I recall taking a break from my studies, allowing the cool ocean air on the docks of Erudin to rejuvenate my mind.\" -Ellonialis',475,27,314,2950599749,366253016,165,1,2,'Your Breeze II was successful on %t!','Your Breeze II fades.','',1,1,'Spells/Mage/Enchanter/Coercer/Breeze.lua',2161,'You cast Breeze II on %t.',0,0,0,1,1,1,0,0,0,270020,0,0,0,0,0,1,0,0,0,'Unset',1581634843,1384378114,0,1),
(270022,2750587125,0,1,'Clarity','Increases in-combat power replenishment of the coercer''s group. This ability does stack with the bard''s concentration group power replenishment song.\n\n\"I recall taking a break from my studies, allowing the cool ocean air on the docks of Erudin to rejuvenate my mind.\" -Ellonialis',475,27,314,2950599749,366253016,235,1,2,'Your Breeze III was successful on %t!','Your Breeze III fades.','',1,1,'Spells/Mage/Enchanter/Coercer/Breeze.lua',2161,'You cast Breeze III on %t.',0,0,0,1,1,1,0,0,0,270020,0,0,0,0,0,1,0,0,0,'Unset',1581634849,1384377833,0,1),
(270023,782469824,0,1,'Ease','Increases in-combat power replenishment of the coercer''s group. This ability does stack with the bard''s concentration group power replenishment song.\n\n\"I recall taking a break from my studies, allowing the cool ocean air on the docks of Erudin to rejuvenate my mind.\" -Ellonialis',475,27,314,2950599749,366253016,305,1,2,'Your Breeze IV was successful on %t!','Your Breeze IV fades.','',1,1,'Spells/Mage/Enchanter/Coercer/Breeze.lua',2161,'You cast Breeze IV on %t.',0,0,0,1,1,1,0,0,0,270020,0,0,0,0,0,1,0,0,0,'Unset',1581634856,1384378115,0,1),
(270024,1412120570,0,1,'Soothing','Increases in-combat power replenishment of the coercer''s group. This ability does stack with the bard''s concentration group power replenishment song.\n\n\"I recall taking a break from my studies, allowing the cool ocean air on the docks of Erudin to rejuvenate my mind.\" -Ellonialis',475,27,314,2950599749,366253016,365,1,2,'Your Breeze V was successful on %t!','Your Breeze V fades.','',1,1,'Spells/Mage/Enchanter/Coercer/Breeze.lua',2161,'You cast Breeze V on %t.',0,0,0,1,1,1,0,0,0,270020,0,0,0,0,0,1,0,0,0,'Unset',1581634865,1384378114,0,1),
(270025,3947863614,0,1,'Breeze VI','Increases in-combat power replenishment of the coercer''s group. This ability does stack with the bard''s concentration group power replenishment song.\n\n\"I recall taking a break from my studies, allowing the cool ocean air on the docks of Erudin to rejuvenate my mind.\" -Ellonialis',475,27,314,2950599749,366253016,415,1,2,'Your Breeze VI was successful on %t!','Your Breeze VI fades.','',1,1,'Spells/Mage/Enchanter/Coercer/Breeze.lua',2161,'You cast Breeze VI on %t.',0,0,0,1,1,1,0,0,0,0,0,0,0,0,0,1,0,0,255,'Unset',1581634905,1384378114,0,1),
(270026,4231301757,0,1,'Breeze VII','Increases in-combat power replenishment of the coercer''s group. This ability does stack with the bard''s concentration group power replenishment song.\n\n\"I recall taking a break from my studies, allowing the cool ocean air on the docks of Erudin to rejuvenate my mind.\" -Ellonialis',475,27,314,2950599749,366253016,465,1,2,'Your Breeze VII was successful on %t!','Your Breeze VII fades.','',1,1,'Spells/Mage/Enchanter/Coercer/Breeze.lua',2161,'You cast Breeze VII on %t.',0,0,0,0,1,1,0,0,0,270020,0,0,0,0,0,1,0,0,0,'Unset',1581634917,1384378115,0,1),
(270027,2638044596,0,0,'Consuming Thoughts','Decreases target''s intelligence for a short duration, granting power over time to the coercer''s group.',217,28,315,2950599749,613995491,160,0,1,'Your Cannibalize Thoughts was successful on %t!','Your Cannibalize Thoughts fades.','',1,0,'Spells/Mage/Enchanter/Coercer/CannibalizeThoughts.lua',2162,'You cast Cannibalize Thoughts on %t.',0,0,0,1,0,1,2,0,0,270027,0,0,0,0,0,1,0,0,0,'Unset',1581637647,1384377828,0,1),
(270028,1921881248,0,0,'Devouring Thoughts','Decreases target''s intelligence for a short duration, granting power over time to the coercer''s group.',217,28,315,2950599749,613995491,230,0,1,'Your Cannibalize Thoughts II was successful on %t!','Your Cannibalize Thoughts II fades.','',1,0,'Spells/Mage/Enchanter/Coercer/CannibalizeThoughts.lua',2162,'You cast Cannibalize Thoughts II on %t.',0,0,0,1,0,1,2,0,0,270027,0,0,0,0,0,1,0,0,0,'Unset',1581637730,1384378115,0,1),
(270029,2790555301,0,0,'Gorging Thoughts','Decreases target''s intelligence for a short duration, granting power over time to the coercer''s group.',217,28,315,2950599749,613995491,300,0,1,'Your Cannibalize Thoughts III was successful on %t!','Your Cannibalize Thoughts III fades.','',1,0,'Spells/Mage/Enchanter/Coercer/CannibalizeThoughts.lua',2162,'You cast Cannibalize Thoughts III on %t.',0,0,0,1,0,1,2,0,0,270027,0,0,0,0,0,1,0,0,0,'Unset',1581637793,1384377828,0,1),
(270030,4220828493,0,0,'Cannibalize Thoughts','Decreases target''s intelligence for a short duration, granting power over time to the coercer''s group.',217,28,315,2950599749,613995491,365,0,1,'Your Cannibalize Thoughts IV was successful on %t!','Your Cannibalize Thoughts IV fades.','',1,0,'Spells/Mage/Enchanter/Coercer/CannibalizeThoughts.lua',2162,'You cast Cannibalize Thoughts IV on %t.',0,0,0,1,0,1,2,0,0,270027,0,0,0,0,0,1,0,0,0,'Unset',1581637853,1384378112,0,1),
(270031,2375311557,0,0,'Cannibalize Thoughts V','Decreases target''s intelligence for a short duration, granting power over time to the coercer''s group.',217,28,315,2950599749,613995491,415,0,1,'Your Cannibalize Thoughts V was successful on %t!','Your Cannibalize Thoughts V fades.','',1,0,'Spells/Mage/Enchanter/Coercer/CannibalizeThoughts.lua',2162,'You cast Cannibalize Thoughts V on %t.',0,0,0,1,0,1,2,0,0,270027,0,0,0,0,0,1,0,0,0,'Unset',1581637899,1384378114,0,1),
(270032,384272913,0,0,'Cannibalize Thoughts VI','Decreases target''s intelligence for a short duration, granting power over time to the coercer''s group.',217,28,315,2950599749,613995491,465,0,1,'Your Cannibalize Thoughts VI was successful on %t!','Your Cannibalize Thoughts VI fades.','',1,0,'Spells/Mage/Enchanter/Coercer/CannibalizeThoughts.lua',2162,'You cast Cannibalize Thoughts VI on %t.',0,0,0,1,0,1,2,0,0,270027,0,0,0,0,0,1,0,0,0,'Unset',1581637960,1384378115,0,1),
(270033,1953089559,0,0,'Channel','Equalizes the power totals of the coercer''s group. The sum of all power points in the group divided evenly for each group member, at a slight loss. Upgrades to this spell prevent the loss of efficiency when dividing points to group members. ',22,27,314,2950599749,3587918036,290,0,2,'Your Channel was successful on %t!','Your Channel fades.','',1,1,'Spells/Mage/Enchanter/Coercer/Channel.lua',2163,'You cast Channel on %t.',0,0,0,1,1,1,0,0,0,270033,0,0,0,0,0,1,0,0,0,'Unset',1581640260,1384378114,0,1),
(270034,3471533037,0,0,'Channeling','Equalizes the power totals of the coercer''s group. The sum of all power points in the group divided evenly for each group member, at a slight loss. Upgrades to this spell prevent the loss of efficiency when dividing points to group members. ',22,27,314,2950599749,3587918036,380,0,2,'Your Channel II was successful on %t!','Your Channel II fades.','',1,1,'Spells/Mage/Enchanter/Coercer/Channel.lua',2163,'You cast Channel II on %t.',0,0,0,1,1,1,0,0,0,270033,0,0,0,0,0,1,0,0,0,'Unset',1581640411,1384377828,0,1),
(270035,106120303,0,0,'Befriend','Grants the coercer control over target opponent. The opponent has a recurring chance to resist the charm throughout its duration. Higher ranks of this spell will decrease the chance of a periodic resist.',473,24,315,2950599749,882983852,10,0,1,'Your Charm was successful on %t!','Your Charm fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Charm.lua',2164,'You cast Charm on %t.',0,0,0,1,0,1,0,0,0,270035,0,0,0,0,0,0,0,0,0,'Unset',1581561555,1384378114,0,1),
(270036,3969005520,0,0,'Charm','Grants the coercer control over target opponent. The opponent has a recurring chance to resist the charm throughout its duration. Higher ranks of this spell will decrease the chance of a periodic resist.',473,24,315,2950599749,882983852,50,0,1,'Your Charm II was successful on %t!','Your Charm II fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Charm.lua',2164,'You cast Charm II on %t.',0,0,0,1,0,1,0,0,0,270035,0,0,0,0,0,0,0,0,0,'Unset',1581561593,1384377829,0,1),
(270037,1408576174,0,0,'Coerce','Grants the coercer control over target opponent. The opponent has a recurring chance to resist the charm throughout its duration. Higher ranks of this spell will decrease the chance of a periodic resist.',473,24,315,2950599749,882983852,100,0,1,'Your Charm III was successful on %t!','Your Charm III fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Charm.lua',2164,'You cast Charm III on %t.',0,0,0,1,0,1,0,0,0,270035,0,0,0,0,0,0,0,0,0,'Unset',1581561626,1384377828,0,1),
(270038,3681875422,0,0,'Beguile','Grants the coercer control over target opponent. The opponent has a recurring chance to resist the charm throughout its duration. Higher ranks of this spell will decrease the chance of a periodic resist.',473,24,315,2950599749,882983852,165,0,1,'Your Charm IV was successful on %t!','Your Charm IV fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Charm.lua',2164,'You cast Charm IV on %t.',0,0,0,1,0,1,0,0,0,270035,0,0,0,0,0,1,0,0,0,'Unset',1581561692,1384378114,0,1),
(270039,3409447030,0,0,'Charm IX','Grants the coercer control over target opponent. The opponent has a recurring chance to resist the charm throughout its duration. Higher ranks of this spell will decrease the chance of a periodic resist.',473,24,315,2950599749,882983852,470,0,1,'Your Charm IX was successful on %t!','Your Charm IX fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Charm.lua',2164,'You cast Charm IX on %t.',0,0,0,0,0,0,0,0,0,270035,0,0,0,0,0,1,0,0,0,'Unset',1581562085,1384378115,0,1),
(270040,4252880166,0,0,'Dominate','Grants the coercer control over target opponent. The opponent has a recurring chance to resist the charm throughout its duration. Higher ranks of this spell will decrease the chance of a periodic resist.',473,24,315,2950599749,882983852,235,0,1,'Your Charm V was successful on %t!','Your Charm V fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Charm.lua',2164,'You cast Charm V on %t.',0,0,0,1,0,1,0,0,0,270035,0,0,0,0,0,1,0,0,0,'Unset',1581561781,1384377828,0,1),
(270041,1941593795,0,0,'Domination','Grants the coercer control over target opponent. The opponent has a recurring chance to resist the charm throughout its duration. Higher ranks of this spell will decrease the chance of a periodic resist.',473,24,315,2950599749,882983852,305,0,1,'Your Charm VI was successful on %t!','Your Charm VI fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Charm.lua',2164,'You cast Charm VI on %t.',0,0,0,1,0,1,0,0,0,270035,0,0,0,0,0,1,0,0,0,'Unset',1581561864,1384377828,0,1),
(270042,1203149855,0,0,'Dictate','Grants the coercer control over target opponent. The opponent has a recurring chance to resist the charm throughout its duration. Higher ranks of this spell will decrease the chance of a periodic resist.',473,24,315,2950599749,882983852,370,0,1,'Your Charm VII was successful on %t!','Your Charm VII fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Charm.lua',2164,'You cast Charm VII on %t.',0,0,0,1,0,1,0,0,0,270035,0,0,0,0,0,1,0,0,0,'Unset',1581561967,1384378115,0,1),
(270043,127011048,0,0,'Charm VIII','Grants the coercer control over target opponent. The opponent has a recurring chance to resist the charm throughout its duration. Higher ranks of this spell will decrease the chance of a periodic resist.',473,24,315,2950599749,882983852,420,0,1,'Your Charm VIII was successful on %t!','Your Charm VIII fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Charm.lua',2164,'You cast Charm VIII on %t.',0,0,0,1,0,1,0,0,0,270035,0,0,0,0,0,1,0,0,0,'Unset',1581562013,1384378157,0,1),
(270044,3498931225,0,0,'Despotic Mind','An augmentation placed on the coercer''s ally that deals additional mental damage every time they hit with a spell based attack for up to 3 hits.',270,25,316,2950599749,613995491,140,0,1,'Your Destructive Mind was successful on %t!','Your Destructive Mind fades.','',1,0,'Spells/Mage/Enchanter/Coercer/DespoticMind.lua',2165,'You cast Destructive Mind on %t.',0,1,0,1,1,1,0,0,0,270044,0,0,0,0,0,0,0,0,0,'Unset',1581636926,1384378114,0,1),
(270045,3915512446,0,0,'Tyrannical Mind','An augmentation placed on the coercer''s ally that deals additional mental damage every time they hit with a spell based attack for up to 3 hits.',270,25,316,2950599749,613995491,210,0,1,'Your Destructive Mind II was successful on %t!','Your Destructive Mind II fades.','',1,0,'Spells/Mage/Enchanter/Coercer/DestructiveMind.lua',2165,'You cast Destructive Mind II on %t.',0,1,0,1,1,1,0,0,0,270044,0,0,0,0,0,1,0,0,0,'Unset',1581637037,1384377828,0,1),
(270046,2405249683,0,0,'Destructive Mind','An augmentation placed on the coercer''s ally that deals additional mental damage every time they hit with a spell based attack for up to 3 hits.',270,25,316,2950599749,613995491,280,0,1,'Your Destructive Mind III was successful on %t!','Your Destructive Mind III fades.','',1,0,'Spells/Mage/Enchanter/Coercer/DestructiveMind.lua',2165,'You cast Destructive Mind III on %t.',0,1,0,1,1,1,0,0,0,270044,0,0,0,0,0,1,0,0,0,'Unset',1581637235,1384378115,0,1),
(270047,2610662413,0,0,'Cataclysmic Mind','An augmentation placed on the coercer''s ally that deals additional mental damage every time they hit with a spell based attack for up to 3 hits.',270,25,316,2950599749,613995491,350,0,1,'Your Destructive Mind IV was successful on %t!','Your Destructive Mind IV fades.','',1,0,'Spells/Mage/Enchanter/Coercer/DestructiveMind.lua',2165,'You cast Destructive Mind IV on %t.',0,1,0,1,1,1,0,0,0,270044,0,0,0,0,0,1,0,0,0,'Unset',1581637274,1384378115,0,1),
(270048,84402331,0,0,'Tyrannous Mind','An augmentation placed on the coercer''s ally that deals additional mental damage every time they hit with a spell based attack for up to 3 hits.',270,25,316,2950599749,613995491,400,0,1,'Your Destructive Mind V was successful on %t!','Your Destructive Mind V fades.','',1,0,'Spells/Mage/Enchanter/Coercer/DestructiveMind.lua',2165,'You cast Destructive Mind V on %t.',0,1,0,1,1,1,0,0,0,270044,0,0,0,0,0,1,0,0,0,'Unset',1581637309,1384378114,0,1),
(270049,1642634865,0,0,'Destructive Mind VI','An augmentation placed on the coercer''s ally that deals additional mental damage every time they hit with a spell based attack for up to 3 hits.',270,25,316,2950599749,613995491,450,0,1,'Your Destructive Mind VI was successful on %t!','Your Destructive Mind VI fades.','',1,0,'Spells/Mage/Enchanter/Coercer/DestructiveMind.lua',2165,'You cast Destructive Mind VI on %t.',0,1,0,1,1,1,0,0,0,270044,0,0,0,0,0,1,0,0,0,'Unset',1581637342,1384378112,0,1),
(270050,3670817002,0,0,'Destructive Mind VII','An augmentation placed on the coercer''s ally that deals additional mental damage every time they hit with a spell based attack for up to 3 hits.',270,25,316,2950599749,613995491,500,0,1,'Your Destructive Mind VII was successful on %t!','Your Destructive Mind VII fades.','',1,0,'Spells/Mage/Enchanter/Coercer/DestructiveMind.lua',2165,'You cast Destructive Mind VII on %t.',0,0,0,0,1,0,0,0,0,270044,0,0,0,0,0,1,0,0,0,'Unset',1581637534,1384378115,0,1),
(270051,2608541618,0,0,'Ego Shock','Dazes target and nearby encounter members and deals instant mental damage to them. Daze prevents targets from making normal auto attacks.',216,25,312,287643040,613995491,55,0,2,'Your Ego Shock was successful on %t!','Your Ego Shock fades.','',1,0,'Spells/Mage/Enchanter/Coercer/EgoShock.lua',2166,'You cast Ego Shock on %t.',0,0,0,1,0,1,2,3,0,270051,0,0,0,0,0,0,0,0,0,'Unset',1581564175,1384377829,0,1),
(270052,2686067385,0,0,'Muddled Thinking','Dazes target and nearby encounter members and deals instant mental damage to them. Daze prevents targets from making normal auto attacks.',216,25,312,2950599749,613995491,125,0,2,'Your Ego Shock II was successful on %t!','Your Ego Shock II fades.','',1,0,'Spells/Mage/Enchanter/Coercer/MuddledThinking.lua',2166,'You cast Ego Shock II on %t.',0,0,0,1,0,1,2,3,0,270051,0,0,0,0,0,0,0,0,0,'Unset',1581564214,1384378115,0,1),
(270053,1112748328,0,0,'Ego Blast','Dazes target and nearby encounter members and deals instant mental damage to them. Daze prevents targets from making normal auto attacks.',216,25,312,2950599749,613995491,195,0,2,'Your Ego Shock III was successful on %t!','Your Ego Shock III fades.','',1,0,'Spells/Mage/Enchanter/Coercer/EgoShock.lua',2166,'You cast Ego Shock III on %t.',0,0,0,1,0,1,2,3,0,270051,0,0,0,0,0,1,0,0,0,'Unset',1581564256,1384378114,0,1),
(270054,3973493755,0,0,'Ego Burst','Dazes target and nearby encounter members and deals instant mental damage to them. Daze prevents targets from making normal auto attacks.',216,25,312,2950599749,613995491,265,0,2,'Your Ego Shock IV was successful on %t!','Your Ego Shock IV fades.','',1,0,'Spells/Mage/Enchanter/Coercer/EgoShock.lua',2166,'You cast Ego Shock IV on %t.',0,0,0,1,0,1,2,3,0,270051,0,0,0,0,0,1,0,0,0,'Unset',1581564303,1384377828,0,1),
(270055,3069553916,0,0,'Ego Torrent','Dazes target and nearby encounter members and deals instant mental damage to them. Daze prevents targets from making normal auto attacks.',216,25,312,2950599749,613995491,335,0,2,'Your Ego Shock V was successful on %t!','Your Ego Shock V fades.','',1,0,'Spells/Mage/Enchanter/Coercer/EgoShock.lua',2166,'You cast Ego Shock V on %t.',0,0,0,1,0,1,2,3,0,270051,0,0,0,0,0,1,0,0,0,'Unset',1581564372,1384378114,0,1),
(270056,464357081,0,0,'Ego Melt','Dazes target and nearby encounter members and deals instant mental damage to them. Daze prevents targets from making normal auto attacks.',216,25,312,2950599749,613995491,390,0,2,'Your Ego Shock VI was successful on %t!','Your Ego Shock VI fades.','',1,0,'Spells/Mage/Enchanter/Coercer/EgoShock.lua',2166,'You cast Ego Shock VI on %t.',0,0,0,1,0,1,2,3,0,270051,0,0,0,0,0,1,0,0,0,'Unset',1581564470,1384378115,0,1),
(270057,2107583398,0,0,'Ego Shock VII','Dazes target and nearby encounter members and deals instant mental damage to them. Daze prevents targets from making normal auto attacks.',216,25,312,2950599749,613995491,440,0,2,'Your Ego Shock VII was successful on %t!','Your Ego Shock VII fades.','',1,0,'Spells/Mage/Enchanter/Coercer/EgoShock.lua',2166,'You cast Ego Shock VII on %t.',0,0,0,1,0,1,2,3,0,270051,0,0,0,0,0,1,0,0,0,'Unset',1581564553,1384378115,0,1),
(270058,3862587337,0,0,'Ego Shock VIII','Dazes target and nearby encounter members and deals instant mental damage to them. Daze prevents targets from making normal auto attacks.',216,25,312,2950599749,613995491,490,0,2,'Your Ego Shock VIII was successful on %t!','Your Ego Shock VIII fades.','',1,0,'Spells/Mage/Enchanter/Coercer/EgoShock.lua',2166,'You cast Ego Shock VIII on %t.',0,0,0,0,0,1,2,3,0,270051,0,0,0,0,0,1,0,0,0,'Unset',1581564680,1384377827,0,1),
(270059,903813412,0,1,'Smirking Demeanor','An augmentation cast on an ally, that causes them to generate additional hate towards any enemies they attack. This spell does not require any concentration cost, but can only be maintained on a single ally.',294,27,316,2950599749,3587918036,120,1,1,'Your Enraging Demeanor was successful on %t!','Your Enraging Demeanor fades.','',1,1,'Spells/Mage/Enchanter/Coercer/EnragingDemeanor.lua',2167,'You cast Enraging Demeanor on %t.',0,0,0,1,1,1,0,0,0,270059,0,0,0,0,0,0,0,0,0,'Unset',1581636469,1384378114,0,1),
(270060,648026222,0,1,'Annoying Demeanor','An augmentation cast on an ally, that causes them to generate additional hate towards any enemies they attack. This spell does not require any concentration cost, but can only be maintained on a single ally.',294,27,316,2950599749,3587918036,190,1,1,'Your Enraging Demeanor II was successful on %t!','Your Enraging Demeanor II fades.','',1,1,'Spells/Mage/Enchanter/Coercer/EnragingDemeanor.lua',2167,'You cast Enraging Demeanor II on %t.',0,0,0,1,1,1,0,0,0,270059,0,0,0,0,0,1,0,0,0,'Unset',1581636502,1384378114,0,1),
(270061,595442236,0,1,'Enraging Demeanor','An augmentation cast on an ally, that causes them to generate additional hate towards any enemies they attack. This spell does not require any concentration cost, but can only be maintained on a single ally.',294,27,316,2950599749,3587918036,260,1,1,'Your Enraging Demeanor III was successful on %t!','Your Enraging Demeanor III fades.','',1,1,'Spells/Mage/Enchanter/Coercer/EnragingDemeanor.lua',2167,'You cast Enraging Demeanor III on %t.',0,0,0,1,1,1,0,0,0,270059,0,0,0,0,0,1,0,0,0,'Unset',1581636543,1384378115,0,1),
(270062,1395956662,0,0,'Hesitate','Roots the coercer''s target in place, preventing them from movement. This also blurs their vision and prevents them from normal combat attacks until they are struck by any damage. Upgrades to this spell reduce the target''s resistance to the full duration of the root effect.',166,24,315,2950599749,882983852,25,0,1,'Your Forced Hesitation was successful on %t!','Your Forced Hesitation fades.','',1,0,'Spells/Mage/Enchanter/Coercer/ForcedHesitation.lua',2168,'You cast Forced Hesitation on %t.',0,0,0,1,0,0,2,0,0,270062,0,0,0,0,0,0,0,0,0,'Unset',1581563096,1384377829,0,1),
(270063,1286293137,0,0,'Hesitation','Roots the coercer''s target in place, preventing them from movement. This also blurs their vision and prevents them from normal combat attacks until they are struck by any damage. Upgrades to this spell reduce the target''s resistance to the full duration of the root effect.',166,24,315,2950599749,882983852,95,0,1,'Your Forced Hesitation II was successful on %t!','Your Forced Hesitation II fades.','',1,0,'Spells/Mage/Enchanter/Coercer/ForcedHesitation.lua',2168,'You cast Forced Hesitation II on %t.',0,0,0,1,0,1,2,0,0,270062,0,0,0,0,0,0,0,0,0,'Unset',1581563138,1384378112,0,1),
(270064,333059273,0,0,'Forced Hesitation','Roots the coercer''s target in place, preventing them from movement. This also blurs their vision and prevents them from normal combat attacks until they are struck by any damage. Upgrades to this spell reduce the target''s resistance to the full duration of the root effect.',166,24,315,2950599749,882983852,165,0,1,'Your Forced Hesitation III was successful on %t!','Your Forced Hesitation III fades.','',1,0,'Spells/Mage/Enchanter/Coercer/ForcedHesitation.lua',2168,'You cast Forced Hesitation III on %t.',0,0,0,1,0,1,2,0,0,270062,0,0,0,0,0,1,0,0,0,'Unset',1581563178,1384378114,0,1),
(270065,2003582308,0,0,'Fatal Hesitation','Roots the coercer''s target in place, preventing them from movement. This also blurs their vision and prevents them from normal combat attacks until they are struck by any damage. Upgrades to this spell reduce the target''s resistance to the full duration of the root effect.',166,24,315,2950599749,882983852,235,0,1,'Your Forced Hesitation IV was successful on %t!','Your Forced Hesitation IV fades.','',1,0,'Spells/Mage/Enchanter/Coercer/ForcedHesitation.lua',2168,'You cast Forced Hesitation IV on %t.',0,0,0,1,0,1,2,0,0,270062,0,0,0,0,0,1,0,0,0,'Unset',1581563256,1384378114,0,1),
(270066,371797860,0,0,'Ruinous Hesitation','Roots the coercer''s target in place, preventing them from movement. This also blurs their vision and prevents them from normal combat attacks until they are struck by any damage. Upgrades to this spell reduce the target''s resistance to the full duration of the root effect.',166,24,315,2950599749,882983852,305,0,1,'Your Forced Hesitation V was successful on %t!','Your Forced Hesitation V fades.','',1,0,'Spells/Mage/Enchanter/Coercer/ForcedHesitation.lua',2168,'You cast Forced Hesitation V on %t.',0,0,0,1,0,1,2,0,0,270062,0,0,0,0,0,1,0,0,0,'Unset',1581563399,1384378115,0,1),
(270067,3564744067,0,0,'Cortical Hesitation','Roots the coercer''s target in place, preventing them from movement. This also blurs their vision and prevents them from normal combat attacks until they are struck by any damage. Upgrades to this spell reduce the target''s resistance to the full duration of the root effect.',166,24,315,2950599749,882983852,365,0,1,'Your Forced Hesitation VI was successful on %t!','Your Forced Hesitation VI fades.','',1,0,'Spells/Mage/Enchanter/Coercer/ForcedHesitation.lua',2168,'You cast Forced Hesitation VI on %t.',0,0,0,1,0,1,2,0,0,270062,0,0,0,0,0,1,0,0,0,'Unset',1581563451,1384377829,0,1),
(270068,358566267,0,0,'Forced Hesitation VII','Roots the coercer''s target in place, preventing them from movement. This also blurs their vision and prevents them from normal combat attacks until they are struck by any damage. Upgrades to this spell reduce the target''s resistance to the full duration of the root effect.',166,24,315,2950599749,882983852,415,0,1,'Your Forced Hesitation VII was successful on %t!','Your Forced Hesitation VII fades.','',1,0,'Spells/Mage/Enchanter/Coercer/ForcedHesitation.lua',2168,'You cast Forced Hesitation VII on %t.',0,0,0,1,0,1,2,0,0,270062,0,0,0,0,0,1,0,0,0,'Unset',1581563487,1384378114,0,1),
(270069,2761132673,0,0,'Mind Shock','Deals instant mental damage and interrupts an opponent. This spell has a fast casting time.',161,25,315,2950599749,613995491,5,0,1,'Your Hemorrhage was successful on %t!','Your Hemorrhage fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Hemorrhage.lua',2169,'You cast Hemorrhage on %t.',0,0,0,1,0,0,0,0,0,210009,0,0,0,0,0,0,0,0,0,'DD',1581560627,1384378114,0,1),
(270070,1410872490,0,0,'Mind Blast','Deals instant mental damage and interrupts an opponent. This spell has a fast casting time.',161,25,315,2950599749,613995491,30,0,1,'Your Hemorrhage II was successful on %t!','Your Hemorrhage II fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Hemorrhage.lua',2169,'You cast Hemorrhage II on %t.',0,0,0,1,0,0,0,0,0,270069,0,0,0,0,0,0,0,0,0,'DD',1581560661,1384378115,0,1),
(270071,3232308983,0,0,'Mind Jolt','Deals instant mental damage and interrupts an opponent. This spell has a fast casting time.',161,25,315,287643040,613995491,60,0,1,'Your Hemorrhage III was successful on %t!','Your Hemorrhage III fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Hemorrhage.lua',2169,'You cast Hemorrhage III on %t.',0,0,0,1,0,0,0,0,0,270069,0,0,0,0,0,0,0,0,0,'DD',1581560675,1384378112,0,1),
(270072,475059376,0,0,'Ego Strike','Deals instant mental damage and interrupts an opponent. This spell has a fast casting time.',161,25,315,2950599749,613995491,100,0,1,'Your Hemorrhage IV was successful on %t!','Your Hemorrhage IV fades.','',1,0,'Spells/Mage/Enchanter/Coercer/EgoStrike.lua',2169,'You cast Hemorrhage IV on %t.',0,0,0,1,0,0,0,0,0,270069,0,0,0,0,0,0,0,0,0,'DD',1581560701,1384378114,0,1),
(270073,2099103988,0,0,'Hemorrhage IX','Deals instant mental damage and interrupts an opponent. This spell has a fast casting time.',161,25,315,2950599749,613995491,405,0,1,'Your Hemorrhage IX was successful on %t!','Your Hemorrhage IX fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Hemorrhage.lua',2169,'You cast Hemorrhage IX on %t.',0,0,0,1,0,0,0,0,0,270069,0,0,0,0,0,1,0,0,0,'DD',1581560972,1384378114,0,1),
(270074,2016725573,0,0,'Mind Splice','Deals instant mental damage and interrupts an opponent. This spell has a fast casting time.',161,25,315,2950599749,613995491,145,0,1,'Your Hemorrhage V was successful on %t!','Your Hemorrhage V fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Hemorrhage.lua',2169,'You cast Hemorrhage V on %t.',0,0,0,1,0,0,0,0,0,270069,0,0,0,0,0,0,0,0,0,'DD',1581560750,1384377828,0,1),
(270075,1098952448,0,0,'Seizure','Deals instant mental damage and interrupts an opponent. This spell has a fast casting time.',161,25,315,2950599749,613995491,215,0,1,'Your Hemorrhage VI was successful on %t!','Your Hemorrhage VI fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Hemorrhage.lua',2169,'You cast Hemorrhage VI on %t.',0,0,0,1,0,0,0,0,0,270069,0,0,0,0,0,1,0,0,0,'DD',1581560805,1384378115,0,1),
(270076,1241553645,0,0,'Stroke','Deals instant mental damage and interrupts an opponent. This spell has a fast casting time.',161,25,315,2950599749,613995491,285,0,1,'Your Hemorrhage VII was successful on %t!','Your Hemorrhage VII fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Hemorrhage.lua',2169,'You cast Hemorrhage VII on %t.',0,0,0,1,0,0,0,0,0,270069,0,0,0,0,0,1,0,0,0,'DD',1581560857,1384378115,0,1),
(270077,1517100481,0,0,'Hemorrhage','Deals instant mental damage and interrupts an opponent. This spell has a fast casting time.',161,25,315,2950599749,613995491,355,0,1,'Your Hemorrhage VIII was successful on %t!','Your Hemorrhage VIII fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Hemorrhage.lua',2169,'You cast Hemorrhage VIII on %t.',0,0,0,1,0,0,0,0,0,270069,0,0,0,0,0,1,0,0,0,'DD',1581560915,1384378114,0,1),
(270078,2693468529,0,0,'Hemorrhage X','Deals instant mental damage and interrupts an opponent. This spell has a fast casting time.',161,25,315,2950599749,613995491,455,0,1,'Your Hemorrhage X was successful on %t!','Your Hemorrhage X fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Hemorrhage.lua',2169,'You cast Hemorrhage X on %t.',0,0,0,1,0,0,0,0,0,270069,0,0,0,0,0,1,0,0,0,'DD',1581561023,1384378112,0,1),
(270079,217190272,0,0,'Sibyllant','An impairment that has a chance to cause the target mental damage every time it is hit by a melee attack for up to 3 triggers.',245,27,315,2950599749,613995491,115,0,1,'Your Hostage was successful on %t!','Your Hostage fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Sibyllant.lua',2170,'You cast Hostage on %t.',0,0,0,1,0,1,2,0,0,270079,0,0,0,0,0,0,0,0,0,'Unset',1581636147,1384378114,0,1),
(270080,241046101,0,0,'Haruspex','An impairment that has a chance to cause the target mental damage every time it is hit by a melee attack for up to 3 triggers.',245,27,315,2950599749,613995491,185,0,1,'Your Hostage II was successful on %t!','Your Hostage II fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Hostage.lua',2170,'You cast Hostage II on %t.',0,0,0,1,0,1,2,0,0,270079,0,0,0,0,0,1,0,0,0,'Unset',1581636189,1384378115,0,1),
(270081,3176404067,0,0,'Magus','An impairment that has a chance to cause the target mental damage every time it is hit by a melee attack for up to 3 triggers.',245,27,315,2950599749,613995491,255,0,1,'Your Hostage III was successful on %t!','Your Hostage III fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Hostage.lua',2170,'You cast Hostage III on %t.',0,0,0,1,0,1,2,0,0,270079,0,0,0,0,0,1,0,0,0,'Unset',1581636225,1384378114,0,1),
(270082,278259978,0,0,'Auspex','An impairment that has a chance to cause the target mental damage every time it is hit by a melee attack for up to 3 triggers.',245,27,315,2950599749,613995491,325,0,1,'Your Hostage IV was successful on %t!','Your Hostage IV fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Hostage.lua',2170,'You cast Hostage IV on %t.',0,0,0,1,0,1,2,0,0,270079,0,0,0,0,0,1,0,0,0,'Unset',1581636270,1384378112,0,1),
(270083,1858994083,0,0,'Hostage','An impairment that has a chance to cause the target mental damage every time it is hit by a melee attack for up to 3 triggers.',245,27,315,2950599749,613995491,385,0,1,'Your Hostage V was successful on %t!','Your Hostage V fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Hostage.lua',2170,'You cast Hostage V on %t.',0,0,0,1,0,1,2,0,0,270079,0,0,0,0,0,1,0,0,0,'Unset',1581636308,1384378115,0,1),
(270084,2680595502,0,0,'Hostage VI','An impairment that has a chance to cause the target mental damage every time it is hit by a melee attack for up to 3 triggers.',245,27,315,2950599749,613995491,435,0,1,'Your Hostage VI was successful on %t!','Your Hostage VI fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Hostage.lua',2170,'You cast Hostage VI on %t.',0,0,0,1,0,1,2,0,0,270079,0,0,0,0,0,1,0,0,0,'Unset',1581636356,1384377833,0,1),
(270085,1879363344,0,0,'Hostage VII','An impairment that has a chance to cause the target mental damage every time it is hit by a melee attack for up to 3 triggers.',245,27,315,2950599749,613995491,485,0,1,'Your Hostage VII was successful on %t!','Your Hostage VII fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Hostage.lua',2170,'You cast Hostage VII on %t.',0,0,0,0,0,0,2,0,0,270079,0,0,0,0,0,1,0,0,0,'Unset',1581636399,1384378115,0,1),
(270086,3856779775,0,0,'Medusa Gaze','Stuns the coercer''s target and deals mental damage.',5,29,315,2950599749,882983852,10,0,1,'Your Medusa Gaze was successful on %t!','Your Medusa Gaze fades.','',1,0,'Spells/Mage/Enchanter/Coercer/MedusaGaze.lua',2191,'You cast Medusa Gaze on %t.',0,0,0,1,0,1,2,4,0,270086,0,0,0,0,0,0,0,0,0,'DD',1581562117,1384378114,0,1),
(270087,3092874549,0,0,'Daunting Gaze','Stuns the coercer''s target and deals mental damage.',5,29,315,287643040,882983852,65,0,1,'Your Medusa Gaze II was successful on %t!','Your Medusa Gaze II fades.','',1,0,'Spells/Mage/Enchanter/Coercer/MedusaGaze.lua',2191,'You cast Medusa Gaze II on %t.',0,0,0,1,0,1,2,4,0,270086,0,0,0,0,0,0,0,0,0,'DD',1581562150,1384378112,0,1),
(270088,3513247463,0,0,'Unnerving Stare','Stuns the coercer''s target and deals mental damage.',5,29,315,2950599749,882983852,135,0,1,'Your Medusa Gaze III was successful on %t!','Your Medusa Gaze III fades.','',1,0,'Spells/Mage/Enchanter/Coercer/UnnervingStare.lua',2191,'You cast Medusa Gaze III on %t.',0,0,0,1,0,1,2,4,0,270086,0,0,0,0,0,0,0,0,0,'DD',1581562189,1384378114,0,1),
(270089,1531107347,0,0,'Eerie Focus','Stuns the coercer''s target and deals mental damage.',5,29,315,2950599749,882983852,205,0,1,'Your Medusa Gaze IV was successful on %t!','Your Medusa Gaze IV fades.','',1,0,'Spells/Mage/Enchanter/Coercer/MedusaGaze.lua',2191,'You cast Medusa Gaze IV on %t.',0,0,0,1,0,1,2,4,0,270086,0,0,0,0,0,1,0,0,0,'DD',1581562236,1384377828,0,1),
(270090,2893973788,0,0,'Medusa Gaze IX','Stuns the coercer''s target and deals mental damage.',5,29,315,2950599749,882983852,495,0,1,'Your Medusa Gaze IX was successful on %t!','Your Medusa Gaze IX fades.','',1,0,'Spells/Mage/Enchanter/Coercer/MedusaGaze.lua',2191,'You cast Medusa Gaze IX on %t.',0,0,0,0,0,0,2,4,0,270086,0,0,0,0,0,1,0,0,0,'DD',1581562572,1384378115,0,1),
(270091,1706196390,0,0,'Intense Focus','Stuns the coercer''s target and deals mental damage.',5,29,315,2950599749,882983852,275,0,1,'Your Medusa Gaze V was successful on %t!','Your Medusa Gaze V fades.','',1,0,'Spells/Mage/Enchanter/Coercer/MedusaGaze.lua',2191,'You cast Medusa Gaze V on %t.',0,0,0,1,0,1,2,4,0,270086,0,0,0,0,0,1,0,0,0,'DD',1581562277,1384378115,0,1),
(270092,3852053337,0,0,'Deep Focus','Stuns the coercer''s target and deals mental damage.',5,29,315,2950599749,882983852,345,0,1,'Your Medusa Gaze VI was successful on %t!','Your Medusa Gaze VI fades.','',1,0,'Spells/Mage/Enchanter/Coercer/MedusaGaze.lua',2191,'You cast Medusa Gaze VI on %t.',0,0,0,1,0,1,2,4,0,270086,0,0,0,0,0,1,0,0,0,'DD',1581562474,1384378115,0,1),
(270093,351000156,0,0,'Intrepid Focus','Stuns the coercer''s target and deals mental damage.',5,29,315,2950599749,882983852,395,0,1,'Your Medusa Gaze VII was successful on %t!','Your Medusa Gaze VII fades.','',1,0,'Spells/Mage/Enchanter/Coercer/MedusaGaze.lua',2191,'You cast Medusa Gaze VII on %t.',0,0,0,1,0,1,2,4,0,270086,0,0,0,0,0,1,0,0,0,'DD',1581562510,1384378115,0,1),
(270094,829515882,0,0,'Medusa Gaze VIII','Stuns the coercer''s target and deals mental damage.',5,29,315,2950599749,882983852,445,0,1,'Your Medusa Gaze VIII was successful on %t!','Your Medusa Gaze VIII fades.','',1,0,'Spells/Mage/Enchanter/Coercer/MedusaGaze.lua',2191,'You cast Medusa Gaze VIII on %t.',0,0,0,1,0,1,2,4,0,270086,0,0,0,0,0,1,0,0,0,'DD',1581562548,1384377827,0,1),
(270095,229938019,0,0,'Slumber','Mesmerizes the target and removes them from being affected by area of effect spells for a short duration. Mesmerization breaks if the target receives any damage. This spell can be cast while stunned or stifled.',477,27,315,2950599749,882983852,5,0,1,'Your Mesmerize was successful on %t!','Your Mesmerize fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Mesmerize.lua',2171,'You cast Mesmerize on %t.',0,0,0,1,0,1,2,1,0,270095,0,0,0,0,0,0,0,0,0,'Unset',1581561127,1384377851,0,1),
(270096,3374520825,0,0,'Fascinate','Mesmerizes the target and removes them from being affected by area of effect spells for a short duration. Mesmerization breaks if the target receives any damage. This spell can be cast while stunned or stifled.',477,27,315,287643040,882983852,60,0,1,'Your Mesmerize II was successful on %t!','Your Mesmerize II fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Mesmerize.lua',2171,'You cast Mesmerize II on %t.',0,0,0,1,0,1,2,1,0,270095,0,0,0,0,0,0,0,0,0,'Unset',1581561178,1384378112,0,1),
(270097,1545480454,0,0,'Mesmerize','Mesmerizes the target and removes them from being affected by area of effect spells for a short duration. Mesmerization breaks if the target receives any damage. This spell can be cast while stunned or stifled.',477,27,315,2950599749,882983852,120,0,1,'Your Mesmerize III was successful on %t!','Your Mesmerize III fades.','',1,0,'Spells/Mage/Enchanter/Coercer/MesmerizeClassic.lua',2171,'You cast Mesmerize III on %t.',0,0,0,1,0,1,2,1,0,270095,0,0,0,0,0,0,0,0,0,'Unset',1581561240,1384377828,0,1),
(270098,1850089524,0,0,'Enthrall','Mesmerizes the target and removes them from being affected by area of effect spells for a short duration. Mesmerization breaks if the target receives any damage. This spell can be cast while stunned or stifled.',477,27,315,2950599749,882983852,190,0,1,'Your Mesmerize IV was successful on %t!','Your Mesmerize IV fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Mesmerize.lua',2171,'You cast Mesmerize IV on %t.',0,0,0,1,0,1,2,1,0,270095,0,0,0,0,0,1,0,0,0,'Unset',1581561278,1384378114,0,1),
(270099,573875217,0,0,'Spellbind','Mesmerizes the target and removes them from being affected by area of effect spells for a short duration. Mesmerization breaks if the target receives any damage. This spell can be cast while stunned or stifled.',477,27,315,2950599749,882983852,260,0,1,'Your Mesmerize V was successful on %t!','Your Mesmerize V fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Mesmerize.lua',2171,'You cast Mesmerize V on %t.',0,0,0,1,0,1,2,1,0,270095,0,0,0,0,0,1,0,0,0,'Unset',1581561313,1384378115,0,1),
(270100,424798464,0,0,'Enrapture','Mesmerizes the target and removes them from being affected by area of effect spells for a short duration. Mesmerization breaks if the target receives any damage. This spell can be cast while stunned or stifled.',477,27,315,2950599749,882983852,330,0,1,'Your Mesmerize VI was successful on %t!','Your Mesmerize VI fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Mesmerize.lua',2171,'You cast Mesmerize VI on %t.',0,0,0,1,0,1,2,1,0,270095,0,0,0,0,0,1,0,0,0,'Unset',1581561362,1384378112,0,1),
(270101,4085218393,0,0,'Hold Mind','Mesmerizes the target and removes them from being affected by area of effect spells for a short duration. Mesmerization breaks if the target receives any damage. This spell can be cast while stunned or stifled.',477,27,315,2950599749,882983852,385,0,1,'Your Mesmerize VII was successful on %t!','Your Mesmerize VII fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Mesmerize.lua',2171,'You cast Mesmerize VII on %t.',0,0,0,1,0,1,2,1,0,270095,0,0,0,0,0,1,0,0,0,'Unset',1581561403,1384378114,0,1),
(270102,1449592685,0,0,'Mesmerize VIII','Mesmerizes the target and removes them from being affected by area of effect spells for a short duration. Mesmerization breaks if the target receives any damage. This spell can be cast while stunned or stifled.',477,27,315,2950599749,882983852,435,0,1,'Your Mesmerize VIII was successful on %t!','Your Mesmerize VIII fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Mesmerize.lua',2171,'You cast Mesmerize VIII on %t.',0,0,0,1,0,1,2,1,0,270095,0,0,0,0,0,1,0,0,0,'Unset',1581561442,1384378115,0,1),
(270103,3985168602,0,1,'Mind''s Eye','Grants some power over time to the coercer''s group for a limited duration. ',211,27,314,2950599749,366253016,240,1,2,'Your Mind''s Eye was successful on %t!','Your Mind''s Eye fades.','',1,0,'Spells/Mage/Enchanter/Coercer/MindsEye.lua',2173,'You cast Mind''s Eye on %t.',0,0,0,1,1,1,0,0,0,270103,0,0,0,0,0,1,0,0,0,'Unset',1581638676,1384378114,0,1),
(270104,361987014,0,1,'Beholder''s Eye','Grants some power over time to the coercer''s group for a limited duration. ',211,27,314,2950599749,366253016,310,1,2,'Your Mind''s Eye II was successful on %t!','Your Mind''s Eye II fades.','',1,0,'Spells/Mage/Enchanter/Coercer/MindsEye.lua',2173,'You cast Mind''s Eye II on %t.',0,0,0,1,1,1,0,0,0,270103,0,0,0,0,0,1,0,0,0,'Unset',1581638703,1384378115,0,1),
(270105,1515624668,0,1,'Third Eye','Grants some power over time to the coercer''s group for a limited duration. ',211,27,314,2950599749,366253016,370,1,2,'Your Mind''s Eye III was successful on %t!','Your Mind''s Eye III fades.','',1,0,'Spells/Mage/Enchanter/Coercer/MindsEye.lua',2173,'You cast Mind''s Eye III on %t.',0,0,0,1,1,1,0,0,0,270103,0,0,0,0,0,1,0,0,0,'Unset',1581638711,1384378115,0,1),
(270106,652437379,0,1,'Mind''s Eye IV','Grants some power over time to the coercer''s group for a limited duration. ',211,27,314,2950599749,366253016,420,1,2,'Your Mind''s Eye IV was successful on %t!','Your Mind''s Eye IV fades.','',1,0,'Spells/Mage/Enchanter/Coercer/MindsEye.lua',2173,'You cast Mind''s Eye IV on %t.',0,0,0,1,1,1,0,0,0,270103,0,0,0,0,0,1,0,0,0,'Unset',1581638719,1384378114,0,1),
(270107,3175492588,0,1,'Mind''s Eye V','Grants some power over time to the coercer''s group for a limited duration. ',211,27,314,2950599749,366253016,470,1,2,'Your Mind''s Eye V was successful on %t!','Your Mind''s Eye V fades.','',1,0,'Spells/Mage/Enchanter/Coercer/MindsEye.lua',2173,'You cast Mind''s Eye V on %t.',0,0,0,0,1,1,0,0,0,270103,0,0,0,0,0,1,0,0,0,'Unset',1581638726,1384378115,0,1),
(270108,3112380294,0,0,'Mindbend','Impairment placed on a target opponent that has a chance to stun the opponent each time they successfully attack or cast any spell. This can occur up to three times before the impairment expires.',172,65535,315,2950599749,3587918036,260,0,1,'Your Mindbend was successful on %t!','Your Mindbend fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Mindbend.lua',2172,'You cast Mindbend on %t.',0,0,0,1,0,1,2,4,0,270108,0,0,0,0,0,1,0,0,0,'Unset',1581639936,1384378114,0,1),
(270109,4175604130,0,0,'Damaged Psyche','Impairment that decreases Arcane, Elemental, and Noxious mitigations on an opponent.',267,29,315,2950599749,3587918036,100,0,1,'Your Obliterated Psyche was successful on %t!','Your Obliterated Psyche fades.','',1,0,'Spells/Mage/Enchanter/Coercer/ObliteratedPsyche.lua',2174,'You cast Obliterated Psyche on %t.',0,0,0,1,0,1,2,0,0,270109,0,0,0,0,0,0,0,0,0,'Unset',1581634964,1384378114,0,1),
(270110,2510764535,0,0,'Scarred Psyche','Impairment that decreases Arcane, Elemental, and Noxious mitigations on an opponent.',267,29,315,2950599749,3587918036,175,0,1,'Your Obliterated Psyche II was successful on %t!','Your Obliterated Psyche II fades.','',1,0,'Spells/Mage/Enchanter/Coercer/ObliteratedPsyche.lua',2174,'You cast Obliterated Psyche II on %t.',0,0,0,1,0,1,2,0,0,270109,0,0,0,0,0,1,0,0,0,'Unset',1581635006,1384378115,0,1),
(270111,90986192,0,0,'Ravaged Psyche','Impairment that decreases Arcane, Elemental, and Noxious mitigations on an opponent.',267,29,315,2950599749,3587918036,250,0,1,'Your Obliterated Psyche III was successful on %t!','Your Obliterated Psyche III fades.','',1,0,'Spells/Mage/Enchanter/Coercer/ObliteratedPsyche.lua',2174,'You cast Obliterated Psyche III on %t.',0,0,0,1,0,1,2,0,0,270109,0,0,0,0,0,1,0,0,0,'Unset',1581635040,1384378114,0,1),
(270112,2992870757,0,0,'Marred Psyche','Impairment that decreases Arcane, Elemental, and Noxious mitigations on an opponent.',267,29,315,2950599749,3587918036,320,0,1,'Your Obliterated Psyche IV was successful on %t!','Your Obliterated Psyche IV fades.','',1,0,'Spells/Mage/Enchanter/Coercer/ObliteratedPsyche.lua',2174,'You cast Obliterated Psyche IV on %t.',0,0,0,1,0,1,2,0,0,270109,0,0,0,0,0,1,0,0,0,'Unset',1581635068,1384378115,0,1),
(270113,965770754,0,0,'Obliterated Psyche','Impairment that decreases Arcane, Elemental, and Noxious mitigations on an opponent.',267,29,315,2950599749,3587918036,380,0,1,'Your Obliterated Psyche V was successful on %t!','Your Obliterated Psyche V fades.','',1,0,'Spells/Mage/Enchanter/Coercer/ObliteratedPsyche.lua',2174,'You cast Obliterated Psyche V on %t.',0,0,0,1,0,1,2,0,0,270109,0,0,0,0,0,1,0,0,0,'Unset',1581635851,1384377828,0,1),
(270114,1971712300,0,0,'Obliterated Psyche VI','Impairment that decreases Arcane, Elemental, and Noxious mitigations on an opponent.',267,29,315,2950599749,3587918036,430,0,1,'Your Obliterated Psyche VI was successful on %t!','Your Obliterated Psyche VI fades.','',1,0,'Spells/Mage/Enchanter/Coercer/ObliteratedPsyche.lua',2174,'You cast Obliterated Psyche VI on %t.',0,0,0,1,0,1,2,0,0,270109,0,0,0,0,0,1,0,0,0,'Unset',1581635879,1384377833,0,1),
(270115,3932123826,0,0,'Obliterated Psyche VII','Impairment that decreases Arcane, Elemental, and Noxious mitigations on an opponent.',267,29,315,2950599749,3587918036,480,0,1,'Your Obliterated Psyche VII was successful on %t!','Your Obliterated Psyche VII fades.','',1,0,'Spells/Mage/Enchanter/Coercer/ObliteratedPsyche.lua',2174,'You cast Obliterated Psyche VII on %t.',0,0,0,0,0,0,2,0,0,270109,0,0,0,0,0,1,0,0,0,'Unset',1581635932,1384378115,0,1),
(270116,1534297879,0,1,'Empathic Link','An augmentation placed on the coercer''s ally that causes them to lose a hate position when taking melee damage from an npc. It also reduces the hate accumulated by an ally if they are not a pet.',269,27,316,2950599749,3587918036,175,1,8,'Your Peaceful Link was successful on %t!','Your Peaceful Link fades.','',1,1,'Spells/Mage/Enchanter/Coercer/PeacefulLink.lua',2175,'You cast Peaceful Link on %t.',0,1,0,1,1,0,0,0,0,270116,0,0,0,0,0,1,0,0,0,'Unset',1581638026,1384378157,0,1),
(270117,3205091573,0,1,'Synergetic Link','An augmentation placed on the coercer''s ally that causes them to lose a hate position when taking melee damage from an npc. It also reduces the hate accumulated by an ally if they are not a pet.',269,27,316,2950599749,3587918036,245,1,8,'Your Peaceful Link II was successful on %t!','Your Peaceful Link II fades.','',1,1,'Spells/Mage/Enchanter/Coercer/PeacefulLink.lua',2175,'You cast Peaceful Link II on %t.',0,1,0,1,1,0,0,0,0,270116,0,0,0,0,0,1,0,0,0,'Unset',1581638080,1384378114,0,1),
(270118,4189551492,0,1,'Harmonious Link','An augmentation placed on the coercer''s ally that causes them to lose a hate position when taking melee damage from an npc. It also reduces the hate accumulated by an ally if they are not a pet.',269,27,316,2950599749,3587918036,315,1,8,'Your Peaceful Link III was successful on %t!','Your Peaceful Link III fades.','',1,1,'Spells/Mage/Enchanter/Coercer/PeacefulLink.lua',2175,'You cast Peaceful Link III on %t.',0,1,0,1,1,0,0,0,0,270116,0,0,0,0,0,1,0,0,0,'Unset',1581638114,1384378115,0,1),
(270119,685417323,0,1,'Peaceful Link','An augmentation placed on the coercer''s ally that causes them to lose a hate position when taking melee damage from an npc. It also reduces the hate accumulated by an ally if they are not a pet.',269,27,316,2950599749,3587918036,375,1,8,'Your Peaceful Link IV was successful on %t!','Your Peaceful Link IV fades.','',1,1,'Spells/Mage/Enchanter/Coercer/PeacefulLink.lua',2175,'You cast Peaceful Link IV on %t.',0,1,0,1,1,0,0,0,0,270116,0,0,0,0,0,1,0,0,0,'Unset',1581638171,1384378114,0,1),
(270120,2788213841,0,1,'Peaceful Link V','An augmentation placed on the coercer''s ally that causes them to lose a hate position when taking melee damage from an npc. It also reduces the hate accumulated by an ally if they are not a pet.',269,27,316,2950599749,3587918036,425,1,8,'Your Peaceful Link V was successful on %t!','Your Peaceful Link V fades.','',1,1,'Spells/Mage/Enchanter/Coercer/PeacefulLink.lua',2175,'You cast Peaceful Link V on %t.',0,1,0,1,1,0,0,0,0,270116,0,0,0,0,0,1,0,0,0,'Unset',1581638206,1384378115,0,1),
(270121,140006848,0,1,'Peaceful Link VI','An augmentation placed on the coercer''s ally that causes them to lose a hate position when taking melee damage from an npc. It also reduces the hate accumulated by an ally if they are not a pet.',269,27,316,2950599749,3587918036,475,1,8,'Your Peaceful Link VI was successful on %t!','Your Peaceful Link VI fades.','',1,1,'Spells/Mage/Enchanter/Coercer/PeacefulLink.lua',2175,'You cast Peaceful Link VI on %t.',0,0,0,0,1,0,0,0,0,270116,0,0,0,0,0,1,0,0,0,'Unset',1581638228,1352217953,0,1),
(270122,425109551,0,1,'Possess Essence','The coercer extracts the essence of the targeted creature and takes control of it until they zone. If there is no creature targeted or the target is invalid, the coercer uses their own essence instead.',494,65535,317,2950599749,882983852,325,1,1,'Your Possess Essence was successful on %t!','Your Possess Essence fades.','',1,1,'Spells/Mage/Enchanter/Coercer/PossessEssence.lua',2176,'You cast Possess Essence on %t.',0,0,0,1,1,1,0,0,0,270122,0,0,0,0,0,0,0,0,0,'Unset',1581640502,1384378112,0,1),
(270123,3302654429,0,1,'Power of Mind','An augmentation that increases the power pool and arcane resistance for the coercer''s group. The arcane resist protects more against mental than magic and divine.',245,27,314,2950599749,3587918036,35,1,2,'Your Power of Mind was successful on %t!','Your Power of Mind fades.','',1,1,'Spells/Mage/Enchanter/Coercer/PowerofMind.lua',2177,'You cast Power of Mind on %t.',0,0,0,1,1,1,0,0,0,270123,0,0,0,0,0,0,0,0,0,'Unset',1581563529,1384378114,0,1),
(270124,1614437852,0,1,'Power of Suggestion','An augmentation that increases the power pool and arcane resistance for the coercer''s group. The arcane resist protects more against mental than magic and divine.',245,27,314,2950599749,3587918036,105,1,2,'Your Power of Mind II was successful on %t!','Your Power of Mind II fades.','',1,1,'Spells/Mage/Enchanter/Coercer/PowerofSuggestion.lua',2177,'You cast Power of Mind II on %t.',0,0,0,1,1,1,0,0,0,270123,0,0,0,0,0,0,0,0,0,'Unset',1581563541,1384378115,0,1),
(270125,1922508679,0,1,'Exhortation','An augmentation that increases the power pool and arcane resistance for the coercer''s group. The arcane resist protects more against mental than magic and divine.',245,27,314,2950599749,3587918036,175,1,2,'Your Power of Mind III was successful on %t!','Your Power of Mind III fades.','',1,1,'Spells/Mage/Enchanter/Coercer/PowerofMind.lua',2177,'You cast Power of Mind III on %t.',0,0,0,1,1,1,0,0,0,270123,0,0,0,0,0,1,0,0,0,'Unset',1581563550,1384377828,0,1),
(270126,2641391988,0,1,'Instigation','An augmentation that increases the power pool and arcane resistance for the coercer''s group. The arcane resist protects more against mental than magic and divine.',245,27,314,2950599749,3587918036,245,1,2,'Your Power of Mind IV was successful on %t!','Your Power of Mind IV fades.','',1,1,'Spells/Mage/Enchanter/Coercer/PowerofMind.lua',2177,'You cast Power of Mind IV on %t.',0,0,0,1,1,1,0,0,0,270123,0,0,0,0,0,1,0,0,0,'Unset',1581563559,1384378114,0,1),
(270127,4281459690,0,1,'Incitement','An augmentation that increases the power pool and arcane resistance for the coercer''s group. The arcane resist protects more against mental than magic and divine.',245,27,314,2950599749,3587918036,315,1,2,'Your Power of Mind V was successful on %t!','Your Power of Mind V fades.','',1,1,'Spells/Mage/Enchanter/Coercer/PowerofMind.lua',2177,'You cast Power of Mind V on %t.',0,0,0,1,1,1,0,0,0,270123,0,0,0,0,0,1,0,0,0,'Unset',1581563566,1384378115,0,1),
(270128,3637564650,0,1,'Coruscation','An augmentation that increases the power pool and arcane resistance for the coercer''s group. The arcane resist protects more against mental than magic and divine.',245,27,314,2950599749,3587918036,375,1,2,'Your Power of Mind VI was successful on %t!','Your Power of Mind VI fades.','',1,1,'Spells/Mage/Enchanter/Coercer/PowerofMind.lua',2177,'You cast Power of Mind VI on %t.',0,0,0,1,1,1,0,0,0,270123,0,0,0,0,0,1,0,0,0,'Unset',1581563575,1384378115,0,1),
(270129,525315843,0,1,'Power of Mind VII','An augmentation that increases the power pool and arcane resistance for the coercer''s group. The arcane resist protects more against mental than magic and divine.',245,27,314,2950599749,3587918036,425,1,2,'Your Power of Mind VII was successful on %t!','Your Power of Mind VII fades.','',1,1,'Spells/Mage/Enchanter/Coercer/PowerofMind.lua',2177,'You cast Power of Mind VII on %t.',0,0,0,1,1,1,0,0,0,270123,0,0,0,0,0,1,0,0,0,'Unset',1581563585,1384378115,0,1),
(270130,2972139154,0,1,'Power of Mind VIII','An augmentation that increases the power pool and arcane resistance for the coercer''s group. The arcane resist protects more against mental than magic and divine.',245,27,314,2950599749,3587918036,475,1,2,'Your Power of Mind VIII was successful on %t!','Your Power of Mind VIII fades.','',1,1,'Spells/Mage/Enchanter/Coercer/PowerofMind.lua',2177,'You cast Power of Mind VIII on %t.',0,0,0,0,1,1,0,0,0,270123,0,0,0,0,0,1,0,0,0,'Unset',1581563594,1384378115,0,1),
(270131,1557541031,0,0,'Puppetmaster','The coercer summons four small puppet pets that look like the coercer''s current target.  The coercer mocks their enemy with them by having them attack it.',492,65535,315,2950599749,882983852,400,0,1,'Your Puppetmaster was successful on %t!','Your Puppetmaster fades.','',1,1,'Spells/Mage/Enchanter/Coercer/Puppetmaster.lua',2179,'You cast Puppetmaster on %t.',0,0,0,1,0,0,4,0,1,270131,0,0,0,0,0,1,0,0,0,'Unset',1581640579,1384378115,0,1),
(270132,3844991823,0,0,'Puppetmaster II','The coercer summons four small puppet pets that look like the coercer''s current target.  The coercer mocks their enemy with them by having them attack it.',492,65535,315,2950599749,882983852,450,0,1,'Your Puppetmaster II was successful on %t!','Your Puppetmaster II fades.','',1,1,'Spells/Mage/Enchanter/Coercer/Puppetmaster.lua',2179,'You cast Puppetmaster II on %t.',0,0,0,1,0,0,4,0,1,270131,0,0,0,0,0,1,0,0,0,'Unset',1581640662,1384378112,0,1),
(270133,1027042737,0,0,'Puppetmaster III','The coercer summons four small puppet pets that look like the coercer''s current target.  The coercer mocks their enemy with them by having them attack it.',492,65535,315,2950599749,882983852,500,0,1,'Your Puppetmaster III was successful on %t!','Your Puppetmaster III fades.','',1,1,'Spells/Mage/Enchanter/Coercer/Puppetmaster.lua',2179,'You cast Puppetmaster III on %t.',0,0,0,0,0,0,4,0,1,270131,0,0,0,0,0,1,0,0,0,'Unset',1581640709,1384377827,0,1),
(270134,1407602804,0,0,'Terrible Awe','Mesmerizes target opponent and nearby encounter members, and removes them from being affected by any area effects. ',198,65535,312,2950599749,882983852,125,0,1,'Your Pure Awe was successful on %t!','Your Pure Awe fades.','',1,0,'Spells/Mage/Enchanter/Coercer/TerribleAwe.lua',2180,'You cast Pure Awe on %t.',0,0,0,1,0,1,2,1,0,270134,0,0,0,0,0,0,0,0,0,'Unset',1581636608,1384377828,0,1),
(270135,623733488,0,0,'Dreadful Awe','Mesmerizes target opponent and nearby encounter members, and removes them from being affected by any area effects. ',198,65535,312,2950599749,882983852,195,0,1,'Your Pure Awe II was successful on %t!','Your Pure Awe II fades.','',1,0,'Spells/Mage/Enchanter/Coercer/PureAwe.lua',2180,'You cast Pure Awe II on %t.',0,0,0,1,0,1,2,1,0,270134,0,0,0,0,0,1,0,0,0,'Unset',1581636639,1384378114,0,1),
(270136,3915671959,0,0,'Breathtaking Awe','Mesmerizes target opponent and nearby encounter members, and removes them from being affected by any area effects. ',198,65535,312,2950599749,882983852,265,0,1,'Your Pure Awe III was successful on %t!','Your Pure Awe III fades.','',1,0,'Spells/Mage/Enchanter/Coercer/PureAwe.lua',2180,'You cast Pure Awe III on %t.',0,0,0,1,0,1,2,1,0,270134,0,0,0,0,0,1,0,0,0,'Unset',1581636683,1384377828,0,1),
(270137,971268536,0,0,'Astonishing Awe','Mesmerizes target opponent and nearby encounter members, and removes them from being affected by any area effects. ',198,65535,312,2950599749,882983852,335,0,1,'Your Pure Awe IV was successful on %t!','Your Pure Awe IV fades.','',1,0,'Spells/Mage/Enchanter/Coercer/PureAwe.lua',2180,'You cast Pure Awe IV on %t.',0,0,0,1,0,1,2,1,0,270134,0,0,0,0,0,1,0,0,0,'Unset',1581636717,1384377829,0,1),
(270138,365164173,0,0,'Pure Awe','Mesmerizes target opponent and nearby encounter members, and removes them from being affected by any area effects. ',198,65535,312,2950599749,882983852,390,0,1,'Your Pure Awe V was successful on %t!','Your Pure Awe V fades.','',1,0,'Spells/Mage/Enchanter/Coercer/PureAwe.lua',2180,'You cast Pure Awe V on %t.',0,0,0,1,0,1,2,1,0,270134,0,0,0,0,0,1,0,0,0,'Unset',1581636747,1384378114,0,1),
(270139,2252014155,0,0,'Pure Awe VI','Mesmerizes target opponent and nearby encounter members, and removes them from being affected by any area effects. ',198,65535,312,2950599749,882983852,440,0,1,'Your Pure Awe VI was successful on %t!','Your Pure Awe VI fades.','',1,0,'Spells/Mage/Enchanter/Coercer/PureAwe.lua',2180,'You cast Pure Awe VI on %t.',0,0,0,1,0,1,2,1,0,270134,0,0,0,0,0,1,0,0,0,'Unset',1581636786,1384378114,0,1),
(270140,213996474,0,0,'Reek of Terror','For a short duration, enemies surrounding the Coercer are feared, and their hate towards the Coercer is reduced.',237,27,313,2950599749,882983852,200,0,1,'Your Reek of Terror was successful on %t!','Your Reek of Terror fades.','',0,1,'Spells/Mage/Enchanter/Coercer/ReekofTerror.lua',2181,'You cast Reek of Terror on %t.',0,0,0,0,0,0,2,0,0,270140,0,0,0,0,0,1,0,0,0,'Unset',1589119693,1384378114,0,1),
(270141,1009471530,0,1,'Signet of Intuition','A group augmentation that increases the intelligence, agility, and base avoidance of the coercer''s group.',474,24,314,287643040,3587918036,60,1,2,'Your Signet of Intellect was successful on %t!','Your Signet of Intellect fades.','',1,1,'Spells/Mage/Enchanter/Coercer/SignetofIntellect.lua',2184,'You cast Signet of Intellect on %t.',0,0,0,1,1,1,0,0,0,270141,0,0,0,0,0,0,0,0,0,'Unset',1581565237,1384378112,0,1),
(270142,602613284,0,1,'Signet of Insight','A group augmentation that increases the intelligence, agility, and base avoidance of the coercer''s group.',474,24,314,2950599749,3587918036,130,1,2,'Your Signet of Intellect II was successful on %t!','Your Signet of Intellect II fades.','',1,1,'Spells/Mage/Enchanter/Coercer/SignetofInsight.lua',2184,'You cast Signet of Intellect II on %t.',0,0,0,1,1,1,0,0,0,270141,0,0,0,0,0,0,0,0,0,'Unset',1581565249,1384378115,0,1),
(270143,1389421614,0,1,'Signet of Realization','A group augmentation that increases the intelligence, agility, and base avoidance of the coercer''s group.',474,24,314,2950599749,3587918036,200,1,2,'Your Signet of Intellect III was successful on %t!','Your Signet of Intellect III fades.','',1,1,'Spells/Mage/Enchanter/Coercer/SignetofIntellect.lua',2184,'You cast Signet of Intellect III on %t.',0,0,0,1,1,1,0,0,0,270141,0,0,0,0,0,1,0,0,0,'Unset',1581565258,1384378114,0,1),
(270144,341745051,0,1,'Signet of Reason','A group augmentation that increases the intelligence, agility, and base avoidance of the coercer''s group.',474,65535,314,2950599749,3587918036,270,1,2,'Your Signet of Intellect IV was successful on %t!','Your Signet of Intellect IV fades.','',1,1,'Spells/Mage/Enchanter/Coercer/SignetofIntellect.lua',2184,'You cast Signet of Intellect IV on %t.',0,0,0,1,1,1,0,0,0,270141,0,0,0,0,0,1,0,0,0,'Unset',1581565267,1384378115,0,1),
(270145,1117595484,0,1,'Signet of Enlightenment','A group augmentation that increases the intelligence, agility, and base avoidance of the coercer''s group.',474,24,314,2950599749,3587918036,340,1,2,'Your Signet of Intellect V was successful on %t!','Your Signet of Intellect V fades.','',1,1,'Spells/Mage/Enchanter/Coercer/SignetofIntellect.lua',2184,'You cast Signet of Intellect V on %t.',0,0,0,1,1,1,0,0,0,270141,0,0,0,0,0,1,0,0,0,'Unset',1581565278,1384378114,0,1),
(270146,375405750,0,1,'Signet of Intellect','A group augmentation that increases the intelligence, agility, and base avoidance of the coercer''s group.',474,24,314,2950599749,3587918036,395,1,2,'Your Signet of Intellect VI was successful on %t!','Your Signet of Intellect VI fades.','',1,1,'Spells/Mage/Enchanter/Coercer/SignetofIntellect.lua',2184,'You cast Signet of Intellect VI on %t.',0,0,0,1,1,1,0,0,0,270141,0,0,0,0,0,1,0,0,0,'Unset',1581565287,1384378114,0,1),
(270147,3405391094,0,1,'Signet of Intellect VII','A group augmentation that increases the intelligence, agility, and base avoidance of the coercer''s group.',474,24,314,2950599749,3587918036,445,1,2,'Your Signet of Intellect VII was successful on %t!','Your Signet of Intellect VII fades.','',1,1,'Spells/Mage/Enchanter/Coercer/SignetofIntellect.lua',2184,'You cast Signet of Intellect VII on %t.',0,0,0,1,1,1,0,0,0,270141,0,0,0,0,0,1,0,0,0,'Unset',1581565295,1384378115,0,1),
(270148,3721543734,0,1,'Signet of Intellect VIII','A group augmentation that increases the intelligence, agility, and base avoidance of the coercer''s group.',474,24,314,2950599749,3587918036,495,1,2,'Your Signet of Intellect VIII was successful on %t!','Your Signet of Intellect VIII fades.','',1,1,'Spells/Mage/Enchanter/Coercer/SignetofIntellect.lua',2184,'You cast Signet of Intellect VIII on %t.',0,0,0,0,1,1,0,0,0,270141,0,0,0,0,0,1,0,0,0,'Unset',1581565336,1384377827,0,1),
(270149,2718761502,0,0,'Silence','Stifles and damages the coercer''s target for a medium amount initially and a smaller amount over time.',495,28,315,2950599749,882983852,80,0,1,'Your Silence was successful on %t!','Your Silence fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Silence.lua',2185,'You cast Silence on %t.',0,0,0,1,0,0,2,2,0,270149,0,0,0,0,0,0,0,0,0,'DoT',1581634067,1384378112,0,1),
(270150,1095663640,0,0,'Withering Silence','Stifles and damages the coercer''s target for a medium amount initially and a smaller amount over time.',495,28,315,2950599749,882983852,150,0,1,'Your Silence II was successful on %t!','Your Silence II fades.','',1,0,'Spells/Mage/Enchanter/Coercer/WitheringSilence.lua',2185,'You cast Silence II on %t.',0,0,0,1,0,0,2,2,0,270149,0,0,0,0,0,0,0,0,0,'DoT',1581634183,1384378114,0,1),
(270151,1509064042,0,0,'Agonizing Silence','Stifles and damages the coercer''s target for a medium amount initially and a smaller amount over time.',495,28,315,2950599749,882983852,220,0,1,'Your Silence III was successful on %t!','Your Silence III fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Silence.lua',2185,'You cast Silence III on %t.',0,0,0,1,0,0,2,2,0,270149,0,0,0,0,0,1,0,0,0,'DoT',1581634260,1384378114,0,1),
(270152,3442366207,0,0,'Harrowing Silence','Stifles and damages the coercer''s target for a medium amount initially and a smaller amount over time.',495,28,315,2950599749,882983852,290,0,1,'Your Silence IV was successful on %t!','Your Silence IV fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Silence.lua',2185,'You cast Silence IV on %t.',0,0,0,1,0,0,2,2,0,270149,0,0,0,0,0,1,0,0,0,'DoT',1581634348,1384378115,0,1),
(270153,1539104145,0,0,'Absolute Silence','Stifles and damages the coercer''s target for a medium amount initially and a smaller amount over time.',495,28,315,2950599749,882983852,360,0,1,'Your Silence V was successful on %t!','Your Silence V fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Silence.lua',2185,'You cast Silence V on %t.',0,0,0,1,0,0,2,2,0,270149,0,0,0,0,0,1,0,0,0,'DoT',1581634428,1384378114,0,1),
(270154,66353368,0,0,'Silence VI','Stifles and damages the coercer''s target for a medium amount initially and a smaller amount over time.',495,28,315,2950599749,882983852,410,0,1,'Your Silence VI was successful on %t!','Your Silence VI fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Silence.lua',2185,'You cast Silence VI on %t.',0,0,0,1,0,0,2,2,0,270149,0,0,0,0,0,1,0,0,0,'DoT',1581634496,1384378114,0,1),
(270155,3962967014,0,0,'Silence VII','Stifles and damages the coercer''s target for a medium amount initially and a smaller amount over time.',495,28,315,2950599749,882983852,460,0,1,'Your Silence VII was successful on %t!','Your Silence VII fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Silence.lua',2185,'You cast Silence VII on %t.',0,0,0,1,0,0,2,2,0,270149,0,0,0,0,0,1,0,0,0,'DoT',1581634561,1384378115,0,1),
(270156,3951064844,0,0,'Lashing Gaze','Deals mental damage over time and drains power of target enemy and surrounding encounter members.',169,29,312,2950599749,613995491,40,0,2,'Your Simple Minds was successful on %t!','Your Simple Minds fades.','',1,0,'Spells/Mage/Enchanter/Coercer/SimpleMinds.lua',2186,'You cast Simple Minds on %t.',0,0,0,1,0,1,2,0,0,270156,0,0,0,0,0,0,0,0,0,'DoT',1581563643,1384377829,0,1),
(270157,1288218560,0,0,'Simple Minds','Deals mental damage over time and drains power of target enemy and surrounding encounter members.',169,29,312,2950599749,613995491,110,0,2,'Your Simple Minds II was successful on %t!','Your Simple Minds II fades.','',1,0,'Spells/Mage/Enchanter/Coercer/SimpleMindsClassic.lua',2186,'You cast Simple Minds II on %t.',0,0,0,1,0,1,2,0,0,270156,0,0,0,0,0,0,0,0,0,'DoT',1581563728,1384377833,0,1),
(270158,3530805706,0,0,'Discomfiting Gaze','Deals mental damage over time and drains power of target enemy and surrounding encounter members.',169,29,312,2950599749,613995491,180,0,2,'Your Simple Minds III was successful on %t!','Your Simple Minds III fades.','',1,0,'Spells/Mage/Enchanter/Coercer/SimpleMinds.lua',2186,'You cast Simple Minds III on %t.',0,0,0,1,0,1,2,0,0,270156,0,0,0,0,0,1,0,0,0,'DoT',1581563809,1384378114,0,1),
(270159,3342036572,0,0,'Demoralizing Gaze','Deals mental damage over time and drains power of target enemy and surrounding encounter members.',169,29,312,2950599749,613995491,250,0,2,'Your Simple Minds IV was successful on %t!','Your Simple Minds IV fades.','',1,0,'Spells/Mage/Enchanter/Coercer/SimpleMinds.lua',2186,'You cast Simple Minds IV on %t.',0,0,0,1,0,1,2,0,0,270156,0,0,0,0,0,1,0,0,0,'DoT',1581563875,1384378114,0,1),
(270160,1310190276,0,0,'Perilous Gaze','Deals mental damage over time and drains power of target enemy and surrounding encounter members.',169,29,312,2950599749,613995491,320,0,2,'Your Simple Minds V was successful on %t!','Your Simple Minds V fades.','',1,0,'Spells/Mage/Enchanter/Coercer/SimpleMinds.lua',2186,'You cast Simple Minds V on %t.',0,0,0,1,0,1,2,0,0,270156,0,0,0,0,0,1,0,0,0,'DoT',1581563935,1384378115,0,1),
(270161,3446909595,0,0,'Dissecting Gaze','Deals mental damage over time and drains power of target enemy and surrounding encounter members.',169,29,312,2950599749,613995491,380,0,2,'Your Simple Minds VI was successful on %t!','Your Simple Minds VI fades.','',1,0,'Spells/Mage/Enchanter/Coercer/SimpleMinds.lua',2186,'You cast Simple Minds VI on %t.',0,0,0,1,0,1,2,0,0,270156,0,0,0,0,0,1,0,0,0,'DoT',1581564004,1384378115,0,1),
(270162,3080430281,0,0,'Simple Minds VII','Deals mental damage over time and drains power of target enemy and surrounding encounter members.',169,29,312,2950599749,613995491,430,0,2,'Your Simple Minds VII was successful on %t!','Your Simple Minds VII fades.','',1,0,'Spells/Mage/Enchanter/Coercer/SimpleMinds.lua',2186,'You cast Simple Minds VII on %t.',0,0,0,1,0,1,2,0,0,0,0,270156,0,0,0,1,0,0,0,'DoT',1581564057,1384378115,0,1),
(270163,241203489,0,0,'Simple Minds VIII','Deals mental damage over time and drains power of target enemy and surrounding encounter members.',169,29,312,2950599749,613995491,480,0,2,'Your Simple Minds VIII was successful on %t!','Your Simple Minds VIII fades.','',1,0,'Spells/Mage/Enchanter/Coercer/SimpleMinds.lua',2186,'You cast Simple Minds VIII on %t.',0,0,0,0,0,1,2,0,0,270156,0,0,0,0,0,1,0,0,0,'DoT',1581564125,1384378115,0,1),
(270164,1102052655,0,1,'Siren''s Gift','This is the condensed energy of an ancient, mythical weapon.',15,65535,317,2950599749,0,400,1,1,'Your Siren''s Gift was successful on %t!','Your Siren''s Gift fades.','',1,1,'Spells/Mage/Enchanter/Coercer/SirensGift.lua',3540,'You cast Siren''s Gift on %t.',0,0,0,1,1,1,0,0,0,270164,0,0,0,0,0,0,0,0,0,'Unset',1384671663,1384377878,0,1),
(270165,640681658,0,1,'Siren''s Stare','This is the condensed energy of an ancient, mythical weapon.',5,65535,316,2950599749,0,400,1,1,'Your Siren''s Stare was successful on %t!','Your Siren''s Stare fades.','',1,0,'Spells/Mage/Enchanter/Coercer/SirensStare.lua',3541,'You cast Siren''s Stare on %t.',0,1,0,1,1,1,0,0,0,270165,0,0,0,0,0,0,0,0,0,'Unset',1581640795,1384377878,0,1),
(270166,2028402056,0,0,'Spell Lash','An impairment on an encounter that deals mental damage to a target whenever they are struck by a damaging spell for up to 3 spells.',171,29,312,2950599749,613995491,200,0,2,'Your Spell Curse was successful on %t!','Your Spell Curse fades.','',1,0,'Spells/Mage/Enchanter/Coercer/SpellCurse.lua',2187,'You cast Spell Curse on %t.',0,0,0,1,0,1,2,0,0,270166,0,0,0,0,0,1,0,0,0,'Unset',1581638390,1384378114,0,1),
(270167,2382274286,0,0,'Spell Whip','An impairment on an encounter that deals mental damage to a target whenever they are struck by a damaging spell for up to 3 spells.',171,29,312,2950599749,613995491,270,0,2,'Your Spell Curse II was successful on %t!','Your Spell Curse II fades.','',1,0,'Spells/Mage/Enchanter/Coercer/SpellCurse.lua',2187,'You cast Spell Curse II on %t.',0,0,0,1,0,1,2,0,0,270166,0,0,0,0,0,1,0,0,0,'Unset',1581638455,1384378115,0,1),
(270168,478256501,0,0,'Spell Scourge','An impairment on an encounter that deals mental damage to a target whenever they are struck by a damaging spell for up to 3 spells.',171,29,312,2950599749,613995491,340,0,2,'Your Spell Curse III was successful on %t!','Your Spell Curse III fades.','',1,0,'Spells/Mage/Enchanter/Coercer/SpellCurse.lua',2187,'You cast Spell Curse III on %t.',0,0,0,1,0,1,2,0,0,270166,0,0,0,0,0,1,0,0,0,'Unset',1581638494,1384377829,0,1),
(270169,226392114,0,0,'Spell Curse','An impairment on an encounter that deals mental damage to a target whenever they are struck by a damaging spell for up to 3 spells.',171,29,312,2950599749,613995491,390,0,2,'Your Spell Curse IV was successful on %t!','Your Spell Curse IV fades.','',1,0,'Spells/Mage/Enchanter/Coercer/SpellCurse.lua',2187,'You cast Spell Curse IV on %t.',0,0,0,1,0,1,2,0,0,270166,0,0,0,0,0,1,0,0,0,'Unset',1581638543,1384378114,0,1),
(270170,1542114500,0,0,'Spell Curse V','An impairment on an encounter that deals mental damage to a target whenever they are struck by a damaging spell for up to 3 spells.',171,29,312,2950599749,613995491,440,0,2,'Your Spell Curse V was successful on %t!','Your Spell Curse V fades.','',1,0,'Spells/Mage/Enchanter/Coercer/SpellCurse.lua',2187,'You cast Spell Curse V on %t.',0,0,0,1,0,1,2,0,0,270166,0,0,0,0,0,1,0,0,0,'Unset',1581638575,1384377827,0,1),
(270171,3336908210,0,0,'Spell Curse VI','An impairment on an encounter that deals mental damage to a target whenever they are struck by a damaging spell for up to 3 spells.',171,29,312,2950599749,613995491,490,0,2,'Your Spell Curse VI was successful on %t!','Your Spell Curse VI fades.','',1,0,'Spells/Mage/Enchanter/Coercer/SpellCurse.lua',2187,'You cast Spell Curse VI on %t.',0,0,0,0,0,1,2,0,0,270166,0,0,0,0,0,1,0,0,0,'Unset',1581638610,1384377827,0,1),
(270172,1917912814,0,0,'Stupefy','Stuns the target and nearby encounter members.',202,29,312,287643040,882983852,80,0,2,'Your Stupefy was successful on %t!','Your Stupefy fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Stupefy.lua',2188,'You cast Stupefy on %t.',0,0,0,1,0,1,2,4,0,270172,0,0,0,0,0,0,0,0,0,'Unset',1581634612,1384378112,0,1),
(270173,1085293220,0,0,'Bewilder','Stuns the target and nearby encounter members.',202,29,312,2950599749,882983852,150,0,2,'Your Stupefy II was successful on %t!','Your Stupefy II fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Bewilder.lua',2188,'You cast Stupefy II on %t.',0,0,0,1,0,1,2,4,0,270172,0,0,0,0,0,0,0,0,0,'Unset',1581634647,1384378114,0,1),
(270174,3679975473,0,0,'Perplexity','Stuns the target and nearby encounter members.',202,29,312,2950599749,882983852,220,0,2,'Your Stupefy III was successful on %t!','Your Stupefy III fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Stupefy.lua',2188,'You cast Stupefy III on %t.',0,0,0,1,0,1,2,4,0,270172,0,0,0,0,0,1,0,0,0,'Unset',1581634695,1384378114,0,1),
(270175,2627013321,0,0,'Confoundment','Stuns the target and nearby encounter members.',202,29,312,2950599749,882983852,290,0,2,'Your Stupefy IV was successful on %t!','Your Stupefy IV fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Stupefy.lua',2188,'You cast Stupefy IV on %t.',0,0,0,1,0,1,2,4,0,270172,0,0,0,0,0,1,0,0,0,'Unset',1581634732,1384378115,0,1),
(270176,3635106764,0,0,'Dysphoria','Stuns the target and nearby encounter members.',202,29,312,2950599749,882983852,355,0,2,'Your Stupefy V was successful on %t!','Your Stupefy V fades.','',1,0,'Spells/Mage/Enchanter/Coercer/Stupefy.lua',2188,'You cast Stupefy V on %t.',0,0,0,1,0,1,2,4,0,270172,0,0,0,0,0,1,0,0,0,'Unset',1581634776,1384378114,0,1),
(270177,1201066875,0,1,'Unveil','A group augmentation that grants ultravision and allows the coercer''s allies to see invisible enemies.',167,65535,314,2950599749,3587918036,115,1,2,'Your Unveil was successful on %t!','Your Unveil fades.','',1,1,'Spells/Mage/Enchanter/Coercer/Unveil.lua',2189,'You cast Unveil on %t.',0,0,0,0,1,1,0,0,0,270177,0,0,0,0,0,0,0,0,0,'Unset',1581636426,1384378114,0,1),
(270178,3216920474,0,1,'Recklessness','Increases the Multi-Attack Chance of target ally.',271,24,316,2950599749,3587918036,100,1,1,'Your Velocity was successful on %t!','Your Velocity fades.','',1,1,'Spells/Mage/Enchanter/Coercer/Recklessness.lua',2190,'You cast Velocity on %t.',0,0,0,1,1,1,0,0,0,270178,0,0,0,0,0,0,0,0,0,'Unset',1581635969,1384378114,0,1),
(270179,3149463382,0,1,'Bravado','Increases the Multi-Attack Chance of target ally.',271,24,316,2950599749,3587918036,170,1,1,'Your Velocity II was successful on %t!','Your Velocity II fades.','',1,1,'Spells/Mage/Enchanter/Coercer/Velocity.lua',2190,'You cast Velocity II on %t.',0,0,0,1,1,1,0,0,0,270178,0,0,0,0,0,1,0,0,0,'Unset',1581635997,1384377828,0,1),
(270180,1782122432,0,1,'Velocity','Increases the Multi-Attack Chance of target ally.',271,24,316,2950599749,3587918036,240,1,1,'Your Velocity III was successful on %t!','Your Velocity III fades.','',1,1,'Spells/Mage/Enchanter/Coercer/Velocity.lua',2190,'You cast Velocity III on %t.',0,0,0,1,1,1,0,0,0,270178,0,0,0,0,0,1,0,0,0,'Unset',1581636026,1384378114,0,1),
(270181,435131742,0,1,'Impetus','Increases the Multi-Attack Chance of target ally.',271,24,316,2950599749,3587918036,310,1,1,'Your Velocity IV was successful on %t!','Your Velocity IV fades.','',1,1,'Spells/Mage/Enchanter/Coercer/Velocity.lua',2190,'You cast Velocity IV on %t.',0,0,0,1,1,1,0,0,0,270178,0,0,0,0,0,1,0,0,0,'Unset',1581636058,1384377829,0,1),
(270182,1640063276,0,0,'Consume Ego','Slowly converts the coercer''s health into power over time.',170,24,317,287643040,366253016,65,0,0,'Your Shift Mana was successful on %t!','Your Shift Mana fades.','',1,0,'Spells/Mage/Enchanter/Coercer/ShiftMana.lua',2182,'You cast Shift Mana on %t.',0,0,0,0,1,0,0,0,0,270182,0,0,0,0,0,0,0,0,0,'Unset',1581565383,1384378112,0,1),
(270183,1908637980,0,0,'Essence Fluctuation','Slowly converts the coercer''s health into power over time.',170,24,317,2950599749,366253016,135,0,0,'Your Shift Mana II was successful on %t!','Your Shift Mana II fades.','',1,0,'Spells/Mage/Enchanter/Coercer/EssenceFluctuation.lua',2182,'You cast Shift Mana II on %t.',0,0,0,0,1,0,0,0,0,270182,0,0,0,0,0,0,0,0,0,'Unset',1581565399,1384378115,0,1),
(270184,3886303620,0,0,'Transference','Slowly converts the coercer''s health into power over time.',170,24,317,2950599749,366253016,205,0,0,'Your Shift Mana III was successful on %t!','Your Shift Mana III fades.','',1,0,'Spells/Mage/Enchanter/Coercer/ShiftMana.lua',2182,'You cast Shift Mana III on %t.',0,0,0,0,1,0,0,0,0,270182,0,0,0,0,0,1,0,0,0,'Unset',1581565423,1384377828,0,1),
(270185,1104548340,0,0,'Transfer Essence','Slowly converts the coercer''s health into power over time.',170,24,317,2950599749,366253016,275,0,0,'Your Shift Mana IV was successful on %t!','Your Shift Mana IV fades.','',1,0,'Spells/Mage/Enchanter/Coercer/ShiftMana.lua',2182,'You cast Shift Mana IV on %t.',0,0,0,0,1,0,0,0,0,270182,0,0,0,0,0,1,0,0,0,'Unset',1581565435,1384377828,0,1),
(270186,1184499350,0,0,'Transfer Potential','Slowly converts the coercer''s health into power over time.',170,24,317,2950599749,366253016,345,0,0,'Your Shift Mana V was successful on %t!','Your Shift Mana V fades.','',1,0,'Spells/Mage/Enchanter/Coercer/ShiftMana.lua',2182,'You cast Shift Mana V on %t.',0,0,0,0,1,0,0,0,0,270182,0,0,0,0,0,1,0,0,0,'Unset',1581565446,1384377829,0,1),
(270187,1842035348,0,0,'Shift Mana','Slowly converts the coercer''s health into power over time.',170,24,317,2950599749,366253016,395,0,0,'Your Shift Mana VI was successful on %t!','Your Shift Mana VI fades.','',1,0,'Spells/Mage/Enchanter/Coercer/ShiftMana.lua',2182,'You cast Shift Mana VI on %t.',0,0,0,0,1,0,0,0,0,270182,0,0,0,0,0,1,0,0,0,'Unset',1581565456,1384378115,0,1),
(270188,1253830561,0,0,'Shift Mana VII','Slowly converts the coercer''s health into power over time.',170,24,317,2950599749,366253016,445,0,0,'Your Shift Mana VII was successful on %t!','Your Shift Mana VII fades.','',1,0,'Spells/Mage/Enchanter/Coercer/ShiftMana.lua',2182,'You cast Shift Mana VII on %t.',0,0,0,0,1,0,0,0,0,270182,0,0,0,0,0,1,0,0,0,'Unset',1581565467,1384378115,0,1),
(270189,2536322596,0,0,'Shift Mana VIII','Slowly converts the coercer''s health into power over time.',170,24,317,2950599749,366253016,495,0,0,'Your Shift Mana VIII was successful on %t!','Your Shift Mana VIII fades.','',1,0,'Spells/Mage/Enchanter/Coercer/ShiftMana.lua',2182,'You cast Shift Mana VIII on %t.',0,0,0,0,1,0,0,0,0,270182,0,0,0,0,0,1,0,0,0,'Unset',1581565483,1384377827,0,1),
(270190,1944546243,0,0,'Psychic Wail','A powerful psychic attack that stuns all enemies surrounding the coercer in a large area, also dealing mental damage to all that are affected.',268,28,313,2950599749,882983852,250,0,1,'Your Shock Wave was successful on %t!','Your Shock Wave fades.','',1,0,'Spells/Mage/Enchanter/Coercer/ShockWave.lua',2183,'You cast Shock Wave on %t.',0,0,0,0,0,0,2,4,0,270190,0,0,0,0,0,1,0,0,0,'DD',1581638848,1384378114,0,1),
(270191,873293353,0,0,'Sonic Boom','A powerful psychic attack that stuns all enemies surrounding the coercer in a large area, also dealing mental damage to all that are affected.',268,28,313,2950599749,882983852,350,0,1,'Your Shock Wave II was successful on %t!','Your Shock Wave II fades.','',1,0,'Spells/Mage/Enchanter/Coercer/ShockWave.lua',2183,'You cast Shock Wave II on %t.',0,0,0,0,0,0,2,4,0,270190,0,0,0,0,0,1,0,0,0,'DD',1581638895,1384378114,0,1),
(270192,186099941,0,0,'Shock Wave','A powerful psychic attack that stuns all enemies surrounding the coercer in a large area, also dealing mental damage to all that are affected.',268,28,313,2950599749,882983852,400,0,1,'Your Shock Wave III was successful on %t!','Your Shock Wave III fades.','',1,0,'Spells/Mage/Enchanter/Coercer/ShockWave.lua',2183,'You cast Shock Wave III on %t.',0,0,0,0,0,0,2,4,0,270190,0,0,0,0,0,1,0,0,0,'DD',1581638959,1384378114,0,1),
(270193,3598807392,0,0,'Shock Wave IV','A powerful psychic attack that stuns all enemies surrounding the coercer in a large area, also dealing mental damage to all that are affected.',268,28,313,2950599749,882983852,450,0,1,'Your Shock Wave IV was successful on %t!','Your Shock Wave IV fades.','',1,0,'Spells/Mage/Enchanter/Coercer/ShockWave.lua',2183,'You cast Shock Wave IV on %t.',0,0,0,0,0,0,2,4,0,270190,0,0,0,0,0,1,0,0,0,'DD',1581639765,1384377827,0,1),
(270194,3424361214,0,0,'Shock Wave V','A powerful psychic attack that stuns all enemies surrounding the coercer in a large area, also dealing mental damage to all that are affected.',268,28,313,2950599749,882983852,500,0,1,'Your Shock Wave V was successful on %t!','Your Shock Wave V fades.','',1,0,'Spells/Mage/Enchanter/Coercer/ShockWave.lua',2183,'You cast Shock Wave V on %t.',0,0,0,0,0,0,2,4,0,270190,0,0,0,0,0,1,0,0,0,'DD',1589119840,1384378115,0,1),
(280000,48814980,0,0,'Aqueous Soul','An augmentation which grants an ally the ability to breathe under water.',347,65535,316,2120065377,3587918036,65,0,1,'Your Aqueous Soul was successful on %t!','Your Aqueous Soul fades.','',1,0,'Spells/Mage/Summoner/AqueousSoul.lua',123,'You cast Aqueous Soul on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671228,1384378115,0,1),
(280001,498421161,0,0,'Bludgeoning Earth','Deals instant magic damage and additional magic damage over time to an enemy.\n\n \n\n\"Flaming meteors showered Norrath as the shattered moon crossed a scarred sky.\" - an elder''s account of the Shattering',199,28,315,2120065377,0,85,0,1,'Your Bludgeoning Earth was successful on %t!','Your Bludgeoning Earth fades.','',1,0,'Spells/Mage/Summoner/BludgeoningEarth.lua',394,'You cast Bludgeoning Earth on %t.',0,0,0,1,0,0,0,0,0,280001,0,0,0,0,0,1,0,0,0,'DoT',1384671254,1384377827,0,1),
(280002,4151693604,0,0,'Dust Blast','Deals instant magic damage to the target.',508,25,315,2120065377,613995491,65,0,1,'Your Dust Blast was successful on %t!','Your Dust Blast fades.','',1,0,'Spells/Mage/Summoner/DustBlast.lua',26,'You cast Dust Blast on %t.',0,0,0,1,0,0,0,0,0,210009,0,0,0,0,0,1,0,0,0,'DD',1578011715,1384377828,0,1),
(280003,1245883650,0,1,'Earthly Brand','A group augmentation that increases resistance to all types for the summoner''s group and their pets. Pets in the summoner''s group receive an additional bonus to their defense.',483,27,314,2120065377,3587918036,60,1,2,'Your Earthly Brand was successful on %t!','Your Earthly Brand fades.','',1,0,'Spells/Mage/Summoner/EarthlyBrand.lua',791,'You cast Earthly Brand on %t.',0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',1669007714,1384378115,0,1),
(280004,448896792,0,0,'Essence Shift','Converts health from a summoned minion into power for the summoner.',170,24,317,2120065377,3587918036,75,0,3,'Your Essence Shift was successful on %t!','Your Essence Shift fades.','',1,0,'Spells/Mage/Summoner/EssenceShift.lua',85,'You cast Essence Shift on %t.',0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671338,1384378115,0,1),
(280005,1664007857,0,0,'Immobilize','Immobilizes the summoner''s target in place, preventing them from movement. Every hostile spell or damage received by the target has a chance at breaking the effect.',166,24,315,2120065377,0,95,0,1,'Your Immobilize was successful on %t!','Your Immobilize fades.','',1,0,'Spells/Mage/Summoner/Immobilize.lua',170,'You cast Immobilize on %t.',0,0,0,1,0,0,2,0,0,210003,0,0,0,0,0,1,0,0,0,'Unset',1384671406,1384377827,0,1),
(280006,1424838090,0,0,'Invisibility','Grants invisibility to an ally and reduces their movement. If that ally has a pet, the pet is also granted invisibility. You can only maintain this spell on a single ally, and it breaks if one of the targets loses invisibility or the pet is dismissed.',165,65535,316,2120065377,3587918036,90,0,1,'Your Invisibility was successful on %t!','Your Invisibility fades.','',1,0,'Spells/Mage/Summoner/Invisibility.lua',41,'You cast Invisibility on %t.',0,0,1,0,1,1,0,0,0,280006,0,0,0,0,0,1,0,0,0,'Buff',1572081930,1384378157,0,1),
(280007,1765858277,0,0,'Minion Translocation','',922,65535,316,0,0,0,0,3,'Your Minion Translocation was successful on %t!','Your Minion Translocation fades.','',0,1,'',0,'You cast Minion Translocation on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1572081899,1384378115,0,1),
(280008,2309531919,0,0,'Minion Translocation','',922,65535,316,2120065377,882983852,450,0,3,'Your Minion Translocation was successful on %t!','Your Minion Translocation fades.','',0,1,'',0,'You cast Minion Translocation on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1578011409,1384378115,0,1),
(280009,469668108,0,1,'Agitation','An augmentation cast on the summoner''s minion that places them into an offensive stance, increasing their offensive melee skills, attack speed, and intelligence, at the cost of decreased defense and parry. This augmentation cannot be stacked with a defensive stance.',484,27,317,2120065377,3587918036,55,1,3,'Your Minion''s Stance: Agitation was successful on %t!','Your Minion''s Stance: Agitation fades.','',1,0,'Spells/Mage/Summoner/MinionsStanceAgitation.lua',126,'You cast Minion''s Stance: Agitation on %t.',0,0,0,1,1,0,0,0,0,280009,0,0,0,0,0,1,0,0,0,'Unset',1384671453,1384378112,0,1),
(280010,2292395082,0,1,'Minion''s Stance: Protective Brace','An augmentation cast on the summoner''s minion that places them into an defensive stance, increasing their trauma resistance, hate generation, and granting them a replenishing ward, at the cost of decreased attack speed. This augmentation cannot be stacked with an offensive stance.',357,65535,317,0,0,0,1,3,'Your Minion''s Stance: Protective Brace was successful on %t!','Your Minion''s Stance: Protective Brace fades.','',1,0,'',0,'You cast Minion''s Stance: Protective Brace on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384671453,1384377829,0,1),
(280011,3143875211,0,0,'Pelting Earth','Deals instant magic damage and additional magic damage over time to an enemy.\r\n\r\n\"Flaming meteors showered Norrath as the shattered moon crossed a scarred sky.\" - an elder''s account of the Shattering\r\n\r\n \r\n\r\n\"Flaming meteors showered Norrath as the shattered moon crossed a scarred sky.\" - an elder''s account of the Shattering',199,28,315,2120065377,613995491,45,0,1,'Your Pelting Earth was successful on %t!','Your Pelting Earth fades.','',1,0,'Spells/Mage/Summoner/PeltingEarth.lua',78,'You cast Pelting Earth on %t.',0,0,0,1,0,0,2,0,0,210009,0,0,0,0,0,0,0,0,0,'DoT',1384671479,1384378112,0,1),
(280012,2272691080,0,0,'Petrify','Stuns the summoner''s target.',329,29,315,2120065377,0,80,0,1,'Your Petrify was successful on %t!','Your Petrify fades.','',1,0,'Spells/Mage/Summoner/Petrify.lua',517,'You cast Petrify on %t.',0,0,0,1,0,0,4,4,0,280012,0,0,0,0,0,1,0,0,0,'Unset',1384671485,1384378115,0,1),
(280013,3093783212,0,0,'Seism','Violently shakes the earth around the summoner, dealing magic damage and knocking down all nearby enemies.',288,29,313,2120065377,0,80,0,1,'Your Seism was successful on %t!','Your Seism fades.','',1,0,'Spells/Mage/Summoner/Seism.lua',795,'You cast Seism on %t.',0,0,0,1,0,0,0,0,0,280013,0,0,0,0,0,1,0,0,0,'DD',1384671605,1384378114,0,1),
(280014,2301782183,0,0,'Soothe Servant','Heals the summoner''s pet.',487,27,317,2120065377,0,70,0,3,'Your Soothe Servant was successful on %t!','Your Soothe Servant fades.','',1,0,'Spells/Mage/Summoner/SootheServant.lua',19,'You cast Soothe Servant on %t.',0,0,0,1,1,0,0,0,0,280014,0,0,0,0,0,1,0,0,0,'Heal',1384671669,1384377829,0,1),
(280015,529605797,0,0,'Splinter of Essence','Summons an item to an ally that converts health into power. Upgrades to this spell increase the effectiveness of the summoned item.',486,27,316,2120065377,0,90,0,1,'Your Splinter of Essence was successful on %t!','Your Splinter of Essence fades.','',1,0,'Spells/Mage/Summoner/SplinterofEssence.lua',2231,'You cast Splinter of Essence on %t.',0,0,0,1,1,0,0,0,0,280015,0,0,0,0,0,1,0,0,0,'Unset',1384671678,1384378114,0,1),
(280016,2940959736,0,1,'Summoner''s Mark','An augmentation for the summoner''s summoned minion that grants it a chance to decrease an enemy''s elemental and magic resist every time it attacks or receives damage.',479,27,317,0,0,0,1,3,'Your Summoner''s Mark was successful on %t!','Your Summoner''s Mark fades.','',1,0,'',0,'You cast Summoner''s Mark on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384671684,1384377829,0,1),
(280017,3710744133,0,1,'Tellurian Recruit','Summons an earthen ally that does the summoner''s bidding.',485,29,317,2120065377,882983852,5,1,0,'Your Tellurian Recruit was successful on %t!','Your Tellurian Recruit fades.','',1,0,'Spells/Commoner/Pets.lua',165,'You cast Tellurian Recruit on %t.',0,0,0,1,1,0,0,0,0,290057,0,0,0,0,0,0,0,0,0,'Unset',1384671692,1384378114,0,1),
(280018,1472756741,0,0,'Swarm of Bats','Deals piercing damage over time to target enemy and decreases their defense.',768,28,315,2120065377,613995491,50,0,1,'Your Vampire Bats was successful on %t!','Your Vampire Bats fades.','',1,0,'Spells/Mage/Summoner/VampireBats.lua',2235,'You cast Vampire Bats on %t.',0,0,0,1,0,0,1,0,0,280018,0,0,0,0,0,0,0,0,0,'DoT',1571242567,1384377833,0,1),
(280019,1539388749,0,0,'Horde of Bats','Deals piercing damage over time to target enemy and decreases their defense.',768,28,315,2120065377,613995491,175,0,1,'Your Vampire Bats II was successful on %t!','Your Vampire Bats II fades.','',1,0,'Spells/Mage/Summoner/VampireBats.lua',2235,'You cast Vampire Bats II on %t.',0,0,0,1,0,1,1,0,0,280018,0,0,0,0,0,1,0,0,0,'DoT',1571241496,1384378115,0,1),
(280020,3574397789,0,0,'Swarm of Bats','Deals piercing damage over time to target enemy and decreases their defense.',768,28,315,2120065377,613995491,265,0,1,'Your Vampire Bats III was successful on %t!','Your Vampire Bats III fades.','',1,0,'Spells/Mage/Summoner/VampireBats.lua',2235,'You cast Vampire Bats III on %t.',0,0,0,1,0,1,1,0,0,280018,0,0,0,0,0,1,0,0,0,'DoT',1571241587,1384378115,0,1),
(280021,3896330625,0,0,'Vampire Bats IV','Deals piercing damage over time to target enemy and decreases their defense.',768,28,315,2120065377,613995491,355,0,1,'Your Vampire Bats IV was successful on %t!','Your Vampire Bats IV fades.','',1,0,'Spells/Mage/Summoner/VampireBats.lua',2235,'You cast Vampire Bats IV on %t.',0,0,0,1,0,1,1,0,0,280018,0,0,0,0,0,1,0,0,0,'DoT',1571241637,1384378115,0,1),
(280022,3166013980,0,0,'Vampire Bats V','Deals piercing damage over time to target enemy and decreases their defense.',768,28,315,2120065377,613995491,405,0,1,'Your Vampire Bats V was successful on %t!','Your Vampire Bats V fades.','',1,0,'Spells/Mage/Summoner/VampireBats.lua',2235,'You cast Vampire Bats V on %t.',0,0,0,1,0,1,1,0,0,280018,0,0,0,0,0,1,0,0,0,'DoT',1571241670,1384378115,0,1),
(280023,89018868,0,0,'Vampire Bats VI','Deals piercing damage over time to target enemy and decreases their defense.',768,28,315,2120065377,613995491,455,0,1,'Your Vampire Bats VI was successful on %t!','Your Vampire Bats VI fades.','',1,0,'Spells/Mage/Summoner/VampireBats.lua',2235,'You cast Vampire Bats VI on %t.',0,0,0,1,0,1,1,0,0,280018,0,0,0,0,0,1,0,0,0,'DoT',1571241714,1384378115,0,1),
(280024,0,0,1,'Temporary Tellurian Recruit','Summons a temporary earthen ally that does the mage''s bidding.  This pet will expire upon finishing the Summoner trial.',485,29,317,2120065377,882983852,5,1,0,'Your Tellurian Recruit was successful on %t!','Your Tellurian Recruit fades.','',1,0,'Spells/Summoner/TellurianRecruit.lua',165,'You cast Tellurian Recruit on %t.',0,0,0,1,1,0,0,0,0,290057,0,0,0,0,0,1,0,0,0,'Unset',1668269922,0,0,0),
(280025,0,0,1,'Tellurian Recruit','Summons an earthen ally that does the summoner''s bidding.',485,29,317,2120065377,882983852,45,1,0,'Your Tellurian Recruit was successful on %t!','Your Tellurian Recruit fades.','',1,0,'Spells/Summoner/CombatPet.lua',165,'You cast Tellurian Recruit on %t.',0,0,0,1,1,0,0,0,0,290057,0,0,0,0,0,1,0,0,0,'Unset',1668461973,0,0,1),
(280026,0,0,0,'Repair Pet','Use to restore max hitpoint and power stats if dumped by the server.',150,0,317,2120065377,3587918036,45,0,3,'Your test was successful on %t!','Your test fades.','',0,0,'',5,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1668917697,0,0,0),
(280027,0,0,1,'Tellurian Recruit V2','Summons an earthen ally that does the summoner''s bidding.',485,29,317,2120065377,882983852,45,1,0,'Your Tellurian Recruit was successful on %t!','Your Tellurian Recruit fades.','',1,0,'Spells/Summoner/TellurianRecruitV2.lua',165,'You cast Tellurian Recruit on %t.',0,0,0,1,1,0,0,0,0,290057,0,0,0,0,0,1,0,0,0,'Unset',1669080514,0,0,1),
(290000,3875821229,0,1,'Aery Outrider','Summons an inhabitant of the Plane of Air to do the conjuror''s bidding.',511,65535,317,2042842194,882983852,160,1,0,'Your Aery Hunter was successful on %t!','Your Aery Hunter fades.','',1,1,'Spells/Commoner/Pets.lua',2194,'You cast Aery Hunter on %t.',0,0,0,1,1,0,0,0,0,290000,0,0,0,0,0,1,0,0,0,'Unset',1581460152,1384378112,0,1),
(290001,177598104,0,1,'Aery Stalker','Summons an inhabitant of the Plane of Air to do the conjuror''s bidding.',511,65535,317,2042842194,882983852,230,1,0,'Your Aery Hunter II was successful on %t!','Your Aery Hunter II fades.','',1,1,'Spells/Commoner/Pets.lua',2194,'You cast Aery Hunter II on %t.',0,0,0,1,1,1,0,0,0,290000,0,0,0,0,0,1,0,0,0,'Unset',1581460163,1384378115,0,1),
(290002,1959266702,0,1,'Aery Hunter','Summons an inhabitant of the Plane of Air to do the conjuror''s bidding.',511,65535,317,2042842194,882983852,300,1,0,'Your Aery Hunter III was successful on %t!','Your Aery Hunter III fades.','',1,1,'Spells/Commoner/Pets.lua',2194,'You cast Aery Hunter III on %t.',0,0,0,1,1,1,0,0,0,290000,0,0,0,0,0,1,0,0,0,'Unset',1581460172,1384377829,0,1),
(290003,602096924,0,1,'Wind Sensei','Summons an inhabitant of the Plane of Air to do the conjuror''s bidding.',511,65535,317,2042842194,882983852,365,1,0,'Your Aery Hunter IV was successful on %t!','Your Aery Hunter IV fades.','',1,1,'Spells/Commoner/Pets.lua',2194,'You cast Aery Hunter IV on %t.',0,0,0,1,1,1,0,0,0,290000,0,0,0,0,0,1,0,0,0,'Unset',1581460184,1384378115,0,1),
(290004,43593920,0,1,'Aery Hunter V','Summons an inhabitant of the Plane of Air to do the conjuror''s bidding.',511,65535,317,2042842194,882983852,415,1,0,'Your Aery Hunter V was successful on %t!','Your Aery Hunter V fades.','',1,1,'Spells/Commoner/Pets.lua',2194,'You cast Aery Hunter V on %t.',0,0,0,1,1,1,0,0,0,290000,0,0,0,0,0,1,0,0,0,'Unset',1581460198,1384377829,0,1),
(290005,2677461430,0,1,'Aery Hunter VI','Summons an inhabitant of the Plane of Air to do the conjuror''s bidding.',511,65535,317,2042842194,882983852,465,1,0,'Your Aery Hunter VI was successful on %t!','Your Aery Hunter VI fades.','',1,1,'Spells/Commoner/Pets.lua',2194,'You cast Aery Hunter VI on %t.',0,0,0,0,1,0,0,0,0,290000,0,0,0,0,0,1,0,0,0,'Unset',1581460210,1384377829,0,1),
(290006,3695428443,0,1,'Agitation','An augmentation cast on the conjuror''s minion that places them into an offensive stance, increasing their offensive melee skills, attack speed, and potency, at the cost of decreased defense and parry. This augmentation cannot be stacked with a defensive stance.',484,27,317,2120065377,3587918036,55,1,3,'Your Antagonize was successful on %t!','Your Antagonize fades.','',1,1,'Spells/Mage/Summoner/Conjuror/Antagonize.lua',2195,'You cast Antagonize on %t.',0,0,0,1,1,1,0,0,0,290006,0,0,0,0,0,0,0,0,0,'Unset',1581387938,1384378112,0,1),
(290007,1699846716,0,1,'Provocation','An augmentation cast on the conjuror''s minion that places them into an offensive stance, increasing their offensive melee skills, attack speed, and potency, at the cost of decreased defense and parry. This augmentation cannot be stacked with a defensive stance.',484,27,317,2042842194,3587918036,125,1,3,'Your Antagonize II was successful on %t!','Your Antagonize II fades.','',1,1,'Spells/Mage/Summoner/Conjuror/Provocation.lua',2195,'You cast Antagonize II on %t.',0,0,0,1,1,1,0,0,0,290006,0,0,0,0,0,0,0,0,0,'Unset',1581387973,1384378115,0,1),
(290008,204197557,0,1,'Vexation','An augmentation cast on the conjuror''s minion that places them into an offensive stance, increasing their offensive melee skills, attack speed, and potency, at the cost of decreased defense and parry. This augmentation cannot be stacked with a defensive stance.',484,65535,317,2042842194,3587918036,195,1,3,'Your Antagonize III was successful on %t!','Your Antagonize III fades.','',1,1,'Spells/Mage/Summoner/Conjuror/Antagonize.lua',2195,'You cast Antagonize III on %t.',0,0,0,1,1,1,0,0,0,290006,0,0,0,0,0,1,0,0,0,'Unset',1581388000,1384378112,0,1),
(290009,2612089476,0,1,'Aggravate','An augmentation cast on the conjuror''s minion that places them into an offensive stance, increasing their offensive melee skills, attack speed, and potency, at the cost of decreased defense and parry. This augmentation cannot be stacked with a defensive stance.',484,65535,317,2042842194,3587918036,265,1,3,'Your Antagonize IV was successful on %t!','Your Antagonize IV fades.','',1,1,'Spells/Mage/Summoner/Conjuror/Antagonize.lua',2195,'You cast Antagonize IV on %t.',0,0,0,1,1,1,0,0,0,290006,0,0,0,0,0,1,0,0,0,'Unset',1581388014,1384378115,0,1),
(290010,2541919602,0,1,'Exasperate','An augmentation cast on the conjuror''s minion that places them into an offensive stance, increasing their offensive melee skills, attack speed, and potency, at the cost of decreased defense and parry. This augmentation cannot be stacked with a defensive stance.',484,27,317,2042842194,3587918036,335,1,3,'Your Antagonize V was successful on %t!','Your Antagonize V fades.','',1,1,'Spells/Mage/Summoner/Conjuror/Antagonize.lua',2195,'You cast Antagonize V on %t.',0,0,0,1,1,1,0,0,0,290006,0,0,0,0,0,1,0,0,0,'Unset',1581388026,1384378114,0,1),
(290011,4103556156,0,1,'Antagonize','An augmentation cast on the conjuror''s minion that places them into an offensive stance, increasing their offensive melee skills, attack speed, and potency, at the cost of decreased defense and parry. This augmentation cannot be stacked with a defensive stance.',484,27,317,2042842194,3587918036,390,1,3,'Your Antagonize VI was successful on %t!','Your Antagonize VI fades.','',1,1,'Spells/Mage/Summoner/Conjuror/Antagonize.lua',2195,'You cast Antagonize VI on %t.',0,0,0,1,1,1,0,0,0,290006,0,0,0,0,0,1,0,0,0,'Unset',1581388035,1384378114,0,1),
(290012,3555170569,0,1,'Antagonize VII','An augmentation cast on the conjuror''s minion that places them into an offensive stance, increasing their offensive melee skills, attack speed, and potency, at the cost of decreased defense and parry. This augmentation cannot be stacked with a defensive stance.',484,27,317,2042842194,3587918036,440,1,3,'Your Antagonize VII was successful on %t!','Your Antagonize VII fades.','',1,1,'Spells/Mage/Summoner/Conjuror/Antagonize.lua',2195,'You cast Antagonize VII on %t.',0,0,0,1,1,1,0,0,0,290006,0,0,0,0,0,1,0,0,0,'Unset',1581388047,1384377829,0,1),
(290013,242303116,0,1,'Antagonize VIII','An augmentation cast on the conjuror''s minion that places them into an offensive stance, increasing their offensive melee skills, attack speed, and potency, at the cost of decreased defense and parry. This augmentation cannot be stacked with a defensive stance.',484,27,317,2042842194,3587918036,490,1,3,'Your Antagonize VIII was successful on %t!','Your Antagonize VIII fades.','',1,1,'Spells/Mage/Summoner/Conjuror/Antagonize.lua',2195,'You cast Antagonize VIII on %t.',0,0,0,0,1,0,0,0,0,290006,0,0,0,0,0,1,0,0,0,'Unset',1581388074,1384378115,0,1),
(290014,3942274403,0,0,'Aqueous Stalkers','Summons a pack of inhabitants from the Plane of Water which attack an opponent specified by the conjuror. Once this opponent is slain or the duration of the summoning expires, the summoned minions will return to their native plane.',514,28,315,2042842194,882983852,120,0,1,'Your Aqueous Swarm was successful on %t!','Your Aqueous Swarm fades.','',1,0,'Spells/Mage/Summoner/Conjuror/AqueousSwarm.lua',2198,'You cast Aqueous Swarm on %t.',0,0,0,1,0,0,4,0,1,290014,0,0,0,0,0,0,0,0,0,'Unset',1581396419,1384377828,0,1),
(290015,869028646,0,0,'Aqueous Hunters','Summons a pack of inhabitants from the Plane of Water which attack an opponent specified by the conjuror. Once this opponent is slain or the duration of the summoning expires, the summoned minions will return to their native plane.',514,28,315,2042842194,882983852,190,0,1,'Your Aqueous Swarm II was successful on %t!','Your Aqueous Swarm II fades.','',1,0,'Spells/Mage/Summoner/Conjuror/AqueousSwarm.lua',2198,'You cast Aqueous Swarm II on %t.',0,0,0,1,0,0,4,0,1,290014,0,0,0,0,0,1,0,0,0,'Unset',1581396484,1384378112,0,1),
(290016,1527153418,0,0,'Aqueous Swarm','Summons a pack of inhabitants from the Plane of Water which attack an opponent specified by the conjuror. Once this opponent is slain or the duration of the summoning expires, the summoned minions will return to their native plane.',514,28,315,2042842194,882983852,260,0,1,'Your Aqueous Swarm III was successful on %t!','Your Aqueous Swarm III fades.','',1,0,'Spells/Mage/Summoner/Conjuror/AqueousSwarm.lua',2198,'You cast Aqueous Swarm III on %t.',0,0,0,1,0,0,4,0,1,290014,0,0,0,0,0,1,0,0,0,'Unset',1581396533,1384378115,0,1),
(290017,1980541876,0,0,'Aqueous Horde','Summons a pack of inhabitants from the Plane of Water which attack an opponent specified by the conjuror. Once this opponent is slain or the duration of the summoning expires, the summoned minions will return to their native plane.',514,28,315,2042842194,882983852,330,0,1,'Your Aqueous Swarm IV was successful on %t!','Your Aqueous Swarm IV fades.','',1,0,'Spells/Mage/Summoner/Conjuror/AqueousSwarm.lua',2198,'You cast Aqueous Swarm IV on %t.',0,0,0,1,0,0,4,0,1,290014,0,0,0,0,0,1,0,0,0,'Unset',1581396575,1384378115,0,1),
(290018,1853190181,0,0,'Aqueous Serpents','Summons a pack of inhabitants from the Plane of Water which attack an opponent specified by the conjuror. Once this opponent is slain or the duration of the summoning expires, the summoned minions will return to their native plane.',514,28,315,2042842194,882983852,385,0,1,'Your Aqueous Swarm V was successful on %t!','Your Aqueous Swarm V fades.','',1,0,'Spells/Mage/Summoner/Conjuror/AqueousSwarm.lua',2198,'You cast Aqueous Swarm V on %t.',0,0,0,1,0,0,4,0,1,290014,0,0,0,0,0,1,0,0,0,'Unset',1581396625,1384378115,0,1),
(290019,1640726488,0,0,'Aqueous Swarm VI','Summons a pack of inhabitants from the Plane of Water which attack an opponent specified by the conjuror. Once this opponent is slain or the duration of the summoning expires, the summoned minions will return to their native plane.',514,28,315,2042842194,882983852,435,0,1,'Your Aqueous Swarm VI was successful on %t!','Your Aqueous Swarm VI fades.','',1,0,'Spells/Mage/Summoner/Conjuror/AqueousSwarm.lua',2198,'You cast Aqueous Swarm VI on %t.',0,0,0,1,0,0,4,0,1,290014,0,0,0,0,0,1,0,0,0,'Unset',1581396648,1384378115,0,1),
(290020,3483627081,0,0,'Aqueous Swarm VII','Summons a pack of inhabitants from the Plane of Water which attack an opponent specified by the conjuror. Once this opponent is slain or the duration of the summoning expires, the summoned minions will return to their native plane.',514,28,315,2042842194,882983852,485,0,1,'Your Aqueous Swarm VII was successful on %t!','Your Aqueous Swarm VII fades.','',1,0,'Spells/Mage/Summoner/Conjuror/AqueousSwarm.lua',2198,'You cast Aqueous Swarm VII on %t.',0,0,0,0,0,0,4,0,1,290014,0,0,0,0,0,1,0,0,0,'Unset',1581396683,1384378115,0,1),
(290021,3475255334,0,0,'Blazing Presence','Engulfs the conjuror''s summoned minion in a blazing aura for a limited duration, dealing heat damage every time the minion attacks or is attacked in melee. Once this spell has triggered five times, it will expire.',190,27,315,2042842194,3587918036,250,0,3,'Your Blazing Avatar was successful on %t!','Your Blazing Avatar fades.','',1,0,'Spells/Mage/Summoner/Conjuror/BlazingAvatar.lua',2197,'You cast Blazing Avatar on %t.',0,0,0,1,1,0,0,0,0,290021,0,0,0,0,0,1,0,0,0,'Unset',1581461142,1384378115,0,1),
(290022,2961139068,0,0,'Blazing Avatar','Engulfs the conjuror''s summoned minion in a blazing aura for a limited duration, dealing heat damage every time the minion attacks or is attacked in melee. Once this spell has triggered five times, it will expire.',190,27,315,2042842194,3587918036,350,0,3,'Your Blazing Avatar II was successful on %t!','Your Blazing Avatar II fades.','',1,0,'Spells/Mage/Summoner/Conjuror/BlazingAvatar.lua',2197,'You cast Blazing Avatar II on %t.',0,0,0,1,1,0,0,0,0,290021,0,0,0,0,0,1,0,0,0,'Unset',1581461155,1384377828,0,1),
(290023,1171007449,0,0,'Blazing Manifestation','Engulfs the conjuror''s summoned minion in a blazing aura for a limited duration, dealing heat damage every time the minion attacks or is attacked in melee. Once this spell has triggered five times, it will expire.',190,27,315,2042842194,3587918036,400,0,3,'Your Blazing Avatar III was successful on %t!','Your Blazing Avatar III fades.','',1,0,'Spells/Mage/Summoner/Conjuror/BlazingAvatar.lua',2197,'You cast Blazing Avatar III on %t.',0,0,0,1,1,0,0,0,0,290021,0,0,0,0,0,1,0,0,0,'Unset',1581461169,1384377829,0,1),
(290024,4049313258,0,0,'Blazing Avatar IV','Engulfs the conjuror''s summoned minion in a blazing aura for a limited duration, dealing heat damage every time the minion attacks or is attacked in melee. Once this spell has triggered five times, it will expire.',190,27,315,2042842194,3587918036,450,0,3,'Your Blazing Avatar IV was successful on %t!','Your Blazing Avatar IV fades.','',1,0,'Spells/Mage/Summoner/Conjuror/BlazingAvatar.lua',2197,'You cast Blazing Avatar IV on %t.',0,0,0,1,1,0,0,0,0,290021,0,0,0,0,0,1,0,0,0,'Unset',1581461185,1384377829,0,1),
(290025,2143268822,0,0,'Blazing Avatar V','Engulfs the conjuror''s summoned minion in a blazing aura for a limited duration, dealing heat damage every time the minion attacks or is attacked in melee. Once this spell has triggered five times, it will expire.',190,27,315,2042842194,3587918036,500,0,3,'Your Blazing Avatar V was successful on %t!','Your Blazing Avatar V fades.','',1,0,'Spells/Mage/Summoner/Conjuror/BlazingAvatar.lua',2197,'You cast Blazing Avatar V on %t.',0,0,0,0,1,0,0,0,0,290021,0,0,0,0,0,1,0,0,0,'Unset',1581461200,1384378114,0,1),
(290026,1688191333,0,0,'Call of The Hero','Summons a group or raid member to the Conjuror''s location. Target player must be in the same zone as the caster.',243,65535,316,2042842194,3587918036,260,0,8,'Your Call of The Hero was successful on %t!','Your Call of The Hero fades.','',1,0,'Spells/Mage/Summoner/Conjuror/CallofTheHero.lua',2199,'You cast Call of The Hero on %t.',0,1,1,0,1,0,0,0,0,290026,0,0,0,0,0,0,0,0,0,'Unset',1581461288,1384378115,0,1),
(290027,2647047220,0,1,'Cat''s Eye','A group augmentation that grants sonicvision and allows the conjuror''s allies to see invisible enemies.',167,65535,316,2042842194,3587918036,115,1,2,'Your Cat''s Eye was successful on %t!','Your Cat''s Eye fades.','',1,1,'Spells/Mage/Summoner/Conjuror/CatsEye.lua',2201,'You cast Cat''s Eye on %t.',0,0,0,0,1,1,0,0,0,290027,0,0,0,0,0,0,0,0,0,'Unset',1581390788,1384378112,0,1),
(290028,3807888460,0,0,'Communion','Opens a portal from multiple elemental planes to temporarily summon extra powerful minions.',471,65535,317,2042842194,3587918036,400,0,1,'Your Communion was successful on %t!','Your Communion fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Communion.lua',2202,'You cast Communion on %t.',0,0,0,1,0,0,2,0,1,290028,0,0,0,0,0,0,0,0,0,'Unset',1581463625,1384378114,0,1),
(290029,2625677487,0,0,'Communion II','Opens a portal from multiple elemental planes to temporarily summon extra powerful minions.',471,65535,317,2042842194,3587918036,450,0,1,'Your Communion II was successful on %t!','Your Communion II fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Communion.lua',2202,'You cast Communion II on %t.',0,0,0,1,0,1,2,0,1,290028,0,0,0,0,0,0,0,0,0,'Unset',1581463670,1384378115,0,1),
(290030,3703524283,0,0,'Communion III','Opens a portal from multiple elemental planes to temporarily summon extra powerful minions.',471,65535,317,2042842194,3587918036,500,0,1,'Your Communion III was successful on %t!','Your Communion III fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Communion.lua',2202,'You cast Communion III on %t.',0,0,0,0,0,0,2,0,1,290028,0,0,0,0,0,0,0,0,0,'Unset',1581463708,1384378115,0,1),
(290031,2593365529,0,1,'Conjuror''s Symbol','An augmentation for the conjuror''s summoned minion that grants it a chance to decrease an enemy''s elemental and magic resist every time it attacks or receives damage.',479,27,317,2042842194,3587918036,70,1,3,'Your Conjuror''s Pact was successful on %t!','Your Conjuror''s Pact fades.','',1,1,'Spells/Mage/Summoner/Conjuror/ConjurorsPact.lua',2203,'You cast Conjuror''s Pact on %t.',0,0,0,1,1,0,0,0,0,290031,0,0,0,0,0,0,0,0,0,'Unset',1581388671,1384378157,0,1),
(290032,385649347,0,1,'Conjuror''s Mark','An augmentation for the conjuror''s summoned minion that grants it a chance to decrease an enemy''s elemental and magic resist every time it attacks or receives damage.',479,27,317,2042842194,3587918036,140,1,3,'Your Conjuror''s Pact II was successful on %t!','Your Conjuror''s Pact II fades.','',1,1,'Spells/Mage/Summoner/Conjuror/ConjurorsPact.lua',2203,'You cast Conjuror''s Pact II on %t.',0,0,0,1,1,0,0,0,0,290031,0,0,0,0,0,0,0,0,0,'Unset',1581388695,1384378112,0,1),
(290033,1168200056,0,1,'Conjuror''s Signet','An augmentation for the conjuror''s summoned minion that grants it a chance to decrease an enemy''s elemental and magic resist every time it attacks or receives damage.',479,27,317,2042842194,3587918036,210,1,3,'Your Conjuror''s Pact III was successful on %t!','Your Conjuror''s Pact III fades.','',1,1,'Spells/Mage/Summoner/Conjuror/ConjurorsPact.lua',2203,'You cast Conjuror''s Pact III on %t.',0,0,0,1,1,0,0,0,0,290031,0,0,0,0,0,1,0,0,0,'Unset',1581388707,1384377829,0,1),
(290034,489971463,0,1,'Conjuror''s Insignia','An augmentation for the conjuror''s summoned minion that grants it a chance to decrease an enemy''s elemental and magic resist every time it attacks or receives damage.',479,27,317,2042842194,3587918036,280,1,3,'Your Conjuror''s Pact IV was successful on %t!','Your Conjuror''s Pact IV fades.','',1,1,'Spells/Mage/Summoner/Conjuror/ConjurorsPact.lua',2203,'You cast Conjuror''s Pact IV on %t.',0,0,0,1,1,0,0,0,0,290031,0,0,0,0,0,1,0,0,0,'Unset',1581388714,1384378115,0,1),
(290035,3919929972,0,1,'Conjuror''s Brand','An augmentation for the conjuror''s summoned minion that grants it a chance to decrease an enemy''s elemental and magic resist every time it attacks or receives damage.',479,27,317,2042842194,3587918036,350,1,3,'Your Conjuror''s Pact V was successful on %t!','Your Conjuror''s Pact V fades.','',1,1,'Spells/Mage/Summoner/Conjuror/ConjurorsPact.lua',2203,'You cast Conjuror''s Pact V on %t.',0,0,0,1,1,0,0,0,0,290031,0,0,0,0,0,1,0,0,0,'Unset',1581388723,1384378114,0,1),
(290036,727804786,0,1,'Conjuror''s Pact','An augmentation for the conjuror''s summoned minion that grants it a chance to decrease an enemy''s elemental and magic resist every time it attacks or receives damage.',479,27,317,2042842194,3587918036,400,1,3,'Your Conjuror''s Pact VI was successful on %t!','Your Conjuror''s Pact VI fades.','',1,1,'Spells/Mage/Summoner/Conjuror/ConjurorsPact.lua',2203,'You cast Conjuror''s Pact VI on %t.',0,0,0,1,1,0,0,0,0,290031,0,0,0,0,0,1,0,0,0,'Unset',1581388739,1384378115,0,1),
(290037,2898763825,0,1,'Conjuror''s Pact VII','An augmentation for the conjuror''s summoned minion that grants it a chance to decrease an enemy''s elemental and magic resist every time it attacks or receives damage.',479,27,317,2042842194,3587918036,450,1,3,'Your Conjuror''s Pact VII was successful on %t!','Your Conjuror''s Pact VII fades.','',1,1,'Spells/Mage/Summoner/Conjuror/ConjurorsPact.lua',2203,'You cast Conjuror''s Pact VII on %t.',0,0,0,1,1,0,0,0,0,290031,0,0,0,0,0,1,0,0,0,'Unset',1581388747,1384378115,0,1),
(290038,572756493,0,1,'Conjuror''s Pact VIII','An augmentation for the conjuror''s summoned minion that grants it a chance to decrease an enemy''s elemental and magic resist every time it attacks or receives damage.',479,27,317,2042842194,3587918036,500,1,3,'Your Conjuror''s Pact VIII was successful on %t!','Your Conjuror''s Pact VIII fades.','',1,1,'Spells/Mage/Summoner/Conjuror/ConjurorsPact.lua',2203,'You cast Conjuror''s Pact VIII on %t.',0,0,0,0,1,0,0,0,0,290031,0,0,0,0,0,1,0,0,0,'Unset',1581388822,1384378115,0,1),
(290039,3959660180,0,0,'Dust Blast','Deals instant magic damage to the target.',161,25,315,2120065377,613995491,5,0,1,'Your Crystal Blast was successful on %t!','Your Crystal Blast fades.','',1,0,'Spells/Mage/Summoner/Conjuror/CrystalBlast.lua',2204,'You cast Crystal Blast on %t.',0,0,0,1,0,0,0,0,0,290039,0,0,0,0,0,0,0,0,0,'DD',1581385332,1384378112,0,1),
(290040,3070233260,0,0,'Sand Blast','Deals instant magic damage to the target.',161,25,315,2042842194,613995491,30,0,1,'Your Crystal Blast II was successful on %t!','Your Crystal Blast II fades.','',1,0,'Spells/Mage/Summoner/Conjuror/CrystalBlast.lua',2204,'You cast Crystal Blast II on %t.',0,0,0,1,0,0,0,0,0,290039,0,0,0,0,0,0,0,0,0,'DD',1581385361,1384377833,0,1),
(290041,3094901165,0,0,'Rock Blast','Deals instant magic damage to the target.',161,25,315,2042842194,613995491,60,0,1,'Your Crystal Blast III was successful on %t!','Your Crystal Blast III fades.','',1,0,'Spells/Mage/Summoner/Conjuror/CrystalBlast.lua',2204,'You cast Crystal Blast III on %t.',0,0,0,1,0,0,0,0,0,290039,0,0,0,0,0,0,0,0,0,'DD',1581385382,1384378114,0,1),
(290042,2334484091,0,0,'Spiked Rain','Deals instant magic damage to the target.',161,25,315,2042842194,613995491,100,0,1,'Your Crystal Blast IV was successful on %t!','Your Crystal Blast IV fades.','',1,0,'Spells/Mage/Summoner/Conjuror/CrystalBlast.lua',2204,'You cast Crystal Blast IV on %t.',0,0,0,1,0,0,0,0,0,290039,0,0,0,0,0,0,0,0,0,'DD',1581385419,1384377829,0,1),
(290043,2487441294,0,0,'Crystal Blast IX','Deals instant magic damage to the target.',161,25,315,2042842194,613995491,405,0,1,'Your Crystal Blast IX was successful on %t!','Your Crystal Blast IX fades.','',1,0,'Spells/Mage/Summoner/Conjuror/CrystalBlast.lua',2204,'You cast Crystal Blast IX on %t.',0,0,0,1,0,0,0,0,0,290039,0,0,0,0,0,1,0,0,0,'DD',1581385726,1384378115,0,1),
(290044,3064246659,0,0,'Spiked Rain','Deals instant magic damage to the target.',161,25,315,2042842194,613995491,145,0,1,'Your Crystal Blast V was successful on %t!','Your Crystal Blast V fades.','',1,0,'Spells/Mage/Summoner/Conjuror/SpikedRain.lua',2204,'You cast Crystal Blast V on %t.',0,0,0,1,0,0,0,0,0,290039,0,0,0,0,0,0,0,0,0,'DD',1581385459,1384378112,0,1),
(290045,4045473717,0,0,'Klicnik''s Bite','Deals instant magic damage to the target.',161,25,315,2042842194,613995491,215,0,1,'Your Crystal Blast VI was successful on %t!','Your Crystal Blast VI fades.','',1,0,'Spells/Mage/Summoner/Conjuror/CrystalBlast.lua',2204,'You cast Crystal Blast VI on %t.',0,0,0,1,0,0,0,0,0,290039,0,0,0,0,0,1,0,0,0,'DD',1581385515,1384378112,0,1),
(290046,478027023,0,0,'Snapping Mandibles','Deals instant magic damage to the target.',161,25,315,2042842194,613995491,285,0,1,'Your Crystal Blast VII was successful on %t!','Your Crystal Blast VII fades.','',1,0,'Spells/Mage/Summoner/Conjuror/CrystalBlast.lua',2204,'You cast Crystal Blast VII on %t.',0,0,0,1,0,0,0,0,0,290039,0,0,0,0,0,1,0,0,0,'DD',1581385562,1384378112,0,1),
(290047,447295668,0,0,'Crystal Blast','Deals instant magic damage to the target.',161,25,315,2042842194,613995491,355,0,1,'Your Crystal Blast VIII was successful on %t!','Your Crystal Blast VIII fades.','',1,0,'Spells/Mage/Summoner/Conjuror/CrystalBlast.lua',2204,'You cast Crystal Blast VIII on %t.',0,0,0,1,0,0,0,0,0,290039,0,0,0,0,0,1,0,0,0,'DD',1581385645,1384378115,0,1),
(290048,975947295,0,0,'Crystal Blast X','Deals instant magic damage to the target.',161,25,315,2042842194,613995491,455,0,1,'Your Crystal Blast X was successful on %t!','Your Crystal Blast X fades.','',1,0,'Spells/Mage/Summoner/Conjuror/CrystalBlast.lua',2204,'You cast Crystal Blast X on %t.',0,0,0,1,0,0,0,0,0,290039,0,0,0,0,0,1,0,0,0,'DD',1581385793,1384377829,0,1),
(290049,3073027008,0,1,'Volatile Brace','An augmentation cast on the conjuror''s minion that places them into an defensive stance, increasing their trauma resistance, aggression, hate generation, and granting them a replenishing ward, at the cost of decreased attack speed. This augmentation cannot be stacked with an offensive stance.',357,65535,317,2042842194,3587918036,70,1,3,'Your Defensive Haven was successful on %t!','Your Defensive Haven fades.','',1,1,'Spells/Mage/Summoner/Conjuror/DefensiveHaven.lua',2205,'You cast Defensive Haven on %t.',0,0,0,1,1,0,0,0,0,290006,0,0,0,0,0,0,0,0,0,'Unset',1581388858,1384377829,0,1),
(290050,1115712572,0,1,'Volatile Refuge','An augmentation cast on the conjuror''s minion that places them into an defensive stance, increasing their trauma resistance, aggression, hate generation, and granting them a replenishing ward, at the cost of decreased attack speed. This augmentation cannot be stacked with an offensive stance.',357,65535,317,2042842194,3587918036,140,1,3,'Your Defensive Haven II was successful on %t!','Your Defensive Haven II fades.','',1,1,'Spells/Mage/Summoner/Conjuror/VolatileRefuge.lua',2205,'You cast Defensive Haven II on %t.',0,0,0,1,1,0,0,0,0,290006,0,0,0,0,0,0,0,0,0,'Unset',1581388891,1384377829,0,1),
(290051,4185123188,0,1,'Volatile Haven','An augmentation cast on the conjuror''s minion that places them into an defensive stance, increasing their trauma resistance, aggression, hate generation, and granting them a replenishing ward, at the cost of decreased attack speed. This augmentation cannot be stacked with an offensive stance.',357,65535,317,2042842194,3587918036,210,1,3,'Your Defensive Haven III was successful on %t!','Your Defensive Haven III fades.','',1,1,'Spells/Mage/Summoner/Conjuror/DefensiveHaven.lua',2205,'You cast Defensive Haven III on %t.',0,0,0,1,1,0,0,0,0,290006,0,0,0,0,0,1,0,0,0,'Unset',1581388906,1384378112,0,1),
(290052,1059768591,0,1,'Transient Haven','An augmentation cast on the conjuror''s minion that places them into an defensive stance, increasing their trauma resistance, aggression, hate generation, and granting them a replenishing ward, at the cost of decreased attack speed. This augmentation cannot be stacked with an offensive stance.',357,65535,317,2042842194,3587918036,280,1,3,'Your Defensive Haven IV was successful on %t!','Your Defensive Haven IV fades.','',1,1,'Spells/Mage/Summoner/Conjuror/DefensiveHaven.lua',2205,'You cast Defensive Haven IV on %t.',0,0,0,1,1,0,0,0,0,290006,0,0,0,0,0,1,0,0,0,'Unset',1581388927,1384378115,0,1),
(290053,3296229434,0,1,'Temporal Haven','An augmentation cast on the conjuror''s minion that places them into an defensive stance, increasing their trauma resistance, aggression, hate generation, and granting them a replenishing ward, at the cost of decreased attack speed. This augmentation cannot be stacked with an offensive stance.',357,65535,317,2042842194,3587918036,350,1,3,'Your Defensive Haven V was successful on %t!','Your Defensive Haven V fades.','',1,1,'Spells/Mage/Summoner/Conjuror/DefensiveHaven.lua',2205,'You cast Defensive Haven V on %t.',0,0,0,1,1,0,0,0,0,290006,0,0,0,0,0,1,0,0,0,'Unset',1581388950,1384378114,0,1),
(290054,4251241540,0,1,'Defensive Haven','An augmentation cast on the conjuror''s minion that places them into an defensive stance, increasing their trauma resistance, aggression, hate generation, and granting them a replenishing ward, at the cost of decreased attack speed. This augmentation cannot be stacked with an offensive stance.',357,65535,317,2042842194,3587918036,400,1,3,'Your Defensive Haven VI was successful on %t!','Your Defensive Haven VI fades.','',1,1,'Spells/Mage/Summoner/Conjuror/DefensiveHaven.lua',2205,'You cast Defensive Haven VI on %t.',0,0,0,1,1,0,0,0,0,290006,0,0,0,0,0,1,0,0,0,'Unset',1581389006,1384378115,0,1),
(290055,305560229,0,1,'Defensive Haven VII','An augmentation cast on the conjuror''s minion that places them into an defensive stance, increasing their trauma resistance, aggression, hate generation, and granting them a replenishing ward, at the cost of decreased attack speed. This augmentation cannot be stacked with an offensive stance.',357,65535,317,2042842194,3587918036,450,1,3,'Your Defensive Haven VII was successful on %t!','Your Defensive Haven VII fades.','',1,1,'Spells/Mage/Summoner/Conjuror/DefensiveHaven.lua',2205,'You cast Defensive Haven VII on %t.',0,0,0,1,1,1,0,0,0,290006,0,0,0,0,0,1,0,0,0,'Unset',1581389016,1384378115,0,1),
(290056,1037558288,0,1,'Defensive Haven VIII','An augmentation cast on the conjuror''s minion that places them into an defensive stance, increasing their trauma resistance, aggression, hate generation, and granting them a replenishing ward, at the cost of decreased attack speed. This augmentation cannot be stacked with an offensive stance.',357,65535,317,2042842194,3587918036,500,1,3,'Your Defensive Haven VIII was successful on %t!','Your Defensive Haven VIII fades.','',1,1,'Spells/Mage/Summoner/Conjuror/DefensiveHaven.lua',2205,'You cast Defensive Haven VIII on %t.',0,0,0,0,1,0,0,0,0,290006,0,0,0,0,0,1,0,0,0,'Unset',1581389031,1384377834,0,1),
(290057,3547282045,0,1,'Tellurian Recruit','Summons an inhabitant of the Plane of Earth to do the conjuror''s bidding.',485,29,317,2120065377,882983852,5,1,0,'Your Earthen Avatar was successful on %t!','Your Earthen Avatar fades.','',1,0,'Spells/Summoner/Level1Pet.lua',2206,'You cast Earthen Avatar on %t.',0,0,0,1,1,0,0,0,0,290057,0,0,0,0,0,0,0,0,0,'Unset',1581385847,1384378112,0,1),
(290058,2833079751,0,1,'Tellurian Follower','Summons an inhabitant of the Plane of Earth to do the conjuror''s bidding.',485,29,317,2042842194,882983852,60,1,0,'Your Earthen Avatar II was successful on %t!','Your Earthen Avatar II fades.','',1,1,'Spells/Commoner/Pets.lua',2206,'You cast Earthen Avatar II on %t.',0,0,0,1,1,0,0,0,0,290057,0,0,0,0,0,0,0,0,0,'Unset',1581385865,1384378115,0,1),
(290059,1831519543,0,1,'Tellurian Soldier','Summons an inhabitant of the Plane of Earth to do the conjuror''s bidding.',485,29,317,2042842194,882983852,120,1,0,'Your Earthen Avatar III was successful on %t!','Your Earthen Avatar III fades.','',1,1,'Spells/Mage/Summoner/Conjuror/TellurianSoldier.lua',2206,'You cast Earthen Avatar III on %t.',0,0,0,1,0,1,0,0,0,290057,0,0,0,0,0,0,0,0,0,'Unset',1581385872,1384377829,0,1),
(290060,2378714590,0,1,'Tellurian Veteran','Summons an inhabitant of the Plane of Earth to do the conjuror''s bidding.',485,29,317,2042842194,882983852,190,1,0,'Your Earthen Avatar IV was successful on %t!','Your Earthen Avatar IV fades.','',1,1,'Spells/Commoner/Pets.lua',2206,'You cast Earthen Avatar IV on %t.',0,0,0,1,1,0,0,0,0,290057,0,0,0,0,0,1,0,0,0,'Unset',1581385882,1384378112,0,1),
(290061,1969968611,0,1,'Earthen Avatar IX','Summons an inhabitant of the Plane of Earth to do the conjuror''s bidding.',485,29,317,2042842194,882983852,485,1,0,'Your Earthen Avatar IX was successful on %t!','Your Earthen Avatar IX fades.','',1,1,'Spells/Commoner/Pets.lua',2206,'You cast Earthen Avatar IX on %t.',0,0,0,0,1,0,0,0,0,290057,0,0,0,0,0,0,0,0,0,'Unset',1581385960,1384378115,0,1),
(290062,840519861,0,1,'Tellurian Myrmidon','Summons an inhabitant of the Plane of Earth to do the conjuror''s bidding.',485,29,317,2042842194,882983852,260,1,0,'Your Earthen Avatar V was successful on %t!','Your Earthen Avatar V fades.','',1,1,'Spells/Commoner/Pets.lua',2206,'You cast Earthen Avatar V on %t.',0,0,0,1,1,0,0,0,0,290057,0,0,0,0,0,1,0,0,0,'Unset',1581385896,1384378115,0,1),
(290063,1933723444,0,1,'Tellurian Champion','Summons an inhabitant of the Plane of Earth to do the conjuror''s bidding.',485,29,317,2042842194,882983852,330,1,0,'Your Earthen Avatar VI was successful on %t!','Your Earthen Avatar VI fades.','',1,1,'Spells/Commoner/Pets.lua',2206,'You cast Earthen Avatar VI on %t.',0,0,0,1,1,0,0,0,0,290057,0,0,0,0,0,1,0,0,0,'Unset',1581385906,1384378114,0,1),
(290064,877636981,0,1,'Earthen Avatar','Summons an inhabitant of the Plane of Earth to do the conjuror''s bidding.',485,29,317,2042842194,882983852,385,1,0,'Your Earthen Avatar VII was successful on %t!','Your Earthen Avatar VII fades.','',1,1,'Spells/Commoner/Pets.lua',2206,'You cast Earthen Avatar VII on %t.',0,0,0,1,1,0,0,0,0,290057,0,0,0,0,0,1,0,0,0,'Unset',1581385940,1384377829,0,1),
(290065,4073561760,0,1,'Earthen Avatar VIII','Summons an inhabitant of the Plane of Earth to do the conjuror''s bidding.',485,29,317,2042842194,882983852,435,1,0,'Your Earthen Avatar VIII was successful on %t!','Your Earthen Avatar VIII fades.','',1,1,'Spells/Commoner/Pets.lua',2206,'You cast Earthen Avatar VIII on %t.',0,0,0,1,1,0,0,0,0,290057,0,0,0,0,0,1,0,0,0,'Unset',1581385949,1384378115,0,1),
(290066,3290440873,0,0,'Seism','Violently shakes the earth around the conjuror, dealing magic damage and knocking down all nearby enemies.',288,29,313,2120065377,613995491,80,0,1,'Your Earthquake was successful on %t!','Your Earthquake fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Earthquake.lua',2207,'You cast Earthquake on %t.',0,0,0,1,0,0,0,0,0,290066,0,0,0,0,0,0,0,0,0,'DD',1581389423,1384378115,0,1),
(290067,281580579,0,0,'Tremor','Violently shakes the earth around the conjuror, dealing magic damage and knocking down all nearby enemies.',288,29,313,1209716810,613995491,150,0,1,'Your Earthquake II was successful on %t!','Your Earthquake II fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Tremor.lua',2207,'You cast Earthquake II on %t.',0,0,0,1,0,0,0,0,0,290066,0,0,0,0,0,0,0,0,0,'DD',1581389483,1384378112,0,1),
(290068,3747888614,0,0,'Quake','Violently shakes the earth around the conjuror, dealing magic damage and knocking down all nearby enemies.',288,29,313,2042842194,613995491,220,0,1,'Your Earthquake III was successful on %t!','Your Earthquake III fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Earthquake.lua',2207,'You cast Earthquake III on %t.',0,0,0,1,0,0,0,0,0,290067,0,0,0,0,0,1,0,0,0,'DD',1581389529,1384378112,0,1),
(290069,1534337530,0,0,'Seismic Tremor','Violently shakes the earth around the conjuror, dealing magic damage and knocking down all nearby enemies.',288,29,313,2042842194,613995491,290,0,1,'Your Earthquake IV was successful on %t!','Your Earthquake IV fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Earthquake.lua',2207,'You cast Earthquake IV on %t.',0,0,0,1,0,0,0,0,0,290067,0,0,0,0,0,1,0,0,0,'DD',1581389570,1384378115,0,1),
(290070,3098647272,0,0,'Earthquake','Violently shakes the earth around the conjuror, dealing magic damage and knocking down all nearby enemies.',288,29,313,2042842194,613995491,355,0,1,'Your Earthquake V was successful on %t!','Your Earthquake V fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Earthquake.lua',2207,'You cast Earthquake V on %t.',0,0,0,1,0,0,0,0,0,290067,0,0,0,0,0,1,0,0,0,'DD',1581389619,1384378115,0,1),
(290071,2680246237,0,0,'Earthquake VI','Violently shakes the earth around the conjuror, dealing magic damage and knocking down all nearby enemies.',288,29,313,2042842194,613995491,405,0,1,'Your Earthquake VI was successful on %t!','Your Earthquake VI fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Earthquake.lua',2207,'You cast Earthquake VI on %t.',0,0,0,1,0,0,0,0,0,290067,0,0,0,0,0,1,0,0,0,'DD',1581389656,1384378115,0,1),
(290072,1113036376,0,0,'Earthquake VII','Violently shakes the earth around the conjuror, dealing magic damage and knocking down all nearby enemies.',288,29,313,2042842194,613995491,455,0,1,'Your Earthquake VII was successful on %t!','Your Earthquake VII fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Earthquake.lua',2207,'You cast Earthquake VII on %t.',0,0,0,1,0,0,0,0,0,290067,0,0,0,0,0,1,0,0,0,'DD',1581389708,1384378115,0,1),
(290073,2866442029,0,1,'Elemental Cover','An augmentation that increases the power pool and elemental resistance for the conjuror''s group.',203,65535,314,2042842194,3587918036,35,1,2,'Your Elemental Aspect was successful on %t!','Your Elemental Aspect fades.','',1,1,'Spells/Mage/Summoner/Conjuror/ElementalAspect.lua',2208,'You cast Elemental Aspect on %t.',0,0,0,1,1,1,0,0,0,290073,0,0,0,0,0,0,0,0,0,'Unset',1581387724,1384378112,0,1),
(290074,1636032822,0,1,'Pullulation','An augmentation that increases the power pool and elemental resistance for the conjuror''s group.',203,65535,314,2042842194,3587918036,105,1,2,'Your Elemental Aspect II was successful on %t!','Your Elemental Aspect II fades.','',1,1,'Spells/Mage/Summoner/Conjuror/Pullulation.lua',2208,'You cast Elemental Aspect II on %t.',0,0,0,1,1,1,0,0,0,290073,0,0,0,0,0,0,0,0,0,'Unset',1581387736,1384378115,0,1),
(290075,559771845,0,1,'Embers','An augmentation that increases the power pool and elemental resistance for the conjuror''s group.',203,65535,314,2042842194,3587918036,175,1,2,'Your Elemental Aspect III was successful on %t!','Your Elemental Aspect III fades.','',1,1,'Spells/Mage/Summoner/Conjuror/ElementalAspect.lua',2208,'You cast Elemental Aspect III on %t.',0,0,0,1,1,1,0,0,0,290073,0,0,0,0,0,1,0,0,0,'Unset',1581387746,1384378112,0,1),
(290076,2321225483,0,1,'Phlogiston','An augmentation that increases the power pool and elemental resistance for the conjuror''s group.',203,65535,314,2042842194,3587918036,245,1,2,'Your Elemental Aspect IV was successful on %t!','Your Elemental Aspect IV fades.','',1,1,'Spells/Mage/Summoner/Conjuror/ElementalAspect.lua',2208,'You cast Elemental Aspect IV on %t.',0,0,0,1,1,1,0,0,0,290073,0,0,0,0,0,1,0,0,0,'Unset',1581387755,1384378112,0,1),
(290077,633122836,0,1,'Escutcheon','An augmentation that increases the power pool and elemental resistance for the conjuror''s group.',203,65535,314,2042842194,3587918036,315,1,2,'Your Elemental Aspect V was successful on %t!','Your Elemental Aspect V fades.','',1,1,'Spells/Mage/Summoner/Conjuror/ElementalAspect.lua',0,'You cast Elemental Aspect V on %t.',0,0,0,1,1,1,0,0,0,290073,0,0,0,0,0,1,0,0,0,'Unset',1581387766,1384378115,0,1),
(290078,3281876147,0,1,'Elemental Aspect','An augmentation that increases the power pool and elemental resistance for the conjuror''s group.',203,65535,314,2042842194,3587918036,375,1,2,'Your Elemental Aspect VI was successful on %t!','Your Elemental Aspect VI fades.','',1,1,'Spells/Mage/Summoner/Conjuror/ElementalAspect.lua',2208,'You cast Elemental Aspect VI on %t.',0,0,0,1,1,1,0,0,0,290073,0,0,0,0,0,1,0,0,0,'Unset',1581387793,1384378115,0,1),
(290079,2147672701,0,1,'Elemental Aspect VII','An augmentation that increases the power pool and elemental resistance for the conjuror''s group.',203,65535,314,2042842194,3587918036,425,1,2,'Your Elemental Aspect VII was successful on %t!','Your Elemental Aspect VII fades.','',1,1,'Spells/Mage/Summoner/Conjuror/ElementalAspect.lua',2208,'You cast Elemental Aspect VII on %t.',0,0,0,1,1,1,0,0,0,290073,0,0,0,0,0,1,0,0,0,'Unset',1581387827,1384378115,0,1),
(290080,1474322981,0,1,'Elemental Aspect VIII','An augmentation that increases the power pool and elemental resistance for the conjuror''s group.',203,65535,314,2042842194,3587918036,475,1,2,'Your Elemental Aspect VIII was successful on %t!','Your Elemental Aspect VIII fades.','',1,1,'Spells/Mage/Summoner/Conjuror/ElementalAspect.lua',2208,'You cast Elemental Aspect VIII on %t.',0,0,0,0,1,1,0,0,0,290073,0,0,0,0,0,1,0,0,0,'Unset',1581387860,1384378115,0,1),
(290081,2258237062,0,1,'Elemental Mastery','This is the condensed energy of an ancient, mythical weapon.',234,65535,317,2042842194,0,400,1,1,'Your Elemental Mastery was successful on %t!','Your Elemental Mastery fades.','',1,1,'Spells/Mage/Summoner/Conjuror/ElementalMastery.lua',3542,'You cast Elemental Mastery on %t.',0,0,0,1,1,1,0,0,0,290081,0,0,0,0,0,0,0,0,0,'Unset',1581463816,1384377878,0,1),
(290082,2944879235,0,0,'Elemental Vestment','Surrounds the conjuror''s pet with powerful elemental energy directly linked to the conjuror''s spell casting. Whenever the conjuror casts an elemental spell, their minion will deal elemental damage to the next enemy they strike, and deal elemental damage to all nearby enemies of that encounter as well. This spell has a recurrent power cost.',217,65535,317,2042842194,882983852,290,0,3,'Your Elemental Unity was successful on %t!','Your Elemental Unity fades.','',1,0,'Spells/Mage/Summoner/Conjuror/ElementalUnity.lua',2209,'You cast Elemental Unity on %t.',0,0,0,1,1,0,0,0,0,290082,0,0,0,0,0,0,0,0,0,'Unset',1581463431,1384378115,0,1),
(290083,1212134808,0,0,'Elemental Unity','Surrounds the conjuror''s pet with powerful elemental energy directly linked to the conjuror''s spell casting. Whenever the conjuror casts an elemental spell, their minion will deal elemental damage to the next enemy they strike, and deal elemental damage to all nearby enemies of that encounter as well. This spell has a recurrent power cost.',217,65535,317,2042842194,882983852,380,0,3,'Your Elemental Unity II was successful on %t!','Your Elemental Unity II fades.','',1,0,'Spells/Mage/Summoner/Conjuror/ElementalUnity.lua',2209,'You cast Elemental Unity II on %t.',0,0,0,1,1,0,0,0,0,290082,0,0,0,0,0,0,0,0,0,'Unset',1581463455,1384377829,0,1),
(290084,3191869936,0,0,'Elemental Unity III','Surrounds the conjuror''s pet with powerful elemental energy directly linked to the conjuror''s spell casting. Whenever the conjuror casts an elemental spell, their minion will deal elemental damage to the next enemy they strike, and deal elemental damage to all nearby enemies of that encounter as well. This spell has a recurrent power cost.',217,65535,317,2042842194,882983852,430,0,3,'Your Elemental Unity III was successful on %t!','Your Elemental Unity III fades.','',1,0,'Spells/Mage/Summoner/Conjuror/ElementalUnity.lua',2209,'You cast Elemental Unity III on %t.',0,0,0,1,1,0,0,0,0,290082,0,0,0,0,0,0,0,0,0,'Unset',1581463475,1384377829,0,1),
(290085,1360176913,0,0,'Elemental Unity IV','Surrounds the conjuror''s pet with powerful elemental energy directly linked to the conjuror''s spell casting. Whenever the conjuror casts an elemental spell, their minion will deal elemental damage to the next enemy they strike, and deal elemental damage to all nearby enemies of that encounter as well. This spell has a recurrent power cost.',217,65535,317,2042842194,882983852,480,0,3,'Your Elemental Unity IV was successful on %t!','Your Elemental Unity IV fades.','',1,0,'Spells/Mage/Summoner/Conjuror/ElementalUnity.lua',2209,'You cast Elemental Unity IV on %t.',0,0,0,0,1,0,0,0,0,290082,0,0,0,0,0,0,0,0,0,'Unset',1581463493,1384377833,0,1),
(290086,402048720,0,0,'Essence Shift','Converts health from a summoned minion into power for the conjuror.',170,24,317,2120065377,366253016,65,0,3,'Your Essence Shift was successful on %t!','Your Essence Shift fades.','',1,0,'Spells/Mage/Summoner/Conjuror/EssenceShift.lua',2210,'You cast Essence Shift on %t.',0,0,0,1,1,0,0,0,0,290086,0,0,0,0,0,0,0,0,0,'Unset',1581388305,1384378114,0,1),
(290087,1846738227,0,0,'Instant Vim','Converts health from a summoned minion into power for the conjuror.',170,24,317,2042842194,366253016,135,0,3,'Your Essence Shift II was successful on %t!','Your Essence Shift II fades.','',1,0,'Spells/Mage/Summoner/Conjuror/InstantVim.lua',2210,'You cast Essence Shift II on %t.',0,0,0,1,1,0,0,0,0,290086,0,0,0,0,0,0,0,0,0,'Unset',1581388331,1384377829,0,1),
(290088,4215434302,0,0,'Instant Vigor','Converts health from a summoned minion into power for the conjuror.',170,24,317,2042842194,366253016,205,0,3,'Your Essence Shift III was successful on %t!','Your Essence Shift III fades.','',1,0,'Spells/Mage/Summoner/Conjuror/EssenceShift.lua',2210,'You cast Essence Shift III on %t.',0,0,0,1,1,0,0,0,0,290086,0,0,0,0,0,1,0,0,0,'Unset',1581388342,1384378112,0,1),
(290089,1619356536,0,0,'Burning Vigor','Converts health from a summoned minion into power for the conjuror.',170,24,317,2042842194,366253016,275,0,3,'Your Essence Shift IV was successful on %t!','Your Essence Shift IV fades.','',1,0,'Spells/Mage/Summoner/Conjuror/EssenceShift.lua',2210,'You cast Essence Shift IV on %t.',0,0,0,1,1,0,0,0,0,290086,0,0,0,0,0,1,0,0,0,'Unset',1581388371,1384378115,0,1),
(290090,2220368475,0,0,'Blazing Vigor','Converts health from a summoned minion into power for the conjuror.',170,24,317,2042842194,366253016,345,0,3,'Your Essence Shift V was successful on %t!','Your Essence Shift V fades.','',1,0,'Spells/Mage/Summoner/Conjuror/EssenceShift.lua',2210,'You cast Essence Shift V on %t.',0,0,0,1,1,0,0,0,0,290086,0,0,0,0,0,1,0,0,0,'Unset',1581388404,1384378115,0,1),
(290091,4006069297,0,0,'Capture Vigor','Converts health from a summoned minion into power for the conjuror.',170,24,317,2042842194,366253016,395,0,3,'Your Essence Shift VI was successful on %t!','Your Essence Shift VI fades.','',1,0,'Spells/Mage/Summoner/Conjuror/EssenceShift.lua',2210,'You cast Essence Shift VI on %t.',0,0,0,1,1,0,0,0,0,290086,0,0,0,0,0,1,0,0,0,'Unset',1581388443,1384378114,0,1),
(290092,2911024408,0,0,'Essence Shift VII','Converts health from a summoned minion into power for the conjuror.',170,24,317,2042842194,366253016,445,0,3,'Your Essence Shift VII was successful on %t!','Your Essence Shift VII fades.','',1,0,'Spells/Mage/Summoner/Conjuror/EssenceShift.lua',2210,'You cast Essence Shift VII on %t.',0,0,0,1,1,0,0,0,0,290086,0,0,0,0,0,1,0,0,0,'Unset',1581388472,1384378115,0,1),
(290093,65676425,0,0,'Essence Shift VIII','Converts health from a summoned minion into power for the conjuror.',170,24,317,2042842194,366253016,495,0,3,'Your Essence Shift VIII was successful on %t!','Your Essence Shift VIII fades.','',1,0,'Spells/Mage/Summoner/Conjuror/EssenceShift.lua',2210,'You cast Essence Shift VIII on %t.',0,0,0,0,1,0,0,0,0,290086,0,0,0,0,0,1,0,0,0,'Unset',1581388577,1384378114,0,1),
(290094,2305277786,0,0,'Burn','Deals unresistable instant heat damage and additional heat damage over time to an enemy.',273,28,315,2042842194,613995491,15,0,1,'Your Fiery Annihilation was successful on %t!','Your Fiery Annihilation fades.','',1,0,'Spells/Mage/Summoner/Conjuror/FieryAnnihilation.lua',2211,'You cast Fiery Annihilation on %t.',0,0,0,1,0,1,4,0,0,290094,0,0,0,0,0,0,0,0,0,'DoT',1581386656,1384378112,0,1),
(290095,2889760326,0,0,'Greater Burn','Deals unresistable instant heat damage and additional heat damage over time to an enemy.',273,28,315,2042842194,613995491,50,0,1,'Your Fiery Annihilation II was successful on %t!','Your Fiery Annihilation II fades.','',1,0,'Spells/Mage/Summoner/Conjuror/FieryAnnihilation.lua',2211,'You cast Fiery Annihilation II on %t.',0,0,0,1,0,1,4,0,0,290094,0,0,0,0,0,0,0,0,0,'DoT',1581386677,1384378112,0,1),
(290096,2935428030,0,0,'Burning Agony','Deals unresistable instant heat damage and additional heat damage over time to an enemy.',273,28,315,2042842194,613995491,85,0,1,'Your Fiery Annihilation III was successful on %t!','Your Fiery Annihilation III fades.','',1,0,'Spells/Mage/Summoner/Conjuror/FieryAnnihilation.lua',2211,'You cast Fiery Annihilation III on %t.',0,0,0,1,0,1,4,0,0,290094,0,0,0,0,0,0,0,0,0,'DoT',1581386698,1384378115,0,1),
(290097,138271340,0,0,'Flaming Agony','Deals unresistable instant heat damage and additional heat damage over time to an enemy.',273,28,315,2042842194,613995491,155,0,1,'Your Fiery Annihilation IV was successful on %t!','Your Fiery Annihilation IV fades.','',1,0,'Spells/Mage/Summoner/Conjuror/FieryAnnihilation.lua',2211,'You cast Fiery Annihilation IV on %t.',0,0,0,1,0,1,4,0,0,290094,0,0,0,0,0,1,0,0,0,'DoT',1581386731,1384378112,0,1),
(290098,2698382017,0,0,'Fiery Annihilation IX','Deals unresistable instant heat damage and additional heat damage over time to an enemy.',273,28,315,2042842194,613995491,460,0,1,'Your Fiery Annihilation IX was successful on %t!','Your Fiery Annihilation IX fades.','',1,0,'Spells/Mage/Summoner/Conjuror/FieryAnnihilation.lua',2211,'You cast Fiery Annihilation IX on %t.',0,0,0,1,0,1,4,0,0,290094,0,0,0,0,0,1,0,0,0,'DoT',1581387011,1384378115,0,1),
(290099,4259268610,0,0,'Fiery Doom','Deals unresistable instant heat damage and additional heat damage over time to an enemy.',273,28,315,2042842194,613995491,225,0,1,'Your Fiery Annihilation V was successful on %t!','Your Fiery Annihilation V fades.','',1,0,'Spells/Mage/Summoner/Conjuror/FieryAnnihilation.lua',2211,'You cast Fiery Annihilation V on %t.',0,0,0,1,0,1,4,0,0,290094,0,0,0,0,0,1,0,0,0,'DoT',1581386808,1384378112,0,1),
(290100,2779749492,0,0,'Fiery Annihilation','Deals unresistable instant heat damage and additional heat damage over time to an enemy.',273,28,315,2042842194,613995491,295,0,1,'Your Fiery Annihilation VI was successful on %t!','Your Fiery Annihilation VI fades.','',1,0,'Spells/Mage/Summoner/Conjuror/FieryAnnihilation.lua',2211,'You cast Fiery Annihilation VI on %t.',0,0,0,1,0,1,4,0,0,290094,0,0,0,0,0,1,0,0,0,'DoT',1581386854,1384378115,0,1),
(290101,1347797164,0,0,'Effigy','Deals unresistable instant heat damage and additional heat damage over time to an enemy.',273,28,315,2042842194,613995491,360,0,1,'Your Fiery Annihilation VII was successful on %t!','Your Fiery Annihilation VII fades.','',1,0,'Spells/Mage/Summoner/Conjuror/FieryAnnihilation.lua',2211,'You cast Fiery Annihilation VII on %t.',0,0,0,1,0,1,4,0,0,290094,0,0,0,0,0,1,0,0,0,'DoT',1581386957,1384378115,0,1),
(290102,1057786207,0,0,'Fiery Annihilation VIII','Deals unresistable instant heat damage and additional heat damage over time to an enemy.',273,28,315,2042842194,613995491,410,0,1,'Your Fiery Annihilation VIII was successful on %t!','Your Fiery Annihilation VIII fades.','',1,0,'Spells/Mage/Summoner/Conjuror/FieryAnnihilation.lua',2211,'You cast Fiery Annihilation VIII on %t.',0,0,0,1,0,1,4,0,0,290094,0,0,0,0,0,1,0,0,0,'DoT',1581386980,1384377829,0,1),
(290103,1811046338,0,1,'Igneous Apprentice','Summons a native of the Plane of Fire to do the conjuror''s bidding.',273,29,317,2042842194,882983852,100,1,0,'Your Igneous Apprentice was successful on %t!','Your Fiery Magician fades.','',1,1,'Spells/Summoner/CombatPet.lua',165,'You cast Igneous Apprentice on %t.',0,0,0,1,1,1,0,0,0,290103,0,0,0,0,0,1,0,0,0,'Unset',1581390143,1384378112,0,1),
(290104,795727869,0,1,'Igneous Adept','Summons a native of the Plane of Fire to do the conjuror''s bidding.',273,65535,317,2042842194,882983852,170,1,0,'Your Fiery Magician II was successful on %t!','Your Fiery Magician II fades.','',1,1,'Spells/Commoner/Pets.lua',2212,'You cast Fiery Magician II on %t.',0,0,0,1,1,0,0,0,0,290103,0,0,0,0,0,1,0,0,0,'Unset',1581390162,1384378112,0,1),
(290105,2844202832,0,1,'Igneous Magi','Summons a native of the Plane of Fire to do the conjuror''s bidding.',273,65535,317,2042842194,882983852,240,1,0,'Your Fiery Magician III was successful on %t!','Your Fiery Magician III fades.','',1,1,'Spells/Commoner/Pets.lua',2212,'You cast Fiery Magician III on %t.',0,0,0,1,1,1,0,0,0,290103,0,0,0,0,0,1,0,0,0,'Unset',1581390172,1384378115,0,1),
(290106,2842586129,0,1,'Igneous Savant','Summons a native of the Plane of Fire to do the conjuror''s bidding.',273,65535,317,2042842194,882983852,310,1,0,'Your Fiery Magician IV was successful on %t!','Your Fiery Magician IV fades.','',1,1,'Spells/Commoner/Pets.lua',2212,'You cast Fiery Magician IV on %t.',0,0,0,1,1,1,0,0,0,290103,0,0,0,0,0,1,0,0,0,'Unset',1581390186,1384378115,0,1),
(290107,4174990898,0,1,'Inferno Golem','Summons a native of the Plane of Fire to do the conjuror''s bidding.',273,65535,317,2042842194,882983852,375,1,0,'Your Fiery Magician V was successful on %t!','Your Fiery Magician V fades.','',1,1,'Spells/Commoner/Pets.lua',2212,'You cast Fiery Magician V on %t.',0,0,0,1,1,1,0,0,0,290103,0,0,0,0,0,1,0,0,0,'Unset',1581390203,1384378115,0,1),
(290108,1485159834,0,1,'Fiery Magician VI','Summons a native of the Plane of Fire to do the conjuror''s bidding.',273,65535,317,2042842194,882983852,425,1,0,'Your Fiery Magician VI was successful on %t!','Your Fiery Magician VI fades.','',1,1,'Spells/Commoner/Pets.lua',2212,'You cast Fiery Magician VI on %t.',0,0,0,1,1,1,0,0,0,290103,0,0,0,0,0,1,0,0,0,'Unset',1581390213,1384377829,0,1),
(290109,3743643353,0,1,'Fiery Magician VII','Summons a native of the Plane of Fire to do the conjuror''s bidding.',273,65535,317,2042842194,882983852,475,1,0,'Your Fiery Magician VII was successful on %t!','Your Fiery Magician VII fades.','',1,1,'Spells/Commoner/Pets.lua',2212,'You cast Fiery Magician VII on %t.',0,0,0,0,1,0,0,0,0,290103,0,0,0,0,0,1,0,0,0,'Unset',1581390237,1384377828,0,1),
(290110,363638977,0,1,'Fire Seed','An augmentation placed by the conjuror on target ally, that grants a chance to deal heat damage with every attack and place an impairment on the opponent. If the opponent dies while under this impairment, it will deal instant heat damage to the encounter.',242,24,316,2042842194,3587918036,115,1,1,'Your Fire Seed was successful on %t!','Your Fire Seed fades.','',1,1,'Spells/Mage/Summoner/Conjuror/FireSeedClassic.lua',2213,'You cast Fire Seed on %t.',0,0,0,1,1,1,0,0,0,290110,0,0,0,0,0,0,0,0,0,'Unset',1581390877,1384378112,0,1),
(290111,895367827,0,1,'Infernus Seed','An augmentation placed by the conjuror on target ally, that grants a chance to deal heat damage with every attack and place an impairment on the opponent. If the opponent dies while under this impairment, it will deal instant heat damage to the encounter.',242,24,316,2042842194,3587918036,185,1,1,'Your Fire Seed II was successful on %t!','Your Fire Seed II fades.','',1,1,'Spells/Mage/Summoner/Conjuror/FireSeed.lua',2213,'You cast Fire Seed II on %t.',0,0,0,1,1,1,0,0,0,290110,0,0,0,0,0,0,0,0,0,'Unset',1581392473,1384378112,0,1),
(290112,1600602994,0,1,'Blazing Seed','An augmentation placed by the conjuror on target ally, that grants a chance to deal heat damage with every attack and place an impairment on the opponent. If the opponent dies while under this impairment, it will deal instant heat damage to the encounter.',242,24,316,2042842194,3587918036,255,1,1,'Your Fire Seed III was successful on %t!','Your Fire Seed III fades.','',1,1,'Spells/Mage/Summoner/Conjuror/FireSeed.lua',2213,'You cast Fire Seed III on %t.',0,0,0,1,1,1,0,0,0,290110,0,0,0,0,0,0,0,0,0,'Unset',1581393279,1384378115,0,1),
(290113,710768599,0,1,'Ember Seed','An augmentation placed by the conjuror on target ally, that grants a chance to deal heat damage with every attack and place an impairment on the opponent. If the opponent dies while under this impairment, it will deal instant heat damage to the encounter.',242,24,316,2042842194,3587918036,325,1,1,'Your Fire Seed IV was successful on %t!','Your Fire Seed IV fades.','',1,1,'Spells/Mage/Summoner/Conjuror/FireSeed.lua',2213,'You cast Fire Seed IV on %t.',0,0,0,1,1,1,0,0,0,290110,0,0,0,0,0,0,0,0,0,'Unset',1581393965,1384377828,0,1),
(290114,274641691,0,1,'Magma Seed','An augmentation placed by the conjuror on target ally, that grants a chance to deal heat damage with every attack and place an impairment on the opponent. If the opponent dies while under this impairment, it will deal instant heat damage to the encounter.',242,24,316,2042842194,3587918036,385,1,1,'Your Fire Seed V was successful on %t!','Your Fire Seed V fades.','',1,1,'Spells/Mage/Summoner/Conjuror/FireSeed.lua',2213,'You cast Fire Seed V on %t.',0,0,0,1,1,1,0,0,0,290110,0,0,0,0,0,0,0,0,0,'Unset',1581395409,1384378114,0,1),
(290115,3842085846,0,1,'Fire Seed VI','An augmentation placed by the conjuror on target ally, that grants a chance to deal heat damage with every attack and place an impairment on the opponent. If the opponent dies while under this impairment, it will deal instant heat damage to the encounter.',242,24,316,2042842194,3587918036,435,1,1,'Your Fire Seed VI was successful on %t!','Your Fire Seed VI fades.','',1,1,'Spells/Mage/Summoner/Conjuror/FireSeed.lua',2213,'You cast Fire Seed VI on %t.',0,0,0,1,1,1,0,0,0,290110,0,0,0,0,0,0,0,0,0,'Unset',1581395438,1384378115,0,1),
(290116,2124734393,0,1,'Fire Seed VII','An augmentation placed by the conjuror on target ally, that grants a chance to deal heat damage with every attack and place an impairment on the opponent. If the opponent dies while under this impairment, it will deal instant heat damage to the encounter.',242,24,316,2042842194,3587918036,485,1,1,'Your Fire Seed VII was successful on %t!','Your Fire Seed VII fades.','',1,1,'Spells/Mage/Summoner/Conjuror/FireSeed.lua',2213,'You cast Fire Seed VII on %t.',0,0,0,0,1,0,0,0,0,290110,0,0,0,0,0,0,0,0,0,'Unset',1581396151,1335206112,0,1),
(290117,2384202484,0,1,'Fireshield','An augmentation placed on an ally, that deals instant heat damage to any attacker of that ally. This spell does not require any concentration, but can only be maintained on a single ally.',274,28,316,2042842194,3587918036,100,1,1,'Your Flameshield was successful on %t!','Your Flameshield fades.','',1,1,'',2214,'You cast Flameshield on %t.',0,1,0,1,1,1,0,0,0,290117,0,0,0,0,0,0,0,0,0,'Unset',1581390298,1384378112,0,1),
(290118,932738302,0,1,'Scorchshield','An augmentation placed on an ally, that deals instant heat damage to any attacker of that ally. This spell does not require any concentration, but can only be maintained on a single ally.',274,28,316,2042842194,3587918036,175,1,1,'Your Flameshield II was successful on %t!','Your Flameshield II fades.','',1,1,'Spells/Mage/Summoner/Conjuror/Flameshield.lua',2214,'You cast Flameshield II on %t.',0,1,0,1,1,1,0,0,0,290117,0,0,0,0,0,1,0,0,0,'Unset',1581390327,1384378112,0,1),
(290119,3604369406,0,1,'Flameshield','An augmentation placed on an ally, that deals instant heat damage to any attacker of that ally. This spell does not require any concentration, but can only be maintained on a single ally.',274,28,316,2042842194,3587918036,250,1,1,'Your Flameshield III was successful on %t!','Your Flameshield III fades.','',1,1,'Spells/Mage/Summoner/Conjuror/Flameshield.lua',2214,'You cast Flameshield III on %t.',0,1,0,1,1,1,0,0,0,290117,0,0,0,0,0,1,0,0,0,'Unset',1581390362,1384378115,0,1),
(290120,3419662531,0,1,'Pyreshield','An augmentation placed on an ally, that deals instant heat damage to any attacker of that ally. This spell does not require any concentration, but can only be maintained on a single ally.',274,28,316,2042842194,3587918036,320,1,1,'Your Flameshield IV was successful on %t!','Your Flameshield IV fades.','',1,1,'Spells/Mage/Summoner/Conjuror/Flameshield.lua',2214,'You cast Flameshield IV on %t.',0,1,0,1,1,1,0,0,0,290117,0,0,0,0,0,1,0,0,0,'Unset',1581390403,1384378115,0,1),
(290121,3832402452,0,1,'Infernoshield','An augmentation placed on an ally, that deals instant heat damage to any attacker of that ally. This spell does not require any concentration, but can only be maintained on a single ally.',274,28,316,2042842194,3587918036,380,1,1,'Your Flameshield V was successful on %t!','Your Flameshield V fades.','',1,1,'Spells/Mage/Summoner/Conjuror/Flameshield.lua',2214,'You cast Flameshield V on %t.',0,1,0,1,1,1,0,0,0,290117,0,0,0,0,0,1,0,0,0,'Unset',1581390437,1384377829,0,1),
(290122,4285749358,0,1,'Flameshield VI','An augmentation placed on an ally, that deals instant heat damage to any attacker of that ally. This spell does not require any concentration, but can only be maintained on a single ally.',274,28,316,2042842194,3587918036,430,1,1,'Your Flameshield VI was successful on %t!','Your Flameshield VI fades.','',1,1,'Spells/Mage/Summoner/Conjuror/Flameshield.lua',2214,'You cast Flameshield VI on %t.',0,1,0,1,1,1,0,0,0,290117,0,0,0,0,0,1,0,0,0,'Unset',1581390466,1384378115,0,1),
(290123,1652341016,0,1,'Flameshield VII','An augmentation placed on an ally, that deals instant heat damage to any attacker of that ally. This spell does not require any concentration, but can only be maintained on a single ally.',274,28,316,2042842194,3587918036,480,1,1,'Your Flameshield VII was successful on %t!','Your Flameshield VII fades.','',1,1,'Spells/Mage/Summoner/Conjuror/Flameshield.lua',2214,'You cast Flameshield VII on %t.',0,0,0,0,1,0,0,0,0,290117,0,0,0,0,0,1,0,0,0,'Unset',1581390484,1384378115,0,1),
(290124,4107338956,0,1,'Earthly Brand','A group augmentation that increases resistance to all types for the conjuror''s group and their pets. Pets in the conjuror''s group receive an additional bonus to their defense.',483,65535,314,2120065377,3587918036,60,1,2,'Your Geotic Rune was successful on %t!','Your Geotic Rune fades.','',1,1,'Spells/Mage/Summoner/Conjuror/GeoticRune.lua',149,'You cast Geotic Rune on %t.',0,0,0,1,1,1,0,0,0,290124,0,0,0,0,0,0,0,0,0,'Unset',1581388122,1384378114,0,1),
(290125,872391854,0,1,'Alluvial Brand','A group augmentation that increases resistance to all types for the conjuror''s group and their pets. Pets in the conjuror''s group receive an additional bonus to their defense.',483,65535,314,2042842194,3587918036,130,1,2,'Your Geotic Rune II was successful on %t!','Your Geotic Rune II fades.','',1,1,'Spells/Mage/Summoner/Conjuror/AlluvialBrand.lua',2215,'You cast Geotic Rune II on %t.',0,0,0,1,1,1,0,0,0,290124,0,0,0,0,0,0,0,0,0,'Unset',1581388157,1384377828,0,1),
(290126,539703688,0,1,'Geotic Brand','A group augmentation that increases resistance to all types for the conjuror''s group and their pets. Pets in the conjuror''s group receive an additional bonus to their defense.',483,65535,314,2042842194,3587918036,200,1,2,'Your Geotic Rune III was successful on %t!','Your Geotic Rune III fades.','',1,1,'Spells/Mage/Summoner/Conjuror/GeoticRune.lua',2215,'You cast Geotic Rune III on %t.',0,0,0,1,1,1,0,0,0,290124,0,0,0,0,0,1,0,0,0,'Unset',1581388171,1384378112,0,1),
(290127,3070276965,0,1,'Geotic Rune','A group augmentation that increases resistance to all types for the conjuror''s group and their pets. Pets in the conjuror''s group receive an additional bonus to their defense.',483,65535,314,2042842194,3587918036,270,1,2,'Your Geotic Rune IV was successful on %t!','Your Geotic Rune IV fades.','',1,1,'Spells/Mage/Summoner/Conjuror/GeoticRune.lua',2215,'You cast Geotic Rune IV on %t.',0,0,0,1,1,1,0,0,0,290124,0,0,0,0,0,1,0,0,0,'Unset',1581388213,1384378112,0,1),
(290128,184895803,0,1,'Geotic Seal','A group augmentation that increases resistance to all types for the conjuror''s group and their pets. Pets in the conjuror''s group receive an additional bonus to their defense.',483,65535,314,2042842194,3587918036,340,1,2,'Your Geotic Rune V was successful on %t!','Your Geotic Rune V fades.','',1,1,'Spells/Mage/Summoner/Conjuror/GeoticRune.lua',2215,'You cast Geotic Rune V on %t.',0,0,0,1,1,1,0,0,0,290124,0,0,0,0,0,1,0,0,0,'Unset',1581388223,1384378115,0,1),
(290129,1502798899,0,1,'Geoticism','A group augmentation that increases resistance to all types for the conjuror''s group and their pets. Pets in the conjuror''s group receive an additional bonus to their defense.',483,65535,314,2042842194,3587918036,395,1,2,'Your Geotic Rune VI was successful on %t!','Your Geotic Rune VI fades.','',1,1,'Spells/Mage/Summoner/Conjuror/GeoticRune.lua',2215,'You cast Geotic Rune VI on %t.',0,0,0,1,1,1,0,0,0,290124,0,0,0,0,0,1,0,0,0,'Unset',1581388235,1384378114,0,1),
(290130,1205249344,0,1,'Geotic Rune VII','A group augmentation that increases resistance to all types for the conjuror''s group and their pets. Pets in the conjuror''s group receive an additional bonus to their defense.',483,65535,314,2042842194,3587918036,445,1,2,'Your Geotic Rune VII was successful on %t!','Your Geotic Rune VII fades.','',1,1,'Spells/Mage/Summoner/Conjuror/GeoticRune.lua',2215,'You cast Geotic Rune VII on %t.',0,0,0,1,1,1,0,0,0,290124,0,0,0,0,0,1,0,0,0,'Unset',1581388247,1384378115,0,1),
(290131,3671671862,0,1,'Geotic Rune VIII','A group augmentation that increases resistance to all types for the conjuror''s group and their pets. Pets in the conjuror''s group receive an additional bonus to their defense.',483,65535,314,2042842194,3587918036,495,1,2,'Your Geotic Rune VIII was successful on %t!','Your Geotic Rune VIII fades.','',1,1,'Spells/Mage/Summoner/Conjuror/GeoticRune.lua',2215,'You cast Geotic Rune VIII on %t.',0,0,0,0,1,1,0,0,0,290124,0,0,0,0,0,1,0,0,0,'Unset',1581388255,1384378157,0,1),
(290132,2709997878,0,0,'Heal Servant','Heals the conjuror''s pet.',487,27,317,2042842194,366253016,10,0,3,'Your Heal Servant was successful on %t!','Your Heal Servant fades.','',1,0,'Spells/Mage/Summoner/Conjuror/HealServant.lua',2216,'You cast Heal Servant on %t.',0,0,0,1,1,0,0,0,0,290132,0,0,0,0,0,0,0,0,0,'Unset',1581386062,1384378112,0,1),
(290133,3659623021,0,0,'Soothe Servant','Heals the conjuror''s pet.',487,27,317,2120065377,366253016,70,0,3,'Your Heal Servant II was successful on %t!','Your Heal Servant II fades.','',1,0,'Spells/Mage/Summoner/Conjuror/HealServant.lua',2216,'You cast Heal Servant II on %t.',0,0,0,1,1,0,0,0,0,290132,0,0,0,0,0,0,0,0,0,'Unset',1581386074,1384378114,0,1),
(290134,397491998,0,0,'Repair Servant','Heals the conjuror''s pet.',487,27,317,2042842194,366253016,140,0,3,'Your Heal Servant III was successful on %t!','Your Heal Servant III fades.','',1,0,'Spells/Mage/Summoner/Conjuror/RepairServant.lua',2216,'You cast Heal Servant III on %t.',0,0,0,1,1,0,0,0,0,290132,0,0,0,0,0,0,0,0,0,'Unset',1581386087,1384377829,0,1),
(290135,2347026881,0,0,'Renew Servant','Heals the conjuror''s pet.',487,27,317,2042842194,366253016,210,0,3,'Your Heal Servant IV was successful on %t!','Your Heal Servant IV fades.','',1,0,'Spells/Mage/Summoner/Conjuror/HealServant.lua',2216,'You cast Heal Servant IV on %t.',0,0,0,1,1,0,0,0,0,290132,0,0,0,0,0,1,0,0,0,'Unset',1581386116,1384377829,0,1),
(290136,4001438730,0,0,'Heal Servant IX','Heals the conjuror''s pet.',487,27,317,2042842194,366253016,500,0,3,'Your Heal Servant IX was successful on %t!','Your Heal Servant IX fades.','',1,0,'Spells/Mage/Summoner/Conjuror/HealServant.lua',2216,'You cast Heal Servant IX on %t.',0,0,0,0,1,0,0,0,0,290132,0,0,0,0,0,1,0,0,0,'Unset',1581386175,1384378115,0,1),
(290137,2862928322,0,0,'Rebuild Servant','Heals the conjuror''s pet.',487,27,317,2042842194,366253016,280,0,3,'Your Heal Servant V was successful on %t!','Your Heal Servant V fades.','',1,0,'Spells/Mage/Summoner/Conjuror/HealServant.lua',2216,'You cast Heal Servant V on %t.',0,0,0,1,1,0,0,0,0,290132,0,0,0,0,0,1,0,0,0,'Unset',1581386125,1384377829,0,1),
(290138,1020875042,0,0,'Restore Servant','Heals the conjuror''s pet.',487,27,317,2042842194,366253016,350,0,3,'Your Heal Servant VI was successful on %t!','Your Heal Servant VI fades.','',1,0,'Spells/Mage/Summoner/Conjuror/HealServant.lua',2216,'You cast Heal Servant VI on %t.',0,0,0,1,1,0,0,0,0,290132,0,0,0,0,0,1,0,0,0,'Unset',1581386136,1384378157,0,1),
(290139,1778758918,0,0,'Reconstruct Servant','Heals the conjuror''s pet.',487,27,317,2042842194,366253016,400,0,3,'Your Heal Servant VII was successful on %t!','Your Heal Servant VII fades.','',1,0,'Spells/Mage/Summoner/Conjuror/HealServant.lua',2216,'You cast Heal Servant VII on %t.',0,0,0,1,1,0,0,0,0,290132,0,0,0,0,0,1,0,0,0,'Unset',1581386148,1384378115,0,1),
(290140,916167412,0,0,'Heal Servant VIII','Heals the conjuror''s pet.',487,27,317,2042842194,366253016,450,0,3,'Your Heal Servant VIII was successful on %t!','Your Heal Servant VIII fades.','',1,0,'Spells/Mage/Summoner/Conjuror/HealServant.lua',2216,'You cast Heal Servant VIII on %t.',0,0,0,1,1,0,0,0,0,290132,0,0,0,0,0,1,0,0,0,'Unset',1581386167,1384378115,0,1),
(290141,865427360,0,0,'Ice Storm','Deals instant cold damage and decreases the movement speed of target enemy and surrounding encounter members.',169,29,312,2042842194,613995491,10,0,1,'Your Ice Storm was successful on %t!','Your Ice Storm fades.','',1,0,'Spells/Mage/Summoner/Conjuror/IceStorm.lua',2217,'You cast Ice Storm on %t.',0,0,0,1,0,1,4,0,0,290141,0,0,0,0,0,0,0,0,0,'DD',1581386207,1384378112,0,1),
(290142,1414853779,0,0,'Sleet','Deals instant cold damage and decreases the movement speed of target enemy and surrounding encounter members.',169,29,312,2042842194,613995491,40,0,1,'Your Ice Storm II was successful on %t!','Your Ice Storm II fades.','',1,0,'Spells/Mage/Summoner/Conjuror/IceStorm.lua',2217,'You cast Ice Storm II on %t.',0,0,0,1,0,1,4,0,0,290141,0,0,0,0,0,0,0,0,0,'DD',1581386242,1384378112,0,1),
(290143,147772220,0,0,'Shards of Ice','Deals instant cold damage and decreases the movement speed of target enemy and surrounding encounter members.',169,29,312,2042842194,613995491,110,0,1,'Your Ice Storm III was successful on %t!','Your Ice Storm III fades.','',1,0,'Spells/Mage/Summoner/Conjuror/ShardsofIce.lua',2217,'You cast Ice Storm III on %t.',0,0,0,1,0,1,4,0,0,290141,0,0,0,0,0,0,0,0,0,'DD',1581386287,1384378115,0,1),
(290144,4113426326,0,0,'Rockslide','Deals instant cold damage and decreases the movement speed of target enemy and surrounding encounter members.',169,29,312,2042842194,613995491,180,0,1,'Your Ice Storm IV was successful on %t!','Your Ice Storm IV fades.','',1,0,'Spells/Mage/Summoner/Conjuror/IceStorm.lua',2217,'You cast Ice Storm IV on %t.',0,0,0,1,0,1,4,0,0,290141,0,0,0,0,0,1,0,0,0,'DD',1581386380,1384378112,0,1),
(290145,518330035,0,0,'Ice Storm IX','Deals instant cold damage and decreases the movement speed of target enemy and surrounding encounter members.',169,29,312,2042842194,613995491,480,0,1,'Your Ice Storm IX was successful on %t!','Your Ice Storm IX fades.','',1,0,'Spells/Mage/Summoner/Conjuror/IceStorm.lua',2217,'You cast Ice Storm IX on %t.',0,0,0,0,0,1,4,0,0,290141,0,0,0,0,0,1,0,0,0,'DD',1581386596,1384378115,0,1),
(290146,3473884102,0,0,'Flash Flood','Deals instant cold damage and decreases the movement speed of target enemy and surrounding encounter members.',169,29,312,2042842194,613995491,250,0,1,'Your Ice Storm V was successful on %t!','Your Ice Storm V fades.','',1,0,'Spells/Mage/Summoner/Conjuror/IceStorm.lua',2217,'You cast Ice Storm V on %t.',0,0,0,1,0,1,4,0,0,290141,0,0,0,0,0,1,0,0,0,'DD',1581386445,1384377829,0,1),
(290147,1664979490,0,0,'Deluge','Deals instant cold damage and decreases the movement speed of target enemy and surrounding encounter members.',169,29,312,2042842194,613995491,320,0,1,'Your Ice Storm VI was successful on %t!','Your Ice Storm VI fades.','',1,0,'Spells/Mage/Summoner/Conjuror/IceStorm.lua',2217,'You cast Ice Storm VI on %t.',0,0,0,1,0,1,4,0,0,290141,0,0,0,0,0,1,0,0,0,'DD',1581386484,1384377828,0,1),
(290148,661465532,0,0,'Torrent','Deals instant cold damage and decreases the movement speed of target enemy and surrounding encounter members.',169,29,312,2042842194,613995491,380,0,1,'Your Ice Storm VII was successful on %t!','Your Ice Storm VII fades.','',1,0,'Spells/Mage/Summoner/Conjuror/IceStorm.lua',2217,'You cast Ice Storm VII on %t.',0,0,0,1,0,1,4,0,0,290141,0,0,0,0,0,1,0,0,0,'DD',1581386523,1384378114,0,1),
(290149,2235587292,0,0,'Ice Storm VIII','Deals instant cold damage and decreases the movement speed of target enemy and surrounding encounter members.',169,29,312,2042842194,613995491,430,0,1,'Your Ice Storm VIII was successful on %t!','Your Ice Storm VIII fades.','',1,0,'Spells/Mage/Summoner/Conjuror/IceStorm.lua',2217,'You cast Ice Storm VIII on %t.',0,0,0,1,0,1,4,0,0,290141,0,0,0,0,0,1,0,0,0,'DD',1581386560,1384377829,0,1),
(290150,1725143067,0,0,'Minion''s Intervention','Augmentation that prevents damage that would kill the summoned minion and instead heals them. This augmentation has a short duration.',219,27,317,2042842194,3587918036,240,0,3,'Your Master''s Intervention was successful on %t!','Your Master''s Intervention fades.','',1,0,'Spells/Mage/Summoner/Conjuror/MastersIntervention.lua',2219,'You cast Master''s Intervention on %t.',0,0,0,1,1,0,0,0,0,290150,0,0,0,0,0,0,0,0,0,'Unset',1581461014,1384378112,0,1),
(290151,2212878771,0,0,'Intervention','Augmentation that prevents damage that would kill the summoned minion and instead heals them. This augmentation has a short duration.',219,27,317,2042842194,3587918036,310,0,3,'Your Master''s Intervention II was successful on %t!','Your Master''s Intervention II fades.','',1,0,'Spells/Mage/Summoner/Conjuror/MastersIntervention.lua',2219,'You cast Master''s Intervention II on %t.',0,0,0,1,1,1,0,0,0,290150,0,0,0,0,0,0,0,0,0,'Unset',1581461036,1384377828,0,1),
(290152,2225891321,0,0,'Master''s Intervention','Augmentation that prevents damage that would kill the summoned minion and instead heals them. This augmentation has a short duration.',219,27,317,2042842194,3587918036,370,0,3,'Your Master''s Intervention III was successful on %t!','Your Master''s Intervention III fades.','',1,0,'Spells/Mage/Summoner/Conjuror/MastersIntervention.lua',2219,'You cast Master''s Intervention III on %t.',0,0,0,1,1,0,0,0,0,290150,0,0,0,0,0,0,0,0,0,'Unset',1581461046,1384377829,0,1),
(290153,4071406705,0,0,'Master''s Intervention IV','Augmentation that prevents damage that would kill the summoned minion and instead heals them. This augmentation has a short duration.',219,27,317,2042842194,3587918036,420,0,3,'Your Master''s Intervention IV was successful on %t!','Your Master''s Intervention IV fades.','',1,0,'Spells/Mage/Summoner/Conjuror/MastersIntervention.lua',2219,'You cast Master''s Intervention IV on %t.',0,0,0,1,1,0,0,0,0,290150,0,0,0,0,0,0,0,0,0,'Unset',1581461065,1384378115,0,1),
(290154,1776244389,0,0,'Master''s Intervention V','Augmentation that prevents damage that would kill the summoned minion and instead heals them. This augmentation has a short duration.',219,27,317,2042842194,3587918036,470,0,3,'Your Master''s Intervention V was successful on %t!','Your Master''s Intervention V fades.','',1,0,'Spells/Mage/Summoner/Conjuror/MastersIntervention.lua',2219,'You cast Master''s Intervention V on %t.',0,0,0,0,1,0,0,0,0,290150,0,0,0,0,0,0,0,0,0,'Unset',1581461081,1384378115,0,1),
(290155,2475485169,0,0,'Najena''s Essence Summoning','Summons an essence item to an ally that converts health into power. Upgrades to this spell increase the effectiveness of the summoned item. This spell cannot be cast on a player that already has a summoned essence.',486,27,314,2042842194,3587918036,365,0,8,'Your Najena''s Essence Summoning was successful on %t!','Your Najena''s Essence Summoning fades.','',1,0,'Spells/Mage/Summoner/Conjuror/NajenasEssenceSummoning.lua',2220,'You cast Najena''s Essence Summoning on %t.',0,1,0,1,1,1,0,0,0,290155,0,0,0,0,0,1,0,0,0,'Unset',1581463554,1384378115,0,1),
(290156,1335207167,0,0,'Petrify','Stuns the conjuror''s target and deals instant magic damage.',329,29,315,2120065377,882983852,80,0,1,'Your Petrify was successful on %t!','Your Petrify fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Petrify.lua',2221,'You cast Petrify on %t.',0,0,0,1,0,0,2,4,0,290156,0,0,0,0,0,0,0,0,0,'DD',1581389786,1384378115,0,1),
(290157,239346537,0,0,'Frozen by Time','Stuns the conjuror''s target and deals instant magic damage.',329,29,315,2042842194,882983852,150,0,1,'Your Petrify II was successful on %t!','Your Petrify II fades.','',1,0,'Spells/Mage/Summoner/Conjuror/FrozenbyTime.lua',2221,'You cast Petrify II on %t.',0,0,0,1,0,0,2,4,0,290156,0,0,0,0,0,0,0,0,0,'DD',1581389838,1384377828,0,1),
(290158,2625274379,0,0,'Heatwave','Stuns the conjuror''s target and deals instant magic damage.',329,29,315,2042842194,882983852,220,0,1,'Your Petrify III was successful on %t!','Your Petrify III fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Petrify.lua',2221,'You cast Petrify III on %t.',0,0,0,1,0,0,2,4,0,290156,0,0,0,0,0,1,0,0,0,'DD',1581389880,1384378112,0,1),
(290159,4214159339,0,0,'Calcify','Stuns the conjuror''s target and deals instant magic damage.',329,29,315,2042842194,882983852,290,0,1,'Your Petrify IV was successful on %t!','Your Petrify IV fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Petrify.lua',2221,'You cast Petrify IV on %t.',0,0,0,1,0,0,2,4,0,290156,0,0,0,0,0,1,0,0,0,'DD',1581389923,1384377829,0,1),
(290160,65812030,0,0,'Solidify','Stuns the conjuror''s target and deals instant magic damage.',329,29,315,2042842194,882983852,360,0,1,'Your Petrify V was successful on %t!','Your Petrify V fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Petrify.lua',2221,'You cast Petrify V on %t.',0,0,0,1,0,0,2,4,0,290156,0,0,0,0,0,1,0,0,0,'DD',1581389962,1384378115,0,1),
(290161,4000112185,0,0,'Petrify VI','Stuns the conjuror''s target and deals instant magic damage.',329,29,315,2042842194,882983852,410,0,1,'Your Petrify VI was successful on %t!','Your Petrify VI fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Petrify.lua',2221,'You cast Petrify VI on %t.',0,0,0,1,0,0,2,4,0,290156,0,0,0,0,0,1,0,0,0,'DD',1581390006,1384378115,0,1),
(290162,28226823,0,0,'Petrify VII','Stuns the conjuror''s target and deals instant magic damage.',329,29,315,2042842194,882983852,460,0,1,'Your Petrify VII was successful on %t!','Your Petrify VII fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Petrify.lua',2221,'You cast Petrify VII on %t.',0,0,0,1,0,0,2,4,0,290156,0,0,0,0,0,1,0,0,0,'DD',1581390048,1384378115,0,1),
(290163,1884188026,0,0,'Plane Shift','Shapeshifts the conjuror''s summoned minion into a powerful planar creature for a short duration. The type of planar creature is based on the current summoned minion type. When Plane Shift expires, the pet is returned to normal.',267,65535,317,2042842194,3587918036,325,0,3,'Your Plane Shift was successful on %t!','Your Plane Shift fades.','',1,0,'',0,'You cast Plane Shift on %t.',0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384671491,1384378115,0,1),
(290164,4045180348,0,0,'Abate','Immobilizes the conjuror''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the immobilize effect expires, the target''s movement speed is reduced for a short duration.',166,24,315,2042842194,882983852,25,0,1,'Your Quicksand was successful on %t!','Your Quicksand fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Quicksand.lua',2228,'You cast Quicksand on %t.',0,0,0,1,0,1,2,0,0,290164,0,0,0,0,0,0,0,0,0,'Unset',1581387084,1384378112,0,1),
(290165,2747424378,0,0,'Immobilize','Immobilizes the conjuror''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the immobilize effect expires, the target''s movement speed is reduced for a short duration.',166,24,315,2120065377,882983852,95,0,1,'Your Quicksand II was successful on %t!','Your Quicksand II fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Quicksand.lua',2228,'You cast Quicksand II on %t.',0,0,0,1,0,1,2,0,0,290164,0,0,0,0,0,0,0,0,0,'Unset',1581387114,1384378115,0,1),
(290166,3001629117,0,0,'Quicksand','Immobilizes the conjuror''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the immobilize effect expires, the target''s movement speed is reduced for a short duration.',166,24,315,2042842194,882983852,165,0,1,'Your Quicksand III was successful on %t!','Your Quicksand III fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Quicksand.lua',2228,'You cast Quicksand III on %t.',0,0,0,1,0,1,2,0,0,290164,0,0,0,0,0,1,0,0,0,'Unset',1581387223,1384378112,0,1),
(290167,3939236560,0,0,'Quagmire','Immobilizes the conjuror''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the immobilize effect expires, the target''s movement speed is reduced for a short duration.',166,24,315,2042842194,882983852,235,0,1,'Your Quicksand IV was successful on %t!','Your Quicksand IV fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Quicksand.lua',2228,'You cast Quicksand IV on %t.',0,0,0,1,0,1,2,0,0,290164,0,0,0,0,0,1,0,0,0,'Unset',1581387377,1384378112,0,1),
(290168,2883301314,0,0,'Sandpool','Immobilizes the conjuror''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the immobilize effect expires, the target''s movement speed is reduced for a short duration.',166,24,315,2042842194,882983852,305,0,1,'Your Quicksand V was successful on %t!','Your Quicksand V fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Quicksand.lua',2228,'You cast Quicksand V on %t.',0,0,0,1,0,1,2,0,0,290164,0,0,0,0,0,1,0,0,0,'Unset',1581387542,1384378115,0,1),
(290169,1719124088,0,0,'Sediment','Immobilizes the conjuror''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the immobilize effect expires, the target''s movement speed is reduced for a short duration.',166,24,315,2042842194,882983852,365,0,1,'Your Quicksand VI was successful on %t!','Your Quicksand VI fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Quicksand.lua',2228,'You cast Quicksand VI on %t.',0,0,0,1,0,1,2,0,0,290164,0,0,0,0,0,1,0,0,0,'Unset',1581387615,1384378115,0,1),
(290170,3048321008,0,0,'Quicksand VII','Immobilizes the conjuror''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the immobilize effect expires, the target''s movement speed is reduced for a short duration.',166,24,315,2042842194,882983852,415,0,1,'Your Quicksand VII was successful on %t!','Your Quicksand VII fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Quicksand.lua',2228,'You cast Quicksand VII on %t.',0,0,0,1,0,1,2,0,0,290164,0,0,0,0,0,1,0,0,0,'Unset',1581387672,1384378115,0,1),
(290171,3505753689,0,0,'Roaring Flames','Summons an inhabitant from the Plane of Fire that will attack an opponent specified by the conjuror. Once this opponent is slain or the duration of the summoning expires, the summoned minion will return to their native plane.',276,28,315,2042842194,613995491,175,0,1,'Your Roaring Flames was successful on %t!','Your Roaring Flames fades.','',1,0,'Spells/Mage/Summoner/Conjuror/RoaringFlames.lua',2229,'You cast Roaring Flames on %t.',0,0,0,1,0,0,4,0,1,290171,0,0,0,0,0,1,0,0,0,'Unset',1581460457,1384378112,0,1),
(290172,2832389511,0,0,'Pyrotechnic','Summons an inhabitant from the Plane of Fire that will attack an opponent specified by the conjuror. Once this opponent is slain or the duration of the summoning expires, the summoned minion will return to their native plane.',276,28,315,2042842194,613995491,245,0,1,'Your Roaring Flames II was successful on %t!','Your Roaring Flames II fades.','',1,0,'Spells/Mage/Summoner/Conjuror/RoaringFlames.lua',2229,'You cast Roaring Flames II on %t.',0,0,0,1,0,0,4,0,1,290171,0,0,0,0,0,1,0,0,0,'Unset',1581460492,1384378112,0,1),
(290173,2800437936,0,0,'Pyromancy','Summons an inhabitant from the Plane of Fire that will attack an opponent specified by the conjuror. Once this opponent is slain or the duration of the summoning expires, the summoned minion will return to their native plane.',276,28,315,2042842194,613995491,315,0,1,'Your Roaring Flames III was successful on %t!','Your Roaring Flames III fades.','',1,0,'Spells/Mage/Summoner/Conjuror/RoaringFlames.lua',2229,'You cast Roaring Flames III on %t.',0,0,0,1,0,0,4,0,1,290171,0,0,0,0,0,1,0,0,0,'Unset',1581460553,1384378115,0,1),
(290174,513029167,0,0,'Pyro','Summons an inhabitant from the Plane of Fire that will attack an opponent specified by the conjuror. Once this opponent is slain or the duration of the summoning expires, the summoned minion will return to their native plane.',276,28,315,2042842194,613995491,375,0,1,'Your Roaring Flames IV was successful on %t!','Your Roaring Flames IV fades.','',1,0,'Spells/Mage/Summoner/Conjuror/RoaringFlames.lua',2229,'You cast Roaring Flames IV on %t.',0,0,0,1,0,0,4,0,1,290171,0,0,0,0,0,1,0,0,0,'Unset',1581460577,1384378115,0,1),
(290175,1524033710,0,0,'Roaring Flames V','Summons an inhabitant from the Plane of Fire that will attack an opponent specified by the conjuror. Once this opponent is slain or the duration of the summoning expires, the summoned minion will return to their native plane.',276,28,315,2042842194,613995491,425,0,1,'Your Roaring Flames V was successful on %t!','Your Roaring Flames V fades.','',1,0,'Spells/Mage/Summoner/Conjuror/RoaringFlames.lua',2229,'You cast Roaring Flames V on %t.',0,0,0,1,0,0,4,0,1,290171,0,0,0,0,0,1,0,0,0,'Unset',1581460611,1384377829,0,1),
(290176,3715113965,0,0,'Roaring Flames VI','Summons an inhabitant from the Plane of Fire that will attack an opponent specified by the conjuror. Once this opponent is slain or the duration of the summoning expires, the summoned minion will return to their native plane.',276,28,315,2042842194,613995491,475,0,1,'Your Roaring Flames VI was successful on %t!','Your Roaring Flames VI fades.','',1,0,'Spells/Mage/Summoner/Conjuror/RoaringFlames.lua',2229,'You cast Roaring Flames VI on %t.',0,0,0,0,0,0,4,0,1,290171,0,0,0,0,0,1,0,0,0,'Unset',1581460693,1384377828,0,1),
(290177,3249815162,0,0,'Offering','Stuns the conjuror''s summoned minion to restore health and power in increments to the conjuror''s group.',206,65535,317,2042842194,3587918036,165,0,3,'Your Sacrifice was successful on %t!','Your Sacrifice fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Sacrifice.lua',2230,'You cast Sacrifice on %t.',0,0,1,1,1,0,0,4,0,290177,0,0,0,0,0,0,0,0,0,'Unset',1581460278,1384377833,0,1),
(290178,1797448570,0,0,'Sacrifice','Stuns the conjuror''s summoned minion to restore health and power in increments to the conjuror''s group.',206,65535,317,2011726342,3587918036,235,0,3,'Your Sacrifice II was successful on %t!','Your Sacrifice II fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Sacrifice.lua',2230,'You cast Sacrifice II on %t.',0,0,1,1,1,0,0,4,0,290177,0,0,0,0,0,0,0,0,0,'Unset',1581460290,1384378115,0,1),
(290179,497192967,0,0,'Expiation','Stuns the conjuror''s summoned minion to restore health and power in increments to the conjuror''s group.',206,65535,317,2042842194,3587918036,305,0,3,'Your Sacrifice III was successful on %t!','Your Sacrifice III fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Sacrifice.lua',2230,'You cast Sacrifice III on %t.',0,0,1,1,1,0,0,4,0,290177,0,0,0,0,0,0,0,0,0,'Unset',1581460314,1384378115,0,1),
(290180,522998480,0,0,'Expire','Stuns the conjuror''s summoned minion to restore health and power in increments to the conjuror''s group.',206,65535,317,2042842194,3587918036,370,0,3,'Your Sacrifice IV was successful on %t!','Your Sacrifice IV fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Sacrifice.lua',2230,'You cast Sacrifice IV on %t.',0,0,1,1,1,0,0,4,0,290177,0,0,0,0,0,0,0,0,0,'Unset',1581460341,1384378115,0,1),
(290181,4157262074,0,0,'Sacrifice V','Stuns the conjuror''s summoned minion to restore health and power in increments to the conjuror''s group.',206,65535,317,2042842194,3587918036,420,0,3,'Your Sacrifice V was successful on %t!','Your Sacrifice V fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Sacrifice.lua',2230,'You cast Sacrifice V on %t.',0,0,1,1,1,0,0,4,0,290177,0,0,0,0,0,0,0,0,0,'Unset',1581460359,1384378115,0,1),
(290182,1819247765,0,0,'Sacrifice VI','Stuns the conjuror''s summoned minion to restore health and power in increments to the conjuror''s group.',206,65535,317,2042842194,3587918036,470,0,3,'Your Sacrifice VI was successful on %t!','Your Sacrifice VI fades.','',1,0,'Spells/Mage/Summoner/Conjuror/Sacrifice.lua',2230,'You cast Sacrifice VI on %t.',0,0,0,0,1,0,0,4,0,290177,0,0,0,0,0,0,0,0,0,'Unset',1581460382,1384378115,0,1),
(290183,3814592930,0,0,'Shard of Essence','Summons an essence item to an ally that converts health into power. Upgrades to this spell increase the effectiveness of the summoned item. This spell cannot be cast on a player that already has a summoned essence.',486,27,316,2042842194,3587918036,90,0,1,'Your Shard of Essence was successful on %t!','Your Shard of Essence fades.','',1,0,'Spells/Mage/Summoner/Conjuror/ShardofEssence.lua',2231,'You cast Shard of Essence on %t.',0,1,0,1,1,0,0,0,0,290183,0,0,0,0,0,0,0,0,0,'Unset',1581390108,1384377833,0,1),
(290184,333677032,0,0,'Shattered Ground','Deals magic damage over time and dazes target encounter, preventing them from auto attacking for the duration of the spell.',508,29,312,2042842194,613995491,125,0,1,'Your Shattered Earth was successful on %t!','Your Shattered Earth fades.','',1,0,'Spells/Mage/Summoner/Conjuror/ShatteredGround.lua',2232,'You cast Shattered Earth on %t.',0,0,0,1,0,1,2,3,0,290184,0,0,0,0,0,0,0,0,0,'DoT',1581396814,1384378112,0,1),
(290185,4019055380,0,0,'Shattered Earth','Deals magic damage over time and dazes target encounter, preventing them from auto attacking for the duration of the spell.',508,29,312,2042842194,613995491,195,0,1,'Your Shattered Earth II was successful on %t!','Your Shattered Earth II fades.','',1,0,'Spells/Mage/Summoner/Conjuror/ShatteredEarth.lua',2232,'You cast Shattered Earth II on %t.',0,0,0,1,0,1,2,3,0,290184,0,0,0,0,0,1,0,0,0,'DoT',1581459758,1384378112,0,1),
(290186,1264795659,0,0,'Shattered Land','Deals magic damage over time and dazes target encounter, preventing them from auto attacking for the duration of the spell.',508,29,312,2042842194,613995491,265,0,1,'Your Shattered Earth III was successful on %t!','Your Shattered Earth III fades.','',1,0,'Spells/Mage/Summoner/Conjuror/ShatteredEarth.lua',2232,'You cast Shattered Earth III on %t.',0,0,0,1,0,1,2,3,0,290184,0,0,0,0,0,1,0,0,0,'DoT',1581459831,1384377829,0,1),
(290187,649334716,0,0,'Shattered Terrain','Deals magic damage over time and dazes target encounter, preventing them from auto attacking for the duration of the spell.',508,29,312,2042842194,613995491,335,0,1,'Your Shattered Earth IV was successful on %t!','Your Shattered Earth IV fades.','',1,0,'Spells/Mage/Summoner/Conjuror/ShatteredEarth.lua',2232,'You cast Shattered Earth IV on %t.',0,0,0,1,0,1,2,3,0,290184,0,0,0,0,0,1,0,0,0,'DoT',1581459915,1384378115,0,1),
(290188,880201127,0,0,'Shattered Tectonics','Deals magic damage over time and dazes target encounter, preventing them from auto attacking for the duration of the spell.',508,29,312,2042842194,613995491,390,0,1,'Your Shattered Earth V was successful on %t!','Your Shattered Earth V fades.','',1,0,'Spells/Mage/Summoner/Conjuror/ShatteredEarth.lua',2232,'You cast Shattered Earth V on %t.',0,0,0,1,0,1,2,3,0,290184,0,0,0,0,0,1,0,0,0,'DoT',1581459981,1384378114,0,1),
(290189,3225395815,0,0,'Shattered Earth VI','Deals magic damage over time and dazes target encounter, preventing them from auto attacking for the duration of the spell.',508,29,312,2042842194,613995491,440,0,1,'Your Shattered Earth VI was successful on %t!','Your Shattered Earth VI fades.','',1,0,'Spells/Mage/Summoner/Conjuror/ShatteredEarth.lua',2232,'You cast Shattered Earth VI on %t.',0,0,0,1,0,1,2,3,0,290184,0,0,0,0,0,1,0,0,0,'DoT',1581460030,1384378115,0,1),
(290190,795677830,0,0,'Shattered Earth VII','Deals magic damage over time and dazes target encounter, preventing them from auto attacking for the duration of the spell.',508,29,312,2042842194,613995491,490,0,1,'Your Shattered Earth VII was successful on %t!','Your Shattered Earth VII fades.','',1,0,'Spells/Mage/Summoner/Conjuror/ShatteredEarth.lua',2232,'You cast Shattered Earth VII on %t.',0,0,0,0,0,1,2,3,0,290184,0,0,0,0,0,1,0,0,0,'DoT',1581460103,1384378115,0,1),
(290191,3918473621,0,0,'Stoneskin','Grants the Conjuror a temporary stoneskin augmentation that absorbs all damage for up to 3 sources of damage. Enemies surrounding the Conjuror have their hate reduced towards the Conjurer.\r\n\r\n ',329,27,317,2042842194,3587918036,200,0,0,'Your Stoneskin was successful on %t!','Your Stoneskin fades.','',1,1,'Spells/Mage/Summoner/Conjuror/Stoneskin.lua',2234,'You cast Stoneskin on %t.',0,0,0,0,1,0,0,0,0,290191,0,0,0,0,0,1,0,0,0,'Unset',1581460782,1384378112,0,1),
(290192,803205111,0,0,'Vehement Stone','Augmentation that grants stoneskin that protects against all physical damage to the conjuror''s summoned minion for up to 3 attacks. As long as this spell has not expired, it also increases the minion''s defense skill.',484,24,317,2042842194,3587918036,200,0,3,'Your Vehement Skin was successful on %t!','Your Vehement Skin fades.','',1,0,'Spells/Mage/Summoner/Conjuror/VehementSkin.lua',2236,'You cast Vehement Skin on %t.',0,0,0,1,1,0,0,0,0,290192,0,0,0,0,0,0,0,0,0,'Unset',1581460860,1384378112,0,1),
(290193,1611669627,0,0,'Vehement Rock','Augmentation that grants stoneskin that protects against all physical damage to the conjuror''s summoned minion for up to 3 attacks. As long as this spell has not expired, it also increases the minion''s defense skill.',484,24,317,2042842194,3587918036,270,0,3,'Your Vehement Skin II was successful on %t!','Your Vehement Skin II fades.','',1,0,'Spells/Mage/Summoner/Conjuror/VehementSkin.lua',2236,'You cast Vehement Skin II on %t.',0,0,0,1,1,0,0,0,0,290192,0,0,0,0,0,0,0,0,0,'Unset',1581460879,1384377829,0,1),
(290194,2627531190,0,0,'Vehement Gem','Augmentation that grants stoneskin that protects against all physical damage to the conjuror''s summoned minion for up to 3 attacks. As long as this spell has not expired, it also increases the minion''s defense skill.',484,24,317,2042842194,3587918036,340,0,3,'Your Vehement Skin III was successful on %t!','Your Vehement Skin III fades.','',1,0,'Spells/Mage/Summoner/Conjuror/VehementSkin.lua',2236,'You cast Vehement Skin III on %t.',0,0,0,1,1,0,0,0,0,290192,0,0,0,0,0,0,0,0,0,'Unset',1581460895,1384378115,0,1),
(290195,2541059904,0,0,'Vehement Skin','Augmentation that grants stoneskin that protects against all physical damage to the conjuror''s summoned minion for up to 3 attacks. As long as this spell has not expired, it also increases the minion''s defense skill.',484,24,317,2042842194,3587918036,390,0,3,'Your Vehement Skin IV was successful on %t!','Your Vehement Skin IV fades.','',1,0,'Spells/Mage/Summoner/Conjuror/VehementSkin.lua',2236,'You cast Vehement Skin IV on %t.',0,0,0,1,1,0,0,0,0,290192,0,0,0,0,0,0,0,0,0,'Unset',1581460906,1384378114,0,1),
(290196,429856890,0,0,'Vehement Skin V','Augmentation that grants stoneskin that protects against all physical damage to the conjuror''s summoned minion for up to 3 attacks. As long as this spell has not expired, it also increases the minion''s defense skill.',484,24,317,2042842194,3587918036,440,0,3,'Your Vehement Skin V was successful on %t!','Your Vehement Skin V fades.','',1,0,'Spells/Mage/Summoner/Conjuror/VehementSkin.lua',2236,'You cast Vehement Skin V on %t.',0,0,0,1,1,0,0,0,0,290192,0,0,0,0,0,0,0,0,0,'Unset',1581460920,1384378115,0,1),
(290197,3086453227,0,0,'Vehement Skin VI','Augmentation that grants stoneskin that protects against all physical damage to the conjuror''s summoned minion for up to 3 attacks. As long as this spell has not expired, it also increases the minion''s defense skill.',484,24,317,2042842194,0,490,0,3,'Your Vehement Skin VI was successful on %t!','Your Vehement Skin VI fades.','',1,0,'Spells/Mage/Summoner/Conjuror/VehementSkin.lua',2236,'You cast Vehement Skin VI on %t.',0,0,0,0,1,0,0,0,0,290192,0,0,0,0,0,0,0,0,0,'Unset',1581460936,1384377829,0,1),
(290198,1734853043,0,0,'Frigid Winds','Deals Cold damage over-time, interrupts and slows the target.',511,65535,315,2042842194,613995491,275,0,1,'Your Winds of Velious was successful on %t!','Your Winds of Velious fades.','',1,0,'Spells/Mage/Summoner/Conjuror/WindsofVelious.lua',2237,'You cast Winds of Velious on %t.',0,0,0,1,0,1,4,0,0,290198,0,0,0,0,0,1,0,0,0,'DoT',1581461392,1384377829,0,1),
(290199,2377140756,0,0,'Winds of Velious','Deals Cold damage over-time, interrupts and slows the target.',511,65535,315,2042842194,613995491,370,0,1,'Your Winds of Velious II was successful on %t!','Your Winds of Velious II fades.','',1,0,'Spells/Mage/Summoner/Conjuror/WindsofVelious.lua',2237,'You cast Winds of Velious II on %t.',0,0,0,1,0,1,4,0,0,290198,0,0,0,0,0,1,0,0,0,'DoT',1581462637,1384378115,0,1),
(290200,3459243226,0,0,'Winds of Velious III','Deals Cold damage over-time, interrupts and slows the target.',511,65535,315,2042842194,613995491,420,0,1,'Your Winds of Velious III was successful on %t!','Your Winds of Velious III fades.','',1,0,'Spells/Mage/Summoner/Conjuror/WindsofVelious.lua',2237,'You cast Winds of Velious III on %t.',0,0,0,1,0,1,4,0,0,290198,0,0,0,0,0,1,0,0,0,'DoT',1581463288,1384378115,0,1),
(290201,432888962,0,0,'Winds of Velious IV','Deals Cold damage over-time, interrupts and slows the target.',511,65535,315,2042842194,613995491,470,0,1,'Your Winds of Velious IV was successful on %t!','Your Winds of Velious IV fades.','',1,0,'Spells/Mage/Summoner/Conjuror/WindsofVelious.lua',2237,'You cast Winds of Velious IV on %t.',0,0,0,1,0,1,4,0,0,290198,0,0,0,0,0,1,0,0,0,'DoT',1581463350,1384377828,0,1),
(300000,341108776,0,0,'Ghastly Stench','Summons a ghastly zombie to attack the necromancer''s victim. Any nearby enemies will suffer disease damage over time until the ghastly zombie is slain.',279,28,315,2894715199,613995491,175,0,1,'Your Awaken Grave was successful on %t!','Your Awaken Grave fades.','',1,0,'Spells/Mage/Summoner/Necromancer/AwakenGrave.lua',2238,'You cast Awaken Grave on %t.',0,0,0,1,0,1,3,0,1,300000,0,0,0,0,0,0,0,0,0,'Unset',1579486658,1384378115,0,1),
(300001,4190457885,0,0,'Stench of the Grave','Summons a ghastly zombie to attack the necromancer''s victim. Any nearby enemies will suffer disease damage over time until the ghastly zombie is slain.',279,28,315,2894715199,613995491,245,0,1,'Your Awaken Grave II was successful on %t!','Your Awaken Grave II fades.','',1,0,'Spells/Mage/Summoner/Necromancer/AwakenGrave.lua',2238,'You cast Awaken Grave II on %t.',0,0,0,1,0,1,3,0,1,300000,0,0,0,0,0,0,0,0,0,'Unset',1579486713,1384377833,0,1),
(300002,304194119,0,0,'Awaken Grave','Summons a ghastly zombie to attack the necromancer''s victim. Any nearby enemies will suffer disease damage over time until the ghastly zombie is slain.',279,28,315,2894715199,613995491,315,0,1,'Your Awaken Grave III was successful on %t!','Your Awaken Grave III fades.','',1,0,'Spells/Mage/Summoner/Necromancer/AwakenGrave.lua',2238,'You cast Awaken Grave III on %t.',0,0,0,1,0,1,3,0,1,300000,0,0,0,0,0,0,0,0,0,'Unset',1579486759,1384377829,0,1),
(300003,2137548111,0,0,'Grave Disturbance','Summons a ghastly zombie to attack the necromancer''s victim. Any nearby enemies will suffer disease damage over time until the ghastly zombie is slain.',279,28,315,2894715199,613995491,375,0,1,'Your Awaken Grave IV was successful on %t!','Your Awaken Grave IV fades.','',1,0,'Spells/Mage/Summoner/Necromancer/AwakenGrave.lua',2238,'You cast Awaken Grave IV on %t.',0,0,0,1,0,1,3,0,1,300000,0,0,0,0,0,0,0,0,0,'Unset',1579486810,1384378115,0,1),
(300004,126939524,0,0,'Awaken Grave V','Summons a ghastly zombie to attack the necromancer''s victim. Any nearby enemies will suffer disease damage over time until the ghastly zombie is slain.',279,28,315,2894715199,613995491,425,0,1,'Your Awaken Grave V was successful on %t!','Your Awaken Grave V fades.','',1,0,'Spells/Mage/Summoner/Necromancer/AwakenGrave.lua',2238,'You cast Awaken Grave V on %t.',0,0,0,1,0,1,3,0,1,300000,0,0,0,0,0,0,0,0,0,'Unset',1579486877,1384378115,0,1),
(300005,3194694252,0,0,'Awaken Grave VI','Summons a ghastly zombie to attack the necromancer''s victim. Any nearby enemies will suffer disease damage over time until the ghastly zombie is slain.',279,28,315,2894715199,613995491,475,0,1,'Your Awaken Grave VI was successful on %t!','Your Awaken Grave VI fades.','',1,0,'Spells/Mage/Summoner/Necromancer/AwakenGrave.lua',2238,'You cast Awaken Grave VI on %t.',0,0,0,0,0,0,3,0,1,300000,0,0,0,0,0,0,0,0,0,'Unset',1579487070,1384377829,0,1),
(300006,1784603609,0,0,'Swarm of Rats','Summons a swarm of plague rats on the necromancer''s victim.',258,29,315,2894715199,882983852,115,0,1,'Your Blighted Horde was successful on %t!','Your Blighted Horde fades.','',1,0,'Spells/Mage/Summoner/Necromancer/SwarmofRats.lua',2239,'You cast Blighted Horde on %t.',0,0,0,1,0,1,0,0,0,300006,0,0,0,0,0,0,0,0,0,'Unset',1579405953,1384377828,0,1),
(300007,1252813195,0,0,'Plague of Rats','Summons a swarm of plague rats on the necromancer''s victim.',258,29,315,2894715199,882983852,185,0,1,'Your Blighted Horde II was successful on %t!','Your Blighted Horde II fades.','',1,0,'Spells/Mage/Summoner/Necromancer/BlightedHorde.lua',2339,'You cast Blighted Horde II on %t.',0,0,0,1,0,1,0,0,0,300006,0,0,0,0,0,0,0,0,0,'Unset',1579406232,1384378115,0,1),
(300008,3834792390,0,0,'Blighted Pack','Summons a pack of rotting creatures on the necromancer''s victim.',258,29,315,2894715199,882983852,255,0,1,'Your Blighted Horde III was successful on %t!','Your Blighted Horde III fades.','',1,0,'Spells/Mage/Summoner/Necromancer/BlightedHorde.lua',2339,'You cast Blighted Horde III on %t.',0,0,0,1,0,1,0,0,0,300006,0,0,0,0,0,0,0,0,0,'Unset',1579406361,1384377829,0,1),
(300009,2687388706,0,0,'Blighted Horde','Summons a pack of rotting creatures on the necromancer''s victim.',258,29,315,2894715199,882983852,325,0,1,'Your Blighted Horde IV was successful on %t!','Your Blighted Horde IV fades.','',1,0,'Spells/Mage/Summoner/Necromancer/BlightedHorde.lua',2339,'You cast Blighted Horde IV on %t.',0,0,0,1,0,1,0,0,0,300006,0,0,0,0,0,0,0,0,0,'Unset',1579406968,1384378115,0,1),
(300010,1269781404,0,0,'Pack of Imps','Summons a pack of rotting creatures on the necromancer''s victim.',258,29,315,2894715199,882983852,385,0,1,'Your Blighted Horde V was successful on %t!','Your Blighted Horde V fades.','',1,0,'Spells/Mage/Summoner/Necromancer/BlightedHorde.lua',2339,'You cast Blighted Horde V on %t.',0,0,0,1,0,1,0,0,0,300006,0,0,0,0,0,0,0,0,0,'Unset',1579407096,1384378115,0,1),
(300011,1722454487,0,0,'Blighted Horde VI','Summons a pack of rotting creatures on the necromancer''s victim.',258,29,315,2894715199,882983852,435,0,1,'Your Blighted Horde VI was successful on %t!','Your Blighted Horde VI fades.','',1,0,'Spells/Mage/Summoner/Necromancer/BlightedHorde.lua',2339,'You cast Blighted Horde VI on %t.',0,0,0,1,0,1,0,0,0,300006,0,0,0,0,0,0,0,0,0,'Unset',1579407225,1384378115,0,1),
(300012,3775683220,0,0,'Blighted Horde VII','Summons a pack of rotting creatures on the necromancer''s victim.',258,29,315,2894715199,882983852,485,0,1,'Your Blighted Horde VII was successful on %t!','Your Blighted Horde VII fades.','',1,0,'Spells/Mage/Summoner/Necromancer/BlightedHorde.lua',2339,'You cast Blighted Horde VII on %t.',0,0,0,0,0,0,0,0,0,300006,0,0,0,0,0,0,0,0,0,'Unset',1579407349,1384378115,0,1),
(300013,1660116342,0,0,'Siphon Cloud','Drains health from all nearby enemies surrounding the necromancer, returning some of that health to the necromancer.',207,28,313,2894715199,613995491,80,0,1,'Your Bloodcloud was successful on %t!','Your Bloodcloud fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Bloodcloud.lua',2240,'You cast Bloodcloud on %t.',0,0,0,1,0,1,0,0,0,300013,0,0,0,0,0,0,0,0,0,'DD',1579397894,1384378115,0,1),
(300014,3235488287,0,0,'Breath of the Unearthed','Drains health from all nearby enemies surrounding the necromancer, returning some of that health to the necromancer.',207,28,313,2894715199,613995491,150,0,1,'Your Bloodcloud II was successful on %t!','Your Bloodcloud II fades.','',1,0,'Spells/Mage/Summoner/Necromancer/BreathoftheUnearthed.lua',2240,'You cast Bloodcloud II on %t.',0,0,0,1,0,0,0,0,0,300013,0,0,0,0,0,0,0,0,0,'DD',1579398002,1384378115,0,1),
(300015,3489538957,0,0,'Accursed Cloud','Drains health from all nearby enemies surrounding the necromancer, returning some of that health to the necromancer.',207,28,313,2894715199,613995491,220,0,1,'Your Bloodcloud III was successful on %t!','Your Bloodcloud III fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Bloodcloud.lua',2240,'You cast Bloodcloud III on %t.',0,0,0,1,0,0,0,0,0,300013,0,0,0,0,0,1,0,0,0,'DD',1579398131,1384377829,0,1),
(300016,350280160,0,0,'Infernal Cloud','Drains health from all nearby enemies surrounding the necromancer, returning some of that health to the necromancer.',207,28,313,2894715199,613995491,290,0,1,'Your Bloodcloud IV was successful on %t!','Your Bloodcloud IV fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Bloodcloud.lua',2240,'You cast Bloodcloud IV on %t.',0,0,0,1,0,0,0,0,0,300013,0,0,0,0,0,1,0,0,0,'DD',1579398233,1384378115,0,1),
(300017,3072317187,0,0,'Bloodcloud','Drains health from all nearby enemies surrounding the necromancer, returning some of that health to the necromancer.',207,28,313,2894715199,613995491,355,0,1,'Your Bloodcloud V was successful on %t!','Your Bloodcloud V fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Bloodcloud.lua',2240,'You cast Bloodcloud V on %t.',0,0,0,1,0,0,0,0,0,300013,0,0,0,0,0,1,0,0,0,'DD',1579398430,1384378115,0,1),
(300018,2423194166,0,0,'Bloodcloud VI','Drains health from all nearby enemies surrounding the necromancer, returning some of that health to the necromancer.',207,28,313,2894715199,613995491,405,0,1,'Your Bloodcloud VI was successful on %t!','Your Bloodcloud VI fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Bloodcloud.lua',2240,'You cast Bloodcloud VI on %t.',0,0,0,1,0,0,0,0,0,300013,0,0,0,0,0,1,0,0,0,'DD',1579398544,1384378115,0,1),
(300019,1308220339,0,0,'Bloodcloud VII','Drains health from all nearby enemies surrounding the necromancer, returning some of that health to the necromancer.',207,28,313,2894715199,613995491,455,0,1,'Your Bloodcloud VII was successful on %t!','Your Bloodcloud VII fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Bloodcloud.lua',2240,'You cast Bloodcloud VII on %t.',0,0,0,1,0,0,0,0,0,300013,0,0,0,0,0,1,0,0,0,'DD',1579398632,1384377829,0,1),
(300020,3713117463,0,0,'Coil','Deals unresistable disease damage over an extended time to target enemy.',197,28,315,2894715199,613995491,15,0,1,'Your Bloodcoil was successful on %t!','Your Bloodcoil fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Bloodcoil.lua',2241,'You cast Bloodcoil on %t.',0,0,0,1,0,0,3,0,0,300020,0,0,0,0,0,0,0,0,0,'DoT',1579388253,1384378114,0,1),
(300021,523872753,0,0,'Dark Coil','Deals unresistable disease damage over an extended time to target enemy.',197,28,315,2894715199,613995491,50,0,1,'Your Bloodcoil II was successful on %t!','Your Bloodcoil II fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Bloodcoil.lua',2241,'You cast Bloodcoil II on %t.',0,0,0,1,0,1,3,0,0,300020,0,0,0,0,0,0,0,0,0,'DoT',1579388294,1384378115,0,1),
(300022,3844406483,0,0,'Withering Coil','Deals unresistable disease damage over an extended time to target enemy.',197,28,315,2894715199,613995491,85,0,1,'Your Bloodcoil III was successful on %t!','Your Bloodcoil III fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Bloodcoil.lua',2241,'You cast Bloodcoil III on %t.',0,0,0,1,0,0,3,0,0,300020,0,0,0,0,0,0,0,0,0,'DoT',1579388339,1384378115,0,1),
(300023,3545579963,0,0,'Withering Affliction','Deals unresistable disease damage over an extended time to target enemy.',197,28,315,2894715199,613995491,155,0,1,'Your Bloodcoil IV was successful on %t!','Your Bloodcoil IV fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Bloodcoil.lua',2241,'You cast Bloodcoil IV on %t.',0,0,0,1,0,1,3,0,0,300020,0,0,0,0,0,1,0,0,0,'DoT',1579388415,1384377829,0,1),
(300024,3794746394,0,0,'Bloodcoil IX','Deals unresistable disease damage over an extended time to target enemy.',197,28,315,2894715199,613995491,460,0,1,'Your Bloodcoil IX was successful on %t!','Your Bloodcoil IX fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Bloodcoil.lua',2241,'You cast Bloodcoil IX on %t.',0,0,0,1,0,1,3,0,0,300020,0,0,0,0,0,1,0,0,0,'DoT',1579388657,1384378115,0,1),
(300025,1901302735,0,0,'Death''s Coil','Deals unresistable disease damage over an extended time to target enemy.',197,28,315,2894715199,613995491,225,0,1,'Your Bloodcoil V was successful on %t!','Your Bloodcoil V fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Bloodcoil.lua',2241,'You cast Bloodcoil V on %t.',0,0,0,1,0,1,3,0,0,300020,0,0,0,0,0,1,0,0,0,'DoT',1579388433,1384378115,0,1),
(300026,3601346369,0,0,'Deathly Coil','Deals unresistable disease damage over an extended time to target enemy.',197,28,315,2894715199,613995491,295,0,1,'Your Bloodcoil VI was successful on %t!','Your Bloodcoil VI fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Bloodcoil.lua',2241,'You cast Bloodcoil VI on %t.',0,0,0,1,0,1,3,0,0,300020,0,0,0,0,0,1,0,0,0,'DoT',1579388493,1384377829,0,1),
(300027,186576644,0,0,'Bloodcoil','Deals unresistable disease damage over an extended time to target enemy.',197,28,315,2894715199,613995491,360,0,1,'Your Bloodcoil VII was successful on %t!','Your Bloodcoil VII fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Bloodcoil.lua',2241,'You cast Bloodcoil VII on %t.',0,0,0,1,0,1,3,0,0,300020,0,0,0,0,0,1,0,0,0,'DoT',1579388537,1384378115,0,1),
(300028,2039115893,0,0,'Bloodcoil VIII','Deals unresistable disease damage over an extended time to target enemy.',197,28,315,2894715199,613995491,410,0,1,'Your Bloodcoil VIII was successful on %t!','Your Bloodcoil VIII fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Bloodcoil.lua',2241,'You cast Bloodcoil VIII on %t.',0,0,0,1,0,1,3,0,0,300020,0,0,0,0,0,1,0,0,0,'DoT',1579388611,1384378115,0,1),
(300029,69295792,0,0,'Bleeding Ritual','Slowly drains the life of the necromancer''s minion and converts it to power over time for the necromancer.',170,24,317,2894715199,366253016,65,0,3,'Your Bloody Ritual was successful on %t!','Your Bloody Ritual fades.','',1,0,'Spells/Mage/Summoner/Necromancer/BloodyRitual.lua',2242,'You cast Bloody Ritual on %t.',0,0,0,1,1,1,0,0,0,300029,0,0,0,0,0,0,0,0,0,'Unset',1579392787,1384378115,0,1),
(300030,2979294208,0,0,'Bloody Ritual','Slowly drains the life of the necromancer''s minion and converts it to power over time for the necromancer.',170,24,317,2894715199,366253016,135,0,3,'Your Bloody Ritual II was successful on %t!','Your Bloody Ritual II fades.','',1,0,'Spells/Mage/Summoner/Necromancer/BloodyRitualClassic.lua',2242,'You cast Bloody Ritual II on %t.',0,0,0,1,1,1,0,0,0,300029,0,0,0,0,0,0,0,0,0,'Unset',1579392823,1384378115,0,1),
(300031,20702166,0,0,'Devour Health','Slowly drains the life of the necromancer''s minion and converts it to power over time for the necromancer.',170,24,317,2894715199,366253016,205,0,3,'Your Bloody Ritual III was successful on %t!','Your Bloody Ritual III fades.','',1,0,'Spells/Mage/Summoner/Necromancer/BloodyRitual.lua',2242,'You cast Bloody Ritual III on %t.',0,0,0,1,1,1,0,0,0,300029,0,0,0,0,0,1,0,0,0,'Unset',1579392872,1384378115,0,1),
(300032,336203327,0,0,'Consume Vitae','Slowly drains the life of the necromancer''s minion and converts it to power over time for the necromancer.',170,24,317,2741805322,366253016,275,0,3,'Your Bloody Ritual IV was successful on %t!','Your Bloody Ritual IV fades.','',1,0,'Spells/Mage/Summoner/Necromancer/BloodyRitual.lua',2242,'You cast Bloody Ritual IV on %t.',0,0,0,1,1,1,0,0,0,300029,0,0,0,0,0,1,0,0,0,'Unset',1579394742,1384377829,0,1),
(300033,4256839110,0,0,'Devour Essence','Slowly drains the life of the necromancer''s minion and converts it to power over time for the necromancer.',170,24,317,2894715199,366253016,345,0,3,'Your Bloody Ritual V was successful on %t!','Your Bloody Ritual V fades.','',1,0,'Spells/Mage/Summoner/Necromancer/BloodyRitual.lua',2242,'You cast Bloody Ritual V on %t.',0,0,0,1,1,1,0,0,0,300029,0,0,0,0,0,1,0,0,0,'Unset',1579394788,1384378115,0,1),
(300034,2504629219,0,0,'Devour Vigor','Slowly drains the life of the necromancer''s minion and converts it to power over time for the necromancer.',170,24,317,2894715199,366253016,395,0,3,'Your Bloody Ritual VI was successful on %t!','Your Bloody Ritual VI fades.','',1,0,'Spells/Mage/Summoner/Necromancer/BloodyRitual.lua',2242,'You cast Bloody Ritual VI on %t.',0,0,0,1,1,1,0,0,0,300029,0,0,0,0,0,1,0,0,0,'Unset',1579394852,1384378115,0,1),
(300035,1413298213,0,0,'Bloody Ritual VII','Slowly drains the life of the necromancer''s minion and converts it to power over time for the necromancer.',170,24,317,2894715199,366253016,445,0,3,'Your Bloody Ritual VII was successful on %t!','Your Bloody Ritual VII fades.','',1,0,'Spells/Mage/Summoner/Necromancer/BloodyRitual.lua',2242,'You cast Bloody Ritual VII on %t.',0,0,0,1,1,1,0,0,0,300029,0,0,0,0,0,1,0,0,0,'Unset',1579394884,1384378115,0,1),
(300036,4199918004,0,0,'Bloody Ritual VIII','Slowly drains the life of the necromancer''s minion and converts it to power over time for the necromancer.',170,24,317,2894715199,366253016,495,0,3,'Your Bloody Ritual VIII was successful on %t!','Your Bloody Ritual VIII fades.','',1,0,'Spells/Mage/Summoner/Necromancer/BloodyRitual.lua',2242,'You cast Bloody Ritual VIII on %t.',0,0,0,0,1,0,0,0,0,300029,0,0,0,0,0,1,0,0,0,'Unset',1579394911,1384378115,0,1),
(300037,2758225995,0,0,'Chain','Roots the necromancer''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the root effect expires, the target will run away in fear with a movement penalty for a short duration.',166,24,315,2894715199,882983852,25,0,1,'Your Chains of Torment was successful on %t!','Your Chains of Torment fades.','',1,0,'Spells/Mage/Summoner/Necromancer/ChainsofTorment.lua',2243,'You cast Chains of Torment on %t.',0,0,0,1,0,1,3,0,0,300037,0,0,0,0,0,0,0,0,0,'Unset',1579388719,1384377829,0,1),
(300038,1581163393,0,0,'Enchain','Roots the necromancer''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the root effect expires, the target will run away in fear with a movement penalty for a short duration.',166,24,315,2894715199,882983852,95,0,1,'Your Chains of Torment II was successful on %t!','Your Chains of Torment II fades.','',1,0,'Spells/Mage/Summoner/Necromancer/ChainsofTorment.lua',2243,'You cast Chains of Torment II on %t.',0,0,0,1,0,1,3,0,0,300037,0,0,0,0,0,0,0,0,0,'Unset',1579388772,1384378115,0,1),
(300039,614818659,0,0,'Chains of Torment','Roots the necromancer''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the root effect expires, the target will run away in fear with a movement penalty for a short duration.',166,24,315,2894715199,882983852,165,0,1,'Your Chains of Torment III was successful on %t!','Your Chains of Torment III fades.','',1,0,'Spells/Mage/Summoner/Necromancer/ChainsofTorment.lua',2243,'You cast Chains of Torment III on %t.',0,0,0,1,0,1,3,0,0,300037,0,0,0,0,0,1,0,0,0,'Unset',1579388917,1384378115,0,1),
(300040,2031638763,0,0,'Eternal Bindings','Roots the necromancer''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the root effect expires, the target will run away in fear with a movement penalty for a short duration.',166,24,315,2894715199,882983852,235,0,1,'Your Chains of Torment IV was successful on %t!','Your Chains of Torment IV fades.','',1,0,'Spells/Mage/Summoner/Necromancer/ChainsofTorment.lua',2243,'You cast Chains of Torment IV on %t.',0,0,0,1,0,1,3,0,0,300037,0,0,0,0,0,1,0,0,0,'Unset',1579389075,1384378115,0,1),
(300041,4130391695,0,0,'Eternal Chains','Roots the necromancer''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the root effect expires, the target will run away in fear with a movement penalty for a short duration.',166,24,315,2894715199,882983852,305,0,1,'Your Chains of Torment V was successful on %t!','Your Chains of Torment V fades.','',1,0,'Spells/Mage/Summoner/Necromancer/ChainsofTorment.lua',2243,'You cast Chains of Torment V on %t.',0,0,0,1,0,1,3,0,0,300037,0,0,0,0,0,1,0,0,0,'Unset',1579389143,1384378115,0,1),
(300042,610801052,0,0,'Chains of Eternity','Roots the necromancer''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the root effect expires, the target will run away in fear with a movement penalty for a short duration.',166,24,315,2894715199,882983852,365,0,1,'Your Chains of Torment VI was successful on %t!','Your Chains of Torment VI fades.','',1,0,'Spells/Mage/Summoner/Necromancer/ChainsofTorment.lua',2243,'You cast Chains of Torment VI on %t.',0,0,0,1,0,1,3,0,0,300037,0,0,0,0,0,1,0,0,0,'Unset',1579391204,1384378115,0,1),
(300043,2436848372,0,0,'Chains of Torment VII','Roots the necromancer''s target in place, preventing them from movement. Any damage received by the target has a chance at breaking the effect. When the root effect expires, the target will run away in fear with a movement penalty for a short duration.',166,24,315,2894715199,882983852,415,0,1,'Your Chains of Torment VII was successful on %t!','Your Chains of Torment VII fades.','',1,0,'Spells/Mage/Summoner/Necromancer/ChainsofTorment.lua',2243,'You cast Chains of Torment VII on %t.',0,0,0,1,0,1,3,0,0,300037,0,0,0,0,0,1,0,0,0,'Unset',1579391253,1384377829,0,1),
(300044,922326070,0,0,'Consumption','A temporary augmentation placed on the necromancer''s pet that allows it to steal health with every successful attack or spell cast on an enemy. The stolen health is divided between the necromancer and the pet.',259,65535,317,2894715199,613995491,290,0,3,'Your Consumption was successful on %t!','Your Consumption fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Consumption.lua',2244,'You cast Consumption on %t.',0,0,0,1,1,1,0,0,0,300044,0,0,0,0,0,0,0,0,0,'Unset',1579490514,1384377829,0,1),
(300045,1827242765,0,0,'Gluttony','A temporary augmentation placed on the necromancer''s pet that allows it to steal health with every successful attack or spell cast on an enemy. The stolen health is divided between the necromancer and the pet.',259,65535,317,2894715199,613995491,380,0,3,'Your Consumption II was successful on %t!','Your Consumption II fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Consumption.lua',2244,'You cast Consumption II on %t.',0,0,0,1,1,1,0,0,0,300044,0,0,0,0,0,0,0,0,0,'Unset',1579490536,1384377829,0,1),
(300046,568736688,0,0,'Consumption III','A temporary augmentation placed on the necromancer''s pet that allows it to steal health with every successful attack or spell cast on an enemy. The stolen health is divided between the necromancer and the pet.',259,65535,317,2894715199,613995491,430,0,3,'Your Consumption III was successful on %t!','Your Consumption III fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Consumption.lua',2244,'You cast Consumption III on %t.',0,0,0,1,1,1,0,0,0,300044,0,0,0,0,0,0,0,0,0,'Unset',1579490552,1384378115,0,1),
(300047,3169442502,0,0,'Consumption IV','A temporary augmentation placed on the necromancer''s pet that allows it to steal health with every successful attack or spell cast on an enemy. The stolen health is divided between the necromancer and the pet.',259,65535,317,2894715199,613995491,480,0,3,'Your Consumption IV was successful on %t!','Your Consumption IV fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Consumption.lua',2244,'You cast Consumption IV on %t.',0,0,0,0,1,0,0,0,0,300044,0,0,0,0,0,0,0,0,0,'Unset',1579490570,1384377829,0,1),
(300048,4268053864,0,0,'Control Undeath','Allows the necromancer to command an undead opponent. The opponent has a recurring chance to resist the charm throughout its duration. Higher ranks of this spell will decrease the chance at a periodic resist.',473,65535,315,2894715199,882983852,275,0,1,'Your Control Undead was successful on %t!','Your Control Undead fades.','',1,0,'Spells/Mage/Summoner/Necromancer/ControlUndead.lua',2245,'You cast Control Undead on %t.',0,0,0,1,0,1,0,0,0,300048,0,0,0,0,0,0,0,0,0,'Unset',1579490049,1384378115,0,1),
(300049,2901725908,0,0,'Control Undead','Allows the necromancer to command an undead opponent. The opponent has a recurring chance to resist the charm throughout its duration. Higher ranks of this spell will decrease the chance at a periodic resist.',473,65535,315,2894715199,882983852,370,0,1,'Your Control Undead II was successful on %t!','Your Control Undead II fades.','',1,0,'Spells/Mage/Summoner/Necromancer/ControlUndead.lua',2245,'You cast Control Undead II on %t.',0,0,0,1,0,1,0,0,0,300048,0,0,0,0,0,0,0,0,0,'Unset',1579490279,1384378115,0,1),
(300050,3989842498,0,0,'Control Undead IV','Allows the necromancer to command an undead opponent. The opponent has a recurring chance to resist the charm throughout its duration. Higher ranks of this spell will decrease the chance at a periodic resist.',473,65535,315,2894715199,882983852,470,0,1,'Your Control Undead IV was successful on %t!','Your Control Undead IV fades.','',1,0,'Spells/Mage/Summoner/Necromancer/ControlUndead.lua',2245,'You cast Control Undead IV on %t.',0,0,0,0,0,0,0,0,0,300048,0,0,0,0,0,0,0,0,0,'Unset',1579490431,1384378115,0,1),
(300051,1852049104,0,0,'Dark Heart','Summons a heart item to an ally that converts health into power over time. Upgrades to this spell increase the effectiveness of the summoned item. This spell cannot be cast on a player that already has a summoned heart of higher quality.\n',496,27,316,2894715199,3587918036,90,0,1,'Your Dark Heart was successful on %t!','Your Dark Heart fades.','',1,0,'Spells/Mage/Summoner/Necromancer/DarkHeart.lua',2246,'You cast Dark Heart on %t.',0,1,0,1,1,0,0,0,0,300051,0,0,0,0,0,0,0,0,0,'Unset',1579401230,1384377829,0,1),
(300052,1901768397,0,0,'Deathly Pallor','Gives the illusion of death to the necromancer. This effect can be cancelled by standing.',206,27,317,2894715199,3587918036,200,0,0,'Your Deathly Pallor was successful on %t!','Your Deathly Pallor fades.','',0,1,'Spells/Mage/Summoner/Necromancer/DeathlyPallor.lua',2247,'You cast Deathly Pallor on %t.',0,0,0,0,1,0,0,0,0,300052,0,0,0,0,0,1,0,0,0,'Unset',1579487223,1384378115,0,1),
(300053,2578724234,0,0,'Clinging Darkness','Deals disease damage over time and reduces the movement speed of the target. The target is also interrupted.',237,65535,315,2894715199,613995491,105,0,1,'Your Dooming Darkness was successful on %t!','Your Dooming Darkness fades.','',1,0,'Spells/Mage/Summoner/Necromancer/DoomingDarkness.lua',2248,'You cast Dooming Darkness on %t.',0,0,0,1,0,1,3,0,0,300053,0,0,0,0,0,0,0,0,0,'DoT',1579405318,1384378115,0,1),
(300054,880710808,0,0,'Decaying Darkness','Deals disease damage over time and reduces the movement speed of the target. The target is also interrupted.',237,65535,315,2894715199,613995491,180,0,1,'Your Dooming Darkness II was successful on %t!','Your Dooming Darkness II fades.','',1,0,'Spells/Mage/Summoner/Necromancer/DoomingDarkness.lua',2248,'You cast Dooming Darkness II on %t.',0,0,0,1,0,1,3,0,0,300053,0,0,0,0,0,0,0,0,0,'DoT',1579405520,1384378115,0,1),
(300055,2988363420,0,0,'Dooming Darkness','Deals disease damage over time and reduces the movement speed of the target. The target is also interrupted.',237,65535,315,2894715199,613995491,255,0,1,'Your Dooming Darkness III was successful on %t!','Your Dooming Darkness III fades.','',1,0,'Spells/Mage/Summoner/Necromancer/DoomingDarkness.lua',2248,'You cast Dooming Darkness III on %t.',0,0,0,1,0,1,3,0,0,300053,0,0,0,0,0,0,0,0,0,'DoT',1579405670,1384378115,0,1),
(300056,3301248031,0,0,'Fear','Forces target to flee in fear. The fear effect has a chance to break each time the target is attacked or cast upon.',232,24,315,2894715199,882983852,120,0,1,'Your Fear was successful on %t!','Your Fear fades.','',1,1,'Spells/Mage/Summoner/Necromancer/Fear.lua',2249,'You cast Fear on %t.',0,0,0,1,0,1,3,0,0,300056,0,0,0,0,0,0,0,0,0,'Unset',1579408164,1384378115,0,1),
(300057,117349737,0,0,'Terrors','Forces target to flee in fear. The fear effect has a chance to break each time the target is attacked or cast upon.',232,24,315,2894715199,882983852,190,0,1,'Your Fear II was successful on %t!','Your Fear II fades.','',1,1,'Spells/Mage/Summoner/Necromancer/Fear.lua',2249,'You cast Fear II on %t.',0,0,0,1,0,1,3,0,0,300056,0,0,0,0,0,1,0,0,0,'Unset',1579477692,1384378115,0,1),
(300058,360561320,0,0,'Fright','Forces target to flee in fear. The fear effect has a chance to break each time the target is attacked or cast upon.',232,24,315,2894715199,882983852,260,0,1,'Your Fear III was successful on %t!','Your Fear III fades.','',1,1,'Spells/Mage/Summoner/Necromancer/Fear.lua',2249,'You cast Fear III on %t.',0,0,0,1,0,1,3,0,0,300056,0,0,0,0,0,1,0,0,0,'Unset',1579477850,1384377834,0,1),
(300059,4049699696,0,0,'Dread','Forces target to flee in fear. The fear effect has a chance to break each time the target is attacked or cast upon.',232,24,315,2894715199,882983852,330,0,1,'Your Fear IV was successful on %t!','Your Fear IV fades.','',1,1,'Spells/Mage/Summoner/Necromancer/Fear.lua',2249,'You cast Fear IV on %t.',0,0,0,1,0,1,3,0,0,300056,0,0,0,0,0,1,0,0,0,'Unset',1579478717,1384377829,0,1),
(300060,3938856190,0,0,'Horror','Forces target to flee in fear. The fear effect has a chance to break each time the target is attacked or cast upon.',232,24,315,2894715199,882983852,385,0,1,'Your Fear V was successful on %t!','Your Fear V fades.','',1,1,'Spells/Mage/Summoner/Necromancer/Fear.lua',2249,'You cast Fear V on %t.',0,0,0,1,0,1,3,0,0,300056,0,0,0,0,0,1,0,0,0,'Unset',1579478985,1384378115,0,1),
(300061,2108711913,0,0,'Fear VI','Forces target to flee in fear. The fear effect has a chance to break each time the target is attacked or cast upon.',232,24,315,2894715199,882983852,435,0,1,'Your Fear VI was successful on %t!','Your Fear VI fades.','',1,1,'Spells/Mage/Summoner/Necromancer/Fear.lua',2249,'You cast Fear VI on %t.',0,0,0,1,0,1,3,0,0,300056,0,0,0,0,0,1,0,0,0,'Unset',1579479125,1384378115,0,1),
(300062,4106706259,0,0,'Feasting Soul','Deals disease damage to the target and returns a portion of this damage as health and power to the necromancer.',204,65535,65535,2894715199,613995491,410,0,1,'Your Feasting Soul was successful on %t!','Your Feasting Soul fades.','',1,0,'Spells/Mage/Summoner/Necromancer/FeastingSoul.lua',175,'You cast Feasting Soul on %t.',0,0,0,1,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1384671348,1366730595,0,1),
(300063,2454957173,0,0,'Feasting Soul','Deals disease damage to the target and returns a portion of this damage as health and power to the necromancer.',204,65535,65535,2894715199,613995491,260,0,1,'Your Feasting Soul was successful on %t!','Your Feasting Soul fades.','',1,0,'Spells/Mage/Summoner/Necromancer/FeastingSoul.lua',175,'You cast Feasting Soul on %t.',0,0,0,1,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1588802576,1384377874,0,1),
(300064,2049784425,0,0,'Feasting Soul','Deals disease damage to the target and returns a portion of this damage as health and power to the necromancer.',204,65535,65535,2894715199,613995491,360,0,1,'Your Feasting Soul was successful on %t!','Your Feasting Soul fades.','',1,0,'Spells/Mage/Summoner/Necromancer/FeastingSoul.lua',175,'You cast Feasting Soul on %t.',0,0,0,1,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1384671348,1384377872,0,1),
(300065,767866219,0,0,'Flayer''s Soul','Increases all offensive skills, casting skills, and increases the maximum power of a target ally.',335,65535,65535,2894715199,3587918036,410,0,1,'Your Flayer''s Soul was successful on %t!','Your Flayer''s Soul fades.','',1,0,'Spells/Mage/Summoner/Necromancer/FlayersSoul.lua',936,'You cast Flayer''s Soul on %t.',0,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1571529631,1366730437,0,1),
(300066,3205388721,0,0,'Flayer''s Soul','Increases all offensive skills, casting skills, and increases the maximum power of a target ally.',335,65535,65535,2894715199,3587918036,260,0,1,'Your Flayer''s Soul was successful on %t!','Your Flayer''s Soul fades.','',1,0,'Spells/Mage/Summoner/Necromancer/FlayersSoul.lua',936,'You cast Flayer''s Soul on %t.',0,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384671355,1384377873,0,1),
(300067,2035054326,0,0,'Flayer''s Soul','Increases all offensive skills, casting skills, and increases the maximum power of a target ally.',335,65535,65535,2894715199,3587918036,360,0,1,'Your Flayer''s Soul was successful on %t!','Your Flayer''s Soul fades.','',1,0,'Spells/Mage/Summoner/Necromancer/FlayersSoul.lua',936,'You cast Flayer''s Soul on %t.',0,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384671355,1384377873,0,1),
(300068,3643014347,0,0,'Grasp','Briefly stuns the necromancer''s target.',160,29,315,2894715199,882983852,80,0,1,'Your Grasping Bones was successful on %t!','Your Grasping Bones fades.','',1,0,'Spells/Mage/Summoner/Necromancer/GraspingBones.lua',2250,'You cast Grasping Bones on %t.',0,0,0,1,0,0,3,4,0,300068,0,0,0,0,0,0,0,0,0,'Unset',1579398989,1384378115,0,1),
(300069,234389709,0,0,'Grasping Bones','Briefly stuns the necromancer''s target.',160,29,315,2894715199,882983852,150,0,1,'Your Grasping Bones II was successful on %t!','Your Grasping Bones II fades.','',1,0,'Spells/Mage/Summoner/Necromancer/GraspingBonesClassic.lua',2250,'You cast Grasping Bones II on %t.',0,0,0,1,0,1,3,0,0,300068,0,0,0,0,0,0,0,0,0,'Unset',1579399234,1384378115,0,1),
(300070,2905536753,0,0,'Convulse','Briefly stuns the necromancer''s target.',160,29,315,2894715199,882983852,220,0,1,'Your Grasping Bones III was successful on %t!','Your Grasping Bones III fades.','',1,0,'Spells/Mage/Summoner/Necromancer/GraspingBones.lua',2250,'You cast Grasping Bones III on %t.',0,0,0,1,0,1,3,0,0,300068,0,0,0,0,0,1,0,0,0,'Unset',1579399443,1384378115,0,1),
(300071,727079165,0,0,'Constrict','Briefly stuns the necromancer''s target.',160,29,315,2894715199,882983852,290,0,1,'Your Grasping Bones IV was successful on %t!','Your Grasping Bones IV fades.','',1,0,'Spells/Mage/Summoner/Necromancer/GraspingBones.lua',2250,'You cast Grasping Bones IV on %t.',0,0,0,1,0,1,3,4,0,300068,0,0,0,0,0,1,0,0,0,'Unset',1579399546,1384378115,0,1),
(300072,3598072260,0,0,'Plot','Briefly stuns the necromancer''s target.',160,29,315,2894715199,882983852,360,0,1,'Your Grasping Bones V was successful on %t!','Your Grasping Bones V fades.','',1,0,'Spells/Mage/Summoner/Necromancer/GraspingBones.lua',2250,'You cast Grasping Bones V on %t.',0,0,0,1,0,1,3,4,0,300068,0,0,0,0,0,1,0,0,0,'Unset',1579399577,1384378115,0,1),
(300073,2040917285,0,0,'Grasping Bones VI','Briefly stuns the necromancer''s target.',160,29,315,2894715199,882983852,410,0,1,'Your Grasping Bones VI was successful on %t!','Your Grasping Bones VI fades.','',1,0,'Spells/Mage/Summoner/Necromancer/GraspingBones.lua',2250,'You cast Grasping Bones VI on %t.',0,0,0,1,0,1,3,4,0,300068,0,0,0,0,0,1,0,0,0,'Unset',1579400284,1384378115,0,1),
(300074,3676761049,0,1,'Grim Spellbinder','Summons an evil warlock spirit to obey the necromancer.',280,65535,317,2894715199,882983852,100,1,0,'Your Grim Sorcerer was successful on %t!','Your Grim Sorcerer fades.','',1,1,'Spells/Summoner/CombatPet.lua',2251,'You cast Grim Sorcerer on %t.',0,0,0,1,1,0,0,0,0,300074,0,0,0,0,0,0,0,0,0,'Unset',1579401666,1384378115,0,1),
(300075,2208392611,0,1,'Grim Thulian','Summons an evil warlock spirit to obey the necromancer.',280,65535,317,2894715199,882983852,170,1,0,'Your Grim Sorcerer II was successful on %t!','Your Grim Sorcerer II fades.','',1,1,'Spells/Commoner/Pets.lua',2251,'You cast Grim Sorcerer II on %t.',0,0,0,1,1,1,0,0,0,300074,0,0,0,0,0,1,0,0,0,'Unset',1579401720,1384378115,0,1),
(300076,865280410,0,1,'Grim Terror','Summons an evil warlock spirit to obey the necromancer.',280,65535,317,2894715199,882983852,240,1,0,'Your Grim Sorcerer III was successful on %t!','Your Grim Sorcerer III fades.','',1,1,'Spells/Commoner/Pets.lua',2251,'You cast Grim Sorcerer III on %t.',0,0,0,1,1,1,0,0,0,300074,0,0,0,0,0,0,0,0,0,'Unset',1579401785,1384377829,0,1),
(300077,4172255309,0,1,'Grim Heretic','Summons an evil warlock spirit to obey the necromancer.',280,65535,317,2894715199,882983852,310,1,0,'Your Grim Sorcerer IV was successful on %t!','Your Grim Sorcerer IV fades.','',1,1,'Spells/Commoner/Pets.lua',2251,'You cast Grim Sorcerer IV on %t.',0,0,0,1,1,1,0,0,0,300074,0,0,0,0,0,0,0,0,0,'Unset',1579401868,1384378115,0,1),
(300078,4214820957,0,1,'Grim Sorcerer','Summons an evil warlock spirit to obey the necromancer.',280,65535,317,2894715199,882983852,375,1,0,'Your Grim Sorcerer V was successful on %t!','Your Grim Sorcerer V fades.','',1,1,'Spells/Commoner/Pets.lua',2251,'You cast Grim Sorcerer V on %t.',0,0,0,1,1,1,0,0,0,300074,0,0,0,0,0,0,0,0,0,'Unset',1579401956,1384378115,0,1),
(300079,1402982376,0,1,'Grim Sorcerer VI','Summons an evil warlock spirit to obey the necromancer.',280,65535,317,2894715199,882983852,425,1,0,'Your Grim Sorcerer VI was successful on %t!','Your Grim Sorcerer VI fades.','',1,1,'Spells/Commoner/Pets.lua',2251,'You cast Grim Sorcerer VI on %t.',0,0,0,1,1,1,0,0,0,300074,0,0,0,0,0,0,0,0,0,'Unset',1579401989,1384378115,0,1),
(300080,4260847225,0,1,'Grim Sorcerer VII','Summons an evil warlock spirit to obey the necromancer.',280,65535,317,2894715199,882983852,475,1,0,'Your Grim Sorcerer VII was successful on %t!','Your Grim Sorcerer VII fades.','',1,1,'Spells/Commoner/Pets.lua',2251,'You cast Grim Sorcerer VII on %t.',0,0,0,0,1,0,0,0,0,300074,0,0,0,0,0,0,0,0,0,'Unset',1579402095,1384377829,0,1),
(300081,1942191714,0,1,'Grisly Defense','An augmentation cast on the necromancer''s minion that places them into a defensive stance, increasing their spell resistance, aggression, hate generation, and granting them a damage shield that drains health from an attacker, at the cost of decreased attack speed. This augmentation cannot be stacked with an offensive stance.',257,27,317,2894715199,3587918036,70,1,3,'Your Grisly Protection was successful on %t!','Your Grisly Protection fades.','',1,1,'Spells/Mage/Summoner/Necromancer/GrislyProtection.lua',2252,'You cast Grisly Protection on %t.',0,0,0,1,1,0,0,0,0,300081,0,0,0,0,0,0,0,0,0,'Unset',1579396500,1384378115,0,1),
(300082,2863620775,0,1,'Grisly Brace','An augmentation cast on the necromancer''s minion that places them into a defensive stance, increasing their spell resistance, aggression, hate generation, and granting them a damage shield that drains health from an attacker, at the cost of decreased attack speed. This augmentation cannot be stacked with an offensive stance.',257,27,317,2894715199,3587918036,140,1,3,'Your Grisly Protection II was successful on %t!','Your Grisly Protection II fades.','',1,1,'Spells/Mage/Summoner/Necromancer/GrislyBrace.lua',2252,'You cast Grisly Protection II on %t.',0,0,0,1,1,0,0,0,0,300081,0,0,0,0,0,0,0,0,0,'Unset',1587068987,1384378115,0,1),
(300083,3701184253,0,1,'Grisly Stele','An augmentation cast on the necromancer''s minion that places them into a defensive stance, increasing their spell resistance, aggression, hate generation, and granting them a damage shield that drains health from an attacker, at the cost of decreased attack speed. This augmentation cannot be stacked with an offensive stance.',257,27,317,2894715199,3587918036,210,1,3,'Your Grisly Protection III was successful on %t!','Your Grisly Protection III fades.','',1,1,'Spells/Mage/Summoner/Necromancer/GrislyProtection.lua',2252,'You cast Grisly Protection III on %t.',0,0,0,1,1,0,0,0,0,300081,0,0,0,0,0,1,0,0,0,'Unset',1579396572,1384378115,0,1),
(300084,3128624617,0,1,'Grisly Ward','An augmentation cast on the necromancer''s minion that places them into a defensive stance, increasing their spell resistance, aggression, hate generation, and granting them a damage shield that drains health from an attacker, at the cost of decreased attack speed. This augmentation cannot be stacked with an offensive stance.',257,27,317,2894715199,3587918036,280,1,3,'Your Grisly Protection IV was successful on %t!','Your Grisly Protection IV fades.','',1,1,'Spells/Mage/Summoner/Necromancer/GrislyProtection.lua',2252,'You cast Grisly Protection IV on %t.',0,0,0,1,1,0,0,0,0,300081,0,0,0,0,0,1,0,0,0,'Unset',1579396612,1384377829,0,1),
(300085,631205506,0,1,'Grisly Bulwark','An augmentation cast on the necromancer''s minion that places them into a defensive stance, increasing their spell resistance, aggression, hate generation, and granting them a damage shield that drains health from an attacker, at the cost of decreased attack speed. This augmentation cannot be stacked with an offensive stance.',257,27,317,2894715199,3587918036,350,1,3,'Your Grisly Protection V was successful on %t!','Your Grisly Protection V fades.','',1,1,'Spells/Mage/Summoner/Necromancer/GrislyProtection.lua',2252,'You cast Grisly Protection V on %t.',0,0,0,1,1,0,0,0,0,300081,0,0,0,0,0,1,0,0,0,'Unset',1579396638,1384378115,0,1),
(300086,1019160065,0,1,'Grisly Protection','An augmentation cast on the necromancer''s minion that places them into a defensive stance, increasing their spell resistance, aggression, hate generation, and granting them a damage shield that drains health from an attacker, at the cost of decreased attack speed. This augmentation cannot be stacked with an offensive stance.',257,27,317,2894715199,3587918036,400,1,3,'Your Grisly Protection VI was successful on %t!','Your Grisly Protection VI fades.','',1,1,'Spells/Mage/Summoner/Necromancer/GrislyProtection.lua',2252,'You cast Grisly Protection VI on %t.',0,0,0,1,1,0,0,0,0,300081,0,0,0,0,0,1,0,0,0,'Unset',1579396746,1384378115,0,1),
(300087,1507335495,0,1,'Grisly Protection VII','An augmentation cast on the necromancer''s minion that places them into a defensive stance, increasing their spell resistance, aggression, hate generation, and granting them a damage shield that drains health from an attacker, at the cost of decreased attack speed. This augmentation cannot be stacked with an offensive stance.',257,27,317,2894715199,3587918036,450,1,3,'Your Grisly Protection VII was successful on %t!','Your Grisly Protection VII fades.','',1,1,'Spells/Mage/Summoner/Necromancer/GrislyProtection.lua',2252,'You cast Grisly Protection VII on %t.',0,0,0,1,1,0,0,0,0,300081,0,0,0,0,0,1,0,0,0,'Unset',1579396801,1384378115,0,1),
(300088,1052668717,0,1,'Grisly Protection VIII','An augmentation cast on the necromancer''s minion that places them into a defensive stance, increasing their spell resistance, aggression, hate generation, and granting them a damage shield that drains health from an attacker, at the cost of decreased attack speed. This augmentation cannot be stacked with an offensive stance.',257,27,317,2894715199,3587918036,500,1,3,'Your Grisly Protection VIII was successful on %t!','Your Grisly Protection VIII fades.','',1,1,'Spells/Mage/Summoner/Necromancer/GrislyProtection.lua',2252,'You cast Grisly Protection VIII on %t.',0,0,0,0,1,0,0,0,0,300081,0,0,0,0,0,1,0,0,0,'Unset',1579396813,1384377829,0,1),
(300089,1556588322,0,1,'Aggression','An augmentation cast on the necromancer''s minion that places them into an offensive stance, granting a chance to drain health from an enemy to the minion with every attack and spell. This augmentation also increases their attack speed and offensive casting skills, at the cost of decreased defense. This augmentation cannot be stacked with a defensive stance.',484,27,317,2894715199,3587918036,55,1,3,'Your Howl of the Damned was successful on %t!','Your Howl of the Damned fades.','',1,1,'Spells/Mage/Summoner/Necromancer/HowloftheDamned.lua',2253,'You cast Howl of the Damned on %t.',0,0,0,1,1,1,0,0,0,300089,0,0,0,0,0,0,0,0,0,'Unset',1579391985,1384377829,0,1),
(300090,1923279169,0,1,'Boon of the Lifeless','An augmentation cast on the necromancer''s minion that places them into an offensive stance, granting a chance to drain health from an enemy to the minion with every attack and spell. This augmentation also increases their attack speed and offensive casting skills, at the cost of decreased defense. This augmentation cannot be stacked with a defensive stance.',484,27,317,2894715199,3587918036,125,1,3,'Your Howl of the Damned II was successful on %t!','Your Howl of the Damned II fades.','',1,1,'Spells/Mage/Summoner/Necromancer/BoonoftheLifeless.lua',2253,'You cast Howl of the Damned II on %t.',0,0,0,1,1,1,0,0,0,300089,0,0,0,0,0,0,0,0,0,'Unset',1579392095,1384377829,0,1),
(300091,1224733063,0,1,'Words of the Wicked','An augmentation cast on the necromancer''s minion that places them into an offensive stance, granting a chance to drain health from an enemy to the minion with every attack and spell. This augmentation also increases their attack speed and offensive casting skills, at the cost of decreased defense. This augmentation cannot be stacked with a defensive stance.',484,27,317,2894715199,3587918036,195,1,3,'Your Howl of the Damned III was successful on %t!','Your Howl of the Damned III fades.','',1,1,'Spells/Mage/Summoner/Necromancer/HowloftheDamned.lua',2253,'You cast Howl of the Damned III on %t.',0,0,0,1,1,1,0,0,0,300089,0,0,0,0,0,1,0,0,0,'Unset',1579392109,1384377829,0,1),
(300092,2971772122,0,1,'Voice of the Departed','An augmentation cast on the necromancer''s minion that places them into an offensive stance, granting a chance to drain health from an enemy to the minion with every attack and spell. This augmentation also increases their attack speed and offensive casting skills, at the cost of decreased defense. This augmentation cannot be stacked with a defensive stance.',484,27,317,2894715199,3587918036,265,1,3,'Your Howl of the Damned IV was successful on %t!','Your Howl of the Damned IV fades.','',1,1,'Spells/Mage/Summoner/Necromancer/HowloftheDamned.lua',2253,'You cast Howl of the Damned IV on %t.',0,0,0,1,1,1,0,0,0,300089,0,0,0,0,0,1,0,0,0,'Unset',1579392124,1384378115,0,1),
(300093,2016231192,0,1,'Howl of the Damned','An augmentation cast on the necromancer''s minion that places them into an offensive stance, granting a chance to drain health from an enemy to the minion with every attack and spell. This augmentation also increases their attack speed and offensive casting skills, at the cost of decreased defense. This augmentation cannot be stacked with a defensive stance.',484,27,317,2894715199,3587918036,335,1,3,'Your Howl of the Damned V was successful on %t!','Your Howl of the Damned V fades.','',1,1,'Spells/Mage/Summoner/Necromancer/HowloftheDamned.lua',2253,'You cast Howl of the Damned V on %t.',0,0,0,1,1,1,0,0,0,300089,0,0,0,0,0,1,0,0,0,'Unset',1579392135,1384378115,0,1),
(300094,1485077181,0,1,'Howl From Beyond','An augmentation cast on the necromancer''s minion that places them into an offensive stance, granting a chance to drain health from an enemy to the minion with every attack and spell. This augmentation also increases their attack speed and offensive casting skills, at the cost of decreased defense. This augmentation cannot be stacked with a defensive stance.',484,27,317,2894715199,3587918036,390,1,1,'Your Howl of the Damned VI was successful on %t!','Your Howl of the Damned VI fades.','',1,1,'Spells/Mage/Summoner/Necromancer/HowloftheDamned.lua',2253,'You cast Howl of the Damned VI on %t.',0,0,0,1,1,1,0,0,0,300089,0,0,0,0,0,1,0,0,0,'Unset',1579392149,1384377829,0,1),
(300095,3615310729,0,1,'Howl of the Damned VII','An augmentation cast on the necromancer''s minion that places them into an offensive stance, granting a chance to drain health from an enemy to the minion with every attack and spell. This augmentation also increases their attack speed and offensive casting skills, at the cost of decreased defense. This augmentation cannot be stacked with a defensive stance.',484,27,317,2894715199,3587918036,440,1,3,'Your Howl of the Damned VII was successful on %t!','Your Howl of the Damned VII fades.','',1,1,'Spells/Mage/Summoner/Necromancer/HowloftheDamned.lua',2253,'You cast Howl of the Damned VII on %t.',0,0,0,1,1,1,0,0,0,300089,0,0,0,0,0,1,0,0,0,'Unset',1579392197,1384378115,0,1),
(300096,1218953239,0,1,'Howl of the Damned VIII','An augmentation cast on the necromancer''s minion that places them into an offensive stance, granting a chance to drain health from an enemy to the minion with every attack and spell. This augmentation also increases their attack speed and offensive casting skills, at the cost of decreased defense. This augmentation cannot be stacked with a defensive stance.',484,27,317,2894715199,3587918036,490,1,3,'Your Howl of the Damned VIII was successful on %t!','Your Howl of the Damned VIII fades.','',1,1,'Spells/Mage/Summoner/Necromancer/HowloftheDamned.lua',2253,'You cast Howl of the Damned VIII on %t.',0,0,0,0,1,0,0,0,0,300089,0,0,0,0,0,1,0,0,0,'Unset',1579392209,1384378115,0,1),
(300097,3451101737,0,1,'Lich','Changes the necromancer into a lich, allowing the slow conversion of health into power over time. All of the lich''s disease based hostile spells siphon additional health from the target and adds the health to the lich.',240,27,317,2894715199,3587918036,250,1,0,'Your Lich was successful on %t!','Your Lich fades.','',1,1,'Spells/Mage/Summoner/Necromancer/Lich.lua',2247,'You cast Lich on %t.',0,0,0,1,1,1,0,0,0,300097,0,0,0,0,0,1,0,0,0,'Unset',1578614151,1384378115,0,1),
(300098,2933447462,0,1,'Archlich','Changes the necromancer into a lich, allowing the slow conversion of health into power over time. All of the lich''s disease based hostile spells siphon additional health from the target and adds the health to the lich.',240,27,317,2894715199,3587918036,350,1,0,'Your Lich II was successful on %t!','Your Lich II fades.','',1,1,'Spells/Mage/Summoner/Necromancer/Lich.lua',2247,'You cast Lich II on %t.',0,0,0,1,1,1,0,0,0,300097,0,0,0,0,0,1,0,0,0,'Unset',1579487988,1384378115,0,1),
(300099,3503540996,0,1,'Demilich','Changes the necromancer into a lich, allowing the slow conversion of health into power over time. All of the lich''s disease based hostile spells siphon additional health from the target and adds the health to the lich.',240,27,317,2894715199,3587918036,400,1,0,'Your Lich III was successful on %t!','Your Lich III fades.','',1,1,'Spells/Mage/Summoner/Necromancer/Lich.lua',2247,'You cast Lich III on %t.',0,0,0,1,1,1,0,0,0,300097,0,0,0,0,0,1,0,0,0,'Unset',1579488001,1384378115,0,1),
(300100,1865538077,0,1,'Lich IV','Changes the necromancer into a lich, allowing the slow conversion of health into power over time. All of the lich''s disease based hostile spells siphon additional health from the target and adds the health to the lich.',240,27,317,2894715199,3587918036,450,1,0,'Your Lich IV was successful on %t!','Your Lich IV fades.','',1,1,'Spells/Mage/Summoner/Necromancer/Lich.lua',2247,'You cast Lich IV on %t.',0,0,0,1,1,1,0,0,0,300097,0,0,0,0,0,1,0,0,0,'Unset',1579488014,1384378115,0,1),
(300101,906207056,0,1,'Lich V','Changes the necromancer into a lich, allowing the slow conversion of health into power over time. All of the lich''s disease based hostile spells siphon additional health from the target and adds the health to the lich.',240,27,317,2894715199,3587918036,500,1,0,'Your Lich V was successful on %t!','Your Lich V fades.','',1,1,'Spells/Mage/Summoner/Necromancer/Lich.lua',2247,'You cast Lich V on %t.',0,0,0,0,1,0,0,0,0,300097,0,0,0,0,0,1,0,0,0,'Unset',1579488023,1384378115,0,1),
(300102,2206620399,0,0,'Lifetap','Deals disease damage to the enemy and transfers a portion of this damage to the necromancer''s health.',281,24,315,2894715199,613995491,100,0,1,'Your Lifetap was successful on %t!','Your Lifetap fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Lifetap.lua',2254,'You cast Lifetap on %t.',0,0,0,1,0,0,0,0,0,300102,0,0,0,0,0,0,0,0,0,'DD',1579402279,1384378115,0,1),
(300103,1076908634,0,0,'Draw Life','Deals disease damage to the enemy and transfers a portion of this damage to the necromancer''s health.',281,24,315,2894715199,613995491,175,0,1,'Your Lifetap II was successful on %t!','Your Lifetap II fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Lifetap.lua',2254,'You cast Lifetap II on %t.',0,0,0,1,0,0,0,0,0,300102,0,0,0,0,0,1,0,0,0,'DD',1579402883,1384378115,0,1),
(300104,1543425314,0,0,'Siphons','Deals disease damage to the enemy and transfers a portion of this damage to the necromancer''s health.',281,24,315,2894715199,613995491,250,0,1,'Your Lifetap III was successful on %t!','Your Lifetap III fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Lifetap.lua',2254,'You cast Lifetap III on %t.',0,0,0,1,0,0,0,0,0,300102,0,0,0,0,0,1,0,0,0,'DD',1579403288,1384378115,0,1),
(300105,476334229,0,0,'Abate Life','Deals disease damage to the enemy and transfers a portion of this damage to the necromancer''s health.',281,24,315,2894715199,613995491,320,0,1,'Your Lifetap IV was successful on %t!','Your Lifetap IV fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Lifetap.lua',2254,'You cast Lifetap IV on %t.',0,0,0,1,0,0,0,0,0,300102,0,0,0,0,0,1,0,0,0,'DD',1579403495,1384378115,0,1),
(300106,200182647,0,0,'Drain Life','Deals disease damage to the enemy and transfers a portion of this damage to the necromancer''s health.',281,24,315,2894715199,613995491,380,0,1,'Your Lifetap V was successful on %t!','Your Lifetap V fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Lifetap.lua',2254,'You cast Lifetap V on %t.',0,0,0,1,0,0,0,0,0,300102,0,0,0,0,0,1,0,0,0,'DD',1579403542,1384378115,0,1),
(300107,3888034732,0,0,'Lifetap VI','Deals disease damage to the enemy and transfers a portion of this damage to the necromancer''s health.',281,24,315,2894715199,613995491,430,0,1,'Your Lifetap VI was successful on %t!','Your Lifetap VI fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Lifetap.lua',2254,'You cast Lifetap VI on %t.',0,0,0,1,0,0,0,0,0,300102,0,0,0,0,0,1,0,0,0,'DD',1579403782,1384377829,0,1),
(300108,142399634,0,0,'Lifetap VII','Deals disease damage to the enemy and transfers a portion of this damage to the necromancer''s health.',281,24,315,2894715199,613995491,480,0,1,'Your Lifetap VII was successful on %t!','Your Lifetap VII fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Lifetap.lua',2254,'You cast Lifetap VII on %t.',0,0,0,0,0,0,0,0,0,300102,0,0,0,0,0,1,0,0,0,'DD',1579403955,1384378115,0,1),
(300109,317648389,0,0,'Miragul''s Dark Heart Summoning','Summons a heart item to an ally that converts health into power over time. Upgrades to this spell increase the effectiveness of the summoned item. This spell cannot be cast on a player that already has a summoned heart of higher quality.\n',496,27,314,2894715199,3587918036,365,0,8,'Your Miragul''s Dark Heart Summoning was successful on %t!','Your Miragul''s Dark Heart Summoning fades.','',1,0,'Spells/Mage/Summoner/Necromancer/MiragulsDarkHeartSummoning.lua',2255,'You cast Miragul''s Dark Heart Summoning on %t.',0,1,0,1,1,0,0,0,0,300051,0,0,0,0,0,1,0,0,0,'Unset',1579401470,1384377829,0,1),
(300110,1227240771,0,0,'Grisly Mark','Drains wisdom and causes the target to take more damage from all sources, while also increasing the stamina and spell resistance of the necromancer.',204,28,315,2894715199,3587918036,125,0,1,'Your Mortality Mark was successful on %t!','Your Mortality Mark fades.','',1,0,'Spells/Mage/Summoner/Necromancer/GrislyMark.lua',2256,'You cast Mortality Mark on %t.',0,0,0,1,0,1,3,0,0,300110,0,0,0,0,0,0,0,0,0,'Unset',1579479231,1384378115,0,1),
(300111,130933921,0,0,'Horrific Mark','Drains wisdom and causes the target to take more damage from all sources, while also increasing the stamina and spell resistance of the necromancer.',204,28,315,2894715199,3587918036,195,0,1,'Your Mortality Mark II was successful on %t!','Your Mortality Mark II fades.','',1,0,'Spells/Mage/Summoner/Necromancer/MortalityMark.lua',2256,'You cast Mortality Mark II on %t.',0,0,0,1,0,1,3,0,0,300110,0,0,0,0,0,1,0,0,0,'Unset',1579479336,1384378115,0,1),
(300112,933312030,0,0,'Abominable Mark','Drains wisdom and causes the target to take more damage from all sources, while also increasing the stamina and spell resistance of the necromancer.',204,28,315,2894715199,3587918036,265,0,1,'Your Mortality Mark III was successful on %t!','Your Mortality Mark III fades.','',1,0,'Spells/Mage/Summoner/Necromancer/MortalityMark.lua',2256,'You cast Mortality Mark III on %t.',0,0,0,1,0,1,3,0,0,300110,0,0,0,0,0,1,0,0,0,'Unset',1579479474,1384378115,0,1),
(300113,4183276998,0,0,'Loathsome Mark','Drains wisdom and causes the target to take more damage from all sources, while also increasing the stamina and spell resistance of the necromancer.',204,28,315,2894715199,3587918036,335,0,1,'Your Mortality Mark IV was successful on %t!','Your Mortality Mark IV fades.','',1,0,'Spells/Mage/Summoner/Necromancer/MortalityMark.lua',2256,'You cast Mortality Mark IV on %t.',0,0,0,1,0,1,3,0,0,300110,0,0,0,0,0,1,0,0,0,'Unset',1579479571,1384377829,0,1),
(300114,3653467093,0,0,'Mortality Mark','Drains wisdom and causes the target to take more damage from all sources, while also increasing the stamina and spell resistance of the necromancer.',204,28,315,2894715199,3587918036,390,0,1,'Your Mortality Mark V was successful on %t!','Your Mortality Mark V fades.','',1,0,'Spells/Mage/Summoner/Necromancer/MortalityMark.lua',2256,'You cast Mortality Mark V on %t.',0,0,0,1,0,1,3,0,0,300110,0,0,0,0,0,1,0,0,0,'Unset',1579480095,1384378115,0,1),
(300115,524371968,0,0,'Mortality Mark VI','Drains wisdom and causes the target to take more damage from all sources, while also increasing the stamina and spell resistance of the necromancer.',204,28,315,2894715199,3587918036,440,0,1,'Your Mortality Mark VI was successful on %t!','Your Mortality Mark VI fades.','',1,0,'Spells/Mage/Summoner/Necromancer/MortalityMark.lua',2256,'You cast Mortality Mark VI on %t.',0,0,0,1,0,1,3,0,0,300110,0,0,0,0,0,1,0,0,0,'Unset',1579480802,1384378115,0,1),
(300116,2565309251,0,0,'Mortality Mark VII','Drains wisdom and causes the target to take more damage from all sources, while also increasing the stamina and spell resistance of the necromancer.',204,28,315,2894715199,3587918036,490,0,1,'Your Mortality Mark VII was successful on %t!','Your Mortality Mark VII fades.','',1,0,'Spells/Mage/Summoner/Necromancer/MortalityMark.lua',2256,'You cast Mortality Mark VII on %t.',0,0,0,0,0,0,3,0,0,300110,0,0,0,0,0,1,0,0,0,'Unset',1579480987,1384378115,0,1),
(300117,462290503,0,1,'Necromantic Mark','An augmentation for the necromancer''s minion that grants it a chance to decrease an enemy''s poison and disease resist every time it attacks or receives damage.',479,27,317,2894715199,3587918036,70,1,3,'Your Necromantic Pact was successful on %t!','Your Necromantic Pact fades.','',1,1,'Spells/Mage/Summoner/Necromancer/NecromanticPact.lua',2257,'You cast Necromantic Pact on %t.',0,0,0,1,1,1,0,0,0,300117,0,0,0,0,0,0,0,0,0,'Unset',1579396884,1384378115,0,1),
(300118,3065527771,0,1,'Necromantic Rune','An augmentation for the necromancer''s minion that grants it a chance to decrease an enemy''s poison and disease resist every time it attacks or receives damage.',479,27,317,2894715199,3587918036,140,1,3,'Your Necromantic Pact II was successful on %t!','Your Necromantic Pact II fades.','',1,1,'Spells/Mage/Summoner/Necromancer/NecromanticPact.lua',2257,'You cast Necromantic Pact II on %t.',0,0,0,1,1,1,0,0,0,300117,0,0,0,0,0,0,0,0,0,'Unset',1579397149,1384378115,0,1),
(300119,616275537,0,1,'Necromantic Symbol','An augmentation for the necromancer''s minion that grants it a chance to decrease an enemy''s poison and disease resist every time it attacks or receives damage.',479,27,317,2894715199,3587918036,210,1,3,'Your Necromantic Pact III was successful on %t!','Your Necromantic Pact III fades.','',1,1,'Spells/Mage/Summoner/Necromancer/NecromanticPact.lua',2257,'You cast Necromantic Pact III on %t.',0,0,0,1,1,1,0,0,0,300117,0,0,0,0,0,1,0,0,0,'Unset',1579397212,1384378115,0,1),
(300120,980496321,0,1,'Necromantic Insignia','An augmentation for the necromancer''s minion that grants it a chance to decrease an enemy''s poison and disease resist every time it attacks or receives damage.',479,27,317,2894715199,3587918036,280,1,3,'Your Necromantic Pact IV was successful on %t!','Your Necromantic Pact IV fades.','',1,1,'Spells/Mage/Summoner/Necromancer/NecromanticPact.lua',2257,'You cast Necromantic Pact IV on %t.',0,0,0,1,1,1,0,0,0,300117,0,0,0,0,0,1,0,0,0,'Unset',1579397248,1384378115,0,1),
(300121,1826417271,0,1,'Necromantic Brand','An augmentation for the necromancer''s minion that grants it a chance to decrease an enemy''s poison and disease resist every time it attacks or receives damage.',479,27,317,2894715199,3587918036,350,1,3,'Your Necromantic Pact V was successful on %t!','Your Necromantic Pact V fades.','',1,1,'Spells/Mage/Summoner/Necromancer/NecromanticPact.lua',2257,'You cast Necromantic Pact V on %t.',0,0,0,1,1,1,0,0,0,300117,0,0,0,0,0,1,0,0,0,'Unset',1579397261,1384378115,0,1),
(300122,2999194939,0,1,'Necromantic Pact','An augmentation for the necromancer''s minion that grants it a chance to decrease an enemy''s poison and disease resist every time it attacks or receives damage.',479,27,317,2894715199,3587918036,400,1,3,'Your Necromantic Pact VI was successful on %t!','Your Necromantic Pact VI fades.','',1,1,'Spells/Mage/Summoner/Necromancer/NecromanticPact.lua',2257,'You cast Necromantic Pact VI on %t.',0,0,0,1,1,1,0,0,0,300117,0,0,0,0,0,1,0,0,0,'Unset',1579397287,1384377829,0,1),
(300123,1697027427,0,1,'Necromantic Pact VII','An augmentation for the necromancer''s minion that grants it a chance to decrease an enemy''s poison and disease resist every time it attacks or receives damage.',479,27,317,2894715199,3587918036,450,1,3,'Your Necromantic Pact VII was successful on %t!','Your Necromantic Pact VII fades.','',1,1,'Spells/Mage/Summoner/Necromancer/NecromanticPact.lua',2257,'You cast Necromantic Pact VII on %t.',0,0,0,1,1,1,0,0,0,300117,0,0,0,0,0,1,0,0,0,'Unset',1579397298,1384378115,0,1),
(300124,3724686328,0,1,'Necromantic Pact VIII','An augmentation for the necromancer''s minion that grants it a chance to decrease an enemy''s poison and disease resist every time it attacks or receives damage.',479,27,317,2894715199,3587918036,500,1,3,'Your Necromantic Pact VIII was successful on %t!','Your Necromantic Pact VIII fades.','',1,1,'Spells/Mage/Summoner/Necromancer/NecromanticPact.lua',2257,'You cast Necromantic Pact VIII on %t.',0,0,0,0,1,0,0,0,0,300117,0,0,0,0,0,1,0,0,0,'Unset',1579397309,1384378115,0,1),
(300125,2780729361,0,0,'Heal Minion','Transfers health from the necromancer to the pet.',487,27,317,2894715199,366253016,10,0,3,'Your Necrotic Reconstruction was successful on %t!','Your Necrotic Reconstruction fades.','',1,0,'Spells/Mage/Summoner/Necromancer/NecroticReconstruction.lua',2258,'You cast Necrotic Reconstruction on %t.',0,0,0,1,1,1,0,0,0,300125,0,0,0,0,0,0,0,0,0,'Unset',1589072816,1384378115,0,1),
(300126,1066825194,0,0,'Repair Bones','Transfers health from the necromancer to the pet.',487,27,317,2894715199,366253016,70,0,3,'Your Necrotic Reconstruction II was successful on %t!','Your Necrotic Reconstruction II fades.','',1,0,'Spells/Mage/Summoner/Necromancer/NecroticReconstruction.lua',2258,'You cast Necrotic Reconstruction II on %t.',0,0,0,1,1,1,0,0,0,300125,0,0,0,0,0,0,0,0,0,'Unset',1579385792,1384378115,0,1),
(300127,1223522625,0,0,'Mend Bones','Transfers health from the necromancer to the pet.',487,27,317,2894715199,366253016,140,0,3,'Your Necrotic Reconstruction III was successful on %t!','Your Necrotic Reconstruction III fades.','',1,0,'Spells/Mage/Summoner/Necromancer/MendBones.lua',2258,'You cast Necrotic Reconstruction III on %t.',0,0,0,1,1,1,0,0,0,300125,0,0,0,0,0,0,0,0,0,'Unset',1579385901,1384377828,0,1),
(300128,3128789906,0,0,'Necrotic Mending','Transfers health from the necromancer to the pet.',487,27,317,2894715199,366253016,210,0,3,'Your Necrotic Reconstruction IV was successful on %t!','Your Necrotic Reconstruction IV fades.','',1,0,'Spells/Mage/Summoner/Necromancer/NecroticReconstruction.lua',2258,'You cast Necrotic Reconstruction IV on %t.',0,0,0,1,1,1,0,0,0,300125,0,0,0,0,0,1,0,0,0,'Unset',1579386045,1384377828,0,1),
(300129,3955780531,0,0,'Necrotic Reconstruction IX','Transfers health from the necromancer to the pet.',487,27,317,2894715199,366253016,500,0,3,'Your Necrotic Reconstruction IX was successful on %t!','Your Necrotic Reconstruction IX fades.','',1,0,'Spells/Mage/Summoner/Necromancer/NecroticReconstruction.lua',2258,'You cast Necrotic Reconstruction IX on %t.',0,0,0,0,1,0,0,0,0,300125,0,0,0,0,0,1,0,0,0,'Unset',1579387374,1384378115,0,1),
(300130,465149360,0,0,'Necrotic Replenishment','Transfers health from the necromancer to the pet.',487,27,317,2894715199,366253016,280,0,3,'Your Necrotic Reconstruction V was successful on %t!','Your Necrotic Reconstruction V fades.','',1,0,'Spells/Mage/Summoner/Necromancer/NecroticReconstruction.lua',2258,'You cast Necrotic Reconstruction V on %t.',0,0,0,1,1,1,0,0,0,300125,0,0,0,0,0,1,0,0,0,'Unset',1579386213,1384378115,0,1),
(300131,1714481539,0,0,'Necrotic Reformation','Transfers health from the necromancer to the pet.',487,27,317,2894715199,366253016,350,0,3,'Your Necrotic Reconstruction VI was successful on %t!','Your Necrotic Reconstruction VI fades.','',1,0,'Spells/Mage/Summoner/Necromancer/NecroticReconstruction.lua',2258,'You cast Necrotic Reconstruction VI on %t.',0,0,0,1,1,1,0,0,0,300125,0,0,0,0,0,1,0,0,0,'Unset',1579386291,1384378115,0,1),
(300132,3496828238,0,0,'Necrotic Reconstruction','Transfers health from the necromancer to the pet.',487,27,317,2894715199,366253016,400,0,3,'Your Necrotic Reconstruction VII was successful on %t!','Your Necrotic Reconstruction VII fades.','',1,0,'Spells/Mage/Summoner/Necromancer/NecroticReconstruction.lua',2258,'You cast Necrotic Reconstruction VII on %t.',0,0,0,1,1,1,0,0,0,300125,0,0,0,0,0,1,0,0,0,'Unset',1579386378,1384378115,0,1),
(300133,930151385,0,0,'Necrotic Reconstruction VIII','Transfers health from the necromancer to the pet.',487,27,317,2894715199,366253016,450,0,3,'Your Necrotic Reconstruction VIII was successful on %t!','Your Necrotic Reconstruction VIII fades.','',1,0,'Spells/Mage/Summoner/Necromancer/NecroticReconstruction.lua',2258,'You cast Necrotic Reconstruction VIII on %t.',0,0,0,1,1,1,0,0,0,300125,0,0,0,0,0,1,0,0,0,'Unset',1579386466,1384377833,0,1),
(300134,733442315,0,1,'Shadowy Stalker','Summons a shadowy bard to serve the necromancer.',370,65535,317,2894715199,882983852,160,1,0,'Your Nightshade was successful on %t!','Your Nightshade fades.','',1,1,'Spells/Commoner/Pets.lua',2259,'You cast Nightshade on %t.',0,0,0,1,1,1,0,0,0,300134,0,0,0,0,0,0,0,0,0,'Unset',1579481655,1384377829,0,1),
(300135,3486328553,0,1,'Shadowy Assassin','Summons a shadowy bard to serve the necromancer.',370,65535,317,2894715199,882983852,230,1,0,'Your Nightshade II was successful on %t!','Your Nightshade II fades.','',1,1,'Spells/Commoner/Pets.lua',2259,'You cast Nightshade II on %t.',0,0,0,1,1,1,0,0,0,300134,0,0,0,0,0,0,0,0,0,'Unset',1579483061,1384378115,0,1),
(300136,3405793261,0,1,'Nightshade','Summons a shadowy bard to serve the necromancer.',370,65535,317,2894715199,882983852,300,1,0,'Your Nightshade III was successful on %t!','Your Nightshade III fades.','',1,1,'Spells/Commoner/Pets.lua',2259,'You cast Nightshade III on %t.',0,0,0,1,1,1,0,0,0,300134,0,0,0,0,0,0,0,0,0,'Unset',1579485781,1384377829,0,1),
(300137,468392976,0,1,'Shadowblade','Summons a shadowy bard to serve the necromancer.',370,65535,317,2894715199,882983852,365,1,0,'Your Nightshade IV was successful on %t!','Your Nightshade IV fades.','',1,1,'Spells/Commoner/Pets.lua',2259,'You cast Nightshade IV on %t.',0,0,0,1,1,1,0,0,0,300134,0,0,0,0,0,0,0,0,0,'Unset',1579485944,1384378115,0,1),
(300138,4171833489,0,1,'Nightshade V','Summons a shadowy bard to serve the necromancer.',370,65535,317,2894715199,882983852,415,1,0,'Your Nightshade V was successful on %t!','Your Nightshade V fades.','',1,1,'Spells/Commoner/Pets.lua',2259,'You cast Nightshade V on %t.',0,0,0,1,1,1,0,0,0,300134,0,0,0,0,0,0,0,0,0,'Unset',1579485961,1384377829,0,1),
(300139,624949524,0,1,'Nightshade VI','Summons a shadowy bard to serve the necromancer.',370,65535,317,2894715199,882983852,465,1,0,'Your Nightshade VI was successful on %t!','Your Nightshade VI fades.','',1,1,'Spells/Commoner/Pets.lua',2259,'You cast Nightshade VI on %t.',0,0,0,0,1,0,0,0,0,300134,0,0,0,0,0,0,0,0,0,'Unset',1579485986,1384377829,0,1),
(300140,98390915,0,0,'Plague','Deals disease damage over time to the targeted enemy and surrounding encounter members.',169,29,312,2894715199,613995491,10,0,1,'Your Pandemic was successful on %t!','Your Pandemic fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Pandemic.lua',2260,'You cast Pandemic on %t.',0,0,0,1,0,1,3,0,0,300140,0,0,0,0,0,0,0,0,0,'DoT',1579387407,1384377829,0,1),
(300141,3656954387,0,0,'Locusts','Deals disease damage over time to the targeted enemy and surrounding encounter members.',169,29,312,2894715199,613995491,40,0,1,'Your Pandemic II was successful on %t!','Your Pandemic II fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Pandemic.lua',2260,'You cast Pandemic II on %t.',0,0,0,1,0,1,3,0,0,300140,0,0,0,0,0,0,0,0,0,'DoT',1579387440,1384378115,0,1),
(300142,369249204,0,0,'Blight','Deals disease damage over time to the targeted enemy and surrounding encounter members.',169,29,312,2894715199,613995491,110,0,1,'Your Pandemic III was successful on %t!','Your Pandemic III fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Blight.lua',2260,'You cast Pandemic III on %t.',0,0,0,1,0,1,3,0,0,300140,0,0,0,0,0,0,0,0,0,'DoT',1579387497,1384378115,0,1),
(300143,3854820433,0,0,'Locust Swarm','Deals disease damage over time to the targeted enemy and surrounding encounter members.',169,29,312,2894715199,613995491,180,0,1,'Your Pandemic IV was successful on %t!','Your Pandemic IV fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Pandemic.lua',2260,'You cast Pandemic IV on %t.',0,0,0,1,0,1,3,0,0,300140,0,0,0,0,0,1,0,0,0,'DoT',1579387581,1384378115,0,1),
(300144,2042961674,0,0,'Pandemic IX','Deals disease damage over time to the targeted enemy and surrounding encounter members.',169,29,312,2894715199,613995491,480,0,1,'Your Pandemic IX was successful on %t!','Your Pandemic IX fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Pandemic.lua',2260,'You cast Pandemic IX on %t.',0,0,0,0,0,0,3,0,0,300140,0,0,0,0,0,1,0,0,0,'DoT',1579388126,1384378115,0,1),
(300145,2801834154,0,0,'Torrential Plague','Deals disease damage over time to the targeted enemy and surrounding encounter members.',169,29,312,2894715199,613995491,250,0,1,'Your Pandemic V was successful on %t!','Your Pandemic V fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Pandemic.lua',2260,'You cast Pandemic V on %t.',0,0,0,1,0,1,3,0,0,300140,0,0,0,0,0,1,0,0,0,'DoT',1579387720,1384378115,0,1),
(300146,2324317459,0,0,'Torrential Pestilence','Deals disease damage over time to the targeted enemy and surrounding encounter members.',169,29,312,2894715199,613995491,320,0,1,'Your Pandemic VI was successful on %t!','Your Pandemic VI fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Pandemic.lua',2260,'You cast Pandemic VI on %t.',0,0,0,1,0,1,3,0,0,300140,0,0,0,0,0,1,0,0,0,'DoT',1579387803,1384377829,0,1),
(300147,733164556,0,0,'Pandemic','Deals disease damage over time to the targeted enemy and surrounding encounter members.',169,29,312,2894715199,613995491,380,0,1,'Your Pandemic VII was successful on %t!','Your Pandemic VII fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Pandemic.lua',2260,'You cast Pandemic VII on %t.',0,0,0,1,0,1,3,0,0,300140,0,0,0,0,0,1,0,0,0,'DoT',1579387927,1384378115,0,1),
(300148,3091972298,0,0,'Pandemic VIII','Deals disease damage over time to the targeted enemy and surrounding encounter members.',169,29,312,2894715199,613995491,430,0,1,'Your Pandemic VIII was successful on %t!','Your Pandemic VIII fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Pandemic.lua',2260,'You cast Pandemic VIII on %t.',0,0,0,1,0,1,3,0,0,300140,0,0,0,0,0,1,0,0,0,'DoT',1579388040,1384378115,0,1),
(300149,1223409057,0,0,'Pestilent Soul','Does Disease damage in an area around the Necromancer.',247,65535,65535,2894715199,613995491,410,0,1,'Your Pestilent Soul was successful on %t!','Your Pestilent Soul fades.','',1,0,'Spells/Mage/Summoner/Necromancer/PestilentSoul.lua',320,'You cast Pestilent Soul on %t.',0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1588645241,1384377874,0,1),
(300150,2389282420,0,0,'Pestilent Soul','Does Disease damage in an area around the Necromancer.',247,65535,65535,2894715199,613995491,360,0,1,'Your Pestilent Soul was successful on %t!','Your Pestilent Soul fades.','',1,0,'Spells/Mage/Summoner/Necromancer/PestilentSoul.lua',320,'You cast Pestilent Soul on %t.',0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1588645349,1384377874,0,1),
(300151,2592124077,0,0,'Pestilent Soul','Does Disease damage in an area around the Necromancer.',247,65535,65535,2894715199,613995491,260,0,1,'Your Pestilent Soul was successful on %t!','Your Pestilent Soul fades.','',1,0,'Spells/Mage/Summoner/Necromancer/PestilentSoul.lua',320,'You cast Pestilent Soul on %t.',0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1588802214,1384377873,0,1),
(300152,138308370,0,1,'Rending Frenzy','A minion augmentation which grants a chance at berserking the minion in combat. This increases their attack speed and combat attack damage.',335,24,317,2894715199,3587918036,200,1,3,'Your Rending was successful on %t!','Your Rending fades.','',1,1,'Spells/Mage/Summoner/Necromancer/Rending.lua',2264,'You cast Rending on %t.',0,0,0,1,1,1,0,0,0,300152,0,0,0,0,0,0,0,0,0,'Unset',1579487307,1384378115,0,1),
(300153,1607566659,0,1,'Rending Fury','A minion augmentation which grants a chance at berserking the minion in combat. This increases their attack speed and combat attack damage.',335,24,317,2894715199,3587918036,270,1,3,'Your Rending II was successful on %t!','Your Rending II fades.','',1,1,'Spells/Mage/Summoner/Necromancer/Rending.lua',2264,'You cast Rending II on %t.',0,0,0,1,1,1,0,0,0,300152,0,0,0,0,0,0,0,0,0,'Unset',1579487327,1384378115,0,1),
(300154,2246839091,0,1,'Rending Fervor','A minion augmentation which grants a chance at berserking the minion in combat. This increases their attack speed and combat attack damage.',335,24,317,2894715199,3587918036,340,1,3,'Your Rending III was successful on %t!','Your Rending III fades.','',1,1,'Spells/Mage/Summoner/Necromancer/Rending.lua',2264,'You cast Rending III on %t.',0,0,0,1,1,1,0,0,0,300152,0,0,0,0,0,0,0,0,0,'Unset',1579487640,1384378115,0,1),
(300155,103649748,0,1,'Rending','A minion augmentation which grants a chance at berserking the minion in combat. This increases their attack speed and combat attack damage.',335,24,317,2894715199,3587918036,390,1,3,'Your Rending IV was successful on %t!','Your Rending IV fades.','',1,1,'Spells/Mage/Summoner/Necromancer/Rending.lua',2264,'You cast Rending IV on %t.',0,0,0,1,1,1,0,0,0,300152,0,0,0,0,0,0,0,0,0,'Unset',1579487684,1384378115,0,1),
(300156,4146514521,0,1,'Rending V','A minion augmentation which grants a chance at berserking the minion in combat. This increases their attack speed and combat attack damage.',335,24,317,2894715199,3587918036,440,1,3,'Your Rending V was successful on %t!','Your Rending V fades.','',1,1,'Spells/Mage/Summoner/Necromancer/Rending.lua',2264,'You cast Rending V on %t.',0,0,0,1,1,1,0,0,0,300152,0,0,0,0,0,0,0,0,0,'Unset',1579487723,1384378115,0,1),
(300157,417636711,0,1,'Rending VI','A minion augmentation which grants a chance at berserking the minion in combat. This increases their attack speed and combat attack damage.',335,24,317,2894715199,3587918036,490,1,3,'Your Rending VI was successful on %t!','Your Rending VI fades.','',1,1,'Spells/Mage/Summoner/Necromancer/Rending.lua',2264,'You cast Rending VI on %t.',0,0,0,0,1,0,0,0,0,300152,0,0,0,0,0,0,0,0,0,'Unset',1579487774,1384378115,0,1),
(300158,403740096,0,0,'Revivication','Resurrects the corpse of target ally. This spell may be cast during combat and has a longer than normal range.',210,65535,316,2894715199,366253016,240,0,6,'Your Revivication was successful on %t!','Your Revivication fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Revivication.lua',2265,'You cast Revivication on %t.',0,1,1,1,1,0,0,0,0,300152,0,0,0,0,0,1,0,0,0,'Unset',1579487884,1384377833,0,1),
(300159,2062885849,0,1,'Secrets of Vazaelle','This is the condensed energy of an ancient, mythical weapon.',234,65535,317,2894715199,0,400,1,1,'Your Secrets of Vazaelle was successful on %t!','Your Secrets of Vazaelle fades.','',1,1,'Spells/Mage/Summoner/Necromancer/SecretsofVazaelle.lua',3544,'You cast Secrets of Vazaelle on %t.',0,0,0,1,1,1,0,0,0,300159,0,0,0,0,0,0,0,0,0,'Unset',1579491121,1384377882,0,1),
(300160,1691613026,0,0,'Servile Soul','Summons a shadow to attack the target opponent. The shadow will dissipate when the target dies or when the spell expires.',244,65535,65535,2894715199,882983852,410,0,1,'Your Servile Soul was successful on %t!','Your Servile Soul fades.','',1,0,'Spells/Mage/Summoner/Necromancer/ServileSoul.lua',518,'You cast Servile Soul on %t.',0,0,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1588645372,1366730620,0,1),
(300161,4128840632,0,0,'Servile Soul','Summons a shadow to attack the target opponent. The shadow will dissipate when the target dies or when the spell expires.',244,65535,65535,2894715199,882983852,260,0,1,'Your Servile Soul was successful on %t!','Your Servile Soul fades.','',1,0,'Spells/Mage/Summoner/Necromancer/ServileSoul.lua',518,'You cast Servile Soul on %t.',0,0,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1588645319,1384377872,0,1),
(300162,811283711,0,0,'Servile Soul','Summons a shadow to attack the target opponent. The shadow will dissipate when the target dies or when the spell expires.',244,65535,65535,2894715199,882983852,360,0,1,'Your Servile Soul was successful on %t!','Your Servile Soul fades.','',1,0,'Spells/Mage/Summoner/Necromancer/ServileSoul.lua',518,'You cast Servile Soul on %t.',0,0,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1579490978,1384377874,0,1),
(300163,3125551802,0,0,'Drawing of Souls','Reduces strength and intelligence of the target. If the target dies while under this spell, its soul is drawn into the necromancer. Once drawn in this manner, the soul grants a temporary ability to the necromancer.',268,65535,315,2894715199,3587918036,260,0,1,'Your Siphoning of Souls was successful on %t!','Your Siphoning of Souls fades.','',1,0,'Spells/Mage/Summoner/Necromancer/SiphoningofSouls.lua',2266,'You cast Siphoning of Souls on %t.',0,0,0,1,0,1,3,0,0,300163,0,0,0,0,0,0,0,0,0,'Unset',1579488379,1384378157,0,1),
(300164,2492210636,0,0,'Siphoning of Souls','Reduces strength and intelligence of the target. If the target dies while under this spell, its soul is drawn into the necromancer. Once drawn in this manner, the soul grants a temporary ability to the necromancer.',268,65535,315,2894715199,3587918036,360,0,1,'Your Siphoning of Souls II was successful on %t!','Your Siphoning of Souls II fades.','',1,0,'',2266,'You cast Siphoning of Souls II on %t.',0,0,0,1,0,1,3,0,0,300163,0,0,0,0,0,0,0,0,0,'Unset',1579488468,1384378115,0,1),
(300165,3633943266,0,0,'Siphoning of Souls III','Reduces strength and intelligence of the target. If the target dies while under this spell, its soul is drawn into the necromancer. Once drawn in this manner, the soul grants a temporary ability to the necromancer.',268,65535,315,2894715199,3587918036,410,0,1,'Your Siphoning of Souls III was successful on %t!','Your Siphoning of Souls III fades.','',1,0,'Spells/Mage/Summoner/Necromancer/SiphoningofSouls.lua',2266,'You cast Siphoning of Souls III on %t.',0,0,0,1,0,1,3,0,0,300163,0,0,0,0,0,0,0,0,0,'Unset',1579488621,1384377829,0,1),
(300166,1195577724,0,0,'Siphoning of Souls IV','Reduces strength and intelligence of the target. If the target dies while under this spell, its soul is drawn into the necromancer. Once drawn in this manner, the soul grants a temporary ability to the necromancer.',268,65535,315,2894715199,3587918036,460,0,1,'Your Siphoning of Souls IV was successful on %t!','Your Siphoning of Souls IV fades.','',1,0,'Spells/Mage/Summoner/Necromancer/SiphoningofSouls.lua',2266,'You cast Siphoning of Souls IV on %t.',0,0,0,1,0,1,3,0,0,300163,0,0,0,0,0,0,0,0,0,'Unset',1579488761,1384378115,0,1),
(300167,1300636129,0,0,'Soothing Soul','Heals a target ally over-time.',155,65535,65535,2894715199,366253016,410,0,8,'Your Soothing Soul was successful on %t!','Your Soothing Soul fades.','',1,0,'Spells/Mage/Summoner/Necromancer/SoothingSoul.lua',739,'You cast Soothing Soul on %t.',0,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1588801839,1366730613,0,1),
(300168,722653383,0,0,'Soothing Soul','Heals a target ally over-time.',155,65535,65535,2894715199,366253016,260,0,8,'Your Soothing Soul was successful on %t!','Your Soothing Soul fades.','',1,0,'Spells/Mage/Summoner/Necromancer/SoothingSoul.lua',739,'You cast Soothing Soul on %t.',0,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384671669,1384377874,0,1),
(300169,3278653147,0,0,'Soothing Soul','Heals a target ally over-time.',155,65535,65535,2894715199,366253016,360,0,8,'Your Soothing Soul was successful on %t!','Your Soothing Soul fades.','',1,0,'Spells/Mage/Summoner/Necromancer/SoothingSoul.lua',739,'You cast Soothing Soul on %t.',0,1,1,1,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671669,1384377873,0,1),
(300170,1492330749,0,0,'Rot','Quickly deals disease damage over time to an enemy.',161,25,315,2894715199,613995491,5,0,1,'Your Soulrot was successful on %t!','Your Soulrot fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Soulrot.lua',2267,'You cast Soulrot on %t.',0,0,0,1,0,1,0,0,0,210009,0,0,0,0,0,0,0,0,0,'DoT',1579067181,1384378115,0,1),
(300171,3148704319,0,0,'Greater Rot','Quickly deals disease damage over time to an enemy.',161,25,315,2894715199,613995491,30,0,1,'Your Soulrot II was successful on %t!','Your Soulrot II fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Soulrot.lua',2267,'You cast Soulrot II on %t.',0,0,0,1,0,0,0,0,0,300170,0,0,0,0,0,0,0,0,0,'DoT',1579383698,1384377829,0,1),
(300172,1409840111,0,0,'Seething Rot','Quickly deals disease damage over time to an enemy.',161,25,315,2894715199,613995491,60,0,1,'Your Soulrot III was successful on %t!','Your Soulrot III fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Soulrot.lua',2267,'You cast Soulrot III on %t.',0,0,0,1,0,0,0,0,0,300170,0,0,0,0,0,0,0,0,0,'DoT',1579383726,1384378115,0,1),
(300173,1452295194,0,0,'Pestilential Blast','Quickly deals disease damage over time to an enemy.',161,25,315,2894715199,613995491,100,0,1,'Your Soulrot IV was successful on %t!','Your Soulrot IV fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Soulrot.lua',2267,'You cast Soulrot IV on %t.',0,0,0,1,0,0,0,0,0,300170,0,0,0,0,0,0,0,0,0,'DoT',1579383759,1384378115,0,1),
(300174,54257314,0,0,'Soulrot IX','Quickly deals disease damage over time to an enemy.',161,25,315,2894715199,613995491,405,0,1,'Your Soulrot IX was successful on %t!','Your Soulrot IX fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Soulrot.lua',2267,'You cast Soulrot IX on %t.',0,0,0,1,0,1,0,0,0,300170,0,0,0,0,0,1,0,0,0,'DoT',1579384563,1384377829,0,1),
(300175,3208420297,0,0,'Pestilential Blast','Quickly deals disease damage over time to an enemy.',161,25,315,2894715199,613995491,145,0,1,'Your Soulrot V was successful on %t!','Your Soulrot V fades.','',1,0,'Spells/Mage/Summoner/Necromancer/PestilentialBlast.lua',2267,'You cast Soulrot V on %t.',0,0,0,1,0,1,0,0,0,300170,0,0,0,0,0,0,0,0,0,'DoT',1579383997,1384377828,0,1),
(300176,582228562,0,0,'Skinrot','Quickly deals disease damage over time to an enemy.',161,25,315,2894715199,613995491,215,0,1,'Your Soulrot VI was successful on %t!','Your Soulrot VI fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Soulrot.lua',2267,'You cast Soulrot VI on %t.',0,0,0,1,0,1,0,0,0,300170,0,0,0,0,0,1,0,0,0,'DoT',1579384098,1384377828,0,1),
(300177,3989607318,0,0,'Death Rot','Quickly deals disease damage over time to an enemy.',161,25,315,2894715199,613995491,285,0,1,'Your Soulrot VII was successful on %t!','Your Soulrot VII fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Soulrot.lua',2267,'You cast Soulrot VII on %t.',0,0,0,1,0,1,0,0,0,300170,0,0,0,0,0,1,0,0,0,'DoT',1579384202,1384378115,0,1),
(300178,4063280431,0,0,'Soulrot','Quickly deals disease damage over time to an enemy.',161,25,315,2894715199,613995491,355,0,1,'Your Soulrot VIII was successful on %t!','Your Soulrot VIII fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Soulrot.lua',2267,'You cast Soulrot VIII on %t.',0,0,0,1,0,1,0,0,0,300170,0,0,0,0,0,1,0,0,0,'DoT',1579384344,1384378115,0,1),
(300179,3975777692,0,0,'Soulrot X','Quickly deals disease damage over time to an enemy.',161,25,315,2894715199,613995491,455,0,1,'Your Soulrot X was successful on %t!','Your Soulrot X fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Soulrot.lua',2267,'You cast Soulrot X on %t.',0,0,0,1,0,1,0,0,0,300170,0,0,0,0,0,1,0,0,0,'DoT',1579384965,1384378115,0,1),
(300180,315027882,0,1,'Mark of the Dead','A group augmentation that increases stamina and intelligence for the necromancer''s group and their pets.',159,65535,314,2894715199,3587918036,60,1,2,'Your Teachings of the Underworld was successful on %t!','Your Teachings of the Underworld fades.','',1,1,'Spells/Mage/Summoner/Necromancer/TeachingsoftheUnderworld.lua',2268,'You cast Teachings of the Underworld on %t.',0,0,1,1,1,1,0,0,0,300180,0,0,0,0,0,0,0,0,0,'Unset',1579392268,1384378115,0,1),
(300181,1366248755,0,1,'Mark of the Miasmic','A group augmentation that increases stamina and intelligence for the necromancer''s group and their pets.',159,65535,314,2894715199,3587918036,130,1,2,'Your Teachings of the Underworld II was successful on %t!','Your Teachings of the Underworld II fades.','',1,1,'Spells/Mage/Summoner/Necromancer/MarkoftheMiasmic.lua',2268,'You cast Teachings of the Underworld II on %t.',0,0,0,1,1,1,0,0,0,300180,0,0,0,0,0,0,0,0,0,'Unset',1579392300,1384377828,0,1),
(300182,2450975770,0,1,'Teachings of the Dead','A group augmentation that increases stamina and intelligence for the necromancer''s group and their pets.',159,65535,314,2894715199,3587918036,200,1,2,'Your Teachings of the Underworld III was successful on %t!','Your Teachings of the Underworld III fades.','',1,1,'Spells/Mage/Summoner/Necromancer/TeachingsoftheUnderworld.lua',2268,'You cast Teachings of the Underworld III on %t.',0,0,0,1,1,1,0,0,0,300180,0,0,0,0,0,1,0,0,0,'Unset',1579392404,1384378115,0,1),
(300183,4213061359,0,1,'Teachings of the Shadows','A group augmentation that increases stamina and intelligence for the necromancer''s group and their pets.',159,65535,314,2894715199,3587918036,270,1,2,'Your Teachings of the Underworld IV was successful on %t!','Your Teachings of the Underworld IV fades.','',1,1,'Spells/Mage/Summoner/Necromancer/TeachingsoftheUnderworld.lua',2268,'You cast Teachings of the Underworld IV on %t.',0,0,0,1,1,1,0,0,0,300180,0,0,0,0,0,1,0,0,0,'Unset',1579392420,1384378115,0,1),
(300184,2370335152,0,1,'Teachings of the Underworld','A group augmentation that increases stamina and intelligence for the necromancer''s group and their pets.',159,65535,314,2894715199,3587918036,340,1,2,'Your Teachings of the Underworld V was successful on %t!','Your Teachings of the Underworld V fades.','',1,1,'Spells/Mage/Summoner/Necromancer/TeachingsoftheUnderworld.lua',2268,'You cast Teachings of the Underworld V on %t.',0,0,0,1,1,1,0,0,0,300180,0,0,0,0,0,1,0,0,0,'Unset',1579392436,1384378115,0,1),
(300185,3627378921,0,1,'Teachings of the Undead','A group augmentation that increases stamina and intelligence for the necromancer''s group and their pets.',159,65535,314,2894715199,3587918036,395,1,2,'Your Teachings of the Underworld VI was successful on %t!','Your Teachings of the Underworld VI fades.','',1,1,'Spells/Mage/Summoner/Necromancer/TeachingsoftheUnderworld.lua',2268,'You cast Teachings of the Underworld VI on %t.',0,0,0,1,1,1,0,0,0,300180,0,0,0,0,0,1,0,0,0,'Unset',1579392499,1384378115,0,1),
(300186,1601961125,0,1,'Teachings of the Underworld VII','A group augmentation that increases stamina and intelligence for the necromancer''s group and their pets.',159,65535,314,2894715199,3587918036,445,1,2,'Your Teachings of the Underworld VII was successful on %t!','Your Teachings of the Underworld VII fades.','',1,1,'Spells/Mage/Summoner/Necromancer/TeachingsoftheUnderworld.lua',2268,'You cast Teachings of the Underworld VII on %t.',0,0,0,1,1,1,0,0,0,300180,0,0,0,0,0,1,0,0,0,'Unset',1579392540,1384377829,0,1),
(300187,1662721965,0,1,'Teachings of the Underworld VIII','A group augmentation that increases stamina and intelligence for the necromancer''s group and their pets.',159,65535,314,2894715199,3587918036,495,1,2,'Your Teachings of the Underworld VIII was successful on %t!','Your Teachings of the Underworld VIII fades.','',1,1,'Spells/Mage/Summoner/Necromancer/TeachingsoftheUnderworld.lua',2268,'You cast Teachings of the Underworld VIII on %t.',0,0,0,0,1,1,0,0,0,300180,0,0,0,0,0,1,0,0,0,'Unset',1579392725,1384378115,0,1),
(300188,3450843944,0,0,'Transfer Life','Transfers health from the necromancer to target ally.',487,27,316,2894715199,366253016,165,0,1,'Your Transfer Life was successful on %t!','Your Transfer Life fades.','',1,0,'Spells/Mage/Summoner/Necromancer/TransferLife.lua',2269,'You cast Transfer Life on %t.',0,0,0,1,1,0,0,0,0,300188,0,0,0,0,0,1,0,0,0,'Unset',1579486348,1384378115,0,1),
(300189,1042106285,0,0,'Exchange Life','Transfers health from the necromancer to target ally.',487,27,316,2894715199,366253016,235,0,1,'Your Transfer Life II was successful on %t!','Your Transfer Life II fades.','',1,0,'Spells/Mage/Summoner/Necromancer/TransferLife.lua',2269,'You cast Transfer Life II on %t.',0,0,0,1,1,0,0,0,0,300188,0,0,0,0,0,1,0,0,0,'Unset',1579486369,1384377828,0,1),
(300190,214045967,0,0,'Displace Life','Transfers health from the necromancer to target ally.',487,27,316,2894715199,366253016,305,0,1,'Your Transfer Life III was successful on %t!','Your Transfer Life III fades.','',1,0,'Spells/Mage/Summoner/Necromancer/TransferLife.lua',2269,'You cast Transfer Life III on %t.',0,0,0,1,1,0,0,0,0,300188,0,0,0,0,0,1,0,0,0,'Unset',1579486415,1384378115,0,1),
(300191,1244024435,0,0,'Filter Life','Transfers health from the necromancer to target ally.',487,27,316,2894715199,366253016,370,0,1,'Your Transfer Life IV was successful on %t!','Your Transfer Life IV fades.','',1,0,'Spells/Mage/Summoner/Necromancer/TransferLife.lua',2269,'You cast Transfer Life IV on %t.',0,0,0,1,1,0,0,0,0,300188,0,0,0,0,0,1,0,0,0,'Unset',1579486485,1384378115,0,1),
(300192,487128566,0,0,'Transfer Life V','Transfers health from the necromancer to target ally.',487,27,316,2894715199,366253016,420,0,1,'Your Transfer Life V was successful on %t!','Your Transfer Life V fades.','',1,0,'Spells/Mage/Summoner/Necromancer/TransferLife.lua',2269,'You cast Transfer Life V on %t.',0,0,0,1,1,0,0,0,0,300188,0,0,0,0,0,1,0,0,0,'Unset',1579486555,1384378115,0,1),
(300193,3009440871,0,0,'Transfer Life VI','Transfers health from the necromancer to target ally.',487,27,316,2894715199,366253016,470,0,1,'Your Transfer Life VI was successful on %t!','Your Transfer Life VI fades.','',1,0,'Spells/Mage/Summoner/Necromancer/TransferLife.lua',2269,'You cast Transfer Life VI on %t.',0,0,0,0,1,0,0,0,0,300188,0,0,0,0,0,1,0,0,0,'Unset',1579486578,1384378115,0,1),
(300194,1390773497,0,0,'Undead Tide','Summons an army of undead kin at the cost of health over-time to the necromancer.',248,65535,312,2894715199,613995491,325,0,1,'Your Undead Horde was successful on %t!','Your Undead Horde fades.','',1,0,'Spells/Mage/Summoner/Necromancer/UndeadHorde.lua',2270,'You cast Undead Horde on %t.',0,0,0,1,0,0,3,0,1,300194,0,0,0,0,0,0,0,0,0,'Unset',1579490712,1384377829,0,1),
(300195,1981897348,0,0,'Undead Horde','Summons an army of undead kin at the cost of health over-time to the necromancer.',248,65535,312,2894715199,613995491,390,0,1,'Your Undead Horde II was successful on %t!','Your Undead Horde II fades.','',1,0,'Spells/Mage/Summoner/Necromancer/UndeadHorde.lua',2270,'You cast Undead Horde II on %t.',0,0,0,1,0,0,3,0,1,300194,0,0,0,0,0,0,0,0,0,'Unset',1579490811,1384378115,0,1),
(300196,581540121,0,0,'Undead Horde III','Summons an army of undead kin at the cost of health over-time to the necromancer.',248,65535,312,2894715199,613995491,440,0,1,'Your Undead Horde III was successful on %t!','Your Undead Horde III fades.','',1,0,'Spells/Mage/Summoner/Necromancer/UndeadHorde.lua',2270,'You cast Undead Horde III on %t.',0,0,0,1,0,0,3,0,1,300194,0,0,0,0,0,0,0,0,0,'Unset',1579490855,1384377829,0,1),
(300197,2605859569,0,0,'Undead Horde IV','Summons an army of undead kin at the cost of health over-time to the necromancer.',248,65535,312,2894715199,613995491,490,0,1,'Your Undead Horde IV was successful on %t!','Your Undead Horde IV fades.','',1,0,'Spells/Mage/Summoner/Necromancer/UndeadHorde.lua',2270,'You cast Undead Horde IV on %t.',0,0,0,0,0,0,3,0,1,300194,0,0,0,0,0,0,0,0,0,'Unset',1579490900,1384378115,0,1),
(300198,278928847,0,1,'Summon Minion','Summons a pet to obey the necromancer.',485,29,317,2894715199,882983852,5,1,0,'Your Undead Knight was successful on %t!','Your Undead Knight fades.','',1,1,'Spells/Summoner/Level1Pet.lua',2271,'You cast Undead Knight on %t.',0,0,0,1,1,0,0,0,0,300198,0,0,0,0,0,0,0,0,0,'Unset',1579385216,1384378114,0,1),
(300199,354058752,0,1,'Summon Servant','Summons a pet to obey the necromancer.',485,29,317,2894715199,882983852,60,1,0,'Your Undead Knight II was successful on %t!','Your Undead Knight II fades.','',1,1,'Spells/Commoner/Pets.lua',2271,'You cast Undead Knight II on %t.',0,0,0,1,1,0,0,0,0,300198,0,0,0,0,0,0,0,0,0,'Unset',1579385273,1384378115,0,1),
(300200,1802492892,0,1,'Undying Adherent','Summons an undead fighter to obey the necromancer.',485,29,317,2894715199,882983852,120,1,0,'Your Undead Knight III was successful on %t!','Your Undead Knight III fades.','',1,1,'Spells/Mage/Summoner/Necromancer/UndyingAdherent.lua',2271,'You cast Undead Knight III on %t.',0,0,0,1,1,0,0,0,0,300198,0,0,0,0,0,0,0,0,0,'Unset',1579385286,1384378115,0,1),
(300201,1214594917,0,1,'Rotting Thrall','Summons a Rotting Thrall minion to do the Necromancer''s bidding.',485,29,317,2894715199,882983852,190,1,0,'Your Undead Knight IV was successful on %t!','Your Undead Knight IV fades.','',1,1,'Spells/Commoner/Pets.lua',2271,'You cast Undead Knight IV on %t.',0,0,0,1,1,0,0,0,0,300198,0,0,0,0,0,1,0,0,0,'Unset',1579385295,1384377829,0,1),
(300202,1120251364,0,1,'Undead Knight IX','Summons an undead fighter to obey the necromancer.',485,29,317,2894715199,882983852,485,1,0,'Your Undead Knight IX was successful on %t!','Your Undead Knight IX fades.','',1,1,'Spells/Commoner/Pets.lua',2271,'You cast Undead Knight IX on %t.',0,0,0,0,1,0,0,0,0,300198,0,0,0,0,0,0,0,0,0,'Unset',1579385442,1384378115,0,1),
(300203,263250735,0,1,'Diseased Servant','Summons an undead fighter to obey the necromancer.',485,29,317,2894715199,882983852,260,1,0,'Your Undead Knight V was successful on %t!','Your Undead Knight V fades.','',1,1,'Spells/Commoner/Pets.lua',2271,'You cast Undead Knight V on %t.',0,0,0,1,1,0,0,0,0,300198,0,0,0,0,0,1,0,0,0,'Unset',1579385312,1384378115,0,1),
(300204,3413036107,0,1,'Undying Dreadnought','Summons an undead fighter to obey the necromancer.',485,29,317,2894715199,882983852,330,1,0,'Your Undead Knight VI was successful on %t!','Your Undead Knight VI fades.','',1,1,'Spells/Commoner/Pets.lua',2271,'You cast Undead Knight VI on %t.',0,0,0,1,1,0,0,0,0,300198,0,0,0,0,0,1,0,0,0,'Unset',1579385338,1384378115,0,1),
(300205,1648843599,0,1,'Undead Knight','Summons an undead fighter to obey the necromancer.',485,29,317,2894715199,882983852,385,1,0,'Your Undead Knight VII was successful on %t!','Your Undead Knight VII fades.','',1,1,'Spells/Commoner/Pets.lua',2271,'You cast Undead Knight VII on %t.',0,0,0,1,1,0,0,0,0,300198,0,0,0,0,0,0,0,0,0,'Unset',1579385360,1384378115,0,1),
(300206,3970776181,0,1,'Undead Knight VIII','Summons an undead fighter to obey the necromancer.',485,29,317,2894715199,882983852,435,1,0,'Your Undead Knight VIII was successful on %t!','Your Undead Knight VIII fades.','',1,1,'Spells/Commoner/Pets.lua',2271,'You cast Undead Knight VIII on %t.',0,0,0,1,1,0,0,0,0,300198,0,0,0,0,0,0,0,0,0,'Unset',1579385424,1384378115,0,1),
(300207,4112262234,0,1,'Favor of the Dead','An augmentation that increases the power pool and noxious resistance for the necromancer''s group. The noxious resist protects more against disease than poison.',208,65535,314,2894715199,3587918036,35,1,2,'Your Unholy Covenant was successful on %t!','Your Unholy Covenant fades.','',1,1,'Spells/Mage/Summoner/Necromancer/UnholyCovenant.lua',2272,'You cast Unholy Covenant on %t.',0,0,1,1,1,1,0,0,0,300207,0,0,0,0,0,0,0,0,0,'Unset',1579391301,1384378115,0,1),
(300208,3855772410,0,1,'Favor of the Fallen','An augmentation that increases the power pool and noxious resistance for the necromancer''s group. The noxious resist protects more against disease than poison.',208,65535,314,2894715199,3587918036,105,1,2,'Your Unholy Covenant II was successful on %t!','Your Unholy Covenant II fades.','',1,1,'Spells/Mage/Summoner/Necromancer/FavoroftheFallen.lua',2272,'You cast Unholy Covenant II on %t.',0,0,0,1,1,1,0,0,0,300207,0,0,0,0,0,0,0,0,0,'Unset',1579391352,1384378115,0,1),
(300209,539487891,0,1,'Unholy Covenant','An augmentation that increases the power pool and noxious resistance for the necromancer''s group. The noxious resist protects more against disease than poison.',208,65535,314,2894715199,3587918036,175,1,2,'Your Unholy Covenant III was successful on %t!','Your Unholy Covenant III fades.','',1,1,'Spells/Mage/Summoner/Necromancer/UnholyCovenant.lua',2272,'You cast Unholy Covenant III on %t.',0,0,0,1,1,1,0,0,0,300207,0,0,0,0,0,1,0,0,0,'Unset',1579391361,1384378115,0,1),
(300210,3059226733,0,1,'Aspect of Undead','An augmentation that increases the power pool and noxious resistance for the necromancer''s group. The noxious resist protects more against disease than poison.',208,65535,314,2894715199,3587918036,245,1,2,'Your Unholy Covenant IV was successful on %t!','Your Unholy Covenant IV fades.','',1,1,'Spells/Mage/Summoner/Necromancer/UnholyCovenant.lua',2272,'You cast Unholy Covenant IV on %t.',0,0,0,1,1,1,0,0,0,300207,0,0,0,0,0,1,0,0,0,'Unset',1579391367,1384378115,0,1),
(300211,47122556,0,1,'Favor of the Infernal','An augmentation that increases the power pool and noxious resistance for the necromancer''s group. The noxious resist protects more against disease than poison.',208,65535,314,2894715199,3587918036,315,1,2,'Your Unholy Covenant V was successful on %t!','Your Unholy Covenant V fades.','',1,1,'Spells/Mage/Summoner/Necromancer/UnholyCovenant.lua',2272,'You cast Unholy Covenant V on %t.',0,0,0,1,1,1,0,0,0,300207,0,0,0,0,0,1,0,0,0,'Unset',1579391419,1384378115,0,1),
(300212,664295862,0,1,'Grave Favors','An augmentation that increases the power pool and noxious resistance for the necromancer''s group. The noxious resist protects more against disease than poison.',208,65535,314,2894715199,3587918036,375,1,2,'Your Unholy Covenant VI was successful on %t!','Your Unholy Covenant VI fades.','',1,1,'Spells/Mage/Summoner/Necromancer/UnholyCovenant.lua',2272,'You cast Unholy Covenant VI on %t.',0,0,0,1,1,1,0,0,0,300207,0,0,0,0,0,1,0,0,0,'Unset',1579391593,1384378115,0,1),
(300213,2920326655,0,1,'Unholy Covenant VII','An augmentation that increases the power pool and noxious resistance for the necromancer''s group. The noxious resist protects more against disease than poison.',208,65535,314,2894715199,3587918036,425,1,2,'Your Unholy Covenant VII was successful on %t!','Your Unholy Covenant VII fades.','',1,1,'Spells/Mage/Summoner/Necromancer/UnholyCovenant.lua',2272,'You cast Unholy Covenant VII on %t.',0,0,0,1,1,1,0,0,0,300207,0,0,0,0,0,1,0,0,0,'Unset',1579391759,1384378115,0,1),
(300214,1094849310,0,1,'Unholy Covenant VIII','An augmentation that increases the power pool and noxious resistance for the necromancer''s group. The noxious resist protects more against disease than poison.',208,65535,314,2894715199,3587918036,475,1,2,'Your Unholy Covenant VIII was successful on %t!','Your Unholy Covenant VIII fades.','',1,1,'Spells/Mage/Summoner/Necromancer/UnholyCovenant.lua',2272,'You cast Unholy Covenant VIII on %t.',0,0,0,0,1,1,0,0,0,300207,0,0,0,0,0,1,0,0,0,'Unset',1579391778,1384378115,0,1),
(300215,2489451641,0,1,'Unliving Eyes','A group augmentation that grants ultravision and allows the necromancer''s allies to see invisible enemies.',167,65535,314,2894715199,3587918036,115,1,2,'Your Unliving Eyes was successful on %t!','Your Unliving Eyes fades.','',1,1,'Spells/Mage/Summoner/Necromancer/UnlivingEyesClassic.lua',2273,'You cast Unliving Eyes on %t.',0,0,0,0,1,1,0,0,0,300215,0,0,0,0,0,0,0,0,0,'Unset',1579407403,1384378115,0,1),
(300216,2501810221,0,0,'Unstoppable Soul','Augmentation that increases the physical resistance and the maximum health of a target ally.',329,65535,65535,2894715199,3587918036,410,0,1,'Your Unstoppable Soul was successful on %t!','Your Unstoppable Soul fades.','',1,0,'Spells/Mage/Summoner/Necromancer/UnstoppableSoul.lua',947,'You cast Unstoppable Soul on %t.',0,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1588645418,1384377874,0,1),
(300217,3598782179,0,0,'Unstoppable Soul','Augmentation that increases the physical resistance and the maximum health of a target ally.',329,65535,65535,2894715199,3587918036,360,0,1,'Your Unstoppable Soul was successful on %t!','Your Unstoppable Soul fades.','',1,0,'Spells/Mage/Summoner/Necromancer/UnstoppableSoul.lua',947,'You cast Unstoppable Soul on %t.',0,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1588645446,1384377872,0,1),
(300218,1394288056,0,0,'Unstoppable Soul','Augmentation that increases the physical resistance and the maximum health of a target ally.',329,65535,65535,2894715199,3587918036,260,0,1,'Your Unstoppable Soul was successful on %t!','Your Unstoppable Soul fades.','',1,0,'Spells/Mage/Summoner/Necromancer/UnstoppableSoul.lua',947,'You cast Unstoppable Soul on %t.',0,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1588645460,1384377874,0,1),
(300219,4248972491,0,0,'Vampirism','Summons a vampiric orb near an ally that inflicts damage to up to 8 targets near the player it is protecting. The nearest three allies will be healed once for each target the orb hits.',212,65535,313,2894715199,3587918036,400,0,1,'Your Vampirism was successful on %t!','Your Vampirism fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Vampirism.lua',2274,'You cast Vampirism on %t.',0,1,0,1,1,0,0,0,1,300219,0,0,0,0,0,1,0,0,0,'Unset',1579491090,1384377829,0,1),
(300220,1726439588,0,0,'Vampirism II','Summons a vampiric orb near an ally that inflicts damage to up to 8 targets near the player it is protecting. The nearest three allies will be healed once for each target the orb hits.',212,65535,313,2894715199,3587918036,450,0,1,'Your Vampirism II was successful on %t!','Your Vampirism II fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Vampirism.lua',2274,'You cast Vampirism II on %t.',0,1,0,1,1,0,0,0,1,300219,0,0,0,0,0,1,0,0,0,'Unset',1579491156,1384378115,0,1),
(300221,651723696,0,0,'Vampirism III','Summons a vampiric orb near an ally that inflicts damage to up to 8 targets near the player it is protecting. The nearest three allies will be healed once for each target the orb hits.',212,65535,313,2894715199,3587918036,500,0,1,'Your Vampirism III was successful on %t!','Your Vampirism III fades.','',1,0,'Spells/Mage/Summoner/Necromancer/Vampirism.lua',2274,'You cast Vampirism III on %t.',0,0,0,0,1,0,0,0,1,300219,0,0,0,0,0,1,0,0,0,'Unset',1579491204,1384377829,0,1),
(310000,3165221578,1,0,'Ambush','A stealthed attack that deals great damage. It can only be used while in stealth.',301,40,315,1921433074,0,35,0,1,'Your Ambush was successful on %t!','Your Ambush fades.','',0,1,'Spells/Scout/Ambush.lua',55,'You cast Ambush on %t.',1,0,0,1,0,0,0,0,0,310000,0,0,0,0,0,1,0,0,0,'DD',1579124534,1384378116,0,0),
(310001,666066621,1,0,'Assail','A stealthed attack that deals great damage. It can only be used while in stealth.',301,40,315,1921433074,0,35,0,1,'Your Assail was successful on %t!','Your Assail fades.','',0,1,'Spells/Scout/Assail.lua',2702,'You cast Assail on %t.',1,0,0,1,0,0,0,0,0,310000,0,0,0,0,0,0,0,0,0,'DD',1384670720,1384378115,0,0),
(310002,2698142493,1,0,'Cheap Shot','Briefly stuns the target for 2 seconds on a successful hit. On weak opponents, the stun effect applies again after the first 2 seconds expire.',217,41,315,1921433074,1921433074,30,0,1,'Your Cheap Shot was successful on %t!','Your Cheap Shot fades.','',0,1,'Spells/Scout/CheapShot.lua',444,'You cast Cheap Shot on %t.',1,0,0,0,0,0,2,4,0,0,0,0,0,0,0,1,0,0,0,'Unset',1387183471,1384378116,0,0),
(310003,761454143,1,0,'Dirty Tricks','Decreases target''s defense for a short time.',310,41,315,1921433074,0,40,0,1,'Your Dirty Tricks was successful on %t!','Your Dirty Tricks fades.','',0,1,'Spells/Scout/DirtyTricks.lua',1227,'You cast Dirty Tricks on %t.',1,0,0,1,0,1,1,0,0,310003,0,0,0,0,0,1,0,0,0,'Unset',1578008161,1384378116,0,0),
(310004,2087975776,1,0,'Dreadfang','A brutal attack that does high damage and briefly stuns vampire opponents.',339,36,315,0,0,0,0,1,'Your Dreadfang was successful on %t!','Your Dreadfang fades.','',0,0,'',0,'You cast Dreadfang on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1613319128,1384377840,0,0),
(310005,2312862029,1,0,'Ensnare','This ability slows a target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked or cast upon.',308,41,315,1921433074,0,45,0,1,'Your Ensnare was successful on %t!','Your Ensnare fades.','',0,1,'Spells/Scout/Ensnare.lua',173,'You cast Ensnare on %t.',1,0,0,1,0,1,0,0,0,310005,0,0,0,0,0,1,0,0,0,'Snare',1384670796,1384378115,0,0),
(310006,1647605107,1,0,'Escape','Teleports the scout and all nearby group members to the nearest designated safe spot in the current adventuring area.',353,65535,314,1921433074,0,125,0,2,'Your Escape was successful on %t!','Your Escape fades.','',0,1,'Spells/Scout/Escape.lua',2606,'You cast Escape on %t.',1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1589129102,1384378116,0,0),
(310007,3193275691,1,0,'Evade','Reduces the target''s hate towards the scout. ',278,41,315,1921433074,0,20,0,1,'Your Evade was successful on %t!','Your Evade fades.','',0,1,'Spells/Scout/Evade.lua',2607,'You cast Evade on %t.',1,0,0,1,0,0,0,0,0,310007,0,0,0,0,0,1,0,0,0,'Unset',1572080194,1384378116,0,0),
(310008,435703264,1,0,'Divert','Reduces the target''s hate towards the scout. The scout will be immune to riposte damage for a short duration.',278,41,315,1921433074,0,90,0,1,'Your Evade II was successful on %t!','Your Evade II fades.','',0,1,'Spells/Scout/Evade.lua',2607,'You cast Evade II on %t.',1,0,0,1,0,0,0,0,0,310007,0,0,0,0,0,1,0,0,0,'Unset',1572080014,1384378116,0,0),
(310009,1110184716,1,0,'Slip','Reduces the target''s hate towards the scout. The scout will be immune to riposte damage for a short duration.',278,41,315,1921433074,0,160,0,1,'Your Evade III was successful on %t!','Your Evade III fades.','',0,1,'Spells/Scout/Evade.lua',2607,'You cast Evade III on %t.',1,0,0,1,0,0,0,0,0,310007,0,0,0,0,0,1,0,0,0,'Unset',1572080136,1384378116,0,0),
(310010,1861368220,1,0,'Evasion','Reduces the target''s hate towards the scout. The scout will be immune to riposte damage for a short duration.',278,41,315,1921433074,0,230,0,1,'Your Evade IV was successful on %t!','Your Evade IV fades.','',0,1,'Spells/Scout/Evade.lua',2607,'You cast Evade IV on %t.',1,0,0,1,0,0,0,0,0,310007,0,0,0,0,0,1,0,0,0,'Unset',1572080218,1384378116,0,0),
(310011,1063323073,1,0,'Elude','Reduces the target''s hate towards the scout. The scout will be immune to riposte damage for a short duration.',278,41,315,1921433074,0,300,0,1,'Your Evade V was successful on %t!','Your Evade V fades.','',0,1,'Spells/Scout/Evade.lua',2607,'You cast Evade V on %t.',1,0,0,1,0,0,0,0,0,310007,0,0,0,0,0,1,0,0,0,'Unset',1572080301,1384378116,0,0),
(310012,1024423435,1,0,'Baffle','Reduces the target''s hate towards the scout. The scout will be immune to riposte damage for a short duration.',278,41,315,1921433074,0,365,0,1,'Your Evade VI was successful on %t!','Your Evade VI fades.','',0,1,'Spells/Scout/Evade.lua',2607,'You cast Evade VI on %t.',1,0,0,1,0,0,0,0,0,310007,0,0,0,0,0,1,0,0,0,'Unset',1572080377,1384378116,0,0),
(310013,1065922873,1,0,'Evade VII','Reduces the target''s hate towards the scout. The scout will be immune to riposte damage for a short duration.',278,41,315,1921433074,0,415,0,1,'Your Evade VII was successful on %t!','Your Evade VII fades.','',0,1,'Spells/Scout/Evade.lua',2607,'You cast Evade VII on %t.',1,0,0,1,0,0,0,0,0,310007,0,0,0,0,0,1,0,0,0,'Unset',1572080453,1384378116,0,0),
(310014,4079137191,1,0,'Evade VIII','Reduces the target''s hate towards the scout. The scout will be immune to riposte damage for a short duration.',278,41,315,1921433074,0,465,0,1,'Your Evade VIII was successful on %t!','Your Evade VIII fades.','',0,1,'Spells/Scout/Evade.lua',2607,'You cast Evade VIII on %t.',1,0,0,1,0,0,0,0,0,310007,0,0,0,0,0,1,0,0,0,'Unset',1572080509,1384378116,0,0),
(310015,302377115,1,0,'Fast Strike','A quick attack that deals low damage.',338,36,315,1921433074,1921433074,45,0,1,'Your Fast Strike was successful on %t!','Your Fast Strike fades.','',0,1,'Spells/Scout/FastStrike.lua',2728,'You cast Fast Strike on %t.',1,0,0,1,0,1,0,0,0,310018,0,0,0,0,0,0,0,0,0,'DD',1578008292,1384378115,0,0),
(310016,983446865,1,0,'Hilt Strike','Deals a small amount of damage, interrupts and briefly stuns the target.\r\n\"I find a swift strike to the forehead does wonders when one needs to disorient.\" - Misa Ravensoul',924,41,315,3167106577,3167106577,30,0,1,'Your Hilt Strike was successful on %t!','Your Hilt Strike fades.','',0,1,'Spells/Scout/HiltStrike.lua',2801,'You cast Hilt Strike on %t.',1,0,0,0,0,1,2,4,0,0,0,0,0,0,0,1,0,0,0,'DD',1384670828,1384378116,0,0),
(310017,1793121952,1,0,'Lucky Break','Grants a scout the chance to create a heroic opportunity.\r\n\r\n \r\n\r\n\"Better lucky than good.\" - Ebbo Deeppockets',493,39,317,1921433074,0,0,0,0,'Your Lucky Break was successful on %t!','Your Lucky Break fades.','',0,1,'Spells/Scout/LuckyBreak.lua',2610,'You cast Lucky Break on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1578008496,1384378116,0,0),
(310018,1980541807,1,0,'Quick Strike','A quick attack that deals low damage.',338,36,315,1921433074,1921433074,15,0,1,'Your Quick Strike was successful on %t!','Your Quick Strike fades.','',0,1,'Spells/Scout/QuickStrike.lua',254,'You cast Quick Strike on %t.',1,0,0,1,0,0,0,0,0,310018,0,0,0,0,0,1,0,0,0,'DD',1578008376,1384378116,0,0),
(310019,1142797896,1,0,'Sinister Strike','Your research into certain enemies allows you to perform an attack from the side or rear that leaves your opponent vulnerable to further attacks by reducing their physical mitigation. (Completing Lore and Legend quests adds more races to this ability)',366,40,315,1921433074,0,25,0,1,'Your Sinister Strike was successful on %t!','Your Sinister Strike fades.','',0,0,'',0,'You cast Sinister Strike on %t.',1,0,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1613319153,1384377881,0,0),
(310020,1887517591,1,0,'Sneak Attack','An attack from the side that deals moderate damage.',377,40,315,1921433074,0,25,0,1,'Your Sneak Attack was successful on %t!','Your Sneak Attack fades.','',0,1,'Spells/Scout/SneakAttack.lua',51,'You cast Sneak Attack on %t.',1,0,0,1,0,1,0,0,0,310020,0,0,0,0,0,1,0,0,0,'DD',1578008541,1384378116,0,0),
(310021,4104217751,1,0,'Thirsting Veil','This ability grants the scout a chance to deal Disease damage over-time to vampire opponents. A portion of this damage is returned as Health to the scout.',244,38,315,0,0,0,0,1,'Your Thirsting Veil was successful on %t!','Your Thirsting Veil fades.','',0,0,'Spells/Scout/ThirstingVeil.lua',0,'You cast Thirsting Veil on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DoT',1384670963,1384377840,0,0),
(310022,2909548087,1,0,'Trick of the Hunter','Slows target''s movement speed for a short time and decreases their magic resist. The slow effect has a chance to break each time the target is attacked. There is a small chance that the slow effect will root the target in place.',308,41,315,0,0,0,0,1,'Your Trick of the Hunter was successful on %t!','Your Trick of the Hunter fades.','',0,0,'',0,'You cast Trick of the Hunter on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1613319102,1384377881,0,0),
(320000,3379387510,1,0,'Back Attack','An attack from flanking or behind that deals great damage and decreases target''s agility.',381,36,315,1514256692,0,50,0,1,'Your Backstab was successful on %t!','Your Backstab fades.','',0,1,'Spells/Scout/Rogue/Backstab.lua',51,'You cast Backstab on %t.',1,0,0,1,0,0,0,0,0,320000,0,0,0,0,0,1,0,0,0,'DD',1384670722,1384378115,0,0),
(320001,1290201231,1,0,'Bludgeon','A quick attack that knocks down the enemy.',374,36,315,1514256692,0,75,0,1,'Your Bludgeon was successful on %t!','Your Bludgeon fades.','',0,1,'Spells/Scout/Rogue/Bludgeon.lua',1237,'You cast Bludgeon on %t.',1,0,0,1,0,0,0,0,0,320001,0,0,0,0,0,1,0,0,0,'DD',1384670743,1384378115,0,0),
(320002,3251368212,1,0,'Circular Strike','An attack that strikes all enemies surrounding the scout. Anyone hit by this attack gets interrupted.',343,36,313,1514256692,0,30,0,1,'Your Circular Strike was successful on %t!','Your Circular Strike fades.','',0,1,'Spells/Scout/CircularStrike.lua',91,'You cast Circular Strike on %t.',1,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1384670759,1384378115,0,0),
(320003,2601159966,1,0,'Rash Advance','Increases offensive skills at the cost of the rogue''s defense skill. This ability also grants the rogue a chance to interrupt with additional melee damage with each successful attack. ',271,38,317,1514256692,0,65,0,0,'Your Rash Advance was successful on %t!','Your Rash Advance fades.','',0,1,'Spells/Scout/Rogue/DaringAdvance.lua',2738,'You cast Rash Advance on %t.',1,0,0,1,1,1,0,0,0,320003,0,0,0,0,0,1,0,0,0,'Unset',1384670772,1384378115,0,0),
(320004,543745813,1,1,'Risky Advance','Increases offensive skills at the cost of the rogue''s defense skill. This ability also grants the rogue a chance to interrupt with additional melee damage with each successful attack. This is the rogue''s primary offensive stance.',271,38,317,1514256692,0,135,1,0,'Your Daring Advance II was successful on %t!','Your Daring Advance II fades.','',0,1,'Spells/Scout/Rogue/RiskyAdvance.lua',2738,'You cast Daring Advance II on %t.',1,0,0,1,1,1,0,0,0,320003,0,0,0,0,0,0,0,0,0,'Unset',1384670772,1384378115,0,0),
(320005,2883701788,1,1,'Rash Advance','Increases offensive skills at the cost of the rogue''s defense skill. This ability also grants the rogue a chance to interrupt with additional melee damage with each successful attack. This is the rogue''s primary offensive stance.',271,38,317,1514256692,0,205,1,0,'Your Daring Advance III was successful on %t!','Your Daring Advance III fades.','',0,1,'Spells/Scout/Rogue/DaringAdvance.lua',2738,'You cast Daring Advance III on %t.',1,0,0,1,1,1,0,0,0,320003,0,0,0,0,0,1,0,0,0,'Unset',1384670772,1384378115,0,0),
(320006,2333771224,1,1,'Audacious Advance','Increases offensive skills at the cost of the rogue''s defense skill. This ability also grants the rogue a chance to interrupt with additional melee damage with each successful attack. This is the rogue''s primary offensive stance.',271,38,317,1514256692,0,275,1,0,'Your Daring Advance IV was successful on %t!','Your Daring Advance IV fades.','',0,1,'Spells/Scout/Rogue/DaringAdvance.lua',2738,'You cast Daring Advance IV on %t.',1,0,0,1,1,1,0,0,0,320003,0,0,0,0,0,1,0,0,0,'Unset',1384670772,1384378157,0,0),
(320007,396970464,1,1,'Dauntless Advance','Increases offensive skills at the cost of the rogue''s defense skill. This ability also grants the rogue a chance to interrupt with additional melee damage with each successful attack. This is the rogue''s primary offensive stance.',271,38,317,1514256692,0,345,1,0,'Your Daring Advance V was successful on %t!','Your Daring Advance V fades.','',0,1,'Spells/Scout/Rogue/DaringAdvance.lua',2738,'You cast Daring Advance V on %t.',1,0,0,1,1,1,0,0,0,320003,0,0,0,0,0,1,0,0,0,'Unset',1384670772,1384378115,0,0),
(320008,489769667,1,1,'Adventurous Advance','Increases offensive skills at the cost of the rogue''s defense skill. This ability also grants the rogue a chance to interrupt with additional melee damage with each successful attack. This is the rogue''s primary offensive stance.',271,38,317,1514256692,0,395,1,0,'Your Daring Advance VI was successful on %t!','Your Daring Advance VI fades.','',0,1,'Spells/Scout/Rogue/DaringAdvance.lua',2738,'You cast Daring Advance VI on %t.',1,0,0,1,1,1,0,0,0,320003,0,0,0,0,0,1,0,0,0,'Unset',1384670772,1384378115,0,0),
(320009,1307196162,1,1,'Daring Advance VII','Increases offensive skills at the cost of the rogue''s defense skill. This ability also grants the rogue a chance to interrupt with additional melee damage with each successful attack. This is the rogue''s primary offensive stance.',271,38,317,1514256692,0,445,1,0,'Your Daring Advance VII was successful on %t!','Your Daring Advance VII fades.','',0,1,'Spells/Scout/Rogue/DaringAdvance.lua',2738,'You cast Daring Advance VII on %t.',1,0,0,1,1,1,0,0,0,320003,0,0,0,0,0,1,0,0,0,'Unset',1384670772,1384378116,0,0),
(320010,3394039873,1,1,'Daring Advance VIII','Increases offensive skills at the cost of the rogue''s defense skill. This ability also grants the rogue a chance to interrupt with additional melee damage with each successful attack. This is the rogue''s primary offensive stance.',271,38,317,1514256692,0,495,1,0,'Your Daring Advance VIII was successful on %t!','Your Daring Advance VIII fades.','',0,1,'Spells/Scout/Rogue/DaringAdvance.lua',2738,'You cast Daring Advance VIII on %t.',1,0,0,0,1,0,0,0,0,320003,0,0,0,0,0,1,0,0,0,'Unset',1384670772,1384378115,0,0),
(320011,2035362829,1,0,'Distracting Blade','An attack made from the side that deals moderate damage and interrupts the target.',377,40,315,1514256692,0,95,0,1,'Your Distracting Blade was successful on %t!','Your Distracting Blade fades.','',0,1,'Spells/Scout/Rogue/DistractingBlade.lua',51,'You cast Distracting Blade on %t.',1,0,0,1,0,0,0,0,0,310020,0,0,0,0,0,1,0,0,0,'DD',1384670788,1384378115,0,0),
(320012,3256293002,1,0,'Fancy Footwork','Greatly increases parry skill.',225,40,317,1514256692,0,90,0,0,'Your Fancy Footwork was successful on %t!','Your Fancy Footwork fades.','',0,1,'Spells/Scout/Rogue/FancyFootwork.lua',2744,'You cast Fancy Footwork on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'CombatBuff',1384670804,1384378115,0,0),
(320013,2192641681,1,0,'Gouge','An attack from the side or the front that deals medium damage. If it hits, it cripples target''s ability to parry.',346,36,315,1514256692,0,75,0,1,'Your Gouge was successful on %t!','Your Gouge fades.','',0,1,'Spells/Scout/Rogue/Gouge.lua',2787,'You cast Gouge on %t.',1,0,0,1,0,0,0,0,0,320013,0,0,0,0,0,1,0,0,0,'DD',1384670817,1384378115,0,0),
(320014,3467759118,1,0,'Quick Flurry','Two precise quick attacks. If one of these attacks misses, the successive ones will miss automatically.',296,36,315,1514256692,0,60,0,1,'Your Quick Flurry was successful on %t!','Your Quick Flurry fades.','',0,1,'Spells/Scout/Rogue/QuickFlurry.lua',310,'You cast Quick Flurry on %t.',1,0,0,1,0,0,0,0,0,320014,0,0,0,0,0,1,0,0,0,'DD',1576361155,1384378115,0,0),
(320015,2920389212,1,0,'Ruthless Cunning','Increases Multi-Attack Chance for a short time.',383,38,317,1514256692,0,175,0,0,'Your Ruthless Cunning was successful on %t!','Your Ruthless Cunning fades.','',0,1,'Spells/Scout/Rogue/RuthlessCunning.lua',2758,'You cast Ruthless Cunning on %t.',1,0,0,1,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1576360876,1384378115,0,0),
(320016,4160337094,1,1,'Self Preservation','Allows the rogue to concentrate on not drawing attention from enemies, granting a chance to lower an enemy''s hate towards the rogue with each hit.',260,38,317,1514256692,0,85,1,0,'Your Self Preservation was successful on %t!','Your Self Preservation fades.','',0,1,'Spells/Scout/Rogue/SelfPreservation.lua',2774,'You cast Self Preservation on %t.',1,0,0,1,1,0,0,0,0,320016,0,0,0,0,0,1,0,0,0,'Detaunt',1384670918,1384378115,0,0),
(320017,3239043232,1,0,'Smugglers Talent','Lowers the target''s hate towards the rogue and places the rogue into stealth.',370,38,315,1514256692,0,95,0,1,'Your Shadow Slip was successful on %t!','Your Shadow Slip fades.','',0,1,'Spells/Scout/Rogue/ShadowSlip.lua',2688,'You cast Shadow Slip on %t.',1,0,0,1,0,0,0,0,0,320017,0,0,0,0,0,1,0,0,0,'Unset',1384670921,1384378115,0,0),
(320018,1526326537,1,0,'Lie Low','Lowers the target''s hate towards the rogue and places the rogue into stealth.',370,38,315,1514256692,0,165,0,1,'Your Shadow Slip II was successful on %t!','Your Shadow Slip II fades.','',0,1,'Spells/Scout/Rogue/ShadowSlip.lua',2688,'You cast Shadow Slip II on %t.',1,0,0,1,0,0,0,0,0,320017,0,0,0,0,0,1,0,0,0,'Unset',1384670921,1384378115,0,0),
(320019,4147728330,1,0,'Shadowslip','Lowers the target''s hate towards the rogue and places the rogue into stealth.',370,38,315,1514256692,0,235,0,1,'Your Shadow Slip III was successful on %t!','Your Shadow Slip III fades.','',0,1,'Spells/Scout/Rogue/ShadowSlip.lua',2688,'You cast Shadow Slip III on %t.',1,0,0,1,0,0,0,0,0,320017,0,0,0,0,0,1,0,0,0,'Unset',1384670921,1384378115,0,0),
(320020,2109543964,1,0,'Hideaway','Lowers the target''s hate towards the rogue and places the rogue into stealth.',370,38,315,1514256692,0,305,0,1,'Your Shadow Slip IV was successful on %t!','Your Shadow Slip IV fades.','',0,1,'Spells/Scout/Rogue/ShadowSlip.lua',2688,'You cast Shadow Slip IV on %t.',1,0,0,1,0,0,0,0,0,320017,0,0,0,0,0,1,0,0,0,'Unset',1384670921,1384378115,0,0),
(320021,4215486757,1,0,'Smuggle','Allows the rogue''s group to move slowly undetected.',341,38,314,1514256692,0,55,0,2,'Your Smuggle was successful on %t!','Your Smuggle fades.','',0,1,'Spells/Scout/Rogue/Smuggle.lua',2761,'You cast Smuggle on %t.',1,0,1,0,1,1,0,0,0,320021,0,0,0,0,0,1,0,0,0,'Buff',1576360904,1384378115,0,0),
(320022,978081226,1,1,'Sneak','Allows the rogue to move undetected and detect stealthed creatures.',341,38,317,1921433074,0,5,1,0,'Your Sneak was successful on %t!','Your Sneak fades.','',0,1,'Spells/Scout/Rogue/Sneak.lua',41,'You cast Sneak on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Buff',1384670938,1384378115,0,0),
(320023,1588545212,1,0,'Strangling Shot','Requires a ranged weapon. Launches two shots at once and reduces enemy power.',362,37,315,1514256692,0,80,0,1,'Your Strangling Shot was successful on %t!','Your Strangling Shot fades.','',0,1,'Spells/Scout/Rogue/StranglingShot.lua',271,'You cast Strangling Shot on %t.',1,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1384670950,1384378115,0,0),
(320024,3901096553,1,1,'Street Smarts','Increases the agility and strength of the rogue.',294,38,317,1514256692,0,65,1,0,'Your Street Smarts was successful on %t!','Your Street Smarts fades.','',0,1,'Spells/Scout/Rogue/StreetSmarts.lua',2796,'You cast Street Smarts on %t.',1,0,0,1,1,0,0,0,0,320024,0,0,0,0,0,1,0,0,0,'Buff',1576361016,1384378115,0,0),
(320025,1497818298,1,0,'Swear','Increases the hate of all enemies in an encounter towards the Mercenary.',603,65535,65535,0,0,0,0,1,'Your Swear was successful on %t!','Your Swear fades.','',0,1,'',3502,'You cast Swear on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670959,1384377906,0,0),
(330000,742398127,1,0,'Cold Throw','Two precise ranged attacks that deal cold damage. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, the target becomes snared. This requires a ranged weapon.',340,37,315,2663054519,0,80,0,1,'Your Arctic Blast was successful on %t!','Your Arctic Blast fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/ArcticBlast.lua',2735,'You cast Arctic Blast on %t.',1,0,0,1,0,1,0,0,0,330000,0,0,0,0,0,0,0,0,0,'DD',1580671147,1384378113,0,0),
(330001,3052401044,1,0,'Watery Shot','Two precise ranged attacks that deal cold damage. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, the target becomes snared. This requires a ranged weapon.',340,37,315,2663054519,0,150,0,1,'Your Arctic Blast II was successful on %t!','Your Arctic Blast II fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/ArcticBlast.lua',2735,'You cast Arctic Blast II on %t.',1,0,0,1,0,1,0,0,0,330000,0,0,0,0,0,1,0,0,0,'DD',1580671277,1384378115,0,0),
(330002,3472420564,1,0,'Frigid Blast','Two precise ranged attacks that deal cold damage. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, the target becomes snared. This requires a ranged weapon.',340,37,315,2663054519,0,220,0,1,'Your Arctic Blast III was successful on %t!','Your Arctic Blast III fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/ArcticBlast.lua',2735,'You cast Arctic Blast III on %t.',1,0,0,1,0,1,0,0,0,330000,0,0,0,0,0,1,0,0,0,'DD',1580671323,1384378115,0,0),
(330003,1856413037,1,0,'Arctic Blast','Two precise ranged attacks that deal cold damage. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, the target becomes snared. This requires a ranged weapon.',340,37,315,2663054519,0,290,0,1,'Your Arctic Blast IV was successful on %t!','Your Arctic Blast IV fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/ArcticBlast.lua',2735,'You cast Arctic Blast IV on %t.',1,0,0,1,0,1,0,0,0,330000,0,0,0,0,0,1,0,0,0,'DD',1580671430,1384378115,0,0),
(330004,1095254958,1,0,'Velium Throw','Two precise ranged attacks that deal cold damage. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, the target becomes snared. This requires a ranged weapon.',340,37,315,2663054519,0,355,0,1,'Your Arctic Blast V was successful on %t!','Your Arctic Blast V fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/ArcticBlast.lua',2735,'You cast Arctic Blast V on %t.',1,0,0,1,0,1,0,0,0,330000,0,0,0,0,0,1,0,0,0,'DD',1580671474,1384378113,0,0),
(330005,1023283233,1,0,'Arctic Blast VI','Two precise ranged attacks that deal cold damage. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, the target becomes snared. This requires a ranged weapon.',340,37,315,2663054519,0,405,0,1,'Your Arctic Blast VI was successful on %t!','Your Arctic Blast VI fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/ArcticBlast.lua',2735,'You cast Arctic Blast VI on %t.',1,0,0,1,0,1,0,0,0,330000,0,0,0,0,0,1,0,0,0,'DD',1580671515,1384378113,0,0),
(330006,2231749577,1,0,'Arctic Blast VII','Two precise ranged attacks that deal cold damage. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, the target becomes snared. This requires a ranged weapon.',340,37,315,2663054519,0,455,0,1,'Your Arctic Blast VII was successful on %t!','Your Arctic Blast VII fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/ArcticBlast.lua',2735,'You cast Arctic Blast VII on %t.',1,0,0,1,0,1,0,0,0,330000,0,0,0,0,0,1,0,0,0,'DD',1580671579,1384377830,0,0),
(330007,1033415927,1,1,'Avoid Notice','Allows the swashbuckler to concentrate on not drawing attention from enemies, granting a chance to lower an enemy''s hate towards the swashbuckler with each hit.',260,38,317,2663054519,0,85,1,0,'Your Avoid Blame was successful on %t!','Your Avoid Blame fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/AvoidBlame.lua',2736,'You cast Avoid Blame on %t.',1,0,0,1,1,1,0,0,0,330007,0,0,0,0,0,0,0,0,0,'Unset',1580671821,1384378113,0,0),
(330008,2029735028,1,1,'Avoid Attention','Allows the swashbuckler to concentrate on not drawing attention from enemies, granting a chance to lower an enemy''s hate towards the swashbuckler with each hit.',260,38,317,2663054519,0,155,1,1,'Your Avoid Blame II was successful on %t!','Your Avoid Blame II fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/AvoidBlame.lua',2736,'You cast Avoid Blame II on %t.',1,0,0,1,1,1,0,0,0,330007,0,0,0,0,0,1,0,0,0,'Unset',1580671850,1384377830,0,0),
(330009,3831609443,1,1,'Avoid Blame','Allows the swashbuckler to concentrate on not drawing attention from enemies, granting a chance to lower an enemy''s hate towards the swashbuckler with each hit.',260,38,317,2663054519,0,225,1,1,'Your Avoid Blame III was successful on %t!','Your Avoid Blame III fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/AvoidBlame.lua',2736,'You cast Avoid Blame III on %t.',1,0,0,1,1,1,0,0,0,330007,0,0,0,0,0,1,0,0,0,'Unset',1580671861,1384378115,0,0),
(330010,4025360156,1,1,'Avoid Censure','Allows the swashbuckler to concentrate on not drawing attention from enemies, granting a chance to lower an enemy''s hate towards the swashbuckler with each hit.',260,38,317,2663054519,0,295,1,1,'Your Avoid Blame IV was successful on %t!','Your Avoid Blame IV fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/AvoidBlame.lua',2736,'You cast Avoid Blame IV on %t.',1,0,0,1,1,1,0,0,0,330007,0,0,0,0,0,1,0,0,0,'Unset',1580671869,1384378115,0,0),
(330011,1390234958,1,1,'Avoid','Allows the swashbuckler to concentrate on not drawing attention from enemies, granting a chance to lower an enemy''s hate towards the swashbuckler with each hit.',260,38,317,2663054519,0,360,1,1,'Your Avoid Blame V was successful on %t!','Your Avoid Blame V fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/AvoidBlame.lua',2736,'You cast Avoid Blame V on %t.',1,0,0,1,1,1,0,0,0,330007,0,0,0,0,0,1,0,0,0,'Unset',1580671878,1384378113,0,0),
(330012,3018272534,1,1,'Avoid Blame VI','Allows the swashbuckler to concentrate on not drawing attention from enemies, granting a chance to lower an enemy''s hate towards the swashbuckler with each hit.',260,38,317,2663054519,0,410,1,1,'Your Avoid Blame VI was successful on %t!','Your Avoid Blame VI fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/AvoidBlame.lua',2736,'You cast Avoid Blame VI on %t.',1,0,0,1,1,1,0,0,0,330007,0,0,0,0,0,1,0,0,0,'Unset',1580671891,1384378115,0,0),
(330013,787009120,1,1,'Avoid Blame VII','Allows the swashbuckler to concentrate on not drawing attention from enemies, granting a chance to lower an enemy''s hate towards the swashbuckler with each hit.',260,38,317,2663054519,0,460,1,1,'Your Avoid Blame VII was successful on %t!','Your Avoid Blame VII fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/AvoidBlame.lua',2736,'You cast Avoid Blame VII on %t.',1,0,0,1,1,1,0,0,0,330007,0,0,0,0,0,1,0,0,0,'Unset',1580671915,1384378113,0,0),
(330014,3132554096,1,1,'Flight of Foot','Increases the agility, base avoidance, resistances, and stamina of the swashbuckler.',304,38,317,2663054519,0,65,1,0,'Your Bladeweaver was successful on %t!','Your Bladeweaver fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Bladeweaver.lua',2737,'You cast Bladeweaver on %t.',1,0,0,1,1,1,0,0,0,330014,0,0,0,0,0,0,0,0,0,'Unset',1580670647,1384378113,0,0),
(330015,74870112,1,1,'Flight of Fancy','Increases the agility, base avoidance, resistances, and stamina of the swashbuckler.',304,38,317,2663054519,0,135,1,0,'Your Bladeweaver II was successful on %t!','Your Bladeweaver II fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Bladeweaver.lua',2737,'You cast Bladeweaver II on %t.',1,0,0,1,1,1,0,0,0,330014,0,0,0,0,0,1,0,0,0,'Unset',1580670656,1384378113,0,0),
(330016,2177915278,1,1,'Bladeweaver','Increases the agility, base avoidance, resistances, and stamina of the swashbuckler.',304,38,317,2663054519,0,205,1,0,'Your Bladeweaver III was successful on %t!','Your Bladeweaver III fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Bladeweaver.lua',2737,'You cast Bladeweaver III on %t.',1,0,0,1,1,1,0,0,0,330014,0,0,0,0,0,1,0,0,0,'Unset',1580670671,1384378115,0,0),
(330017,817044034,1,1,'Battleweaver','Increases the agility, base avoidance, resistances, and stamina of the swashbuckler.',304,38,317,2663054519,0,275,1,0,'Your Bladeweaver IV was successful on %t!','Your Bladeweaver IV fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Bladeweaver.lua',2737,'You cast Bladeweaver IV on %t.',1,0,0,1,1,1,0,0,0,330014,0,0,0,0,0,1,0,0,0,'Unset',1580670684,1384378115,0,0),
(330018,1700954136,1,1,'Steelweaver','Increases the agility, base avoidance, resistances, and stamina of the swashbuckler.',304,38,317,2663054519,0,345,1,0,'Your Bladeweaver V was successful on %t!','Your Bladeweaver V fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Bladeweaver.lua',2737,'You cast Bladeweaver V on %t.',1,0,0,1,1,1,0,0,0,330014,0,0,0,0,0,1,0,0,0,'Unset',1580670714,1384378113,0,0),
(330019,1847989111,1,1,'Weaver','Increases the agility, base avoidance, resistances, and stamina of the swashbuckler.',304,38,317,2663054519,0,395,1,0,'Your Bladeweaver VI was successful on %t!','Your Bladeweaver VI fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Bladeweaver.lua',2737,'You cast Bladeweaver VI on %t.',1,0,0,1,1,1,0,0,0,330014,0,0,0,0,0,1,0,0,0,'Unset',1580670725,1384378113,0,0),
(330020,4045806542,1,1,'Bladeweaver VII','Increases the agility, base avoidance, resistances, and stamina of the swashbuckler.',304,38,317,2663054519,0,445,1,0,'Your Bladeweaver VII was successful on %t!','Your Bladeweaver VII fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Bladeweaver.lua',2737,'You cast Bladeweaver VII on %t.',1,0,0,1,1,1,0,0,0,330014,0,0,0,0,0,1,0,0,0,'Unset',1580670738,1384378113,0,0),
(330021,1814690488,1,1,'Bladeweaver VIII','Increases the agility, base avoidance, resistances, and stamina of the swashbuckler.',304,38,317,2663054519,0,495,1,0,'Your Bladeweaver VIII was successful on %t!','Your Bladeweaver VIII fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Bladeweaver.lua',2737,'You cast Bladeweaver VIII on %t.',1,0,0,0,1,0,0,0,0,330014,0,0,0,0,0,1,0,0,0,'Unset',1580670751,1384377829,0,0),
(330022,95940810,1,0,'Flamboyant Swathe- Ready for Testing','A powerful attack that strikes all enemies surrounding the swashbuckler.',380,36,313,2663054519,0,100,0,1,'Your Dashing Swathe was successful on %t!','Your Dashing Swathe fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FlamboyantSwathe.lua',91,'You cast Dashing Swathe on %t.',1,0,0,1,0,1,0,0,0,330022,0,0,0,0,0,1,0,0,0,'DD',1580672086,1384378113,0,0),
(330023,1510938726,1,0,'Rakish Swathe','A powerful attack that strikes all enemies surrounding the swashbuckler. Anyone struck by this attack will be knocked down for a short time.',380,36,313,2663054519,0,170,0,1,'Your Dashing Swathe II was successful on %t!','Your Dashing Swathe II fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/DashingSwathe.lua',2739,'You cast Dashing Swathe II on %t.',1,0,0,1,0,0,0,0,0,330022,0,0,0,0,0,1,0,0,0,'DD',1580672140,1384378113,0,0),
(330024,385289235,1,0,'Brilliant Swathe','A powerful attack that strikes all enemies surrounding the swashbuckler. Anyone struck by this attack will be knocked down for a short time.',380,36,313,2663054519,0,240,0,1,'Your Dashing Swathe III was successful on %t!','Your Dashing Swathe III fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/DashingSwathe.lua',2739,'You cast Dashing Swathe III on %t.',1,0,0,1,0,0,0,0,0,330022,0,0,0,0,0,1,0,0,0,'DD',1580672465,1384378113,0,0),
(330025,3309385881,1,0,'Dashing Swathe','A powerful attack that strikes all enemies surrounding the swashbuckler. Anyone struck by this attack will be knocked down for a short time.',380,36,313,2663054519,0,310,0,1,'Your Dashing Swathe IV was successful on %t!','Your Dashing Swathe IV fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/DashingSwathe.lua',2739,'You cast Dashing Swathe IV on %t.',1,0,0,1,0,0,0,0,0,330022,0,0,0,0,0,1,0,0,0,'DD',1580672515,1384378115,0,0),
(330026,1097576374,1,0,'Swathe','A powerful attack that strikes all enemies surrounding the swashbuckler. Anyone struck by this attack will be knocked down for a short time.',380,36,313,2663054519,0,370,0,1,'Your Dashing Swathe V was successful on %t!','Your Dashing Swathe V fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/DashingSwathe.lua',2739,'You cast Dashing Swathe V on %t.',1,0,0,1,0,0,0,0,0,330022,0,0,0,0,0,1,0,0,0,'DD',1580672591,1384378113,0,0),
(330027,3623135723,1,0,'Dashing Swathe VI','A powerful attack that strikes all enemies surrounding the swashbuckler. Anyone struck by this attack will be knocked down for a short time.',380,36,313,2663054519,0,420,0,1,'Your Dashing Swathe VI was successful on %t!','Your Dashing Swathe VI fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/DashingSwathe.lua',2739,'You cast Dashing Swathe VI on %t.',1,0,0,1,0,0,0,0,0,330022,0,0,0,0,0,1,0,0,0,'DD',1580672687,1384377829,0,0),
(330028,1347576488,1,0,'Dashing Swathe VII','A powerful attack that strikes all enemies surrounding the swashbuckler. Anyone struck by this attack will be knocked down for a short time.',380,36,313,2663054519,0,470,0,1,'Your Dashing Swathe VII was successful on %t!','Your Dashing Swathe VII fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/DashingSwathe.lua',2739,'You cast Dashing Swathe VII on %t.',1,0,0,1,0,0,0,0,0,330022,0,0,0,0,0,1,0,0,0,'DD',1580672733,1384378113,0,0),
(330029,3549007737,1,0,'False Blade','An attack that enrages the target, causing the next person it attacks to generate much more hate for a short duration.',264,36,315,2663054519,0,150,0,1,'Your Devious Blade was successful on %t!','Your Devious Blade fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/DeviousBlade.lua',2740,'You cast Devious Blade on %t.',1,0,0,1,0,1,4,0,0,330029,0,0,0,0,0,1,0,0,0,'Unset',1580678286,1384378115,0,0),
(330030,1129735441,1,0,'Treacherous Blade','An attack that enrages the target, causing the next person it attacks to generate much more hate for a short duration.',264,36,315,2663054519,0,220,0,1,'Your Devious Blade II was successful on %t!','Your Devious Blade II fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/DeviousBlade.lua',2740,'You cast Devious Blade II on %t.',1,0,0,1,0,1,4,0,0,330029,0,0,0,0,0,1,0,0,0,'Unset',1580678332,1384378115,0,0),
(330031,132578896,1,0,'Devious Blade','An attack that enrages the target, causing the next person it attacks to generate much more hate for a short duration.',264,36,315,2663054519,0,290,0,1,'Your Devious Blade III was successful on %t!','Your Devious Blade III fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/DeviousBlade.lua',2740,'You cast Devious Blade III on %t.',1,0,0,1,0,1,4,0,0,330029,0,0,0,0,0,1,0,0,0,'Unset',1580678391,1384378157,0,0),
(330032,1998621013,1,0,'Blame Blade','An attack that enrages the target, causing the next person it attacks to generate much more hate for a short duration.',264,36,315,2663054519,0,360,0,1,'Your Devious Blade IV was successful on %t!','Your Devious Blade IV fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/DeviousBlade.lua',2740,'You cast Devious Blade IV on %t.',1,0,0,1,0,1,4,0,0,330029,0,0,0,0,0,1,0,0,0,'Unset',1580678430,1384378113,0,0),
(330033,1772339487,1,0,'Devious Blade V','An attack that enrages the target, causing the next person it attacks to generate much more hate for a short duration.',264,36,315,2663054519,0,410,0,1,'Your Devious Blade V was successful on %t!','Your Devious Blade V fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/DeviousBlade.lua',2740,'You cast Devious Blade V on %t.',1,0,0,1,0,1,4,0,0,330029,0,0,0,0,0,1,0,0,0,'Unset',1580678457,1384378115,0,0),
(330034,3351990414,1,0,'Devious Blade VI','An attack that enrages the target, causing the next person it attacks to generate much more hate for a short duration.',264,36,315,2663054519,0,460,0,1,'Your Devious Blade VI was successful on %t!','Your Devious Blade VI fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/DeviousBlade.lua',2740,'You cast Devious Blade VI on %t.',1,0,0,1,0,1,4,0,0,330029,0,0,0,0,0,1,0,0,0,'Unset',1580678497,1384378113,0,0),
(330035,2024975320,1,0,'Disarming Grin','Mesmerizes a single target and removes them from being affected by area of effect spells for a short duration.',289,41,315,2663054519,0,130,0,1,'Your Disarming Grin was successful on %t!','Your Disarming Grin fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/DisarmingGrin.lua',2741,'You cast Disarming Grin on %t.',1,0,0,1,0,1,2,1,0,330035,0,0,0,0,0,1,0,0,0,'Unset',1580673917,1384378113,0,0),
(330036,2150985926,1,0,'Disarming Smirk','Mesmerizes a single target and removes them from being affected by area of effect spells for a short duration.',289,41,315,2663054519,0,200,0,1,'Your Disarming Grin II was successful on %t!','Your Disarming Grin II fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/DisarmingGrin.lua',2741,'You cast Disarming Grin II on %t.',1,0,0,1,0,1,2,1,0,330035,0,0,0,0,0,1,0,0,0,'Unset',1580676671,1384378115,0,0),
(330037,2841432903,1,0,'Disarming Leer','Mesmerizes a single target and removes them from being affected by area of effect spells for a short duration.',289,41,315,2663054519,0,270,0,1,'Your Disarming Grin III was successful on %t!','Your Disarming Grin III fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/DisarmingGrin.lua',2741,'You cast Disarming Grin III on %t.',1,0,0,1,0,1,2,1,0,330035,0,0,0,0,0,1,0,0,0,'Unset',1580676724,1384378115,0,0),
(330038,431369735,1,0,'Disarming Sneer','Mesmerizes a single target and removes them from being affected by area of effect spells for a short duration.',289,41,315,2663054519,0,340,0,1,'Your Disarming Grin IV was successful on %t!','Your Disarming Grin IV fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/DisarmingGrin.lua',2741,'You cast Disarming Grin IV on %t.',1,0,0,1,0,1,2,1,0,330035,0,0,0,0,0,1,0,0,0,'Unset',1580676779,1384378113,0,0),
(330039,2311859551,1,0,'Disarm','Mesmerizes a single target and removes them from being affected by area of effect spells for a short duration.',289,41,315,2663054519,0,390,0,1,'Your Disarming Grin V was successful on %t!','Your Disarming Grin V fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/DisarmingGrin.lua',2741,'You cast Disarming Grin V on %t.',1,0,0,1,0,1,2,1,0,330035,0,0,0,0,0,1,0,0,0,'Unset',1580676829,1384378113,0,0),
(330040,1780253226,1,0,'Disarming Grin VI','Mesmerizes a single target and removes them from being affected by area of effect spells for a short duration.',289,41,315,2663054519,0,440,0,1,'Your Disarming Grin VI was successful on %t!','Your Disarming Grin VI fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/DisarmingGrin.lua',2741,'You cast Disarming Grin VI on %t.',1,0,0,1,0,1,2,1,0,330035,0,0,0,0,0,1,0,0,0,'Unset',1580676884,1384378113,0,0),
(330041,3069134963,1,0,'Dirty Tricks','Decreases target''s defense and wisdom.',310,41,315,1921433074,0,30,0,1,'Your Double-Cross was successful on %t!','Your Double-Cross fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/DoubleCross.lua',2742,'You cast Double-Cross on %t.',1,0,0,1,0,1,1,0,0,330041,0,0,0,0,0,0,0,0,0,'Unset',1580669529,1384378113,0,0),
(330042,1453800662,1,0,'Flashy Trick','Decreases target''s defense and wisdom.',310,41,315,2663054519,0,110,0,1,'Your Double-Cross II was successful on %t!','Your Double-Cross II fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/DoubleCross.lua',2742,'You cast Double-Cross II on %t.',1,0,0,1,0,1,1,0,0,330041,0,0,0,0,0,1,0,0,0,'Unset',1580669574,1384378113,0,0),
(330043,388565215,1,0,'Tricky Display','Decreases target''s defense and wisdom.',310,41,315,2663054519,0,180,0,1,'Your Double-Cross III was successful on %t!','Your Double-Cross III fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/DoubleCross.lua',2742,'You cast Double-Cross III on %t.',1,0,0,1,0,1,1,0,0,330041,0,0,0,0,0,1,0,0,0,'Unset',1580669615,1384378115,0,0),
(330044,2078750333,1,0,'Deriding Chicanery','Decreases target''s defense and wisdom.',310,41,315,2663054519,0,250,0,1,'Your Double-Cross IV was successful on %t!','Your Double-Cross IV fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/DoubleCross.lua',2742,'You cast Double-Cross IV on %t.',1,0,0,1,0,1,1,0,0,330041,0,0,0,0,0,1,0,0,0,'Unset',1580669669,1384377830,0,0),
(330045,688092304,1,0,'Double-cross','Decreases target''s defense and wisdom.',310,41,315,2663054519,0,320,0,1,'Your Double-Cross V was successful on %t!','Your Double-Cross V fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/DoubleCross.lua',2742,'You cast Double-Cross V on %t.',1,0,0,1,0,1,1,0,0,330041,0,0,0,0,0,1,0,0,0,'Unset',1580669692,1384378115,0,0),
(330046,1530859345,1,0,'Trickery','Decreases target''s defense and wisdom.',310,41,315,2663054519,0,375,0,1,'Your Double-Cross VI was successful on %t!','Your Double-Cross VI fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/DoubleCross.lua',2742,'You cast Double-Cross VI on %t.',1,0,0,1,0,1,1,0,0,330041,0,0,0,0,0,1,0,0,0,'Unset',1580669765,1384378113,0,0),
(330047,1501531539,1,0,'Double-Cross VII','Decreases target''s defense and wisdom.',310,41,315,2663054519,0,425,0,1,'Your Double-Cross VII was successful on %t!','Your Double-Cross VII fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/DoubleCross.lua',2742,'You cast Double-Cross VII on %t.',1,0,0,1,0,1,1,0,0,330041,0,0,0,0,0,1,0,0,0,'Unset',1580669811,1384378115,0,0),
(330048,3766769275,1,0,'Double-Cross VIII','Decreases target''s defense and wisdom.',310,41,315,2663054519,0,475,0,1,'Your Double-Cross VIII was successful on %t!','Your Double-Cross VIII fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/DoubleCross.lua',2742,'You cast Double-Cross VIII on %t.',1,0,0,0,0,0,1,0,0,330041,0,0,0,0,0,1,0,0,0,'Unset',1580669844,1384378113,0,0),
(330049,3543198183,1,0,'En Garde','Every time an enemy parries, blocks, ripostes, or deflects the swashbuckler, the swashbuckler is granted another chance to attack. Every time the swashbuckler parries, ripostes, or blocks an enemy, the swashbuckler is granted another chance to attack. Sometimes the swashbuckler will also counterattack when they successfully land a combat art.',49,65535,317,2663054519,0,325,0,0,'Your En Garde was successful on %t!','Your En Garde fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/EnGarde.lua',2743,'You cast En Garde on %t.',1,0,0,1,1,1,0,0,0,330049,0,0,0,0,0,1,0,0,0,'Unset',1580680825,1384378115,0,0),
(330050,3691313663,1,0,'On Guard','Every time an enemy parries, blocks, ripostes, or deflects the swashbuckler, the swashbuckler is granted another chance to attack. Every time the swashbuckler parries, ripostes, or blocks an enemy, the swashbuckler is granted another chance to attack. Sometimes the swashbuckler will also counterattack when they successfully land a combat art.',49,65535,317,2663054519,0,390,0,0,'Your En Garde II was successful on %t!','Your En Garde II fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/EnGarde.lua',2743,'You cast En Garde II on %t.',1,0,0,1,1,1,0,0,0,330049,0,0,0,0,0,1,0,0,0,'Unset',1580680836,1384378113,0,0),
(330051,1958234449,1,0,'En Garde III','Every time an enemy parries, blocks, ripostes, or deflects the swashbuckler, the swashbuckler is granted another chance to attack. Every time the swashbuckler parries, ripostes, or blocks an enemy, the swashbuckler is granted another chance to attack. Sometimes the swashbuckler will also counterattack when they successfully land a combat art.',49,65535,317,2663054519,0,440,0,0,'Your En Garde III was successful on %t!','Your En Garde III fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/EnGarde.lua',2743,'You cast En Garde III on %t.',1,0,0,1,1,1,0,0,0,330049,0,0,0,0,0,1,0,0,0,'Unset',1580680860,1384378113,0,0),
(330052,3040253585,1,0,'En Garde IV','Every time an enemy parries, blocks, ripostes, or deflects the swashbuckler, the swashbuckler is granted another chance to attack. Every time the swashbuckler parries, ripostes, or blocks an enemy, the swashbuckler is granted another chance to attack. Sometimes the swashbuckler will also counterattack when they successfully land a combat art.',49,65535,317,2663054519,0,490,0,0,'Your En Garde IV was successful on %t!','Your En Garde IV fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/EnGarde.lua',2743,'You cast En Garde IV on %t.',1,0,0,0,1,0,0,0,0,330049,0,0,0,0,0,1,0,0,0,'Unset',1580680872,1384378115,0,0),
(330053,982878862,1,1,'Fancy Footwork','Increases defense, parry, aggression, and physical damage mitigation while reducing the offensive melee skills. This is the swashbuckler''s primary defensive stance.',225,40,317,1514256692,0,90,1,0,'Your Fancy Footwork was successful on %t!','Your Fancy Footwork fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FancyFootwork.lua',2744,'You cast Fancy Footwork on %t.',1,0,0,1,1,1,0,0,0,330053,0,0,0,0,0,0,0,0,0,'Unset',1580671970,1384378113,0,0),
(330054,3232413006,1,1,'Smirking Defense','Increases defense, parry, aggression, and physical damage mitigation while reducing the offensive melee skills. This is the swashbuckler''s primary defensive stance.',225,40,317,2663054519,0,160,1,0,'Your Fancy Footwork II was successful on %t!','Your Fancy Footwork II fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FancyFootwork.lua',2744,'You cast Fancy Footwork II on %t.',1,0,0,1,1,1,0,0,0,330053,0,0,0,0,0,1,0,0,0,'Unset',1580671980,1384378113,0,0),
(330055,106153758,1,1,'Dexterous Slashing','Increases defense, parry, aggression, and physical damage mitigation while reducing the offensive melee skills. This is the swashbuckler''s primary defensive stance.',225,40,317,2663054519,0,230,1,0,'Your Fancy Footwork III was successful on %t!','Your Fancy Footwork III fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FancyFootwork.lua',2744,'You cast Fancy Footwork III on %t.',1,0,0,1,1,1,0,0,0,330053,0,0,0,0,0,1,0,0,0,'Unset',1580671988,1384377834,0,0),
(330056,409063943,1,1,'Agile Slashing','Increases defense, parry, aggression, and physical damage mitigation while reducing the offensive melee skills. This is the swashbuckler''s primary defensive stance.',225,40,317,2663054519,0,300,1,0,'Your Fancy Footwork IV was successful on %t!','Your Fancy Footwork IV fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FancyFootwork.lua',2744,'You cast Fancy Footwork IV on %t.',1,0,0,1,1,1,0,0,0,330053,0,0,0,0,0,1,0,0,0,'Unset',1580671998,1384378115,0,0),
(330057,1312797037,1,1,'Dexterous Stance','Increases defense, parry, aggression, and physical damage mitigation while reducing the offensive melee skills. This is the swashbuckler''s primary defensive stance.',225,40,317,2663054519,0,365,1,0,'Your Fancy Footwork V was successful on %t!','Your Fancy Footwork V fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FancyFootwork.lua',2744,'You cast Fancy Footwork V on %t.',1,0,0,1,1,1,0,0,0,330053,0,0,0,0,0,1,0,0,0,'Unset',1580672009,1384378113,0,0),
(330058,33039854,1,1,'Fancy Footwork VI','Increases defense, parry, aggression, and physical damage mitigation while reducing the offensive melee skills. This is the swashbuckler''s primary defensive stance.',225,40,317,2663054519,0,415,1,0,'Your Fancy Footwork VI was successful on %t!','Your Fancy Footwork VI fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FancyFootwork.lua',2744,'You cast Fancy Footwork VI on %t.',1,0,0,1,1,1,0,0,0,330053,0,0,0,0,0,1,0,0,0,'Unset',1580672024,1384378115,0,0),
(330059,2254368429,1,1,'Fancy Footwork VII','Increases defense, parry, aggression, and physical damage mitigation while reducing the offensive melee skills. This is the swashbuckler''s primary defensive stance.',225,40,317,2663054519,0,465,1,0,'Your Fancy Footwork VII was successful on %t!','Your Fancy Footwork VII fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FancyFootwork.lua',2744,'You cast Fancy Footwork VII on %t.',1,0,0,0,1,0,0,0,0,330053,0,0,0,0,0,1,0,0,0,'Unset',1580672036,1384378113,0,0),
(330060,1378058684,1,0,'Flamboyant Strike','An offensive attack that cripples the target''s intelligence.',380,36,315,2663054519,0,220,0,1,'Your Flamboyant Strike was successful on %t!','Your Flamboyant Strike fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FlamboyantStrike.lua',2745,'You cast Flamboyant Strike on %t.',1,0,0,1,0,1,2,0,0,330060,0,0,0,0,0,1,0,0,0,'DD',1580678770,1384378115,0,0),
(330061,3929520452,1,0,'Gaudy Strike','An offensive attack that cripples the target''s intelligence.',380,36,315,2663054519,0,290,0,1,'Your Flamboyant Strike II was successful on %t!','Your Flamboyant Strike II fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FlamboyantStrike.lua',2745,'You cast Flamboyant Strike II on %t.',1,0,0,1,0,1,2,0,0,330060,0,0,0,0,0,1,0,0,0,'DD',1580679351,1384378115,0,0),
(330062,816646220,1,0,'Flashy Strike','An offensive attack that cripples the target''s intelligence.',380,36,315,2663054519,0,360,0,1,'Your Flamboyant Strike III was successful on %t!','Your Flamboyant Strike III fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FlamboyantStrike.lua',2745,'You cast Flamboyant Strike III on %t.',1,0,0,1,0,1,2,0,0,330060,0,0,0,0,0,1,0,0,0,'DD',1580679389,1384378113,0,0),
(330063,482981700,1,0,'Flamboyant Strike IV','An offensive attack that cripples the target''s intelligence.',380,36,315,2663054519,0,410,0,1,'Your Flamboyant Strike IV was successful on %t!','Your Flamboyant Strike IV fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FlamboyantStrike.lua',2745,'You cast Flamboyant Strike IV on %t.',1,0,0,1,0,1,2,0,0,330060,0,0,0,0,0,1,0,0,0,'DD',1580679426,1384378115,0,0),
(330064,2041482242,1,0,'Flamboyant Strike V','An offensive attack that cripples the target''s intelligence.',380,36,315,2663054519,0,460,0,1,'Your Flamboyant Strike V was successful on %t!','Your Flamboyant Strike V fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FlamboyantStrike.lua',2745,'You cast Flamboyant Strike V on %t.',1,0,0,1,0,1,2,0,0,330060,0,0,0,0,0,1,0,0,0,'DD',1580679481,1384378113,0,0),
(330065,602282097,1,0,'Swipe','A quick attack that lowers the target''s combat attack damage.',338,36,315,2663054519,0,5,0,1,'Your Flash of Steel was successful on %t!','Your Flash of Steel fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FlashofSteel.lua',2746,'You cast Flash of Steel on %t.',1,0,0,1,0,1,1,0,0,310018,0,0,0,0,0,0,0,0,0,'DD',1580613423,1384378113,0,0),
(330066,2449963151,1,0,'Steel Swipe','A quick attack that lowers the target''s combat attack damage.',338,36,315,2663054519,0,40,0,1,'Your Flash of Steel II was successful on %t!','Your Flash of Steel II fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FlashofSteel.lua',2746,'You cast Flash of Steel II on %t.',1,0,0,1,0,1,1,0,0,330065,0,0,0,0,0,0,0,0,0,'DD',1580613456,1384378113,0,0),
(330067,886050822,1,0,'Edged Swipe','A quick attack that lowers the target''s combat attack damage.',338,36,315,2663054519,0,75,0,1,'Your Flash of Steel III was successful on %t!','Your Flash of Steel III fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FlashofSteel.lua',2746,'You cast Flash of Steel III on %t.',1,0,0,1,0,1,1,0,0,330065,0,0,0,0,0,0,0,0,0,'DD',1580613487,1384378113,0,0),
(330068,3447769485,1,0,'Playful Swipe','A quick attack that lowers the target''s combat attack damage.',338,36,315,2663054519,0,145,0,1,'Your Flash of Steel IV was successful on %t!','Your Flash of Steel IV fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FlashofSteel.lua',2746,'You cast Flash of Steel IV on %t.',1,0,0,1,0,1,1,0,0,330065,0,0,0,0,0,1,0,0,0,'DD',1580613508,1384378113,0,0),
(330069,3935610004,1,0,'Flash of Steel IX','A quick attack that lowers the target''s combat attack damage.',338,36,315,2663054519,0,455,0,1,'Your Flash of Steel IX was successful on %t!','Your Flash of Steel IX fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FlashofSteel.lua',2746,'You cast Flash of Steel IX on %t.',1,0,0,1,0,1,1,0,0,330065,0,0,0,0,0,1,0,0,0,'DD',1580613770,1384378115,0,0),
(330070,2139759333,1,0,'Flash of Steel','A quick attack that lowers the target''s combat attack damage.',338,36,315,2663054519,0,215,0,1,'Your Flash of Steel V was successful on %t!','Your Flash of Steel V fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FlashofSteel.lua',2746,'You cast Flash of Steel V on %t.',1,0,0,1,0,1,1,0,0,330065,0,0,0,0,0,1,0,0,0,'DD',1580613593,1384378113,0,0),
(330071,2995086477,1,0,'Dazzling Steel','A quick attack that lowers the target''s combat attack damage.',338,36,315,2663054519,0,285,0,1,'Your Flash of Steel VI was successful on %t!','Your Flash of Steel VI fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FlashofSteel.lua',2746,'You cast Flash of Steel VI on %t.',1,0,0,1,0,1,1,0,0,330065,0,0,0,0,0,1,0,0,0,'DD',1580613644,1384378115,0,0),
(330072,1659966416,1,0,'Bedazzling Steel','A quick attack that lowers the target''s combat attack damage.',338,36,315,2663054519,0,355,0,1,'Your Flash of Steel VII was successful on %t!','Your Flash of Steel VII fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FlashofSteel.lua',2746,'You cast Flash of Steel VII on %t.',1,0,0,1,0,1,1,0,0,330065,0,0,0,0,0,1,0,0,0,'DD',1580613681,1384378113,0,0),
(330073,1832021975,1,0,'Flash of Steel VIII','A quick attack that lowers the target''s combat attack damage.',338,36,315,2663054519,0,405,0,1,'Your Flash of Steel VIII was successful on %t!','Your Flash of Steel VIII fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FlashofSteel.lua',2746,'You cast Flash of Steel VIII on %t.',1,0,0,1,0,1,1,0,0,330065,0,0,0,0,0,1,0,0,0,'DD',1580613726,1384378113,0,0),
(330074,2180794992,1,0,'Flurry of Arms','Three quick attacks. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, target''s physical damage resistance is decreased.',383,36,315,2663054519,0,140,0,1,'Your Flurry of Blades was successful on %t!','Your Flurry of Blades fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FlurryofBlades.lua',2747,'You cast Flurry of Blades on %t.',1,0,0,1,0,1,1,0,0,330074,0,0,0,0,0,1,0,0,0,'DD',1580677559,1384378113,0,0),
(330075,3977408636,1,0,'Flurry of Blades','Three quick attacks. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, target''s physical damage resistance is decreased.',383,36,315,2663054519,0,210,0,1,'Your Flurry of Blades II was successful on %t!','Your Flurry of Blades II fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FlurryofBlades.lua',2747,'You cast Flurry of Blades II on %t.',1,0,0,1,0,1,1,0,0,330074,0,0,0,0,0,1,0,0,0,'DD',1580677944,1384377829,0,0),
(330076,524126588,1,0,'Fury of Blades','Three quick attacks. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, target''s physical damage resistance is decreased.',383,36,315,2663054519,0,280,0,1,'Your Flurry of Blades III was successful on %t!','Your Flurry of Blades III fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FlurryofBlades.lua',2747,'You cast Flurry of Blades III on %t.',1,0,0,1,0,1,1,0,0,330074,0,0,0,0,0,1,0,0,0,'DD',1580678005,1384378115,0,0),
(330077,4064106205,1,0,'Whirl of Blades','Three quick attacks. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, target''s physical damage resistance is decreased.',383,36,315,2663054519,0,350,0,1,'Your Flurry of Blades IV was successful on %t!','Your Flurry of Blades IV fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FlurryofBlades.lua',2747,'You cast Flurry of Blades IV on %t.',1,0,0,1,0,1,1,0,0,330074,0,0,0,0,0,1,0,0,0,'DD',1580678071,1384378113,0,0),
(330078,3095798330,1,0,'Triple Blades','Three quick attacks. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, target''s physical damage resistance is decreased.',383,36,315,2663054519,0,400,0,1,'Your Flurry of Blades V was successful on %t!','Your Flurry of Blades V fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FlurryofBlades.lua',2747,'You cast Flurry of Blades V on %t.',1,0,0,1,0,1,1,0,0,330074,0,0,0,0,0,1,0,0,0,'DD',1580678131,1384378113,0,0),
(330079,3756886976,1,0,'Flurry of Blades VI','Three quick attacks. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, target''s physical damage resistance is decreased.',383,36,315,2663054519,0,450,0,1,'Your Flurry of Blades VI was successful on %t!','Your Flurry of Blades VI fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FlurryofBlades.lua',2747,'You cast Flurry of Blades VI on %t.',1,0,0,1,0,1,1,0,0,330074,0,0,0,0,0,1,0,0,0,'DD',1580678172,1384378113,0,0),
(330080,1690905947,1,0,'Flurry of Blades VII','Three quick attacks. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, target''s physical damage resistance is decreased.',383,36,315,2663054519,0,500,0,1,'Your Flurry of Blades VII was successful on %t!','Your Flurry of Blades VII fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/FlurryofBlades.lua',2747,'You cast Flurry of Blades VII on %t.',1,0,0,0,0,0,1,0,0,330074,0,0,0,0,0,1,0,0,0,'DD',1580678211,1384378115,0,0),
(330081,2412914413,1,0,'Undercut','Deals damage and snares target on a successful hit.',166,40,315,2663054519,0,110,0,1,'Your Undercut was successful on %t!','Your Undercut fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Undercut.lua',1227,'You cast Undercut on %t.',1,0,0,1,0,1,4,0,0,330081,0,0,0,0,0,1,0,0,0,'DD',1580673266,1384378113,0,0),
(330082,550695359,1,0,'Hamstring','Deals damage and snares target on a successful hit.',166,40,315,1514256692,0,180,0,1,'Your Hamstring II was successful on %t!','Your Hamstring II fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Hamstring.lua',2748,'You cast Hamstring II on %t.',1,0,0,1,0,1,4,0,0,330081,0,0,0,0,0,1,0,0,0,'DD',1580673320,1384378115,0,0),
(330083,2090202507,1,0,'Disable','Deals damage and snares target on a successful hit.',166,40,315,2663054519,0,250,0,1,'Your Hamstring III was successful on %t!','Your Hamstring III fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Hamstring.lua',2748,'You cast Hamstring III on %t.',1,0,0,1,0,1,4,0,0,330081,0,0,0,0,0,1,0,0,0,'DD',1580673356,1384377829,0,0),
(330084,3062755532,1,0,'Impair','Deals damage and snares target on a successful hit.',166,40,315,2663054519,0,320,0,1,'Your Hamstring IV was successful on %t!','Your Hamstring IV fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Hamstring.lua',2748,'You cast Hamstring IV on %t.',1,0,0,1,0,1,4,0,0,330081,0,0,0,0,0,1,0,0,0,'DD',1580673392,1384378115,0,0),
(330085,1844717537,1,0,'Heel Cut','Deals damage and snares target on a successful hit.',166,40,315,2663054519,0,375,0,1,'Your Hamstring V was successful on %t!','Your Hamstring V fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Hamstring.lua',2748,'You cast Hamstring V on %t.',1,0,0,1,0,1,4,0,0,330081,0,0,0,0,0,1,0,0,0,'DD',1580673441,1384378113,0,0),
(330086,3366073264,1,0,'Hamstring VI','Deals damage and snares target on a successful hit.',166,40,315,2663054519,0,425,0,1,'Your Hamstring VI was successful on %t!','Your Hamstring VI fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Hamstring.lua',2748,'You cast Hamstring VI on %t.',1,0,0,1,0,1,4,0,0,330081,0,0,0,0,0,1,0,0,0,'DD',1580673475,1384378115,0,0),
(330087,1393000415,1,0,'Hamstring VII','Deals damage and snares target on a successful hit.',166,40,315,2663054519,0,475,0,1,'Your Hamstring VII was successful on %t!','Your Hamstring VII fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Hamstring.lua',2748,'You cast Hamstring VII on %t.',1,0,0,0,0,0,4,0,0,330081,0,0,0,0,0,1,0,0,0,'DD',1580673518,1384378113,0,0),
(330088,463876065,1,0,'Hold','Severely decreases target''s resistance to magic, divine and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,2663054519,0,35,0,1,'Your Hangman''s Noose was successful on %t!','Your Hangman''s Noose fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/HangmansNoose.lua',2749,'You cast Hangman''s Noose on %t.',1,0,0,1,0,1,2,0,0,330088,0,0,0,0,0,0,0,0,0,'Unset',1580669945,1384377829,0,0),
(330089,637335057,1,0,'Neutralize','Severely decreases target''s resistance to magic, divine and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,2663054519,0,115,0,1,'Your Hangman''s Noose II was successful on %t!','Your Hangman''s Noose II fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/HangmansNoose.lua',2749,'You cast Hangman''s Noose II on %t.',1,0,0,1,0,1,2,0,0,330088,0,0,0,0,0,1,0,0,0,'Unset',1580669988,1384378113,0,0),
(330090,4135938720,1,0,'Checkmate','Severely decreases target''s resistance to magic, divine and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,2663054519,0,185,0,1,'Your Hangman''s Noose III was successful on %t!','Your Hangman''s Noose III fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/HangmansNoose.lua',2749,'You cast Hangman''s Noose III on %t.',1,0,0,1,0,1,2,0,0,330088,0,0,0,0,0,1,0,0,0,'Unset',1580670008,1384378115,0,0),
(330091,296598008,1,0,'Hangman''s Noose','Severely decreases target''s resistance to magic, divine and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,2663054519,0,255,0,1,'Your Hangman''s Noose IV was successful on %t!','Your Hangman''s Noose IV fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/HangmansNoose.lua',2749,'You cast Hangman''s Noose IV on %t.',1,0,0,1,0,1,2,0,0,330088,0,0,0,0,0,1,0,0,0,'Unset',1580670053,1384378113,0,0),
(330092,3207203079,1,0,'Constrain','Severely decreases target''s resistance to magic, divine and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,2663054519,0,325,0,1,'Your Hangman''s Noose V was successful on %t!','Your Hangman''s Noose V fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/HangmansNoose.lua',2749,'You cast Hangman''s Noose V on %t.',1,0,0,1,0,1,2,0,0,330088,0,0,0,0,0,1,0,0,0,'Unset',1580670090,1384377830,0,0),
(330093,2463349753,1,0,'Bound','Severely decreases target''s resistance to magic, divine and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,2663054519,0,380,0,1,'Your Hangman''s Noose VI was successful on %t!','Your Hangman''s Noose VI fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/HangmansNoose.lua',2749,'You cast Hangman''s Noose VI on %t.',1,0,0,1,0,1,2,0,0,330088,0,0,0,0,0,1,0,0,0,'Unset',1580670129,1384378113,0,0),
(330094,4276806303,1,0,'Hangman''s Noose VII','Severely decreases target''s resistance to magic, divine and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,2663054519,0,430,0,1,'Your Hangman''s Noose VII was successful on %t!','Your Hangman''s Noose VII fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/HangmansNoose.lua',2749,'You cast Hangman''s Noose VII on %t.',1,0,0,1,0,1,2,0,0,330088,0,0,0,0,0,1,0,0,0,'Unset',1580670195,1384378113,0,0),
(330095,2035034588,1,0,'Hangman''s Noose VIII','Severely decreases target''s resistance to magic, divine and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,2663054519,0,480,0,1,'Your Hangman''s Noose VIII was successful on %t!','Your Hangman''s Noose VIII fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/HangmansNoose.lua',2749,'You cast Hangman''s Noose VIII on %t.',1,0,0,0,0,0,2,0,0,330088,0,0,0,0,0,1,0,0,0,'Unset',1580670219,1384378113,0,0),
(330096,363449618,1,1,'Hurricane','Grants the swashbuckler a chance to attack all enemies in an area around the swashbuckler with every normal combat attack for up to 4 enemies. Upgrades to this combat art increase the percentage.',511,38,317,2663054519,0,260,1,0,'Your Hurricane was successful on %t!','Your Hurricane fades.','',0,0,'Spells/Scout/Rogue/Swashbuckler/Hurricane.lua',2750,'You cast Hurricane on %t.',1,0,0,1,1,1,0,0,0,330096,0,0,0,0,0,1,0,0,0,'Unset',1580679692,1384377829,0,0),
(330097,1161119560,1,0,'Inspired Daring','Grants the swashbuckler an opportunity to strike for additional piercing damage with every melee attack for 13 seconds.',337,41,317,2663054519,0,250,0,0,'Your Inspired Daring was successful on %t!','Your Inspired Daring fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/InspiredDaring.lua',2751,'You cast Inspired Daring on %t.',1,0,0,1,1,1,0,0,0,330097,0,0,0,0,0,1,0,0,0,'Unset',1580679554,1384378113,0,0),
(330098,2173308333,1,0,'Inspiration','Grants the swashbuckler an opportunity to strike for additional piercing damage with every melee attack for 13 seconds.',337,41,317,2663054519,0,350,0,0,'Your Inspired Daring II was successful on %t!','Your Inspired Daring II fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/InspiredDaring.lua',2751,'You cast Inspired Daring II on %t.',1,0,0,1,1,1,0,0,0,330097,0,0,0,0,0,1,0,0,0,'Unset',1580679598,1384378113,0,0),
(330099,941236401,1,0,'Insight','Grants the swashbuckler an opportunity to strike for additional piercing damage with every melee attack for 13 seconds.',337,41,317,2898101972,0,400,0,0,'Your Inspired Daring III was successful on %t!','Your Inspired Daring III fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/InspiredDaring.lua',2751,'You cast Inspired Daring III on %t.',1,0,0,1,1,1,0,0,0,330097,0,0,0,0,0,1,0,0,0,'Unset',1580679609,1384378113,0,0),
(330100,1506557506,1,0,'Inspired Daring IV','Grants the swashbuckler an opportunity to strike for additional piercing damage with every melee attack for 13 seconds.',337,41,317,2663054519,0,450,0,0,'Your Inspired Daring IV was successful on %t!','Your Inspired Daring IV fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/InspiredDaring.lua',2751,'You cast Inspired Daring IV on %t.',1,0,0,1,1,1,0,0,0,330097,0,0,0,0,0,1,0,0,0,'Unset',1580679626,1384378113,0,0),
(330101,1982703351,1,0,'Inspired Daring V','Grants the swashbuckler an opportunity to strike for additional piercing damage with every melee attack for 13 seconds.',337,41,317,2663054519,0,500,0,0,'Your Inspired Daring V was successful on %t!','Your Inspired Daring V fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/InspiredDaring.lua',2751,'You cast Inspired Daring V on %t.',1,0,0,0,1,0,0,0,0,330097,0,0,0,0,0,1,0,0,0,'Unset',1580679642,1384377833,0,0),
(330102,828288366,1,0,'Slice','An attack made from the side that deals moderate damage and decreases Trauma (crushing, slashing, and piercing) mitigation on the target.',377,40,315,2663054519,0,25,0,1,'Your Kidney Stab was successful on %t!','Your Kidney Stab fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/KidneyStab.lua',2752,'You cast Kidney Stab on %t.',1,0,0,1,0,1,1,0,0,330102,0,0,0,0,0,0,0,0,0,'DD',1580668485,1384378113,0,0),
(330103,2738328683,1,0,'Gut Slice','An attack made from the side that deals moderate damage and decreases Trauma (crushing, slashing, and piercing) mitigation on the target.',377,40,315,2663054519,0,95,0,1,'Your Kidney Stab II was successful on %t!','Your Kidney Stab II fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/KidneyStab.lua',2752,'You cast Kidney Stab II on %t.',1,0,0,1,0,1,1,0,0,330102,0,0,0,0,0,0,0,0,0,'DD',1580668566,1384378113,0,0),
(330104,2590555737,1,0,'Kidney Blow','An attack made from the side that deals moderate damage and decreases Trauma (crushing, slashing, and piercing) mitigation on the target.',377,40,315,2663054519,0,165,0,1,'Your Kidney Stab III was successful on %t!','Your Kidney Stab III fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/KidneyStab.lua',2752,'You cast Kidney Stab III on %t.',1,0,0,1,0,1,1,0,0,330102,0,0,0,0,0,1,0,0,0,'DD',1580668601,1384378113,0,0),
(330105,352518916,1,0,'Disheartening Guile','An attack made from the side that deals moderate damage and decreases Trauma (crushing, slashing, and piercing) mitigation on the target.',377,40,315,2663054519,0,235,0,1,'Your Kidney Stab IV was successful on %t!','Your Kidney Stab IV fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/KidneyStab.lua',2752,'You cast Kidney Stab IV on %t.',1,0,0,1,0,1,1,0,0,330102,0,0,0,0,0,1,0,0,0,'DD',1580668646,1384377829,0,0),
(330106,1016575330,1,0,'Guile','An attack made from the side that deals moderate damage and decreases Trauma (crushing, slashing, and piercing) mitigation on the target.',377,40,315,2663054519,0,305,0,1,'Your Kidney Stab V was successful on %t!','Your Kidney Stab V fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/KidneyStab.lua',2752,'You cast Kidney Stab V on %t.',1,0,0,1,0,1,1,0,0,330102,0,0,0,0,0,1,0,0,0,'DD',1580668716,1384378115,0,0),
(330107,4151917645,1,0,'Kidney Stab','An attack made from the side that deals moderate damage and decreases Trauma (crushing, slashing, and piercing) mitigation on the target.',377,40,315,2663054519,0,370,0,1,'Your Kidney Stab VI was successful on %t!','Your Kidney Stab VI fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/KidneyStab.lua',2752,'You cast Kidney Stab VI on %t.',1,0,0,1,0,1,1,0,0,330102,0,0,0,0,0,1,0,0,0,'DD',1580668922,1384378113,0,0),
(330108,2716698811,1,0,'Kidney Stab VII','An attack made from the side that deals moderate damage and decreases Trauma (crushing, slashing, and piercing) mitigation on the target.',377,40,315,2663054519,0,420,0,1,'Your Kidney Stab VII was successful on %t!','Your Kidney Stab VII fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/KidneyStab.lua',2752,'You cast Kidney Stab VII on %t.',1,0,0,1,0,1,1,0,0,330102,0,0,0,0,0,1,0,0,0,'DD',1580668964,1384378115,0,0),
(330109,1021471181,1,0,'Kidney Stab VIII','An attack made from the side that deals moderate damage and decreases Trauma (crushing, slashing, and piercing) mitigation on the target.',377,40,315,2663054519,0,470,0,1,'Your Kidney Stab VIII was successful on %t!','Your Kidney Stab VIII fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/KidneyStab.lua',2752,'You cast Kidney Stab VIII on %t.',1,0,0,0,0,0,1,0,0,330102,0,0,0,0,0,1,0,0,0,'DD',1580669025,1384378113,0,0),
(330110,3714495331,1,0,'Circle Attack','An attack that strikes all enemies surrounding the swashbuckler.',343,36,313,2663054519,0,15,0,1,'Your Lucky Gambit was successful on %t!','Your Lucky Gambit fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/LuckyGambit.lua',2753,'You cast Lucky Gambit on %t.',1,0,0,1,0,0,0,0,0,330110,0,0,0,0,0,0,0,0,0,'DD',1580668055,1384378113,0,0),
(330111,3943558759,1,0,'Circle Blade','An attack that strikes all enemies surrounding the swashbuckler.',343,36,313,2663054519,0,70,0,1,'Your Lucky Gambit II was successful on %t!','Your Lucky Gambit II fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/LuckyGambit.lua',2753,'You cast Lucky Gambit II on %t.',1,0,0,1,0,0,0,0,0,330110,0,0,0,0,0,0,0,0,0,'DD',1580668071,1384378113,0,0),
(330112,1484995318,1,0,'Deft Rush','An attack that strikes all enemies surrounding the swashbuckler.',343,36,313,2663054519,0,140,0,1,'Your Lucky Gambit III was successful on %t!','Your Lucky Gambit III fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/LuckyGambit.lua',2753,'You cast Lucky Gambit III on %t.',1,0,0,1,0,0,0,0,0,330110,0,0,0,0,0,1,0,0,0,'DD',1580668136,1384377829,0,0),
(330113,2007050025,1,0,'Lucky Gambit','An attack that strikes all enemies surrounding the swashbuckler.',343,36,313,2663054519,0,210,0,1,'Your Lucky Gambit IV was successful on %t!','Your Lucky Gambit IV fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/LuckyGambit.lua',2753,'You cast Lucky Gambit IV on %t.',1,0,0,1,0,0,0,0,0,330110,0,0,0,0,0,1,0,0,0,'DD',1580668203,1384378113,0,0),
(330114,3000702838,1,0,'Lucky Gambit IX','An attack that strikes all enemies surrounding the swashbuckler.',343,36,313,2663054519,0,500,0,1,'Your Lucky Gambit IX was successful on %t!','Your Lucky Gambit IX fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/LuckyGambit.lua',2753,'You cast Lucky Gambit IX on %t.',1,0,0,0,0,0,0,0,0,330110,0,0,0,0,0,1,0,0,0,'DD',1580668398,1384378115,0,0),
(330115,1135998539,1,0,'Lucky Ruse','An attack that strikes all enemies surrounding the swashbuckler.',343,36,313,2663054519,0,280,0,1,'Your Lucky Gambit V was successful on %t!','Your Lucky Gambit V fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/LuckyGambit.lua',2753,'You cast Lucky Gambit V on %t.',1,0,0,1,0,0,0,0,0,330110,0,0,0,0,0,1,0,0,0,'DD',1580668344,1384378115,0,0),
(330116,2271000454,1,0,'Lucky Ploy','An attack that strikes all enemies surrounding the swashbuckler.',343,36,313,2663054519,0,350,0,1,'Your Lucky Gambit VI was successful on %t!','Your Lucky Gambit VI fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/LuckyGambit.lua',2753,'You cast Lucky Gambit VI on %t.',1,0,0,1,0,0,0,0,0,330110,0,0,0,0,0,1,0,0,0,'DD',1580668355,1384378113,0,0),
(330117,3438742809,1,0,'Lucky Whirl','An attack that strikes all enemies surrounding the swashbuckler.',343,36,313,2663054519,0,400,0,1,'Your Lucky Gambit VII was successful on %t!','Your Lucky Gambit VII fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/LuckyGambit.lua',2753,'You cast Lucky Gambit VII on %t.',1,0,0,1,0,0,0,0,0,330110,0,0,0,0,0,1,0,0,0,'DD',1580668369,1384378113,0,0),
(330118,1791070600,1,0,'Lucky Gambit VIII','An attack that strikes all enemies surrounding the swashbuckler.',343,36,313,2663054519,0,450,0,1,'Your Lucky Gambit VIII was successful on %t!','Your Lucky Gambit VIII fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/LuckyGambit.lua',2753,'You cast Lucky Gambit VIII on %t.',1,0,0,1,0,0,0,0,0,330110,0,0,0,0,0,1,0,0,0,'DD',1580668383,1384378113,0,0),
(330119,4057325124,1,0,'Lung Puncture','A melee attack from behind that puncture''s the target''s lungs, causing severe impairment to their strikethrough, offensive melee and casting skills.',376,40,315,2663054519,0,290,0,1,'Your Lung Puncture was successful on %t!','Your Lung Puncture fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/LungPuncture.lua',2754,'You cast Lung Puncture on %t.',1,0,0,1,0,1,4,0,0,330119,0,0,0,0,0,1,0,0,0,'DD',1580680316,1384377829,0,0),
(330120,813146148,1,0,'Lung Bleed','A melee attack from behind that puncture''s the target''s lungs, causing severe impairment to their strikethrough, offensive melee and casting skills.',376,40,315,2663054519,0,380,0,1,'Your Lung Puncture II was successful on %t!','Your Lung Puncture II fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/LungPuncture.lua',2754,'You cast Lung Puncture II on %t.',1,0,0,1,0,1,4,0,0,330119,0,0,0,0,0,1,0,0,0,'DD',1580680427,1384378113,0,0),
(330121,3664070895,1,0,'Lung Puncture III','A melee attack from behind that puncture''s the target''s lungs, causing severe impairment to their strikethrough, offensive melee and casting skills.',376,40,315,2663054519,0,430,0,1,'Your Lung Puncture III was successful on %t!','Your Lung Puncture III fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/LungPuncture.lua',2754,'You cast Lung Puncture III on %t.',1,0,0,1,0,1,4,0,0,330119,0,0,0,0,0,1,0,0,0,'DD',1580680582,1384378113,0,0),
(330122,1947064702,1,0,'Lung Puncture IV','A melee attack from behind that puncture''s the target''s lungs, causing severe impairment to their strikethrough, offensive melee and casting skills.',376,40,315,2663054519,0,480,0,1,'Your Lung Puncture IV was successful on %t!','Your Lung Puncture IV fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/LungPuncture.lua',2754,'You cast Lung Puncture IV on %t.',1,0,0,0,0,0,4,0,0,330119,0,0,0,0,0,1,0,0,0,'DD',1580680711,1384378113,0,0),
(330123,2840368162,1,0,'Artful Finesse','Increases the Multi-Attack Chance and attack speed of the swashbuckler.',370,41,317,2663054519,0,195,0,0,'Your Perfect Finesse was successful on %t!','Your Perfect Finesse fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/PerfectFinesse.lua',2755,'You cast Perfect Finesse on %t.',1,0,0,1,1,1,0,0,0,330123,0,0,0,0,0,1,0,0,0,'Unset',1580678660,1384378115,0,0),
(330124,1750405417,1,0,'Ingenious Finesse','Increases the Multi-Attack Chance and attack speed of the swashbuckler.',370,41,317,2663054519,0,265,0,0,'Your Perfect Finesse II was successful on %t!','Your Perfect Finesse II fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/PerfectFinesse.lua',2755,'You cast Perfect Finesse II on %t.',1,0,0,1,1,1,0,0,0,330123,0,0,0,0,0,1,0,0,0,'Unset',1580678683,1384378115,0,0),
(330125,2750973187,1,0,'Perfect Finesse','Increases the Multi-Attack Chance and attack speed of the swashbuckler.',370,41,317,2663054519,0,335,0,0,'Your Perfect Finesse III was successful on %t!','Your Perfect Finesse III fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/PerfectFinesse.lua',2755,'You cast Perfect Finesse III on %t.',1,0,0,1,1,1,0,0,0,330123,0,0,0,0,0,1,0,0,0,'Unset',1580678696,1384378113,0,0),
(330126,1576164479,1,0,'Poke','An attack from the side or front that deals medium damage. If it hits, it cripples target''s ability to parry.',346,36,315,2663054519,0,75,0,1,'Your Razor Edge was successful on %t!','Your Razor Edge fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/RazorEdge.lua',2757,'You cast Razor Edge on %t.',1,0,0,1,0,1,1,0,0,330126,0,0,0,0,0,0,0,0,0,'DD',1580670812,1384378113,0,0),
(330127,1288848769,1,0,'Nimble Cut','An attack from the side or front that deals medium damage. If it hits, it cripples target''s ability to parry.',346,36,315,2663054519,0,145,0,1,'Your Razor Edge II was successful on %t!','Your Razor Edge II fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/RazorEdge.lua',2757,'You cast Razor Edge II on %t.',1,0,0,1,0,1,1,0,0,330126,0,0,0,0,0,1,0,0,0,'DD',1580670864,1384378113,0,0),
(330128,3442701596,1,0,'Razor Edge','An attack from the side or front that deals medium damage. If it hits, it cripples target''s ability to parry.',346,36,315,2663054519,0,215,0,1,'Your Razor Edge III was successful on %t!','Your Razor Edge III fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/RazorEdge.lua',2757,'You cast Razor Edge III on %t.',1,0,0,1,0,1,1,0,0,330126,0,0,0,0,0,1,0,0,0,'DD',1580670920,1384378115,0,0),
(330129,2289646285,1,0,'Razor Point','An attack from the side or front that deals medium damage. If it hits, it cripples target''s ability to parry.',346,36,315,2663054519,0,285,0,1,'Your Razor Edge IV was successful on %t!','Your Razor Edge IV fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/RazorEdge.lua',2757,'You cast Razor Edge IV on %t.',1,0,0,1,0,1,1,0,0,330126,0,0,0,0,0,1,0,0,0,'DD',1580670959,1384377829,0,0),
(330130,3291673084,1,0,'Eye Point','An attack from the side or front that deals medium damage. If it hits, it cripples target''s ability to parry.',346,36,315,2663054519,0,355,0,1,'Your Razor Edge V was successful on %t!','Your Razor Edge V fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/RazorEdge.lua',2757,'You cast Razor Edge V on %t.',1,0,0,1,0,1,1,0,0,330126,0,0,0,0,0,1,0,0,0,'DD',1580670995,1384378113,0,0),
(330131,3149025912,1,0,'Razor Edge VI','An attack from the side or front that deals medium damage. If it hits, it cripples target''s ability to parry.',346,36,315,2663054519,0,405,0,1,'Your Razor Edge VI was successful on %t!','Your Razor Edge VI fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/RazorEdge.lua',2757,'You cast Razor Edge VI on %t.',1,0,0,1,0,1,1,0,0,330126,0,0,0,0,0,1,0,0,0,'DD',1580671038,1384378113,0,0),
(330132,1713671165,1,0,'Razor Edge VII','An attack from the side or front that deals medium damage. If it hits, it cripples target''s ability to parry.',346,36,315,2663054519,0,455,0,1,'Your Razor Edge VII was successful on %t!','Your Razor Edge VII fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/RazorEdge.lua',2757,'You cast Razor Edge VII on %t.',1,0,0,1,0,1,1,0,0,330126,0,0,0,0,0,1,0,0,0,'DD',1580671100,1384378113,0,0),
(330133,3445018268,1,0,'Pincer','A stealth attack that deals great damage and knocks the target down.',301,40,315,2663054519,0,10,0,1,'Your Shanghai was successful on %t!','Your Shanghai fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Shanghai.lua',2759,'You cast Shanghai on %t.',1,0,0,1,0,0,0,0,0,330133,0,0,0,0,0,0,0,0,0,'DD',1580613922,1384378113,0,0),
(330134,3381960646,1,0,'Route','A stealth attack that deals great damage and knocks the target down.',301,40,315,2663054519,0,45,0,1,'Your Shanghai II was successful on %t!','Your Shanghai II fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Shanghai.lua',2759,'You cast Shanghai II on %t.',1,0,0,1,0,0,0,0,0,330133,0,0,0,0,0,0,0,0,0,'DD',1580666938,1384378113,0,0),
(330135,3229479473,1,0,'Shanghai- Ready for Testing','A stealth attack that deals great damage and knocks the target down.',301,40,315,2663054519,0,105,0,1,'Your Shanghai was successful on %t!','Your Shanghai fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Shanghai.lua',398,'You cast Shanghai on %t.',1,0,0,1,0,0,0,0,0,330135,0,0,0,0,0,1,0,0,0,'DD',1580667048,1384378113,0,0),
(330136,576361386,1,0,'Ambuscade','A stealth attack that deals great damage and knocks the target down.',301,40,315,2663054519,0,175,0,1,'Your Shanghai IV was successful on %t!','Your Shanghai IV fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Shanghai.lua',2759,'You cast Shanghai IV on %t.',1,0,0,1,0,0,0,0,0,330133,0,0,0,0,0,1,0,0,0,'DD',1580667085,1384378115,0,0),
(330137,3937916175,1,0,'Shanghai IX','A stealth attack that deals great damage and knocks the target down.',301,40,315,2663054519,0,475,0,1,'Your Shanghai IX was successful on %t!','Your Shanghai IX fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Shanghai.lua',2759,'You cast Shanghai IX on %t.',1,0,0,1,0,0,0,0,0,330133,0,0,0,0,0,1,0,0,0,'DD',1580667337,1384378113,0,0),
(330138,3701936671,1,0,'Brazen Thrust','A stealth attack that deals great damage and knocks the target down.',301,40,315,2663054519,0,245,0,1,'Your Shanghai V was successful on %t!','Your Shanghai V fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Shanghai.lua',2759,'You cast Shanghai V on %t.',1,0,0,1,0,0,0,0,0,330133,0,0,0,0,0,1,0,0,0,'DD',1580667128,1384378113,0,0),
(330139,165477138,1,0,'Brazening','A stealth attack that deals great damage and knocks the target down.',301,40,315,2663054519,0,315,0,1,'Your Shanghai VI was successful on %t!','Your Shanghai VI fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Shanghai.lua',2759,'You cast Shanghai VI on %t.',1,0,0,1,0,0,0,0,0,330133,0,0,0,0,0,1,0,0,0,'DD',1580667185,1384378115,0,0),
(330140,3074834329,1,0,'Stealthy Charge','A stealth attack that deals great damage and knocks the target down.',301,40,315,2663054519,0,375,0,1,'Your Shanghai VII was successful on %t!','Your Shanghai VII fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Shanghai.lua',2759,'You cast Shanghai VII on %t.',1,0,0,1,0,0,0,0,0,330133,0,0,0,0,0,1,0,0,0,'DD',1580667238,1384378113,0,0),
(330141,725158607,1,0,'Shanghai VIII','A stealth attack that deals great damage and knocks the target down.',301,40,315,2663054519,0,425,0,1,'Your Shanghai VIII was successful on %t!','Your Shanghai VIII fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Shanghai.lua',2759,'You cast Shanghai VIII on %t.',1,0,0,1,0,0,0,0,0,330133,0,0,0,0,0,1,0,0,0,'DD',1580667282,1384378115,0,0),
(330142,2737608260,1,0,'Sleight of Hand','Tricks an ally''s targeted enemy by swapping your hate position and your ally''s against that enemy. Sleight of Hand cannot be used on an ally that has recently had this ability cast on them.',742,65535,316,2663054519,0,400,0,1,'Your Sleight of Hand was successful on %t!','Your Sleight of Hand fades.','',0,0,'Spells/Scout/Rogue/Swashbuckler/SleightofHand.lua',2760,'You cast Sleight of Hand on %t.',1,1,0,1,1,0,0,0,0,330142,0,0,0,0,0,0,0,0,0,'Unset',1580680916,1384378113,0,0),
(330143,1283334309,1,0,'Sleight of Hand II','Tricks an ally''s targeted enemy by swapping your hate position and your ally''s against that enemy. Sleight of Hand cannot be used on an ally that has recently had this ability cast on them.',742,65535,316,2663054519,0,450,0,1,'Your Sleight of Hand II was successful on %t!','Your Sleight of Hand II fades.','',0,0,'Spells/Scout/Rogue/Swashbuckler/SleightofHand.lua',2760,'You cast Sleight of Hand II on %t.',1,1,0,1,1,0,0,0,0,330142,0,0,0,0,0,0,0,0,0,'Unset',1580680953,1384378115,0,0),
(330144,1671411728,1,0,'Sleight of Hand III','Tricks an ally''s targeted enemy by swapping your hate position and your ally''s against that enemy. Sleight of Hand cannot be used on an ally that has recently had this ability cast on them.',742,65535,316,2663054519,0,500,0,1,'Your Sleight of Hand III was successful on %t!','Your Sleight of Hand III fades.','',0,0,'Spells/Scout/Rogue/Swashbuckler/SleightofHand.lua',2760,'You cast Sleight of Hand III on %t.',1,0,0,0,1,0,0,0,0,330142,0,0,0,0,0,0,0,0,0,'Unset',1580681034,1384378115,0,0),
(330145,691342596,1,0,'Quick Flurry','Two precise quick attacks. If one of these attacks misses, the successive one will miss automatically.',296,36,315,1514256692,0,60,0,1,'Your Snap of the Wrist was successful on %t!','Your Snap of the Wrist fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/SnapoftheWrist.lua',2762,'You cast Snap of the Wrist on %t.',1,0,0,1,0,0,0,0,0,330145,0,0,0,0,0,0,0,0,0,'DD',1580670284,1384378113,0,0),
(330146,3712882763,1,0,'Snap of The Wrist','Two precise quick attacks. If one of these attacks misses, the successive one will miss automatically.',296,36,315,2663054519,0,130,0,1,'Your Snap of the Wrist II was successful on %t!','Your Snap of the Wrist II fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/SnapoftheWrist.lua',2762,'You cast Snap of the Wrist II on %t.',1,0,0,1,0,0,0,0,0,330145,0,0,0,0,0,1,0,0,0,'DD',1580670329,1384378113,0,0),
(330147,250792196,1,0,'Uncanny Speed','Two precise quick attacks. If one of these attacks misses, the successive one will miss automatically.',296,36,315,2663054519,0,200,0,1,'Your Snap of the Wrist III was successful on %t!','Your Snap of the Wrist III fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/SnapoftheWrist.lua',2762,'You cast Snap of the Wrist III on %t.',1,0,0,1,0,0,0,0,0,330145,0,0,0,0,0,1,0,0,0,'DD',1580670356,1384378115,0,0),
(330148,3554165370,1,0,'Uncanny Reflexes','Two precise quick attacks. If one of these attacks misses, the successive one will miss automatically.',296,36,315,2663054519,0,270,0,1,'Your Snap of the Wrist IV was successful on %t!','Your Snap of the Wrist IV fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/SnapoftheWrist.lua',2762,'You cast Snap of the Wrist IV on %t.',1,0,0,1,0,0,0,0,0,330145,0,0,0,0,0,1,0,0,0,'DD',1580670426,1384378115,0,0),
(330149,86403922,1,0,'Uncanny Response','Two precise quick attacks. If one of these attacks misses, the successive one will miss automatically.',296,36,315,2663054519,0,340,0,1,'Your Snap of the Wrist V was successful on %t!','Your Snap of the Wrist V fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/SnapoftheWrist.lua',2762,'You cast Snap of the Wrist V on %t.',1,0,0,1,0,0,0,0,0,330145,0,0,0,0,0,1,0,0,0,'DD',1580670473,1384378113,0,0),
(330150,3113199850,1,0,'Uncanny Thrusts','Two precise quick attacks. If one of these attacks misses, the successive one will miss automatically.',296,36,315,2663054519,0,390,0,1,'Your Snap of the Wrist VI was successful on %t!','Your Snap of the Wrist VI fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/SnapoftheWrist.lua',2762,'You cast Snap of the Wrist VI on %t.',1,0,0,1,0,0,0,0,0,330145,0,0,0,0,0,1,0,0,0,'DD',1580670506,1384378113,0,0),
(330151,505851619,1,0,'Snap of the Wrist VII','Two precise quick attacks. If one of these attacks misses, the successive one will miss automatically.',296,36,315,2663054519,0,440,0,1,'Your Snap of the Wrist VII was successful on %t!','Your Snap of the Wrist VII fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/SnapoftheWrist.lua',2762,'You cast Snap of the Wrist VII on %t.',1,0,0,1,0,0,0,0,0,330145,0,0,0,0,0,1,0,0,0,'DD',1580670550,1384378113,0,0),
(330152,2067895717,1,0,'Snap of the Wrist VIII','Two precise quick attacks. If one of these attacks misses, the successive one will miss automatically.',296,36,315,2663054519,0,490,0,1,'Your Snap of the Wrist VIII was successful on %t!','Your Snap of the Wrist VIII fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/SnapoftheWrist.lua',2762,'You cast Snap of the Wrist VIII on %t.',1,0,0,0,0,0,0,0,0,330145,0,0,0,0,0,1,0,0,0,'DD',1580670581,1384378115,0,0),
(330153,955646156,1,1,'Feigned Bravado','Grants the swashbuckler a chance to become overconfident with bravado when engaging in melee combat. While under the Bravado proc effect, the swashbuckler''s attack rate and hate generated is increased. However, if the swashbuckler takes any damage, then all Bravado proc effects end (not the original maintained augmentation).',184,41,317,2663054519,0,160,1,0,'Your Spurious Bravado was successful on %t!','Your Spurious Bravado fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/SpuriousBravado.lua',2763,'You cast Spurious Bravado on %t.',1,0,0,1,1,1,0,0,0,330153,0,0,0,0,0,1,0,0,0,'Unset',1580678572,1384378115,0,0),
(330154,1151345993,1,1,'False Bravado','Grants the swashbuckler a chance to become overconfident with bravado when engaging in melee combat. While under the Bravado proc effect, the swashbuckler''s attack rate and hate generated is increased. However, if the swashbuckler takes any damage, then all Bravado proc effects end (not the original maintained augmentation).',184,41,317,2663054519,0,230,1,0,'Your Spurious Bravado II was successful on %t!','Your Spurious Bravado II fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/SpuriousBravado.lua',2763,'You cast Spurious Bravado II on %t.',1,0,0,1,1,1,0,0,0,330153,0,0,0,0,0,1,0,0,0,'Unset',1580678596,1384378113,0,0),
(330155,1186342662,1,1,'Spurious Bravado','Grants the swashbuckler a chance to become overconfident with bravado when engaging in melee combat. While under the Bravado proc effect, the swashbuckler''s attack rate and hate generated is increased. However, if the swashbuckler takes any damage, then all Bravado proc effects end (not the original maintained augmentation).',184,41,317,2663054519,0,300,1,0,'Your Spurious Bravado III was successful on %t!','Your Spurious Bravado III fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/SpuriousBravado.lua',2763,'You cast Spurious Bravado III on %t.',1,0,0,1,1,1,0,0,0,330153,0,0,0,0,0,1,0,0,0,'Unset',1580678612,1384378115,0,0),
(330156,3552310585,1,0,'Hail of Steel','Inflicts ranged damage to enemies surrounding the target.',299,37,313,2663054519,0,275,0,1,'Your Storm of Steel was successful on %t!','Your Storm of Steel fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/StormofSteel.lua',2764,'You cast Storm of Steel on %t.',1,0,0,1,0,1,0,0,0,330156,0,0,0,0,0,1,0,0,0,'DD',1580680022,1384378113,0,0),
(330157,325738808,1,0,'Storm of Steel','Inflicts ranged damage to enemies surrounding the target.',299,37,313,2663054519,0,370,0,1,'Your Storm of Steel II was successful on %t!','Your Storm of Steel II fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/StormofSteel.lua',2764,'You cast Storm of Steel II on %t.',1,0,0,1,0,1,0,0,0,330156,0,0,0,0,0,1,0,0,0,'DD',1580679942,1384378113,0,0),
(330158,3588772589,1,0,'Storm of Steel III','Inflicts ranged damage to enemies surrounding the target.',299,37,313,2663054519,0,420,0,1,'Your Storm of Steel III was successful on %t!','Your Storm of Steel III fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/StormofSteel.lua',2764,'You cast Storm of Steel III on %t.',1,0,0,1,0,1,0,0,0,330156,0,0,0,0,0,1,0,0,0,'DD',1580680096,1384378115,0,0),
(330159,1380882862,1,0,'Storm of Steel IV','Inflicts ranged damage to enemies surrounding the target.',299,37,313,2663054519,0,470,0,1,'Your Storm of Steel IV was successful on %t!','Your Storm of Steel IV fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/StormofSteel.lua',2764,'You cast Storm of Steel IV on %t.',1,0,0,0,0,0,0,0,0,330156,0,0,0,0,0,1,0,0,0,'DD',1580680118,1384378113,0,0),
(330160,4277398471,1,1,'Swarthy Distraction','The swashbuckler can transfer some of the blame taken for attacking enemies to an ally instead. This ability does not require any concentration.',289,38,316,2663054519,0,100,1,1,'Your Swarthy Distraction was successful on %t!','Your Swarthy Distraction fades.','',0,0,'Spells/Scout/Rogue/Swashbuckler/SwarthyDeception.lua',2765,'You cast Swarthy Distraction on %t.',1,0,0,1,1,1,0,0,0,330160,0,0,0,0,0,1,0,0,0,'Taunt',1580672997,1384378113,0,0),
(330161,1982111103,1,1,'Swarthy Deception','The swashbuckler can transfer some of the blame taken for attacking enemies to an ally instead. This ability does not require any concentration.',289,38,316,2663054519,0,170,1,1,'Your Swarthy Deception II was successful on %t!','Your Swarthy Deception II fades.','',0,0,'Spells/Scout/Rogue/Swashbuckler/SwarthyDeception.lua',2765,'You cast Swarthy Deception II on %t.',1,0,0,1,1,1,0,0,0,330160,0,0,0,0,0,1,0,0,0,'Unset',1580673020,1384378113,0,0),
(330162,4076332660,1,1,'Swarthy Diversion','The swashbuckler can transfer some of the blame taken for attacking enemies to an ally instead. This ability does not require any concentration.',289,38,316,2663054519,0,240,1,1,'Your Swarthy Deception III was successful on %t!','Your Swarthy Deception III fades.','',0,0,'Spells/Scout/Rogue/Swashbuckler/SwarthyDeception.lua',2765,'You cast Swarthy Deception III on %t.',1,0,0,1,1,1,0,0,0,330160,0,0,0,0,0,1,0,0,0,'Unset',1580673079,1384377829,0,0),
(330163,1064363633,1,1,'Swarthy Disorder','The swashbuckler can transfer some of the blame taken for attacking enemies to an ally instead. This ability does not require any concentration.',289,38,316,2663054519,0,310,1,1,'Your Swarthy Deception IV was successful on %t!','Your Swarthy Deception IV fades.','',0,0,'Spells/Scout/Rogue/Swashbuckler/SwarthyDeception.lua',2765,'You cast Swarthy Deception IV on %t.',1,0,0,1,1,1,0,0,0,330160,0,0,0,0,0,1,0,0,0,'Unset',1580673122,1384378115,0,0),
(330164,3652226104,1,1,'Swarthy Ways','This is the condensed energy of an ancient, mythical weapon.',377,65535,317,2663054519,0,400,1,1,'Your Swarthy Ways was successful on %t!','Your Swarthy Ways fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/SwarthyWays.lua',3566,'You cast Swarthy Ways on %t.',1,0,0,1,1,1,0,0,0,330164,0,0,0,0,0,0,0,0,0,'Unset',1580681099,1384377875,0,0),
(330165,3217505690,1,0,'Gibe','Infuriates the target towards the swashbuckler, increasing hate towards the swashbuckler, interrupting them, and dispelling magic and mental-based benefits on the target.',295,38,315,2663054519,723762198,120,0,1,'Your Tease was successful on %t!','Your Tease fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Tease.lua',2766,'You cast Tease on %t.',1,0,0,1,0,0,0,0,0,330165,0,0,0,0,0,1,0,0,0,'Unset',1580673586,1384378113,0,0),
(330166,2991951276,1,0,'Reproach','Infuriates the target towards the swashbuckler, increasing hate towards the swashbuckler, interrupting them, and dispelling magic and mental-based benefits on the target.',295,38,315,2581053277,723762198,190,0,1,'Your Tease II was successful on %t!','Your Tease II fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Tease.lua',2766,'You cast Tease II on %t.',1,0,0,1,0,0,0,0,0,330165,0,0,0,0,0,1,0,0,0,'Unset',1580673630,1384378115,0,0),
(330167,3268709536,1,0,'Admonish','Infuriates the target towards the swashbuckler, increasing hate towards the swashbuckler, interrupting them, and dispelling magic and mental-based benefits on the target.',295,38,315,2663054519,723762198,260,0,1,'Your Tease III was successful on %t!','Your Tease III fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Tease.lua',2766,'You cast Tease III on %t.',1,0,0,1,0,0,0,0,0,330165,0,0,0,0,0,1,0,0,0,'Unset',1580673669,1384377829,0,0),
(330168,2024369635,1,0,'Berate','Infuriates the target towards the swashbuckler, increasing hate towards the swashbuckler, interrupting them, and dispelling magic and mental-based benefits on the target.',295,38,315,2663054519,723762198,330,0,1,'Your Tease IV was successful on %t!','Your Tease IV fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Tease.lua',2766,'You cast Tease IV on %t.',1,0,0,1,0,0,0,0,0,330165,0,0,0,0,0,1,0,0,0,'Unset',1580673709,1384377830,0,0),
(330169,670917933,1,0,'Tease','Infuriates the target towards the swashbuckler, increasing hate towards the swashbuckler, interrupting them, and dispelling magic and mental-based benefits on the target.',295,38,315,2663054519,723762198,385,0,1,'Your Tease V was successful on %t!','Your Tease V fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Tease.lua',2766,'You cast Tease V on %t.',1,0,0,1,0,0,0,0,0,330165,0,0,0,0,0,1,0,0,0,'Unset',1580673743,1384378113,0,0),
(330170,4275926913,1,0,'Tease VI','Infuriates the target towards the swashbuckler, increasing hate towards the swashbuckler, interrupting them, and dispelling magic and mental-based benefits on the target.',295,38,315,2663054519,723762198,435,0,1,'Your Tease VI was successful on %t!','Your Tease VI fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Tease.lua',2766,'You cast Tease VI on %t.',1,0,0,1,0,0,0,0,0,330165,0,0,0,0,0,1,0,0,0,'Unset',1580673779,1384378113,0,0),
(330171,846690079,1,0,'Tease VII','Infuriates the target towards the swashbuckler, increasing hate towards the swashbuckler, interrupting them, and dispelling magic and mental-based benefits on the target.',295,38,315,2663054519,0,485,0,1,'Your Tease VII was successful on %t!','Your Tease VII fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Tease.lua',2766,'You cast Tease VII on %t.',1,0,0,0,0,0,0,0,0,330165,0,0,0,0,0,1,0,0,0,'Unset',1580673844,1384378113,0,0),
(330172,2723075515,1,0,'Spine Attack','An attack from flanking or behind that deals great damage and decreases the target''s agility.',381,36,315,2663054519,0,10,0,1,'Your Viscerate was successful on %t!','Your Viscerate fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Viscerate.lua',2734,'You cast Viscerate on %t.',1,0,0,1,0,1,1,0,0,330172,0,0,0,0,0,0,0,0,0,'DD',1580667394,1384378113,0,0),
(330173,2856105536,1,0,'Viscerate','An attack from flanking or behind that deals great damage and decreases the target''s agility.',381,36,315,2663054519,0,50,0,1,'Your Viscerate II was successful on %t!','Your Viscerate II fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Viscerate.lua',2734,'You cast Viscerate II on %t.',1,0,0,1,0,1,1,0,0,330172,0,0,0,0,0,0,0,0,0,'DD',1580667411,1384378113,0,0),
(330174,3258516149,1,0,'Unfriendly Reminder','An attack from flanking or behind that deals great damage and decreases the target''s agility.',381,36,315,2663054519,0,120,0,1,'Your Viscerate III was successful on %t!','Your Viscerate III fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Viscerate.lua',2734,'You cast Viscerate III on %t.',1,0,0,1,0,1,1,0,0,330172,0,0,0,0,0,1,0,0,0,'DD',1580667490,1384378113,0,0),
(330175,34319677,1,0,'Cat''s Paw','An attack from flanking or behind that deals great damage and decreases the target''s agility.',381,36,315,2663054519,0,190,0,1,'Your Viscerate IV was successful on %t!','Your Viscerate IV fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Viscerate.lua',2734,'You cast Viscerate IV on %t.',1,0,0,1,0,1,1,0,0,330172,0,0,0,0,0,1,0,0,0,'DD',1580667549,1384378115,0,0),
(330176,2232145213,1,0,'Viscerate IX','An attack from flanking or behind that deals great damage and decreases the target''s agility.',381,36,315,2663054519,0,485,0,1,'Your Viscerate IX was successful on %t!','Your Viscerate IX fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Viscerate.lua',2734,'You cast Viscerate IX on %t.',1,0,0,0,0,0,1,0,0,330172,0,0,0,0,0,1,0,0,0,'DD',1580667916,1384378113,0,0),
(330177,4202975338,1,0,'Mark''s Remorse','An attack from flanking or behind that deals great damage and decreases the target''s agility.',381,36,315,2663054519,0,260,0,1,'Your Viscerate V was successful on %t!','Your Viscerate V fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Viscerate.lua',2734,'You cast Viscerate V on %t.',1,0,0,1,0,1,1,0,0,330172,0,0,0,0,0,1,0,0,0,'DD',1580667581,1384378113,0,0),
(330178,2791029158,1,0,'Plunder','An attack from flanking or behind that deals great damage and decreases the target''s agility.',381,36,315,2663054519,0,330,0,1,'Your Viscerate VI was successful on %t!','Your Viscerate VI fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Viscerate.lua',2734,'You cast Viscerate VI on %t.',1,0,0,1,0,1,1,0,0,330172,0,0,0,0,0,1,0,0,0,'DD',1580667745,1384378113,0,0),
(330179,1151397285,1,0,'Sack','An attack from flanking or behind that deals great damage and decreases the target''s agility.',381,36,315,2663054519,0,385,0,1,'Your Viscerate VII was successful on %t!','Your Viscerate VII fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Viscerate.lua',2734,'You cast Viscerate VII on %t.',1,0,0,1,0,1,1,0,0,330172,0,0,0,0,0,1,0,0,0,'DD',1580667829,1384378113,0,0),
(330180,514758994,1,0,'Viscerate VIII','An attack from flanking or behind that deals great damage and decreases the target''s agility.',381,36,315,2663054519,0,435,0,1,'Your Viscerate VIII was successful on %t!','Your Viscerate VIII fades.','',0,1,'Spells/Scout/Rogue/Swashbuckler/Viscerate.lua',2734,'You cast Viscerate VIII on %t.',1,0,0,1,0,1,1,0,0,330172,0,0,0,0,0,1,0,0,0,'DD',1580667877,1384378113,0,0),
(340000,2150591255,1,1,'Amazing Reflexes','With every successful combat art, there is a chance that the brigand will avoid any area effect attacks and spells that do not directly target the brigand for a short duration. The area avoidance effect is removed if the brigand receives damage.',231,41,317,1519965519,0,260,1,0,'Your Amazing Reflexes was successful on %t!','Your Amazing Reflexes fades.','',0,1,'Spells/Scout/Rogue/Brigand/AmazingReflexes.lua',2769,'You cast Amazing Reflexes on %t.',1,0,0,0,1,0,0,0,0,340000,0,0,0,0,0,0,0,0,0,'Unset',1579126713,1384377830,0,0),
(340001,4155883080,1,0,'Back Attack','An attack from flanking or behind that deals additional piercing damage over time.',381,36,315,1519965519,0,10,0,1,'Your Backstab was successful on %t!','Your Backstab fades.','',0,1,'Spells/Scout/Rogue/Brigand/Backstab.lua',2770,'You cast Backstab on %t.',1,0,0,1,0,1,0,0,0,340001,0,0,0,0,0,0,0,0,0,'DoT',1579112096,1384378115,0,0),
(340002,1070441544,1,0,'Backstab','An attack from flanking or behind that deals additional piercing damage over time.',381,36,315,1514256692,0,50,0,1,'Your Backstab II was successful on %t!','Your Backstab II fades.','',0,1,'Spells/Scout/Rogue/Brigand/Backstab.lua',2770,'You cast Backstab II on %t.',1,0,0,1,0,1,0,0,0,340001,0,0,0,0,0,0,0,0,0,'DoT',1579112126,1384378115,0,0),
(340003,3132887956,1,0,'Hidden Shiv','An attack from flanking or behind that deals additional piercing damage over time.',381,36,315,1519965519,0,120,0,1,'Your Backstab III was successful on %t!','Your Backstab III fades.','',0,1,'Spells/Scout/Rogue/Brigand/HiddenShiv.lua',2770,'You cast Backstab III on %t.',1,0,0,1,0,1,0,0,0,340001,0,0,0,0,0,0,0,0,0,'DoT',1579112188,1384377829,0,0),
(340004,1656778414,1,0,'Craven Delight','An attack from flanking or behind that deals additional piercing damage over time.',381,36,315,1519965519,0,190,0,1,'Your Backstab IV was successful on %t!','Your Backstab IV fades.','',0,1,'Spells/Scout/Rogue/Brigand/Backstab.lua',2770,'You cast Backstab IV on %t.',1,0,0,1,0,1,0,0,0,340001,0,0,0,0,0,1,0,0,0,'DoT',1579112239,1384378115,0,0),
(340005,1741839988,1,0,'Backstab IX','An attack from flanking or behind that deals additional piercing damage over time.',381,36,315,1519965519,0,485,0,1,'Your Backstab IX was successful on %t!','Your Backstab IX fades.','',0,1,'Spells/Scout/Rogue/Brigand/Backstab.lua',2770,'You cast Backstab IX on %t.',1,0,0,0,0,0,0,0,0,340001,0,0,0,0,0,1,0,0,0,'DoT',1579112530,1384378115,0,0),
(340006,3092917582,1,0,'Spineripper','An attack from flanking or behind that deals additional piercing damage over time.',381,36,315,1519965519,0,260,0,1,'Your Backstab V was successful on %t!','Your Backstab V fades.','',0,1,'Spells/Scout/Rogue/Brigand/Backstab.lua',2770,'You cast Backstab V on %t.',1,0,0,1,0,1,0,0,0,340001,0,0,0,0,0,1,0,0,0,'DoT',1579112388,1384378115,0,0),
(340007,2446787408,1,0,'Disembowel','An attack from flanking or behind that deals additional piercing damage over time.',381,36,315,1519965519,0,330,0,1,'Your Backstab VI was successful on %t!','Your Backstab VI fades.','',0,1,'Spells/Scout/Rogue/Brigand/Backstab.lua',2770,'You cast Backstab VI on %t.',1,0,0,0,0,0,0,0,0,340001,0,0,0,0,0,1,0,0,0,'DoT',1579112345,1384378115,0,0),
(340008,1149382697,1,0,'Entrail','An attack from flanking or behind that deals additional piercing damage over time.',381,36,315,1519965519,0,385,0,1,'Your Backstab VII was successful on %t!','Your Backstab VII fades.','',0,1,'Spells/Scout/Rogue/Brigand/Backstab.lua',2770,'You cast Backstab VII on %t.',1,0,0,0,0,0,0,0,0,340001,0,0,0,0,0,1,0,0,0,'DoT',1579112436,1384378115,0,0),
(340009,2791080372,1,0,'Backstab VIII','An attack from flanking or behind that deals additional piercing damage over time.',381,36,315,1519965519,0,435,0,1,'Your Backstab VIII was successful on %t!','Your Backstab VIII fades.','',0,1,'Spells/Scout/Rogue/Brigand/Backstab.lua',2770,'You cast Backstab VIII on %t.',1,0,0,0,0,0,0,0,0,340001,0,0,0,0,0,1,0,0,0,'DoT',1579112492,1384378115,0,0),
(340010,3839851016,1,0,'Band of Thugs','Calls upon a small group of thugs that bully the enemies of an encounter for a limited duration.',324,65535,312,1519965519,0,325,0,1,'Your Band of Thugs was successful on %t!','Your Band of Thugs fades.','',0,1,'Spells/Scout/Rogue/Brigand/BandofThugs.lua',2771,'You cast Band of Thugs on %t.',1,0,0,0,0,0,1,0,1,340010,0,0,0,0,0,0,0,0,0,'Unset',1579127252,1384378115,0,0),
(340011,2757358445,1,0,'Hood of Thugs','Calls upon a small group of thugs that bully the enemies of an encounter for a limited duration.',324,65535,312,1519965519,0,390,0,1,'Your Band of Thugs II was successful on %t!','Your Band of Thugs II fades.','',0,1,'Spells/Scout/Rogue/Brigand/BandofThugs.lua',2771,'You cast Band of Thugs II on %t.',1,0,0,0,0,0,1,0,1,340010,0,0,0,0,0,0,0,0,0,'Unset',1579127331,1384378115,0,0),
(340012,945028783,1,0,'Band of Thugs III','Calls upon a small group of thugs that bully the enemies of an encounter for a limited duration.',324,65535,312,1519965519,0,440,0,1,'Your Band of Thugs III was successful on %t!','Your Band of Thugs III fades.','',0,1,'Spells/Scout/Rogue/Brigand/BandofThugs.lua',2771,'You cast Band of Thugs III on %t.',1,0,0,0,0,0,1,0,1,340010,0,0,0,0,0,0,0,0,0,'Unset',1579127371,1384378115,0,0),
(340013,2520477502,1,0,'Band of Thugs IV','Calls upon a small group of thugs that bully the enemies of an encounter for a limited duration.',324,65535,312,1519965519,0,490,0,1,'Your Band of Thugs IV was successful on %t!','Your Band of Thugs IV fades.','',0,1,'Spells/Scout/Rogue/Brigand/BandofThugs.lua',2771,'You cast Band of Thugs IV on %t.',1,0,0,0,0,0,1,0,1,340010,0,0,0,0,0,0,0,0,0,'Unset',1579127410,1384378115,0,0),
(340014,326918786,1,0,'Circular Strike','An attack that strikes all enemies surrounding the brigand. Anyone hit by this attack gets interrupted.',343,36,313,1514256692,0,70,0,1,'Your Barroom Negotiation was successful on %t!','Your Barroom Negotiation fades.','',0,1,'Spells/Scout/Rogue/Brigand/BarroomNegotiation.lua',2772,'You cast Barroom Negotiation on %t.',1,0,0,1,0,0,0,0,0,340014,0,0,0,0,0,0,0,0,0,'DD',1579115351,1384378115,0,0),
(340015,4123449679,1,0,'Restitution','An attack that strikes all enemies surrounding the brigand. Anyone hit by this attack gets interrupted.',343,36,313,1519965519,0,140,0,1,'Your Barroom Negotiation II was successful on %t!','Your Barroom Negotiation II fades.','',0,1,'Spells/Scout/Rogue/Brigand/Restitution.lua',2772,'You cast Barroom Negotiation II on %t.',1,0,0,1,0,0,0,0,0,340014,0,0,0,0,0,0,0,0,0,'DD',1579115460,1384378115,0,0),
(340016,2908127187,1,0,'Forceful Negotiation','An attack that strikes all enemies surrounding the brigand. Anyone hit by this attack gets interrupted.',343,36,313,1519965519,0,210,0,1,'Your Barroom Negotiation III was successful on %t!','Your Barroom Negotiation III fades.','',0,1,'Spells/Scout/Rogue/Brigand/BarroomNegotiation.lua',2772,'You cast Barroom Negotiation III on %t.',1,0,0,1,0,0,0,0,0,340014,0,0,0,0,0,1,0,0,0,'DD',1579115477,1384378115,0,0),
(340017,1942469264,1,0,'Thuggish Negotiation','An attack that strikes all enemies surrounding the brigand. Anyone hit by this attack gets interrupted.',343,36,313,1519965519,0,280,0,1,'Your Barroom Negotiation IV was successful on %t!','Your Barroom Negotiation IV fades.','',0,1,'Spells/Scout/Rogue/Brigand/BarroomNegotiation.lua',2772,'You cast Barroom Negotiation IV on %t.',1,0,0,0,0,0,0,0,0,340014,0,0,0,0,0,1,0,0,0,'DD',1579115494,1384378115,0,0),
(340018,1515104909,1,0,'Underground Negotiation','An attack that strikes all enemies surrounding the brigand. Anyone hit by this attack gets interrupted.',343,36,313,1519965519,0,350,0,1,'Your Barroom Negotiation V was successful on %t!','Your Barroom Negotiation V fades.','',0,1,'Spells/Scout/Rogue/Brigand/BarroomNegotiation.lua',2772,'You cast Barroom Negotiation V on %t.',1,0,0,0,0,0,0,0,0,340014,0,0,0,0,0,1,0,0,0,'DD',1579115508,1384378115,0,0),
(340019,2560838718,1,0,'Barroom Negotiation','An attack that strikes all enemies surrounding the brigand. Anyone hit by this attack gets interrupted.',343,36,313,1519965519,0,400,0,1,'Your Barroom Negotiation VI was successful on %t!','Your Barroom Negotiation VI fades.','',0,1,'Spells/Scout/Rogue/Brigand/BarroomNegotiation.lua',2772,'You cast Barroom Negotiation VI on %t.',1,0,0,0,0,0,0,0,0,340014,0,0,0,0,0,1,0,0,0,'DD',1579115569,1384378113,0,0),
(340020,2408261886,1,0,'Barroom Negotiation VII','An attack that strikes all enemies surrounding the brigand. Anyone hit by this attack gets interrupted.',343,36,313,1519965519,0,450,0,1,'Your Barroom Negotiation VII was successful on %t!','Your Barroom Negotiation VII fades.','',0,1,'Spells/Scout/Rogue/Brigand/BarroomNegotiation.lua',2772,'You cast Barroom Negotiation VII on %t.',1,0,0,1,0,0,0,0,0,340014,0,0,0,0,0,1,0,0,0,'DD',1579115600,1384378115,0,0),
(340021,3130228970,1,0,'Barroom Negotiation VIII','An attack that strikes all enemies surrounding the brigand. Anyone hit by this attack gets interrupted.',343,36,313,1519965519,0,500,0,1,'Your Barroom Negotiation VIII was successful on %t!','Your Barroom Negotiation VIII fades.','',0,1,'Spells/Scout/Rogue/Brigand/BarroomNegotiation.lua',2772,'You cast Barroom Negotiation VIII on %t.',1,0,0,0,0,0,0,0,0,340014,0,0,0,0,0,1,0,0,0,'DD',1579115627,1384378115,0,0),
(340022,593699467,1,0,'Double Dagger','Two quick attacks. If one of these attacks misses, the successive ones will miss automatically.',296,36,315,1519965519,0,15,0,1,'Your Battery and Assault was successful on %t!','Your Battery and Assault fades.','',0,1,'Spells/Scout/Rogue/Brigand/BatteryandAssault.lua',2773,'You cast Battery and Assault on %t.',1,0,0,1,0,0,0,0,0,340022,0,0,0,0,0,0,0,0,0,'DD',1579113208,1384378115,0,0),
(340023,2237086387,1,0,'Flurry','Two quick attacks. If one of these attacks misses, the successive ones will miss automatically.',296,36,315,1519965519,0,60,0,1,'Your Battery and Assault II was successful on %t!','Your Battery and Assault II fades.','',0,1,'Spells/Scout/Rogue/Brigand/BatteryandAssault.lua',2773,'You cast Battery and Assault II on %t.',1,0,0,1,0,0,0,0,0,340022,0,0,0,0,0,0,0,0,0,'DD',1579113238,1384377830,0,0),
(340024,3492675852,1,0,'Vicious Flurry','Two quick attacks. If one of these attacks misses, the successive ones will miss automatically.',296,36,315,1519965519,0,130,0,1,'Your Battery and Assault III was successful on %t!','Your Battery and Assault III fades.','',0,1,'Spells/Scout/Rogue/Brigand/ViciousFlurry.lua',2773,'You cast Battery and Assault III on %t.',1,0,0,1,0,0,0,0,0,340022,0,0,0,0,0,0,0,0,0,'DD',1579113280,1384378115,0,0),
(340025,3877408391,1,0,'Aggravated Assault','Two quick attacks. If one of these attacks misses, the successive ones will miss automatically.',296,36,315,1519965519,0,200,0,1,'Your Battery and Assault IV was successful on %t!','Your Battery and Assault IV fades.','',0,1,'Spells/Scout/Rogue/Brigand/BatteryandAssault.lua',2773,'You cast Battery and Assault IV on %t.',1,0,0,1,0,0,0,0,0,340022,0,0,0,0,0,1,0,0,0,'DD',1579113331,1384378115,0,0),
(340026,1648518134,1,0,'Battery and Assault IX','Two quick attacks. If one of these attacks misses, the successive ones will miss automatically.',296,36,315,1519965519,0,490,0,1,'Your Battery and Assault IX was successful on %t!','Your Battery and Assault IX fades.','',0,1,'Spells/Scout/Rogue/Brigand/BatteryandAssault.lua',2773,'You cast Battery and Assault IX on %t.',1,0,0,0,0,0,0,0,0,340022,0,0,0,0,0,1,0,0,0,'DD',1579113580,1384377830,0,0),
(340027,2737651244,1,0,'Vicious Assault','Two quick attacks. If one of these attacks misses, the successive ones will miss automatically.',296,36,315,1519965519,0,270,0,1,'Your Battery and Assault V was successful on %t!','Your Battery and Assault V fades.','',0,1,'Spells/Scout/Rogue/Brigand/BatteryandAssault.lua',2773,'You cast Battery and Assault V on %t.',1,0,0,1,0,0,0,0,0,340022,0,0,0,0,0,1,0,0,0,'DD',1579113349,1384377829,0,0),
(340028,758341886,1,0,'Malicious Assault','Two quick attacks. If one of these attacks misses, the successive ones will miss automatically.',296,36,315,1519965519,0,340,0,1,'Your Battery and Assault VI was successful on %t!','Your Battery and Assault VI fades.','',0,1,'Spells/Scout/Rogue/Brigand/BatteryandAssault.lua',2773,'You cast Battery and Assault VI on %t.',1,0,0,0,0,0,0,0,0,340022,0,0,0,0,0,1,0,0,0,'DD',1579113434,1384378115,0,0),
(340029,2851086198,1,0,'Battery And Assault','Two quick attacks. If one of these attacks misses, the successive ones will miss automatically.',296,36,315,1519965519,0,390,0,1,'Your Battery and Assault VII was successful on %t!','Your Battery and Assault VII fades.','',0,1,'Spells/Scout/Rogue/Brigand/BatteryandAssault.lua',2773,'You cast Battery and Assault VII on %t.',1,0,0,0,0,0,0,0,0,340022,0,0,0,0,0,1,0,0,0,'DD',1579113456,1384378115,0,0),
(340030,1969882934,1,0,'Battery and Assault VIII','Two quick attacks. If one of these attacks misses, the successive ones will miss automatically.',296,36,315,1519965519,0,440,0,1,'Your Battery and Assault VIII was successful on %t!','Your Battery and Assault VIII fades.','',0,1,'Spells/Scout/Rogue/Brigand/BatteryandAssault.lua',2773,'You cast Battery and Assault VIII on %t.',1,0,0,0,0,0,0,0,0,340022,0,0,0,0,0,1,0,0,0,'DD',1579113537,1384378115,0,0),
(340031,1777687401,1,1,'Confound Adversaries','Allows the brigand to concentrate on drawing attention to other allies when the brigand is in combat. Each time a brigand damages an enemy, there''s a chance that their hate towards the brigand is reduced.',260,38,317,1519965519,0,85,1,0,'Your Befuddle was successful on %t!','Your Befuddle fades.','',0,1,'Spells/Scout/Rogue/Brigand/Befuddle.lua',2774,'You cast Befuddle on %t.',1,0,0,1,1,1,0,0,0,340031,0,0,0,0,0,0,0,0,0,'Unset',1579116593,1384378115,0,0),
(340032,1997506000,1,1,'Baffle Adversaries','Allows the brigand to concentrate on drawing attention to other allies when the brigand is in combat. Each time a brigand damages an enemy, there''s a chance that their hate towards the brigand is reduced.',260,38,317,1519965519,0,155,1,0,'Your Befuddle II was successful on %t!','Your Befuddle II fades.','',0,1,'Spells/Scout/Rogue/Brigand/Befuddle.lua',2774,'You cast Befuddle II on %t.',1,0,0,1,1,1,0,0,0,340031,0,0,0,0,0,1,0,0,0,'Unset',1579116627,1384378115,0,0),
(340033,2633612813,1,1,'Distract Adversaries','Allows the brigand to concentrate on drawing attention to other allies when the brigand is in combat. Each time a brigand damages an enemy, there''s a chance that their hate towards the brigand is reduced.',260,38,317,1519965519,0,225,1,0,'Your Befuddle III was successful on %t!','Your Befuddle III fades.','',0,1,'Spells/Scout/Rogue/Brigand/Befuddle.lua',2774,'You cast Befuddle III on %t.',1,0,0,1,1,1,0,0,0,340031,0,0,0,0,0,1,0,0,0,'Unset',1579116662,1384378115,0,0),
(340034,1917433999,1,1,'Befuddle Adversaries','Allows the brigand to concentrate on drawing attention to other allies when the brigand is in combat. Each time a brigand damages an enemy, there''s a chance that their hate towards the brigand is reduced.',260,38,317,1519965519,0,295,1,0,'Your Befuddle IV was successful on %t!','Your Befuddle IV fades.','',0,1,'Spells/Scout/Rogue/Brigand/Befuddle.lua',2774,'You cast Befuddle IV on %t.',1,0,0,0,1,0,0,0,0,340031,0,0,0,0,0,1,0,0,0,'Unset',1579116693,1384378115,0,0),
(340035,1392313805,1,1,'Befuddle','Allows the brigand to concentrate on drawing attention to other allies when the brigand is in combat. Each time a brigand damages an enemy, there''s a chance that their hate towards the brigand is reduced.',260,38,317,1519965519,0,360,1,0,'Your Befuddle V was successful on %t!','Your Befuddle V fades.','',0,1,'Spells/Scout/Rogue/Brigand/Befuddle.lua',2774,'You cast Befuddle V on %t.',1,0,0,0,1,0,0,0,0,340031,0,0,0,0,0,1,0,0,0,'Unset',1579116714,1384377830,0,0),
(340036,489691391,1,1,'Befuddle VI','Allows the brigand to concentrate on drawing attention to other allies when the brigand is in combat. Each time a brigand damages an enemy, there''s a chance that their hate towards the brigand is reduced.',260,38,317,1519965519,0,410,1,0,'Your Befuddle VI was successful on %t!','Your Befuddle VI fades.','',0,1,'Spells/Scout/Rogue/Brigand/Befuddle.lua',2774,'You cast Befuddle VI on %t.',1,0,0,0,1,0,0,0,0,340031,0,0,0,0,0,1,0,0,0,'Unset',1579116729,1384378113,0,0),
(340037,9121483,1,1,'Befuddle VII','Allows the brigand to concentrate on drawing attention to other allies when the brigand is in combat. Each time a brigand damages an enemy, there''s a chance that their hate towards the brigand is reduced.',260,38,317,1519965519,0,460,1,0,'Your Befuddle VII was successful on %t!','Your Befuddle VII fades.','',0,1,'Spells/Scout/Rogue/Brigand/Befuddle.lua',2774,'You cast Befuddle VII on %t.',1,0,0,1,1,1,0,0,0,340031,0,0,0,0,0,1,0,0,0,'Unset',1579116745,1384378113,0,0),
(340038,3332700454,1,0,'Beg for Mercy','The brigand or the target ally begs for forgiveness from enemy attacks, allowing the brigand to intervene and prevent some of the damage and decrease the encounter''s hate towards themselves or their ally.',468,38,316,1519965519,0,130,0,1,'Your Beg for Mercy was successful on %t!','Your Beg for Mercy fades.','',0,1,'Spells/Scout/Rogue/Brigand/BegforMercyClassic.lua',2775,'You cast Beg for Mercy on %t.',1,1,0,1,1,1,0,0,0,340038,0,0,0,0,0,0,0,0,0,'Unset',1579118802,1384378115,0,0),
(340039,2911860733,1,0,'Plead For Mercy','The brigand or the target ally begs for forgiveness from enemy attacks, allowing the brigand to intervene and prevent some of the damage and decrease the encounter''s hate towards themselves or their ally.',468,38,316,1519965519,0,200,0,1,'Your Beg for Mercy II was successful on %t!','Your Beg for Mercy II fades.','',0,1,'Spells/Scout/Rogue/Brigand/BegforMercy.lua',2775,'You cast Beg for Mercy II on %t.',1,1,0,1,1,1,0,0,0,340038,0,0,0,0,0,0,0,0,0,'Unset',1579118846,1384378115,0,0),
(340040,2558517702,1,0,'Beseech For Mercy','The brigand or the target ally begs for forgiveness from enemy attacks, allowing the brigand to intervene and prevent some of the damage and decrease the encounter''s hate towards themselves or their ally.',468,38,316,1519965519,0,270,0,1,'Your Beg for Mercy III was successful on %t!','Your Beg for Mercy III fades.','',0,1,'Spells/Scout/Rogue/Brigand/BegforMercy.lua',2775,'You cast Beg for Mercy III on %t.',1,0,0,0,1,0,0,0,0,340038,0,0,0,0,0,0,0,0,0,'Unset',1579118886,1384377829,0,0),
(340041,2744273247,1,0,'Appeal For Mercy','The brigand or the target ally begs for forgiveness from enemy attacks, allowing the brigand to intervene and prevent some of the damage and decrease the encounter''s hate towards themselves or their ally.',468,38,316,1519965519,0,340,0,1,'Your Beg for Mercy IV was successful on %t!','Your Beg for Mercy IV fades.','',0,1,'Spells/Scout/Rogue/Brigand/BegforMercy.lua',2775,'You cast Beg for Mercy IV on %t.',1,0,0,0,1,0,0,0,0,340038,0,0,0,0,0,0,0,0,0,'Unset',1579118922,1384378115,0,0),
(340042,2486082780,1,0,'Black Jack','A powerful crushing attack that prevents them from changing the direction they are facing.',365,36,315,1519965519,0,110,0,1,'Your Black Jack was successful on %t!','Your Black Jack fades.','',0,1,'Spells/Scout/Rogue/Brigand/BlackJackClassic.lua',2776,'You cast Black Jack on %t.',1,0,0,1,0,1,1,0,0,340042,0,0,0,0,0,0,0,0,0,'DD',1579118030,1384378115,0,0),
(340043,1831620550,1,0,'Sap','A powerful crushing attack that prevents them from changing the direction they are facing.',365,40,315,1519965519,0,180,0,1,'Your Black Jack II was successful on %t!','Your Black Jack II fades.','',0,1,'Spells/Scout/Rogue/Brigand/BlackJack.lua',2776,'You cast Black Jack II on %t.',1,0,0,1,0,1,1,0,0,340042,0,0,0,0,0,0,0,0,0,'DD',1579118090,1384378115,0,0),
(340044,1761959944,1,0,'Disable','A powerful crushing attack that prevents them from changing the direction they are facing.',365,40,315,1519965519,0,250,0,1,'Your Black Jack III was successful on %t!','Your Black Jack III fades.','',0,1,'Spells/Scout/Rogue/Brigand/BlackJack.lua',2776,'You cast Black Jack III on %t.',1,0,0,1,0,1,1,0,0,340042,0,0,0,0,0,0,0,0,0,'DD',1579118134,1384378115,0,0),
(340045,363972252,1,0,'Restrain','A powerful crushing attack that prevents them from changing the direction they are facing.',365,36,315,1519965519,0,320,0,1,'Your Black Jack IV was successful on %t!','Your Black Jack IV fades.','',0,1,'Spells/Scout/Rogue/Brigand/BlackJack.lua',2776,'You cast Black Jack IV on %t.',1,0,0,1,0,1,1,0,0,340042,0,0,0,0,0,0,0,0,0,'DD',1579118202,1384378115,0,0),
(340046,3743514148,1,0,'Clock','A powerful crushing attack that prevents them from changing the direction they are facing.',365,36,315,1519965519,0,375,0,1,'Your Black Jack V was successful on %t!','Your Black Jack V fades.','',0,1,'Spells/Scout/Rogue/Brigand/BlackJack.lua',2776,'You cast Black Jack V on %t.',1,0,0,0,0,0,1,0,0,340042,0,0,0,0,0,0,0,0,0,'DD',1579118257,1384378115,0,0),
(340047,1858824587,1,0,'Black Jack VI','A powerful crushing attack that prevents them from changing the direction they are facing.',365,36,315,1519965519,0,425,0,1,'Your Black Jack VI was successful on %t!','Your Black Jack VI fades.','',0,1,'Spells/Scout/Rogue/Brigand/BlackJack.lua',2776,'You cast Black Jack VI on %t.',1,0,0,0,0,0,1,0,0,340042,0,0,0,0,0,0,0,0,0,'DD',1579118317,1384378115,0,0),
(340048,3009261582,1,0,'Black Jack VII','A powerful crushing attack that prevents them from changing the direction they are facing.',365,36,315,1519965519,0,475,0,1,'Your Black Jack VII was successful on %t!','Your Black Jack VII fades.','',0,1,'Spells/Scout/Rogue/Brigand/BlackJack.lua',2776,'You cast Black Jack VII on %t.',1,0,0,0,0,0,1,0,0,340042,0,0,0,0,0,0,0,0,0,'DD',1579118380,1384378115,0,0),
(340049,1399585344,1,1,'Dexterity','Increases defense, parry, aggression, and physical damage mitigation while reducing the offensive melee skills. This is the brigand''s primary defensive stance.',225,40,317,1519965519,0,90,1,0,'Your Blackguard was successful on %t!','Your Blackguard fades.','',0,1,'Spells/Scout/Rogue/Brigand/Blackguard.lua',2777,'You cast Blackguard on %t.',1,0,0,1,1,1,0,0,0,340049,0,0,0,0,0,0,0,0,0,'Unset',1579116791,1384377829,0,0),
(340050,3727043331,1,1,'Knave','Increases defense, parry, aggression, and physical damage mitigation while reducing the offensive melee skills. This is the brigand''s primary defensive stance.',225,40,317,1519965519,0,160,1,0,'Your Blackguard II was successful on %t!','Your Blackguard II fades.','',0,1,'Spells/Scout/Rogue/Brigand/Blackguard.lua',2777,'You cast Blackguard II on %t.',1,0,0,1,1,1,0,0,0,340049,0,0,0,0,0,1,0,0,0,'Unset',1579116805,1384378115,0,0),
(340051,3651307663,1,1,'Blackguard','Increases defense, parry, aggression, and physical damage mitigation while reducing the offensive melee skills. This is the brigand''s primary defensive stance.',225,40,317,1519965519,0,230,1,0,'Your Blackguard III was successful on %t!','Your Blackguard III fades.','',0,1,'Spells/Scout/Rogue/Brigand/Blackguard.lua',2777,'You cast Blackguard III on %t.',1,0,0,1,1,1,0,0,0,340049,0,0,0,0,0,1,0,0,0,'Unset',1579116817,1384378115,0,0),
(340052,3923171440,1,1,'Ruffian','Increases defense, parry, aggression, and physical damage mitigation while reducing the offensive melee skills. This is the brigand''s primary defensive stance.',225,40,317,1519965519,0,300,1,0,'Your Blackguard IV was successful on %t!','Your Blackguard IV fades.','',0,1,'Spells/Scout/Rogue/Brigand/Blackguard.lua',2777,'You cast Blackguard IV on %t.',1,0,0,0,1,0,0,0,0,340049,0,0,0,0,0,1,0,0,0,'Unset',1579116891,1384378115,0,0),
(340053,1139323167,1,1,'Mercenary Stance','Increases defense, parry, aggression, and physical damage mitigation while reducing the offensive melee skills. This is the brigand''s primary defensive stance.',225,40,317,1519965519,0,365,1,0,'Your Blackguard V was successful on %t!','Your Blackguard V fades.','',0,1,'Spells/Scout/Rogue/Brigand/Blackguard.lua',2777,'You cast Blackguard V on %t.',1,0,0,0,1,0,0,0,0,340049,0,0,0,0,0,1,0,0,0,'Unset',1579116962,1384378115,0,0),
(340054,3686483556,1,1,'Blackguard VI','Increases defense, parry, aggression, and physical damage mitigation while reducing the offensive melee skills. This is the brigand''s primary defensive stance.',225,40,317,1519965519,0,415,1,0,'Your Blackguard VI was successful on %t!','Your Blackguard VI fades.','',0,1,'Spells/Scout/Rogue/Brigand/Blackguard.lua',2777,'You cast Blackguard VI on %t.',1,0,0,0,1,0,0,0,0,340049,0,0,0,0,0,1,0,0,0,'Unset',1579117028,1384378113,0,0),
(340055,103653345,1,1,'Blackguard VII','Increases defense, parry, aggression, and physical damage mitigation while reducing the offensive melee skills. This is the brigand''s primary defensive stance.',225,40,317,1519965519,0,465,1,0,'Your Blackguard VII was successful on %t!','Your Blackguard VII fades.','',0,1,'Spells/Scout/Rogue/Brigand/Blackguard.lua',2777,'You cast Blackguard VII on %t.',1,0,0,0,1,0,0,0,0,340049,0,0,0,0,0,1,0,0,0,'Unset',1579117046,1384378115,0,0),
(340056,3294818842,1,0,'Diversion Blade','An attack made from the side that deals moderate damage and interrupts the target.',377,40,315,1519965519,0,25,0,1,'Your Bum Rush was successful on %t!','Your Bum Rush fades.','',0,1,'Spells/Scout/Rogue/Brigand/BumRush.lua',2778,'You cast Bum Rush on %t.',1,0,0,1,0,0,0,0,0,340056,0,0,0,0,0,0,0,0,0,'DD',1579113627,1384377830,0,0),
(340057,927732184,1,0,'Distracting Blade','An attack made from the side that deals moderate damage and interrupts the target.',377,40,315,1514256692,0,95,0,1,'Your Bum Rush II was successful on %t!','Your Bum Rush II fades.','',0,1,'Spells/Scout/Rogue/Brigand/BumRush.lua',2778,'You cast Bum Rush II on %t.',1,0,0,1,0,0,0,0,0,340056,0,0,0,0,0,0,0,0,0,'DD',1579113693,1384378115,0,0),
(340058,1358165502,1,0,'Bum Rush','An attack made from the side that deals moderate damage and interrupts the target.',377,40,315,1519965519,0,165,0,1,'Your Bum Rush III was successful on %t!','Your Bum Rush III fades.','',0,1,'Spells/Scout/Rogue/Brigand/BumRush.lua',2778,'You cast Bum Rush III on %t.',1,0,0,1,0,0,0,0,0,340056,0,0,0,0,0,1,0,0,0,'DD',1579113734,1384378115,0,0),
(340059,3940552107,1,0,'Gambit','An attack made from the side that deals moderate damage and interrupts the target.',377,40,315,1519965519,0,235,0,1,'Your Bum Rush IV was successful on %t!','Your Bum Rush IV fades.','',0,1,'Spells/Scout/Rogue/Brigand/BumRush.lua',2778,'You cast Bum Rush IV on %t.',1,0,0,1,0,0,0,0,0,340056,0,0,0,0,0,1,0,0,0,'DD',1579113766,1384378115,0,0),
(340060,56048482,1,0,'Sideswipe','An attack made from the side that deals moderate damage and interrupts the target.',377,40,315,1519965519,0,305,0,1,'Your Bum Rush V was successful on %t!','Your Bum Rush V fades.','',0,1,'Spells/Scout/Rogue/Brigand/BumRush.lua',2778,'You cast Bum Rush V on %t.',1,0,0,1,0,0,0,0,0,340056,0,0,0,0,0,1,0,0,0,'DD',1579113828,1384378115,0,0),
(340061,4283973498,1,0,'Sidestab','An attack made from the side that deals moderate damage and interrupts the target.',377,40,315,1519965519,0,370,0,1,'Your Bum Rush VI was successful on %t!','Your Bum Rush VI fades.','',0,1,'Spells/Scout/Rogue/Brigand/BumRush.lua',2778,'You cast Bum Rush VI on %t.',1,0,0,1,0,0,0,0,0,340056,0,0,0,0,0,1,0,0,0,'DD',1579113917,1384377830,0,0),
(340062,2433640899,1,0,'Bum Rush VII','An attack made from the side that deals moderate damage and interrupts the target.',377,40,315,1519965519,0,420,0,1,'Your Bum Rush VII was successful on %t!','Your Bum Rush VII fades.','',0,1,'Spells/Scout/Rogue/Brigand/BumRush.lua',2778,'You cast Bum Rush VII on %t.',1,0,0,0,0,0,0,0,0,340056,0,0,0,0,0,1,0,0,0,'DD',1579113959,1384378113,0,0),
(340063,1350612483,1,0,'Bum Rush VIII','An attack made from the side that deals moderate damage and interrupts the target.',377,40,315,1519965519,0,470,0,1,'Your Bum Rush VIII was successful on %t!','Your Bum Rush VIII fades.','',0,1,'Spells/Scout/Rogue/Brigand/BumRush.lua',2778,'You cast Bum Rush VIII on %t.',1,0,0,0,0,0,0,0,0,340056,0,0,0,0,0,1,0,0,0,'DD',1579113999,1384377835,0,0),
(340064,818073091,1,0,'Cuss','Infuriates the target towards the brigand, increasing hate towards the brigand, interrupting them, and dispelling divine-based benefits on the target.',295,38,315,1519965519,723762198,120,0,1,'Your Cuss was successful on %t!','Your Cuss fades.','',0,1,'Spells/Scout/Rogue/Brigand/CussClassic.lua',2779,'You cast Cuss on %t.',1,0,0,1,0,0,0,0,0,340064,0,0,0,0,0,0,0,0,0,'Unset',1579118463,1384378115,0,0),
(340065,766069431,1,0,'Upbraid','Infuriates the target towards the brigand, increasing hate towards the brigand, interrupting them, and dispelling divine-based benefits on the target.',295,38,315,1519965519,723762198,190,0,1,'Your Cuss II was successful on %t!','Your Cuss II fades.','',0,1,'Spells/Scout/Rogue/Brigand/Cuss.lua',2779,'You cast Cuss II on %t.',1,0,0,1,0,0,0,0,0,340064,0,0,0,0,0,1,0,0,0,'Unset',1579118492,1384378115,0,0),
(340066,4152574800,1,0,'Chasten','Infuriates the target towards the brigand, increasing hate towards the brigand, interrupting them, and dispelling divine-based benefits on the target.',295,38,315,1519965519,0,260,0,1,'Your Cuss III was successful on %t!','Your Cuss III fades.','',0,1,'Spells/Scout/Rogue/Brigand/Cuss.lua',2779,'You cast Cuss III on %t.',1,0,0,0,0,0,0,0,0,340064,0,0,0,0,0,1,0,0,0,'Unset',1579118537,1384378115,0,0),
(340067,1360982294,1,0,'Vaunt','Infuriates the target towards the brigand, increasing hate towards the brigand, interrupting them, and dispelling divine-based benefits on the target.',295,38,315,1519965519,0,330,0,1,'Your Cuss IV was successful on %t!','Your Cuss IV fades.','',0,1,'Spells/Scout/Rogue/Brigand/Cuss.lua',2779,'You cast Cuss IV on %t.',1,0,0,0,0,0,0,0,0,340064,0,0,0,0,0,1,0,0,0,'Unset',1579118616,1384378115,0,0),
(340068,1802767789,1,0,'Snicker','Infuriates the target towards the brigand, increasing hate towards the brigand, interrupting them, and dispelling divine-based benefits on the target.',295,38,315,1519965519,0,385,0,1,'Your Cuss V was successful on %t!','Your Cuss V fades.','',0,1,'Spells/Scout/Rogue/Brigand/Cuss.lua',2779,'You cast Cuss V on %t.',1,0,0,0,0,0,0,0,0,340064,0,0,0,0,0,1,0,0,0,'Unset',1579118662,1384378115,0,0),
(340069,304538595,1,0,'Cuss VI','Infuriates the target towards the brigand, increasing hate towards the brigand, interrupting them, and dispelling divine-based benefits on the target.',295,38,315,1519965519,0,435,0,1,'Your Cuss VI was successful on %t!','Your Cuss VI fades.','',0,1,'Spells/Scout/Rogue/Brigand/Cuss.lua',2779,'You cast Cuss VI on %t.',1,0,0,0,0,0,0,0,0,340064,0,0,0,0,0,1,0,0,0,'Unset',1579118676,1384378115,0,0),
(340070,3025266775,1,0,'Cuss VII','Infuriates the target towards the brigand, increasing hate towards the brigand, interrupting them, and dispelling divine-based benefits on the target.',295,38,315,1519965519,0,485,0,1,'Your Cuss VII was successful on %t!','Your Cuss VII fades.','',0,1,'Spells/Scout/Rogue/Brigand/Cuss.lua',2779,'You cast Cuss VII on %t.',1,0,0,0,0,0,0,0,0,340064,0,0,0,0,0,1,0,0,0,'Unset',1579118740,1384378115,0,0),
(340071,1537152247,1,0,'Debilitate','A debilitating attack from flanking or behind that cripples target''s defenses, greatly decreases their crushing, piercing, and slashing mitigation.',186,38,315,1519965519,0,250,0,1,'Your Debilitate was successful on %t!','Your Debilitate fades.','',0,1,'Spells/Scout/Rogue/Brigand/Debilitate.lua',2780,'You cast Debilitate on %t.',1,0,0,0,0,0,1,0,0,340071,0,0,0,0,0,1,0,0,0,'DD',1579126286,1384378115,0,0),
(340072,435836444,1,0,'Devitalize','A debilitating attack from flanking or behind that cripples target''s defenses, greatly decreases their crushing, piercing, and slashing mitigation.',186,38,315,1519965519,0,350,0,1,'Your Debilitate II was successful on %t!','Your Debilitate II fades.','',0,1,'Spells/Scout/Rogue/Brigand/Debilitate.lua',2780,'You cast Debilitate II on %t.',1,0,0,0,0,0,1,0,0,340071,0,0,0,0,0,1,0,0,0,'DD',1579126352,1384378115,0,0),
(340073,1815646255,1,0,'Enfeeblement','A debilitating attack from flanking or behind that cripples target''s defenses, greatly decreases their crushing, piercing, and slashing mitigation.',186,38,315,2662430630,0,400,0,1,'Your Debilitate III was successful on %t!','Your Debilitate III fades.','',0,1,'Spells/Scout/Rogue/Brigand/Debilitate.lua',2780,'You cast Debilitate III on %t.',1,0,0,0,0,0,1,0,0,340071,0,0,0,0,0,1,0,0,0,'DD',1579126387,1384378113,0,0),
(340074,3240471820,1,0,'Debilitate IV','A debilitating attack from flanking or behind that cripples target''s defenses, greatly decreases their crushing, piercing, and slashing mitigation.',186,38,315,1519965519,0,450,0,1,'Your Debilitate IV was successful on %t!','Your Debilitate IV fades.','',0,1,'Spells/Scout/Rogue/Brigand/Debilitate.lua',2780,'You cast Debilitate IV on %t.',1,0,0,1,0,1,1,0,0,340071,0,0,0,0,0,1,0,0,0,'DD',1579126546,1384378115,0,0),
(340075,3686745746,1,0,'Debilitate V','A debilitating attack from flanking or behind that cripples target''s defenses, greatly decreases their crushing, piercing, and slashing mitigation.',186,38,315,1519965519,0,500,0,1,'Your Debilitate V was successful on %t!','Your Debilitate V fades.','',0,1,'Spells/Scout/Rogue/Brigand/Debilitate.lua',2780,'You cast Debilitate V on %t.',1,0,0,0,0,0,1,0,0,340071,0,0,0,0,0,1,0,0,0,'DD',1579126577,1384377831,0,0),
(340076,1990308202,1,0,'Deceit','Increases the attack speed of the brigand and grants a chance to knock down an enemy with every successful melee attack.',370,41,317,1519965519,0,195,0,0,'Your Deceit was successful on %t!','Your Deceit fades.','',0,1,'Spells/Scout/Rogue/Brigand/Deceit.lua',2781,'You cast Deceit on %t.',1,0,0,1,1,1,0,0,0,340076,0,0,0,0,0,0,0,0,0,'Unset',1579120915,1384378115,0,0),
(340077,981976627,1,0,'Crafty Deceit','Increases the attack speed of the brigand and grants a chance to knock down an enemy with every successful melee attack.',370,41,317,1519965519,0,265,0,0,'Your Deceit II was successful on %t!','Your Deceit II fades.','',0,1,'Spells/Scout/Rogue/Brigand/Deceit.lua',2781,'You cast Deceit II on %t.',1,0,0,0,1,0,0,0,0,340076,0,0,0,0,0,0,0,0,0,'Unset',1589427926,1384378115,0,0),
(340078,1448234189,1,0,'Deceitfulness','Increases the attack speed of the brigand and grants a chance to knock down an enemy with every successful melee attack.',370,41,317,1519965519,0,335,0,0,'Your Deceit III was successful on %t!','Your Deceit III fades.','',0,1,'Spells/Scout/Rogue/Brigand/Deceit.lua',2781,'You cast Deceit III on %t.',1,0,0,0,1,0,0,0,0,340076,0,0,0,0,0,0,0,0,0,'Unset',1589427935,1384378115,0,0),
(340079,2121523188,1,0,'Desperate Thrust','A desperate attack, that causes both the brigand and the target to lower their defenses for a short time.',372,40,315,1519965519,0,220,0,1,'Your Desperate Thrust was successful on %t!','Your Desperate Thrust fades.','',0,1,'Spells/Scout/Rogue/Brigand/DesperateThrust.lua',2782,'You cast Desperate Thrust on %t.',1,0,0,1,0,1,4,0,0,340079,0,0,0,0,0,1,0,0,0,'DD',1579121045,1384378115,0,0),
(340080,2710008916,1,0,'Despairing Thrust','A desperate attack, that causes both the brigand and the target to lower their defenses for a short time.',372,40,315,1519965519,0,290,0,1,'Your Desperate Thrust II was successful on %t!','Your Desperate Thrust II fades.','',0,1,'Spells/Scout/Rogue/Brigand/DesperateThrust.lua',2782,'You cast Desperate Thrust II on %t.',1,0,0,0,0,0,4,0,0,340079,0,0,0,0,0,1,0,0,0,'DD',1579125929,1384378115,0,0),
(340081,797003183,1,0,'Compromising Thrust','A desperate attack, that causes both the brigand and the target to lower their defenses for a short time.',372,40,315,1519965519,0,360,0,1,'Your Desperate Thrust III was successful on %t!','Your Desperate Thrust III fades.','',0,1,'Spells/Scout/Rogue/Brigand/DesperateThrust.lua',2782,'You cast Desperate Thrust III on %t.',1,0,0,1,0,1,4,0,0,340079,0,0,0,0,0,1,0,0,0,'DD',1579125978,1384377830,0,0),
(340082,2428924694,1,0,'Desperate Thrust IV','A desperate attack, that causes both the brigand and the target to lower their defenses for a short time.',372,40,315,1519965519,0,410,0,1,'Your Desperate Thrust IV was successful on %t!','Your Desperate Thrust IV fades.','',0,1,'Spells/Scout/Rogue/Brigand/DesperateThrust.lua',2782,'You cast Desperate Thrust IV on %t.',1,0,0,0,0,0,4,0,0,340079,0,0,0,0,0,1,0,0,0,'DD',1579126216,1384378113,0,0),
(340083,1193603918,1,0,'Desperate Thrust V','A desperate attack, that causes both the brigand and the target to lower their defenses for a short time.',372,40,315,1519965519,0,460,0,1,'Your Desperate Thrust V was successful on %t!','Your Desperate Thrust V fades.','',0,1,'Spells/Scout/Rogue/Brigand/DesperateThrust.lua',2782,'You cast Desperate Thrust V on %t.',1,0,0,1,0,1,4,0,0,340083,0,0,0,0,0,1,0,0,0,'DD',1579127737,1384378113,0,0),
(340084,1182867626,1,0,'Dispatch','A high damage melee attack from flanking or behind that severely cripples all of target''s resistances for a short duration.',472,38,315,1519965519,0,275,0,1,'Your Dispatch was successful on %t!','Your Dispatch fades.','',0,1,'Spells/Scout/Rogue/Brigand/Dispatch.lua',2783,'You cast Dispatch on %t.',1,0,0,0,0,0,1,0,0,340084,0,0,0,0,0,1,0,0,0,'DD',1579126856,1384378115,0,0),
(340085,1586071229,1,0,'Dispatched','A high damage melee attack from flanking or behind that severely cripples all of target''s resistances for a short duration.',472,38,315,1519965519,0,370,0,1,'Your Dispatch II was successful on %t!','Your Dispatch II fades.','',0,1,'Spells/Scout/Rogue/Brigand/Dispatch.lua',2783,'You cast Dispatch II on %t.',1,0,0,0,0,0,1,0,0,340084,0,0,0,0,0,1,0,0,0,'DD',1579126824,1384378115,0,0),
(340086,2231291351,1,0,'Dispatch III','A high damage melee attack from flanking or behind that severely cripples all of target''s resistances for a short duration.',472,38,315,1519965519,0,420,0,1,'Your Dispatch III was successful on %t!','Your Dispatch III fades.','',0,1,'Spells/Scout/Rogue/Brigand/Dispatch.lua',2783,'You cast Dispatch III on %t.',1,0,0,0,0,0,1,0,0,340084,0,0,0,0,0,1,0,0,0,'DD',1579126926,1384378113,0,0),
(340087,1164972567,1,0,'Dispatch IV','A high damage melee attack from flanking or behind that severely cripples all of target''s resistances for a short duration.',472,38,315,1519965519,0,470,0,1,'Your Dispatch IV was successful on %t!','Your Dispatch IV fades.','',0,1,'Spells/Scout/Rogue/Brigand/Dispatch.lua',2783,'You cast Dispatch IV on %t.',1,0,0,0,0,0,1,0,0,340084,0,0,0,0,0,1,0,0,0,'DD',1579126974,1384378115,0,0),
(340088,139124984,1,0,'Double Blast','Two precise ranged attacks. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, the target becomes knocked down. This requires a ranged weapon.',340,37,315,1519965519,0,80,0,1,'Your Double Blast was successful on %t!','Your Double Blast fades.','',0,1,'Spells/Scout/Rogue/Brigand/DoubleBlast.lua',2785,'You cast Double Blast on %t.',1,0,0,1,0,0,0,0,0,340088,0,0,0,0,0,0,0,0,0,'DD',1579116049,1384378115,0,0),
(340089,2325636231,1,0,'Maddening Shot','Two precise ranged attacks. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, the target becomes knocked down. This requires a ranged weapon.',340,37,315,1519965519,0,150,0,1,'Your Double Blast II was successful on %t!','Your Double Blast II fades.','',0,1,'Spells/Scout/Rogue/Brigand/MaddeningShot.lua',2785,'You cast Double Blast II on %t.',1,0,0,1,0,0,0,0,0,340088,0,0,0,0,0,0,0,0,0,'DD',1579116133,1384378115,0,0),
(340090,2335949402,1,0,'Double Blast III','Two precise ranged attacks. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, the target becomes knocked down. This requires a ranged weapon.',340,37,315,1519965519,0,220,0,1,'Your Double Blast III was successful on %t!','Your Double Blast III fades.','',0,1,'Spells/Scout/Rogue/Brigand/DoubleBlast.lua',2785,'You cast Double Blast III on %t.',1,0,0,1,0,0,0,0,0,340088,0,0,0,0,0,1,0,0,0,'DD',1579116219,1384378115,0,0),
(340091,1049396302,1,0,'Double Blast IV','Two precise ranged attacks. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, the target becomes knocked down. This requires a ranged weapon.',340,37,315,1519965519,0,290,0,1,'Your Double Blast IV was successful on %t!','Your Double Blast IV fades.','',0,1,'Spells/Scout/Rogue/Brigand/DoubleBlast.lua',2785,'You cast Double Blast IV on %t.',1,0,0,0,0,0,0,0,0,340088,0,0,0,0,0,1,0,0,0,'DD',1579116279,1384378115,0,0),
(340092,4233084385,1,0,'Double Blast V','Two precise ranged attacks. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, the target becomes knocked down. This requires a ranged weapon.',340,37,315,1519965519,0,355,0,1,'Your Double Blast V was successful on %t!','Your Double Blast V fades.','',0,1,'Spells/Scout/Rogue/Brigand/DoubleBlast.lua',2785,'You cast Double Blast V on %t.',1,0,0,0,0,0,0,0,0,340088,0,0,0,0,0,1,0,0,0,'DD',1579116384,1384378115,0,0),
(340093,2831646332,1,0,'Double Blast VI','Two precise ranged attacks. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, the target becomes knocked down. This requires a ranged weapon.',340,37,315,1519965519,0,405,0,1,'Your Double Blast VI was successful on %t!','Your Double Blast VI fades.','',0,1,'Spells/Scout/Rogue/Brigand/DoubleBlast.lua',2785,'You cast Double Blast VI on %t.',1,0,0,0,0,0,0,0,0,340088,0,0,0,0,0,1,0,0,0,'DD',1579116430,1384378113,0,0),
(340094,289187220,1,0,'Double Blast VII','Two precise ranged attacks. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, the target becomes knocked down. This requires a ranged weapon.',340,37,315,1519965519,0,455,0,1,'Your Double Blast VII was successful on %t!','Your Double Blast VII fades.','',0,1,'Spells/Scout/Rogue/Brigand/DoubleBlast.lua',2785,'You cast Double Blast VII on %t.',1,0,0,1,0,0,0,0,0,340088,0,0,0,0,0,1,0,0,0,'DD',1579116501,1384378115,0,0),
(340095,1338614116,1,0,'Double Up','While active, the brigand''s offensive combat arts will immediately strike a second time.',337,36,317,1519965519,0,290,0,0,'Your Double Up was successful on %t!','Your Double Up fades.','',0,1,'Spells/Scout/Rogue/Brigand/DoubleUp.lua',2785,'You cast Double Up on %t.',1,0,0,0,1,0,0,0,0,340095,0,0,0,0,0,0,0,0,0,'Unset',1579127122,1384378115,0,0),
(340096,4225553712,1,0,'Snarl','The brigand traps target encounter, slowing their movement speed. Every attack or hostile acount on them have a chance at breaking this effect. When the initial effect expires, the target''s movement speed is hindered again for a short duration.',308,37,312,1519965519,0,140,0,2,'Your Entangle was successful on %t!','Your Entangle fades.','',0,1,'Spells/Scout/Rogue/Brigand/Snarl.lua',2786,'You cast Entangle on %t.',1,0,0,1,0,1,2,0,0,340096,0,0,0,0,0,0,0,0,0,'Unset',1579119038,1384378115,0,0),
(340097,620481096,1,0,'Tangle','The brigand traps target encounter, slowing their movement speed. Every attack or hostile acount on them have a chance at breaking this effect. When the initial effect expires, the target''s movement speed is hindered again for a short duration.',308,37,312,1519965519,0,210,0,2,'Your Entangle II was successful on %t!','Your Entangle II fades.','',0,1,'Spells/Scout/Rogue/Brigand/Entangle.lua',2786,'You cast Entangle II on %t.',1,0,0,1,0,1,2,0,0,340096,0,0,0,0,0,0,0,0,0,'Unset',1579119248,1384378115,0,0),
(340098,1456802810,1,0,'Ensnarl','The brigand traps target encounter, slowing their movement speed. Every attack or hostile acount on them have a chance at breaking this effect. When the initial effect expires, the target''s movement speed is hindered again for a short duration.',308,37,312,1519965519,0,280,0,2,'Your Entangle III was successful on %t!','Your Entangle III fades.','',0,1,'Spells/Scout/Rogue/Brigand/Entangle.lua',2786,'You cast Entangle III on %t.',1,0,0,0,0,0,2,0,0,340096,0,0,0,0,0,0,0,0,0,'Unset',1589427477,1384378115,0,0),
(340099,3897509116,1,0,'Entangle','The brigand traps target encounter, slowing their movement speed. Every attack or hostile acount on them have a chance at breaking this effect. When the initial effect expires, the target''s movement speed is hindered again for a short duration.',308,37,312,1519965519,0,350,0,2,'Your Entangle IV was successful on %t!','Your Entangle IV fades.','',0,1,'Spells/Scout/Rogue/Brigand/Entangle.lua',2786,'You cast Entangle IV on %t.',1,0,0,0,0,0,2,0,0,340096,0,0,0,0,0,0,0,0,0,'Unset',1579119801,1384378115,0,0),
(340100,1813950504,1,0,'Gouge','An attack from the side or front that deals medium damage. If it hits, it cripples target''s ability to parry.',346,36,315,1514256692,0,75,0,1,'Your Gouge was successful on %t!','Your Gouge fades.','',0,1,'Spells/Scout/Rogue/Brigand/Gouge.lua',2787,'You cast Gouge on %t.',1,0,0,1,0,1,0,0,0,340100,0,0,0,0,0,0,0,0,0,'DD',1579115661,1384378115,0,0),
(340101,50851378,1,0,'Vicious Stab','An attack from the side or front that deals medium damage. If it hits, it cripples target''s ability to parry.',346,36,315,1519965519,0,145,0,1,'Your Gouge II was successful on %t!','Your Gouge II fades.','',0,1,'Spells/Scout/Rogue/Brigand/ViciousStab.lua',2787,'You cast Gouge II on %t.',1,0,0,1,0,1,0,0,0,340100,0,0,0,0,0,0,0,0,0,'DD',1579115713,1384378115,0,0),
(340102,250682045,1,0,'Waylay','An attack from the side or front that deals medium damage. If it hits, it cripples target''s ability to parry.',346,36,315,1519965519,0,215,0,1,'Your Gouge III was successful on %t!','Your Gouge III fades.','',0,1,'Spells/Scout/Rogue/Brigand/Gouge.lua',2787,'You cast Gouge III on %t.',1,0,0,1,0,1,0,0,0,340100,0,0,0,0,0,1,0,0,0,'DD',1579115774,1384378115,0,0),
(340103,96482904,1,0,'Ambuscade','An attack from the side or front that deals medium damage. If it hits, it cripples target''s ability to parry.',346,36,315,2663054519,0,285,0,1,'Your Gouge IV was successful on %t!','Your Gouge IV fades.','',0,1,'Spells/Scout/Rogue/Brigand/Gouge.lua',2787,'You cast Gouge IV on %t.',1,0,0,0,0,0,0,0,0,340100,0,0,0,0,0,1,0,0,0,'DD',1579115823,1384378115,0,0),
(340104,2441448856,1,0,'Remiss','An attack from the side or front that deals medium damage. If it hits, it cripples target''s ability to parry.',346,36,315,1519965519,0,355,0,1,'Your Gouge V was successful on %t!','Your Gouge V fades.','',0,1,'Spells/Scout/Rogue/Brigand/Gouge.lua',2787,'You cast Gouge V on %t.',1,0,0,0,0,0,0,0,0,340100,0,0,0,0,0,1,0,0,0,'DD',1579115878,1384378115,0,0),
(340105,2266926864,1,0,'Gouge VI','An attack from the side or front that deals medium damage. If it hits, it cripples target''s ability to parry.',346,36,315,1519965519,0,405,0,1,'Your Gouge VI was successful on %t!','Your Gouge VI fades.','',0,1,'Spells/Scout/Rogue/Brigand/Gouge.lua',2787,'You cast Gouge VI on %t.',1,0,0,1,0,1,0,0,0,340100,0,0,0,0,0,1,0,0,0,'DD',1579115895,1384378113,0,0),
(340106,1270124430,1,0,'Gouge VII','An attack from the side or front that deals medium damage. If it hits, it cripples target''s ability to parry.',346,36,315,1519965519,0,455,0,1,'Your Gouge VII was successful on %t!','Your Gouge VII fades.','',0,1,'Spells/Scout/Rogue/Brigand/Gouge.lua',2787,'You cast Gouge VII on %t.',1,0,0,1,0,1,0,0,0,340100,0,0,0,0,0,1,0,0,0,'DD',1579115943,1384377833,0,0),
(340107,3601755453,1,1,'Havoc''s Treachery','This is the condensed energy of an ancient, mythical weapon.',337,65535,317,0,0,0,1,0,'Your Havoc''s Treachery was successful on %t!','Your Havoc''s Treachery fades.','',0,1,'Spells/Scout/Rogue/Brigand/HavocsTreachery.lua',3563,'You cast Havoc''s Treachery on %t.',1,0,0,0,1,0,0,0,0,340107,0,0,0,0,0,0,0,0,0,'Unset',1589428092,1384377878,0,0),
(340108,1989373118,1,0,'Tie','Severely decreases target''s resistance to Elemental and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,1519965519,0,35,0,1,'Your Holdup was successful on %t!','Your Holdup fades.','',0,1,'Spells/Scout/Rogue/Brigand/Holdup.lua',2788,'You cast Holdup on %t.',1,0,0,1,0,1,4,0,0,340108,0,0,0,0,0,0,0,0,0,'Unset',1579114631,1384377830,0,0),
(340109,2694809159,1,0,'Tie Up','Severely decreases target''s resistance to Elemental and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,1519965519,0,115,0,1,'Your Holdup II was successful on %t!','Your Holdup II fades.','',0,1,'Spells/Scout/Rogue/Brigand/TieUp.lua',2788,'You cast Holdup II on %t.',1,0,0,1,0,1,4,0,0,340108,0,0,0,0,0,0,0,0,0,'Unset',1579114678,1384378115,0,0),
(340110,845482169,1,0,'Snag','Severely decreases target''s resistance to Elemental and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,1519965519,0,185,0,1,'Your Holdup III was successful on %t!','Your Holdup III fades.','',0,1,'Spells/Scout/Rogue/Brigand/Holdup.lua',2788,'You cast Holdup III on %t.',1,0,0,1,0,1,4,0,0,340108,0,0,0,0,0,1,0,0,0,'Unset',1579114719,1384378115,0,0),
(340111,3501988607,1,0,'Corral','Severely decreases target''s resistance to Elemental and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,1519965519,0,255,0,1,'Your Holdup IV was successful on %t!','Your Holdup IV fades.','',0,1,'Spells/Scout/Rogue/Brigand/Holdup.lua',2788,'You cast Holdup IV on %t.',1,0,0,0,0,0,4,0,0,340108,0,0,0,0,0,1,0,0,0,'Unset',1579114736,1384378115,0,0),
(340112,3519344051,1,0,'Secure','Severely decreases target''s resistance to Elemental and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,1519965519,0,325,0,1,'Your Holdup V was successful on %t!','Your Holdup V fades.','',0,1,'Spells/Scout/Rogue/Brigand/Holdup.lua',2788,'You cast Holdup V on %t.',1,0,0,0,0,0,4,0,0,340108,0,0,0,0,0,1,0,0,0,'Unset',1579114831,1384378115,0,0),
(340113,210419671,1,0,'Holdup','Severely decreases target''s resistance to Elemental and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,1519965519,0,380,0,1,'Your Holdup VI was successful on %t!','Your Holdup VI fades.','',0,1,'Spells/Scout/Rogue/Brigand/Holdup.lua',2788,'You cast Holdup VI on %t.',1,0,0,0,0,0,4,0,0,340108,0,0,0,0,0,1,0,0,0,'Unset',1579114876,1384378115,0,0),
(340114,3543363590,1,0,'Holdup VII','Severely decreases target''s resistance to Elemental and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,1519965519,0,430,0,1,'Your Holdup VII was successful on %t!','Your Holdup VII fades.','',0,1,'Spells/Scout/Rogue/Brigand/Holdup.lua',2788,'You cast Holdup VII on %t.',1,0,0,0,0,0,4,0,0,340108,0,0,0,0,0,1,0,0,0,'Unset',1579114921,1384378115,0,0),
(340115,3293078597,1,0,'Holdup VIII','Severely decreases target''s resistance to Elemental and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,1519965519,0,480,0,1,'Your Holdup VIII was successful on %t!','Your Holdup VIII fades.','',0,1,'Spells/Scout/Rogue/Brigand/Holdup.lua',2788,'You cast Holdup VIII on %t.',1,0,0,0,0,0,4,0,0,340108,0,0,0,0,0,1,0,0,0,'Unset',1579114957,1384377836,0,0),
(340116,1522825298,1,0,'Bruise','Decreases target''s defense and agility.',310,41,315,1519965519,0,30,0,1,'Your Mug was successful on %t!','Your Mug fades.','',0,1,'Spells/Scout/Rogue/Brigand/Mug.lua',2789,'You cast Mug on %t.',1,0,0,1,0,1,1,0,0,340116,0,0,0,0,0,0,0,0,0,'Unset',1579114054,1384378115,0,0),
(340117,3271965507,1,0,'Knockaround','Decreases target''s defense and agility.',310,41,315,1519965519,0,110,0,1,'Your Mug II was successful on %t!','Your Mug II fades.','',0,1,'Spells/Scout/Rogue/Brigand/Knockaround.lua',2789,'You cast Mug II on %t.',1,0,0,1,0,1,1,0,0,340116,0,0,0,0,0,0,0,0,0,'Unset',1579114103,1384378115,0,0),
(340118,3605631790,1,0,'Mug','Decreases target''s defense and agility.',310,41,315,1519965519,0,180,0,1,'Your Mug III was successful on %t!','Your Mug III fades.','',0,1,'Spells/Scout/Rogue/Brigand/Mug.lua',2789,'You cast Mug III on %t.',1,0,0,1,0,1,1,0,0,340116,0,0,0,0,0,1,0,0,0,'Unset',1579114149,1384378115,0,0),
(340119,313131612,1,0,'Wrangle','Decreases target''s defense and agility.',310,41,315,1519965519,0,250,0,1,'Your Mug IV was successful on %t!','Your Mug IV fades.','',0,1,'Spells/Scout/Rogue/Brigand/Mug.lua',2789,'You cast Mug IV on %t.',1,0,0,0,0,0,1,0,0,340116,0,0,0,0,0,1,0,0,0,'Unset',1579114198,1384378115,0,0),
(340120,469697766,1,0,'Ruckus','Decreases target''s defense and agility.',310,41,315,1519965519,0,320,0,1,'Your Mug V was successful on %t!','Your Mug V fades.','',0,1,'Spells/Scout/Rogue/Brigand/Mug.lua',2789,'You cast Mug V on %t.',1,0,0,0,0,0,1,0,0,340116,0,0,0,0,0,1,0,0,0,'Unset',1579114247,1384378115,0,0),
(340121,345830136,1,0,'Roughen','Decreases target''s defense and agility.',310,41,315,1519965519,0,375,0,1,'Your Mug VI was successful on %t!','Your Mug VI fades.','',0,1,'Spells/Scout/Rogue/Brigand/Mug.lua',2789,'You cast Mug VI on %t.',1,0,0,0,0,0,1,0,0,340116,0,0,0,0,0,1,0,0,0,'Unset',1579114293,1384377830,0,0),
(340122,4220393789,1,0,'Mug VII','Decreases target''s defense and agility.',310,41,315,1519965519,0,425,0,1,'Your Mug VII was successful on %t!','Your Mug VII fades.','',0,1,'Spells/Scout/Rogue/Brigand/Mug.lua',2789,'You cast Mug VII on %t.',1,0,0,0,0,0,1,0,0,340116,0,0,0,0,0,1,0,0,0,'Unset',1579114336,1384378116,0,0),
(340123,819120792,1,0,'Mug VIII','Decreases target''s defense and agility.',310,41,315,1519965519,0,475,0,1,'Your Mug VIII was successful on %t!','Your Mug VIII fades.','',0,1,'Spells/Scout/Rogue/Brigand/Mug.lua',2789,'You cast Mug VIII on %t.',1,0,0,0,0,0,1,0,0,340116,0,0,0,0,0,1,0,0,0,'Unset',1579114374,1384378115,0,0),
(340124,773233227,1,0,'Rake','An attack from flanking or behind the target that cripples their arcane (Magic, Divine, and Mental), noxious (Poison and Disease), and elemental (Heat and Cold) mitigations.',384,36,315,1519965519,0,100,0,1,'Your Murderous Rake was successful on %t!','Your Murderous Rake fades.','',0,1,'Spells/Scout/Rogue/Brigand/Rake.lua',2790,'You cast Murderous Rake on %t.',1,0,0,1,0,1,1,0,0,340124,0,0,0,0,0,0,0,0,0,'DD',1579117121,1384378115,0,0),
(340125,3420208726,1,0,'Vicious Rake','An attack from flanking or behind the target that cripples their arcane (Magic, Divine, and Mental), noxious (Poison and Disease), and elemental (Heat and Cold) mitigations.',384,36,315,1519965519,0,170,0,1,'Your Murderous Rake II was successful on %t!','Your Murderous Rake II fades.','',0,1,'Spells/Scout/Rogue/Brigand/MurderousRake.lua',2790,'You cast Murderous Rake II on %t.',1,0,0,1,0,1,1,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1579117230,1384378115,0,0),
(340126,2251328148,1,0,'Murderous Rake','An attack from flanking or behind the target that cripples their arcane (Magic, Divine, and Mental), noxious (Poison and Disease), and elemental (Heat and Cold) mitigations.',384,36,315,1519965519,0,240,0,1,'Your Murderous Rake III was successful on %t!','Your Murderous Rake III fades.','',0,1,'Spells/Scout/Rogue/Brigand/MurderousRake.lua',2790,'You cast Murderous Rake III on %t.',1,0,0,1,0,1,1,0,0,340124,0,0,0,0,0,1,0,0,0,'DD',1579117336,1384378115,0,0),
(340127,3559938840,1,0,'Ruinous Rake','An attack from flanking or behind the target that cripples their arcane (Magic, Divine, and Mental), noxious (Poison and Disease), and elemental (Heat and Cold) mitigations.',384,36,315,1519965519,0,310,0,1,'Your Murderous Rake IV was successful on %t!','Your Murderous Rake IV fades.','',0,1,'Spells/Scout/Rogue/Brigand/MurderousRake.lua',2790,'You cast Murderous Rake IV on %t.',1,0,0,1,0,1,1,0,0,340124,0,0,0,0,0,1,0,0,0,'DD',1579117394,1384378115,0,0),
(340128,1269752381,1,0,'Blood Rake','An attack from flanking or behind the target that cripples their arcane (Magic, Divine, and Mental), noxious (Poison and Disease), and elemental (Heat and Cold) mitigations.',384,36,315,1519965519,0,370,0,1,'Your Murderous Rake V was successful on %t!','Your Murderous Rake V fades.','',0,1,'Spells/Scout/Rogue/Brigand/MurderousRake.lua',2790,'You cast Murderous Rake V on %t.',1,0,0,0,0,0,1,0,0,340124,0,0,0,0,0,1,0,0,0,'DD',1579117482,1384378115,0,0),
(340129,3020566797,1,0,'Murderous Rake VI','An attack from flanking or behind the target that cripples their arcane (Magic, Divine, and Mental), noxious (Poison and Disease), and elemental (Heat and Cold) mitigations.',384,36,315,1519965519,0,420,0,1,'Your Murderous Rake VI was successful on %t!','Your Murderous Rake VI fades.','',0,1,'Spells/Scout/Rogue/Brigand/MurderousRake.lua',2790,'You cast Murderous Rake VI on %t.',1,0,0,1,0,1,1,0,0,340124,0,0,0,0,0,1,0,0,0,'DD',1579117527,1384378113,0,0),
(340130,866974286,1,0,'Murderous Rake VII','An attack from flanking or behind the target that cripples their arcane (Magic, Divine, and Mental), noxious (Poison and Disease), and elemental (Heat and Cold) mitigations.',384,36,315,1519965519,0,470,0,1,'Your Murderous Rake VII was successful on %t!','Your Murderous Rake VII fades.','',0,1,'Spells/Scout/Rogue/Brigand/MurderousRake.lua',2790,'You cast Murderous Rake VII on %t.',1,0,0,1,0,1,1,0,0,340124,0,0,0,0,0,1,0,0,0,'DD',1579117570,1384377836,0,0),
(340131,511512727,1,0,'Quick Thrust','A quick attack that lowers the target''s attack speed.',338,36,315,1519965519,0,5,0,1,'Your Puncture was successful on %t!','Your Puncture fades.','',0,1,'Spells/Scout/Rogue/Brigand/Puncture.lua',2792,'You cast Puncture on %t.',1,0,0,1,0,1,1,0,0,310018,0,0,0,0,0,0,0,0,0,'DD',1579111560,1384378115,0,0),
(340132,1195398312,1,0,'Thrust','A quick attack that lowers the target''s attack speed.',338,36,315,1519965519,0,40,0,1,'Your Puncture II was successful on %t!','Your Puncture II fades.','',0,1,'Spells/Scout/Rogue/Brigand/Puncture.lua',2792,'You cast Puncture II on %t.',1,0,0,1,0,1,1,0,0,340131,0,0,0,0,0,0,0,0,0,'DD',1579111602,1384377829,0,0),
(340133,2610642727,1,0,'Puncture','A quick attack that lowers the target''s attack speed.',338,36,315,1519965519,0,75,0,1,'Your Puncture III was successful on %t!','Your Puncture III fades.','',0,1,'Spells/Scout/Rogue/Brigand/Puncture.lua',2792,'You cast Puncture III on %t.',1,0,0,1,0,1,1,0,0,340131,0,0,0,0,0,0,0,0,0,'DD',1579111627,1384378115,0,0),
(340134,301102767,1,0,'Disarming Thrust','A quick attack that lowers the target''s attack speed.',338,36,315,1519965519,0,145,0,1,'Your Puncture IV was successful on %t!','Your Puncture IV fades.','',0,1,'Spells/Scout/Rogue/Brigand/DisarmingThrust.lua',2792,'You cast Puncture IV on %t.',1,0,0,1,0,1,1,0,0,340131,0,0,0,0,0,0,0,0,0,'DD',1579111678,1384378115,0,0),
(340135,682851864,1,0,'Puncture IX','A quick attack that lowers the target''s attack speed.',338,36,315,1519965519,0,455,0,1,'Your Puncture IX was successful on %t!','Your Puncture IX fades.','',0,1,'Spells/Scout/Rogue/Brigand/Puncture.lua',2792,'You cast Puncture IX on %t.',1,0,0,1,0,1,1,0,0,340131,0,0,0,0,0,1,0,0,0,'DD',1579112039,1384378113,0,0),
(340136,3518333115,1,0,'Concealed Blade','A quick attack that lowers the target''s attack speed.',338,36,315,1519965519,0,215,0,1,'Your Puncture V was successful on %t!','Your Puncture V fades.','',0,1,'Spells/Scout/Rogue/Brigand/Puncture.lua',2792,'You cast Puncture V on %t.',1,0,0,1,0,1,1,0,0,340131,0,0,0,0,0,1,0,0,0,'DD',1629843913,1384378115,0,0),
(340137,1153677913,1,0,'Shrouded Blade','A quick attack that lowers the target''s attack speed.',338,36,315,1519965519,0,285,0,1,'Your Puncture VI was successful on %t!','Your Puncture VI fades.','',0,1,'Spells/Scout/Rogue/Brigand/Puncture.lua',2792,'You cast Puncture VI on %t.',1,0,0,0,0,0,1,0,0,340131,0,0,0,0,0,1,0,0,0,'DD',1579111826,1384378115,0,0),
(340138,4178772259,1,0,'Jagged Blade','A quick attack that lowers the target''s attack speed.',338,36,315,1519965519,0,355,0,1,'Your Puncture VII was successful on %t!','Your Puncture VII fades.','',0,1,'Spells/Scout/Rogue/Brigand/Puncture.lua',2792,'You cast Puncture VII on %t.',1,0,0,1,0,1,1,0,0,340131,0,0,0,0,0,1,0,0,0,'DD',1579111938,1384378115,0,0),
(340139,3913130456,1,0,'Puncture VIII','A quick attack that lowers the target''s attack speed.',338,36,315,1519965519,0,405,0,1,'Your Puncture VIII was successful on %t!','Your Puncture VIII fades.','',0,1,'Spells/Scout/Rogue/Brigand/Puncture.lua',2792,'You cast Puncture VIII on %t.',1,0,0,0,0,0,1,0,0,340131,0,0,0,0,0,1,0,0,0,'DD',1579112011,1384378113,0,0),
(340140,14664364,1,0,'Whack','A stealth attack that deals great damage and decreases the target''s strength. This can only be used while in stealth.',301,40,315,1519965519,0,10,0,1,'Your Rob was successful on %t!','Your Rob fades.','',0,1,'Spells/Scout/Rogue/Brigand/Rob.lua',2793,'You cast Rob on %t.',1,0,0,1,0,1,1,0,0,340140,0,0,0,0,0,0,0,0,0,'DD',1579112641,1384377830,0,0),
(340141,1184326879,1,0,'Skew','A stealth attack that deals great damage and decreases the target''s strength. This can only be used while in stealth.',301,40,315,1519965519,0,45,0,1,'Your Rob II was successful on %t!','Your Rob II fades.','',0,1,'Spells/Scout/Rogue/Brigand/Rob.lua',2793,'You cast Rob II on %t.',1,0,0,1,0,1,1,0,0,340140,0,0,0,0,0,0,0,0,0,'DD',1579112715,1384378115,0,0),
(340142,346372293,1,0,'Tangling Strike','A stealth attack that deals great damage and decreases the target''s strength. This can only be used while in stealth.',301,40,315,1519965519,0,105,0,1,'Your Rob III was successful on %t!','Your Rob III fades.','',0,1,'Spells/Scout/Rogue/Brigand/TanglingStrike.lua',2793,'You cast Rob III on %t.',1,0,0,1,0,1,1,0,0,340140,0,0,0,0,0,0,0,0,0,'DD',1579112804,1384378115,0,0),
(340143,3504021532,1,0,'Bushwhack','A stealth attack that deals great damage and decreases the target''s strength. This can only be used while in stealth.',301,40,315,1519965519,0,175,0,1,'Your Rob IV was successful on %t!','Your Rob IV fades.','',0,1,'Spells/Scout/Rogue/Brigand/Rob.lua',2793,'You cast Rob IV on %t.',1,0,0,1,0,1,1,0,0,340140,0,0,0,0,0,1,0,0,0,'DD',1579112835,1384377831,0,0),
(340144,3891208321,1,0,'Rob IX','A stealth attack that deals great damage and decreases the target''s strength. This can only be used while in stealth.',301,40,315,1519965519,0,475,0,1,'Your Rob IX was successful on %t!','Your Rob IX fades.','',0,1,'Spells/Scout/Rogue/Brigand/Rob.lua',2793,'You cast Rob IX on %t.',1,0,0,0,0,0,1,0,0,340140,0,0,0,0,0,1,0,0,0,'DD',1579113128,1384378115,0,0),
(340145,2097960955,1,0,'Run Through','A stealth attack that deals great damage and decreases the target''s strength. This can only be used while in stealth.',301,40,315,1519965519,0,245,0,1,'Your Rob V was successful on %t!','Your Rob V fades.','',0,1,'Spells/Scout/Rogue/Brigand/Rob.lua',2793,'You cast Rob V on %t.',1,0,0,0,0,0,1,0,0,340140,0,0,0,0,0,1,0,0,0,'DD',1579112924,1384378115,0,0),
(340146,136630454,1,0,'Skewer','A stealth attack that deals great damage and decreases the target''s strength. This can only be used while in stealth.',301,40,315,1519965519,0,315,0,1,'Your Rob VI was successful on %t!','Your Rob VI fades.','',0,1,'Spells/Scout/Rogue/Brigand/Rob.lua',2793,'You cast Rob VI on %t.',1,0,0,0,0,0,1,0,0,340140,0,0,0,0,0,1,0,0,0,'DD',1579112997,1384378115,0,0),
(340147,3722789361,1,0,'Rob','A stealth attack that deals great damage and decreases the target''s strength. This can only be used while in stealth.',301,40,315,1519965519,0,375,0,1,'Your Rob VII was successful on %t!','Your Rob VII fades.','',0,1,'Spells/Scout/Rogue/Brigand/Rob.lua',2793,'You cast Rob VII on %t.',1,0,0,1,0,1,1,0,0,340140,0,0,0,0,0,1,0,0,0,'DD',1579113057,1384377830,0,0),
(340148,749990692,1,0,'Rob VIII','A stealth attack that deals great damage and decreases the target''s strength. This can only be used while in stealth.',301,40,315,1519965519,0,425,0,1,'Your Rob VIII was successful on %t!','Your Rob VIII fades.','',0,1,'Spells/Scout/Rogue/Brigand/Rob.lua',2793,'You cast Rob VIII on %t.',1,0,0,0,0,0,1,0,0,340140,0,0,0,0,0,1,0,0,0,'DD',1579113109,1384378116,0,0),
(340149,3464371650,1,0,'Shank','An attack from the side or behind that damages the target over time on a successful hit.',339,38,315,1519965519,0,160,0,1,'Your Shank was successful on %t!','Your Shank fades.','',0,1,'Spells/Scout/Rogue/Brigand/Shank.lua',2794,'You cast Shank on %t.',1,0,0,1,0,1,0,0,0,340149,0,0,0,0,0,1,0,0,0,'DoT',1579120483,1384378115,0,0),
(340150,2591699930,1,0,'Shiv','An attack from the side or behind that damages the target over time on a successful hit.',339,38,315,1519965519,0,230,0,1,'Your Shank II was successful on %t!','Your Shank II fades.','',0,1,'Spells/Scout/Rogue/Brigand/Shank.lua',2794,'You cast Shank II on %t.',1,0,0,1,0,1,0,0,0,340149,0,0,0,0,0,1,0,0,0,'DoT',1579120575,1384378115,0,0),
(340151,478397839,1,0,'Stab','An attack from the side or behind that damages the target over time on a successful hit.',339,38,315,1519965519,0,300,0,1,'Your Shank III was successful on %t!','Your Shank III fades.','',0,1,'Spells/Scout/Rogue/Brigand/Shank.lua',2794,'You cast Shank III on %t.',1,0,0,0,0,0,0,0,0,340149,0,0,0,0,0,1,0,0,0,'DoT',1579120637,1384378115,0,0),
(340152,853030310,1,0,'Spew','An attack from the side or behind that damages the target over time on a successful hit.',339,38,315,1519965519,0,365,0,1,'Your Shank IV was successful on %t!','Your Shank IV fades.','',0,1,'Spells/Scout/Rogue/Brigand/Shank.lua',2794,'You cast Shank IV on %t.',1,0,0,0,0,0,0,0,0,340149,0,0,0,0,0,1,0,0,0,'DoT',1579120691,1384378115,0,0),
(340153,895683104,1,0,'Shank V','An attack from the side or behind that damages the target over time on a successful hit.',339,38,315,1519965519,0,415,0,1,'Your Shank V was successful on %t!','Your Shank V fades.','',0,1,'Spells/Scout/Rogue/Brigand/Shank.lua',2794,'You cast Shank V on %t.',1,0,0,1,0,1,0,0,0,340149,0,0,0,0,0,1,0,0,0,'DoT',1579120787,1384378113,0,0),
(340154,4190702270,1,0,'Shank VI','An attack from the side or behind that damages the target over time on a successful hit.',339,38,315,1519965519,0,465,0,1,'Your Shank VI was successful on %t!','Your Shank VI fades.','',0,1,'Spells/Scout/Rogue/Brigand/Shank.lua',2794,'You cast Shank VI on %t.',1,0,0,1,0,1,0,0,0,340149,0,0,0,0,0,1,0,0,0,'DoT',1579120835,1384378115,0,0),
(340155,2088688155,1,0,'Ruse','A cunning attempt to trick the target into believing the brigand is bleeding to death, increasing its hate towards the brigand. The brigand launches a powerful surprise attack if the target strikes within the next few seconds.',333,65535,315,1519965519,723762198,100,0,0,'Your Shenanigans was successful on %t!','Your Shenanigans fades.','',0,1,'Spells/Scout/Rogue/Brigand/Ruse.lua',2795,'You cast Shenanigans on %t.',1,0,0,1,0,1,0,4,0,340155,0,0,0,0,0,0,0,0,0,'Unset',1579117651,1384377829,0,0),
(340156,1887458786,1,0,'Trickery','A cunning attempt to trick the target into believing the brigand is bleeding to death, increasing its hate towards the brigand. The brigand launches a powerful surprise attack if the target strikes within the next few seconds.',333,36,315,1519965519,723762198,170,0,0,'Your Shenanigans II was successful on %t!','Your Shenanigans II fades.','',0,1,'Spells/Scout/Rogue/Brigand/Shenanigans.lua',2795,'You cast Shenanigans II on %t.',1,0,0,1,0,1,0,4,0,340155,0,0,0,0,0,1,0,0,0,'Unset',1579117702,1384378115,0,0),
(340157,3239419177,1,0,'Deception','A cunning attempt to trick the target into believing the brigand is bleeding to death, increasing its hate towards the brigand. The brigand launches a powerful surprise attack if the target strikes within the next few seconds.',333,36,315,1519965519,0,240,0,0,'Your Shenanigans III was successful on %t!','Your Shenanigans III fades.','',0,1,'Spells/Scout/Rogue/Brigand/Shenanigans.lua',2795,'You cast Shenanigans III on %t.',1,0,0,0,0,0,0,4,0,340155,0,0,0,0,0,1,0,0,0,'Unset',1579117767,1384378115,0,0),
(340158,3577405753,1,0,'Subterfuge','A cunning attempt to trick the target into believing the brigand is bleeding to death, increasing its hate towards the brigand. The brigand launches a powerful surprise attack if the target strikes within the next few seconds.',333,65535,315,3282420779,723762198,310,0,0,'Your Shenanigans IV was successful on %t!','Your Shenanigans IV fades.','',0,1,'Spells/Scout/Rogue/Brigand/Shenanigans.lua',2795,'You cast Shenanigans IV on %t.',1,0,0,1,0,1,0,4,0,340155,0,0,0,0,0,1,0,0,0,'Unset',1579117804,1384378158,0,0),
(340159,4011765241,1,0,'Shenanigans','A cunning attempt to trick the target into believing the brigand is bleeding to death, increasing its hate towards the brigand. The brigand launches a powerful surprise attack if the target strikes within the next few seconds.',333,65535,315,1519965519,0,370,0,0,'Your Shenanigans V was successful on %t!','Your Shenanigans V fades.','',0,1,'Spells/Scout/Rogue/Brigand/Shenanigans.lua',2795,'You cast Shenanigans V on %t.',1,0,0,0,0,0,0,4,0,340155,0,0,0,0,0,1,0,0,0,'Unset',1579117847,1384378115,0,0),
(340160,3112835343,1,0,'Shenanigans VI','A cunning attempt to trick the target into believing the brigand is bleeding to death, increasing its hate towards the brigand. The brigand launches a powerful surprise attack if the target strikes within the next few seconds.',333,65535,315,1519965519,0,420,0,0,'Your Shenanigans VI was successful on %t!','Your Shenanigans VI fades.','',0,1,'Spells/Scout/Rogue/Brigand/Shenanigans.lua',2795,'You cast Shenanigans VI on %t.',1,0,0,0,0,0,0,4,0,340155,0,0,0,0,0,1,0,0,0,'Unset',1579117880,1384377831,0,0),
(340161,612759673,1,0,'Shenanigans VII','A cunning attempt to trick the target into believing the brigand is bleeding to death, increasing its hate towards the brigand. The brigand launches a powerful surprise attack if the target strikes within the next few seconds.',333,65535,315,1519965519,0,470,0,0,'Your Shenanigans VII was successful on %t!','Your Shenanigans VII fades.','',0,1,'Spells/Scout/Rogue/Brigand/Shenanigans.lua',2795,'You cast Shenanigans VII on %t.',1,0,0,0,0,0,0,4,0,340155,0,0,0,0,0,1,0,0,0,'Unset',1579117923,1384378158,0,0),
(340162,786112925,1,1,'Street Smarts','Increases the base avoidance, agility, physical resistance, and spell resistance of the brigand.',294,38,317,1514256692,0,65,1,0,'Your Street Smarts was successful on %t!','Your Street Smarts fades.','',0,1,'Spells/Scout/Rogue/Brigand/StreetSmarts.lua',2796,'You cast Street Smarts on %t.',1,0,0,1,1,1,0,0,0,340162,0,0,0,0,0,0,0,0,0,'Unset',1579115036,1384378115,0,0),
(340163,2259010741,1,1,'Rough Skin','Increases the base avoidance, agility, physical resistance, and spell resistance of the brigand.',294,38,317,1519965519,0,135,1,0,'Your Street Smarts II was successful on %t!','Your Street Smarts II fades.','',0,1,'Spells/Scout/Rogue/Brigand/RoughSkin.lua',2796,'You cast Street Smarts II on %t.',1,0,0,1,1,1,0,0,0,340162,0,0,0,0,0,0,0,0,0,'Unset',1579115054,1384378115,0,0),
(340164,1169776730,1,1,'Aegis','Increases the base avoidance, agility, physical resistance, and spell resistance of the brigand.',294,38,317,1519965519,0,205,1,0,'Your Street Smarts III was successful on %t!','Your Street Smarts III fades.','',0,1,'Spells/Scout/Rogue/Brigand/StreetSmarts.lua',2796,'You cast Street Smarts III on %t.',1,0,0,1,1,1,0,0,0,340162,0,0,0,0,0,1,0,0,0,'Unset',1579115078,1384378115,0,0),
(340165,1725303764,1,1,'Auspice','Increases the base avoidance, agility, physical resistance, and spell resistance of the brigand.',294,38,317,3343700951,0,275,1,0,'Your Street Smarts IV was successful on %t!','Your Street Smarts IV fades.','',0,1,'Spells/Scout/Rogue/Brigand/StreetSmarts.lua',2796,'You cast Street Smarts IV on %t.',1,0,0,0,1,0,0,0,0,340162,0,0,0,0,0,1,0,0,0,'Unset',1579115094,1384377829,0,0),
(340166,3627388658,1,1,'Hardened','Increases the base avoidance, agility, physical resistance, and spell resistance of the brigand.',294,38,317,1519965519,0,345,1,0,'Your Street Smarts V was successful on %t!','Your Street Smarts V fades.','',0,1,'Spells/Scout/Rogue/Brigand/StreetSmarts.lua',2796,'You cast Street Smarts V on %t.',1,0,0,0,1,0,0,0,0,340162,0,0,0,0,0,1,0,0,0,'Unset',1579115112,1384378115,0,0),
(340167,149992210,1,1,'Savy','Increases the base avoidance, agility, physical resistance, and spell resistance of the brigand.',294,38,317,1519965519,0,395,1,0,'Your Street Smarts VI was successful on %t!','Your Street Smarts VI fades.','',0,1,'Spells/Scout/Rogue/Brigand/StreetSmarts.lua',2796,'You cast Street Smarts VI on %t.',1,0,0,0,1,0,0,0,0,340162,0,0,0,0,0,1,0,0,0,'Unset',1579115134,1384378113,0,0),
(340168,2494517845,1,1,'Street Smarts VII','Increases the base avoidance, agility, physical resistance, and spell resistance of the brigand.',294,38,317,1519965519,0,445,1,0,'Your Street Smarts VII was successful on %t!','Your Street Smarts VII fades.','',0,1,'Spells/Scout/Rogue/Brigand/StreetSmarts.lua',2796,'You cast Street Smarts VII on %t.',1,0,0,1,1,1,0,0,0,340162,0,0,0,0,0,1,0,0,0,'Unset',1579115165,1384378115,0,0),
(340169,986170308,1,1,'Street Smarts VIII','Increases the base avoidance, agility, physical resistance, and spell resistance of the brigand.',294,38,317,1519965519,0,495,1,0,'Your Street Smarts VIII was successful on %t!','Your Street Smarts VIII fades.','',0,1,'Spells/Scout/Rogue/Brigand/StreetSmarts.lua',2796,'You cast Street Smarts VIII on %t.',1,0,0,0,1,0,0,0,0,340162,0,0,0,0,0,1,0,0,0,'Unset',1579115229,1384378115,0,0),
(340170,3879477626,1,0,'Low Blow','An attack that stuns the target for a short time.',291,38,315,1519965519,0,150,0,1,'Your Stunning Blow was successful on %t!','Your Stunning Blow fades.','',0,1,'Spells/Scout/Rogue/Brigand/LowBlow.lua',2797,'You cast Stunning Blow on %t.',1,0,0,1,0,1,2,4,0,340170,0,0,0,0,0,0,0,0,0,'DD',1579119927,1384378115,0,0),
(340171,1138112240,1,0,'Dirty Blow','An attack that stuns the target for a short time.',291,38,315,1519965519,0,220,0,1,'Your Stunning Blow II was successful on %t!','Your Stunning Blow II fades.','',0,1,'Spells/Scout/Rogue/Brigand/StunningBlow.lua',2797,'You cast Stunning Blow II on %t.',1,0,0,1,0,1,2,4,0,340170,0,0,0,0,0,1,0,0,0,'DD',1579119968,1384378115,0,0),
(340172,101262591,1,0,'Deceitful Blow','An attack that stuns the target for a short time.',291,38,315,1519965519,0,290,0,1,'Your Stunning Blow III was successful on %t!','Your Stunning Blow III fades.','',0,1,'Spells/Scout/Rogue/Brigand/StunningBlow.lua',2797,'You cast Stunning Blow III on %t.',1,0,0,0,0,0,2,4,0,340170,0,0,0,0,0,1,0,0,0,'DD',1579120075,1384378115,0,0),
(340173,2540039256,1,0,'Stunning Blow','An attack that stuns the target for a short time.',291,38,315,1519965519,0,360,0,1,'Your Stunning Blow IV was successful on %t!','Your Stunning Blow IV fades.','',0,1,'Spells/Scout/Rogue/Brigand/StunningBlow.lua',2797,'You cast Stunning Blow IV on %t.',1,0,0,0,0,0,2,4,0,340170,0,0,0,0,0,1,0,0,0,'DD',1579120191,1384378115,0,0),
(340174,428837730,1,0,'Stunning Blow V','An attack that stuns the target for a short time.',291,38,315,1519965519,0,410,0,1,'Your Stunning Blow V was successful on %t!','Your Stunning Blow V fades.','',0,1,'Spells/Scout/Rogue/Brigand/StunningBlow.lua',2797,'You cast Stunning Blow V on %t.',1,0,0,1,0,1,2,4,0,340170,0,0,0,0,0,1,0,0,0,'DD',1579120301,1384378113,0,0),
(340175,3085376243,1,0,'Stunning Blow VI','An attack that stuns the target for a short time.',291,38,315,1519965519,0,460,0,1,'Your Stunning Blow VI was successful on %t!','Your Stunning Blow VI fades.','',0,1,'Spells/Scout/Rogue/Brigand/StunningBlow.lua',2797,'You cast Stunning Blow VI on %t.',1,0,0,1,0,1,2,4,0,340170,0,0,0,0,0,1,0,0,0,'DD',1579120339,1384378113,0,0),
(340176,3258249298,1,1,'Thieves Guild','The brigand allows a partner in crime to join their Thieves Guild. Whenever one of the two members of the Thieves Guild uses a chain of at least three combat arts within five seconds, the other member gains a potency augmentation.',753,65535,316,1519965519,0,400,1,1,'Your Thieves Guild was successful on %t!','Your Thieves Guild fades.','',0,0,'Spells/Scout/Rogue/Brigand/ThievesGuild.lua',2768,'You cast Thieves Guild on %t.',1,0,0,0,1,0,0,0,0,340176,0,0,0,0,0,0,0,0,0,'Unset',1579127573,1384378113,0,0),
(340200,117735992,1,0,'Burgle','Places the brigand''s group into stealth and increases the brigand''s banditry skill.',341,38,314,1519965519,0,128,0,0,'','','',0,0,'Spells/Scout/Rogue/Brigand/Burgle.lua',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(350000,2958443420,1,1,'Shroud','Allows the bard to move undetected.',341,38,317,1311635100,0,5,0,0,'Your Shroud was successful on %t!','Your Shroud fades.','',0,1,'Spells/Scout/Bard/Shroud.lua',2623,'You cast Shroud on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1386483718,1384378116,0,0),
(350001,1873312812,1,0,'Singing Shot',' Launches two shots at once and deals mental damage. Requires a ranged weapon.',361,37,315,1311635100,1756482397,80,0,1,'Your Singing Shot was successful on %t!','Your Singing Shot fades.','',0,1,'Spells/Scout/Bard/SingingShot.lua',503,'You cast Singing Shot on %t.',1,0,0,1,0,0,0,0,0,350001,0,0,0,0,0,1,0,0,0,'DD',1384670931,1384377830,0,0),
(350002,2318730598,1,0,'Sparkling Blade','Melee attack that does Mental damage and on a successful attack decreases Mental mitigation.',366,36,315,1311635100,0,55,0,1,'Your Sparkling Blade was successful on %t!','Your Sparkling Blade fades.','',0,1,'Spells/Scout/Bard/SparklingBlade.lua',484,'You cast Sparkling Blade on %t.',1,0,0,1,0,0,0,0,0,350002,0,0,0,0,0,1,0,0,0,'DD',1384670942,1384378115,0,0),
(350003,2509146514,1,0,'Taffo''s Brilliant Blade','A flanking attack that deals medium damage and increases attack speed on a successful strike.',377,40,315,1311635100,1311635100,95,0,1,'Your Taffo''s Brilliant Blade was successful on %t!','Your Taffo''s Brilliant Blade fades.','',0,1,'Spells/Scout/Bard/TaffosBrilliantBlade.lua',515,'You cast Taffo''s Brilliant Blade on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'DD',1384670959,1384378115,0,0),
(350004,228210257,1,0,'Walt''s Singing Blade','A quick attack that deals mental and power damage.',338,36,315,1311635100,418532101,75,0,1,'Your Walt''s Singing Blade was successful on %t!','Your Walt''s Singing Blade fades.','',0,1,'Spells/Scout/Bard/WaltsSingingBlade.lua',473,'You cast Walt''s Singing Blade on %t.',1,0,0,0,0,0,0,0,0,310018,0,0,1,0,0,1,0,0,0,'DD',1384670979,1384378115,0,0),
(350005,102208554,0,0,'Alin''s Keening Lamentation','Does a medium amount of mental damage to the target encounter.',171,36,312,1311635100,613995491,75,0,9,'Your Alin''s Keening Lamentation was successful on %t!','Your Alin''s Keening Lamentation fades.','',1,1,'Spells/Scout/Bard/AlinsKeeningLamentation.lua',317,'You cast Alin''s Keening Lamentation on %t.',0,0,0,1,0,1,0,0,0,350005,0,0,0,0,0,1,0,0,0,'DD',1384671213,1384378115,0,1),
(350006,4166032836,0,1,'Bria''s Stirring Ballad','Increases in-combat power replenishment of the bard''s group. This ability does stack with the enchanter''s concentration group power replenishment spell.',200,41,314,1311635100,3587918036,65,0,2,'Your Bria''s Inspiring Ballad was successful on %t!','Your Bria''s Inspiring Ballad fades.','',0,1,'Spells/Scout/Bard/BriasInspiringBallad.lua',308,'You cast Bria''s Inspiring Ballad on %t.',0,0,0,1,1,1,0,0,0,350006,0,0,0,0,0,1,0,0,0,'Unset',1386560475,1384378116,0,1),
(350008,595269308,0,1,'Bria''s Exalting Ballad','Increases in-combat power replenishment of the bard''s group. This ability does stack with the enchanter''s concentration group power replenishment spell.',200,41,314,1311635100,3587918036,205,1,2,'Your Bria''s Inspiring Ballad III was successful on %t!','Your Bria''s Inspiring Ballad III fades.','',1,1,'Spells/Scout/Bard/BriasInspiringBallad.lua',2595,'You cast Bria''s Inspiring Ballad III on %t.',0,0,0,1,1,1,0,0,0,350006,0,0,0,0,0,1,0,0,0,'Unset',1384671262,1384378116,0,1),
(350009,2083905482,0,1,'Bria''s Glorifying Ballad','Increases in-combat power replenishment of the bard''s group. This ability does stack with the enchanter''s concentration group power replenishment spell.',200,41,314,1311635100,3587918036,275,1,2,'Your Bria''s Inspiring Ballad IV was successful on %t!','Your Bria''s Inspiring Ballad IV fades.','',1,1,'Spells/Scout/Bard/BriasInspiringBallad.lua',2595,'You cast Bria''s Inspiring Ballad IV on %t.',0,0,0,1,1,1,0,0,0,350006,0,0,0,0,0,1,0,0,0,'Unset',1384671262,1384378115,0,1),
(350010,3523256802,0,1,'Bria''s Stirring Ballad','Increases in-combat power replenishment of the bard''s group. This ability does stack with the enchanter''s concentration group power replenishment spell.',200,41,314,1311635100,3587918036,345,1,2,'Your Bria''s Inspiring Ballad V was successful on %t!','Your Bria''s Inspiring Ballad V fades.','',1,1,'Spells/Scout/Bard/BriasInspiringBallad.lua',2595,'You cast Bria''s Inspiring Ballad V on %t.',0,0,0,1,1,1,0,0,0,350006,0,0,0,0,0,1,0,0,0,'Unset',1384671262,1384378116,0,1),
(350011,2633908239,0,1,'Power Ballad','Increases in-combat power replenishment of the bard''s group. This ability does stack with the enchanter''s concentration group power replenishment spell.',200,41,314,1311635100,3587918036,395,1,2,'Your Bria''s Inspiring Ballad VI was successful on %t!','Your Bria''s Inspiring Ballad VI fades.','',1,1,'Spells/Scout/Bard/BriasInspiringBallad.lua',2595,'You cast Bria''s Inspiring Ballad VI on %t.',0,0,0,1,1,1,0,0,0,350006,0,0,0,0,0,1,0,0,0,'Unset',1384671262,1384378116,0,1),
(350012,2513460979,0,1,'Bria''s Inspiring Ballad VII','Increases in-combat power replenishment of the bard''s group. This ability does stack with the enchanter''s concentration group power replenishment spell.',200,41,314,1311635100,3587918036,445,1,2,'Your Bria''s Inspiring Ballad VII was successful on %t!','Your Bria''s Inspiring Ballad VII fades.','',1,1,'Spells/Scout/Bard/BriasInspiringBallad.lua',2595,'You cast Bria''s Inspiring Ballad VII on %t.',0,0,0,1,1,1,0,0,0,350006,0,0,0,0,0,1,0,0,0,'Unset',1384671262,1384378116,0,1),
(350013,811323133,0,1,'Bria''s Inspiring Ballad VIII','Increases in-combat power replenishment of the bard''s group. This ability does stack with the enchanter''s concentration group power replenishment spell.',200,41,314,1311635100,3587918036,495,1,2,'Your Bria''s Inspiring Ballad VIII was successful on %t!','Your Bria''s Inspiring Ballad VIII fades.','',1,1,'Spells/Scout/Bard/BriasInspiringBallad.lua',2595,'You cast Bria''s Inspiring Ballad VIII on %t.',0,0,0,0,1,0,0,0,0,350006,0,0,0,0,0,1,0,0,0,'Unset',1384671262,1384378115,0,1),
(350014,3352405131,0,0,'Reproaching Descant','Reduces the strength and agility of target encounter. This song requires a recurrent power cost to maintain.',175,36,312,1311635100,3587918036,95,0,9,'Your Reproaching Descant was successful on %t!','Your Reproaching Descant fades.','',1,1,'Spells/Scout/Bard/DishearteningDescant.lua',789,'You cast Reproaching Descantt on %t.',0,0,0,1,0,1,2,0,0,350014,0,0,0,0,0,1,0,0,0,'Debuff',1386572865,1384378116,0,1),
(350015,1867978010,0,0,'Discouraging Discante','Reduces the strength and agility of target encounter. This song requires a recurrent power cost to maintain.',175,36,312,1311635100,3587918036,165,0,2,'Your Disheartening Descant II was successful on %t!','Your Disheartening Descant II fades.','',1,1,'Spells/Scout/Bard/DishearteningDescant.lua',2604,'You cast Disheartening Descant II on %t.',0,0,0,1,0,1,2,0,0,350014,0,0,0,0,0,1,0,0,0,'Unset',1384671315,1384378115,0,1),
(350016,1834961850,0,0,'Oppressive Discante','Reduces the strength and agility of target encounter. This song requires a recurrent power cost to maintain.',175,36,312,1311635100,3587918036,235,0,2,'Your Disheartening Descant III was successful on %t!','Your Disheartening Descant III fades.','',1,1,'Spells/Scout/Bard/DishearteningDescant.lua',2604,'You cast Disheartening Descant III on %t.',0,0,0,1,0,1,2,0,0,350014,0,0,0,0,0,1,0,0,0,'Unset',1384671315,1384378116,0,1),
(350017,3693620463,0,0,'Disheartening Discante','Reduces the strength and agility of target encounter. This song requires a recurrent power cost to maintain.',175,36,312,1311635100,3587918036,305,0,2,'Your Disheartening Descant IV was successful on %t!','Your Disheartening Descant IV fades.','',1,1,'Spells/Scout/Bard/DishearteningDescant.lua',2604,'You cast Disheartening Descant IV on %t.',0,0,0,1,0,1,2,0,0,350014,0,0,0,0,0,1,0,0,0,'Unset',1384671315,1384378115,0,1),
(350018,3674776320,0,0,'Devigorating Discante','Reduces the strength and agility of target encounter. This song requires a recurrent power cost to maintain.',175,36,312,1311635100,3587918036,365,0,2,'Your Disheartening Descant V was successful on %t!','Your Disheartening Descant V fades.','',1,1,'Spells/Scout/Bard/DishearteningDescant.lua',2604,'You cast Disheartening Descant V on %t.',0,0,0,1,0,1,2,0,0,350014,0,0,0,0,0,1,0,0,0,'Unset',1384671315,1384378116,0,1),
(350019,1120083953,0,0,'Disheartening Descant VI','Reduces the strength and agility of target encounter. This song requires a recurrent power cost to maintain.',175,36,312,1311635100,3587918036,415,0,2,'Your Disheartening Descant VI was successful on %t!','Your Disheartening Descant VI fades.','',1,1,'Spells/Scout/Bard/DishearteningDescant.lua',2604,'You cast Disheartening Descant VI on %t.',0,0,0,1,0,1,2,0,0,350014,0,0,0,0,0,1,0,0,0,'Unset',1384671316,1384378116,0,1),
(350020,3880292351,0,0,'Disheartening Descant VII','Reduces the strength and agility of target encounter. This song requires a recurrent power cost to maintain.',175,36,312,1311635100,3587918036,465,0,2,'Your Disheartening Descant VII was successful on %t!','Your Disheartening Descant VII fades.','',1,1,'Spells/Scout/Bard/DishearteningDescant.lua',2604,'You cast Disheartening Descant VII on %t.',0,0,0,1,0,1,2,0,0,350014,0,0,0,0,0,1,0,0,0,'Unset',1384671316,1384378116,0,1),
(350021,3735323170,0,0,'For the Glory of the Empire','An ancient orcish war song.',81,65535,65535,0,0,0,0,1,'Your For the Glory of the Empire was successful on %t!','Your For the Glory of the Empire fades.','',1,0,'',0,'You cast For the Glory of the Empire on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384671357,1384377886,0,1),
(350022,1049976457,0,0,'Insatiable Ardor','Increases the defense skill of the bard.',272,40,317,1311635100,3587918036,90,0,0,'Your Insatiable Ardor was successful on %t!','Your Insatiable Ardor fades.','',1,1,'Spells/Scout/Bard/InsatiableArdor.lua',307,'You cast Insatiable Ardor on %t.',0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',1384671413,1384377830,0,0),
(350023,2152802490,0,1,'Merciless Melody','Increases the attack speed of the bard''s group.',174,41,314,1311635100,3587918036,70,0,2,'Your Merciless Melody was successful on %t!','Your Merciless Melody fades.','',1,1,'Spells/Scout/Bard/MercilessMelody.lua',308,'You cast Merciless Melody on %t.',0,0,0,1,1,1,0,0,0,350023,0,0,0,0,0,1,0,0,0,'Buff',1384671451,1384377830,0,0),
(350024,3683922306,1,1,'Performer''s Talent','Increases the agility and arcane resistance of the bard.',173,38,317,1311635100,1311635100,65,0,0,'Your Performer''s Talent was successful on %t!','Your Performer''s Talent fades.','',1,1,'Spells/Scout/Bard/PerformersTalent.lua',307,'You cast Performer''s Talent on %t.',1,0,0,1,1,0,0,0,0,350024,0,0,0,0,0,1,0,0,0,'Buff',1384671483,1384378115,0,1),
(350025,2522694007,0,0,'Piercing Shriek','Does a moderate amount of mental damage to the target.',171,36,315,1311635100,0,0,0,1,'Your Piercing Shriek was successful on %t!','Your Piercing Shriek fades.','',1,0,'Spells/Scout/Bard/PiercingShriek.lua',140,'You cast Piercing Shriek on %t.',0,0,0,1,0,0,0,0,0,350025,0,0,0,0,0,1,0,0,0,'DD',1384671489,1384378115,0,1),
(350026,2915605670,0,1,'Rousing Tune','Increases the strength, agility, and stamina of the bard''s group.',173,38,314,1311635100,3587918036,50,0,2,'Your Rousing Tune was successful on %t!','Your Rousing Tune fades.','',1,1,'Spells/Scout/Bard/RousingTune.lua',308,'You cast Rousing Tune on %t.',0,0,0,1,1,1,0,0,0,350026,0,0,0,0,0,1,0,0,0,'Buff',1384671526,1384378115,0,1),
(350027,3656765100,0,1,'Selo''s Accelerando','A song that increases the movement speed of the bard''s group. It suspends during combat.',304,65535,314,1311635100,3587918036,65,0,2,'Your Selo''s Accelerando was successful on %t!','Your Selo''s Accelerando fades.','',0,1,'Spells/Scout/Bard/SelosAccelerando.lua',308,'You cast Selo''s Accelerando on %t.',0,0,0,0,1,1,0,0,0,350027,0,0,0,0,0,1,0,0,0,'Unset',1386560851,1384378115,0,1),
(350028,466014654,0,1,'Selo''s Rhythm of Speed','A song that increases the movement speed of the bard''s group. It suspends during combat.',304,65535,314,1311635100,3587918036,135,1,2,'Your Selo''s Accelerando II was successful on %t!','Your Selo''s Accelerando II fades.','',1,1,'Spells/Scout/Bard/SelosAccelerando.lua',2622,'You cast Selo''s Accelerando II on %t.',0,0,0,0,1,1,0,0,0,350027,0,0,0,0,0,1,0,0,0,'Unset',1384671605,1384378115,0,1),
(350029,1396258842,0,1,'Selo''s Accelerating Chorus','A song that increases the movement speed of the bard''s group. It suspends during combat.',304,65535,314,1311635100,3587918036,205,1,2,'Your Selo''s Accelerando III was successful on %t!','Your Selo''s Accelerando III fades.','',1,1,'Spells/Scout/Bard/SelosAccelerando.lua',2622,'You cast Selo''s Accelerando III on %t.',0,0,0,0,1,1,0,0,0,350027,0,0,0,0,0,1,0,0,0,'Unset',1384671605,1384378116,0,1),
(350030,803336749,0,1,'Selo''s Speed of Sound','A song that increases the movement speed of the bard''s group. It suspends during combat.',304,65535,314,1311635100,3587918036,275,1,2,'Your Selo''s Accelerando IV was successful on %t!','Your Selo''s Accelerando IV fades.','',1,1,'Spells/Scout/Bard/SelosAccelerando.lua',2622,'You cast Selo''s Accelerando IV on %t.',0,0,0,0,1,1,0,0,0,350027,0,0,0,0,0,1,0,0,0,'Unset',1384671605,1384378158,0,1),
(350031,2775409452,0,1,'Selo''s Accelerando V','A song that increases the movement speed of the bard''s group. It suspends during combat.',304,65535,314,1311635100,3587918036,325,1,2,'Your Selo''s Accelerando V was successful on %t!','Your Selo''s Accelerando V fades.','',1,1,'Spells/Scout/Bard/SelosAccelerando.lua',2622,'You cast Selo''s Accelerando V on %t.',0,0,0,0,1,1,0,0,0,350027,0,0,0,0,0,1,0,0,0,'Unset',1384671605,1384378113,0,1),
(350032,3221903466,0,1,'Selo''s Accelerando VI','A song that increases the movement speed of the bard''s group. It suspends during combat.',304,65535,314,1311635100,3587918036,375,1,2,'Your Selo''s Accelerando VI was successful on %t!','Your Selo''s Accelerando VI fades.','',1,1,'Spells/Scout/Bard/SelosAccelerando.lua',2622,'You cast Selo''s Accelerando VI on %t.',0,0,0,0,1,1,0,0,0,350027,0,0,0,0,0,1,0,0,0,'Unset',1384671605,1384378113,0,1),
(350033,1197439242,0,1,'Offensive Boon','Increases all group members'' offensive and defensive chances in combat. This includes melee, ranged and magical combat.',87,38,314,1311635100,3587918036,85,0,2,'Your Songster''s Luck was successful on %t!','Your Songster''s Luck fades.','',1,1,'Spells/Scout/Bard/SongstersLuck.lua',766,'You cast Songster''s Luck on %t.',0,0,0,0,1,1,0,0,0,350033,0,0,0,0,0,1,0,0,0,'Buff',1384671669,1384378115,0,1),
(350034,2680421161,0,0,'The Fallen of Zek','An ancient hymn traditionally sung at the funeral of a great warrior.',55,65535,65535,0,0,0,0,1,'Your The Fallen of Zek was successful on %t!','Your The Fallen of Zek fades.','',1,0,'',0,'You cast The Fallen of Zek on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384671696,1384377886,0,1),
(350035,2314696855,0,0,'Zander''s Choral Rebuff','Decreases spell resistance of target encounter. This song has a recurrent power cost.',471,36,312,1311635100,3587918036,175,0,2,'Your Zander''s Choral Rebuff was successful on %t!','Your Zander''s Choral Rebuff fades.','',1,1,'Spells/Scout/Bard/ZandersChoralRebuff.lua',2629,'You cast Zander''s Choral Rebuff on %t.',0,0,0,1,0,1,2,0,0,350035,0,0,0,0,0,0,0,0,0,'Unset',1384671754,1384378115,0,1),
(350036,4080276260,0,0,'Magic Rebuff','Decreases spell resistance of target encounter. This song has a recurrent power cost.',471,36,312,1311635100,3587918036,265,0,2,'Your Zander''s Choral Rebuff II was successful on %t!','Your Zander''s Choral Rebuff II fades.','',1,1,'Spells/Scout/Bard/ZandersChoralRebuff.lua',2629,'You cast Zander''s Choral Rebuff II on %t.',0,0,0,1,0,1,2,0,0,350035,0,0,0,0,0,0,0,0,0,'Unset',1384671755,1384378116,0,1),
(350037,2815411247,0,0,'Spell Rebuff','Decreases spell resistance of target encounter. This song has a recurrent power cost.',471,36,312,1311635100,3587918036,355,0,2,'Your Zander''s Choral Rebuff III was successful on %t!','Your Zander''s Choral Rebuff III fades.','',1,1,'Spells/Scout/Bard/ZandersChoralRebuff.lua',2629,'You cast Zander''s Choral Rebuff III on %t.',0,0,0,1,0,1,2,0,0,350035,0,0,0,0,0,0,0,0,0,'Unset',1384671755,1384378116,0,1),
(350038,62409874,0,0,'Zander''s Choral Rebuff IV','Decreases spell resistance of target encounter. This song has a recurrent power cost.',471,36,312,1311635100,3587918036,405,0,2,'Your Zander''s Choral Rebuff IV was successful on %t!','Your Zander''s Choral Rebuff IV fades.','',1,1,'Spells/Scout/Bard/ZandersChoralRebuff.lua',2629,'You cast Zander''s Choral Rebuff IV on %t.',0,0,0,1,0,1,2,0,0,350035,0,0,0,0,0,0,0,0,0,'Unset',1384671755,1384378116,0,1),
(350039,2191337909,0,0,'Zander''s Choral Rebuff V','Decreases spell resistance of target encounter. This song has a recurrent power cost.',471,36,312,1311635100,3587918036,455,0,2,'Your Zander''s Choral Rebuff V was successful on %t!','Your Zander''s Choral Rebuff V fades.','',1,1,'Spells/Scout/Bard/ZandersChoralRebuff.lua',2629,'You cast Zander''s Choral Rebuff V on %t.',0,0,0,1,0,1,2,0,0,350035,0,0,0,0,0,0,0,0,0,'Unset',1384671755,1384378115,0,1),
(350050,0,0,1,'Bria''s Thrilling Ballad','Increases in-combat power replenishment of the bard''s group. This ability does stack with the enchanter''s concentration group power replenishment spell.',200,41,314,1311635100,3587918036,135,0,2,'Your Bria''s Inspiring Ballad II was successful on %t!','Your Bria''s Inspiring Ballad II fades.','',1,0,'Spells/Scout/Bard/BriasThrillingBallad.lua',2595,'You cast Bria''s Inspiring Ballad II on %t.',0,0,0,1,1,1,0,0,0,350006,0,0,0,0,0,0,0,0,0,'Unset',1732210000,0,0,1),
(360000,264311387,1,0,'Sparkling Blade','Two quick attacks that deal mental damage. If one of these attacks misses, the successive ones will miss automatically.',366,36,315,1311635100,0,55,0,1,'Your Ceremonial Blade was successful on %t!','Your Ceremonial Blade fades.','',0,1,'Spells/Scout/Bard/Troubador/CeremonialBlade.lua',2632,'You cast Ceremonial Blade on %t.',1,0,0,1,0,1,0,0,0,360000,0,0,0,0,0,0,0,0,0,'DD',1581469724,1384378115,0,0),
(360001,3055218215,1,0,'Fulgent Blade','Two quick attacks that deal mental damage. If one of these attacks misses, the successive ones will miss automatically.',366,36,315,296246391,0,125,0,1,'Your Ceremonial Blade II was successful on %t!','Your Ceremonial Blade II fades.','',0,1,'Spells/Scout/Bard/Troubador/FulgentBlade.lua',2632,'You cast Ceremonial Blade II on %t.',1,0,0,1,0,1,0,0,0,360000,0,0,0,0,0,0,0,0,0,'DD',1581469840,1384378115,0,0),
(360002,1465713272,1,0,'Elegant Blade','Two quick attacks that deal mental damage. If one of these attacks misses, the successive ones will miss automatically.',366,36,315,296246391,0,195,0,1,'Your Ceremonial Blade III was successful on %t!','Your Ceremonial Blade III fades.','',0,1,'Spells/Scout/Bard/Troubador/CeremonialBlade.lua',2632,'You cast Ceremonial Blade III on %t.',1,0,0,1,0,1,0,0,0,360000,0,0,0,0,0,1,0,0,0,'DD',1581470001,1384378115,0,0),
(360003,510456899,1,0,'Courtly Blade','Two quick attacks that deal mental damage. If one of these attacks misses, the successive ones will miss automatically.',366,36,315,296246391,0,265,0,1,'Your Ceremonial Blade IV was successful on %t!','Your Ceremonial Blade IV fades.','',0,1,'Spells/Scout/Bard/Troubador/CeremonialBlade.lua',2632,'You cast Ceremonial Blade IV on %t.',1,0,0,1,0,1,0,0,0,360000,0,0,0,0,0,1,0,0,0,'DD',1581470038,1384378113,0,0),
(360004,1980297591,1,0,'Noble Blade','Two quick attacks that deal mental damage. If one of these attacks misses, the successive ones will miss automatically.',366,36,315,296246391,0,335,0,1,'Your Ceremonial Blade V was successful on %t!','Your Ceremonial Blade V fades.','',0,1,'Spells/Scout/Bard/Troubador/CeremonialBlade.lua',2632,'You cast Ceremonial Blade V on %t.',1,0,0,1,0,1,0,0,0,360000,0,0,0,0,0,1,0,0,0,'DD',1581470097,1384378115,0,0),
(360005,3121740253,1,0,'Ceremonial Blade','Two quick attacks that deal mental damage. If one of these attacks misses, the successive ones will miss automatically.',366,36,315,296246391,0,380,0,1,'Your Ceremonial Blade VI was successful on %t!','Your Ceremonial Blade VI fades.','',0,1,'Spells/Scout/Bard/Troubador/CeremonialBlade.lua',2632,'You cast Ceremonial Blade VI on %t.',1,0,0,1,0,1,0,0,0,360000,0,0,0,0,0,1,0,0,0,'DD',1581470147,1384377828,0,0),
(360006,4186861331,1,0,'Ceremonial Blade VII','Two quick attacks that deal mental damage. If one of these attacks misses, the successive ones will miss automatically.',366,36,315,296246391,0,430,0,1,'Your Ceremonial Blade VII was successful on %t!','Your Ceremonial Blade VII fades.','',0,1,'Spells/Scout/Bard/Troubador/CeremonialBlade.lua',2632,'You cast Ceremonial Blade VII on %t.',1,0,0,1,0,1,0,0,0,360000,0,0,0,0,0,1,0,0,0,'DD',1581470207,1384378115,0,0),
(360007,778891083,1,0,'Ceremonial Blade VIII','Two quick attacks that deal mental damage. If one of these attacks misses, the successive ones will miss automatically.',366,36,315,296246391,0,480,0,1,'Your Ceremonial Blade VIII was successful on %t!','Your Ceremonial Blade VIII fades.','',0,1,'Spells/Scout/Bard/Troubador/CeremonialBlade.lua',2632,'You cast Ceremonial Blade VIII on %t.',1,0,0,0,0,0,0,0,0,360000,0,0,0,0,0,1,0,0,0,'DD',1581470250,1384378115,0,0),
(360008,1360212235,0,1,'Performer''s Talent','Increases the agility and base avoidance, and resistances of the troubador.  Additionally, this grants a chance at dealing mental damage to anyone that attacks the troubador.',304,38,317,1311635100,0,65,1,0,'Your Daelis'' Dance of Blades was successful on %t!','Your Daelis'' Dance of Blades fades.','',0,1,'Spells/Scout/Bard/Troubador/DaelisDanceofBlades.lua',2600,'You cast Daelis'' Dance of Blades on %t.',1,0,0,1,1,1,0,0,0,360008,0,0,0,0,0,0,0,0,0,'Buff',1581470299,1384378116,0,0),
(360009,77156376,1,1,'Elise''s Ditty','Increases the agility and base avoidance, and resistances of the troubador.  Additionally, this grants a chance at dealing mental damage to anyone that attacks the troubador.',304,38,317,296246391,0,135,1,0,'Your Daelis'' Dance of Blades II was successful on %t!','Your Daelis'' Dance of Blades II fades.','',0,1,'Spells/Scout/Bard/Troubador/ElisesDitty.lua',2600,'You cast Daelis'' Dance of Blades II on %t.',1,0,0,1,1,1,0,0,0,360008,0,0,0,0,0,0,0,0,0,'Unset',1581470333,1384378115,0,0),
(360010,338387303,1,1,'Daeli''s Dance of Blades','Increases the agility and base avoidance, and resistances of the troubador.  Additionally, this grants a chance at dealing mental damage to anyone that attacks the troubador.',304,38,317,296246391,0,205,1,0,'Your Daelis'' Dance of Blades III was successful on %t!','Your Daelis'' Dance of Blades III fades.','',0,1,'Spells/Scout/Bard/Troubador/DaelisDanceofBlades.lua',2600,'You cast Daelis'' Dance of Blades III on %t.',1,0,0,1,1,1,0,0,0,360008,0,0,0,0,0,1,0,0,0,'Unset',1581470348,1384378113,0,0),
(360011,1098907000,1,1,'Daeli''s Jig of Blades','Increases the agility and base avoidance, and resistances of the troubador.  Additionally, this grants a chance at dealing mental damage to anyone that attacks the troubador.',304,38,317,296246391,0,275,1,0,'Your Daelis'' Dance of Blades IV was successful on %t!','Your Daelis'' Dance of Blades IV fades.','',0,1,'Spells/Scout/Bard/Troubador/DaelisDanceofBlades.lua',2600,'You cast Daelis'' Dance of Blades IV on %t.',1,0,0,1,1,1,0,0,0,360008,0,0,0,0,0,1,0,0,0,'Unset',1581470361,1384377830,0,0),
(360012,1441023864,1,1,'Daeli''s Frolicking of Blades','Increases the agility and base avoidance, and resistances of the troubador.  Additionally, this grants a chance at dealing mental damage to anyone that attacks the troubador.',304,38,317,296246391,0,345,1,0,'Your Daelis'' Dance of Blades V was successful on %t!','Your Daelis'' Dance of Blades V fades.','',0,1,'Spells/Scout/Bard/Troubador/DaelisDanceofBlades.lua',2600,'You cast Daelis'' Dance of Blades V on %t.',1,0,0,1,1,1,0,0,0,360008,0,0,0,0,0,1,0,0,0,'Unset',1581470373,1384377830,0,0),
(360013,345912035,1,1,'March of Blades','Increases the agility and base avoidance, and resistances of the troubador.  Additionally, this grants a chance at dealing mental damage to anyone that attacks the troubador.',304,38,317,296246391,0,395,1,0,'Your Daelis'' Dance of Blades VI was successful on %t!','Your Daelis'' Dance of Blades VI fades.','',0,1,'Spells/Scout/Bard/Troubador/DaelisDanceofBlades.lua',2600,'You cast Daelis'' Dance of Blades VI on %t.',1,0,0,1,1,1,0,0,0,360008,0,0,0,0,0,1,0,0,0,'Unset',1581470389,1384378115,0,0),
(360014,294683797,1,1,'Daelis'' Dance of Blades VII','Increases the agility and base avoidance, and resistances of the troubador.  Additionally, this grants a chance at dealing mental damage to anyone that attacks the troubador.',304,38,317,296246391,0,445,1,0,'Your Daelis'' Dance of Blades VII was successful on %t!','Your Daelis'' Dance of Blades VII fades.','',0,1,'Spells/Scout/Bard/Troubador/DaelisDanceofBlades.lua',2600,'You cast Daelis'' Dance of Blades VII on %t.',1,0,0,1,1,1,0,0,0,360008,0,0,0,0,0,1,0,0,0,'Unset',1581470403,1384378115,0,0),
(360015,3021673627,1,1,'Daelis'' Dance of Blades VIII','Increases the agility and base avoidance, and resistances of the troubador.  Additionally, this grants a chance at dealing mental damage to anyone that attacks the troubador.',304,38,317,296246391,0,495,1,0,'Your Daelis'' Dance of Blades VIII was successful on %t!','Your Daelis'' Dance of Blades VIII fades.','',0,1,'Spells/Scout/Bard/Troubador/DaelisDanceofBlades.lua',2600,'You cast Daelis'' Dance of Blades VIII on %t.',1,0,0,0,1,0,0,0,0,360008,0,0,0,0,0,1,0,0,0,'Unset',1581470413,1384378116,0,0),
(360016,314184828,1,0,'Brilliant Blade','An attack made from the side that deals moderate damage and lowers their spell resistances.',377,40,315,296246391,0,25,0,1,'Your Dancing Blade was successful on %t!','Your Dancing Blade fades.','',0,1,'Spells/Scout/Bard/Troubador/DancingBlade.lua',2601,'You cast Dancing Blade on %t.',1,0,0,1,0,1,0,0,0,360016,0,0,0,0,0,0,0,0,0,'DD',1581467475,1384378115,0,0),
(360017,208545461,1,0,'Taffo''s Brilliant Blade','An attack made from the side that deals moderate damage and lowers their spell resistances.',377,40,315,1311635100,0,95,0,1,'Your Dancing Blade II was successful on %t!','Your Dancing Blade II fades.','',0,1,'Spells/Scout/Bard/Troubador/DancingBlade.lua',2601,'You cast Dancing Blade II on %t.',1,0,0,1,0,1,0,0,0,360016,0,0,0,0,0,0,0,0,0,'DD',1581468015,1384378115,0,0),
(360018,3273588964,1,0,'Walt''s Thirsting Thrust','An attack made from the side that deals moderate damage and lowers their spell resistances.',377,40,315,296246391,0,165,0,1,'Your Dancing Blade III was successful on %t!','Your Dancing Blade III fades.','',0,1,'Spells/Scout/Bard/Troubador/DancingBlade.lua',2601,'You cast Dancing Blade III on %t.',1,0,0,1,0,1,0,0,0,360016,0,0,0,0,0,1,0,0,0,'DD',1581468139,1384378113,0,0),
(360019,1996628917,1,0,'Taffo''s Dazzling Ditty','An attack made from the side that deals moderate damage and lowers their spell resistances.',377,40,315,296246391,0,235,0,1,'Your Dancing Blade IV was successful on %t!','Your Dancing Blade IV fades.','',0,1,'Spells/Scout/Bard/Troubador/DancingBlade.lua',2601,'You cast Dancing Blade IV on %t.',1,0,0,1,0,1,0,0,0,360016,0,0,0,0,0,1,0,0,0,'DD',1581468233,1384378115,0,0),
(360020,1720764663,1,0,'Dancing Blade','An attack made from the side that deals moderate damage and lowers their spell resistances.',377,40,315,296246391,0,305,0,1,'Your Dancing Blade V was successful on %t!','Your Dancing Blade V fades.','',0,1,'Spells/Scout/Bard/Troubador/DancingBlade.lua',2601,'You cast Dancing Blade V on %t.',1,0,0,1,0,1,0,0,0,360016,0,0,0,0,0,1,0,0,0,'DD',1581468318,1384378115,0,0),
(360021,2421808959,1,0,'Bright Blade','An attack made from the side that deals moderate damage and lowers their spell resistances.',377,40,315,296246391,0,370,0,1,'Your Dancing Blade VI was successful on %t!','Your Dancing Blade VI fades.','',0,1,'Spells/Scout/Bard/Troubador/DancingBlade.lua',2601,'You cast Dancing Blade VI on %t.',1,0,0,1,0,1,0,0,0,360016,0,0,0,0,0,1,0,0,0,'DD',1581468386,1384378116,0,0),
(360022,1972732119,1,0,'Dancing Blade VII','An attack made from the side that deals moderate damage and lowers their spell resistances.',377,40,315,296246391,0,420,0,1,'Your Dancing Blade VII was successful on %t!','Your Dancing Blade VII fades.','',0,1,'Spells/Scout/Bard/Troubador/DancingBlade.lua',2601,'You cast Dancing Blade VII on %t.',1,0,0,1,0,1,0,0,0,360016,0,0,0,0,0,1,0,0,0,'DD',1581468572,1384378113,0,0),
(360023,3690795334,1,0,'Dancing Blade VIII','An attack made from the side that deals moderate damage and lowers their spell resistances.',377,40,315,296246391,0,470,0,1,'Your Dancing Blade VIII was successful on %t!','Your Dancing Blade VIII fades.','',0,1,'Spells/Scout/Bard/Troubador/DancingBlade.lua',2601,'You cast Dancing Blade VIII on %t.',1,0,0,1,0,1,0,0,0,360016,0,0,0,0,0,1,0,0,0,'DD',1581468631,1384378115,0,0),
(360024,2442110298,1,0,'Night Blade','A stealth attack that deals great damage and decreases target''s intelligence.',301,40,315,296246391,0,10,0,1,'Your Night Strike was successful on %t!','Your Night Strike fades.','',0,0,'Spells/Scout/Bard/Troubador/NightStrike.lua',2612,'You cast Night Strike on %t.',1,0,0,1,0,1,0,0,0,360024,0,0,0,0,0,0,0,0,0,'DD',1581465209,1384378113,0,0),
(360025,1306626904,1,0,'Midnight Blade','A stealth attack that deals great damage and decreases target''s intelligence.',301,40,315,296246391,0,45,0,1,'Your Night Strike II was successful on %t!','Your Night Strike II fades.','',0,0,'Spells/Scout/Bard/Troubador/NightStrike.lua',2612,'You cast Night Strike II on %t.',1,0,0,1,0,1,0,0,0,360024,0,0,0,0,0,0,0,0,0,'DD',1581465263,1384378115,0,0),
(360026,98005829,1,0,'Luckblade','A stealth attack that deals great damage and decreases target''s intelligence.',301,40,315,296246391,0,105,0,1,'Your Night Strike III was successful on %t!','Your Night Strike III fades.','',0,0,'Spells/Scout/Bard/Troubador/Luckblade.lua',2612,'You cast Night Strike III on %t.',1,0,0,1,0,1,0,0,0,360024,0,0,0,0,0,0,0,0,0,'DD',1581465302,1384378115,0,0),
(360027,4159908007,1,0,'Clara''s Midnight Cadence','A stealth attack that deals great damage and decreases target''s intelligence.',301,40,315,296246391,0,175,0,1,'Your Night Strike IV was successful on %t!','Your Night Strike IV fades.','',0,0,'Spells/Scout/Bard/Troubador/NightStrike.lua',2612,'You cast Night Strike IV on %t.',1,0,0,1,0,1,0,0,0,360024,0,0,0,0,0,1,0,0,0,'DD',1581465347,1384378113,0,0),
(360028,3919926502,1,0,'Night Strike IX','A stealth attack that deals great damage and decreases target''s intelligence.',301,40,315,296246391,0,475,0,1,'Your Night Strike IX was successful on %t!','Your Night Strike IX fades.','',0,0,'Spells/Scout/Bard/Troubador/NightStrike.lua',2612,'You cast Night Strike IX on %t.',1,0,0,1,0,1,0,0,0,360024,0,0,0,0,0,1,0,0,0,'DD',1581465568,1384378115,0,0),
(360029,2357451066,1,0,'Startling Shriek','A stealth attack that deals great damage and decreases target''s intelligence.',301,40,315,296246391,0,245,0,1,'Your Night Strike V was successful on %t!','Your Night Strike V fades.','',0,0,'Spells/Scout/Bard/Troubador/NightStrike.lua',2612,'You cast Night Strike V on %t.',1,0,0,1,0,1,0,0,0,360024,0,0,0,0,0,1,0,0,0,'DD',1581465390,1384377831,0,0),
(360030,213835495,1,0,'Clara''s Midnight Tempo','A stealth attack that deals great damage and decreases target''s intelligence.',301,40,315,296246391,0,315,0,1,'Your Night Strike VI was successful on %t!','Your Night Strike VI fades.','',0,0,'Spells/Scout/Bard/Troubador/NightStrike.lua',2612,'You cast Night Strike VI on %t.',1,0,0,1,0,1,0,0,0,360024,0,0,0,0,0,1,0,0,0,'DD',1581465428,1384378115,0,0),
(360031,81153171,1,0,'Night Strike','A stealth attack that deals great damage and decreases target''s intelligence.',301,40,315,296246391,0,375,0,1,'Your Night Strike VII was successful on %t!','Your Night Strike VII fades.','',0,0,'Spells/Scout/Bard/Troubador/NightStrike.lua',2612,'You cast Night Strike VII on %t.',1,0,0,1,0,1,0,0,0,360024,0,0,0,0,0,1,0,0,0,'DD',1581465490,1384378116,0,0),
(360032,1348374286,1,0,'Night Strike VIII','A stealth attack that deals great damage and decreases target''s intelligence.',301,40,315,296246391,0,425,0,1,'Your Night Strike VIII was successful on %t!','Your Night Strike VIII fades.','',0,0,'Spells/Scout/Bard/Troubador/NightStrike.lua',2612,'You cast Night Strike VIII on %t.',1,0,0,1,0,1,0,0,0,360024,0,0,0,0,0,1,0,0,0,'DD',1581465527,1384378115,0,0),
(360033,4089009804,1,0,'Deafening Strike','A quick attack that deals mental damage and absorbs some power from the target.',338,36,315,296246391,0,5,0,1,'Your Sandra''s Deafening Strike was successful on %t!','Your Sandra''s Deafening Strike fades.','',0,1,'Spells/Scout/Bard/Troubador/SandrasDeafeningStrike.lua',2621,'You cast Sandra''s Deafening Strike on %t.',1,0,0,1,0,0,0,0,0,310018,0,0,0,0,0,0,0,0,0,'DD',1581464565,1384378115,0,0),
(360034,3855273867,1,0,'Deafening Blade','A quick attack that deals mental damage and absorbs some power from the target.',338,36,315,296246391,0,40,0,1,'Your Sandra''s Deafening Strike II was successful on %t!','Your Sandra''s Deafening Strike II fades.','',0,1,'Spells/Scout/Bard/Troubador/SandrasDeafeningStrike.lua',2621,'You cast Sandra''s Deafening Strike II on %t.',1,0,0,1,0,0,0,0,0,360033,0,0,0,0,0,0,0,0,0,'DD',1581464596,1384378115,0,0),
(360035,1785833814,1,0,'Deafening Thrust','A quick attack that deals mental damage and absorbs some power from the target.',338,36,315,296246391,0,75,0,1,'Your Sandra''s Deafening Strike III was successful on %t!','Your Sandra''s Deafening Strike III fades.','',0,1,'Spells/Scout/Bard/Troubador/SandrasDeafeningStrike.lua',2621,'You cast Sandra''s Deafening Strike III on %t.',1,0,0,1,0,0,0,0,0,360033,0,0,0,0,0,0,0,0,0,'DD',1581464649,1384378116,0,0),
(360036,4255500083,1,0,'Sandra''s Deafening Strike','A quick attack that deals mental damage and absorbs some power from the target.',338,36,315,296246391,0,145,0,1,'Your Sandra''s Deafening Strike IV was successful on %t!','Your Sandra''s Deafening Strike IV fades.','',0,1,'Spells/Scout/Bard/Troubador/ClassicDeafeningStrike.lua',2621,'You cast Sandra''s Deafening Strike IV on %t.',1,0,0,1,0,0,0,0,0,360033,0,0,0,0,0,0,0,0,0,'DD',1581464683,1384378115,0,0),
(360037,3650752966,1,0,'Sandra''s Deafening Strike IX','A quick attack that deals mental damage and absorbs some power from the target.',338,36,315,296246391,0,455,0,1,'Your Sandra''s Deafening Strike IX was successful on %t!','Your Sandra''s Deafening Strike IX fades.','',0,1,'Spells/Scout/Bard/Troubador/SandrasDeafeningStrike.lua',2621,'You cast Sandra''s Deafening Strike IX on %t.',1,0,0,1,0,0,0,0,0,360033,0,0,0,0,0,1,0,0,0,'DD',1581465042,1384378113,0,0),
(360038,81865603,1,0,'Sandra''s Befuddling Incursion','A quick attack that deals mental damage and absorbs some power from the target.',338,36,315,296246391,0,215,0,1,'Your Sandra''s Deafening Strike V was successful on %t!','Your Sandra''s Deafening Strike V fades.','',0,1,'Spells/Scout/Bard/Troubador/SandrasDeafeningStrike.lua',2621,'You cast Sandra''s Deafening Strike V on %t.',1,0,0,1,0,0,0,0,0,360033,0,0,0,0,0,1,0,0,0,'DD',1581464756,1384378116,0,0),
(360039,3041611315,1,0,'Sandras Bewildering Incursion','A quick attack that deals mental damage and absorbs some power from the target.',338,36,315,296246391,0,285,0,1,'Your Sandra''s Deafening Strike VI was successful on %t!','Your Sandra''s Deafening Strike VI fades.','',0,1,'Spells/Scout/Bard/Troubador/SandrasDeafeningStrike.lua',2621,'You cast Sandra''s Deafening Strike VI on %t.',1,0,0,1,0,0,0,0,0,360033,0,0,0,0,0,1,0,0,0,'DD',1581464798,1384377830,0,0),
(360040,2670283861,1,0,'Draining Incursion','A quick attack that deals mental damage and absorbs some power from the target.',338,36,315,296246391,0,355,0,1,'Your Sandra''s Deafening Strike VII was successful on %t!','Your Sandra''s Deafening Strike VII fades.','',0,1,'Spells/Scout/Bard/Troubador/SandrasDeafeningStrike.lua',2621,'You cast Sandra''s Deafening Strike VII on %t.',1,0,0,1,0,0,0,0,0,360033,0,0,0,0,0,1,0,0,0,'DD',1581464966,1384377831,0,0),
(360041,3071675015,1,0,'Sandra''s Deafening Strike VIII','A quick attack that deals mental damage and absorbs some power from the target.',338,36,315,296246391,0,405,0,1,'Your Sandra''s Deafening Strike VIII was successful on %t!','Your Sandra''s Deafening Strike VIII fades.','',0,1,'Spells/Scout/Bard/Troubador/SandrasDeafeningStrike.lua',2621,'You cast Sandra''s Deafening Strike VIII on %t.',1,0,0,1,0,0,0,0,0,360033,0,0,0,0,0,1,0,0,0,'DD',1581464992,1384378115,0,0),
(360042,2601027987,1,0,'Singing Shot','Two ranged attacks that deal mental damage. If one of these attacks misses, the successive ones will miss automatically. If every attack hits, the target becomes stifled for a short time. This requires a ranged weapon.',361,37,315,1311635100,0,80,0,1,'Your Singing Shot was successful on %t!','Your Singing Shot fades.','',0,0,'Spells/Scout/Bard/Troubador/SingingShot.lua',2624,'You cast Singing Shot on %t.',1,0,0,1,0,1,0,0,0,360042,0,0,0,0,0,0,0,0,0,'DD',1581473398,1384378116,0,0),
(360043,4182059426,1,0,'Deafening Missile','Two ranged attacks that deal mental damage. If one of these attacks misses, the successive ones will miss automatically. If every attack hits, the target becomes stifled for a short time. This requires a ranged weapon.',361,37,315,296246391,0,150,0,1,'Your Singing Shot II was successful on %t!','Your Singing Shot II fades.','',0,0,'Spells/Scout/Bard/Troubador/DeafeningMissile.lua',2624,'You cast Singing Shot II on %t.',1,0,0,1,0,1,0,0,0,360042,0,0,0,0,0,0,0,0,0,'DD',1581473496,1384378115,0,0),
(360044,2399188286,1,0,'Guviena''s Osmotic Ovation','Two ranged attacks that deal mental damage. If one of these attacks misses, the successive ones will miss automatically. If every attack hits, the target becomes stifled for a short time. This requires a ranged weapon.',361,37,315,296246391,0,220,0,1,'Your Singing Shot III was successful on %t!','Your Singing Shot III fades.','',0,0,'Spells/Scout/Bard/Troubador/SingingShot.lua',2624,'You cast Singing Shot III on %t.',1,0,0,1,0,1,0,0,0,360042,0,0,0,0,0,1,0,0,0,'DD',1581473597,1384378116,0,0),
(360045,2242241787,1,0,'Guviena''s Overpowering Ovation','Two ranged attacks that deal mental damage. If one of these attacks misses, the successive ones will miss automatically. If every attack hits, the target becomes stifled for a short time. This requires a ranged weapon.',361,37,315,296246391,0,290,0,1,'Your Singing Shot IV was successful on %t!','Your Singing Shot IV fades.','',0,0,'Spells/Scout/Bard/Troubador/SingingShot.lua',2624,'You cast Singing Shot IV on %t.',1,0,0,1,0,1,0,0,0,360042,0,0,0,0,0,1,0,0,0,'DD',1581473640,1384378115,0,0),
(360046,405812081,1,0,'Stifling Missile','Two ranged attacks that deal mental damage. If one of these attacks misses, the successive ones will miss automatically. If every attack hits, the target becomes stifled for a short time. This requires a ranged weapon.',361,37,315,296246391,0,355,0,1,'Your Singing Shot V was successful on %t!','Your Singing Shot V fades.','',0,0,'Spells/Scout/Bard/Troubador/SingingShot.lua',2624,'You cast Singing Shot V on %t.',1,0,0,1,0,1,0,0,0,360042,0,0,0,0,0,1,0,0,0,'DD',1581473688,1384377838,0,0),
(360047,2293707836,1,0,'Singing Shot VI','Two ranged attacks that deal mental damage. If one of these attacks misses, the successive ones will miss automatically. If every attack hits, the target becomes stifled for a short time. This requires a ranged weapon.',361,37,315,296246391,0,405,0,1,'Your Singing Shot VI was successful on %t!','Your Singing Shot VI fades.','',0,0,'Spells/Scout/Bard/Troubador/SingingShot.lua',2624,'You cast Singing Shot VI on %t.',1,0,0,1,0,1,0,0,0,360042,0,0,0,0,0,1,0,0,0,'DD',1581473731,1384377830,0,0),
(360048,827125716,1,0,'Singing Shot VII','Two ranged attacks that deal mental damage. If one of these attacks misses, the successive ones will miss automatically. If every attack hits, the target becomes stifled for a short time. This requires a ranged weapon.',361,37,315,296246391,0,455,0,1,'Your Singing Shot VII was successful on %t!','Your Singing Shot VII fades.','',0,0,'Spells/Scout/Bard/Troubador/SingingShot.lua',2624,'You cast Singing Shot VII on %t.',1,0,0,1,0,1,0,0,0,360042,0,0,0,0,0,1,0,0,0,'DD',1581473895,1384378113,0,0),
(360049,3773882259,0,1,'Alin''s Soothing Serenade','Places a serenading song surrounding all non-fighters in the troubador''s group. This song reduces enemy hate towards any of the troubador''s allies that they damage, and decreases the overall amount of hate that is generated by the troubador''s allies.',488,40,314,296246391,3587918036,120,1,2,'Your Alin''s Serene Serenade was successful on %t!','Your Alin''s Serene Serenade fades.','',1,1,'Spells/Scout/Bard/Troubador/AlinsSoothingSerenade.lua',2589,'You cast Alin''s Serene Serenade on %t.',0,0,0,1,1,1,0,0,0,360049,0,0,0,0,0,0,0,0,0,'Unset',1581475395,1384378115,0,1),
(360050,3221378497,0,1,'Alin''s Calming Serenade','Places a serenading song surrounding all non-fighters in the troubador''s group. This song reduces enemy hate towards any of the troubador''s allies that they damage, and decreases the overall amount of hate that is generated by the troubador''s allies.',488,40,314,296246391,3587918036,190,1,2,'Your Alin''s Serene Serenade II was successful on %t!','Your Alin''s Serene Serenade II fades.','',1,1,'Spells/Scout/Bard/Troubador/AlinsSereneSerenade.lua',2589,'You cast Alin''s Serene Serenade II on %t.',0,0,0,1,1,1,0,0,0,360049,0,0,0,0,0,1,0,0,0,'Unset',1581475417,1384378115,0,1),
(360051,311548347,0,1,'Alin''s Tranquil Serenade','Places a serenading song surrounding all non-fighters in the troubador''s group. This song reduces enemy hate towards any of the troubador''s allies that they damage, and decreases the overall amount of hate that is generated by the troubador''s allies.',488,40,314,296246391,3587918036,260,1,2,'Your Alin''s Serene Serenade III was successful on %t!','Your Alin''s Serene Serenade III fades.','',1,1,'Spells/Scout/Bard/Troubador/AlinsSereneSerenade.lua',2589,'You cast Alin''s Serene Serenade III on %t.',0,0,0,1,1,1,0,0,0,360049,0,0,0,0,0,1,0,0,0,'Unset',1581475430,1384378113,0,1),
(360052,2493710760,0,1,'Alin''s Serene Serenade','Places a serenading song surrounding all non-fighters in the troubador''s group. This song reduces enemy hate towards any of the troubador''s allies that they damage, and decreases the overall amount of hate that is generated by the troubador''s allies.',488,40,314,296246391,3587918036,330,1,2,'Your Alin''s Serene Serenade IV was successful on %t!','Your Alin''s Serene Serenade IV fades.','',1,1,'Spells/Scout/Bard/Troubador/AlinsSereneSerenade.lua',2589,'You cast Alin''s Serene Serenade IV on %t.',0,0,0,1,1,1,0,0,0,360049,0,0,0,0,0,1,0,0,0,'Unset',1581475448,1384378115,0,1),
(360053,3146538039,0,1,'Merciless Melody','Increases the attack speed of the troubador''s group.',174,41,314,1311635100,3587918036,70,1,2,'Your Allegretto was successful on %t!','Your Allegretto fades.','',1,1,'Spells/Scout/Bard/Troubador/Allegretto.lua',2590,'You cast Allegretto on %t.',0,0,0,1,1,1,0,0,0,360053,0,0,0,0,0,0,0,0,0,'Unset',1581471971,1384377836,0,1),
(360054,356983504,0,1,'Gerard''s Resonant Sonata','Increases the attack speed of the troubador''s group.',174,41,314,296246391,3587918036,140,1,2,'Your Allegretto II was successful on %t!','Your Allegretto II fades.','',1,1,'Spells/Scout/Bard/Troubador/GerardsResonantSonata.lua',2590,'You cast Allegretto II on %t.',0,0,0,1,1,1,0,0,0,360053,0,0,0,0,0,0,0,0,0,'Unset',1581471999,1384377830,0,1),
(360055,2513581533,0,1,'Invigorating Opus','Increases the attack speed of the troubador''s group.',174,41,314,296246391,3587918036,210,1,2,'Your Allegretto III was successful on %t!','Your Allegretto III fades.','',1,1,'Spells/Scout/Bard/Troubador/Allegretto.lua',2590,'You cast Allegretto III on %t.',0,0,0,1,1,1,0,0,0,360053,0,0,0,0,0,1,0,0,0,'Unset',1581472014,1384378116,0,1),
(360056,2560008491,0,1,'Exhilirating Opus','Increases the attack speed of the troubador''s group.',174,41,314,296246391,3587918036,280,1,2,'Your Allegretto IV was successful on %t!','Your Allegretto IV fades.','',1,1,'Spells/Scout/Bard/Troubador/Allegretto.lua',2590,'You cast Allegretto IV on %t.',0,0,0,1,1,1,0,0,0,360053,0,0,0,0,0,1,0,0,0,'Unset',1581472029,1384378113,0,1),
(360057,988908558,0,1,'Rousing Opus','Increases the attack speed of the troubador''s group.',174,41,314,296246391,3587918036,350,1,2,'Your Allegretto V was successful on %t!','Your Allegretto V fades.','',1,1,'Spells/Scout/Bard/Troubador/Allegretto.lua',2590,'You cast Allegretto V on %t.',0,0,0,1,1,1,0,0,0,360053,0,0,0,0,0,1,0,0,0,'Unset',1581472055,1384378158,0,1),
(360058,1229360608,0,1,'Allegretto','Increases the attack speed of the troubador''s group.',174,41,314,296246391,3587918036,400,1,2,'Your Allegretto VI was successful on %t!','Your Allegretto VI fades.','',1,1,'Spells/Scout/Bard/Troubador/Allegretto.lua',2590,'You cast Allegretto VI on %t.',0,0,0,1,1,1,0,0,0,360053,0,0,0,0,0,1,0,0,0,'Unset',1581472069,1384378115,0,1),
(360059,2496681061,0,1,'Allegretto VII','Increases the attack speed of the troubador''s group.',174,41,314,296246391,3587918036,450,1,2,'Your Allegretto VII was successful on %t!','Your Allegretto VII fades.','',1,1,'Spells/Scout/Bard/Troubador/Allegretto.lua',2590,'You cast Allegretto VII on %t.',0,0,0,1,1,1,0,0,0,360053,0,0,0,0,0,1,0,0,0,'Unset',1581472085,1384378115,0,1),
(360060,2387263483,0,1,'Allegretto VIII','Increases the attack speed of the troubador''s group.',174,41,314,296246391,3587918036,500,1,2,'Your Allegretto VIII was successful on %t!','Your Allegretto VIII fades.','',1,1,'Spells/Scout/Bard/Troubador/Allegretto.lua',2590,'You cast Allegretto VIII on %t.',0,0,0,0,1,1,0,0,0,360053,0,0,0,0,0,1,0,0,0,'Unset',1581472096,1384378116,0,1),
(360061,1693577516,0,1,'Arcane Chorus','Increases arcane resistance of all the troubador''s allies.',199,38,314,296246391,3587918036,100,1,2,'Your Arcane Symphony was successful on %t!','Your Arcane Symphony fades.','',1,1,'Spells/Scout/Bard/Troubador/ArcaneChorus.lua',2591,'You cast Arcane Symphony on %t.',0,1,0,1,1,1,0,0,0,360061,0,0,0,0,0,0,0,0,0,'Unset',1581474236,1384378116,0,1),
(360062,313136759,0,1,'Arcane Symphony','Increases arcane resistance of all the troubador''s allies.',199,38,314,296246391,3587918036,170,1,2,'Your Arcane Symphony II was successful on %t!','Your Arcane Symphony II fades.','',1,1,'Spells/Scout/Bard/Troubador/ArcaneSymphony.lua',2591,'You cast Arcane Symphony II on %t.',0,1,0,1,1,1,0,0,0,360061,0,0,0,0,0,1,0,0,0,'Unset',1581474296,1384377830,0,1),
(360063,2223189125,0,1,'Arcane Concerto','Increases arcane resistance of all the troubador''s allies.',199,38,314,296246391,3587918036,240,1,2,'Your Arcane Symphony III was successful on %t!','Your Arcane Symphony III fades.','',1,1,'Spells/Scout/Bard/Troubador/ArcaneSymphony.lua',2591,'You cast Arcane Symphony III on %t.',0,1,0,1,1,1,0,0,0,360061,0,0,0,0,0,1,0,0,0,'Unset',1581474333,1384378115,0,1),
(360064,504050705,0,1,'Arcane Dissertation','Increases arcane resistance of all the troubador''s allies.',199,38,314,296246391,3587918036,310,1,2,'Your Arcane Symphony IV was successful on %t!','Your Arcane Symphony IV fades.','',1,1,'Spells/Scout/Bard/Troubador/ArcaneSymphony.lua',2591,'You cast Arcane Symphony IV on %t.',0,1,0,1,1,1,0,0,0,360061,0,0,0,0,0,1,0,0,0,'Unset',1581474390,1384378115,0,1),
(360065,3522203894,0,1,'Arcane Tempo','Increases arcane resistance of all the troubador''s allies.',199,38,314,296246391,3587918036,370,1,2,'Your Arcane Symphony V was successful on %t!','Your Arcane Symphony V fades.','',1,1,'Spells/Scout/Bard/Troubador/ArcaneSymphony.lua',2591,'You cast Arcane Symphony V on %t.',0,1,0,1,1,1,0,0,0,360061,0,0,0,0,0,1,0,0,0,'Unset',1581474430,1384378116,0,1),
(360066,764024683,0,1,'Arcane Symphony VI','Increases arcane resistance of all the troubador''s allies.',199,38,314,296246391,3587918036,420,1,2,'Your Arcane Symphony VI was successful on %t!','Your Arcane Symphony VI fades.','',1,1,'Spells/Scout/Bard/Troubador/ArcaneSymphony.lua',2591,'You cast Arcane Symphony VI on %t.',0,1,0,1,1,1,0,0,0,360061,0,0,0,0,0,1,0,0,0,'Unset',1581474471,1384378113,0,1),
(360067,3268977034,0,1,'Arcane Symphony VII','Increases arcane resistance of all the troubador''s allies.',199,38,314,296246391,3587918036,470,1,2,'Your Arcane Symphony VII was successful on %t!','Your Arcane Symphony VII fades.','',1,1,'Spells/Scout/Bard/Troubador/ArcaneSymphony.lua',2591,'You cast Arcane Symphony VII on %t.',0,1,0,1,1,1,0,0,0,360061,0,0,0,0,0,1,0,0,0,'Unset',1581474529,1384378116,0,1),
(360068,3128378647,0,1,'Aria of Excitement','Grants the troubador''s group a chance to strike for additional mental damage before every hostile spell they cast on a target.',39,40,314,296246391,3587918036,110,1,2,'Your Aria of Magic was successful on %t!','Your Aria of Magic fades.','',1,1,'Spells/Scout/Bard/Troubador/AriaofExcitement.lua',2592,'You cast Aria of Magic on %t.',0,0,0,1,1,1,0,0,0,360068,0,0,0,0,0,0,0,0,0,'Unset',1581475164,1384378116,0,1),
(360069,445838809,0,1,'Aria of Inspiration','Grants the troubador''s group a chance to strike for additional mental damage before every hostile spell they cast on a target.',39,40,314,296246391,3587918036,180,1,2,'Your Aria of Magic II was successful on %t!','Your Aria of Magic II fades.','',1,1,'Spells/Scout/Bard/Troubador/AriaofMagic.lua',2592,'You cast Aria of Magic II on %t.',0,0,0,1,1,1,0,0,0,360068,0,0,0,0,0,1,0,0,0,'Unset',1581475177,1384378115,0,1),
(360070,508014448,0,1,'Aria of Exaltation','Grants the troubador''s group a chance to strike for additional mental damage before every hostile spell they cast on a target.',39,40,314,296246391,3587918036,250,1,2,'Your Aria of Magic III was successful on %t!','Your Aria of Magic III fades.','',1,1,'Spells/Scout/Bard/Troubador/AriaofMagic.lua',2592,'You cast Aria of Magic III on %t.',0,0,0,1,1,1,0,0,0,360068,0,0,0,0,0,1,0,0,0,'Unset',1581475226,1384378113,0,1),
(360071,3291207446,0,1,'Aria of Acclamation','Grants the troubador''s group a chance to strike for additional mental damage before every hostile spell they cast on a target.',39,40,314,296246391,3587918036,320,1,2,'Your Aria of Magic IV was successful on %t!','Your Aria of Magic IV fades.','',1,1,'Spells/Scout/Bard/Troubador/AriaofMagic.lua',2592,'You cast Aria of Magic IV on %t.',0,0,0,1,1,1,0,0,0,360068,0,0,0,0,0,1,0,0,0,'Unset',1581475243,1384378115,0,1),
(360072,376385296,0,1,'Aria of Magic','Grants the troubador''s group a chance to strike for additional mental damage before every hostile spell they cast on a target.',39,40,314,296246391,3587918036,375,1,2,'Your Aria of Magic V was successful on %t!','Your Aria of Magic V fades.','',1,1,'Spells/Scout/Bard/Troubador/AriaofMagic.lua',2592,'You cast Aria of Magic V on %t.',0,0,0,1,1,1,0,0,0,360068,0,0,0,0,0,1,0,0,0,'Unset',1581475283,1384378116,0,1),
(360073,2558871594,0,1,'Aria of Magic VI','Grants the troubador''s group a chance to strike for additional mental damage before every hostile spell they cast on a target.',39,40,314,296246391,3587918036,425,1,2,'Your Aria of Magic VI was successful on %t!','Your Aria of Magic VI fades.','',1,1,'Spells/Scout/Bard/Troubador/AriaofMagic.lua',2592,'You cast Aria of Magic VI on %t.',0,0,0,1,1,1,0,0,0,360068,0,0,0,0,0,1,0,0,0,'Unset',1581475299,1384378113,0,1),
(360074,921557435,0,1,'Aria of Magic VII','Grants the troubador''s group a chance to strike for additional mental damage before every hostile spell they cast on a target.',39,40,314,296246391,3587918036,475,1,2,'Your Aria of Magic VII was successful on %t!','Your Aria of Magic VII fades.','',1,1,'Spells/Scout/Bard/Troubador/AriaofMagic.lua',2592,'You cast Aria of Magic VII on %t.',0,0,0,0,1,1,0,0,0,360068,0,0,0,0,0,1,0,0,0,'Unset',1581475313,1384378115,0,1),
(360075,3422702153,0,1,'Ayonic Inspiration','This is the condensed energy of an ancient, mythical weapon.',174,65535,317,296246391,0,400,1,1,'Your Ayonic Inspiration was successful on %t!','Your Ayonic Inspiration fades.','',1,1,'Spells/Scout/Bard/Troubador/AyonicInspiration.lua',3567,'You cast Ayonic Inspiration on %t.',0,0,0,1,1,1,0,0,0,360075,0,0,0,0,0,0,0,0,0,'Unset',1581560178,1384377875,0,1),
(360076,2254232819,0,0,'Breathtaking Bellow','Interrupts target encounter in the area surrounding the target of the spell and blurs their vision for a short duration, with a small chance at knocking down an enemy. This ability does not require any power or casting time. Upgrades of this spell increase the chance to knockdown the targets.',172,38,312,296246391,882983852,200,0,1,'Your Breathtaking Bellow was successful on %t!','Your Breathtaking Bellow fades.','',1,1,'Spells/Scout/Bard/Troubador/BreathtakingBellow.lua',2593,'You cast Breathtaking Bellow on %t.',0,0,0,1,0,0,0,0,0,360076,0,0,0,0,0,0,0,0,0,'Unset',1581558329,1384378115,0,1),
(360077,4127763124,0,0,'Awesome Bellow','Interrupts target encounter in the area surrounding the target of the spell and blurs their vision for a short duration, with a small chance at knocking down an enemy. This ability does not require any power or casting time. Upgrades of this spell increase the chance to knockdown the targets.',172,38,312,296246391,882983852,270,0,1,'Your Breathtaking Bellow II was successful on %t!','Your Breathtaking Bellow II fades.','',1,1,'Spells/Scout/Bard/Troubador/BreathtakingBellow.lua',2593,'You cast Breathtaking Bellow II on %t.',0,0,0,1,0,0,0,0,0,360076,0,0,0,0,0,0,0,0,0,'Unset',1581558385,1384378113,0,1),
(360078,2969232238,0,0,'Mighty Bellow','Interrupts target encounter in the area surrounding the target of the spell and blurs their vision for a short duration, with a small chance at knocking down an enemy. This ability does not require any power or casting time. Upgrades of this spell increase the chance to knockdown the targets.',172,38,312,296246391,882983852,340,0,1,'Your Breathtaking Bellow III was successful on %t!','Your Breathtaking Bellow III fades.','',1,1,'Spells/Scout/Bard/Troubador/BreathtakingBellow.lua',2593,'You cast Breathtaking Bellow III on %t.',0,0,0,1,0,0,0,0,0,360076,0,0,0,0,0,0,0,0,0,'Unset',1581558427,1384377830,0,1),
(360079,2999572042,0,0,'Bria''s Entrancing Sonnet','Allows the troubador to charm a target for a short duration. Higher ranks of this spell will decrease the chance that the target can resist this spell every update.',473,40,315,296246391,882983852,100,0,1,'Your Bria''s Entrancing Sonnet was successful on %t!','Your Bria''s Entrancing Sonnet fades.','',1,0,'Spells/Scout/Bard/Troubador/ClassicEntrancingSonnet.lua',2594,'You cast Bria''s Entrancing Sonnet on %t.',0,0,0,1,0,1,0,0,0,360079,0,0,0,0,0,0,0,0,0,'Unset',1581474708,1384377831,0,1),
(360080,3505505498,0,0,'Bria''s Charming Sonnet','Allows the troubador to charm a target for a short duration. Higher ranks of this spell will decrease the chance that the target can resist this spell every update.',473,40,315,296246391,882983852,170,0,1,'Your Bria''s Entrancing Sonnet II was successful on %t!','Your Bria''s Entrancing Sonnet II fades.','',1,0,'Spells/Scout/Bard/Troubador/BriasEntrancingSonnet.lua',2594,'You cast Bria''s Entrancing Sonnet II on %t.',0,0,0,1,0,1,0,0,0,360079,0,0,0,0,0,1,0,0,0,'Unset',1581474805,1384377830,0,1),
(360081,2700202731,0,0,'Bria''s Rapturing Sonnet','Allows the troubador to charm a target for a short duration. Higher ranks of this spell will decrease the chance that the target can resist this spell every update.',473,40,315,296246391,882983852,240,0,1,'Your Bria''s Entrancing Sonnet III was successful on %t!','Your Bria''s Entrancing Sonnet III fades.','',1,0,'Spells/Scout/Bard/Troubador/BriasEntrancingSonnet.lua',2594,'You cast Bria''s Entrancing Sonnet III on %t.',0,0,0,1,0,1,0,0,0,360079,0,0,0,0,0,1,0,0,0,'Unset',1581474855,1384377831,0,1),
(360082,1238090697,0,0,'Bria''s Infatuating Sonnet','Allows the troubador to charm a target for a short duration. Higher ranks of this spell will decrease the chance that the target can resist this spell every update.',473,40,315,296246391,882983852,310,0,1,'Your Bria''s Entrancing Sonnet IV was successful on %t!','Your Bria''s Entrancing Sonnet IV fades.','',1,0,'Spells/Scout/Bard/Troubador/BriasEntrancingSonnet.lua',2594,'You cast Bria''s Entrancing Sonnet IV on %t.',0,0,0,1,0,1,0,0,0,360079,0,0,0,0,0,1,0,0,0,'Unset',1581474907,1384378115,0,1),
(360083,799964665,0,0,'Sonnet','Allows the troubador to charm a target for a short duration. Higher ranks of this spell will decrease the chance that the target can resist this spell every update.',473,40,315,296246391,882983852,370,0,1,'Your Bria''s Entrancing Sonnet V was successful on %t!','Your Bria''s Entrancing Sonnet V fades.','',1,0,'Spells/Scout/Bard/Troubador/BriasEntrancingSonnet.lua',2594,'You cast Bria''s Entrancing Sonnet V on %t.',0,0,0,1,0,1,0,0,0,360079,0,0,0,0,0,1,0,0,0,'Unset',1581474954,1384378116,0,1),
(360084,2587694310,0,0,'Bria''s Entrancing Sonnet VI','Allows the troubador to charm a target for a short duration. Higher ranks of this spell will decrease the chance that the target can resist this spell every update.',473,40,315,296246391,882983852,420,0,1,'Your Bria''s Entrancing Sonnet VI was successful on %t!','Your Bria''s Entrancing Sonnet VI fades.','',1,0,'Spells/Scout/Bard/Troubador/BriasEntrancingSonnet.lua',2594,'You cast Bria''s Entrancing Sonnet VI on %t.',0,0,0,1,0,1,0,0,0,360079,0,0,0,0,0,1,0,0,0,'Unset',1581474997,1384378113,0,1),
(360085,2099294833,0,0,'Bria''s Entrancing Sonnet VII','Allows the troubador to charm a target for a short duration. Higher ranks of this spell will decrease the chance that the target can resist this spell every update.',473,40,315,296246391,882983852,470,0,1,'Your Bria''s Entrancing Sonnet VII was successful on %t!','Your Bria''s Entrancing Sonnet VII fades.','',1,0,'Spells/Scout/Bard/Troubador/BriasEntrancingSonnet.lua',2594,'You cast Bria''s Entrancing Sonnet VII on %t.',0,0,0,0,0,0,0,0,0,360079,0,0,0,0,0,1,0,0,0,'Unset',1589749282,1384378116,0,1),
(360086,3089409907,0,0,'Kian''s Destructive Anthem','Impairs the wisdom of target encounter and inflicts mental damage over time. This song requires a recurrent power cost to maintain.',160,40,312,296246391,613995491,160,0,1,'Your Chaos Anthem was successful on %t!','Your Chaos Anthem fades.','',1,1,'Spells/Scout/Bard/Troubador/ChaosAnthem.lua',2597,'You cast Chaos Anthem on %t.',0,0,0,1,0,1,2,0,0,360086,0,0,0,0,0,1,0,0,0,'Unset',1581557743,1384378115,0,1),
(360087,1549725841,0,0,'Kian''s Devastating Anthem','Impairs the wisdom of target encounter and inflicts mental damage over time. This song requires a recurrent power cost to maintain.',160,40,312,296246391,613995491,230,0,1,'Your Chaos Anthem II was successful on %t!','Your Chaos Anthem II fades.','',1,1,'Spells/Scout/Bard/Troubador/ChaosAnthem.lua',2597,'You cast Chaos Anthem II on %t.',0,0,0,1,0,1,2,0,0,360086,0,0,0,0,0,1,0,0,0,'Unset',1581557840,1384378115,0,1),
(360088,46715233,0,0,'Kian''s Catastrophic Anthem','Impairs the wisdom of target encounter and inflicts mental damage over time. This song requires a recurrent power cost to maintain.',160,40,312,296246391,613995491,300,0,1,'Your Chaos Anthem III was successful on %t!','Your Chaos Anthem III fades.','',1,1,'Spells/Scout/Bard/Troubador/ChaosAnthem.lua',2597,'You cast Chaos Anthem III on %t.',0,0,0,1,0,1,2,0,0,360086,0,0,0,0,0,1,0,0,0,'Unset',1581557996,1384378115,0,1),
(360089,271610232,0,0,'Chaos Anthem','Impairs the wisdom of target encounter and inflicts mental damage over time. This song requires a recurrent power cost to maintain.',160,40,312,296246391,613995491,365,0,1,'Your Chaos Anthem IV was successful on %t!','Your Chaos Anthem IV fades.','',1,1,'Spells/Scout/Bard/Troubador/ChaosAnthem.lua',2597,'You cast Chaos Anthem IV on %t.',0,0,0,1,0,1,2,0,0,360086,0,0,0,0,0,1,0,0,0,'Unset',1581558071,1384377831,0,1),
(360090,1152955109,0,0,'Chaos Anthem V','Impairs the wisdom of target encounter and inflicts mental damage over time. This song requires a recurrent power cost to maintain.',160,40,312,296246391,613995491,415,0,1,'Your Chaos Anthem V was successful on %t!','Your Chaos Anthem V fades.','',1,1,'Spells/Scout/Bard/Troubador/ChaosAnthem.lua',2597,'You cast Chaos Anthem V on %t.',0,0,0,1,0,1,2,0,0,360086,0,0,0,0,0,1,0,0,0,'Unset',1581558142,1384378115,0,1),
(360091,4249053453,0,0,'Chaos Anthem VI','Impairs the wisdom of target encounter and inflicts mental damage over time. This song requires a recurrent power cost to maintain.',160,40,312,296246391,613995491,465,0,2,'Your Chaos Anthem VI was successful on %t!','Your Chaos Anthem VI fades.','',1,1,'Spells/Scout/Bard/Troubador/ChaosAnthem.lua',2597,'You cast Chaos Anthem VI on %t.',0,0,0,0,0,1,2,0,0,360086,0,0,0,0,0,1,0,0,0,'Unset',1581558214,1384378113,0,1),
(360092,2472345659,0,0,'Countersong','Plays a disruptive melody that has a chance to prevent auto attack from hitting multiple targets and reduces the damage done by the enemy''s abilities for a short duration.',200,65535,315,296246391,882983852,400,0,1,'Your Countersong was successful on %t!','Your Countersong fades.','',0,1,'Spells/Scout/Bard/Troubador/Countersong.lua',2599,'You cast Countersong on %t.',0,0,0,1,0,1,4,0,0,360092,0,0,0,0,0,0,0,0,0,'Unset',1581560220,1384378115,0,1),
(360093,4045867140,0,0,'Demoralizing Processional','Impairs the primary attributes, offensive combat, aggression, casting skills, and focus of target encounter. This song requires a recurrent power cost to maintain.',206,40,312,296246391,882983852,275,0,2,'Your Demoralizing Processional was successful on %t!','Your Demoralizing Processional fades.','',1,1,'Spells/Scout/Bard/Troubador/DemoralizingProcessional.lua',2602,'You cast Demoralizing Processional on %t.',0,0,0,1,0,1,2,0,0,360093,0,0,0,0,0,1,0,0,0,'Unset',1581559404,1384378113,0,1),
(360094,2032548828,0,0,'Dispirited Processional','Impairs the primary attributes, offensive combat, aggression, casting skills, and focus of target encounter. This song requires a recurrent power cost to maintain.',206,40,312,296246391,882983852,370,0,2,'Your Demoralizing Processional II was successful on %t!','Your Demoralizing Processional II fades.','',1,1,'Spells/Scout/Bard/Troubador/DemoralizingProcessional.lua',2602,'You cast Demoralizing Processional II on %t.',0,0,0,1,0,1,2,0,0,360093,0,0,0,0,0,1,0,0,0,'Unset',1581559662,1384378116,0,1),
(360095,2594931264,0,0,'Demoralizing Processional III','Impairs the primary attributes, offensive combat, aggression, casting skills, and focus of target encounter. This song requires a recurrent power cost to maintain.',206,40,312,296246391,882983852,420,0,2,'Your Demoralizing Processional III was successful on %t!','Your Demoralizing Processional III fades.','',1,1,'Spells/Scout/Bard/Troubador/DemoralizingProcessional.lua',2602,'You cast Demoralizing Processional III on %t.',0,0,0,1,0,1,2,0,0,360093,0,0,0,0,0,1,0,0,0,'Unset',1581559786,1384378113,0,1),
(360096,2602467165,0,0,'Demoralizing Processional IV','Impairs the primary attributes, offensive combat, aggression, casting skills, and focus of target encounter. This song requires a recurrent power cost to maintain.',206,40,312,296246391,882983852,470,0,2,'Your Demoralizing Processional IV was successful on %t!','Your Demoralizing Processional IV fades.','',1,1,'Spells/Scout/Bard/Troubador/DemoralizingProcessional.lua',2602,'You cast Demoralizing Processional IV on %t.',0,0,0,0,0,1,2,0,0,360093,0,0,0,0,0,1,0,0,0,'Unset',1581559847,1384378115,0,1),
(360097,3394559386,0,0,'Sybil''s Slowing Chant','Severely decreases target''s resistance to Arcane and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,296246391,613995491,35,0,1,'Your Depressing Chant was successful on %t!','Your Depressing Chant fades.','',1,1,'Spells/Scout/Bard/Troubador/DepressingChant.lua',2603,'You cast Depressing Chant on %t.',0,0,0,1,0,1,2,0,0,360097,0,0,0,0,0,0,0,0,0,'Unset',1581469146,1384378115,0,1),
(360098,3391261969,0,0,'Sybil''s Shuddering Sonnet','Severely decreases target''s resistance to Arcane and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,296246391,613995491,115,0,1,'Your Depressing Chant II was successful on %t!','Your Depressing Chant II fades.','',1,1,'Spells/Scout/Bard/Troubador/SybilsShudderingSonnet.lua',2603,'You cast Depressing Chant II on %t.',0,0,0,1,0,1,2,0,0,360097,0,0,0,0,0,0,0,0,0,'Unset',1581469192,1384378115,0,1),
(360099,1898834890,0,0,'Guvienas Disparate Chant','Severely decreases target''s resistance to Arcane and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,296246391,613995491,185,0,1,'Your Depressing Chant III was successful on %t!','Your Depressing Chant III fades.','',1,1,'Spells/Scout/Bard/Troubador/DepressingChant.lua',2603,'You cast Depressing Chant III on %t.',0,0,0,1,0,1,2,0,0,360097,0,0,0,0,0,1,0,0,0,'Unset',1581469232,1384378113,0,1),
(360100,2903767519,0,0,'Guvienas Slothful Chant','Severely decreases target''s resistance to Arcane and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,296246391,613995491,255,0,1,'Your Depressing Chant IV was successful on %t!','Your Depressing Chant IV fades.','',1,1,'Spells/Scout/Bard/Troubador/DepressingChant.lua',2603,'You cast Depressing Chant IV on %t.',0,0,0,1,0,1,2,0,0,360097,0,0,0,0,0,1,0,0,0,'Unset',1581469275,1384377830,0,1),
(360101,2610050818,0,0,'Guvienas Apathetic Chant','Severely decreases target''s resistance to Arcane and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,296246391,613995491,325,0,1,'Your Depressing Chant V was successful on %t!','Your Depressing Chant V fades.','',1,1,'Spells/Scout/Bard/Troubador/DepressingChant.lua',2603,'You cast Depressing Chant V on %t.',0,0,0,1,0,1,2,0,0,360097,0,0,0,0,0,1,0,0,0,'Unset',1581469322,1384378115,0,1),
(360102,3862462436,0,0,'Depressing Chant','Severely decreases target''s resistance to Arcane and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,296246391,613995491,380,0,1,'Your Depressing Chant VI was successful on %t!','Your Depressing Chant VI fades.','',1,1,'Spells/Scout/Bard/Troubador/DepressingChant.lua',2603,'You cast Depressing Chant VI on %t.',0,0,0,1,0,1,2,0,0,360097,0,0,0,0,0,1,0,0,0,'Unset',1581469364,1384378115,0,1),
(360103,2779244842,0,0,'Depressing Chant VII','Severely decreases target''s resistance to Arcane and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,296246391,613995491,430,0,1,'Your Depressing Chant VII was successful on %t!','Your Depressing Chant VII fades.','',1,1,'Spells/Scout/Bard/Troubador/DepressingChant.lua',2603,'You cast Depressing Chant VII on %t.',0,0,0,1,0,1,2,0,0,360097,0,0,0,0,0,1,0,0,0,'Unset',1581469382,1384378115,0,1),
(360104,1917151602,0,0,'Depressing Chant VIII','Severely decreases target''s resistance to Arcane and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,296246391,613995491,480,0,1,'Your Depressing Chant VIII was successful on %t!','Your Depressing Chant VIII fades.','',1,1,'Spells/Scout/Bard/Troubador/DepressingChant.lua',2603,'You cast Depressing Chant VIII on %t.',0,0,0,0,0,0,2,0,0,360097,0,0,0,0,0,1,0,0,0,'Unset',1581469441,1384378115,0,1),
(360105,83513687,0,1,'Elemental Chorus','Increases elemental resistance of all the troubador''s allies.',203,38,314,296246391,3587918036,220,1,2,'Your Elemental Concerto was successful on %t!','Your Elemental Concerto fades.','',1,1,'Spells/Scout/Bard/Troubador/ElementalConcerto.lua',2605,'You cast Elemental Concerto on %t.',0,1,0,1,1,1,0,0,0,360105,0,0,0,0,0,1,0,0,0,'Unset',1581558508,1384378115,0,1),
(360106,1426169899,0,1,'Elemental Concerto','Increases elemental resistance of all the troubador''s allies.',203,38,314,296246391,3587918036,290,1,2,'Your Elemental Concerto II was successful on %t!','Your Elemental Concerto II fades.','',1,1,'Spells/Scout/Bard/Troubador/ElementalConcerto.lua',2605,'You cast Elemental Concerto II on %t.',0,1,0,1,1,1,0,0,0,360105,0,0,0,0,0,1,0,0,0,'Unset',1581558568,1384378115,0,1),
(360107,1127217521,0,1,'Elemental Tempo','Increases elemental resistance of all the troubador''s allies.',203,38,314,296246391,3587918036,360,1,2,'Your Elemental Concerto III was successful on %t!','Your Elemental Concerto III fades.','',1,1,'Spells/Scout/Bard/Troubador/ElementalConcerto.lua',2605,'You cast Elemental Concerto III on %t.',0,1,0,1,1,1,0,0,0,360105,0,0,0,0,0,1,0,0,0,'Unset',1581558605,1384377836,0,1),
(360108,2865073734,0,1,'Elemental Concerto IV','Increases elemental resistance of all the troubador''s allies.',203,38,314,296246391,3587918036,410,1,2,'Your Elemental Concerto IV was successful on %t!','Your Elemental Concerto IV fades.','',1,1,'Spells/Scout/Bard/Troubador/ElementalConcerto.lua',2605,'You cast Elemental Concerto IV on %t.',0,1,0,1,1,1,0,0,0,360105,0,0,0,0,0,1,0,0,0,'Unset',1581558639,1384378115,0,1),
(360109,891227608,0,1,'Elemental Concerto V','Increases elemental resistance of all the troubador''s allies.',203,38,314,296246391,3587918036,460,1,2,'Your Elemental Concerto V was successful on %t!','Your Elemental Concerto V fades.','',1,1,'Spells/Scout/Bard/Troubador/ElementalConcerto.lua',2605,'You cast Elemental Concerto V on %t.',0,1,0,1,1,1,0,0,0,360105,0,0,0,0,0,1,0,0,0,'Unset',1581558679,1384378113,0,1),
(360110,3697032082,0,1,'Insatiable Ardor','Increases the defense skill of the troubador''s group.',272,40,314,1311635100,3587918036,90,1,2,'Your Graceful Avoidance was successful on %t!','Your Graceful Avoidance fades.','',1,1,'Spells/Scout/Bard/Troubador/GracefulAvoidance.lua',2608,'You cast Graceful Avoidance on %t.',0,0,0,1,1,1,0,0,0,360110,0,0,0,0,0,0,0,0,0,'Unset',1581474077,1384377828,0,1),
(360111,1150947463,0,1,'Daelor''s Luminary Ballad','Increases the defense skill of the troubador''s group.',272,40,314,296246391,3587918036,160,1,2,'Your Graceful Avoidance II was successful on %t!','Your Graceful Avoidance II fades.','',1,1,'Spells/Scout/Bard/Troubador/GracefulAvoidance.lua',2608,'You cast Graceful Avoidance II on %t.',0,0,0,1,1,1,0,0,0,360110,0,0,0,0,0,1,0,0,0,'Unset',1581474097,1384377830,0,1),
(360112,850638106,0,1,'Graceful Avoidance','Increases the defense skill of the troubador''s group.',272,40,314,296246391,3587918036,230,1,1,'Your Graceful Avoidance III was successful on %t!','Your Graceful Avoidance III fades.','',1,1,'Spells/Scout/Bard/Troubador/GracefulAvoidance.lua',2608,'You cast Graceful Avoidance III on %t.',0,0,0,1,1,1,0,0,0,360110,0,0,0,0,0,1,0,0,0,'Unset',1581474110,1384378115,0,1),
(360113,3776334914,0,1,'Balletic Avoidance','Increases the defense skill of the troubador''s group.',272,40,314,296246391,3587918036,300,1,2,'Your Graceful Avoidance IV was successful on %t!','Your Graceful Avoidance IV fades.','',1,1,'Spells/Scout/Bard/Troubador/GracefulAvoidance.lua',2608,'You cast Graceful Avoidance IV on %t.',0,0,0,1,1,1,0,0,0,360110,0,0,0,0,0,1,0,0,0,'Unset',1581474122,1384378115,0,1),
(360114,908358940,0,1,'Performer Avoidance','Increases the defense skill of the troubador''s group.',272,40,314,296246391,3587918036,365,1,2,'Your Graceful Avoidance V was successful on %t!','Your Graceful Avoidance V fades.','',1,1,'Spells/Scout/Bard/Troubador/GracefulAvoidance.lua',2608,'You cast Graceful Avoidance V on %t.',0,0,0,1,1,1,0,0,0,360110,0,0,0,0,0,1,0,0,0,'Unset',1581474129,1384378116,0,1),
(360115,775055560,0,1,'Graceful Avoidance VI','Increases the defense skill of the troubador''s group.',272,40,314,296246391,3587918036,415,1,2,'Your Graceful Avoidance VI was successful on %t!','Your Graceful Avoidance VI fades.','',1,1,'Spells/Scout/Bard/Troubador/GracefulAvoidance.lua',2608,'You cast Graceful Avoidance VI on %t.',0,0,0,1,1,1,0,0,0,360110,0,0,0,0,0,1,0,0,0,'Unset',1581474148,1384378113,0,1),
(360116,2984831830,0,1,'Graceful Avoidance VII','Increases the defense skill of the troubador''s group.',272,40,314,296246391,3587918036,465,1,2,'Your Graceful Avoidance VII was successful on %t!','Your Graceful Avoidance VII fades.','',1,1,'Spells/Scout/Bard/Troubador/GracefulAvoidance.lua',2608,'You cast Graceful Avoidance VII on %t.',0,0,0,1,1,1,0,0,0,360110,0,0,0,0,0,1,0,0,0,'Unset',1581474170,1384377831,0,1),
(360117,2991120526,0,0,'Jester''s Cap','For a short duration, target ally''s recast timers on all abilities are reduced.',492,65535,316,296246391,3587918036,325,0,1,'Your Jester''s Cap was successful on %t!','Your Jester''s Cap fades.','',1,1,'Spells/Scout/Bard/Troubador/JestersCap.lua',2609,'You cast Jester''s Cap on %t.',0,1,0,1,1,1,0,0,0,360117,0,0,0,0,0,1,0,0,0,'Unset',1581560074,1384378115,0,1),
(360118,4006024348,0,0,'Lullaby','Mesmerizes the target and removes them from being affected by area effect spells for a short duration. This effect breaks upon the target receiving any damage.',477,38,315,296246391,882983852,250,0,1,'Your Lullaby was successful on %t!','Your Lullaby fades.','',1,0,'Spells/Scout/Bard/Troubador/Lullaby.lua',2611,'You cast Lullaby on %t.',0,0,0,1,0,1,2,1,0,360118,0,0,0,0,0,1,0,0,0,'Unset',1581558954,1384377831,0,1),
(360119,3254946407,0,0,'Reverie','Mesmerizes the target and removes them from being affected by area effect spells for a short duration. This effect breaks upon the target receiving any damage.',477,38,315,296246391,882983852,350,0,1,'Your Lullaby II was successful on %t!','Your Lullaby II fades.','',1,0,'Spells/Scout/Bard/Troubador/Lullaby.lua',2611,'You cast Lullaby II on %t.',0,0,0,1,0,1,2,1,0,360118,0,0,0,0,0,1,0,0,0,'Unset',1581559034,1384377835,0,1),
(360120,665957647,0,0,'Peaceful Melody','Mesmerizes the target and removes them from being affected by area effect spells for a short duration. This effect breaks upon the target receiving any damage.',477,38,315,296246391,882983852,400,0,1,'Your Lullaby III was successful on %t!','Your Lullaby III fades.','',1,0,'Spells/Scout/Bard/Troubador/Lullaby.lua',2611,'You cast Lullaby III on %t.',0,0,0,1,0,1,2,1,0,360118,0,0,0,0,0,1,0,0,0,'Unset',1581559120,1384378115,0,1),
(360121,1446053848,0,0,'Lullaby IV','Mesmerizes the target and removes them from being affected by area effect spells for a short duration. This effect breaks upon the target receiving any damage.',477,38,315,296246391,882983852,450,0,1,'Your Lullaby IV was successful on %t!','Your Lullaby IV fades.','',1,0,'Spells/Scout/Bard/Troubador/Lullaby.lua',2611,'You cast Lullaby IV on %t.',0,0,0,1,0,1,2,1,0,360118,0,0,0,0,0,1,0,0,0,'Unset',1581559194,1384378113,0,1),
(360122,352836403,0,0,'Alin''s Keening Lamentation','Does a medium amount of mental damage to the target encounter and interrupts them.',171,36,312,1311635100,613995491,75,0,1,'Your Painful Lamentations was successful on %t!','Your Painful Lamentations fades.','',1,1,'Spells/Scout/Bard/Troubador/PainfulLamentations.lua',2613,'You cast Painful Lamentations on %t.',0,0,0,1,0,0,0,0,0,360122,0,0,0,0,0,0,0,0,0,'DD',1581472374,1384378116,0,1),
(360123,2159997715,0,0,'Alin''s Melodic Refrain','Does a medium amount of mental damage to the target encounter and interrupts them.',171,36,312,296246391,613995491,145,0,1,'Your Painful Lamentations II was successful on %t!','Your Painful Lamentations II fades.','',1,1,'Spells/Scout/Bard/Troubador/AlinsMelodicRefrain.lua',2613,'You cast Painful Lamentations II on %t.',0,0,0,1,0,0,0,0,0,360122,0,0,0,0,0,0,0,0,0,'DD',1581472636,1384377830,0,1),
(360124,1055208848,0,0,'Alin''s Coruscating Concord','Does a medium amount of mental damage to the target encounter and interrupts them.',171,36,312,296246391,613995491,215,0,1,'Your Painful Lamentations III was successful on %t!','Your Painful Lamentations III fades.','',1,1,'Spells/Scout/Bard/Troubador/PainfulLamentations.lua',2613,'You cast Painful Lamentations III on %t.',0,0,0,1,0,0,0,0,0,360122,0,0,0,0,0,1,0,0,0,'DD',1581472720,1384378116,0,1),
(360125,3150653788,0,0,'Alin''s Incandescent Concord','Does a medium amount of mental damage to the target encounter and interrupts them.',171,36,312,296246391,613995491,285,0,1,'Your Painful Lamentations IV was successful on %t!','Your Painful Lamentations IV fades.','',1,1,'Spells/Scout/Bard/Troubador/PainfulLamentations.lua',2613,'You cast Painful Lamentations IV on %t.',0,0,0,1,0,0,0,0,0,360122,0,0,0,0,0,1,0,0,0,'DD',1581472787,1384378115,0,1),
(360126,2619816840,0,0,'Painful Lamentations','Does a medium amount of mental damage to the target encounter and interrupts them.',171,36,312,296246391,613995491,355,0,1,'Your Painful Lamentations V was successful on %t!','Your Painful Lamentations V fades.','',1,1,'Spells/Scout/Bard/Troubador/PainfulLamentations.lua',2613,'You cast Painful Lamentations V on %t.',0,0,0,1,0,0,0,0,0,360122,0,0,0,0,0,1,0,0,0,'DD',1581473248,1384378116,0,1),
(360127,3928481792,0,0,'Painful Lamentations VI','Does a medium amount of mental damage to the target encounter and interrupts them.',171,36,312,296246391,613995491,405,0,1,'Your Painful Lamentations VI was successful on %t!','Your Painful Lamentations VI fades.','',1,1,'Spells/Scout/Bard/Troubador/PainfulLamentations.lua',2613,'You cast Painful Lamentations VI on %t.',0,0,0,1,0,0,0,0,0,360122,0,0,0,0,0,1,0,0,0,'DD',1581473294,1384378115,0,1),
(360128,1901333204,0,0,'Painful Lamentations VII','Does a medium amount of mental damage to the target encounter and interrupts them.',171,36,312,296246391,613995491,455,0,1,'Your Painful Lamentations VII was successful on %t!','Your Painful Lamentations VII fades.','',1,1,'Spells/Scout/Bard/Troubador/PainfulLamentations.lua',2613,'You cast Painful Lamentations VII on %t.',0,0,0,1,0,0,0,0,0,360122,0,0,0,0,0,1,0,0,0,'DD',1581473343,1384378113,0,1),
(360129,772020356,0,0,'Shrill','Does a moderate amount of mental damage to the target.',171,36,315,296246391,613995491,15,0,1,'Your Perfect Shrill was successful on %t!','Your Perfect Shrill fades.','',1,1,'Spells/Scout/Bard/Troubador/PerfectShrill.lua',2615,'You cast Perfect Shrill on %t.',0,0,0,1,0,0,0,0,0,360129,0,0,0,0,0,0,0,0,0,'DD',1581465900,1384378113,0,1),
(360130,3426591646,0,0,'Piercing Shrill','Does a moderate amount of mental damage to the target.',171,36,315,296246391,613995491,60,0,1,'Your Perfect Shrill II was successful on %t!','Your Perfect Shrill II fades.','',1,1,'Spells/Scout/Bard/Troubador/PerfectShrill.lua',2615,'You cast Perfect Shrill II on %t.',0,0,0,1,0,0,0,0,0,360129,0,0,0,0,0,0,0,0,0,'DD',1581466033,1384378116,0,1),
(360131,82046589,0,0,'Dissenting Cantata','Does a moderate amount of mental damage to the target.',171,36,315,296246391,613995491,130,0,1,'Your Perfect Shrill III was successful on %t!','Your Perfect Shrill III fades.','',1,1,'Spells/Scout/Bard/Troubador/DissentingCantata.lua',2615,'You cast Perfect Shrill III on %t.',0,0,0,1,0,0,0,0,0,360129,0,0,0,0,0,0,0,0,0,'DD',1581466123,1384378115,0,1),
(360132,81147930,0,0,'Exquisite Shrill','Does a moderate amount of mental damage to the target.',171,36,315,296246391,613995491,200,0,1,'Your Perfect Shrill IV was successful on %t!','Your Perfect Shrill IV fades.','',1,1,'Spells/Scout/Bard/Troubador/PerfectShrill.lua',2615,'You cast Perfect Shrill IV on %t.',0,0,0,1,0,0,0,0,0,360129,0,0,0,0,0,1,0,0,0,'DD',1581466175,1384378115,0,1),
(360133,73114709,0,0,'Perfect Shrill IX','Does a moderate amount of mental damage to the target.',171,36,315,296246391,613995491,490,0,1,'Your Perfect Shrill IX was successful on %t!','Your Perfect Shrill IX fades.','',1,1,'Spells/Scout/Bard/Troubador/PerfectShrill.lua',2615,'You cast Perfect Shrill IX on %t.',0,0,0,0,0,0,0,0,0,360129,0,0,0,0,0,1,0,0,0,'DD',1581466538,1384378116,0,1),
(360134,4131026297,0,0,'Flawless Shrill','Does a moderate amount of mental damage to the target.',171,36,315,296246391,613995491,270,0,1,'Your Perfect Shrill V was successful on %t!','Your Perfect Shrill V fades.','',1,1,'Spells/Scout/Bard/Troubador/PerfectShrill.lua',2615,'You cast Perfect Shrill V on %t.',0,0,0,1,0,0,0,0,0,360129,0,0,0,0,0,1,0,0,0,'DD',1581466299,1384378113,0,1),
(360135,3269040000,0,0,'Perfect Shrill','Does a moderate amount of mental damage to the target.',171,36,315,296246391,613995491,340,0,1,'Your Perfect Shrill VI was successful on %t!','Your Perfect Shrill VI fades.','',1,1,'Spells/Scout/Bard/Troubador/PerfectShrill.lua',2615,'You cast Perfect Shrill VI on %t.',0,0,0,1,0,0,0,0,0,360129,0,0,0,0,0,1,0,0,0,'DD',1581466361,1384377836,0,1),
(360136,70116110,0,0,'Reverberating Shrill','Does a moderate amount of mental damage to the target.',171,36,315,296246391,613995491,390,0,1,'Your Perfect Shrill VII was successful on %t!','Your Perfect Shrill VII fades.','',1,1,'Spells/Scout/Bard/Troubador/PerfectShrill.lua',2615,'You cast Perfect Shrill VII on %t.',0,0,0,1,0,0,0,0,0,360129,0,0,0,0,0,1,0,0,0,'DD',1581466446,1384378115,0,1),
(360137,2214424342,0,0,'Perfect Shrill VIII','Does a moderate amount of mental damage to the target.',171,36,315,296246391,613995491,440,0,1,'Your Perfect Shrill VIII was successful on %t!','Your Perfect Shrill VIII fades.','',1,1,'Spells/Scout/Bard/Troubador/PerfectShrill.lua',2615,'You cast Perfect Shrill VIII on %t.',0,0,0,1,0,0,0,0,0,360129,0,0,0,0,0,1,0,0,0,'DD',1581466498,1384378115,0,1),
(360138,218782874,0,0,'Precision of the Maestro','A short duration song that grants the troubador''s group increased intelligence and additional mental damage with every hostile spell cast.',328,41,314,296246391,3587918036,290,0,2,'Your Perfection of the Maestro was successful on %t!','Your Perfection of the Maestro fades.','',1,1,'Spells/Scout/Bard/Troubador/PerfectionoftheMaestro.lua',2616,'You cast Perfection of the Maestro on %t.',0,0,0,1,1,1,0,0,0,360138,0,0,0,0,0,1,0,0,0,'Unset',1581559941,1384378113,0,1),
(360139,1445708596,0,0,'Perfection of the Maestro','A short duration song that grants the troubador''s group increased intelligence and additional mental damage with every hostile spell cast.',328,41,314,296246391,3587918036,380,0,2,'Your Perfection of the Maestro II was successful on %t!','Your Perfection of the Maestro II fades.','',1,1,'Spells/Scout/Bard/Troubador/PerfectionoftheMaestro.lua',2616,'You cast Perfection of the Maestro II on %t.',0,0,0,1,1,1,0,0,0,360138,0,0,0,0,0,1,0,0,0,'Unset',1581559958,1384377828,0,1),
(360140,1603131535,0,0,'Perfection of the Maestro III','A short duration song that grants the troubador''s group increased intelligence and additional mental damage with every hostile spell cast.',328,41,314,296246391,3587918036,430,0,2,'Your Perfection of the Maestro III was successful on %t!','Your Perfection of the Maestro III fades.','',1,1,'Spells/Scout/Bard/Troubador/PerfectionoftheMaestro.lua',2616,'You cast Perfection of the Maestro III on %t.',0,0,0,1,1,1,0,0,0,360138,0,0,0,0,0,1,0,0,0,'Unset',1581559973,1384378115,0,1),
(360141,1580737938,0,0,'Perfection of the Maestro IV','A short duration song that grants the troubador''s group increased intelligence and additional mental damage with every hostile spell cast.',328,41,314,296246391,3587918036,480,0,2,'Your Perfection of the Maestro IV was successful on %t!','Your Perfection of the Maestro IV fades.','',1,1,'Spells/Scout/Bard/Troubador/PerfectionoftheMaestro.lua',2616,'You cast Perfection of the Maestro IV on %t.',0,0,0,0,1,1,0,0,0,360138,0,0,0,0,0,1,0,0,0,'Unset',1581559986,1384378115,0,1),
(360142,978649084,0,1,'Raxxyl''s Fortitude Song','Increases the agility, intelligence, wisdom, and spell resistance of the troubador''s group.',173,38,314,296246391,3587918036,10,1,2,'Your Raxxyl''s Rousing Tune was successful on %t!','Your Raxxyl''s Rousing Tune fades.','',1,1,'Spells/Scout/Bard/Troubador/RaxxylsRousingTune.lua',2618,'You cast Raxxyl''s Rousing Tune on %t.',0,0,0,1,1,1,0,0,0,360142,0,0,0,0,0,0,0,0,0,'Unset',1581465667,1384377834,0,1),
(360143,95224331,0,1,'Raxxyl''s Rousing Tune','Increases the agility, intelligence, wisdom, and spell resistance of the troubador''s group.',173,38,314,296246391,3587918036,50,1,2,'Your Raxxyl''s Rousing Tune II was successful on %t!','Your Raxxyl''s Rousing Tune II fades.','',1,1,'Spells/Scout/Bard/Troubador/RaxxylsRousingTune.lua',2618,'You cast Raxxyl''s Rousing Tune II on %t.',0,0,0,1,1,1,0,0,0,360142,0,0,0,0,0,0,0,0,0,'Unset',1581465684,1384378158,0,1),
(360144,2075489155,0,1,'Raxxyl''s Energizing Harmony','Increases the agility, intelligence, wisdom, and spell resistance of the troubador''s group.',173,38,314,296246391,3587918036,120,1,2,'Your Raxxyl''s Rousing Tune III was successful on %t!','Your Raxxyl''s Rousing Tune III fades.','',1,1,'Spells/Scout/Bard/Troubador/RaxxylsEnergizingHarmony.lua',2618,'You cast Raxxyl''s Rousing Tune III on %t.',0,0,0,1,1,1,0,0,0,360142,0,0,0,0,0,0,0,0,0,'Unset',1581465697,1384378115,0,1),
(360145,1893798602,0,1,'Raxxyl''s Vivacious Descant','Increases the agility, intelligence, wisdom, and spell resistance of the troubador''s group.',173,38,314,296246391,3587918036,190,1,2,'Your Raxxyl''s Rousing Tune IV was successful on %t!','Your Raxxyl''s Rousing Tune IV fades.','',1,1,'Spells/Scout/Bard/Troubador/RaxxylsRousingTune.lua',2618,'You cast Raxxyl''s Rousing Tune IV on %t.',0,0,0,1,1,1,0,0,0,360142,0,0,0,0,0,1,0,0,0,'Unset',1581465707,1384378113,0,1),
(360146,2573157067,0,1,'Raxxyl''s Brash Descant','Increases the agility, intelligence, wisdom, and spell resistance of the troubador''s group.',173,38,314,296246391,3587918036,260,1,2,'Your Raxxyl''s Rousing Tune V was successful on %t!','Your Raxxyl''s Rousing Tune V fades.','',1,1,'Spells/Scout/Bard/Troubador/RaxxylsRousingTune.lua',2618,'You cast Raxxyl''s Rousing Tune V on %t.',0,0,0,1,1,1,0,0,0,360142,0,0,0,0,0,1,0,0,0,'Unset',1581465723,1384378113,0,1),
(360147,1788018433,0,1,'Raxxyl''s Brazen Descant','Increases the agility, intelligence, wisdom, and spell resistance of the troubador''s group.',173,38,314,296246391,3587918036,330,1,2,'Your Raxxyl''s Rousing Tune VI was successful on %t!','Your Raxxyl''s Rousing Tune VI fades.','',1,1,'Spells/Scout/Bard/Troubador/RaxxylsRousingTune.lua',2618,'You cast Raxxyl''s Rousing Tune VI on %t.',0,0,0,1,1,1,0,0,0,360142,0,0,0,0,0,1,0,0,0,'Unset',1581465737,1384378115,0,1),
(360148,3707036253,0,1,'Fortifying Song','Increases the agility, intelligence, wisdom, and spell resistance of the troubador''s group.',173,38,314,296246391,3587918036,385,1,2,'Your Raxxyl''s Rousing Tune VII was successful on %t!','Your Raxxyl''s Rousing Tune VII fades.','',1,1,'Spells/Scout/Bard/Troubador/RaxxylsRousingTune.lua',2618,'You cast Raxxyl''s Rousing Tune VII on %t.',0,0,0,1,1,1,0,0,0,360142,0,0,0,0,0,1,0,0,0,'Unset',1581465751,1384378115,0,1),
(360149,3159844653,0,1,'Raxxyl''s Rousing Tune IX','Increases the agility, intelligence, wisdom, and spell resistance of the troubador''s group.',173,38,314,296246391,3587918036,485,1,2,'Your Raxxyl''s Rousing Tune VIII was successful on %t!','Your Raxxyl''s Rousing Tune VIII fades.','',1,1,'Spells/Scout/Bard/Troubador/RaxxylsRousingTune.lua',2618,'You cast Raxxyl''s Rousing Tune VIII on %t.',0,0,0,0,1,1,0,0,0,360142,0,0,0,0,0,1,0,0,0,'Unset',1581465787,1335206445,0,1),
(360150,656707065,0,1,'Raxxyl''s Rousing Tune VIII','Increases the agility, intelligence, wisdom, and spell resistance of the troubador''s group.',173,38,314,296246391,3587918036,435,1,2,'Your Raxxyl''s Rousing Tune VIII was successful on %t!','Your Raxxyl''s Rousing Tune VIII fades.','',1,1,'Spells/Scout/Bard/Troubador/RaxxylsRousingTune.lua',2618,'You cast Raxxyl''s Rousing Tune VIII on %t.',0,0,0,1,1,1,0,0,0,360142,0,0,0,0,0,1,0,0,0,'Unset',1581465765,1384378115,0,1),
(360151,84805858,0,1,'Quiron''s Joyous Celebration','Increases in-combat health regeneration and stamina of the troubador''s group.',497,38,314,296246391,3587918036,150,1,2,'Your Rejuvenating Celebration was successful on %t!','Your Rejuvenating Celebration fades.','',1,1,'Spells/Scout/Bard/Troubador/QuironsJoyousCelebration.lua',2619,'You cast Rejuvenating Celebration on %t.',0,0,0,1,1,1,0,0,0,360151,0,0,0,0,0,0,0,0,0,'Unset',1581478139,1384377830,0,1),
(360152,2099860284,0,1,'Quiron''s Ecstatic Celebration','Increases in-combat health regeneration and stamina of the troubador''s group.',497,38,314,296246391,3587918036,220,1,2,'Your Rejuvenating Celebration II was successful on %t!','Your Rejuvenating Celebration II fades.','',1,1,'Spells/Scout/Bard/Troubador/RejuvenatingCelebration.lua',2619,'You cast Rejuvenating Celebration II on %t.',0,0,0,1,1,1,0,0,0,360151,0,0,0,0,0,1,0,0,0,'Unset',1581478202,1384378115,0,1),
(360153,767735010,0,1,'Quiron''s Blissful Celebration','Increases in-combat health regeneration and stamina of the troubador''s group.',497,38,314,296246391,3587918036,290,1,2,'Your Rejuvenating Celebration III was successful on %t!','Your Rejuvenating Celebration III fades.','',1,1,'Spells/Scout/Bard/Troubador/RejuvenatingCelebration.lua',2619,'You cast Rejuvenating Celebration III on %t.',0,0,0,1,1,1,0,0,0,360151,0,0,0,0,0,1,0,0,0,'Unset',1581478216,1384378115,0,1),
(360154,1227062631,0,1,'Rejuvenating Celebration','Increases in-combat health regeneration and stamina of the troubador''s group.',497,38,314,296246391,3587918036,360,1,2,'Your Rejuvenating Celebration IV was successful on %t!','Your Rejuvenating Celebration IV fades.','',1,1,'Spells/Scout/Bard/Troubador/RejuvenatingCelebration.lua',2619,'You cast Rejuvenating Celebration IV on %t.',0,0,0,1,1,1,0,0,0,360151,0,0,0,0,0,1,0,0,0,'Unset',1581478230,1384377838,0,1),
(360155,1500835179,0,1,'Rejuvenating Celebration V','Increases in-combat health regeneration and stamina of the troubador''s group.',497,38,314,296246391,3587918036,410,1,2,'Your Rejuvenating Celebration V was successful on %t!','Your Rejuvenating Celebration V fades.','',1,1,'Spells/Scout/Bard/Troubador/RejuvenatingCelebration.lua',2619,'You cast Rejuvenating Celebration V on %t.',0,0,0,1,1,1,0,0,0,360151,0,0,0,0,0,1,0,0,0,'Unset',1581478318,1384377830,0,1),
(360156,939062826,0,1,'Rejuvenating Celebration VI','Increases in-combat health regeneration and stamina of the troubador''s group.',497,38,314,296246391,3587918036,460,1,2,'Your Rejuvenating Celebration VI was successful on %t!','Your Rejuvenating Celebration VI fades.','',1,1,'Spells/Scout/Bard/Troubador/RejuvenatingCelebration.lua',2619,'You cast Rejuvenating Celebration VI on %t.',0,0,0,1,1,1,0,0,0,360151,0,0,0,0,0,1,0,0,0,'Unset',1581478331,1384378113,0,1),
(360157,3061646668,0,1,'Requiem of Reflection','A song that grants the troubador''s group a chance to reflect profession spells for a short duration after having taken any non-physical hostile spell. Damage by non-profession spells is instead absorbed.',246,40,314,296246391,3587918036,260,1,2,'Your Requiem of Reflection was successful on %t!','Your Requiem of Reflection fades.','',1,1,'Spells/Scout/Bard/Troubador/RequiemofReflection.lua',2620,'You cast Requiem of Reflection on %t.',0,0,0,1,1,1,0,0,0,360157,0,0,0,0,0,0,0,0,0,'Unset',1581559256,1384378113,0,1),
(360158,3500822542,0,1,'Magical Boon','Grants increased focus and improves effectiveness of all casting and taunting skills of the troubador''s group.  Increases to those skills makes it more difficult for enemies to outright resist your group''s spells and reduces their power cost if they are a beneficial spell.',515,38,314,296246391,3587918036,15,1,2,'Your Song of Magic was successful on %t!','Your Song of Magic fades.','',1,1,'Spells/Scout/Bard/Troubador/SongofMagic.lua',2625,'You cast Song of Magic on %t.',0,0,0,1,1,1,0,0,0,360158,0,0,0,0,0,0,0,0,0,'Unset',1581466806,1384378113,0,1),
(360159,78255125,0,1,'Minstrel''s Luck','Grants increased focus and improves effectiveness of all casting and taunting skills of the troubador''s group.  Increases to those skills makes it more difficult for enemies to outright resist your group''s spells and reduces their power cost if they are a beneficial spell.',515,38,314,296246391,3587918036,85,1,2,'Your Song of Magic II was successful on %t!','Your Song of Magic II fades.','',1,1,'Spells/Scout/Bard/Troubador/SongofMagic.lua',2625,'You cast Song of Magic II on %t.',0,0,0,1,1,1,0,0,0,360158,0,0,0,0,0,0,0,0,0,'Unset',1581466975,1384378116,0,1),
(360160,2450096046,0,1,'Minstrels Fortune','Grants increased focus and improves effectiveness of all casting and taunting skills of the troubador''s group.  Increases to those skills makes it more difficult for enemies to outright resist your group''s spells and reduces their power cost if they are a beneficial spell.',515,38,314,296246391,3587918036,155,1,2,'Your Song of Magic III was successful on %t!','Your Song of Magic III fades.','',1,1,'Spells/Scout/Bard/Troubador/SongofMagic.lua',2625,'You cast Song of Magic III on %t.',0,0,0,1,1,1,0,0,0,360158,0,0,0,0,0,1,0,0,0,'Unset',1581467037,1384378115,0,1),
(360161,3817418802,0,1,'Swan Song','Grants increased focus and improves effectiveness of all casting and taunting skills of the troubador''s group.  Increases to those skills makes it more difficult for enemies to outright resist your group''s spells and reduces their power cost if they are a beneficial spell.',515,38,314,296246391,3587918036,225,1,2,'Your Song of Magic IV was successful on %t!','Your Song of Magic IV fades.','',1,1,'Spells/Scout/Bard/Troubador/SongofMagic.lua',2625,'You cast Song of Magic IV on %t.',0,0,0,1,1,1,0,0,0,360158,0,0,0,0,0,1,0,0,0,'Unset',1581467071,1384378115,0,1),
(360162,3691046398,0,1,'Guvienna''s Fortuitous Song','Grants increased focus and improves effectiveness of all casting and taunting skills of the troubador''s group.  Increases to those skills makes it more difficult for enemies to outright resist your group''s spells and reduces their power cost if they are a beneficial spell.',515,38,314,296246391,3587918036,295,1,2,'Your Song of Magic V was successful on %t!','Your Song of Magic V fades.','',1,1,'Spells/Scout/Bard/Troubador/SongofMagic.lua',2625,'You cast Song of Magic V on %t.',0,0,0,1,1,1,0,0,0,360158,0,0,0,0,0,1,0,0,0,'Unset',1581467121,1384378115,0,1),
(360163,4020746829,0,1,'Song of Magic','Grants increased focus and improves effectiveness of all casting and taunting skills of the troubador''s group.  Increases to those skills makes it more difficult for enemies to outright resist your group''s spells and reduces their power cost if they are a beneficial spell.',515,38,314,296246391,3587918036,360,1,2,'Your Song of Magic VI was successful on %t!','Your Song of Magic VI fades.','',1,1,'Spells/Scout/Bard/Troubador/SongofMagic.lua',2625,'You cast Song of Magic VI on %t.',0,0,0,1,1,1,0,0,0,360158,0,0,0,0,0,1,0,0,0,'Unset',1581467185,1384378116,0,1),
(360164,1632492919,0,1,'Song of Magic VII','Grants increased focus and improves effectiveness of all casting and taunting skills of the troubador''s group.  Increases to those skills makes it more difficult for enemies to outright resist your group''s spells and reduces their power cost if they are a beneficial spell.',515,38,314,296246391,3587918036,410,1,2,'Your Song of Magic VII was successful on %t!','Your Song of Magic VII fades.','',1,1,'Spells/Scout/Bard/Troubador/SongofMagic.lua',2625,'You cast Song of Magic VII on %t.',0,0,0,1,1,1,0,0,0,360158,0,0,0,0,0,1,0,0,0,'Unset',1581467228,1384378115,0,1),
(360165,3475328230,0,1,'Song of Magic VIII','Grants increased focus and improves effectiveness of all casting and taunting skills of the troubador''s group.  Increases to those skills makes it more difficult for enemies to outright resist your group''s spells and reduces their power cost if they are a beneficial spell.',515,38,314,296246391,3587918036,460,1,2,'Your Song of Magic VIII was successful on %t!','Your Song of Magic VIII fades.','',1,1,'Spells/Scout/Bard/Troubador/SongofMagic.lua',2625,'You cast Song of Magic VIII on %t.',0,0,0,1,1,1,0,0,0,360158,0,0,0,0,0,1,0,0,0,'Unset',1581467269,1384378113,0,1),
(360166,3414330201,0,0,'Swindle Essence','Drains health from the target encounter, returning a portion of the drained health as power to the troubador''s group.',201,40,312,296246391,613995491,140,0,2,'Your Tap Essence was successful on %t!','Your Tap Essence fades.','',1,1,'Spells/Scout/Bard/Troubador/SwindleEssence.lua',2626,'You cast Tap Essence on %t.',0,0,0,1,0,1,0,0,0,360166,0,0,0,0,0,0,0,0,0,'DD',1581477149,1384378115,0,1),
(360167,3601352502,0,0,'Purloin Essence','Drains health from the target encounter, returning a portion of the drained health as power to the troubador''s group.',201,40,312,296246391,613995491,210,0,2,'Your Tap Essence II was successful on %t!','Your Tap Essence II fades.','',1,1,'Spells/Scout/Bard/Troubador/TapEssence.lua',2626,'You cast Tap Essence II on %t.',0,0,0,1,0,1,0,0,0,360166,0,0,0,0,0,1,0,0,0,'DD',1581477218,1384378115,0,1),
(360168,4229108931,0,0,'Pilfer Essence','Drains health from the target encounter, returning a portion of the drained health as power to the troubador''s group.',201,40,312,296246391,613995491,280,0,2,'Your Tap Essence III was successful on %t!','Your Tap Essence III fades.','',1,1,'Spells/Scout/Bard/Troubador/TapEssence.lua',2626,'You cast Tap Essence III on %t.',0,0,0,1,0,1,0,0,0,360166,0,0,0,0,0,1,0,0,0,'DD',1581477257,1384377830,0,1),
(360169,2341211411,0,0,'Steal Essence','Drains health from the target encounter, returning a portion of the drained health as power to the troubador''s group.',201,40,312,296246391,613995491,350,0,2,'Your Tap Essence IV was successful on %t!','Your Tap Essence IV fades.','',1,1,'Spells/Scout/Bard/Troubador/TapEssence.lua',2626,'You cast Tap Essence IV on %t.',0,0,0,1,0,1,0,0,0,360166,0,0,0,0,0,1,0,0,0,'DD',1581477291,1384378115,0,1),
(360170,268424501,0,0,'Tap Essence','Drains health from the target encounter, returning a portion of the drained health as power to the troubador''s group.',201,40,312,296246391,613995491,400,0,2,'Your Tap Essence V was successful on %t!','Your Tap Essence V fades.','',1,1,'Spells/Scout/Bard/Troubador/TapEssence.lua',2626,'You cast Tap Essence V on %t.',0,0,0,1,0,1,0,0,0,360166,0,0,0,0,0,1,0,0,0,'DD',1581477336,1384378115,0,1),
(360171,2465215555,0,0,'Tap Essence VI','Drains health from the target encounter, returning a portion of the drained health as power to the troubador''s group.',201,40,312,296246391,613995491,450,0,2,'Your Tap Essence VI was successful on %t!','Your Tap Essence VI fades.','',1,1,'Spells/Scout/Bard/Troubador/TapEssence.lua',2626,'You cast Tap Essence VI on %t.',0,0,0,1,0,1,0,0,0,360166,0,0,0,0,0,1,0,0,0,'DD',1581477607,1384378113,0,1),
(360172,2237468907,0,0,'Tap Essence VII','Drains health from the target encounter, returning a portion of the drained health as power to the troubador''s group.',201,40,312,296246391,613995491,500,0,2,'Your Tap Essence VII was successful on %t!','Your Tap Essence VII fades.','',1,1,'Spells/Scout/Bard/Troubador/TapEssence.lua',2626,'You cast Tap Essence VII on %t.',0,0,0,0,0,1,0,0,0,360166,0,0,0,0,0,1,0,0,0,'DD',1581477931,1384378115,0,1),
(360173,1682622354,0,0,'Eli''s Thunderous Hymn','A spell that inflicts mental damage on targets surrounding the troubador.',263,40,313,296246391,613995491,130,0,1,'Your Thunderous Overture was successful on %t!','Your Thunderous Overture fades.','',1,1,'Spells/Scout/Bard/Troubador/ElisThunderousHymn.lua',2627,'You cast Thunderous Overture on %t.',0,0,0,1,0,0,0,0,0,360173,0,0,0,0,0,0,0,0,0,'DD',1581475646,1384378116,0,1),
(360174,4032685679,0,0,'Eli''s Thunderous Anthem','A spell that inflicts mental damage on targets surrounding the troubador.',263,40,313,296246391,613995491,200,0,1,'Your Thunderous Overture II was successful on %t!','Your Thunderous Overture II fades.','',1,1,'Spells/Scout/Bard/Troubador/ThunderousOverture.lua',2627,'You cast Thunderous Overture II on %t.',0,0,0,1,0,0,0,0,0,360173,0,0,0,0,0,1,0,0,0,'DD',1581475742,1384378115,0,1),
(360175,620081503,0,0,'Eli''s Thunderous Chorus','A spell that inflicts mental damage on targets surrounding the troubador.',263,40,313,296246391,613995491,270,0,1,'Your Thunderous Overture III was successful on %t!','Your Thunderous Overture III fades.','',1,1,'Spells/Scout/Bard/Troubador/ThunderousOverture.lua',2627,'You cast Thunderous Overture III on %t.',0,0,0,1,0,0,0,0,0,360173,0,0,0,0,0,1,0,0,0,'DD',1581475845,1384378113,0,1),
(360176,1749971174,0,0,'Eli''s Thunderous Drumming','A spell that inflicts mental damage on targets surrounding the troubador.',263,40,313,296246391,613995491,340,0,1,'Your Thunderous Overture IV was successful on %t!','Your Thunderous Overture IV fades.','',1,1,'Spells/Scout/Bard/Troubador/ThunderousOverture.lua',2627,'You cast Thunderous Overture IV on %t.',0,0,0,1,0,0,0,0,0,360173,0,0,0,0,0,1,0,0,0,'DD',1581476896,1384378115,0,1),
(360177,844431533,0,0,'Thunderous Overture','A spell that inflicts mental damage on targets surrounding the troubador.',263,40,313,296246391,613995491,390,0,1,'Your Thunderous Overture V was successful on %t!','Your Thunderous Overture V fades.','',1,1,'Spells/Scout/Bard/Troubador/ThunderousOverture.lua',2627,'You cast Thunderous Overture V on %t.',0,0,0,1,0,0,0,0,0,360173,0,0,0,0,0,1,0,0,0,'DD',1581476944,1384378115,0,1),
(360178,4006549741,0,0,'Thunderous Overture VI','A spell that inflicts mental damage on targets surrounding the troubador.',263,40,313,296246391,613995491,440,0,1,'Your Thunderous Overture VI was successful on %t!','Your Thunderous Overture VI fades.','',1,1,'Spells/Scout/Bard/Troubador/ThunderousOverture.lua',2627,'You cast Thunderous Overture VI on %t.',0,0,0,1,0,0,0,0,0,360173,0,0,0,0,0,1,0,0,0,'DD',1581477012,1384378115,0,1),
(360179,4192697389,0,0,'Thunderous Overture VII','A spell that inflicts mental damage on targets surrounding the troubador.',263,40,313,296246391,613995491,490,0,1,'Your Thunderous Overture VII was successful on %t!','Your Thunderous Overture VII fades.','',1,1,'Spells/Scout/Bard/Troubador/ThunderousOverture.lua',2627,'You cast Thunderous Overture VII on %t.',0,0,0,0,0,0,0,0,0,360173,0,0,0,0,0,1,0,0,0,'DD',1581477076,1384378116,0,1),
(360180,2704282769,0,0,'Lore''s Shuddering Song','Inflicts minor damage, decreases target''s defense, slows their casting speed and burns their power and health every time they use an ability.',310,41,315,296246391,613995491,30,0,1,'Your Vexing Verses was successful on %t!','Your Vexing Verses fades.','',1,1,'Spells/Scout/Bard/Troubador/VexingVerses.lua',2628,'You cast Vexing Verses on %t.',0,0,0,1,0,1,2,0,0,360180,0,0,0,0,0,0,0,0,0,'DD',1581468734,1384378115,0,1),
(360181,3198338613,0,0,'Lore''s Snapping Sonnet','Inflicts minor damage, decreases target''s defense, slows their casting speed and burns their power and health every time they use an ability.',310,41,315,296246391,613995491,110,0,1,'Your Vexing Verses II was successful on %t!','Your Vexing Verses II fades.','',1,1,'Spells/Scout/Bard/Troubador/LoresSnappingSonnet.lua',2628,'You cast Vexing Verses II on %t.',0,0,0,1,0,1,2,0,0,360180,0,0,0,0,0,0,0,0,0,'DD',1581468764,1384378115,0,1);
INSERT INTO `spells` VALUES
(360182,2063490035,0,0,'Lore''s Lurching Limerick','Inflicts minor damage, decreases target''s defense, slows their casting speed and burns their power and health every time they use an ability.',310,41,315,296246391,613995491,180,0,1,'Your Vexing Verses III was successful on %t!','Your Vexing Verses III fades.','',1,1,'Spells/Scout/Bard/Troubador/VexingVerses.lua',2628,'You cast Vexing Verses III on %t.',0,0,0,1,0,1,2,0,0,360180,0,0,0,0,0,1,0,0,0,'DD',1581468809,1384378113,0,1),
(360183,1358506033,0,0,'Lore''s Magniloquent Roust','Inflicts minor damage, decreases target''s defense, slows their casting speed and burns their power and health every time they use an ability.',310,41,315,296246391,613995491,250,0,1,'Your Vexing Verses IV was successful on %t!','Your Vexing Verses IV fades.','',1,1,'Spells/Scout/Bard/Troubador/VexingVerses.lua',2628,'You cast Vexing Verses IV on %t.',0,0,0,1,0,1,2,0,0,360180,0,0,0,0,0,1,0,0,0,'DD',1581468845,1384378113,0,1),
(360184,1978162089,0,0,'Lore''s Euphuistic Romp','Inflicts minor damage, decreases target''s defense, slows their casting speed and burns their power and health every time they use an ability.',310,41,315,296246391,613995491,320,0,1,'Your Vexing Verses V was successful on %t!','Your Vexing Verses V fades.','',1,1,'Spells/Scout/Bard/Troubador/VexingVerses.lua',2628,'You cast Vexing Verses V on %t.',0,0,0,1,0,1,2,0,0,360180,0,0,0,0,0,1,0,0,0,'DD',1581468939,1384378115,0,1),
(360185,4096937009,0,0,'Vexing Verses','Inflicts minor damage, decreases target''s defense, slows their casting speed and burns their power and health every time they use an ability.',310,41,315,296246391,613995491,375,0,1,'Your Vexing Verses VI was successful on %t!','Your Vexing Verses VI fades.','',1,1,'Spells/Scout/Bard/Troubador/VexingVerses.lua',2628,'You cast Vexing Verses VI on %t.',0,0,0,1,0,1,2,0,0,360180,0,0,0,0,0,1,0,0,0,'DD',1581468977,1384378115,0,1),
(360186,2060987147,0,0,'Vexing Verses VII','Inflicts minor damage, decreases target''s defense, slows their casting speed and burns their power and health every time they use an ability.',310,41,315,296246391,613995491,425,0,1,'Your Vexing Verses VII was successful on %t!','Your Vexing Verses VII fades.','',1,1,'Spells/Scout/Bard/Troubador/VexingVerses.lua',2628,'You cast Vexing Verses VII on %t.',0,0,0,1,0,1,2,0,0,360180,0,0,0,0,0,1,0,0,0,'DD',1581469029,1384378115,0,1),
(360187,3568351898,0,0,'Vexing Verses VIII','Inflicts minor damage, decreases target''s defense, slows their casting speed and burns their power and health every time they use an ability.',310,41,315,296246391,613995491,475,0,1,'Your Vexing Verses VIII was successful on %t!','Your Vexing Verses VIII fades.','',1,1,'Spells/Scout/Bard/Troubador/VexingVerses.lua',2628,'You cast Vexing Verses VIII on %t.',0,0,0,0,0,0,2,0,0,360180,0,0,0,0,0,1,0,0,0,'DD',1581469062,1384378115,0,1),
(360200,4103731703,0,1,'Bria''s Inspiring Ballad','Increases in-combat power replenishment of the bard''s group. This ability does stack with the enchanter''s concentration group power replenishment spell.',200,41,314,1311635100,3587918036,135,0,2,'Your Bria''s Inspiring Ballad II was successful on %t!','Your Bria''s Inspiring Ballad II fades.','',1,1,'Spells/Scout/Bard/Troubador/ClassicInspiringBallad.lua',2595,'You cast Bria''s Inspiring Ballad II on %t.',0,0,0,1,1,1,0,0,0,350006,0,0,0,0,0,0,0,0,0,'Unset',1384671262,1384378115,0,1),
(370000,4035525563,1,0,'Diseased Blade','Two quick attacks that deal disease damage. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, the target suffers additional disease damage over time.',366,36,315,340921594,0,55,0,1,'Your Darksong Blade was successful on %t!','Your Darksong Blade fades.','',0,1,'Spells/Scout/Bard/Dirge/DarksongBlade.lua',2632,'You cast Darksong Blade on %t.',1,0,0,1,0,0,0,0,0,370000,0,0,0,0,0,0,0,0,0,'DoT',1579905577,1384378115,0,0),
(370001,3789520583,1,0,'Darksong Blade','Two quick attacks that deal disease damage. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, the target suffers additional disease damage over time.',366,36,315,340921594,0,125,0,1,'Your Darksong Blade II was successful on %t!','Your Darksong Blade II fades.','',0,1,'Spells/Scout/Bard/Dirge/DarksongBladeClassic.lua',2632,'You cast Darksong Blade II on %t.',1,0,0,1,0,1,0,0,0,370000,0,0,0,0,0,0,0,0,0,'DoT',1579905650,1384378116,0,0),
(370002,2042310940,1,0,'Afflicted Blade','Two quick attacks that deal disease damage. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, the target suffers additional disease damage over time.',366,36,315,340921594,0,195,0,1,'Your Darksong Blade III was successful on %t!','Your Darksong Blade III fades.','',0,1,'Spells/Scout/Bard/Dirge/DarksongBlade.lua',2632,'You cast Darksong Blade III on %t.',1,0,0,1,0,1,0,0,0,370000,0,0,0,0,0,1,0,0,0,'DoT',1579905847,1384378116,0,0),
(370003,2385958844,1,0,'Void Blade','Two quick attacks that deal disease damage. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, the target suffers additional disease damage over time.',366,36,315,340921594,0,265,0,1,'Your Darksong Blade IV was successful on %t!','Your Darksong Blade IV fades.','',0,1,'Spells/Scout/Bard/Dirge/DarksongBlade.lua',2632,'You cast Darksong Blade IV on %t.',1,0,0,1,0,1,0,0,0,370000,0,0,0,0,0,1,0,0,0,'DoT',1579906129,1384378115,0,0),
(370004,3173809935,1,0,'Infected Blade','Two quick attacks that deal disease damage. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, the target suffers additional disease damage over time.',366,36,315,340921594,0,335,0,1,'Your Darksong Blade V was successful on %t!','Your Darksong Blade V fades.','',0,1,'Spells/Scout/Bard/Dirge/DarksongBlade.lua',2632,'You cast Darksong Blade V on %t.',1,0,0,1,0,1,0,0,0,370000,0,0,0,0,0,1,0,0,0,'DoT',1579906244,1384377828,0,0),
(370005,3947129277,1,0,'Vile Blade','Two quick attacks that deal disease damage. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, the target suffers additional disease damage over time.',366,36,315,340921594,0,380,0,1,'Your Darksong Blade VI was successful on %t!','Your Darksong Blade VI fades.','',0,1,'Spells/Scout/Bard/Dirge/DarksongBlade.lua',2632,'You cast Darksong Blade VI on %t.',1,0,0,1,0,1,0,0,0,370000,0,0,0,0,0,1,0,0,0,'DoT',1579906389,1384378116,0,0),
(370006,4198176108,1,0,'Darksong Blade VII','Two quick attacks that deal disease damage. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, the target suffers additional disease damage over time.',366,36,315,340921594,0,430,0,1,'Your Darksong Blade VII was successful on %t!','Your Darksong Blade VII fades.','',0,1,'Spells/Scout/Bard/Dirge/DarksongBlade.lua',2632,'You cast Darksong Blade VII on %t.',1,0,0,1,0,1,0,0,0,370000,0,0,0,0,0,1,0,0,0,'DoT',1579906458,1384378113,0,0),
(370007,2107498031,1,0,'Darksong Blade VIII','Two quick attacks that deal disease damage. If one of these attacks misses, the successive ones will miss automatically. If all attacks hit, the target suffers additional disease damage over time.',366,36,315,340921594,0,480,0,1,'Your Darksong Blade VIII was successful on %t!','Your Darksong Blade VIII fades.','',0,1,'Spells/Scout/Bard/Dirge/DarksongBlade.lua',2632,'You cast Darksong Blade VIII on %t.',1,0,0,0,0,0,0,0,0,370000,0,0,0,0,0,1,0,0,0,'DoT',1579906536,1384378116,0,0),
(370008,3563417060,1,0,'Side Blade','An attack made from the side that deals moderate damage and impairs target''s combat attack damage.',377,40,315,340921594,0,25,0,1,'Your Daro''s Dull Blade was successful on %t!','Your Daro''s Dull Blade fades.','',0,1,'Spells/Scout/Bard/Dirge/DarosDullBlade.lua',2633,'You cast Daro''s Dull Blade on %t.',1,0,0,1,0,0,1,0,0,370008,0,0,0,0,0,0,0,0,0,'DD',1579897426,1384378116,0,0),
(370009,3305278578,1,0,'Dull Blade','An attack made from the side that deals moderate damage and impairs target''s combat attack damage.',377,40,315,340921594,0,95,0,1,'Your Daro''s Dull Blade II was successful on %t!','Your Daro''s Dull Blade II fades.','',0,1,'Spells/Scout/Bard/Dirge/DarosDullBlade.lua',2633,'You cast Daro''s Dull Blade II on %t.',1,0,0,1,0,0,1,0,0,370008,0,0,0,0,0,0,0,0,0,'DD',1579897456,1384378115,0,0),
(370010,4153966675,1,0,'Daro''s Dull Blade','An attack made from the side that deals moderate damage and impairs target''s combat attack damage.',377,40,315,340921594,0,165,0,1,'Your Daro''s Dull Blade III was successful on %t!','Your Daro''s Dull Blade III fades.','',0,1,'Spells/Scout/Bard/Dirge/DarosDullBlade.lua',2633,'You cast Daro''s Dull Blade III on %t.',1,0,0,1,0,1,0,0,0,370008,0,0,0,0,0,1,0,0,0,'DD',1579897659,1384378116,0,0),
(370011,2055432161,1,0,'Guttural Shriek','An attack made from the side that deals moderate damage and impairs target''s combat attack damage.',377,40,315,340921594,0,235,0,1,'Your Daro''s Dull Blade IV was successful on %t!','Your Daro''s Dull Blade IV fades.','',0,1,'Spells/Scout/Bard/Dirge/DarosDullBlade.lua',2633,'You cast Daro''s Dull Blade IV on %t.',1,0,0,1,0,1,0,0,0,370008,0,0,0,0,0,1,0,0,0,'DD',1579898296,1384377836,0,0),
(370012,847077920,1,0,'Shrieking Stab','An attack made from the side that deals moderate damage and impairs target''s combat attack damage.',377,40,315,340921594,0,305,0,1,'Your Daro''s Dull Blade V was successful on %t!','Your Daro''s Dull Blade V fades.','',0,1,'Spells/Scout/Bard/Dirge/DarosDullBlade.lua',2633,'You cast Daro''s Dull Blade V on %t.',1,0,0,1,0,1,0,0,0,370008,0,0,0,0,0,1,0,0,0,'DD',1579898567,1384378113,0,0),
(370013,3090838157,1,0,'Shriek Blade','An attack made from the side that deals moderate damage and impairs target''s combat attack damage.',377,40,315,340921594,0,370,0,1,'Your Daro''s Dull Blade VI was successful on %t!','Your Daro''s Dull Blade VI fades.','',0,1,'Spells/Scout/Bard/Dirge/DarosDullBlade.lua',2633,'You cast Daro''s Dull Blade VI on %t.',1,0,0,1,0,1,0,0,0,370008,0,0,0,0,0,1,0,0,0,'DD',1579899025,1384378113,0,0),
(370014,3158380827,1,0,'Daro''s Dull Blade VII','An attack made from the side that deals moderate damage and impairs target''s combat attack damage.',377,40,315,340921594,0,420,0,1,'Your Daro''s Dull Blade VII was successful on %t!','Your Daro''s Dull Blade VII fades.','',0,1,'Spells/Scout/Bard/Dirge/DarosDullBlade.lua',2633,'You cast Daro''s Dull Blade VII on %t.',1,0,0,1,0,1,0,0,0,370008,0,0,0,0,0,1,0,0,0,'DD',1579899370,1384378116,0,0),
(370015,3968544756,1,0,'Daro''s Dull Blade VIII','An attack made from the side that deals moderate damage and impairs target''s combat attack damage.',377,40,315,340921594,0,470,0,1,'Your Daro''s Dull Blade VIII was successful on %t!','Your Daro''s Dull Blade VIII fades.','',0,1,'Spells/Scout/Bard/Dirge/DarosDullBlade.lua',2633,'You cast Daro''s Dull Blade VIII on %t.',1,0,0,1,0,1,0,0,0,370008,0,0,0,0,0,1,0,0,0,'DD',1579899516,1384377828,0,0),
(370016,1049968160,1,0,'Sapping Shot','Two ranged attacks that deal disease damage. If one of these attacks misses, the successive ones will miss automatically. If every attack hits, the target is rooted for a short duration. This requires a ranged weapon.',361,37,315,340921594,0,80,0,1,'Your Jael''s Dreadful Deprivation was successful on %t!','Your Jael''s Dreadful Deprivation fades.','',0,0,'Spells/Scout/Bard/Dirge/JaelsDreadfulDeprivation.lua',2645,'You cast Jael''s Dreadful Deprivation on %t.',1,0,0,1,0,1,3,0,0,370016,0,0,0,0,0,0,0,0,0,'DD',1579908656,1384377830,0,0),
(370017,3637778459,1,0,'Thuri''s Sapping Shot','Two ranged attacks that deal disease damage. If one of these attacks misses, the successive ones will miss automatically. If every attack hits, the target is rooted for a short duration. This requires a ranged weapon.',361,37,315,340921594,0,150,0,1,'Your Jael''s Dreadful Deprivation II was successful on %t!','Your Jael''s Dreadful Deprivation II fades.','',0,0,'Spells/Scout/Bard/Dirge/ThurisSappingShot.lua',2645,'You cast Jael''s Dreadful Deprivation II on %t.',1,0,0,1,0,1,3,0,0,370016,0,0,0,0,0,0,0,0,0,'DD',1579908809,1384377828,0,0),
(370018,3469145107,1,0,'Jael''s Dreadful Depletion','Two ranged attacks that deal disease damage. If one of these attacks misses, the successive ones will miss automatically. If every attack hits, the target is rooted for a short duration. This requires a ranged weapon.',361,37,315,340921594,0,220,0,1,'Your Jael''s Dreadful Deprivation III was successful on %t!','Your Jael''s Dreadful Deprivation III fades.','',0,0,'Spells/Scout/Bard/Dirge/JaelsDreadfulDeprivation.lua',2645,'You cast Jael''s Dreadful Deprivation III on %t.',1,0,0,1,0,1,3,0,0,370016,0,0,0,0,0,1,0,0,0,'DD',1579908958,1384378116,0,0),
(370019,2857443938,1,0,'Jael''s Dreadful Deprivation','Two ranged attacks that deal disease damage. If one of these attacks misses, the successive ones will miss automatically. If every attack hits, the target is rooted for a short duration. This requires a ranged weapon.',361,37,315,340921594,0,290,0,1,'Your Jael''s Dreadful Deprivation IV was successful on %t!','Your Jael''s Dreadful Deprivation IV fades.','',0,0,'Spells/Scout/Bard/Dirge/JaelsDreadfulDeprivation.lua',2645,'You cast Jael''s Dreadful Deprivation IV on %t.',1,0,0,1,0,1,3,0,0,370016,0,0,0,0,0,1,0,0,0,'DD',1579909198,1384378116,0,0),
(370020,2310637909,1,0,'Deprivating Shot','Two ranged attacks that deal disease damage. If one of these attacks misses, the successive ones will miss automatically. If every attack hits, the target is rooted for a short duration. This requires a ranged weapon.',361,37,315,340921594,0,355,0,1,'Your Jael''s Dreadful Deprivation V was successful on %t!','Your Jael''s Dreadful Deprivation V fades.','',0,0,'Spells/Scout/Bard/Dirge/JaelsDreadfulDeprivation.lua',2645,'You cast Jael''s Dreadful Deprivation V on %t.',1,0,0,1,0,1,3,0,0,370016,0,0,0,0,0,1,0,0,0,'DD',1579909316,1384377831,0,0),
(370021,1023297984,1,0,'Jael''s Dreadful Deprivation VI','Two ranged attacks that deal disease damage. If one of these attacks misses, the successive ones will miss automatically. If every attack hits, the target is rooted for a short duration. This requires a ranged weapon.',361,37,315,340921594,0,405,0,1,'Your Jael''s Dreadful Deprivation VI was successful on %t!','Your Jael''s Dreadful Deprivation VI fades.','',0,0,'Spells/Scout/Bard/Dirge/JaelsDreadfulDeprivation.lua',2645,'You cast Jael''s Dreadful Deprivation VI on %t.',1,0,0,1,0,1,3,0,0,370016,0,0,0,0,0,1,0,0,0,'DD',1579909423,1384378116,0,0),
(370022,1610191076,1,0,'Jael''s Dreadful Deprivation VII','Two ranged attacks that deal disease damage. If one of these attacks misses, the successive ones will miss automatically. If every attack hits, the target is rooted for a short duration. This requires a ranged weapon.',361,37,315,340921594,0,455,0,1,'Your Jael''s Dreadful Deprivation VII was successful on %t!','Your Jael''s Dreadful Deprivation VII fades.','',0,0,'Spells/Scout/Bard/Dirge/JaelsDreadfulDeprivation.lua',2645,'You cast Jael''s Dreadful Deprivation VII on %t.',1,0,0,1,0,1,3,0,0,370016,0,0,0,0,0,1,0,0,0,'DD',1579909478,1384378113,0,0),
(370023,3583179979,1,0,'Haunting Strike','A stealth attack that deals great damage and reduces the target''s wisdom.',301,40,315,340921594,0,10,0,1,'Your Misfortune''s Kiss was successful on %t!','Your Misfortune''s Kiss fades.','',0,1,'Spells/Scout/Bard/Dirge/MisfortunesKiss.lua',2650,'You cast Misfortune''s Kiss on %t.',1,0,0,1,0,0,3,0,0,370023,0,0,0,0,0,0,0,0,0,'DD',1579893154,1384378116,0,0),
(370024,3641984966,1,0,'Wailing Strike','A stealth attack that deals great damage and reduces the target''s wisdom.',301,40,315,340921594,0,45,0,1,'Your Misfortune''s Kiss II was successful on %t!','Your Misfortune''s Kiss II fades.','',0,1,'Spells/Scout/Bard/Dirge/MisfortunesKiss.lua',2650,'You cast Misfortune''s Kiss II on %t.',1,0,0,1,0,0,3,0,0,370023,0,0,0,0,0,0,0,0,0,'DD',1579893181,1384378115,0,0),
(370025,3531801112,1,0,'Misfortune''s Kiss','A stealth attack that deals great damage and reduces the target''s wisdom.',301,40,315,340921594,0,105,0,1,'Your Misfortune''s Kiss III was successful on %t!','Your Misfortune''s Kiss III fades.','',0,1,'Spells/Scout/Bard/Dirge/MisfortunesKissClassic.lua',2650,'You cast Misfortune''s Kiss III on %t.',1,0,0,1,0,1,3,0,0,370023,0,0,0,0,0,0,0,0,0,'DD',1579893250,1384378116,0,0),
(370026,1139600464,1,0,'Delusory Trill','A stealth attack that deals great damage and reduces the target''s wisdom.',301,40,315,340921594,0,175,0,1,'Your Misfortune''s Kiss IV was successful on %t!','Your Misfortune''s Kiss IV fades.','',0,1,'Spells/Scout/Bard/Dirge/MisfortunesKiss.lua',2650,'You cast Misfortune''s Kiss IV on %t.',1,0,0,1,0,1,3,0,0,370023,0,0,0,0,0,1,0,0,0,'DD',1579893473,1384377831,0,0),
(370027,1943817778,1,0,'Misfortune''s Kiss IX','A stealth attack that deals great damage and reduces the target''s wisdom.',301,40,315,340921594,0,475,0,1,'Your Misfortune''s Kiss IX was successful on %t!','Your Misfortune''s Kiss IX fades.','',0,1,'Spells/Scout/Bard/Dirge/MisfortunesKiss.lua',2650,'You cast Misfortune''s Kiss IX on %t.',1,0,0,1,0,1,3,0,0,370023,0,0,0,0,0,1,0,0,0,'DD',1579894209,1384378116,0,0),
(370028,3984652434,1,0,'Garsins Haunting Wail','A stealth attack that deals great damage and reduces the target''s wisdom.',301,40,315,340921594,0,245,0,1,'Your Misfortune''s Kiss V was successful on %t!','Your Misfortune''s Kiss V fades.','',0,1,'Spells/Scout/Bard/Dirge/MisfortunesKiss.lua',2650,'You cast Misfortune''s Kiss V on %t.',1,0,0,1,0,1,3,0,0,370023,0,0,0,0,0,1,0,0,0,'DD',1579893538,1384378115,0,0),
(370029,3506503939,1,0,'Garsins Grim Acclamation','A stealth attack that deals great damage and reduces the target''s wisdom.',301,40,315,340921594,0,315,0,1,'Your Misfortune''s Kiss VI was successful on %t!','Your Misfortune''s Kiss VI fades.','',0,1,'Spells/Scout/Bard/Dirge/MisfortunesKiss.lua',2650,'You cast Misfortune''s Kiss VI on %t.',1,0,0,1,0,1,3,0,0,370023,0,0,0,0,0,1,0,0,0,'DD',1579893691,1384377838,0,0),
(370030,1350567550,1,0,'Grim Strike','A stealth attack that deals great damage and reduces the target''s wisdom.',301,40,315,340921594,0,375,0,1,'Your Misfortune''s Kiss VII was successful on %t!','Your Misfortune''s Kiss VII fades.','',0,1,'Spells/Scout/Bard/Dirge/MisfortunesKiss.lua',2650,'You cast Misfortune''s Kiss VII on %t.',1,0,0,1,0,1,3,0,0,370023,0,0,0,0,0,1,0,0,0,'DD',1579894058,1384377831,0,0),
(370031,2755579498,1,0,'Misfortune''s Kiss VIII','A stealth attack that deals great damage and reduces the target''s wisdom.',301,40,315,340921594,0,425,0,1,'Your Misfortune''s Kiss VIII was successful on %t!','Your Misfortune''s Kiss VIII fades.','',0,1,'Spells/Scout/Bard/Dirge/MisfortunesKiss.lua',2650,'You cast Misfortune''s Kiss VIII on %t.',1,0,0,1,0,1,3,0,0,370023,0,0,0,0,0,1,0,0,0,'DD',1579894121,1384378116,0,0),
(370032,4092308357,1,0,'Scream of Death','A stealthed attack from flanking or behind that deals disease damage over time. The disease damage increases intensity over time until the effect expires.',268,36,315,340921594,0,275,0,1,'Your Scream of Death was successful on %t!','Your Scream of Death fades.','',0,0,'Spells/Scout/Bard/Dirge/ScreamofDeath.lua',2657,'You cast Scream of Death on %t.',1,0,0,1,0,1,3,0,0,370032,0,0,0,0,0,0,0,0,0,'DoT',1579931265,1384378115,0,0),
(370033,3714185048,1,0,'Scream of Blood','A stealthed attack from flanking or behind that deals disease damage over time. The disease damage increases intensity over time until the effect expires.',268,36,315,340921594,0,370,0,1,'Your Scream of Death II was successful on %t!','Your Scream of Death II fades.','',0,0,'Spells/Scout/Bard/Dirge/ScreamofDeath.lua',2657,'You cast Scream of Death II on %t.',1,0,0,1,0,1,3,0,0,370032,0,0,0,0,0,0,0,0,0,'DoT',1579931497,1384377831,0,0),
(370034,1934115745,1,0,'Scream of Death III','A stealthed attack from flanking or behind that deals disease damage over time. The disease damage increases intensity over time until the effect expires.',268,36,315,340921594,0,420,0,1,'Your Scream of Death III was successful on %t!','Your Scream of Death III fades.','',0,0,'Spells/Scout/Bard/Dirge/ScreamofDeath.lua',2657,'You cast Scream of Death III on %t.',1,0,0,1,0,1,3,0,0,370032,0,0,0,0,0,0,0,0,0,'DoT',1579931660,1384378116,0,0),
(370035,2619012416,1,0,'Scream of Death IV','A stealthed attack from flanking or behind that deals disease damage over time. The disease damage increases intensity over time until the effect expires.',268,36,315,340921594,0,470,0,1,'Your Scream of Death IV was successful on %t!','Your Scream of Death IV fades.','',0,0,'Spells/Scout/Bard/Dirge/ScreamofDeath.lua',2657,'You cast Scream of Death IV on %t.',1,0,0,1,0,0,3,0,0,370032,0,0,0,0,0,0,0,0,0,'DoT',1579931717,1384378116,0,0),
(370036,3188845108,1,0,'Singing Strike','A quick attack that drains the target''s health, granting a portion of it to the dirge.',338,36,315,340921594,0,5,0,1,'Your Thuri''s Doleful Thrust was successful on %t!','Your Thuri''s Doleful Thrust fades.','',0,1,'Spells/Scout/Bard/Dirge/ThurisDolefulThrust.lua',2660,'You cast Thuri''s Doleful Thrust on %t.',1,0,0,1,0,0,0,0,0,310018,0,0,0,0,0,0,0,0,0,'DD',1579892686,1384378116,0,0),
(370037,3906190425,1,0,'Singing Blade','A quick attack that drains the target''s health, granting a portion of it to the dirge.',338,36,315,340921594,0,40,0,1,'Your Thuri''s Doleful Thrust II was successful on %t!','Your Thuri''s Doleful Thrust II fades.','',0,1,'Spells/Scout/Bard/Dirge/ThurisDolefulThrust.lua',2660,'You cast Thuri''s Doleful Thrust II on %t.',1,0,0,1,0,0,0,0,0,370036,0,0,0,0,0,0,0,0,0,'DD',1579892751,1384377830,0,0),
(370038,2818884980,1,0,'Singing Thrust','A quick attack that drains the target''s health, granting a portion of it to the dirge.',338,36,315,340921594,0,75,0,1,'Your Thuri''s Doleful Thrust III was successful on %t!','Your Thuri''s Doleful Thrust III fades.','',0,1,'Spells/Scout/Bard/Dirge/ThurisDolefulThrust.lua',2660,'You cast Thuri''s Doleful Thrust III on %t.',1,0,0,1,0,0,0,0,0,370036,0,0,0,0,0,0,0,0,0,'DD',1579892774,1384378115,0,0),
(370039,3768960143,1,0,'Thuri''s Doleful Thrust','A quick attack that drains the target''s health, granting a portion of it to the dirge.',338,36,315,340921594,0,145,0,1,'Your Thuri''s Doleful Thrust IV was successful on %t!','Your Thuri''s Doleful Thrust IV fades.','',0,1,'Spells/Scout/Bard/Dirge/ClassicDolefulThrust.lua',2660,'You cast Thuri''s Doleful Thrust IV on %t.',1,0,0,1,0,0,0,0,0,370036,0,0,0,0,0,0,0,0,0,'DD',1579892792,1384378115,0,0),
(370040,1779372607,1,0,'Thuri''s Doleful Thrust IX','A quick attack that drains the target''s health, granting a portion of it to the dirge.',338,36,315,340921594,0,455,0,1,'Your Thuri''s Doleful Thrust IX was successful on %t!','Your Thuri''s Doleful Thrust IX fades.','',0,1,'Spells/Scout/Bard/Dirge/ThurisDolefulThrust.lua',2660,'You cast Thuri''s Doleful Thrust IX on %t.',1,0,0,1,0,0,0,0,0,370036,0,0,0,0,0,1,0,0,0,'DD',1579893060,1384378113,0,0),
(370041,652711462,1,0,'Bereavement','A quick attack that drains the target''s health, granting a portion of it to the dirge.',338,36,315,340921594,0,215,0,1,'Your Thuri''s Doleful Thrust V was successful on %t!','Your Thuri''s Doleful Thrust V fades.','',0,1,'Spells/Scout/Bard/Dirge/ThurisDolefulThrust.lua',2660,'You cast Thuri''s Doleful Thrust V on %t.',1,0,0,1,0,0,0,0,0,370036,0,0,0,0,0,1,0,0,0,'DD',1579892838,1384378116,0,0),
(370042,929690614,1,0,'Grievance','A quick attack that drains the target''s health, granting a portion of it to the dirge.',338,36,315,340921594,0,285,0,1,'Your Thuri''s Doleful Thrust VI was successful on %t!','Your Thuri''s Doleful Thrust VI fades.','',0,1,'Spells/Scout/Bard/Dirge/ThurisDolefulThrust.lua',2660,'You cast Thuri''s Doleful Thrust VI on %t.',1,0,0,1,0,0,0,0,0,370036,0,0,0,0,0,1,0,0,0,'DD',1579892908,1384378116,0,0),
(370043,761345073,1,0,'Siphon Blade','A quick attack that drains the target''s health, granting a portion of it to the dirge.',338,36,315,340921594,0,355,0,1,'Your Thuri''s Doleful Thrust VII was successful on %t!','Your Thuri''s Doleful Thrust VII fades.','',0,1,'Spells/Scout/Bard/Dirge/ThurisDolefulThrust.lua',2660,'You cast Thuri''s Doleful Thrust VII on %t.',1,0,0,1,0,0,0,0,0,370036,0,0,0,0,0,1,0,0,0,'DD',1579892970,1384378113,0,0),
(370044,3945428760,1,0,'Thuri''s Doleful Thrust VIII','A quick attack that drains the target''s health, granting a portion of it to the dirge.',338,36,315,340921594,0,405,0,1,'Your Thuri''s Doleful Thrust VIII was successful on %t!','Your Thuri''s Doleful Thrust VIII fades.','',0,1,'Spells/Scout/Bard/Dirge/ThurisDolefulThrust.lua',2660,'You cast Thuri''s Doleful Thrust VIII on %t.',1,0,0,1,0,0,0,0,0,370036,0,0,0,0,0,1,0,0,0,'DD',1579893026,1384378115,0,0),
(370045,4125438620,0,0,'Cacophony of Blades','A short duration song that grants the dirge''s group increased attack speed, with additional disease damage with every melee strike from a primary-handed weapon.',225,41,314,340921594,3587918036,290,0,2,'Your Cacophony of Blades was successful on %t!','Your Cacophony of Blades fades.','',1,1,'Spells/Scout/Bard/Dirge/CacophonyofBlades.lua',2630,'You cast Cacophony of Blades on %t.',0,0,0,1,1,1,0,0,0,370045,0,0,0,0,0,1,0,0,0,'Unset',1579931802,1384377828,0,1),
(370046,3908616857,0,0,'Chimes of Blades','A short duration song that grants the dirge''s group increased attack speed, with additional disease damage with every melee strike from a primary-handed weapon.',225,41,314,340921594,3587918036,380,0,2,'Your Cacophony of Blades II was successful on %t!','Your Cacophony of Blades II fades.','',1,1,'Spells/Scout/Bard/Dirge/CacophonyofBlades.lua',2630,'You cast Cacophony of Blades II on %t.',0,0,0,1,1,1,0,0,0,370045,0,0,0,0,0,1,0,0,0,'Unset',1579931858,1384377831,0,1),
(370047,4044547738,0,0,'Cacophony of Blades III','A short duration song that grants the dirge''s group increased attack speed, with additional disease damage with every melee strike from a primary-handed weapon.',225,41,314,340921594,3587918036,430,0,2,'Your Cacophony of Blades III was successful on %t!','Your Cacophony of Blades III fades.','',1,1,'Spells/Scout/Bard/Dirge/CacophonyofBlades.lua',2630,'You cast Cacophony of Blades III on %t.',0,0,0,1,1,1,0,0,0,370045,0,0,0,0,0,1,0,0,0,'Unset',1579931892,1384377831,0,1),
(370048,3862594138,0,0,'Cacophony of Blades IV','A short duration song that grants the dirge''s group increased attack speed, with additional disease damage with every melee strike from a primary-handed weapon.',225,41,314,340921594,0,480,0,2,'Your Cacophony of Blades IV was successful on %t!','Your Cacophony of Blades IV fades.','',1,1,'Spells/Scout/Bard/Dirge/CacophonyofBlades.lua',2630,'You cast Cacophony of Blades IV on %t.',0,0,0,0,1,1,0,0,0,370045,0,0,0,0,0,1,0,0,0,'Unset',1579931923,1384378158,0,1),
(370049,4003258619,0,0,'Clara''s Chaotic Cacophony','Decreases target encounter''s crushing, piercing, and slashing resistance. This song requires a recurrent power cost to maintain.',217,38,312,340921594,3587918036,120,0,2,'Your Clara''s Chaotic Cacophony was successful on %t!','Your Clara''s Chaotic Cacophony fades.','',1,1,'Spells/Scout/Bard/Dirge/ClassicChaoticCacophony.lua',2631,'You cast Clara''s Chaotic Cacophony on %t.',0,0,0,1,0,1,2,0,0,370049,0,0,0,0,0,0,0,0,0,'Unset',1579925131,1384378115,0,1),
(370050,4029905410,0,0,'Clara''s Crazed Cacophony','Decreases target encounter''s crushing, piercing, and slashing resistance. This song requires a recurrent power cost to maintain.',217,38,312,340921594,3587918036,190,0,2,'Your Clara''s Chaotic Cacophony II was successful on %t!','Your Clara''s Chaotic Cacophony II fades.','',1,1,'Spells/Scout/Bard/Dirge/ClarasChaoticCacophony.lua',2631,'You cast Clara''s Chaotic Cacophony II on %t.',0,0,0,1,0,1,2,0,0,370049,0,0,0,0,0,1,0,0,0,'Unset',1579924977,1384378115,0,1),
(370051,72632799,0,0,'Clara''s Cataclysmic Cacophony','Decreases target encounter''s crushing, piercing, and slashing resistance. This song requires a recurrent power cost to maintain.',217,38,312,340921594,3587918036,260,0,2,'Your Clara''s Chaotic Cacophony III was successful on %t!','Your Clara''s Chaotic Cacophony III fades.','',1,1,'Spells/Scout/Bard/Dirge/ClarasChaoticCacophony.lua',2631,'You cast Clara''s Chaotic Cacophony III on %t.',0,0,0,1,0,1,2,0,0,370049,0,0,0,0,0,1,0,0,0,'Unset',1579925291,1384378115,0,1),
(370052,2414026901,0,0,'Clara''s Catastrophic Cacophony','Decreases target encounter''s crushing, piercing, and slashing resistance. This song requires a recurrent power cost to maintain.',217,38,312,340921594,3587918036,330,0,2,'Your Clara''s Chaotic Cacophony IV was successful on %t!','Your Clara''s Chaotic Cacophony IV fades.','',1,1,'Spells/Scout/Bard/Dirge/ClarasChaoticCacophony.lua',2631,'You cast Clara''s Chaotic Cacophony IV on %t.',0,0,0,1,0,1,2,0,0,370049,0,0,0,0,0,1,0,0,0,'Unset',1579925462,1384378113,0,1),
(370053,3325987701,0,0,'Clara''s Cacophony','Decreases target encounter''s crushing, piercing, and slashing resistance. This song requires a recurrent power cost to maintain.',217,38,312,340921594,3587918036,385,0,2,'Your Clara''s Chaotic Cacophony V was successful on %t!','Your Clara''s Chaotic Cacophony V fades.','',1,1,'Spells/Scout/Bard/Dirge/ClarasChaoticCacophony.lua',2631,'You cast Clara''s Chaotic Cacophony V on %t.',0,0,0,1,0,1,2,0,0,370049,0,0,0,0,0,1,0,0,0,'Unset',1579925684,1384378116,0,1),
(370054,1965463443,0,0,'Clara''s Chaotic Cacophony VI','Decreases target encounter''s crushing, piercing, and slashing resistance. This song requires a recurrent power cost to maintain.',217,38,312,340921594,3587918036,435,0,2,'Your Clara''s Chaotic Cacophony VI was successful on %t!','Your Clara''s Chaotic Cacophony VI fades.','',1,1,'Spells/Scout/Bard/Dirge/ClarasChaoticCacophony.lua',2631,'You cast Clara''s Chaotic Cacophony VI on %t.',0,0,0,1,0,1,2,0,0,370049,0,0,0,0,0,1,0,0,0,'Unset',1579925749,1384378113,0,1),
(370055,464162002,0,0,'Clara''s Chaotic Cacophony VII','Decreases target encounter''s crushing, piercing, and slashing resistance. This song requires a recurrent power cost to maintain.',217,38,312,340921594,3587918036,485,0,2,'Your Clara''s Chaotic Cacophony VII was successful on %t!','Your Clara''s Chaotic Cacophony VII fades.','',1,1,'Spells/Scout/Bard/Dirge/ClarasChaoticCacophony.lua',2631,'You cast Clara''s Chaotic Cacophony VII on %t.',0,0,0,0,0,1,2,0,0,370049,0,0,0,0,0,1,0,0,0,'Unset',1579925943,1384377836,0,1),
(370056,2775114467,0,0,'Daro''s Doleful Dirge','Decreases target encounter''s movement speed and attack rate. This song requires a recurrent power cost to maintain.',204,41,312,340921594,3587918036,150,0,1,'Your Daro''s Sorrowful Dirge was successful on %t!','Your Daro''s Sorrowful Dirge fades.','',1,1,'Spells/Scout/Bard/Dirge/DarosDolefulDirge.lua',2634,'You cast Daro''s Sorrowful Dirge on %t.',0,0,0,1,0,1,2,0,0,370056,0,0,0,0,0,0,0,0,0,'Unset',1579928246,1384378115,0,1),
(370057,358262490,0,0,'Daro''s Sorrowful Dirge','Decreases target encounter''s movement speed and attack rate. This song requires a recurrent power cost to maintain.',204,41,312,340921594,3587918036,220,0,1,'Your Daro''s Sorrowful Dirge II was successful on %t!','Your Daro''s Sorrowful Dirge II fades.','',1,1,'Spells/Scout/Bard/Dirge/DarosSorrowfulDirge.lua',2634,'You cast Daro''s Sorrowful Dirge II on %t.',0,0,0,1,0,1,2,0,0,370056,0,0,0,0,0,1,0,0,0,'Unset',1579928559,1384378115,0,1),
(370058,3369713305,0,0,'Daro''s Disconsolate Dirge','Decreases target encounter''s movement speed and attack rate. This song requires a recurrent power cost to maintain.',204,41,312,340921594,3587918036,290,0,1,'Your Daro''s Sorrowful Dirge III was successful on %t!','Your Daro''s Sorrowful Dirge III fades.','',1,1,'Spells/Scout/Bard/Dirge/DarosSorrowfulDirge.lua',2634,'You cast Daro''s Sorrowful Dirge III on %t.',0,0,0,1,0,1,2,0,0,370056,0,0,0,0,0,1,0,0,0,'Unset',1579928719,1384378116,0,1),
(370059,2532843232,0,0,'Emotional Dirge','Decreases target encounter''s movement speed and attack rate. This song requires a recurrent power cost to maintain.',204,41,312,340921594,3587918036,360,0,1,'Your Daro''s Sorrowful Dirge IV was successful on %t!','Your Daro''s Sorrowful Dirge IV fades.','',1,1,'Spells/Scout/Bard/Dirge/DarosSorrowfulDirge.lua',2634,'You cast Daro''s Sorrowful Dirge IV on %t.',0,0,0,1,0,1,2,0,0,370056,0,0,0,0,0,1,0,0,0,'Unset',1579928893,1384377831,0,1),
(370060,2481480612,0,0,'Daro''s Sorrowful Dirge V','Decreases target encounter''s movement speed and attack rate. This song requires a recurrent power cost to maintain.',204,41,312,340921594,3587918036,410,0,1,'Your Daro''s Sorrowful Dirge V was successful on %t!','Your Daro''s Sorrowful Dirge V fades.','',1,1,'Spells/Scout/Bard/Dirge/DarosSorrowfulDirge.lua',2634,'You cast Daro''s Sorrowful Dirge V on %t.',0,0,0,1,0,1,2,0,0,370056,0,0,0,0,0,1,0,0,0,'Unset',1579928947,1384377828,0,1),
(370061,315426435,0,0,'Daro''s Sorrowful Dirge VI','Decreases target encounter''s movement speed and attack rate. This song requires a recurrent power cost to maintain.',204,41,312,340921594,3587918036,460,0,1,'Your Daro''s Sorrowful Dirge VI was successful on %t!','Your Daro''s Sorrowful Dirge VI fades.','',1,1,'Spells/Scout/Bard/Dirge/DarosSorrowfulDirge.lua',2634,'You cast Daro''s Sorrowful Dirge VI on %t.',0,0,0,1,0,1,2,0,0,370056,0,0,0,0,0,1,0,0,0,'Unset',1579929485,1384378113,0,1),
(370062,4213144946,0,1,'Crypt''s Quiet','Grants the dirge''s group a chance to strike for additional disease damage on a successful attack.',206,38,314,340921594,3587918036,110,1,2,'Your Dead Calm was successful on %t!','Your Dead Calm fades.','',1,1,'Spells/Scout/Bard/Dirge/CryptsQuiet.lua',2635,'You cast Dead Calm on %t.',0,0,0,1,1,1,0,0,0,370062,0,0,0,0,0,0,0,0,0,'Unset',1582906716,1384378115,0,1),
(370063,197035687,0,1,'Grave''s Peace','Grants the dirge''s group a chance to strike for additional disease damage on a successful attack.',206,38,314,340921594,3587918036,180,1,2,'Your Dead Calm II was successful on %t!','Your Dead Calm II fades.','',1,1,'Spells/Scout/Bard/Dirge/DeadCalm.lua',2635,'You cast Dead Calm II on %t.',0,0,0,1,1,1,0,0,0,370062,0,0,0,0,0,1,0,0,0,'Unset',1579924702,1384378115,0,1),
(370064,897802261,0,1,'Tomb''s Stillness','Grants the dirge''s group a chance to strike for additional disease damage on a successful attack.',206,38,314,340921594,3587918036,250,1,2,'Your Dead Calm III was successful on %t!','Your Dead Calm III fades.','',1,1,'Spells/Scout/Bard/Dirge/DeadCalm.lua',2635,'You cast Dead Calm III on %t.',0,0,0,1,1,1,0,0,0,370062,0,0,0,0,0,1,0,0,0,'Unset',1579924736,1384378115,0,1),
(370065,330633750,0,1,'Tomb''s Calm','Grants the dirge''s group a chance to strike for additional disease damage on a successful attack.',206,38,314,340921594,3587918036,320,1,2,'Your Dead Calm IV was successful on %t!','Your Dead Calm IV fades.','',1,1,'Spells/Scout/Bard/Dirge/DeadCalm.lua',2635,'You cast Dead Calm IV on %t.',0,0,0,1,1,1,0,0,0,370062,0,0,0,0,0,1,0,0,0,'Unset',1579924765,1384378113,0,1),
(370066,3501792163,0,1,'Dead Calm','Grants the dirge''s group a chance to strike for additional disease damage on a successful attack.',206,38,314,340921594,3587918036,375,1,2,'Your Dead Calm V was successful on %t!','Your Dead Calm V fades.','',1,1,'Spells/Scout/Bard/Dirge/DeadCalm.lua',2635,'You cast Dead Calm V on %t.',0,0,0,1,1,1,0,0,0,370062,0,0,0,0,0,1,0,0,0,'Unset',1579924778,1384378113,0,1),
(370067,2720892114,0,1,'Dead Calm VI','Grants the dirge''s group a chance to strike for additional disease damage on a successful attack.',206,38,314,340921594,3587918036,425,1,2,'Your Dead Calm VI was successful on %t!','Your Dead Calm VI fades.','',1,1,'Spells/Scout/Bard/Dirge/DeadCalm.lua',2635,'You cast Dead Calm VI on %t.',0,0,0,1,1,1,0,0,0,370062,0,0,0,0,0,1,0,0,0,'Unset',1579924793,1384378116,0,1),
(370068,965265597,0,1,'Dead Calm VII','Grants the dirge''s group a chance to strike for additional disease damage on a successful attack.',206,38,314,340921594,3587918036,475,1,2,'Your Dead Calm VII was successful on %t!','Your Dead Calm VII fades.','',1,1,'Spells/Scout/Bard/Dirge/DeadCalm.lua',2635,'You cast Dead Calm VII on %t.',0,0,0,1,1,1,0,0,0,370062,0,0,0,0,0,1,0,0,0,'Unset',1579924818,1384377838,0,1),
(370069,3247331174,0,1,'Deaths Door','Increases the agility, resistances, and base avoidance of the dirge.  Additionally, this grants a chance at dealing disease damage to anyone that attacks the dirge.',205,38,317,340921594,3587918036,65,1,0,'Your Death''s Door was successful on %t!','Your Death''s Door fades.','',0,0,'Spells/Scout/Bard/Dirge/DeathsDoor.lua',2636,'You cast Death''s Door on %t.',0,0,0,1,1,0,0,0,0,370069,0,0,0,0,0,0,0,0,0,'Unset',1579906574,1384378115,0,1),
(370070,2287941340,0,1,'Death''s Scent','Increases the agility, resistances, and base avoidance of the dirge.  Additionally, this grants a chance at dealing disease damage to anyone that attacks the dirge.',205,38,317,340921594,3587918036,135,1,0,'Your Death''s Door II was successful on %t!','Your Death''s Door II fades.','',1,0,'Spells/Scout/Bard/Dirge/DeathsScent.lua',2636,'You cast Death''s Door II on %t.',0,0,0,1,1,1,0,0,0,370069,0,0,0,0,0,0,0,0,0,'Unset',1579906959,1384378116,0,1),
(370071,2789500637,0,1,'Lithe Disbelief','Increases the agility, resistances, and base avoidance of the dirge.  Additionally, this grants a chance at dealing disease damage to anyone that attacks the dirge.',205,38,317,340921594,3587918036,205,1,0,'Your Death''s Door III was successful on %t!','Your Death''s Door III fades.','',1,0,'Spells/Scout/Bard/Dirge/DeathsDoor.lua',2636,'You cast Death''s Door III on %t.',0,0,0,1,1,1,0,0,0,370069,0,0,0,0,0,1,0,0,0,'Unset',1579906976,1384378115,0,1),
(370072,2215594321,0,1,'Supple Disdain','Increases the agility, resistances, and base avoidance of the dirge.  Additionally, this grants a chance at dealing disease damage to anyone that attacks the dirge.',205,38,317,340921594,3587918036,275,1,0,'Your Death''s Door IV was successful on %t!','Your Death''s Door IV fades.','',1,0,'Spells/Scout/Bard/Dirge/DeathsDoor.lua',2636,'You cast Death''s Door IV on %t.',0,0,0,1,1,1,0,0,0,370069,0,0,0,0,0,1,0,0,0,'Unset',1579906996,1384377836,0,1),
(370073,789979654,0,1,'Death Bearer','Increases the agility, resistances, and base avoidance of the dirge.  Additionally, this grants a chance at dealing disease damage to anyone that attacks the dirge.',205,38,317,340921594,3587918036,345,1,0,'Your Death''s Door V was successful on %t!','Your Death''s Door V fades.','',1,0,'Spells/Scout/Bard/Dirge/DeathsDoor.lua',2636,'You cast Death''s Door V on %t.',0,0,0,1,1,1,0,0,0,370069,0,0,0,0,0,1,0,0,0,'Unset',1579907024,1384377831,0,1),
(370074,4243652029,0,1,'Deaths Edge','Increases the agility, resistances, and base avoidance of the dirge.  Additionally, this grants a chance at dealing disease damage to anyone that attacks the dirge.',205,38,317,340921594,3587918036,395,1,0,'Your Death''s Door VI was successful on %t!','Your Death''s Door VI fades.','',1,0,'Spells/Scout/Bard/Dirge/DeathsDoor.lua',2636,'You cast Death''s Door VI on %t.',0,0,0,1,1,1,0,0,0,370069,0,0,0,0,0,1,0,0,0,'Unset',1579907037,1384378116,0,1),
(370075,1434963456,0,1,'Death''s Door VII','Increases the agility, resistances, and base avoidance of the dirge.  Additionally, this grants a chance at dealing disease damage to anyone that attacks the dirge.',205,38,317,340921594,3587918036,445,1,0,'Your Death''s Door VII was successful on %t!','Your Death''s Door VII fades.','',1,0,'Spells/Scout/Bard/Dirge/DeathsDoor.lua',2636,'You cast Death''s Door VII on %t.',0,0,0,1,1,1,0,0,0,370069,0,0,0,0,0,1,0,0,0,'Unset',1579907065,1384378113,0,1),
(370076,3364368246,0,1,'Death''s Door VIII','Increases the agility, resistances, and base avoidance of the dirge.  Additionally, this grants a chance at dealing disease damage to anyone that attacks the dirge.',205,38,317,340921594,3587918036,495,1,0,'Your Death''s Door VIII was successful on %t!','Your Death''s Door VIII fades.','',1,0,'Spells/Scout/Bard/Dirge/DeathsDoor.lua',2636,'You cast Death''s Door VIII on %t.',0,0,0,0,1,0,0,0,0,370069,0,0,0,0,0,1,0,0,0,'Unset',1579907083,1384378116,0,1),
(370077,1033316620,0,0,'Elegy at Death''s Door','Resurrects a fallen ally. This spell can be cast during combat.',205,41,316,340921594,366253016,220,0,6,'Your Elegy at Death''s Door was successful on %t!','Your Elegy at Death''s Door fades.','',1,0,'Spells/Scout/Bard/Dirge/ElegyatDeathsDoor.lua',2637,'You cast Elegy at Death''s Door on %t.',0,1,1,0,1,0,0,0,0,370077,0,0,0,0,0,1,0,0,0,'Unset',1579930080,1384378116,0,1),
(370078,3390154729,0,0,'Elegy of Awakening','Resurrects target group. This spell can be cast during combat.',205,41,314,340921594,366253016,290,0,6,'Your Elegy of Awakening was successful on %t!','Your Elegy of Awakening fades.','',1,0,'Spells/Scout/Bard/Dirge/ElegyofAwakening.lua',2638,'You cast Elegy of Awakening on %t.',0,1,1,0,1,0,0,0,0,370078,0,0,0,0,0,1,0,0,0,'Rez',1384671332,1384378116,0,1),
(370079,1336678002,0,0,'Garsin''s Funeral March','Causes the target to flee.',279,40,315,340921594,3587918036,130,0,1,'Your Garsin''s Funeral March was successful on %t!','Your Garsin''s Funeral March fades.','',1,1,'Spells/Scout/Bard/Dirge/ClassicFuneralMarch.lua',2639,'You cast Garsin''s Funeral March on %t.',0,0,0,1,0,1,2,0,0,370079,0,0,0,0,0,0,0,0,0,'Unset',1579926033,1384378115,0,1),
(370080,702211516,0,0,'Garsin''s Burial March','Causes the target to flee.',279,40,315,340921594,3587918036,200,0,1,'Your Garsin''s Funeral March II was successful on %t!','Your Garsin''s Funeral March II fades.','',1,1,'Spells/Scout/Bard/Dirge/GarsinsFuneralMarch.lua',2639,'You cast Garsin''s Funeral March II on %t.',0,0,0,1,0,1,2,0,0,370079,0,0,0,0,0,1,0,0,0,'Unset',1579926375,1384378116,0,1),
(370081,4000034188,0,0,'Garsin''s Burial Chant','Causes the target to flee.',279,40,315,340921594,3587918036,270,0,1,'Your Garsin''s Funeral March III was successful on %t!','Your Garsin''s Funeral March III fades.','',1,1,'Spells/Scout/Bard/Dirge/GarsinsFuneralMarch.lua',2639,'You cast Garsin''s Funeral March III on %t.',0,0,0,1,0,1,2,0,0,370079,0,0,0,0,0,1,0,0,0,'Unset',1579926482,1384378115,0,1),
(370082,4051503101,0,0,'Garsin''s Haunting March','Causes the target to flee.',279,40,315,340921594,3587918036,340,0,1,'Your Garsin''s Funeral March IV was successful on %t!','Your Garsin''s Funeral March IV fades.','',1,1,'Spells/Scout/Bard/Dirge/GarsinsFuneralMarch.lua',2639,'You cast Garsin''s Funeral March IV on %t.',0,0,0,1,0,1,2,0,0,370079,0,0,0,0,0,1,0,0,0,'Unset',1579926624,1384378113,0,1),
(370083,1219668999,0,0,'Fearful March','Causes the target to flee.',279,40,315,340921594,3587918036,390,0,1,'Your Garsin''s Funeral March V was successful on %t!','Your Garsin''s Funeral March V fades.','',1,1,'Spells/Scout/Bard/Dirge/GarsinsFuneralMarch.lua',2639,'You cast Garsin''s Funeral March V on %t.',0,0,0,1,0,1,2,0,0,370079,0,0,0,0,0,1,0,0,0,'Unset',1579926962,1384378116,0,1),
(370084,3742365221,0,0,'Garsin''s Funeral March VI','Causes the target to flee.',279,40,315,340921594,3587918036,440,0,1,'Your Garsin''s Funeral March VI was successful on %t!','Your Garsin''s Funeral March VI fades.','',1,1,'Spells/Scout/Bard/Dirge/GarsinsFuneralMarch.lua',2639,'You cast Garsin''s Funeral March VI on %t.',0,0,0,1,0,1,2,0,0,370079,0,0,0,0,0,1,0,0,0,'Unset',1579927053,1384378113,0,1),
(370085,3677033782,0,0,'Gravitas','Your ally''s healing, ward, and resurrect spells are cast with more intensity than before.',10,65535,316,340921594,3587918036,400,0,1,'Your Gravitas was successful on %t!','Your Gravitas fades.','',1,1,'Spells/Scout/Bard/Dirge/Gravitas.lua',2640,'You cast Gravitas on %t.',0,1,0,1,1,1,0,0,0,370085,0,0,0,0,0,0,0,0,0,'Unset',1579932570,1384378115,0,1),
(370086,1185819122,0,1,'Harl''s Athletic Tune','Increases the strength, agility, and base avoidance of the dirge''s group.',173,38,314,340921594,3587918036,10,1,2,'An augmentation spell affects you.','An augmentation song ends.','',0,1,'Spells/Scout/Bard/Dirge/HarlsRousingTune.lua',2641,'You being to play an augmentation song.',0,0,0,1,1,1,0,0,0,370086,0,0,0,0,0,0,0,0,0,'Unset',1579894295,1384378116,0,1),
(370087,1194604417,0,1,'Harl''s Rousing Tune','Increases the strength, agility, and base avoidance of the dirge''s group.',173,38,314,340921594,3587918036,50,1,2,'Your Harl''s Rousing Tune II was successful on %t!','Your Harl''s Rousing Tune II fades.','',0,1,'Spells/Scout/Bard/Dirge/HarlsRousingTune.lua',2641,'You cast Harl''s Rousing Tune II on %t.',0,0,0,1,1,1,0,0,0,370086,0,0,0,0,0,0,0,0,0,'Unset',1579894409,1384378115,0,1),
(370088,4066528530,0,1,'Harl''s Quickening Euphony','Increases the strength, agility, and base avoidance of the dirge''s group.',173,38,314,340921594,3587918036,120,1,2,'Your Harl''s Rousing Tune III was successful on %t!','Your Harl''s Rousing Tune III fades.','',1,1,'Spells/Scout/Bard/Dirge/HarlsQuickeningEuphony.lua',2641,'You cast Harl''s Rousing Tune III on %t.',0,0,0,1,1,1,0,0,0,370086,0,0,0,0,0,0,0,0,0,'Unset',1579894421,1384378116,0,1),
(370089,2869391028,0,1,'Harl''s Kindling Strain','Increases the strength, agility, and base avoidance of the dirge''s group.',173,38,314,340921594,3587918036,190,1,2,'Your Harl''s Rousing Tune IV was successful on %t!','Your Harl''s Rousing Tune IV fades.','',1,1,'Spells/Scout/Bard/Dirge/HarlsRousingTune.lua',2641,'You cast Harl''s Rousing Tune IV on %t.',0,0,0,1,1,1,0,0,0,370086,0,0,0,0,0,1,0,0,0,'Unset',1579894443,1384378116,0,1),
(370090,2206373988,0,1,'Harl''s Rousing Tune IX','Increases the strength, agility, and base avoidance of the dirge''s group.',173,38,314,340921594,3587918036,485,1,2,'Your Harl''s Rousing Tune IX was successful on %t!','Your Harl''s Rousing Tune IX fades.','',1,1,'Spells/Scout/Bard/Dirge/HarlsRousingTune.lua',2641,'You cast Harl''s Rousing Tune IX on %t.',0,0,0,0,1,1,0,0,0,370086,0,0,0,0,0,1,0,0,0,'Unset',1579894530,1384377836,0,1),
(370091,2545935968,0,1,'Harl''s Rousing Strain','Increases the strength, agility, and base avoidance of the dirge''s group.',173,38,314,340921594,3587918036,260,1,2,'Your Harl''s Rousing Tune V was successful on %t!','Your Harl''s Rousing Tune V fades.','',1,1,'Spells/Scout/Bard/Dirge/HarlsRousingTune.lua',2641,'You cast Harl''s Rousing Tune V on %t.',0,0,0,1,1,1,0,0,0,370086,0,0,0,0,0,1,0,0,0,'Unset',1579894458,1384378115,0,1),
(370092,1133426540,0,1,'Harl''s Awakening Strain','Increases the strength, agility, and base avoidance of the dirge''s group.',173,38,314,340921594,3587918036,330,1,2,'Your Harl''s Rousing Tune VI was successful on %t!','Your Harl''s Rousing Tune VI fades.','',1,1,'Spells/Scout/Bard/Dirge/HarlsRousingTune.lua',2641,'You cast Harl''s Rousing Tune VI on %t.',0,0,0,1,1,1,0,0,0,370086,0,0,0,0,0,1,0,0,0,'Unset',1579894471,1384377828,0,1),
(370093,3180699556,0,1,'Athletic Strain','Increases the strength, agility, and base avoidance of the dirge''s group.',173,38,314,340921594,3587918036,385,1,2,'Your Harl''s Rousing Tune VII was successful on %t!','Your Harl''s Rousing Tune VII fades.','',1,1,'Spells/Scout/Bard/Dirge/HarlsRousingTune.lua',2641,'You cast Harl''s Rousing Tune VII on %t.',0,0,0,1,1,1,0,0,0,370086,0,0,0,0,0,1,0,0,0,'Unset',1579894497,1384378116,0,1),
(370094,475536378,0,1,'Harl''s Rousing Tune VIII','Increases the strength, agility, and base avoidance of the dirge''s group.',173,38,314,340921594,3587918036,435,1,2,'Your Harl''s Rousing Tune VIII was successful on %t!','Your Harl''s Rousing Tune VIII fades.','',1,1,'Spells/Scout/Bard/Dirge/HarlsRousingTune.lua',2641,'You cast Harl''s Rousing Tune VIII on %t.',0,0,0,1,1,1,0,0,0,370086,0,0,0,0,0,1,0,0,0,'Unset',1579894518,1384377831,0,1),
(370095,1935841143,0,0,'Cry of the Departed','A short range spell that deals disease damage, and returns a portion of this damage as health to the dirge.',204,40,315,340921594,613995491,140,0,1,'Your Howl of Death was successful on %t!','Your Howl of Death fades.','',1,0,'Spells/Scout/Bard/Dirge/CryoftheDeparted.lua',2642,'You cast Howl of Death on %t.',0,0,0,1,0,0,0,0,0,370095,0,0,0,0,0,0,0,0,0,'DD',1579927215,1384378115,0,1),
(370096,1298100677,0,0,'Cry of the Dead','A short range spell that deals disease damage, and returns a portion of this damage as health to the dirge.',204,40,315,340921594,613995491,210,0,1,'Your Howl of Death II was successful on %t!','Your Howl of Death II fades.','',1,0,'Spells/Scout/Bard/Dirge/HowlofDeath.lua',2642,'You cast Howl of Death II on %t.',0,0,0,1,0,0,0,0,0,370095,0,0,0,0,0,1,0,0,0,'DD',1579927428,1384378116,0,1),
(370097,3027317837,0,0,'Howl of the Dead','A short range spell that deals disease damage, and returns a portion of this damage as health to the dirge.',204,40,315,340921594,613995491,280,0,1,'Your Howl of Death III was successful on %t!','Your Howl of Death III fades.','',1,0,'Spells/Scout/Bard/Dirge/HowlofDeath.lua',2642,'You cast Howl of Death III on %t.',0,0,0,1,0,0,0,0,0,370095,0,0,0,0,0,1,0,0,0,'DD',1579927514,1384378113,0,1),
(370098,3861816836,0,0,'Wail of the Dead','A short range spell that deals disease damage, and returns a portion of this damage as health to the dirge.',204,40,315,340921594,613995491,350,0,1,'Your Howl of Death IV was successful on %t!','Your Howl of Death IV fades.','',1,0,'Spells/Scout/Bard/Dirge/HowlofDeath.lua',2642,'You cast Howl of Death IV on %t.',0,0,0,1,0,0,0,0,0,370095,0,0,0,0,0,1,0,0,0,'DD',1579927637,1384378113,0,1),
(370099,875312133,0,0,'Howl of Death','A short range spell that deals disease damage, and returns a portion of this damage as health to the dirge.',204,40,315,340921594,613995491,400,0,1,'Your Howl of Death V was successful on %t!','Your Howl of Death V fades.','',1,0,'Spells/Scout/Bard/Dirge/HowlofDeath.lua',2642,'You cast Howl of Death V on %t.',0,0,0,1,0,0,0,0,0,370095,0,0,0,0,0,1,0,0,0,'DD',1579927822,1384377828,0,1),
(370100,2588190100,0,0,'Howl of Death VI','A short range spell that deals disease damage, and returns a portion of this damage as health to the dirge.',204,40,315,340921594,613995491,450,0,1,'Your Howl of Death VI was successful on %t!','Your Howl of Death VI fades.','',1,0,'Spells/Scout/Bard/Dirge/HowlofDeath.lua',2642,'You cast Howl of Death VI on %t.',0,0,0,1,0,0,0,0,0,370095,0,0,0,0,0,1,0,0,0,'DD',1579928026,1384377831,0,1),
(370101,3231277065,0,0,'Howl of Death VII','A short range spell that deals disease damage, and returns a portion of this damage as health to the dirge.',204,40,315,340921594,613995491,500,0,1,'Your Howl of Death VII was successful on %t!','Your Howl of Death VII fades.','',1,0,'Spells/Scout/Bard/Dirge/HowlofDeath.lua',2642,'You cast Howl of Death VII on %t.',0,0,0,0,0,0,0,0,0,370095,0,0,0,0,0,1,0,0,0,'DD',1579928148,1384377828,0,1),
(370102,3518190743,0,0,'Wail of Woe','Interrupts all enemies in a large area surrounding the dirge and blurs their vision for a short duration, with a small chance at knocking down an enemy. This ability does not require any power or casting time.',172,38,313,340921594,882983852,200,0,1,'Your Hymn of Horror was successful on %t!','Your Hymn of Horror fades.','',1,0,'Spells/Scout/Bard/Dirge/HymnofHorror.lua',2643,'You cast Hymn of Horror on %t.',0,0,0,1,0,0,0,0,0,370102,0,0,0,0,0,0,0,0,0,'Unset',1579929873,1384377828,0,1),
(370103,2523474107,0,0,'Hymn of Horror','Interrupts all enemies in a large area surrounding the dirge and blurs their vision for a short duration, with a small chance at knocking down an enemy. This ability does not require any power or casting time.',172,38,313,340921594,882983852,270,0,1,'Your Hymn of Horror II was successful on %t!','Your Hymn of Horror II fades.','',1,0,'Spells/Scout/Bard/Dirge/HymnofHorror.lua',2643,'You cast Hymn of Horror II on %t.',0,0,0,1,0,0,0,0,0,370102,0,0,0,0,0,0,0,0,0,'Unset',1579929934,1384378115,0,1),
(370104,3885621092,0,0,'Wail of Horror','Interrupts all enemies in a large area surrounding the dirge and blurs their vision for a short duration, with a small chance at knocking down an enemy. This ability does not require any power or casting time.',172,38,313,340921594,882983852,340,0,1,'Your Hymn of Horror III was successful on %t!','Your Hymn of Horror III fades.','',1,0,'Spells/Scout/Bard/Dirge/HymnofHorror.lua',2643,'You cast Hymn of Horror III on %t.',0,0,0,1,0,0,0,0,0,370102,0,0,0,0,0,0,0,0,0,'Unset',1579930019,1384378113,0,1),
(370105,1493973664,0,1,'Hyran''s Angry Sonata','A song played for an ally that increases their aggression skill and the amount of hate they generate in combat.',295,38,316,340921594,3587918036,160,1,8,'Your Hyran''s Seething Sonata was successful on %t!','Your Hyran''s Seething Sonata fades.','',1,1,'Spells/Scout/Bard/Dirge/HyransSeethingSonata.lua',2644,'You cast Hyran''s Seething Sonata on %t.',0,0,0,1,1,1,0,0,0,370105,0,0,0,0,0,1,0,0,0,'Unset',1579929639,1384378116,0,1),
(370106,3178655042,0,1,'Hyran''s Raging Sonata','A song played for an ally that increases their aggression skill and the amount of hate they generate in combat.',295,38,316,340921594,3587918036,230,1,8,'Your Hyran''s Seething Sonata II was successful on %t!','Your Hyran''s Seething Sonata II fades.','',1,1,'Spells/Scout/Bard/Dirge/HyransSeethingSonata.lua',2644,'You cast Hyran''s Seething Sonata II on %t.',0,0,0,1,1,1,0,0,0,370105,0,0,0,0,0,1,0,0,0,'Unset',1579929707,1384378115,0,1),
(370107,1773512360,0,1,'Hyran''s Seething Sonata','A song played for an ally that increases their aggression skill and the amount of hate they generate in combat.',295,38,316,340921594,3587918036,300,1,8,'Your Hyran''s Seething Sonata III was successful on %t!','Your Hyran''s Seething Sonata III fades.','',1,1,'Spells/Scout/Bard/Dirge/HyransSeethingSonata.lua',2644,'You cast Hyran''s Seething Sonata III on %t.',0,0,0,1,1,1,0,0,0,370105,0,0,0,0,0,1,0,0,0,'Unset',1579929759,1384378115,0,1),
(370108,1838360881,0,1,'Jael''s Elusion','Increases the parry skill of the dirge''s group.',307,40,314,340921594,3587918036,90,1,2,'Your Jael''s Mysterious Mettle was successful on %t!','Your Jael''s Mysterious Mettle fades.','',0,1,'Spells/Scout/Bard/Dirge/JaelsMysteriousMettle.lua',2646,'You cast Jael''s Mysterious Mettle on %t.',0,0,0,1,1,1,0,0,0,370108,0,0,0,0,0,0,0,0,0,'Unset',1579909522,1384378115,0,1),
(370109,2622643146,0,1,'Jael''s Mysterious Mettle','Increases the parry skill of the dirge''s group.',307,40,314,340921594,3587918036,160,1,2,'Your Jael''s Mysterious Mettle II was successful on %t!','Your Jael''s Mysterious Mettle II fades.','',1,1,'Spells/Scout/Bard/Dirge/JaelsMysteriousMettle.lua',2646,'You cast Jael''s Mysterious Mettle II on %t.',0,0,0,1,1,1,0,0,0,370108,0,0,0,0,0,1,0,0,0,'Unset',1579909551,1384378116,0,1),
(370110,2325390659,0,1,'Wailing Elusion','Increases the parry skill of the dirge''s group.',307,40,314,340921594,3587918036,230,1,2,'Your Jael''s Mysterious Mettle III was successful on %t!','Your Jael''s Mysterious Mettle III fades.','',1,1,'Spells/Scout/Bard/Dirge/JaelsMysteriousMettle.lua',2646,'You cast Jael''s Mysterious Mettle III on %t.',0,0,0,1,1,1,0,0,0,370108,0,0,0,0,0,1,0,0,0,'Unset',1579909573,1384378116,0,1),
(370111,3667124151,0,1,'Screeching Elusion','Increases the parry skill of the dirge''s group.',307,40,314,340921594,3587918036,300,1,2,'Your Jael''s Mysterious Mettle IV was successful on %t!','Your Jael''s Mysterious Mettle IV fades.','',1,1,'Spells/Scout/Bard/Dirge/JaelsMysteriousMettle.lua',2646,'You cast Jael''s Mysterious Mettle IV on %t.',0,0,0,1,1,1,0,0,0,370108,0,0,0,0,0,1,0,0,0,'Unset',1579909609,1384378113,0,1),
(370112,3165383489,0,1,'Weapon Elusion','Increases the parry skill of the dirge''s group.',307,40,314,340921594,3587918036,365,1,2,'Your Jael''s Mysterious Mettle V was successful on %t!','Your Jael''s Mysterious Mettle V fades.','',1,1,'Spells/Scout/Bard/Dirge/JaelsMysteriousMettle.lua',2646,'You cast Jael''s Mysterious Mettle V on %t.',0,0,0,1,1,1,0,0,0,370108,0,0,0,0,0,1,0,0,0,'Unset',1579909628,1384378113,0,1),
(370113,2661747584,0,1,'Jael''s Mysterious Mettle VI','Increases the parry skill of the dirge''s group.',307,40,314,340921594,3587918036,415,1,2,'Your Jael''s Mysterious Mettle VI was successful on %t!','Your Jael''s Mysterious Mettle VI fades.','',1,1,'Spells/Scout/Bard/Dirge/JaelsMysteriousMettle.lua',2646,'You cast Jael''s Mysterious Mettle VI on %t.',0,0,0,1,1,1,0,0,0,370108,0,0,0,0,0,1,0,0,0,'Unset',1579909645,1384378116,0,1),
(370114,2042277143,0,1,'Jael''s Mysterious Mettle VII','Increases the parry skill of the dirge''s group.',307,40,314,340921594,3587918036,465,1,2,'Your Jael''s Mysterious Mettle VII was successful on %t!','Your Jael''s Mysterious Mettle VII fades.','',1,1,'Spells/Scout/Bard/Dirge/JaelsMysteriousMettle.lua',2646,'You cast Jael''s Mysterious Mettle VII on %t.',0,0,0,0,1,1,0,0,0,370108,0,0,0,0,0,1,0,0,0,'Unset',1579909677,1384378113,0,1),
(370115,3373030589,0,0,'Dissonance','Does a medium amount of disease damage to target encounter. This spell is difficult to resist against.',171,36,312,340921594,613995491,75,0,2,'Your Jarol''s Sorrowful Requiem was successful on %t!','Your Jarol''s Sorrowful Requiem fades.','',1,1,'Spells/Scout/Bard/Dirge/JarolsSorrowfulRequiem.lua',2647,'You cast Jarol''s Sorrowful Requiem on %t.',0,0,0,1,0,1,0,0,0,370115,0,0,0,0,0,0,0,0,0,'DD',1579907422,1384378115,0,1),
(370116,2124238349,0,0,'Dissonant Rhythm','Does a medium amount of disease damage to target encounter. This spell is difficult to resist against.',171,36,312,340921594,613995491,145,0,2,'Your Jarol''s Sorrowful Requiem II was successful on %t!','Your Jarol''s Sorrowful Requiem II fades.','',1,1,'Spells/Scout/Bard/Dirge/DissonantRhythm.lua',2647,'You cast Jarol''s Sorrowful Requiem II on %t.',0,0,0,1,0,1,0,0,0,370115,0,0,0,0,0,0,0,0,0,'DD',1579907583,1384378115,0,1),
(370117,3164392475,0,0,'Melancholy Requiem','Does a medium amount of disease damage to target encounter. This spell is difficult to resist against.',171,36,312,340921594,613995491,215,0,2,'Your Jarol''s Sorrowful Requiem III was successful on %t!','Your Jarol''s Sorrowful Requiem III fades.','',1,1,'Spells/Scout/Bard/Dirge/JarolsSorrowfulRequiem.lua',2647,'You cast Jarol''s Sorrowful Requiem III on %t.',0,0,0,1,0,1,0,0,0,370115,0,0,0,0,0,1,0,0,0,'DD',1579907779,1384378116,0,1),
(370118,158347339,0,0,'Jarol''s Sorrowful Requiem','Does a medium amount of disease damage to target encounter. This spell is difficult to resist against.',171,36,312,340921594,613995491,285,0,2,'Your Jarol''s Sorrowful Requiem IV was successful on %t!','Your Jarol''s Sorrowful Requiem IV fades.','',1,1,'Spells/Scout/Bard/Dirge/JarolsSorrowfulRequiem.lua',2647,'You cast Jarol''s Sorrowful Requiem IV on %t.',0,0,0,1,0,1,0,0,0,370115,0,0,0,0,0,1,0,0,0,'DD',1579907929,1384378116,0,1),
(370119,2460937929,0,0,'Dissonant Requiem','Does a medium amount of disease damage to target encounter. This spell is difficult to resist against.',171,36,312,340921594,613995491,355,0,2,'Your Jarol''s Sorrowful Requiem V was successful on %t!','Your Jarol''s Sorrowful Requiem V fades.','',1,1,'Spells/Scout/Bard/Dirge/JarolsSorrowfulRequiem.lua',2647,'You cast Jarol''s Sorrowful Requiem V on %t.',0,0,0,1,0,1,0,0,0,370115,0,0,0,0,0,1,0,0,0,'DD',1579908283,1384378113,0,1),
(370120,4225846132,0,0,'Jarol''s Sorrowful Requiem VI','Does a medium amount of disease damage to target encounter. This spell is difficult to resist against.',171,36,312,340921594,613995491,405,0,2,'Your Jarol''s Sorrowful Requiem VI was successful on %t!','Your Jarol''s Sorrowful Requiem VI fades.','',1,1,'Spells/Scout/Bard/Dirge/JarolsSorrowfulRequiem.lua',2647,'You cast Jarol''s Sorrowful Requiem VI on %t.',0,0,0,1,0,1,0,0,0,370115,0,0,0,0,0,1,0,0,0,'DD',1579908438,1384378115,0,1),
(370121,2506969141,0,0,'Jarol''s Sorrowful Requiem VII','Does a medium amount of disease damage to target encounter. This spell is difficult to resist against.',171,36,312,340921594,613995491,455,0,2,'Your Jarol''s Sorrowful Requiem VII was successful on %t!','Your Jarol''s Sorrowful Requiem VII fades.','',1,1,'Spells/Scout/Bard/Dirge/JarolsSorrowfulRequiem.lua',2647,'You cast Jarol''s Sorrowful Requiem VII on %t.',0,0,0,1,0,1,0,0,0,370115,0,0,0,0,0,1,0,0,0,'DD',1579908484,1384377830,0,1),
(370122,723414639,0,0,'Lanet''s Excruciating Scream','Inflicts damage and dazes the target for a short duration.',175,38,315,340921594,3587918036,100,0,1,'Your Lanet''s Excruciating Scream was successful on %t!','Your Lanet''s Excruciating Scream fades.','',1,1,'Spells/Scout/Bard/Dirge/ClassicExcruciatingScream.lua',2648,'You cast Lanet''s Excruciating Scream on %t.',0,0,0,1,0,0,3,3,0,370122,0,0,0,0,0,0,0,0,0,'DD',1579909735,1384378116,0,1),
(370123,1807171380,0,0,'Lanet''s Agonizing Scream','Inflicts damage and dazes the target for a short duration.',175,38,315,340921594,3587918036,170,0,1,'Your Lanet''s Excruciating Scream II was successful on %t!','Your Lanet''s Excruciating Scream II fades.','',1,1,'Spells/Scout/Bard/Dirge/LanetsExcruciatingScream.lua',2648,'You cast Lanet''s Excruciating Scream II on %t.',0,0,0,1,0,1,3,3,0,370122,0,0,0,0,0,1,0,0,0,'DD',1579909844,1384377831,0,1),
(370124,99400386,0,0,'Lanet''s Violent Scream','Inflicts damage and dazes the target for a short duration.',175,38,315,340921594,3587918036,240,0,1,'Your Lanet''s Excruciating Scream III was successful on %t!','Your Lanet''s Excruciating Scream III fades.','',1,1,'Spells/Scout/Bard/Dirge/LanetsExcruciatingScream.lua',2648,'You cast Lanet''s Excruciating Scream III on %t.',0,0,0,1,0,1,3,3,0,370122,0,0,0,0,0,1,0,0,0,'DD',1579909915,1384378115,0,1),
(370125,2187136160,0,0,'Lanet''s Tumultuous Scream','Inflicts damage and dazes the target for a short duration.',175,38,315,340921594,3587918036,310,0,1,'Your Lanet''s Excruciating Scream IV was successful on %t!','Your Lanet''s Excruciating Scream IV fades.','',1,1,'Spells/Scout/Bard/Dirge/LanetsExcruciatingScream.lua',2648,'You cast Lanet''s Excruciating Scream IV on %t.',0,0,0,1,0,1,3,3,0,370122,0,0,0,0,0,1,0,0,0,'DD',1579910107,1384377838,0,1),
(370126,1770081015,0,0,'Lanet''s Scream','Inflicts damage and dazes the target for a short duration.',175,38,315,340921594,3587918036,370,0,1,'Your Lanet''s Excruciating Scream V was successful on %t!','Your Lanet''s Excruciating Scream V fades.','',1,1,'Spells/Scout/Bard/Dirge/LanetsExcruciatingScream.lua',2648,'You cast Lanet''s Excruciating Scream V on %t.',0,0,0,1,0,1,3,3,0,370122,0,0,0,0,0,1,0,0,0,'DD',1579910172,1384377831,0,1),
(370127,4172934475,0,0,'Lanet''s Excruciating Scream VI','Inflicts damage and dazes the target for a short duration.',175,38,315,340921594,3587918036,420,0,1,'Your Lanet''s Excruciating Scream VI was successful on %t!','Your Lanet''s Excruciating Scream VI fades.','',1,1,'Spells/Scout/Bard/Dirge/LanetsExcruciatingScream.lua',2648,'You cast Lanet''s Excruciating Scream VI on %t.',0,0,0,1,0,1,3,3,0,370122,0,0,0,0,0,1,0,0,0,'DD',1579910356,1384378116,0,1),
(370128,2612933743,0,0,'Lanet''s Excruciating Scream VII','Inflicts damage and dazes the target for a short duration.',175,38,315,340921594,3587918036,470,0,1,'Your Lanet''s Excruciating Scream VII was successful on %t!','Your Lanet''s Excruciating Scream VII fades.','',1,1,'Spells/Scout/Bard/Dirge/LanetsExcruciatingScream.lua',2648,'You cast Lanet''s Excruciating Scream VII on %t.',0,0,0,0,0,0,3,3,0,370122,0,0,0,0,0,1,0,0,0,'DD',1579910425,1384378113,0,1),
(370129,2430008574,0,0,'Shriek','Does a moderate amount of disease damage to the target.',171,36,315,340921594,613995491,15,0,1,'Your Luda''s Nefarious Wail was successful on %t!','Your Luda''s Nefarious Wail fades.','',1,1,'Spells/Scout/Bard/Dirge/LudasNefariousWail.lua',2649,'You cast Luda''s Nefarious Wail on %t.',0,0,0,1,0,0,0,0,0,370129,0,0,0,0,0,0,0,0,0,'DD',1579894618,1384378116,0,1),
(370130,1686219313,0,0,'Piercing Shriek','Does a moderate amount of disease damage to the target.',171,36,315,1311635100,613995491,60,0,1,'Your Luda''s Nefarious Wail II was successful on %t!','Your Luda''s Nefarious Wail II fades.','',1,1,'Spells/Scout/Bard/Dirge/LudasNefariousWail.lua',2649,'You cast Luda''s Nefarious Wail II on %t.',0,0,0,1,0,0,0,0,0,370129,0,0,0,0,0,0,0,0,0,'DD',1579894657,1384377830,0,1),
(370131,2005493939,0,0,'Luda''s Wicked Warble','Does a moderate amount of disease damage to the target.',171,36,315,340921594,613995491,130,0,1,'Your Luda''s Nefarious Wail III was successful on %t!','Your Luda''s Nefarious Wail III fades.','',1,1,'Spells/Scout/Bard/Dirge/LudasWickedWarble.lua',2649,'You cast Luda''s Nefarious Wail III on %t.',0,0,0,1,0,0,0,0,0,370129,0,0,0,0,0,0,0,0,0,'DD',1579894754,1384378115,0,1),
(370132,455932648,0,0,'Luda''s Fiendish Howl','Does a moderate amount of disease damage to the target.',171,36,315,340921594,613995491,200,0,1,'Your Luda''s Nefarious Wail IV was successful on %t!','Your Luda''s Nefarious Wail IV fades.','',1,1,'Spells/Scout/Bard/Dirge/LudasNefariousWail.lua',2649,'You cast Luda''s Nefarious Wail IV on %t.',0,0,0,1,0,0,0,0,0,370129,0,0,0,0,0,1,0,0,0,'DD',1579895171,1384378115,0,1),
(370133,288168368,0,0,'Luda''s Nefarious Wail IX','Does a moderate amount of disease damage to the target.',171,36,315,340921594,613995491,490,0,1,'Your Luda''s Nefarious Wail IX was successful on %t!','Your Luda''s Nefarious Wail IX fades.','',1,1,'Spells/Scout/Bard/Dirge/LudasNefariousWail.lua',2649,'You cast Luda''s Nefarious Wail IX on %t.',0,0,0,0,0,0,0,0,0,370129,0,0,0,0,0,1,0,0,0,'DD',1579896259,1384378116,0,1),
(370134,225099724,0,0,'Luda''s Heinous Cry','Does a moderate amount of disease damage to the target.',171,36,315,340921594,613995491,270,0,1,'Your Luda''s Nefarious Wail V was successful on %t!','Your Luda''s Nefarious Wail V fades.','',1,1,'Spells/Scout/Bard/Dirge/LudasNefariousWail.lua',2649,'You cast Luda''s Nefarious Wail V on %t.',0,0,0,1,0,0,0,0,0,370129,0,0,0,0,0,1,0,0,0,'DD',1579895255,1384377828,0,1),
(370135,1731052088,0,0,'Luda''s Nefarious Wail','Does a moderate amount of disease damage to the target.',171,36,315,340921594,613995491,340,0,1,'Your Luda''s Nefarious Wail VI was successful on %t!','Your Luda''s Nefarious Wail VI fades.','',1,1,'Spells/Scout/Bard/Dirge/LudasNefariousWail.lua',2649,'You cast Luda''s Nefarious Wail VI on %t.',0,0,0,1,0,0,0,0,0,370129,0,0,0,0,0,1,0,0,0,'DD',1579895516,1384378113,0,1),
(370136,4065303380,0,0,'Penetrating Shriek','Does a moderate amount of disease damage to the target.',171,36,315,340921594,613995491,390,0,1,'Your Luda''s Nefarious Wail VII was successful on %t!','Your Luda''s Nefarious Wail VII fades.','',1,1,'Spells/Scout/Bard/Dirge/LudasNefariousWail.lua',2649,'You cast Luda''s Nefarious Wail VII on %t.',0,0,0,1,0,0,0,0,0,370129,0,0,0,0,0,1,0,0,0,'DD',1579895663,1384378116,0,1),
(370137,2321478500,0,0,'Luda''s Nefarious Wail VIII','Does a moderate amount of disease damage to the target.',171,36,315,340921594,613995491,440,0,1,'Your Luda''s Nefarious Wail VIII was successful on %t!','Your Luda''s Nefarious Wail VIII fades.','',1,1,'Spells/Scout/Bard/Dirge/LudasNefariousWail.lua',2649,'You cast Luda''s Nefarious Wail VIII on %t.',0,0,0,1,0,0,0,0,0,370129,0,0,0,0,0,1,0,0,0,'DD',1579896046,1384377831,0,1),
(370138,1022701224,0,1,'March of Blades','This is the condensed energy of an ancient, mythical weapon.',171,65535,317,340921594,0,400,1,1,'Your March of Blades was successful on %t!','Your March of Blades fades.','',1,0,'Spells/Scout/Bard/Dirge/MarchofBlades.lua',3564,'You cast March of Blades on %t.',0,0,0,1,1,1,0,0,0,370138,0,0,0,0,0,0,0,0,0,'Unset',1579932631,1384377878,0,1),
(370139,2657707969,0,1,'Noxious Chorus','Increases noxious resistance of all the dirge''s allies.',208,38,314,340921594,3587918036,100,1,2,'Your Noxious Symphony was successful on %t!','Your Noxious Symphony fades.','',0,1,'Spells/Scout/Bard/Dirge/NoxiousChorus.lua',2651,'You cast Noxious Symphony on %t.',0,1,0,1,1,1,0,0,0,370139,0,0,0,0,0,0,0,0,0,'Unset',1579910504,1384377830,0,1),
(370140,3498227235,0,1,'Noxious Symphony','Increases noxious resistance of all the dirge''s allies.',208,38,314,340921594,3587918036,170,1,2,'Your Noxious Symphony II was successful on %t!','Your Noxious Symphony II fades.','',1,1,'Spells/Scout/Bard/Dirge/NoxiousSymphony.lua',2651,'You cast Noxious Symphony II on %t.',0,1,0,1,1,1,0,0,0,370139,0,0,0,0,0,1,0,0,0,'Unset',1579911161,1384378115,0,1),
(370141,3988459006,0,1,'Noxious Concerto','Increases noxious resistance of all the dirge''s allies.',208,38,314,340921594,3587918036,240,1,2,'Your Noxious Symphony III was successful on %t!','Your Noxious Symphony III fades.','',1,1,'Spells/Scout/Bard/Dirge/NoxiousSymphony.lua',2651,'You cast Noxious Symphony III on %t.',0,1,0,1,1,1,0,0,0,370139,0,0,0,0,0,1,0,0,0,'Unset',1579911251,1384378115,0,1),
(370142,2971240648,0,1,'Noxious Dissertation','Increases noxious resistance of all the dirge''s allies.',208,38,314,340921594,3587918036,310,1,2,'Your Noxious Symphony IV was successful on %t!','Your Noxious Symphony IV fades.','',1,1,'Spells/Scout/Bard/Dirge/NoxiousSymphony.lua',2651,'You cast Noxious Symphony IV on %t.',0,1,0,1,1,1,0,0,0,370139,0,0,0,0,0,1,0,0,0,'Unset',1579911333,1384377836,0,1),
(370143,2161161754,0,1,'Noxious Tempo','Increases noxious resistance of all the dirge''s allies.',208,38,314,340921594,3587918036,370,1,2,'Your Noxious Symphony V was successful on %t!','Your Noxious Symphony V fades.','',1,1,'Spells/Scout/Bard/Dirge/NoxiousSymphony.lua',2651,'You cast Noxious Symphony V on %t.',0,1,0,1,1,1,0,0,0,370139,0,0,0,0,0,1,0,0,0,'Unset',1579911361,1384378113,0,1),
(370144,3223498676,0,1,'Noxious Symphony VI','Increases noxious resistance of all the dirge''s allies.',208,38,314,340921594,3587918036,420,1,2,'Your Noxious Symphony VI was successful on %t!','Your Noxious Symphony VI fades.','',1,1,'Spells/Scout/Bard/Dirge/NoxiousSymphony.lua',2651,'You cast Noxious Symphony VI on %t.',0,1,0,1,1,1,0,0,0,370139,0,0,0,0,0,1,0,0,0,'Unset',1579911451,1384378116,0,1),
(370145,398471148,0,1,'Noxious Symphony VII','Increases noxious resistance of all the dirge''s allies.',208,38,314,340921594,3587918036,470,1,2,'Your Noxious Symphony VII was successful on %t!','Your Noxious Symphony VII fades.','',1,1,'Spells/Scout/Bard/Dirge/NoxiousSymphony.lua',2651,'You cast Noxious Symphony VII on %t.',0,1,0,1,1,1,0,0,0,370139,0,0,0,0,0,1,0,0,0,'Unset',1579911504,1384378116,0,1),
(370146,847451313,0,0,'Oration of Sacrifice','Quickly channels health over-time from the dirge to an ally. While in effect, the dirge is temporarily stifled.',487,65535,316,340921594,366253016,325,0,1,'Your Oration of Sacrifice was successful on %t!','Your Oration of Sacrifice fades.','',1,0,'Spells/Scout/Bard/Dirge/OrationofSacrifice.lua',2652,'You cast Oration of Sacrifice on %t.',0,1,0,1,1,1,0,2,0,370146,0,0,0,0,0,0,0,0,0,'Unset',1579932112,1384377828,0,1),
(370147,1492846922,0,0,'Speech of Sacrifice','Quickly channels health over-time from the dirge to an ally. While in effect, the dirge is temporarily stifled.',487,65535,316,340921594,366253016,390,0,1,'Your Oration of Sacrifice II was successful on %t!','Your Oration of Sacrifice II fades.','',1,0,'Spells/Scout/Bard/Dirge/OrationofSacrifice.lua',2652,'You cast Oration of Sacrifice II on %t.',0,1,0,1,1,1,0,2,0,370146,0,0,0,0,0,0,0,0,0,'Unset',1579932215,1384378115,0,1),
(370148,3867707565,0,0,'Oration of Sacrifice III','Quickly channels health over-time from the dirge to an ally. While in effect, the dirge is temporarily stifled.',487,65535,316,340921594,366253016,430,0,1,'Your Oration of Sacrifice III was successful on %t!','Your Oration of Sacrifice III fades.','',1,0,'Spells/Scout/Bard/Dirge/OrationofSacrifice.lua',2652,'You cast Oration of Sacrifice III on %t.',0,1,0,1,1,1,0,2,0,370146,0,0,0,0,0,0,0,0,0,'Unset',1579932392,1384378113,0,1),
(370149,2113626745,0,0,'Oration of Sacrifice IV','Quickly channels health over-time from the dirge to an ally. While in effect, the dirge is temporarily stifled.',487,65535,316,340921594,366253016,480,0,1,'Your Oration of Sacrifice IV was successful on %t!','Your Oration of Sacrifice IV fades.','',1,0,'Spells/Scout/Bard/Dirge/OrationofSacrifice.lua',2652,'You cast Oration of Sacrifice IV on %t.',0,0,0,0,1,0,0,2,0,370146,0,0,0,0,0,0,0,0,0,'Unset',1579932477,1384378116,0,1),
(370150,3535108715,0,1,'Percussion of Stone','A song that grants the dirge''s group a chance to absorb physical damage for a short duration after having taken any physical damage.',490,41,314,340921594,3587918036,260,1,2,'Your Percussion of Stone was successful on %t!','Your Percussion of Stone fades.','',1,1,'Spells/Scout/Bard/Dirge/PercussionofStone.lua',2653,'You cast Percussion of Stone on %t.',0,0,0,1,1,1,0,0,0,370150,0,0,0,0,0,0,0,0,0,'Unset',1579930684,1384378115,0,1),
(370151,3838025152,0,1,'Relentless Tune','Increases the Multi-Attack Chance of the dirge''s group.',174,41,314,340921594,3587918036,70,1,2,'Your Riana''s Relentless Tune was successful on %t!','Your Riana''s Relentless Tune fades.','',0,1,'Spells/Scout/Bard/Dirge/RianasRelentlessTune.lua',2656,'You cast Riana''s Relentless Tune on %t.',0,0,0,1,1,1,0,0,0,370151,0,0,0,0,0,0,0,0,0,'Unset',1579907157,1384377831,0,1),
(370152,2606573811,0,1,'Riana''s Relentless Tune','Increases the Multi-Attack Chance of the dirge''s group.',174,41,314,340921594,3587918036,140,1,2,'Your Riana''s Relentless Tune II was successful on %t!','Your Riana''s Relentless Tune II fades.','',1,1,'Spells/Scout/Bard/Dirge/ClassicRelentlessTune.lua',2656,'You cast Riana''s Relentless Tune II on %t.',0,0,0,1,1,1,0,0,0,370151,0,0,0,0,0,0,0,0,0,'Unset',1579907170,1384378116,0,1),
(370153,1615395418,0,1,'Riana''s Spiteful Sustain','Increases the Multi-Attack Chance of the dirge''s group.',174,41,314,340921594,3587918036,210,1,2,'Your Riana''s Relentless Tune III was successful on %t!','Your Riana''s Relentless Tune III fades.','',1,1,'Spells/Scout/Bard/Dirge/RianasRelentlessTune.lua',2656,'You cast Riana''s Relentless Tune III on %t.',0,0,0,1,1,1,0,0,0,370151,0,0,0,0,0,1,0,0,0,'Unset',1579907193,1384377828,0,1),
(370154,1602888703,0,1,'Riana''s Scornful Sustain','Increases the Multi-Attack Chance of the dirge''s group.',174,41,314,340921594,3587918036,280,1,2,'Your Riana''s Relentless Tune IV was successful on %t!','Your Riana''s Relentless Tune IV fades.','',1,1,'Spells/Scout/Bard/Dirge/RianasRelentlessTune.lua',2656,'You cast Riana''s Relentless Tune IV on %t.',0,0,0,1,1,1,0,0,0,370151,0,0,0,0,0,1,0,0,0,'Unset',1579907223,1384378113,0,1),
(370155,3074387619,0,1,'Riana''s Maligning Sustain','Increases the Multi-Attack Chance of the dirge''s group.',174,41,314,340921594,3587918036,350,1,2,'Your Riana''s Relentless Tune V was successful on %t!','Your Riana''s Relentless Tune V fades.','',1,1,'Spells/Scout/Bard/Dirge/RianasRelentlessTune.lua',2656,'You cast Riana''s Relentless Tune V on %t.',0,0,0,1,1,1,0,0,0,370151,0,0,0,0,0,1,0,0,0,'Unset',1579907245,1384377831,0,1),
(370156,1744325581,0,1,'Riana''s Indignant Sustain','Increases the Multi-Attack Chance of the dirge''s group.',174,41,314,340921594,3587918036,400,1,2,'Your Riana''s Relentless Tune VI was successful on %t!','Your Riana''s Relentless Tune VI fades.','',1,1,'Spells/Scout/Bard/Dirge/RianasRelentlessTune.lua',2656,'You cast Riana''s Relentless Tune VI on %t.',0,0,0,1,1,1,0,0,0,370151,0,0,0,0,0,1,0,0,0,'Unset',1579907272,1384378115,0,1),
(370157,3245562971,0,1,'Riana''s Relentless Tune VII','Increases the Multi-Attack Chance of the dirge''s group.',174,41,314,340921594,3587918036,450,1,2,'Your Riana''s Relentless Tune VII was successful on %t!','Your Riana''s Relentless Tune VII fades.','',1,1,'Spells/Scout/Bard/Dirge/RianasRelentlessTune.lua',2656,'You cast Riana''s Relentless Tune VII on %t.',0,0,0,1,1,1,0,0,0,370151,0,0,0,0,0,1,0,0,0,'Unset',1579907294,1384378115,0,1),
(370158,2951674229,0,1,'Riana''s Relentless Tune VIII','Increases the Multi-Attack Chance of the dirge''s group.',174,41,314,340921594,3587918036,500,1,2,'Your Riana''s Relentless Tune VIII was successful on %t!','Your Riana''s Relentless Tune VIII fades.','',1,1,'Spells/Scout/Bard/Dirge/RianasRelentlessTune.lua',2656,'You cast Riana''s Relentless Tune VIII on %t.',0,0,0,0,1,1,0,0,0,370151,0,0,0,0,0,1,0,0,0,'Unset',1579907337,1384378116,0,1),
(370159,950951948,0,1,'Offensive Boon','Increases the combat skills of the dirge''s group.',87,38,314,340921594,3587918036,15,1,2,'An augmentation song affects you.','Your Songster''s Luck fades.','',0,1,'Spells/Scout/Bard/Dirge/SongstersLuck.lua',2658,'You begin to play an augmentation song.',0,0,0,1,1,1,0,0,0,370159,0,0,0,0,0,0,0,0,0,'Unset',1579896285,1384378116,0,1),
(370160,325374467,0,1,'Songster''s Luck','Increases the combat skills of the dirge''s group.',87,38,314,1311635100,3587918036,85,1,2,'Your Songster''s Luck II was successful on %t!','Your Songster''s Luck II fades.','',0,1,'Spells/Scout/Bard/Dirge/SongstersLuck.lua',2658,'You cast Songster''s Luck II on %t.',0,0,0,1,1,1,0,0,0,370159,0,0,0,0,0,0,0,0,0,'Unset',1579896459,1384378115,0,1),
(370161,1019702263,0,1,'Lucky Boon','Increases the combat skills of the dirge''s group.',87,38,314,340921594,3587918036,155,1,2,'Your Songster''s Luck III was successful on %t!','Your Songster''s Luck III fades.','',1,1,'Spells/Scout/Bard/Dirge/SongstersLuck.lua',2658,'You cast Songster''s Luck III on %t.',0,0,0,1,1,1,0,0,0,370159,0,0,0,0,0,1,0,0,0,'Unset',1579896553,1384377831,0,1),
(370162,3049009924,0,1,'Discordant Boon','Increases the combat skills of the dirge''s group.',87,38,314,340921594,3587918036,225,1,2,'Your Songster''s Luck IV was successful on %t!','Your Songster''s Luck IV fades.','',1,1,'Spells/Scout/Bard/Dirge/SongstersLuck.lua',2658,'You cast Songster''s Luck IV on %t.',0,0,0,1,1,1,0,0,0,370159,0,0,0,0,0,1,0,0,0,'Unset',1579896574,1384378116,0,1),
(370163,2131794474,0,1,'Dissonant Boon','Increases the combat skills of the dirge''s group.',87,38,314,340921594,3587918036,295,1,2,'Your Songster''s Luck V was successful on %t!','Your Songster''s Luck V fades.','',1,1,'Spells/Scout/Bard/Dirge/SongstersLuck.lua',2658,'You cast Songster''s Luck V on %t.',0,0,0,1,1,1,0,0,0,370159,0,0,0,0,0,1,0,0,0,'Unset',1579896595,1384378158,0,1),
(370164,469845309,0,1,'Weapon Boon','Increases the combat skills of the dirge''s group.',87,38,314,340921594,3587918036,360,1,2,'Your Songster''s Luck VI was successful on %t!','Your Songster''s Luck VI fades.','',1,1,'Spells/Scout/Bard/Dirge/SongstersLuck.lua',2658,'You cast Songster''s Luck VI on %t.',0,0,0,1,1,1,0,0,0,370159,0,0,0,0,0,1,0,0,0,'Unset',1579896680,1384378113,0,1),
(370165,143363016,0,1,'Songster''s Luck VII','Increases the combat skills of the dirge''s group.',87,38,314,340921594,3587918036,410,1,2,'Your Songster''s Luck VII was successful on %t!','Your Songster''s Luck VII fades.','',1,1,'Spells/Scout/Bard/Dirge/SongstersLuck.lua',2658,'You cast Songster''s Luck VII on %t.',0,0,0,1,1,1,0,0,0,370159,0,0,0,0,0,1,0,0,0,'Unset',1579896700,1384378116,0,1),
(370166,2402107531,0,1,'Songster''s Luck VIII','Increases the combat skills of the dirge''s group.',87,38,314,340921594,3587918036,460,1,2,'Your Songster''s Luck VIII was successful on %t!','Your Songster''s Luck VIII fades.','',1,1,'Spells/Scout/Bard/Dirge/SongstersLuck.lua',2658,'You cast Songster''s Luck VIII on %t.',0,0,0,1,1,1,0,0,0,370159,0,0,0,0,0,1,0,0,0,'Unset',1579896723,1384377830,0,1),
(370167,1552138322,0,0,'Tarven''s Confounding Chorus','Decreases target''s defense, interrupts them and deals minor disease damage.',310,41,315,340921594,613995491,30,0,1,'Your Tarven''s Crippling Crescendo was successful on %t!','Your Tarven''s Crippling Crescendo fades.','',1,1,'Spells/Scout/Bard/Dirge/TarvensCripplingCrescendo.lua',2659,'You cast Tarven''s Crippling Crescendo on %t.',0,0,0,1,0,0,3,0,0,370167,0,0,0,0,0,0,0,0,0,'DD',1579899663,1384378115,0,1),
(370168,2996297447,0,0,'Tarven''s Crippling Crescendo','Decreases target''s defense, interrupts them and deals minor disease damage.',310,41,315,340921594,613995491,110,0,1,'Your Tarven''s Crippling Crescendo II was successful on %t!','Your Tarven''s Crippling Crescendo II fades.','',1,1,'Spells/Scout/Bard/Dirge/ClassicCripplingCrescendo.lua',2659,'You cast Tarven''s Crippling Crescendo II on %t.',0,0,0,1,0,1,3,0,0,370167,0,0,0,0,0,0,0,0,0,'DD',1579899753,1384377830,0,1),
(370169,1174555472,0,0,'Tarven''s Bedeviled Undersong','Decreases target''s defense, interrupts them and deals minor disease damage.',310,41,315,340921594,613995491,180,0,1,'Your Tarven''s Crippling Crescendo III was successful on %t!','Your Tarven''s Crippling Crescendo III fades.','',1,1,'Spells/Scout/Bard/Dirge/TarvensCripplingCrescendo.lua',2659,'You cast Tarven''s Crippling Crescendo III on %t.',0,0,0,1,0,1,3,0,0,370167,0,0,0,0,0,1,0,0,0,'DD',1579899850,1384377831,0,1),
(370170,2517677642,0,0,'Tarven''s Cantankerous Verse','Decreases target''s defense, interrupts them and deals minor disease damage.',310,41,315,340921594,613995491,250,0,1,'Your Tarven''s Crippling Crescendo IV was successful on %t!','Your Tarven''s Crippling Crescendo IV fades.','',1,1,'Spells/Scout/Bard/Dirge/TarvensCripplingCrescendo.lua',2659,'You cast Tarven''s Crippling Crescendo IV on %t.',0,0,0,1,0,1,3,0,0,370167,0,0,0,0,0,1,0,0,0,'DD',1579900098,1384378115,0,1),
(370171,4049273065,0,0,'Tarven''s Quarrelsome Rhyme','Decreases target''s defense, interrupts them and deals minor disease damage.',310,41,315,340921594,613995491,320,0,1,'Your Tarven''s Crippling Crescendo V was successful on %t!','Your Tarven''s Crippling Crescendo V fades.','',1,1,'Spells/Scout/Bard/Dirge/TarvensCripplingCrescendo.lua',2659,'You cast Tarven''s Crippling Crescendo V on %t.',0,0,0,1,0,1,3,0,0,370167,0,0,0,0,0,1,0,0,0,'DD',1579900168,1384378113,0,1),
(370172,879381073,0,0,'Rhyming Curse','Decreases target''s defense, interrupts them and deals minor disease damage.',310,41,315,340921594,613995491,375,0,1,'Your Tarven''s Crippling Crescendo VI was successful on %t!','Your Tarven''s Crippling Crescendo VI fades.','',1,1,'Spells/Scout/Bard/Dirge/TarvensCripplingCrescendo.lua',2659,'You cast Tarven''s Crippling Crescendo VI on %t.',0,0,0,1,0,1,3,0,0,370167,0,0,0,0,0,1,0,0,0,'DD',1579900320,1384378113,0,1),
(370173,4591435,0,0,'Tarven''s Crippling Crescendo VII','Decreases target''s defense, interrupts them and deals minor disease damage.',310,41,315,340921594,613995491,425,0,1,'Your Tarven''s Crippling Crescendo VII was successful on %t!','Your Tarven''s Crippling Crescendo VII fades.','',1,1,'Spells/Scout/Bard/Dirge/TarvensCripplingCrescendo.lua',2659,'You cast Tarven''s Crippling Crescendo VII on %t.',0,0,0,1,0,1,3,0,0,370173,0,0,0,0,0,1,0,0,0,'DD',1579900533,1384378116,0,1),
(370174,1009183811,0,0,'Tarven''s Crippling Crescendo VIII','Decreases target''s defense, interrupts them and deals minor disease damage.',310,41,315,340921594,613995491,475,0,1,'Your Tarven''s Crippling Crescendo VIII was successful on %t!','Your Tarven''s Crippling Crescendo VIII fades.','',1,1,'Spells/Scout/Bard/Dirge/TarvensCripplingCrescendo.lua',2659,'You cast Tarven''s Crippling Crescendo VIII on %t.',0,0,0,1,0,1,3,0,0,370173,0,0,0,0,0,1,0,0,0,'DD',1579900565,1384378116,0,1),
(370175,1182760929,0,0,'Verlien''s Keen of Slowness','Severely decreases target''s resistance to disease and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,340921594,613995491,35,0,1,'Your Verlien''s Keen of Despair was successful on %t!','Your Verlien''s Keen of Despair fades.','',1,1,'Spells/Scout/Bard/Dirge/VerliensKeenofDespair.lua',2661,'You cast Verlien''s Keen of Despair on %t.',0,0,0,1,0,0,3,0,0,370175,0,0,0,0,0,0,0,0,0,'Unset',1579900927,1384377831,0,1),
(370176,712844011,0,0,'Verlien''s Enigmatic Falsetto','Severely decreases target''s resistance to disease and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,340921594,613995491,115,0,1,'Your Verlien''s Keen of Despair II was successful on %t!','Your Verlien''s Keen of Despair II fades.','',1,1,'Spells/Scout/Bard/Dirge/VerliensEnigmaticFalsetto.lua',2661,'You cast Verlien''s Keen of Despair II on %t.',0,0,0,1,0,1,3,0,0,370175,0,0,0,0,0,0,0,0,0,'Unset',1579901064,1384378116,0,1),
(370177,2117519149,0,0,'Verlien''s Keen of Woe','Severely decreases target''s resistance to disease and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,340921594,613995491,185,0,1,'Your Verlien''s Keen of Despair III was successful on %t!','Your Verlien''s Keen of Despair III fades.','',1,1,'Spells/Scout/Bard/Dirge/VerliensKeenofDespair.lua',2661,'You cast Verlien''s Keen of Despair III on %t.',0,0,0,1,0,1,3,0,0,370175,0,0,0,0,0,1,0,0,0,'Unset',1579901821,1384378116,0,1),
(370178,1267580028,0,0,'Verlien''s Keen of Despair','Severely decreases target''s resistance to disease and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,340921594,613995491,255,0,1,'Your Verlien''s Keen of Despair IV was successful on %t!','Your Verlien''s Keen of Despair IV fades.','',1,1,'Spells/Scout/Bard/Dirge/VerliensKeenofDespair.lua',2661,'You cast Verlien''s Keen of Despair IV on %t.',0,0,0,1,0,1,3,0,0,370175,0,0,0,0,0,1,0,0,0,'Unset',1579901861,1384378115,0,1),
(370179,1589128729,0,0,'Verlien''s Keen of Calamity','Severely decreases target''s resistance to disease and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,340921594,613995491,325,0,1,'Your Verlien''s Keen of Despair V was successful on %t!','Your Verlien''s Keen of Despair V fades.','',1,1,'Spells/Scout/Bard/Dirge/VerliensKeenofDespair.lua',2661,'You cast Verlien''s Keen of Despair V on %t.',0,0,0,1,0,1,3,0,0,370175,0,0,0,0,0,1,0,0,0,'Unset',1579902671,1384378113,0,1),
(370180,2674357980,0,0,'Keen Tactics','Severely decreases target''s resistance to disease and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,340921594,613995491,380,0,1,'Your Verlien''s Keen of Despair VI was successful on %t!','Your Verlien''s Keen of Despair VI fades.','',1,1,'Spells/Scout/Bard/Dirge/VerliensKeenofDespair.lua',2661,'You cast Verlien''s Keen of Despair VI on %t.',0,0,0,1,0,1,3,0,0,370175,0,0,0,0,0,1,0,0,0,'Unset',1579904076,1384378116,0,1),
(370181,1577148884,0,0,'Verlien''s Keen of Despair VII','Severely decreases target''s resistance to disease and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,340921594,613995491,430,0,1,'Your Verlien''s Keen of Despair VII was successful on %t!','Your Verlien''s Keen of Despair VII fades.','',1,1,'Spells/Scout/Bard/Dirge/VerliensKeenofDespair.lua',2661,'You cast Verlien''s Keen of Despair VII on %t.',0,0,0,1,0,1,3,0,0,370175,0,0,0,0,0,1,0,0,0,'Unset',1579904141,1384377831,0,1),
(370182,814578325,0,0,'Verlien''s Keen of Despair VIII','Severely decreases target''s resistance to disease and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,340921594,613995491,480,0,1,'Your Verlien''s Keen of Despair VIII was successful on %t!','Your Verlien''s Keen of Despair VIII fades.','',1,1,'Spells/Scout/Bard/Dirge/VerliensKeenofDespair.lua',2661,'You cast Verlien''s Keen of Despair VIII on %t.',0,0,0,0,0,0,3,0,0,370175,0,0,0,0,0,1,0,0,0,'Unset',1579904848,1384378116,0,1),
(370183,4221694765,0,0,'Wail of the Banshee','Target and nearby encounter members suffer from disease damage overtime. This spell deals additional disease damage if it is not dispelled before it expires.',207,36,312,340921594,613995491,250,0,2,'Your Wail of the Banshee was successful on %t!','Your Wail of the Banshee fades.','',1,0,'Spells/Scout/Bard/Dirge/WailoftheBanshee.lua',2662,'You cast Wail of the Banshee on %t.',0,0,0,1,0,1,3,0,0,370183,0,0,0,0,0,1,0,0,0,'DoT',1579930159,1384378115,0,1),
(370184,1448414875,0,0,'Banshee','Target and nearby encounter members suffer from disease damage overtime. This spell deals additional disease damage if it is not dispelled before it expires.',207,36,312,340921594,613995491,350,0,2,'Your Wail of the Banshee II was successful on %t!','Your Wail of the Banshee II fades.','',1,0,'Spells/Scout/Bard/Dirge/WailoftheBanshee.lua',2662,'You cast Wail of the Banshee II on %t.',0,0,0,1,0,1,3,0,0,370183,0,0,0,0,0,1,0,0,0,'DoT',1579930269,1384377831,0,1),
(370185,2913901987,0,0,'Cry of The Banshee','Target and nearby encounter members suffer from disease damage overtime. This spell deals additional disease damage if it is not dispelled before it expires.',207,36,312,340921594,613995491,400,0,2,'Your Wail of the Banshee III was successful on %t!','Your Wail of the Banshee III fades.','',1,0,'Spells/Scout/Bard/Dirge/WailoftheBanshee.lua',2662,'You cast Wail of the Banshee III on %t.',0,0,0,1,0,1,3,0,0,370183,0,0,0,0,0,1,0,0,0,'DoT',1579930377,1384378116,0,1),
(370186,1014619500,0,0,'Wail of the Banshee IV','Target and nearby encounter members suffer from disease damage overtime. This spell deals additional disease damage if it is not dispelled before it expires.',207,36,312,340921594,613995491,450,0,2,'Your Wail of the Banshee IV was successful on %t!','Your Wail of the Banshee IV fades.','',1,0,'Spells/Scout/Bard/Dirge/WailoftheBanshee.lua',2662,'You cast Wail of the Banshee IV on %t.',0,0,0,1,0,1,3,0,0,370183,0,0,0,0,0,1,0,0,0,'DoT',1579930522,1384378116,0,1),
(370187,157382008,0,0,'Wail of the Banshee V','Target and nearby encounter members suffer from disease damage overtime. This spell deals additional disease damage if it is not dispelled before it expires.',207,36,312,340921594,613995491,500,0,2,'Your Wail of the Banshee V was successful on %t!','Your Wail of the Banshee V fades.','',1,0,'Spells/Scout/Bard/Dirge/WailoftheBanshee.lua',2662,'You cast Wail of the Banshee V on %t.',0,0,0,0,0,1,3,0,0,370183,0,0,0,0,0,1,0,0,0,'DoT',1579930652,1384378116,0,1),
(370200,4189751742,0,0,'Dazzling Blade','Melee attack that does Mental damage; and on a successful attack, decreases Mental mitigation.',371,36,315,1311635100,0,128,0,0,'','','',1,0,'Spells/Scout/Bard/Dirge/DazzlingBlade.lua',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(380000,433567714,1,0,'Back Shot','A ranged attack that deals very high damage from flanking or behind. It requires a bow.',306,37,315,3167106577,0,75,0,1,'Your Back Shot was successful on %t!','Your Back Shot fades.','',0,1,'Spells/Scout/Predator/BackShot.lua',386,'You cast Back Shot on %t.',1,0,0,1,0,0,0,0,0,380000,0,0,0,0,0,1,0,0,0,'DD',1384670722,1384378115,0,0),
(380001,1743571986,1,1,'Blade Flurry','Grants the predator a chance to strike for an additional attack with each successful melee hit.',296,38,317,3167106577,0,85,1,0,'Your Blade Flurry was successful on %t!','Your Blade Flurry fades.','',0,0,'Spells/Scout/Predator/BladeFlurry.lua',270,'You cast Blade Flurry on %t.',1,0,0,1,1,0,0,0,0,380001,0,0,0,0,0,1,0,0,0,'Buff',1384670737,1384378115,0,0),
(380002,1058474243,1,0,'Bleed','A penetrating attack that deals significant damage over time.',345,36,315,3167106577,3167106577,60,0,1,'Your Bleed was successful on %t!','Your Bleed fades.','',0,1,'Spells/Scout/Predator/Bleed.lua',352,'You cast Bleed on %t.',1,0,0,1,0,0,1,0,0,380002,0,0,0,0,0,1,0,0,0,'DoT',1384670740,1384378116,0,0),
(380003,3655255681,1,0,'Honed Reflexes','Increases attack speed for a short duration.',293,38,317,3167106577,0,175,0,0,'Your Honed Reflexes was successful on %t!','Your Honed Reflexes fades.','',0,1,'Spells/Scout/Predator/HonedReflexes.lua',2675,'You cast Honed Reflexes on %t.',1,0,0,1,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1573182673,1384378116,0,0),
(380004,4220228150,1,1,'Hunter''s Instinct','Increases agility of the predator.',191,38,317,3167106577,0,65,1,0,'Your Hunter''s Instinct was successful on %t!','Your Hunter''s Instinct fades.','',0,1,'Spells/Scout/Predator/HuntersInstinct.lua',521,'You cast Hunter''s Instinct on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',1384670834,1384378115,0,0),
(380005,2549387248,1,0,'Impale','Deals medium damage and causes the target to bleed, dealing additional piercing damage over time.',376,36,315,3167106577,0,65,0,1,'Your Impale was successful on %t!','Your Impale fades.','',0,1,'Spells/Scout/Predator/Impale.lua',352,'You cast Impale on %t.',1,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DoT',1384670837,1384378115,0,0),
(380006,4067861384,1,0,'Open Shot','Two precise ranged attacks. If one of these attacks misses, the successive ones will miss automatically. This requires a ranged weapon.',361,37,315,3167106577,0,80,0,1,'Your Open Shot was successful on %t!','Your Open Shot fades.','',0,1,'Spells/Scout/Predator/OpenShot.lua',386,'You cast Open Shot on %t.',1,0,0,1,0,0,0,0,0,380006,0,0,0,0,0,1,0,0,0,'DD',1384670880,1384378115,0,0),
(380007,2130564527,1,0,'Pierce','A quick attack that deals medium damage.',338,36,315,3167106577,0,75,0,1,'Your Pierce was successful on %t!','Your Pierce fades.','',0,1,'Spells/Scout/Predator/Pierce.lua',1229,'You cast Pierce on %t.',1,0,0,1,0,0,0,0,0,310018,0,0,0,0,0,1,0,0,0,'DD',1384670885,1384378115,0,0),
(380008,3812047051,1,0,'Pounce','A powerful stealthed attack that strikes nearby enemies in front of the predator.',334,40,312,3167106577,0,95,0,9,'Your Pounce was successful on %t!','Your Pounce fades.','',0,1,'Spells/Scout/Predator/Pounce.lua',491,'You cast Pounce on %t.',1,0,0,1,0,1,0,0,1,380008,0,0,0,0,0,1,0,0,0,'DD',1384670887,1384378115,0,0),
(380009,1513430486,1,1,'Reconnoiter','Reduces the amount of hate that the predator accumulates in combat.',370,41,317,3167106577,0,0,1,0,'Your Reconnoiter was successful on %t!','Your Reconnoiter fades.','',0,0,'Spells/Scout/Predator/Reconnoiter.lua',0,'You cast Reconnoiter on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670902,1384378115,0,0),
(380010,3671520401,1,0,'Shadow Blade','A deadly attack that deals very high damage. It can only be used behind or on the side of the target while in stealth.',339,36,315,3167106577,0,50,0,1,'Your Shadow Blade was successful on %t!','Your Shadow Blade fades.','',0,1,'Spells/Scout/Predator/ShadowBlade.lua',55,'You cast Shadow Blade on %t.',1,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1384670921,1384378116,0,0),
(380011,2172960002,1,0,'Shrouded Strike','An attack made from the side that deals moderate damage and stealths the predator.',377,40,315,3167106577,0,95,0,1,'Your Shrouded Strike was successful on %t!','Your Shrouded Strike fades.','',0,1,'Spells/Scout/Predator/ShroudedStrike.lua',343,'You cast Shrouded Strike on %t.',1,0,0,1,0,0,0,0,0,380011,0,0,0,0,0,1,0,0,0,'DD',1384670927,1384378115,0,0),
(380012,3533632383,1,0,'Stalk','Lowers target''s hate towards the predator and places the predator into stealth.',370,38,315,3167106577,0,70,0,1,'Your Stalk was successful on %t!','Your Stalk fades.','',0,1,'Spells/Scout/Predator/Stalk.lua',41,'You cast Stalk on %t.',1,0,0,1,0,0,0,0,0,380012,0,0,0,0,0,1,0,0,0,'Detaunt',1384670946,1384378116,0,0),
(380013,2940522868,1,0,'Shadow','Lowers target''s hate towards the predator and places the predator into stealth.',370,38,315,3167106577,0,140,0,1,'Your Stalk II was successful on %t!','Your Stalk II fades.','',0,1,'Spells/Scout/Predator/Stalk.lua',2693,'You cast Stalk II on %t.',1,0,0,1,0,0,0,0,0,380012,0,0,0,0,0,1,0,0,0,'Unset',1384670946,1384378116,0,0),
(380014,4188981281,1,0,'Stalk','Lowers target''s hate towards the predator and places the predator into stealth.',370,38,315,3167106577,0,210,0,1,'Your Stalk III was successful on %t!','Your Stalk III fades.','',0,1,'Spells/Scout/Predator/Stalk.lua',2693,'You cast Stalk III on %t.',1,0,0,1,0,0,0,0,0,380012,0,0,0,0,0,1,0,0,0,'Unset',1384670946,1384378116,0,0),
(380015,109492062,1,0,'Survey','Lowers target''s hate towards the predator and places the predator into stealth.',370,38,315,3167106577,0,280,0,1,'Your Stalk IV was successful on %t!','Your Stalk IV fades.','',0,1,'Spells/Scout/Predator/Stalk.lua',2693,'You cast Stalk IV on %t.',1,0,0,1,0,0,0,0,0,380012,0,0,0,0,0,1,0,0,0,'Unset',1384670946,1384378116,0,0),
(380016,4268343469,1,0,'Surveillance','Lowers target''s hate towards the predator and places the predator into stealth.',370,38,315,3167106577,0,350,0,1,'Your Stalk V was successful on %t!','Your Stalk V fades.','',0,1,'Spells/Scout/Predator/Stalk.lua',2693,'You cast Stalk V on %t.',1,0,0,1,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1573182637,1384378116,0,0),
(380017,3673324219,1,0,'Spy','Lowers target''s hate towards the predator and places the predator into stealth.',370,38,315,3167106577,0,400,0,1,'Your Stalk VI was successful on %t!','Your Stalk VI fades.','',0,1,'Spells/Scout/Predator/Stalk.lua',2693,'You cast Stalk VI on %t.',1,0,0,1,0,0,0,0,0,380012,0,0,0,0,0,1,0,0,0,'Unset',1384670946,1384378116,0,0),
(380018,4113878233,1,0,'Stalk VII','Lowers target''s hate towards the predator and places the predator into stealth.',370,38,315,3167106577,0,450,0,1,'Your Stalk VII was successful on %t!','Your Stalk VII fades.','',0,1,'Spells/Scout/Predator/Stalk.lua',2693,'You cast Stalk VII on %t.',1,0,0,1,0,0,0,0,0,380012,0,0,0,0,0,1,0,0,0,'Unset',1384670946,1384378116,0,0),
(380019,601425776,2,1,'Stealth','Allows the predator to move undetected and detect invisible creatures.',341,38,317,3167106577,0,5,0,0,'Your Stealth was successful on %t!','Your Stealth fades.','',0,0,'Spells/Scout/Predator/Stealth.lua',2694,'You cast Stealth on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670948,1384378116,0,1),
(380020,1675521105,1,1,'Survival Instincts','Increases defense and parry skills of the predator while reducing their attack speed.',278,40,317,3167106577,0,90,1,0,'Your Survival Instincts was successful on %t!','Your Survival Instincts fades.','',0,1,'Spells/Scout/Predator/SurvivalInstincts.lua',259,'You cast Survival Instincts on %t.',1,0,0,0,1,0,0,0,0,380001,0,0,0,0,0,1,0,0,0,'Unset',1384670957,1384377831,0,0),
(380021,0,1,0,'Hunt','Allows stealthed movement and the ability to see hidden enemies.',167,65535,318,3167106577,0,85,0,0,'','','',0,1,'Spells/Predator/Hunt.lua',261,'',0,0,0,0,0,0,0,0,0,380021,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,0),
(390000,673969125,1,1,'Archer''s Stance','Grants the ranger a chance to strike for additional damage with each successful ranged attack and increase offensive skills, at the cost of defense. This is the ranger''s primary offensive stance.',362,38,317,1400160844,0,85,1,0,'Your Archer''s Fury was successful on %t!','Your Archer''s Fury fades.','',0,1,'Spells/Scout/Predator/Ranger/ArchersFury.lua',2665,'You cast Archer''s Fury on %t.',1,0,0,1,1,1,0,0,0,390000,0,0,0,0,0,0,0,0,0,'Unset',1580708599,1384378113,0,0),
(390001,2286903405,1,1,'Arrow Flurry','Grants the ranger a chance to strike for additional damage with each successful ranged attack and increase offensive skills, at the cost of defense. This is the ranger''s primary offensive stance.',362,38,317,1400160844,0,155,1,0,'Your Archer''s Fury II was successful on %t!','Your Archer''s Fury II fades.','',0,1,'Spells/Scout/Predator/Ranger/ArchersFury.lua',2665,'You cast Archer''s Fury II on %t.',1,0,0,1,1,1,0,0,0,390000,0,0,0,0,0,1,0,0,0,'Unset',1580708612,1384378115,0,0),
(390002,1489915404,1,1,'Arrow Frenzy','Grants the ranger a chance to strike for additional damage with each successful ranged attack and increase offensive skills, at the cost of defense. This is the ranger''s primary offensive stance.',362,38,317,1400160844,0,225,1,0,'Your Archer''s Fury III was successful on %t!','Your Archer''s Fury III fades.','',0,1,'Spells/Scout/Predator/Ranger/ArchersFury.lua',2665,'You cast Archer''s Fury III on %t.',1,0,0,1,1,1,0,0,0,390000,0,0,0,0,0,1,0,0,0,'Unset',1580708637,1384378113,0,0),
(390003,2811831817,1,1,'Archer''s Frenzy','Grants the ranger a chance to strike for additional damage with each successful ranged attack and increase offensive skills, at the cost of defense. This is the ranger''s primary offensive stance.',362,38,317,1400160844,0,295,1,0,'Your Archer''s Fury IV was successful on %t!','Your Archer''s Fury IV fades.','',0,1,'Spells/Scout/Predator/Ranger/ArchersFury.lua',2665,'You cast Archer''s Fury IV on %t.',1,0,0,1,1,1,0,0,0,390000,0,0,0,0,0,1,0,0,0,'Unset',1580708656,1384378116,0,0),
(390004,1686537523,1,1,'Archer''s Fury','Grants the ranger a chance to strike for additional damage with each successful ranged attack and increase offensive skills, at the cost of defense. This is the ranger''s primary offensive stance.',362,38,317,1400160844,0,360,1,0,'Your Archer''s Fury V was successful on %t!','Your Archer''s Fury V fades.','',0,1,'Spells/Scout/Predator/Ranger/ArchersFury.lua',2665,'You cast Archer''s Fury V on %t.',1,0,0,1,1,1,0,0,0,390000,0,0,0,0,0,1,0,0,0,'Unset',1580708667,1384378115,0,0),
(390005,3831150039,1,1,'Archer''s Fury VI','Grants the ranger a chance to strike for additional damage with each successful ranged attack and increase offensive skills, at the cost of defense. This is the ranger''s primary offensive stance.',362,38,317,1400160844,0,410,1,0,'Your Archer''s Fury VI was successful on %t!','Your Archer''s Fury VI fades.','',0,1,'Spells/Scout/Predator/Ranger/ArchersFury.lua',2665,'You cast Archer''s Fury VI on %t.',1,0,0,1,1,1,0,0,0,390000,0,0,0,0,0,1,0,0,0,'Unset',1580708724,1384378116,0,0),
(390006,1570860607,1,1,'Archer''s Fury VII','Grants the ranger a chance to strike for additional damage with each successful ranged attack and increase offensive skills, at the cost of defense. This is the ranger''s primary offensive stance.',362,38,317,1400160844,0,460,1,0,'Your Archer''s Fury VII was successful on %t!','Your Archer''s Fury VII fades.','',0,1,'Spells/Scout/Predator/Ranger/ArchersFury.lua',2665,'You cast Archer''s Fury VII on %t.',1,0,0,1,1,1,0,0,0,390000,0,0,0,0,0,1,0,0,0,'Unset',1580708751,1384378116,0,0),
(390007,555789948,1,0,'Rip','An attack that deals damage as the ranger attempts to rip an arrow from the target.',335,37,315,1400160844,0,150,0,1,'Your Arrow Rip was successful on %t!','Your Arrow Rip fades.','',0,1,'Spells/Scout/Predator/Ranger/Rip.lua',2666,'You cast Arrow Rip on %t.',1,0,0,1,0,0,0,0,0,390007,0,0,0,0,0,0,0,0,0,'DD',1580776156,1384378116,0,0),
(390008,3322410137,1,0,'Tear','An attack that deals damage as the ranger attempts to rip an arrow from the target.',335,37,315,1400160844,0,220,0,1,'Your Arrow Rip II was successful on %t!','Your Arrow Rip II fades.','',0,1,'Spells/Scout/Predator/Ranger/ArrowRip.lua',2666,'You cast Arrow Rip II on %t.',1,0,0,1,0,0,0,0,0,390007,0,0,0,0,0,1,0,0,0,'DD',1580776208,1384378113,0,0),
(390009,3469142697,1,0,'Arrow Rip','An attack that deals damage as the ranger attempts to rip an arrow from the target.',335,37,315,1400160844,0,290,0,1,'Your Arrow Rip III was successful on %t!','Your Arrow Rip III fades.','',0,1,'Spells/Scout/Predator/Ranger/ArrowRip.lua',2666,'You cast Arrow Rip III on %t.',1,0,0,1,0,0,0,0,0,390007,0,0,0,0,0,1,0,0,0,'DD',1580776254,1384378114,0,0),
(390010,3825997108,1,0,'Arrow Tear','An attack that deals damage as the ranger attempts to rip an arrow from the target.',335,37,315,1400160844,0,360,0,1,'Your Arrow Rip IV was successful on %t!','Your Arrow Rip IV fades.','',0,1,'Spells/Scout/Predator/Ranger/ArrowRip.lua',2666,'You cast Arrow Rip IV on %t.',1,0,0,1,0,0,0,0,0,390007,0,0,0,0,0,1,0,0,0,'DD',1580776292,1384378115,0,0),
(390011,2999366595,1,0,'Arrow Rip V','An attack that deals damage as the ranger attempts to rip an arrow from the target.',335,37,315,1400160844,0,410,0,1,'Your Arrow Rip V was successful on %t!','Your Arrow Rip V fades.','',0,1,'Spells/Scout/Predator/Ranger/ArrowRip.lua',2666,'You cast Arrow Rip V on %t.',1,0,0,1,0,0,0,0,0,390007,0,0,0,0,0,1,0,0,0,'DD',1580776351,1384378116,0,0),
(390012,694419372,1,0,'Arrow Rip VI','An attack that deals damage as the ranger attempts to rip an arrow from the target.',335,37,315,1400160844,0,460,0,1,'Your Arrow Rip VI was successful on %t!','Your Arrow Rip VI fades.','',0,1,'Spells/Scout/Predator/Ranger/ArrowRip.lua',2666,'You cast Arrow Rip VI on %t.',1,0,0,1,0,0,0,0,0,390007,0,0,0,0,0,1,0,0,0,'DD',1580776402,1384378116,0,0),
(390013,3329597614,1,0,'Bleeding Cut','A penetrating attack that deals significant damage over time.',345,36,315,1400160844,0,60,0,1,'Your Bloody Reminder was successful on %t!','Your Bloody Reminder fades.','',0,1,'Spells/Scout/Predator/Ranger/BloodyReminder.lua',2667,'You cast Bloody Reminder on %t.',1,0,0,1,0,1,1,0,0,390013,0,0,0,0,0,0,0,0,0,'DoT',1580692697,1384378113,0,0),
(390014,12994430,1,0,'Leaping Cut','A penetrating attack that deals significant damage over time.',345,36,315,1400160844,0,130,0,1,'Your Bloody Reminder II was successful on %t!','Your Bloody Reminder II fades.','',0,1,'Spells/Scout/Predator/Ranger/LeapingCut.lua',2667,'You cast Bloody Reminder II on %t.',1,0,0,1,0,1,1,0,0,390013,0,0,0,0,0,0,0,0,0,'DoT',1580705700,1384377831,0,0),
(390015,1870038260,1,0,'Deadly Reminder','A penetrating attack that deals significant damage over time.',345,36,315,1400160844,0,200,0,1,'Your Bloody Reminder III was successful on %t!','Your Bloody Reminder III fades.','',0,1,'Spells/Scout/Predator/Ranger/BloodyReminder.lua',2667,'You cast Bloody Reminder III on %t.',1,0,0,1,0,1,1,0,0,390013,0,0,0,0,0,1,0,0,0,'DoT',1580705768,1384378113,0,0),
(390016,1944389983,1,0,'Fatal Reminder','A penetrating attack that deals significant damage over time.',345,36,315,1400160844,0,270,0,1,'Your Bloody Reminder IV was successful on %t!','Your Bloody Reminder IV fades.','',0,1,'Spells/Scout/Predator/Ranger/BloodyReminder.lua',2667,'You cast Bloody Reminder IV on %t.',1,0,0,1,0,1,1,0,0,390013,0,0,0,0,0,1,0,0,0,'DoT',1580705817,1384377831,0,0),
(390017,657542494,1,0,'Mortal Reminder','A penetrating attack that deals significant damage over time.',345,36,315,1400160844,0,340,0,1,'Your Bloody Reminder V was successful on %t!','Your Bloody Reminder V fades.','',0,1,'Spells/Scout/Predator/Ranger/BloodyReminder.lua',2667,'You cast Bloody Reminder V on %t.',1,0,0,1,0,1,1,0,0,390013,0,0,0,0,0,1,0,0,0,'DoT',1580706362,1384378116,0,0),
(390018,3741021249,1,0,'Bloody Reminder','A penetrating attack that deals significant damage over time.',345,36,315,1400160844,0,390,0,1,'Your Bloody Reminder VI was successful on %t!','Your Bloody Reminder VI fades.','',0,1,'Spells/Scout/Predator/Ranger/BloodyReminder.lua',2667,'You cast Bloody Reminder VI on %t.',1,0,0,1,0,1,1,0,0,390013,0,0,0,0,0,1,0,0,0,'DoT',1580706611,1384378116,0,0),
(390019,679792681,1,0,'Bloody Reminder VII','A penetrating attack that deals significant damage over time.',345,36,315,1400160844,0,440,0,1,'Your Bloody Reminder VII was successful on %t!','Your Bloody Reminder VII fades.','',0,1,'Spells/Scout/Predator/Ranger/BloodyReminder.lua',2667,'You cast Bloody Reminder VII on %t.',1,0,0,1,0,1,1,0,0,390013,0,0,0,0,0,1,0,0,0,'DoT',1580706879,1384378114,0,0),
(390020,3352717000,1,0,'Bloody Reminder VIII','A penetrating attack that deals significant damage over time.',345,36,315,1400160844,0,490,0,1,'Your Bloody Reminder VIII was successful on %t!','Your Bloody Reminder VIII fades.','',0,1,'Spells/Scout/Predator/Ranger/BloodyReminder.lua',2667,'You cast Bloody Reminder VIII on %t.',1,0,0,0,0,0,1,0,0,390013,0,0,0,0,0,1,0,0,0,'DoT',1580707522,1384378114,0,0),
(390021,3446147495,1,0,'Coverage','Coverage can only be used after any ranged combat art that requires stealth or positions. Coverage quickly places you into stealth. Your next ranged stealth attack under Coverage is more deadly.',189,65535,317,1400160844,0,400,0,1,'Your Coverage was successful on %t!','Your Coverage fades.','',0,0,'',2668,'You cast Coverage on %t.',1,0,0,1,1,1,0,0,0,390021,0,0,0,0,0,0,0,0,0,'Unset',1384670764,1384378116,0,0),
(390022,2366921462,1,0,'Wounding Arrow','A precise ranged attack that cripples target''s parry and deflection skills.',360,37,315,1400160844,0,100,0,1,'Your Crippling Arrow was successful on %t!','Your Crippling Arrow fades.','',0,1,'Spells/Scout/Predator/Ranger/WoundingArrow.lua',2669,'You cast Crippling Arrow on %t.',1,0,0,1,0,1,1,0,0,390022,0,0,0,0,0,0,0,0,0,'DD',1580773779,1384377828,0,0),
(390023,1172005685,1,0,'Crippling Arrow','A precise ranged attack that cripples target''s parry and deflection skills.',360,37,315,1400160844,0,170,0,1,'Your Crippling Arrow II was successful on %t!','Your Crippling Arrow II fades.','',0,1,'Spells/Scout/Predator/Ranger/CripplingArrow.lua',2669,'You cast Crippling Arrow II on %t.',1,0,0,1,0,1,1,0,0,390022,0,0,0,0,0,1,0,0,0,'DD',1580773842,1384378115,0,0),
(390024,477671672,1,0,'Debilitating Arrow','A precise ranged attack that cripples target''s parry and deflection skills.',360,37,315,1400160844,0,240,0,1,'Your Crippling Arrow III was successful on %t!','Your Crippling Arrow III fades.','',0,1,'Spells/Scout/Predator/Ranger/CripplingArrow.lua',2669,'You cast Crippling Arrow III on %t.',1,0,0,1,0,1,1,0,0,390022,0,0,0,0,0,1,0,0,0,'DD',1580773901,1384378116,0,0),
(390025,1011472481,1,0,'Devitalizing Arrow','A precise ranged attack that cripples target''s parry and deflection skills.',360,37,315,1400160844,0,310,0,1,'Your Crippling Arrow IV was successful on %t!','Your Crippling Arrow IV fades.','',0,1,'Spells/Scout/Predator/Ranger/CripplingArrow.lua',2669,'You cast Crippling Arrow IV on %t.',1,0,0,1,0,1,1,0,0,390022,0,0,0,0,0,1,0,0,0,'DD',1580773942,1384378116,0,0),
(390026,4290174422,1,0,'Vulnerable Arrow','A precise ranged attack that cripples target''s parry and deflection skills.',360,37,315,1400160844,0,370,0,1,'Your Crippling Arrow V was successful on %t!','Your Crippling Arrow V fades.','',0,1,'Spells/Scout/Predator/Ranger/CripplingArrow.lua',2669,'You cast Crippling Arrow V on %t.',1,0,0,1,0,1,1,0,0,390022,0,0,0,0,0,1,0,0,0,'DD',1580773986,1384378116,0,0),
(390027,3087798363,1,0,'Crippling Arrow VI','A precise ranged attack that cripples target''s parry and deflection skills.',360,37,315,1400160844,0,420,0,1,'Your Crippling Arrow VI was successful on %t!','Your Crippling Arrow VI fades.','',0,1,'Spells/Scout/Predator/Ranger/CripplingArrow.lua',2669,'You cast Crippling Arrow VI on %t.',1,0,0,1,0,1,1,0,0,390022,0,0,0,0,0,1,0,0,0,'DD',1580774023,1384378114,0,0),
(390028,1465820858,1,0,'Crippling Arrow VII','A precise ranged attack that cripples target''s parry and deflection skills.',360,37,315,1400160844,0,470,0,1,'Your Crippling Arrow VII was successful on %t!','Your Crippling Arrow VII fades.','',0,1,'Spells/Scout/Predator/Ranger/CripplingArrow.lua',2669,'You cast Crippling Arrow VII on %t.',1,0,0,1,0,1,1,0,0,390022,0,0,0,0,0,1,0,0,0,'DD',1580774071,1384378116,0,0),
(390029,1387134288,1,1,'Eagle''s Talon','This is the condensed energy of an ancient, mythical weapon.',685,65535,317,1400160844,0,400,1,1,'Your Eagle''s Talon was successful on %t!','Your Eagle''s Talon fades.','',0,1,'Spells/Scout/Predator/Ranger/EaglesTalon.lua',3565,'You cast Eagle''s Talon on %t.',1,0,0,1,1,1,0,0,0,390029,0,0,0,0,0,0,0,0,0,'Unset',1580778510,1384377875,0,0),
(390030,1006064856,1,0,'Stalker Strike','A stealthed attack that engulfs the target with flames, dealing great heat damage. It can only be used while in stealth.',482,40,315,1400160844,0,10,0,1,'Your Emberstrike was successful on %t!','Your Emberstrike fades.','',0,1,'Spells/Scout/Predator/Ranger/Emberstrike.lua',2670,'You cast Emberstrike on %t.',1,0,0,1,0,0,0,0,0,390030,0,0,0,0,0,0,0,0,0,'DD',1580682341,1384378113,0,0),
(390031,224987772,1,0,'Shadowfire','A stealthed attack that engulfs the target with flames, dealing great heat damage. It can only be used while in stealth.',482,40,315,1400160844,0,45,0,1,'Your Emberstrike II was successful on %t!','Your Emberstrike II fades.','',0,1,'Spells/Scout/Predator/Ranger/Emberstrike.lua',2670,'You cast Emberstrike II on %t.',1,0,0,1,0,0,0,0,0,390030,0,0,0,0,0,0,0,0,0,'DD',1580682379,1384378116,0,0),
(390032,1047310617,1,0,'Shadowflame','A stealthed attack that engulfs the target with flames, dealing great heat damage. It can only be used while in stealth.',482,40,315,1400160844,0,105,0,1,'Your Emberstrike III was successful on %t!','Your Emberstrike III fades.','',0,1,'Spells/Scout/Predator/Ranger/Shadowflame.lua',2670,'You cast Emberstrike III on %t.',1,0,0,1,0,0,0,0,0,390030,0,0,0,0,0,0,0,0,0,'DD',1580682399,1384378116,0,0),
(390033,2915441287,1,0,'Raven Embers','A stealthed attack that engulfs the target with flames, dealing great heat damage. It can only be used while in stealth.',482,40,315,1400160844,0,175,0,1,'Your Emberstrike IV was successful on %t!','Your Emberstrike IV fades.','',0,1,'Spells/Scout/Predator/Ranger/Emberstrike.lua',2670,'You cast Emberstrike IV on %t.',1,0,0,1,0,0,0,0,0,390081,0,0,0,0,0,1,0,0,0,'DD',1580682437,1384378116,0,0),
(390034,2341975197,1,0,'Emberstrike IX','A stealthed attack that engulfs the target with flames, dealing great heat damage. It can only be used while in stealth.',482,40,315,1400160844,0,475,0,1,'Your Emberstrike IX was successful on %t!','Your Emberstrike IX fades.','',0,1,'Spells/Scout/Predator/Ranger/Emberstrike.lua',2670,'You cast Emberstrike IX on %t.',1,0,0,1,0,0,0,0,0,390081,0,0,0,0,0,1,0,0,0,'DD',1580682664,1384378116,0,0),
(390035,2719469341,1,0,'Tanglethorn','A stealthed attack that engulfs the target with flames, dealing great heat damage. It can only be used while in stealth.',482,40,315,1400160844,0,245,0,1,'Your Emberstrike V was successful on %t!','Your Emberstrike V fades.','',0,1,'Spells/Scout/Predator/Ranger/Emberstrike.lua',2670,'You cast Emberstrike V on %t.',1,0,0,1,0,0,0,0,0,390081,0,0,0,0,0,1,0,0,0,'DD',1580682495,1384377831,0,0),
(390036,2112282550,1,0,'Emberstrike','A stealthed attack that engulfs the target with flames, dealing great heat damage. It can only be used while in stealth.',482,40,315,1400160844,0,315,0,1,'Your Emberstrike VI was successful on %t!','Your Emberstrike VI fades.','',0,1,'Spells/Scout/Predator/Ranger/Emberstrike.lua',2670,'You cast Emberstrike VI on %t.',1,0,0,1,0,0,0,0,0,390081,0,0,0,0,0,1,0,0,0,'DD',1580682540,1384378116,0,0),
(390037,2830123442,1,0,'Combustion Strike','A stealthed attack that engulfs the target with flames, dealing great heat damage. It can only be used while in stealth.',482,40,315,1400160844,0,375,0,1,'Your Emberstrike VII was successful on %t!','Your Emberstrike VII fades.','',0,1,'Spells/Scout/Predator/Ranger/Emberstrike.lua',2670,'You cast Emberstrike VII on %t.',1,0,0,1,0,0,0,0,0,390081,0,0,0,0,0,1,0,0,0,'DD',1580682583,1384378116,0,0),
(390038,379082219,1,0,'Emberstrike VIII','A stealthed attack that engulfs the target with flames, dealing great heat damage. It can only be used while in stealth.',482,40,315,1400160844,0,425,0,1,'Your Emberstrike VIII was successful on %t!','Your Emberstrike VIII fades.','',0,1,'Spells/Scout/Predator/Ranger/Emberstrike.lua',2670,'You cast Emberstrike VIII on %t.',1,0,0,1,0,0,0,0,0,390081,0,0,0,0,0,1,0,0,0,'DD',1580682624,1384378114,0,0),
(390039,3998599892,1,0,'Ensnare','Severely decreases target''s resistance to heat and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,1921433074,0,35,0,1,'Your Ensnare was successful on %t!','Your Ensnare fades.','',0,1,'Spells/Scout/Predator/Ranger/Ensnare.lua',2671,'You cast Ensnare on %t.',1,0,0,1,0,1,4,0,0,390039,0,0,0,0,0,0,0,0,0,'Unset',1580688640,1384378116,0,0),
(390040,556881213,1,0,'Impede','Severely decreases target''s resistance to heat and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,1400160844,0,115,0,1,'Your Ensnare II was successful on %t!','Your Ensnare II fades.','',0,1,'Spells/Scout/Predator/Ranger/Impede.lua',2671,'You cast Ensnare II on %t.',1,0,0,1,0,1,4,0,0,390039,0,0,0,0,0,0,0,0,0,'Unset',1580689146,1384378116,0,0),
(390041,79939363,1,0,'Entrap','Severely decreases target''s resistance to heat and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,1400160844,0,185,0,1,'Your Ensnare III was successful on %t!','Your Ensnare III fades.','',0,1,'Spells/Scout/Predator/Ranger/Ensnare.lua',2671,'You cast Ensnare III on %t.',1,0,0,1,0,1,4,0,0,390039,0,0,0,0,0,1,0,0,0,'Unset',1580689298,1384378116,0,0),
(390042,1217039872,1,0,'Forester''s Noose','Severely decreases target''s resistance to heat and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,1400160844,0,255,0,1,'Your Ensnare IV was successful on %t!','Your Ensnare IV fades.','',0,1,'Spells/Scout/Predator/Ranger/Ensnare.lua',2671,'You cast Ensnare IV on %t.',1,0,0,1,0,1,4,0,0,390039,0,0,0,0,0,1,0,0,0,'Unset',1580689563,1384378116,0,0),
(390043,2592223016,1,0,'Vines','Severely decreases target''s resistance to heat and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,1400160844,0,325,0,1,'Your Ensnare V was successful on %t!','Your Ensnare V fades.','',0,1,'Spells/Scout/Predator/Ranger/Ensnare.lua',2671,'You cast Ensnare V on %t.',1,0,0,1,0,1,4,0,0,390039,0,0,0,0,0,1,0,0,0,'Unset',1580689654,1384378114,0,0),
(390044,1121006546,1,0,'Rope','Severely decreases target''s resistance to heat and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,1400160844,0,380,0,1,'Your Ensnare VI was successful on %t!','Your Ensnare VI fades.','',0,1,'Spells/Scout/Predator/Ranger/Ensnare.lua',2671,'You cast Ensnare VI on %t.',1,0,0,1,0,1,4,0,0,390039,0,0,0,0,0,1,0,0,0,'Unset',1580689928,1384378116,0,0),
(390045,3942227555,1,0,'Ensnare VII','Severely decreases target''s resistance to heat and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,1400160844,0,430,0,1,'Your Ensnare VII was successful on %t!','Your Ensnare VII fades.','',0,1,'Spells/Scout/Predator/Ranger/Ensnare.lua',2671,'You cast Ensnare VII on %t.',1,0,0,1,0,1,4,0,0,390039,0,0,0,0,0,1,0,0,0,'Unset',1580689985,1384378114,0,0),
(390046,87815517,1,0,'Ensnare VIII','Severely decreases target''s resistance to heat and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,1400160844,0,480,0,1,'Your Ensnare VIII was successful on %t!','Your Ensnare VIII fades.','',0,1,'Spells/Scout/Predator/Ranger/Ensnare.lua',2671,'You cast Ensnare VIII on %t.',1,0,0,0,0,0,4,0,0,390039,0,0,0,0,0,1,0,0,0,'Unset',1580690015,1384378116,0,0),
(390047,1896571032,1,0,'Steady Aim','Greatly improves the ranger''s ranged skill and accuracy with increased attack speed and Multi-Attack Chance for a short duration at the cost of all melee skills. This ability does not cost power and can be used while stifled.',342,37,317,1400160844,0,110,0,0,'Your Focus Aim was successful on %t!','Your Focus Aim fades.','',0,1,'Spells/Scout/Predator/Ranger/SteadyAim.lua',2672,'You cast Focus Aim on %t.',1,0,0,1,1,1,0,0,0,390047,0,2,0,0,0,0,0,0,0,'Unset',1580774327,1384378116,0,0),
(390048,3093200593,1,0,'Take Aim','Greatly improves the ranger''s ranged skill and accuracy with increased attack speed and Multi-Attack Chance for a short duration at the cost of all melee skills. This ability does not cost power and can be used while stifled.',342,37,317,1400160844,0,180,0,0,'Your Focus Aim II was successful on %t!','Your Focus Aim II fades.','',0,1,'Spells/Scout/Predator/Ranger/FocusAim.lua',2672,'You cast Focus Aim II on %t.',1,0,0,1,1,1,0,0,0,390047,0,2,0,0,0,0,0,0,0,'Unset',1580774340,1384378116,0,0),
(390049,773886649,1,0,'Focus Fire','Greatly improves the ranger''s ranged skill and accuracy with increased attack speed and Multi-Attack Chance for a short duration at the cost of all melee skills. This ability does not cost power and can be used while stifled.',342,37,317,1400160844,0,250,0,0,'Your Focus Aim III was successful on %t!','Your Focus Aim III fades.','',0,1,'Spells/Scout/Predator/Ranger/FocusAim.lua',2672,'You cast Focus Aim III on %t.',1,0,0,1,1,1,0,0,0,390047,0,2,0,0,0,0,0,0,0,'Unset',1580774359,1384378115,0,0),
(390050,3684663834,1,0,'Focus Aim','Greatly improves the ranger''s ranged skill and accuracy with increased attack speed and Multi-Attack Chance for a short duration at the cost of all melee skills. This ability does not cost power and can be used while stifled.',342,37,317,1400160844,0,320,0,0,'Your Focus Aim IV was successful on %t!','Your Focus Aim IV fades.','',0,1,'Spells/Scout/Predator/Ranger/FocusAim.lua',2672,'You cast Focus Aim IV on %t.',1,0,0,1,1,1,0,0,0,390047,0,2,0,0,0,0,0,0,0,'Unset',1580774377,1384378114,0,0),
(390051,2208114173,1,0,'Hawk Dive','Calls a hawk to assist the ranger''s group. All non-fighters in the ranger''s group have some of their hate siphoned towards the hawk.',335,37,317,1400160844,0,325,0,1,'Your Hawk Attack was successful on %t!','Your Hawk Attack fades.','',0,1,'Spells/Scout/Predator/Ranger/HawkAttack.lua',2673,'You cast Hawk Attack on %t.',1,0,0,1,1,1,0,0,0,390051,0,0,0,0,0,1,0,0,0,'Unset',1580778665,1384378113,0,0),
(390052,3241700161,1,0,'Hawk Attack','Calls a hawk to assist the ranger''s group. All non-fighters in the ranger''s group have some of their hate siphoned towards the hawk.',335,37,317,1400160844,0,390,0,1,'Your Hawk Attack II was successful on %t!','Your Hawk Attack II fades.','',0,1,'Spells/Scout/Predator/Ranger/HawkAttack.lua',2673,'You cast Hawk Attack II on %t.',1,0,0,1,1,1,0,0,0,390051,0,0,0,0,0,1,0,0,0,'Unset',1580778697,1384378116,0,0),
(390053,2544689079,1,0,'Hawk Attack III','Calls a hawk to assist the ranger''s group. All non-fighters in the ranger''s group have some of their hate siphoned towards the hawk.',335,37,317,1400160844,0,440,0,1,'Your Hawk Attack III was successful on %t!','Your Hawk Attack III fades.','',0,1,'Spells/Scout/Predator/Ranger/HawkAttack.lua',2673,'You cast Hawk Attack III on %t.',1,0,0,1,1,1,0,0,0,390051,0,0,0,0,0,1,0,0,0,'Unset',1580778706,1384378114,0,0),
(390054,178470593,1,0,'Hawk Attack IV','Calls a hawk to assist the ranger''s group. All non-fighters in the ranger''s group have some of their hate siphoned towards the hawk.',335,37,317,1400160844,0,490,0,1,'Your Hawk Attack IV was successful on %t!','Your Hawk Attack IV fades.','',0,1,'Spells/Scout/Predator/Ranger/HawkAttack.lua',2673,'You cast Hawk Attack IV on %t.',1,0,0,0,1,0,0,0,0,390051,0,0,0,0,0,1,0,0,0,'Unset',1580778723,1384377828,0,0),
(390055,3958485783,1,0,'Hidden Shot','A deadly ranged stealth attack that deals extreme damage and has a longer preparation time. Rangers must be in stealth and have a bow equipped to perform this combat art.',382,37,315,1400160844,0,130,0,1,'Your Hidden Shot was successful on %t!','Your Hidden Shot fades.','',0,1,'Spells/Scout/Predator/Ranger/HiddenShotClassic.lua',2674,'You cast Hidden Shot on %t.',1,0,0,1,0,0,0,0,0,390055,0,0,0,0,0,0,0,0,0,'DD',1580775346,1384378116,0,0),
(390056,3017156476,1,0,'Hidden Fire','A deadly ranged stealth attack that deals extreme damage and has a longer preparation time. Rangers must be in stealth and have a bow equipped to perform this combat art.',382,37,315,1400160844,0,200,0,1,'Your Hidden Shot II was successful on %t!','Your Hidden Shot II fades.','',0,1,'Spells/Scout/Predator/Ranger/HiddenShot.lua',2674,'You cast Hidden Shot II on %t.',1,0,0,1,0,0,0,0,0,390055,0,0,0,0,0,1,0,0,0,'DD',1580775395,1384378113,0,0),
(390057,3792138073,1,0,'Stealthy Fire','A deadly ranged stealth attack that deals extreme damage and has a longer preparation time. Rangers must be in stealth and have a bow equipped to perform this combat art.',382,37,315,1400160844,0,270,0,1,'Your Hidden Shot III was successful on %t!','Your Hidden Shot III fades.','',0,1,'Spells/Scout/Predator/Ranger/HiddenShot.lua',2674,'You cast Hidden Shot III on %t.',1,0,0,1,0,0,0,0,0,390055,0,0,0,0,0,1,0,0,0,'DD',1580775431,1384378116,0,0),
(390058,1832312955,1,0,'Veiled Fire','A deadly ranged stealth attack that deals extreme damage and has a longer preparation time. Rangers must be in stealth and have a bow equipped to perform this combat art.',382,37,315,1400160844,0,340,0,1,'Your Hidden Shot IV was successful on %t!','Your Hidden Shot IV fades.','',0,1,'Spells/Scout/Predator/Ranger/HiddenShot.lua',2674,'You cast Hidden Shot IV on %t.',1,0,0,1,0,0,0,0,0,390055,0,0,0,0,0,1,0,0,0,'DD',1580775467,1384378116,0,0),
(390059,3749513727,1,0,'Stealth Fire','A deadly ranged stealth attack that deals extreme damage and has a longer preparation time. Rangers must be in stealth and have a bow equipped to perform this combat art.',382,37,315,1400160844,0,390,0,1,'Your Hidden Shot V was successful on %t!','Your Hidden Shot V fades.','',0,1,'Spells/Scout/Predator/Ranger/HiddenShot.lua',2674,'You cast Hidden Shot V on %t.',1,0,0,1,0,0,0,0,0,390055,0,0,0,0,0,1,0,0,0,'DD',1580775508,1384378116,0,0),
(390060,821683272,1,0,'Hidden Shot VI','A deadly ranged stealth attack that deals extreme damage and has a longer preparation time. Rangers must be in stealth and have a bow equipped to perform this combat art.',382,37,315,1400160844,0,440,0,1,'Your Hidden Shot VI was successful on %t!','Your Hidden Shot VI fades.','',0,1,'Spells/Scout/Predator/Ranger/HiddenShot.lua',2674,'You cast Hidden Shot VI on %t.',1,0,0,1,0,0,0,0,0,390055,0,0,0,0,0,1,0,0,0,'DD',1580775583,1384377832,0,0),
(390061,2918581566,1,0,'Hidden Shot VII','A deadly ranged stealth attack that deals extreme damage and has a longer preparation time. Rangers must be in stealth and have a bow equipped to perform this combat art.',382,37,315,1400160844,0,490,0,1,'Your Hidden Shot VII was successful on %t!','Your Hidden Shot VII fades.','',0,1,'Spells/Scout/Predator/Ranger/HiddenShot.lua',2674,'You cast Hidden Shot VII on %t.',1,0,0,0,0,0,0,0,0,390055,0,0,0,0,0,1,0,0,0,'DD',1580775629,1384378114,0,0),
(390062,3823334792,1,1,'Hunter''s Instinct','Increases agility, base avoidance, attack speed, resistances, and in-combat movement speed of the ranger.',191,38,317,3167106577,0,55,1,0,'Your Hunter''s Instinct was successful on %t!','Your Hunter''s Instinct fades.','',0,1,'Spells/Scout/Predator/Ranger/HuntersInstinct.lua',2676,'You cast Hunter''s Instinct on %t.',1,0,0,1,1,1,0,0,0,390062,0,0,0,0,0,0,0,0,0,'Unset',1580692405,1384378113,0,0),
(390063,455076762,1,1,'Forester''s Insight','Increases agility, base avoidance, attack speed, resistances, and in-combat movement speed of the ranger.',191,38,317,1400160844,0,135,1,0,'Your Hunter''s Instinct II was successful on %t!','Your Hunter''s Instinct II fades.','',0,1,'Spells/Scout/Predator/Ranger/ForestersInsight.lua',2676,'You cast Hunter''s Instinct II on %t.',1,0,0,1,1,1,0,0,0,390062,0,0,0,0,0,0,0,0,0,'Unset',1580692432,1384377828,0,0),
(390064,1615716444,1,1,'Veil of the Forest','Increases agility, base avoidance, attack speed, resistances, and in-combat movement speed of the ranger.',191,38,317,1400160844,0,205,1,0,'Your Hunter''s Instinct III was successful on %t!','Your Hunter''s Instinct III fades.','',0,1,'Spells/Scout/Predator/Ranger/HuntersInstinct.lua',2676,'You cast Hunter''s Instinct III on %t.',1,0,0,1,1,1,0,0,0,390062,0,0,0,0,0,1,0,0,0,'Unset',1580692442,1384378113,0,0),
(390065,3010416001,1,1,'Shroud of the Forest','Increases agility, base avoidance, attack speed, resistances, and in-combat movement speed of the ranger.',191,38,317,1400160844,0,275,1,0,'Your Hunter''s Instinct IV was successful on %t!','Your Hunter''s Instinct IV fades.','',0,1,'Spells/Scout/Predator/Ranger/HuntersInstinct.lua',2676,'You cast Hunter''s Instinct IV on %t.',1,0,0,1,1,1,0,0,0,390062,0,0,0,0,0,1,0,0,0,'Unset',1580692496,1384378114,0,0),
(390066,3273129429,1,1,'Cloak of the Forest','Increases agility, base avoidance, attack speed, resistances, and in-combat movement speed of the ranger.',191,38,317,1400160844,0,345,1,0,'Your Hunter''s Instinct V was successful on %t!','Your Hunter''s Instinct V fades.','',0,1,'Spells/Scout/Predator/Ranger/HuntersInstinct.lua',2676,'You cast Hunter''s Instinct V on %t.',1,0,0,1,1,1,0,0,0,390062,0,0,0,0,0,1,0,0,0,'Unset',1580692506,1384378116,0,0),
(390067,186872793,1,1,'Shroud Of Kunark','Increases agility, base avoidance, attack speed, resistances, and in-combat movement speed of the ranger.',191,38,317,1400160844,0,395,1,0,'Your Hunter''s Instinct VI was successful on %t!','Your Hunter''s Instinct VI fades.','',0,1,'Spells/Scout/Predator/Ranger/HuntersInstinct.lua',2676,'You cast Hunter''s Instinct VI on %t.',1,0,0,1,1,1,0,0,0,390062,0,0,0,0,0,1,0,0,0,'Unset',1580692517,1384377830,0,0),
(390068,790965722,1,1,'Hunter''s Instinct VII','Increases agility, base avoidance, attack speed, resistances, and in-combat movement speed of the ranger.',191,38,317,1400160844,0,445,1,0,'Your Hunter''s Instinct VII was successful on %t!','Your Hunter''s Instinct VII fades.','',0,1,'Spells/Scout/Predator/Ranger/HuntersInstinct.lua',2676,'You cast Hunter''s Instinct VII on %t.',1,0,0,1,1,1,0,0,0,390062,0,0,0,0,0,1,0,0,0,'Unset',1580692528,1384378116,0,0),
(390069,4173835650,1,1,'Hunter''s Instinct VIII','Increases agility, base avoidance, attack speed, resistances, and in-combat movement speed of the ranger.',191,38,317,1400160844,0,495,1,0,'Your Hunter''s Instinct VIII was successful on %t!','Your Hunter''s Instinct VIII fades.','',0,1,'Spells/Scout/Predator/Ranger/HuntersInstinct.lua',2676,'You cast Hunter''s Instinct VIII on %t.',1,0,0,0,1,0,0,0,0,390062,0,0,0,0,0,1,0,0,0,'Unset',1580692541,1384378116,0,0),
(390070,99263452,1,0,'Lunge','Deals damage and roots the target in place for a very short duration.',376,36,315,1400160844,0,65,0,1,'Your Immobilizing Lunge was successful on %t!','Your Immobilizing Lunge fades.','',0,0,'Spells/Scout/Predator/Ranger/ImmobilizingLunge.lua',2677,'You cast Immobilizing Lunge on %t.',1,0,0,1,0,1,1,0,0,390070,0,0,0,0,0,0,0,0,0,'DD',1580707642,1384378113,0,0),
(390071,3740174600,1,0,'Lunging Thrust','Deals damage and roots the target in place for a very short duration.',376,36,315,1400160844,0,135,0,1,'Your Immobilizing Lunge II was successful on %t!','Your Immobilizing Lunge II fades.','',0,0,'Spells/Scout/Predator/Ranger/LungingThrust.lua',2677,'You cast Immobilizing Lunge II on %t.',1,0,0,1,0,1,1,0,0,390070,0,0,0,0,0,0,0,0,0,'DD',1580707701,1384378116,0,0),
(390072,432215843,1,0,'Survival of the Fittest','Deals damage and roots the target in place for a very short duration.',376,36,315,1400160844,0,205,0,1,'Your Immobilizing Lunge III was successful on %t!','Your Immobilizing Lunge III fades.','',0,0,'Spells/Scout/Predator/Ranger/ImmobilizingLunge.lua',2677,'You cast Immobilizing Lunge III on %t.',1,0,0,1,0,1,1,0,0,390070,0,0,0,0,0,1,0,0,0,'DD',1580707805,1384378113,0,0),
(390073,3653761632,1,0,'Lunging Blade','Deals damage and roots the target in place for a very short duration.',376,36,315,1400160844,0,275,0,1,'Your Immobilizing Lunge IV was successful on %t!','Your Immobilizing Lunge IV fades.','',0,0,'Spells/Scout/Predator/Ranger/ImmobilizingLunge.lua',2677,'You cast Immobilizing Lunge IV on %t.',1,0,0,1,0,1,1,0,0,390070,0,0,0,0,0,1,0,0,0,'DD',1580707847,1384378114,0,0),
(390074,3810765969,1,0,'Lunging Joust','Deals damage and roots the target in place for a very short duration.',376,36,315,1400160844,0,345,0,1,'Your Immobilizing Lunge V was successful on %t!','Your Immobilizing Lunge V fades.','',0,0,'Spells/Scout/Predator/Ranger/ImmobilizingLunge.lua',2677,'You cast Immobilizing Lunge V on %t.',1,0,0,1,0,1,1,0,0,390070,0,0,0,0,0,1,0,0,0,'DD',1580707909,1384378116,0,0),
(390075,2503243976,1,0,'Immobilizing Lunge','Deals damage and roots the target in place for a very short duration.',376,36,315,1400160844,0,395,0,1,'Your Immobilizing Lunge VI was successful on %t!','Your Immobilizing Lunge VI fades.','',0,0,'Spells/Scout/Predator/Ranger/ImmobilizingLunge.lua',2677,'You cast Immobilizing Lunge VI on %t.',1,0,0,1,0,1,1,0,0,390070,0,0,0,0,0,1,0,0,0,'DD',1580707951,1384378116,0,0),
(390076,3642882022,1,0,'Immobilizing Lunge VII','Deals damage and roots the target in place for a very short duration.',376,36,315,1400160844,0,445,0,1,'Your Immobilizing Lunge VII was successful on %t!','Your Immobilizing Lunge VII fades.','',0,0,'Spells/Scout/Predator/Ranger/ImmobilizingLunge.lua',2677,'You cast Immobilizing Lunge VII on %t.',1,0,0,1,0,1,1,0,0,390070,0,0,0,0,0,1,0,0,0,'DD',1580708023,1384378116,0,0),
(390077,1190884472,1,0,'Immobilizing Lunge VIII','Deals damage and roots the target in place for a very short duration.',376,36,315,1400160844,0,495,0,1,'Your Immobilizing Lunge VIII was successful on %t!','Your Immobilizing Lunge VIII fades.','',0,0,'Spells/Scout/Predator/Ranger/ImmobilizingLunge.lua',2677,'You cast Immobilizing Lunge VIII on %t.',1,0,0,0,0,0,1,0,0,390070,0,0,0,0,0,1,0,0,0,'DD',1580708072,1384378116,0,0),
(390078,497000173,1,0,'Predatory Fury','Increases the Multi-Attack Chance and ranged offensive skills of the ranger.',335,38,317,1400160844,0,200,0,1,'Your Killing Instinct was successful on %t!','Your Killing Instinct fades.','',0,1,'Spells/Scout/Predator/Ranger/KillingInstinct.lua',2678,'You cast Killing Instinct on %t.',1,0,0,1,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670849,1384378113,0,0),
(390079,220170012,1,0,'Brutal Instinct','Increases the Multi-Attack Chance and ranged offensive skills of the ranger.',335,38,317,1400160844,0,270,0,1,'Your Killing Instinct II was successful on %t!','Your Killing Instinct II fades.','',0,1,'Spells/Scout/Predator/Ranger/KillingInstinct.lua',2678,'You cast Killing Instinct II on %t.',1,0,0,1,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1571953674,1384378116,0,0),
(390080,182657177,1,0,'Killing Instinct','Increases the Multi-Attack Chance and ranged offensive skills of the ranger.',335,38,317,1400160844,0,335,0,1,'Your Killing Instinct III was successful on %t!','Your Killing Instinct III fades.','',0,1,'Spells/Scout/Predator/Ranger/KillingInstinct.lua',2678,'You cast Killing Instinct III on %t.',1,0,0,1,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670849,1384378116,0,0),
(390081,903151895,1,0,'Searing Strike','A quick attack that strikes with lightning, inflicting heat damage.',233,36,315,1400160844,0,5,0,1,'Your Lightning Strike was successful on %t!','Your Lightning Strike fades.','',0,1,'Spells/Scout/Predator/Ranger/LightningStrike.lua',2679,'You cast Lightning Strike on %t.',1,0,0,1,0,0,0,0,0,310018,0,0,0,0,0,0,0,0,0,'DD',1580681837,1384378113,0,0),
(390082,776288638,1,0,'Blazing Strike','A quick attack that strikes with lightning, inflicting heat damage.',233,36,315,1400160844,0,40,0,1,'Your Lightning Strike II was successful on %t!','Your Lightning Strike II fades.','',0,1,'Spells/Scout/Predator/Ranger/LightningStrike.lua',2679,'You cast Lightning Strike II on %t.',1,0,0,1,0,0,0,0,0,390081,0,0,0,0,0,0,0,0,0,'DD',1580681866,1384378116,0,0),
(390083,951675618,1,0,'Shocking Strike','A quick attack that strikes with lightning, inflicting heat damage.',233,36,315,1400160844,0,75,0,1,'Your Lightning Strike III was successful on %t!','Your Lightning Strike III fades.','',0,1,'Spells/Scout/Predator/Ranger/LightningStrike.lua',2679,'You cast Lightning Strike III on %t.',1,0,0,1,0,0,0,0,0,390081,0,0,0,0,0,0,0,0,0,'DD',1580681883,1384378113,0,0),
(390084,105533177,1,0,'Lightning Strike','A quick attack that strikes with lightning, inflicting heat damage.',233,36,315,1400160844,0,145,0,1,'Your Lightning Strike IV was successful on %t!','Your Lightning Strike IV fades.','',0,1,'Spells/Scout/Predator/Ranger/LightningStrikeClassic.lua',2679,'You cast Lightning Strike IV on %t.',1,0,0,1,0,0,0,0,0,390081,0,0,0,0,0,0,0,0,0,'DD',1580681914,1384378115,0,0),
(390085,3152837593,1,0,'Lightning Strike IX','A quick attack that strikes with lightning, inflicting heat damage.',233,36,315,1400160844,0,455,0,1,'Your Lightning Strike IX was successful on %t!','Your Lightning Strike IX fades.','',0,1,'Spells/Scout/Predator/Ranger/LightningStrike.lua',2679,'You cast Lightning Strike IX on %t.',1,0,0,1,0,0,0,0,0,390081,0,0,0,0,0,1,0,0,0,'DD',1580682226,1384378116,0,0),
(390086,1108647304,1,0,'Blazing Thrust','A quick attack that strikes with lightning, inflicting heat damage.',233,36,315,1400160844,0,215,0,1,'Your Lightning Strike V was successful on %t!','Your Lightning Strike V fades.','',0,1,'Spells/Scout/Predator/Ranger/LightningStrike.lua',2679,'You cast Lightning Strike V on %t.',1,0,0,1,0,0,0,0,0,390081,0,0,0,0,0,1,0,0,0,'DD',1580681950,1384378113,0,0),
(390087,2729412007,1,0,'Shocking Thrust','A quick attack that strikes with lightning, inflicting heat damage.',233,36,315,1400160844,0,285,0,1,'Your Lightning Strike VI was successful on %t!','Your Lightning Strike VI fades.','',0,1,'Spells/Scout/Predator/Ranger/LightningStrike.lua',2679,'You cast Lightning Strike VI on %t.',1,0,0,1,0,0,0,0,0,390081,0,0,0,0,0,1,0,0,0,'DD',1580681998,1384377830,0,0),
(390088,2447774715,1,0,'Jolting Strike','A quick attack that strikes with lightning, inflicting heat damage.',233,36,315,1400160844,0,355,0,1,'Your Lightning Strike VII was successful on %t!','Your Lightning Strike VII fades.','',0,1,'Spells/Scout/Predator/Ranger/LightningStrike.lua',2679,'You cast Lightning Strike VII on %t.',1,0,0,1,0,0,0,0,0,390081,0,0,0,0,0,1,0,0,0,'DD',1580682039,1384378116,0,0),
(390089,1812921217,1,0,'Lightning Strike VIII','A quick attack that strikes with lightning, inflicting heat damage.',233,36,315,1400160844,0,405,0,1,'Your Lightning Strike VIII was successful on %t!','Your Lightning Strike VIII fades.','',0,1,'Spells/Scout/Predator/Ranger/LightningStrike.lua',2679,'You cast Lightning Strike VIII on %t.',1,0,0,1,0,0,0,0,0,390081,0,0,0,0,0,1,0,0,0,'DD',1580682088,1384378115,0,0),
(390090,529676578,1,1,'Makeshift Arrows','The ranger finds makeshift arrows to fire with every attack for a limited number of ranged attacks.',361,37,317,1400160844,0,100,1,0,'Your Makeshift Arrows was successful on %t!','Your Makeshift Arrows fades.','',0,1,'Spells/Scout/Predator/Ranger/MakeshiftArrowsClassic.lua',2680,'You cast Makeshift Arrows on %t.',1,0,0,1,1,1,0,0,0,390090,0,0,0,0,0,0,0,0,0,'Unset',1580774111,1384378116,0,0),
(390091,438366407,1,1,'Salvaged Arrows','The ranger finds makeshift arrows to fire with every attack for a limited number of ranged attacks.',361,37,317,1400160844,0,170,1,0,'Your Makeshift Arrows II was successful on %t!','Your Makeshift Arrows II fades.','',0,1,'Spells/Scout/Predator/Ranger/MakeshiftArrows.lua',2680,'You cast Makeshift Arrows II on %t.',1,0,0,1,1,1,0,0,0,390090,0,0,0,0,0,1,0,0,0,'Unset',1580774136,1384378116,0,0),
(390092,1285671323,1,1,'Backup Quiver','The ranger finds makeshift arrows to fire with every attack for a limited number of ranged attacks.',361,37,317,1400160844,0,240,1,0,'Your Makeshift Arrows III was successful on %t!','Your Makeshift Arrows III fades.','',0,1,'Spells/Scout/Predator/Ranger/MakeshiftArrows.lua',2680,'You cast Makeshift Arrows III on %t.',1,0,0,1,1,1,0,0,0,390090,0,0,0,0,0,1,0,0,0,'Unset',1580774148,1384378115,0,0),
(390093,661766284,1,1,'Reclaimed Arrows','The ranger finds makeshift arrows to fire with every attack for a limited number of ranged attacks.',361,37,317,1400160844,0,310,1,0,'Your Makeshift Arrows IV was successful on %t!','Your Makeshift Arrows IV fades.','',0,1,'Spells/Scout/Predator/Ranger/MakeshiftArrows.lua',2680,'You cast Makeshift Arrows IV on %t.',1,0,0,1,1,1,0,0,0,390090,0,0,0,0,0,1,0,0,0,'Unset',1580774165,1384378116,0,0),
(390094,3688544909,1,1,'Used Arrows','The ranger finds makeshift arrows to fire with every attack for a limited number of ranged attacks.',361,37,317,1400160844,0,370,1,0,'Your Makeshift Arrows V was successful on %t!','Your Makeshift Arrows V fades.','',0,1,'Spells/Scout/Predator/Ranger/MakeshiftArrows.lua',2680,'You cast Makeshift Arrows V on %t.',1,0,0,1,1,1,0,0,0,390090,0,0,0,0,0,1,0,0,0,'Unset',1580774193,1384378116,0,0),
(390095,1653023318,1,1,'Makeshift Arrows VI','The ranger finds makeshift arrows to fire with every attack for a limited number of ranged attacks.',361,37,317,1400160844,0,405,1,0,'Your Makeshift Arrows VI was successful on %t!','Your Makeshift Arrows VI fades.','',0,1,'Spells/Scout/Predator/Ranger/MakeshiftArrows.lua',2680,'You cast Makeshift Arrows VI on %t.',1,0,0,1,1,1,0,0,0,390090,0,0,0,0,0,1,0,0,0,'Unset',1580774202,1384378115,0,0),
(390096,3043336718,1,1,'Makeshift Arrows VII','The ranger finds makeshift arrows to fire with every attack for a limited number of ranged attacks.',361,37,317,1400160844,0,455,1,0,'Your Makeshift Arrows VII was successful on %t!','Your Makeshift Arrows VII fades.','',0,1,'Spells/Scout/Predator/Ranger/MakeshiftArrows.lua',2680,'You cast Makeshift Arrows VII on %t.',1,0,0,1,1,1,0,0,0,390090,0,0,0,0,0,1,0,0,0,'Unset',1580774217,1384377831,0,0),
(390097,5884183,1,0,'Miracle Shot','A ranged arrow attack that does not require line of sight.',342,37,315,1400160844,0,160,0,1,'Your Miracle Shot was successful on %t!','Your Miracle Shot fades.','',0,1,'Spells/Scout/Predator/Ranger/MiracleShot.lua',2681,'You cast Miracle Shot on %t.',1,0,0,1,0,0,0,0,0,390097,0,0,0,0,0,1,0,0,0,'DD',1580776510,1384378115,0,0),
(390098,2725981479,1,0,'Miracle Arrow','A ranged arrow attack that does not require line of sight.',342,37,315,1400160844,0,230,0,1,'Your Miracle Shot II was successful on %t!','Your Miracle Shot II fades.','',0,1,'Spells/Scout/Predator/Ranger/MiracleShot.lua',2681,'You cast Miracle Shot II on %t.',1,0,0,1,0,0,0,0,0,390097,0,0,0,0,0,1,0,0,0,'DD',1580776582,1384378115,0,0),
(390099,3472410527,1,0,'Amazing Shot','A ranged arrow attack that does not require line of sight.',342,37,315,1400160844,0,300,0,1,'Your Miracle Shot III was successful on %t!','Your Miracle Shot III fades.','',0,1,'Spells/Scout/Predator/Ranger/MiracleShot.lua',2681,'You cast Miracle Shot III on %t.',1,0,0,1,0,0,0,0,0,390097,0,0,0,0,0,1,0,0,0,'DD',1580776664,1384378116,0,0),
(390100,2303123909,1,0,'Amazing Arrow','A ranged arrow attack that does not require line of sight.',342,37,315,1400160844,0,365,0,1,'Your Miracle Shot IV was successful on %t!','Your Miracle Shot IV fades.','',0,1,'Spells/Scout/Predator/Ranger/MiracleShot.lua',2681,'You cast Miracle Shot IV on %t.',1,0,0,1,0,0,0,0,0,390097,0,0,0,0,0,1,0,0,0,'DD',1580776705,1384378116,0,0),
(390101,1134726815,1,0,'Miracle Shot V','A ranged arrow attack that does not require line of sight.',342,37,315,1400160844,0,415,0,1,'Your Miracle Shot V was successful on %t!','Your Miracle Shot V fades.','',0,1,'Spells/Scout/Predator/Ranger/MiracleShot.lua',2681,'You cast Miracle Shot V on %t.',1,0,0,1,0,0,0,0,0,390097,0,0,0,0,0,1,0,0,0,'DD',1580776747,1384378116,0,0),
(390102,4200158583,1,0,'Miracle Shot VI','A ranged arrow attack that does not require line of sight.',342,37,315,1400160844,0,465,0,1,'Your Miracle Shot VI was successful on %t!','Your Miracle Shot VI fades.','',0,1,'Spells/Scout/Predator/Ranger/MiracleShot.lua',2681,'You cast Miracle Shot VI on %t.',1,0,0,1,0,0,0,0,0,390097,0,0,0,0,0,1,0,0,0,'DD',1580776818,1384378116,0,0),
(390103,2746219543,1,0,'Pounce','A powerful ranged stealthed attack that strikes enemies in an area near the target.',334,40,313,3167106577,0,95,0,1,'Your Natural Selection was successful on %t!','Your Natural Selection fades.','',0,1,'Spells/Scout/Predator/Ranger/NaturalSelection.lua',2682,'You cast Natural Selection on %t.',1,0,0,1,0,0,0,0,0,390103,0,0,0,0,0,0,0,0,0,'DD',1580773167,1384377828,0,0),
(390104,3146091513,1,0,'Spring','A powerful ranged stealthed attack that strikes enemies in an area near the target.',334,40,313,1400160844,0,165,0,1,'Your Natural Selection II was successful on %t!','Your Natural Selection II fades.','',0,1,'Spells/Scout/Predator/Ranger/NaturalSelection.lua',2682,'You cast Natural Selection II on %t.',1,0,0,1,0,0,0,0,0,390103,0,0,0,0,0,1,0,0,0,'DD',1580773239,1384378115,0,0),
(390105,3287881934,1,0,'Natural Selection','A powerful ranged stealthed attack that strikes enemies in an area near the target.',334,40,313,1400160844,0,235,0,1,'Your Natural Selection III was successful on %t!','Your Natural Selection III fades.','',0,1,'Spells/Scout/Predator/Ranger/NaturalSelection.lua',2682,'You cast Natural Selection III on %t.',1,0,0,1,0,0,0,0,0,390103,0,0,0,0,0,1,0,0,0,'DD',1580773477,1384377831,0,0),
(390106,4266811365,1,0,'Selection','A powerful ranged stealthed attack that strikes enemies in an area near the target.',334,40,313,1400160844,0,305,0,1,'Your Natural Selection IV was successful on %t!','Your Natural Selection IV fades.','',0,1,'Spells/Scout/Predator/Ranger/NaturalSelection.lua',2682,'You cast Natural Selection IV on %t.',1,0,0,1,0,0,0,0,0,390103,0,0,0,0,0,1,0,0,0,'DD',1580773546,1384378116,0,0),
(390107,3266114011,1,0,'Fittest Survival','A powerful ranged stealthed attack that strikes enemies in an area near the target.',334,40,313,1400160844,0,365,0,1,'Your Natural Selection V was successful on %t!','Your Natural Selection V fades.','',0,1,'Spells/Scout/Predator/Ranger/NaturalSelection.lua',2682,'You cast Natural Selection V on %t.',1,0,0,1,0,0,0,0,0,390103,0,0,0,0,0,1,0,0,0,'DD',1580773594,1384378116,0,0),
(390108,4188481735,1,0,'Natural Selection VI','A powerful ranged stealthed attack that strikes enemies in an area near the target.',334,40,313,1400160844,0,415,0,1,'Your Natural Selection VI was successful on %t!','Your Natural Selection VI fades.','',0,1,'Spells/Scout/Predator/Ranger/NaturalSelection.lua',2682,'You cast Natural Selection VI on %t.',1,0,0,1,0,0,0,0,0,390103,0,0,0,0,0,1,0,0,0,'DD',1580773657,1384378114,0,0),
(390109,2629833601,1,0,'Natural Selection VII','A powerful ranged stealthed attack that strikes enemies in an area near the target.',334,40,313,1400160844,0,465,0,1,'Your Natural Selection VII was successful on %t!','Your Natural Selection VII fades.','',0,1,'Spells/Scout/Predator/Ranger/NaturalSelection.lua',2682,'You cast Natural Selection VII on %t.',1,0,0,1,0,0,0,0,0,390103,0,0,0,0,0,1,0,0,0,'DD',1580773714,1384378116,0,0),
(390110,3966128274,1,1,'Reconnoiter','Reduces the amount of hate that the ranger accumulates in combat.',232,41,317,3167106577,0,55,1,0,'Your Primal Reflexes was successful on %t!','Your Primal Reflexes fades.','',0,1,'Spells/Scout/Predator/Ranger/PrimalReflexes.lua',2683,'You cast Primal Reflexes on %t.',1,0,0,1,1,1,0,0,0,390110,0,0,0,0,0,0,0,0,0,'Unset',1580692596,1384377884,0,0),
(390111,593797058,1,1,'Natural Instinct','Reduces the amount of hate that the ranger accumulates in combat.',232,41,317,1400160844,0,125,1,0,'Your Primal Reflexes II was successful on %t!','Your Primal Reflexes II fades.','',0,1,'Spells/Scout/Predator/Ranger/NaturalInstinct.lua',2683,'You cast Primal Reflexes II on %t.',1,0,0,1,1,1,0,0,0,390110,0,0,0,0,0,0,0,0,0,'Unset',1580692611,1384377831,0,0),
(390112,4163574442,1,1,'Primal Reflexes','Reduces the amount of hate that the ranger accumulates in combat.',232,41,317,1400160844,0,195,1,0,'Your Primal Reflexes III was successful on %t!','Your Primal Reflexes III fades.','',0,1,'Spells/Scout/Predator/Ranger/PrimalReflexes.lua',2683,'You cast Primal Reflexes III on %t.',1,0,0,1,1,1,0,0,0,390110,0,0,0,0,0,1,0,0,0,'Unset',1580692619,1384378113,0,0),
(390113,842241060,1,1,'Primal Agility','Reduces the amount of hate that the ranger accumulates in combat.',232,41,317,1400160844,0,265,1,0,'Your Primal Reflexes IV was successful on %t!','Your Primal Reflexes IV fades.','',0,1,'Spells/Scout/Predator/Ranger/PrimalReflexes.lua',2683,'You cast Primal Reflexes IV on %t.',1,0,0,1,1,1,0,0,0,390110,0,0,0,0,0,1,0,0,0,'Unset',1580692629,1384378116,0,0),
(390114,4123759755,1,0,'Shadow Leap','A deadly attack that deals very high damage. It can only be used behind or on the side of the target while in stealth.',339,36,315,1400160844,0,50,0,1,'Your Ranger''s Blade was successful on %t!','Your Ranger''s Blade fades.','',0,1,'Spells/Scout/Predator/Ranger/RangersBlade.lua',2685,'You cast Ranger''s Blade on %t.',1,0,0,1,0,0,0,0,0,390114,0,0,0,0,0,0,0,0,0,'DD',1580691404,1384378113,0,0),
(390115,290485693,1,0,'Shadow Lunge','A deadly attack that deals very high damage. It can only be used behind or on the side of the target while in stealth.',339,36,315,1400160844,0,120,0,1,'Your Ranger''s Blade II was successful on %t!','Your Ranger''s Blade II fades.','',0,1,'Spells/Scout/Predator/Ranger/ShadowLunge.lua',2685,'You cast Ranger''s Blade II on %t.',1,0,0,1,0,0,0,0,0,390114,0,0,0,0,0,0,0,0,0,'DD',1580691532,1384378115,0,0),
(390116,696837298,1,0,'Crippling Blade','A deadly attack that deals very high damage. It can only be used behind or on the side of the target while in stealth.',339,36,315,1400160844,0,190,0,1,'Your Ranger''s Blade III was successful on %t!','Your Ranger''s Blade III fades.','',0,1,'Spells/Scout/Predator/Ranger/RangersBlade.lua',2685,'You cast Ranger''s Blade III on %t.',1,0,0,1,0,0,0,0,0,390114,0,0,0,0,0,1,0,0,0,'DD',1580691613,1384378158,0,0),
(390117,919778715,1,0,'Dire Blade','A deadly attack that deals very high damage. It can only be used behind or on the side of the target while in stealth.',339,36,315,1400160844,0,260,0,1,'Your Ranger''s Blade IV was successful on %t!','Your Ranger''s Blade IV fades.','',0,1,'Spells/Scout/Predator/Ranger/RangersBlade.lua',2685,'You cast Ranger''s Blade IV on %t.',1,0,0,1,0,0,0,0,0,390114,0,0,0,0,0,1,0,0,0,'DD',1580691894,1384378116,0,0),
(390118,4265359279,1,0,'Ranger''s Blade','A deadly attack that deals very high damage. It can only be used behind or on the side of the target while in stealth.',339,36,315,1400160844,0,330,0,1,'Your Ranger''s Blade V was successful on %t!','Your Ranger''s Blade V fades.','',0,1,'Spells/Scout/Predator/Ranger/RangersBlade.lua',2685,'You cast Ranger''s Blade V on %t.',1,0,0,1,0,0,0,0,0,390114,0,0,0,0,0,1,0,0,0,'DD',1580692001,1384378116,0,0),
(390119,2144109099,1,0,'Kunark Blade','A deadly attack that deals very high damage. It can only be used behind or on the side of the target while in stealth.',339,36,315,1400160844,0,385,0,1,'Your Ranger''s Blade VI was successful on %t!','Your Ranger''s Blade VI fades.','',0,1,'Spells/Scout/Predator/Ranger/RangersBlade.lua',2685,'You cast Ranger''s Blade VI on %t.',1,0,0,1,0,0,0,0,0,390114,0,0,0,0,0,1,0,0,0,'DD',1580692200,1384378116,0,0),
(390120,1732582124,1,0,'Ranger''s Blade VII','A deadly attack that deals very high damage. It can only be used behind or on the side of the target while in stealth.',339,36,315,1400160844,0,435,0,1,'Your Ranger''s Blade VII was successful on %t!','Your Ranger''s Blade VII fades.','',0,1,'Spells/Scout/Predator/Ranger/RangersBlade.lua',2685,'You cast Ranger''s Blade VII on %t.',1,0,0,1,0,0,0,0,0,390114,0,0,0,0,0,1,0,0,0,'DD',1580692264,1384378114,0,0),
(390121,3375205245,1,0,'Ranger''s Blade VIII','A deadly attack that deals very high damage. It can only be used behind or on the side of the target while in stealth.',339,36,315,1400160844,0,485,0,1,'Your Ranger''s Blade VIII was successful on %t!','Your Ranger''s Blade VIII fades.','',0,1,'Spells/Scout/Predator/Ranger/RangersBlade.lua',2685,'You cast Ranger''s Blade VIII on %t.',1,0,0,0,0,0,0,0,0,390114,0,0,0,0,0,1,0,0,0,'DD',1580692358,1384378116,0,0),
(390122,2369890898,1,0,'Back Fire','A ranged attack that deals very high damage from flanking or behind. If it lands, the target''s movement speed is slower. It requires a bow.',306,37,315,1400160844,0,10,0,1,'Your Rear Shot was successful on %t!','Your Rear Shot fades.','',0,1,'Spells/Scout/Predator/Ranger/RearShot.lua',2686,'You cast Rear Shot on %t.',1,0,0,1,0,0,0,0,0,390122,0,0,0,0,0,0,0,0,0,'DD',1580682721,1384378113,0,0),
(390123,3422974666,1,0,'Back Shot','A ranged attack that deals very high damage from flanking or behind. If it lands, the target''s movement speed is slower. It requires a bow.',306,37,315,3167106577,0,75,0,1,'Your Rear Shot II was successful on %t!','Your Rear Shot II fades.','',0,1,'Spells/Scout/Predator/Ranger/RearShot.lua',2686,'You cast Rear Shot II on %t.',1,0,0,1,0,0,0,0,0,390122,0,0,0,0,0,0,0,0,0,'DD',1580682758,1384378113,0,0),
(390124,367690420,1,0,'Sniping Shot','A ranged attack that deals very high damage from flanking or behind. If it lands, the target''s movement speed is slower. It requires a bow.',306,37,315,1400160844,0,145,0,1,'Your Rear Shot III was successful on %t!','Your Rear Shot III fades.','',0,1,'Spells/Scout/Predator/Ranger/SnipingShot.lua',2686,'You cast Rear Shot III on %t.',1,0,0,1,0,0,0,0,0,390122,0,0,0,0,0,0,0,0,0,'DD',1580682794,1384378115,0,0),
(390125,436997417,1,0,'Culling The Herd','A ranged attack that deals very high damage from flanking or behind. If it lands, the target''s movement speed is slower. It requires a bow.',306,37,315,1400160844,0,215,0,1,'Your Rear Shot IV was successful on %t!','Your Rear Shot IV fades.','',0,1,'Spells/Scout/Predator/Ranger/RearShot.lua',2686,'You cast Rear Shot IV on %t.',1,0,0,1,0,0,0,0,0,390122,0,0,0,0,0,1,0,0,0,'DD',1580683179,1384378113,0,0),
(390126,1064059325,1,0,'Culling The Weak','A ranged attack that deals very high damage from flanking or behind. If it lands, the target''s movement speed is slower. It requires a bow.',306,37,315,1400160844,0,285,0,1,'Your Rear Shot V was successful on %t!','Your Rear Shot V fades.','',0,1,'Spells/Scout/Predator/Ranger/RearShot.lua',2686,'You cast Rear Shot V on %t.',1,0,0,1,0,0,0,0,0,390122,0,0,0,0,0,1,0,0,0,'DD',1580683228,1384378113,0,0),
(390127,137275993,1,0,'Rear Shot','A ranged attack that deals very high damage from flanking or behind. If it lands, the target''s movement speed is slower. It requires a bow.',306,37,315,1400160844,0,355,0,1,'Your Rear Shot VI was successful on %t!','Your Rear Shot VI fades.','',0,1,'Spells/Scout/Predator/Ranger/RearShot.lua',2686,'You cast Rear Shot VI on %t.',1,0,0,1,0,0,0,0,0,390122,0,0,0,0,0,1,0,0,0,'DD',1580683483,1384378115,0,0),
(390128,2059023656,1,0,'Rear Shot VII','A ranged attack that deals very high damage from flanking or behind. If it lands, the target''s movement speed is slower. It requires a bow.',306,37,315,1400160844,0,405,0,1,'Your Rear Shot VII was successful on %t!','Your Rear Shot VII fades.','',0,1,'Spells/Scout/Predator/Ranger/RearShot.lua',2686,'You cast Rear Shot VII on %t.',1,0,0,1,0,0,0,0,0,390122,0,0,0,0,0,1,0,0,0,'DD',1580683556,1384378116,0,0),
(390129,3776936263,1,0,'Rear Shot VIII','A ranged attack that deals very high damage from flanking or behind. If it lands, the target''s movement speed is slower. It requires a bow.',306,37,315,1400160844,0,455,0,1,'Your Rear Shot VIII was successful on %t!','Your Rear Shot VIII fades.','',0,1,'Spells/Scout/Predator/Ranger/RearShot.lua',2686,'You cast Rear Shot VIII on %t.',1,0,0,1,0,0,0,0,0,390122,0,0,0,0,0,1,0,0,0,'DD',1580683592,1384377830,0,0),
(390130,1642483192,1,0,'Double Shot','Two precise arrow attacks that deal heat damage. If one of these attacks misses, the successive ones will miss automatically. This requires a bow.',222,37,315,1400160844,0,15,0,1,'Your Searing Shot was successful on %t!','Your Searing Shot fades.','',0,1,'Spells/Scout/Predator/Ranger/SearingShot.lua',2687,'You cast Searing Shot on %t.',1,0,0,1,0,0,0,0,0,390130,0,0,0,0,0,0,0,0,0,'DD',1580683651,1384378113,0,0),
(390131,3921846324,1,0,'Heated Shot','Two precise arrow attacks that deal heat damage. If one of these attacks misses, the successive ones will miss automatically. This requires a bow.',222,37,315,1400160844,0,80,0,1,'Your Searing Shot II was successful on %t!','Your Searing Shot II fades.','',0,1,'Spells/Scout/Predator/Ranger/SearingShot.lua',2687,'You cast Searing Shot II on %t.',1,0,0,1,0,0,0,0,0,390130,0,0,0,0,0,0,0,0,0,'DD',1580683690,1384378113,0,0),
(390132,2160615651,1,0,'Flaming Shot','Two precise arrow attacks that deal heat damage. If one of these attacks misses, the successive ones will miss automatically. This requires a bow.',222,37,315,1400160844,0,150,0,1,'Your Searing Shot III was successful on %t!','Your Searing Shot III fades.','',0,1,'Spells/Scout/Predator/Ranger/FlamingShot.lua',2687,'You cast Searing Shot III on %t.',1,0,0,1,0,0,0,0,0,390130,0,0,0,0,0,0,0,0,0,'DD',1580683769,1384378116,0,0),
(390133,2811862287,1,0,'Sharp Shot','Two precise arrow attacks that deal heat damage. If one of these attacks misses, the successive ones will miss automatically. This requires a bow.',222,37,315,1400160844,0,220,0,1,'Your Searing Shot IV was successful on %t!','Your Searing Shot IV fades.','',0,1,'Spells/Scout/Predator/Ranger/SearingShot.lua',2687,'You cast Searing Shot IV on %t.',1,0,0,1,0,0,0,0,0,390130,0,0,0,0,0,1,0,0,0,'DD',1580683813,1384378113,0,0),
(390134,69610011,1,0,'Precise Shot','Two precise arrow attacks that deal heat damage. If one of these attacks misses, the successive ones will miss automatically. This requires a bow.',222,37,315,1400160844,0,290,0,1,'Your Searing Shot V was successful on %t!','Your Searing Shot V fades.','',0,1,'Spells/Scout/Predator/Ranger/SearingShot.lua',2687,'You cast Searing Shot V on %t.',1,0,0,1,0,0,0,0,0,390130,0,0,0,0,0,1,0,0,0,'DD',1580683850,1384378116,0,0),
(390135,188009791,1,0,'Searing Shot','Two precise arrow attacks that deal heat damage. If one of these attacks misses, the successive ones will miss automatically. This requires a bow.',222,37,315,1400160844,0,355,0,1,'Your Searing Shot VI was successful on %t!','Your Searing Shot VI fades.','',0,1,'Spells/Scout/Predator/Ranger/SearingShot.lua',2687,'You cast Searing Shot VI on %t.',1,0,0,1,0,0,0,0,0,390130,0,0,0,0,0,1,0,0,0,'DD',1580683900,1384378115,0,0),
(390136,1606160034,1,0,'Searing Shot VII','Two precise arrow attacks that deal heat damage. If one of these attacks misses, the successive ones will miss automatically. This requires a bow.',222,37,315,1400160844,0,405,0,1,'Your Searing Shot VII was successful on %t!','Your Searing Shot VII fades.','',0,1,'Spells/Scout/Predator/Ranger/SearingShot.lua',2687,'You cast Searing Shot VII on %t.',1,0,0,1,0,0,0,0,0,390130,0,0,0,0,0,1,0,0,0,'DD',1580684085,1384378116,0,0),
(390137,3863467338,1,0,'Searing Shot VIII','Two precise arrow attacks that deal heat damage. If one of these attacks misses, the successive ones will miss automatically. This requires a bow.',222,37,315,1400160844,0,455,0,1,'Your Searing Shot VIII was successful on %t!','Your Searing Shot VIII fades.','',0,1,'Spells/Scout/Predator/Ranger/SearingShot.lua',2687,'You cast Searing Shot VIII on %t.',1,0,0,1,0,0,0,0,0,390130,0,0,0,0,0,1,0,0,0,'DD',1580684172,1384378116,0,0),
(390138,2245456369,1,0,'Leg Shot','A ranged attack that slows target''s movement on a successful hit. A bow is required.',364,37,315,1400160844,0,220,0,1,'Your Snaring Shot was successful on %t!','Your Snaring Shot fades.','',0,1,'Spells/Scout/Predator/Ranger/SnaringShot.lua',2689,'You cast Snaring Shot on %t.',1,0,0,1,0,1,4,0,0,390138,0,0,0,0,0,1,0,0,0,'Unset',1580776988,1384378113,0,0),
(390139,784663722,1,0,'Snaring Shot','A ranged attack that slows target''s movement on a successful hit. A bow is required.',364,37,315,1400160844,0,290,0,1,'Your Snaring Shot II was successful on %t!','Your Snaring Shot II fades.','',0,1,'Spells/Scout/Predator/Ranger/SnaringShot.lua',2689,'You cast Snaring Shot II on %t.',1,0,0,1,0,1,4,0,0,390138,0,0,0,0,0,1,0,0,0,'Unset',1580777034,1384378116,0,0),
(390140,4108485038,1,0,'Roped Shot','A ranged attack that slows target''s movement on a successful hit. A bow is required.',364,37,315,1400160844,0,360,0,1,'Your Snaring Shot III was successful on %t!','Your Snaring Shot III fades.','',0,1,'Spells/Scout/Predator/Ranger/SnaringShot.lua',2689,'You cast Snaring Shot III on %t.',1,0,0,1,0,1,4,0,0,390138,0,0,0,0,0,1,0,0,0,'Unset',1580777087,1384378115,0,0),
(390141,16559165,1,0,'Snaring Shot IV','A ranged attack that slows target''s movement on a successful hit. A bow is required.',364,37,315,1400160844,0,410,0,1,'Your Snaring Shot IV was successful on %t!','Your Snaring Shot IV fades.','',0,1,'Spells/Scout/Predator/Ranger/SnaringShot.lua',2689,'You cast Snaring Shot IV on %t.',1,0,0,1,0,1,4,0,0,390138,0,0,0,0,0,1,0,0,0,'Unset',1580777142,1384378116,0,0),
(390142,3104274389,1,0,'Snaring Shot V','A ranged attack that slows target''s movement on a successful hit. A bow is required.',364,37,315,1400160844,0,460,0,1,'Your Snaring Shot V was successful on %t!','Your Snaring Shot V fades.','',0,1,'Spells/Scout/Predator/Ranger/SnaringShot.lua',2689,'You cast Snaring Shot V on %t.',1,0,0,1,0,1,4,0,0,390138,0,0,0,0,0,1,0,0,0,'Unset',1580777193,1384378116,0,0),
(390143,2849767912,1,0,'Sneak Attack','An attack made from the side that deals moderate damage and stealths the ranger.',377,40,315,1921433074,0,25,0,1,'Your Sneak Attack was successful on %t!','Your Sneak Attack fades.','',0,1,'Spells/Scout/Predator/Ranger/SneakAttack.lua',2690,'You cast Sneak Attack on %t.',1,0,0,1,0,0,0,0,0,390143,0,0,0,0,0,0,0,0,0,'DD',1580684358,1384378116,0,0),
(390144,420277761,1,0,'Hidden Attack','An attack made from the side that deals moderate damage and stealths the ranger.',377,40,315,1400160844,0,95,0,1,'Your Sneak Attack II was successful on %t!','Your Sneak Attack II fades.','',0,1,'Spells/Scout/Predator/Ranger/SneakAttack.lua',2690,'You cast Sneak Attack II on %t.',1,0,0,1,0,0,0,0,0,390143,0,0,0,0,0,0,0,0,0,'DD',1580684502,1384378113,0,0),
(390145,249191548,1,0,'Pouncing Attack','An attack made from the side that deals moderate damage and stealths the ranger.',377,40,315,1400160844,0,165,0,1,'Your Sneak Attack III was successful on %t!','Your Sneak Attack III fades.','',0,1,'Spells/Scout/Predator/Ranger/SneakAttack.lua',2690,'You cast Sneak Attack III on %t.',1,0,0,1,0,0,0,0,0,390143,0,0,0,0,0,1,0,0,0,'DD',1580686530,1384378115,0,0),
(390146,3749691808,1,0,'Longshank','An attack made from the side that deals moderate damage and stealths the ranger.',377,40,315,1400160844,0,235,0,1,'Your Sneak Attack IV was successful on %t!','Your Sneak Attack IV fades.','',0,1,'Spells/Scout/Predator/Ranger/SneakAttack.lua',2690,'You cast Sneak Attack IV on %t.',1,0,0,1,0,0,0,0,0,390143,0,0,0,0,0,1,0,0,0,'DD',1580686585,1384378115,0,0),
(390147,340031892,1,0,'Longblade','An attack made from the side that deals moderate damage and stealths the ranger.',377,40,315,1400160844,0,305,0,1,'Your Sneak Attack V was successful on %t!','Your Sneak Attack V fades.','',0,1,'Spells/Scout/Predator/Ranger/SneakAttack.lua',2690,'You cast Sneak Attack V on %t.',1,0,0,1,0,0,0,0,0,390143,0,0,0,0,0,1,0,0,0,'DD',1580687464,1384378116,0,0),
(390148,1903274234,1,0,'Longstab','An attack made from the side that deals moderate damage and stealths the ranger.',377,40,315,1400160844,0,370,0,1,'Your Sneak Attack VI was successful on %t!','Your Sneak Attack VI fades.','',0,1,'Spells/Scout/Predator/Ranger/SneakAttack.lua',2690,'You cast Sneak Attack VI on %t.',1,0,0,1,0,0,0,0,0,390143,0,0,0,0,0,1,0,0,0,'DD',1580687735,1384378116,0,0),
(390149,4216990745,1,0,'Sneak Attack VII','An attack made from the side that deals moderate damage and stealths the ranger.',377,40,315,1400160844,0,420,0,1,'Your Sneak Attack VII was successful on %t!','Your Sneak Attack VII fades.','',0,1,'Spells/Scout/Predator/Ranger/SneakAttack.lua',2690,'You cast Sneak Attack VII on %t.',1,0,0,1,0,0,0,0,0,390149,0,0,0,0,0,1,0,0,0,'DD',1580687845,1384378114,0,0),
(390150,1117911025,1,0,'Sneak Attack VIII','An attack made from the side that deals moderate damage and stealths the ranger.',377,40,315,1400160844,0,470,0,1,'Your Sneak Attack VIII was successful on %t!','Your Sneak Attack VIII fades.','',0,1,'Spells/Scout/Predator/Ranger/SneakAttack.lua',2690,'You cast Sneak Attack VIII on %t.',1,0,0,0,0,0,0,0,0,390143,0,0,0,0,0,1,0,0,0,'DD',1580688467,1384378116,0,0),
(390151,3001926696,1,0,'Trap','Decreases target''s defense.',310,41,315,1400160844,0,40,0,1,'Your Snipe was successful on %t!','Your Snipe fades.','',0,1,'Spells/Scout/Predator/Ranger/Snipe.lua',2691,'You cast Snipe on %t.',1,0,0,1,0,1,1,0,0,390151,0,0,0,0,0,0,0,0,0,'Unset',1580690525,1384378116,0,0),
(390152,173323849,1,0,'Corner','Decreases target''s defense.',310,41,315,1400160844,0,110,0,1,'Your Snipe II was successful on %t!','Your Snipe II fades.','',0,1,'Spells/Scout/Predator/Ranger/Corner.lua',2691,'You cast Snipe II on %t.',1,0,0,1,0,1,1,0,0,390151,0,0,0,0,0,0,0,0,0,'Unset',1580690619,1384378116,0,0),
(390153,1179445773,1,0,'Pick Off','Decreases target''s defense.',310,41,315,1400160844,0,180,0,1,'Your Snipe III was successful on %t!','Your Snipe III fades.','',0,1,'Spells/Scout/Predator/Ranger/Snipe.lua',2691,'You cast Snipe III on %t.',1,0,0,1,0,1,1,0,0,390151,0,0,0,0,0,1,0,0,0,'Unset',1580690678,1384378116,0,0),
(390154,3576493413,1,0,'Snipe','Decreases target''s defense.',310,41,315,1400160844,0,250,0,1,'Your Snipe IV was successful on %t!','Your Snipe IV fades.','',0,1,'Spells/Scout/Predator/Ranger/Snipe.lua',2691,'You cast Snipe IV on %t.',1,0,0,1,0,1,1,0,0,390151,0,0,0,0,0,1,0,0,0,'Unset',1580690730,1384378115,0,0),
(390155,3994844776,1,0,'Cover Fire','Decreases target''s defense.',310,41,315,1400160844,0,320,0,1,'Your Snipe V was successful on %t!','Your Snipe V fades.','',0,1,'Spells/Scout/Predator/Ranger/Snipe.lua',2691,'You cast Snipe V on %t.',1,0,0,1,0,1,1,0,0,390151,0,0,0,0,0,1,0,0,0,'Unset',1580690923,1384378114,0,0),
(390156,1163023738,1,0,'Vulnerability','Decreases target''s defense.',310,41,315,1400160844,0,375,0,1,'Your Snipe VI was successful on %t!','Your Snipe VI fades.','',0,1,'Spells/Scout/Predator/Ranger/Snipe.lua',2691,'You cast Snipe VI on %t.',1,0,0,1,0,1,1,0,0,390151,0,0,0,0,0,1,0,0,0,'Unset',1580690977,1384378116,0,0),
(390157,470929171,1,0,'Snipe VII','Decreases target''s defense.',310,41,315,1400160844,0,425,0,1,'Your Snipe VII was successful on %t!','Your Snipe VII fades.','',0,1,'Spells/Scout/Predator/Ranger/Snipe.lua',2691,'You cast Snipe VII on %t.',1,0,0,1,0,1,1,0,0,390151,0,0,0,0,0,1,0,0,0,'Unset',1580691007,1384378114,0,0),
(390158,3501969293,1,0,'Snipe VIII','Decreases target''s defense.',310,41,315,1400160844,0,475,0,1,'Your Snipe VIII was successful on %t!','Your Snipe VIII fades.','',0,1,'Spells/Scout/Predator/Ranger/Snipe.lua',2691,'You cast Snipe VIII on %t.',1,0,0,0,0,0,1,0,0,390151,0,0,0,0,0,1,0,0,0,'Unset',1580691073,1384378116,0,0),
(390159,3483436526,1,0,'Sniper Shot','The most lethal ranged stealthed attack in the ranger''s arsenal.',496,37,315,1400160844,0,290,0,1,'Your Sniper Shot was successful on %t!','Your Sniper Shot fades.','',0,1,'Spells/Scout/Predator/Ranger/SniperShot.lua',2692,'You cast Sniper Shot on %t.',1,0,0,1,0,0,0,0,0,390159,0,0,0,0,0,0,0,0,0,'DD',1580778161,1384378115,0,0),
(390160,1091893346,1,0,'Sniper Arrow','The most lethal ranged stealthed attack in the ranger''s arsenal.',496,37,315,1400160844,0,380,0,1,'Your Sniper Shot II was successful on %t!','Your Sniper Shot II fades.','',0,1,'Spells/Scout/Predator/Ranger/SniperShot.lua',2692,'You cast Sniper Shot II on %t.',1,0,0,1,0,0,0,0,0,390159,0,0,0,0,0,0,0,0,0,'DD',1580778270,1384378116,0,0),
(390161,3636374120,1,0,'Sniper Shot III','The most lethal ranged stealthed attack in the ranger''s arsenal.',496,37,315,1400160844,0,430,0,1,'Your Sniper Shot III was successful on %t!','Your Sniper Shot III fades.','',0,1,'Spells/Scout/Predator/Ranger/SniperShot.lua',2692,'You cast Sniper Shot III on %t.',1,0,0,1,0,0,0,0,0,390159,0,0,0,0,0,0,0,0,0,'DD',1580778325,1384378114,0,0),
(390162,1169247006,1,0,'Sniper Shot IV','The most lethal ranged stealthed attack in the ranger''s arsenal.',496,37,315,1400160844,0,480,0,1,'Your Sniper Shot IV was successful on %t!','Your Sniper Shot IV fades.','',0,1,'Spells/Scout/Predator/Ranger/SniperShot.lua',2692,'You cast Sniper Shot IV on %t.',1,0,0,0,0,0,0,0,0,390159,0,0,0,0,0,0,0,0,0,'DD',1580778419,1384378116,0,0),
(390163,2982337185,1,0,'Steady Bow','Greatly improves the ranger''s ranged skill and accuracy with increased attack speed and Multi-Attack Chance for a short duration at the cost of all melee skills. This ability does not cost power and can be used while stifled.',342,37,317,1400160844,0,1000,0,0,'Your Steady Bow was successful on %t!','Your Steady Bow fades.','',0,0,'Spells/Scout/Predator/Ranger/SteadyBow.lua',0,'You cast Steady Bow on %t.',1,0,0,0,1,0,0,0,0,390163,0,2,0,0,0,0,0,0,0,'Unset',1580778614,1384378116,0,0),
(390164,2646389717,1,0,'Storm Of Arrows','A ranged area attack centered at the target that deals great damage to the target and nearby encounter members.',363,37,312,1400160844,0,250,0,2,'Your Storm of Arrows was successful on %t!','Your Storm of Arrows fades.','',0,1,'Spells/Scout/Predator/Ranger/StormofArrows.lua',2695,'You cast Storm of Arrows on %t.',1,0,0,1,0,1,0,0,0,390164,0,0,0,0,0,1,0,0,0,'DD',1580777551,1384378115,0,0),
(390165,758473715,1,0,'Rain Of Arrows','A ranged area attack centered at the target that deals great damage to the target and nearby encounter members.',363,37,312,1400160844,0,350,0,2,'Your Storm of Arrows II was successful on %t!','Your Storm of Arrows II fades.','',0,1,'Spells/Scout/Predator/Ranger/StormofArrows.lua',2695,'You cast Storm of Arrows II on %t.',1,0,0,1,0,1,0,0,0,390164,0,0,0,0,0,1,0,0,0,'DD',1580777602,1384378116,0,0),
(390166,2824433990,1,0,'Shower Of Arrows','A ranged area attack centered at the target that deals great damage to the target and nearby encounter members.',363,37,312,1400160844,0,400,0,2,'Your Storm of Arrows III was successful on %t!','Your Storm of Arrows III fades.','',0,1,'Spells/Scout/Predator/Ranger/StormofArrows.lua',2695,'You cast Storm of Arrows III on %t.',1,0,0,1,0,1,0,0,0,390164,0,0,0,0,0,1,0,0,0,'DD',1580777650,1384378116,0,0),
(390167,2168834783,1,0,'Storm of Arrows IV','A ranged area attack centered at the target that deals great damage to the target and nearby encounter members.',363,37,312,1400160844,0,450,0,2,'Your Storm of Arrows IV was successful on %t!','Your Storm of Arrows IV fades.','',0,1,'Spells/Scout/Predator/Ranger/StormofArrows.lua',2695,'You cast Storm of Arrows IV on %t.',1,0,0,1,0,1,0,0,0,390164,0,0,0,0,0,1,0,0,0,'DD',1580777691,1384378116,0,0),
(390168,2930004586,1,0,'Storm of Arrows V','A ranged area attack centered at the target that deals great damage to the target and nearby encounter members.',363,37,312,1400160844,0,500,0,2,'Your Storm of Arrows V was successful on %t!','Your Storm of Arrows V fades.','',0,1,'Spells/Scout/Predator/Ranger/StormofArrows.lua',2695,'You cast Storm of Arrows V on %t.',1,0,0,0,0,1,0,0,0,390164,0,0,0,0,0,1,0,0,0,'DD',1580777750,1384378116,0,0),
(390169,2857159368,1,0,'Stream of Arrows','The ranger fires a stream of arrows into the air, raining down upon their target''s group.',299,37,313,1400160844,0,275,0,1,'Your Stream of Arrows was successful on %t!','Your Stream of Arrows fades.','',0,1,'Spells/Scout/Predator/Ranger/StreamofArrows.lua',2696,'You cast Stream of Arrows on %t.',1,0,0,1,0,0,0,0,0,390169,0,0,0,0,0,1,0,0,0,'DD',1580777889,1384378115,0,0),
(390170,66740102,1,0,'Repeating Arrows','The ranger fires a stream of arrows into the air, raining down upon their target''s group.',299,37,313,1400160844,0,370,0,1,'Your Stream of Arrows II was successful on %t!','Your Stream of Arrows II fades.','',0,1,'Spells/Scout/Predator/Ranger/StreamofArrows.lua',2696,'You cast Stream of Arrows II on %t.',1,0,0,1,0,0,0,0,0,390169,0,0,0,0,0,1,0,0,0,'DD',1580777988,1384378116,0,0),
(390171,2575156287,1,0,'Stream of Arrows III','The ranger fires a stream of arrows into the air, raining down upon their target''s group.',299,37,313,1400160844,0,420,0,1,'Your Stream of Arrows III was successful on %t!','Your Stream of Arrows III fades.','',0,1,'Spells/Scout/Predator/Ranger/StreamofArrows.lua',2696,'You cast Stream of Arrows III on %t.',1,0,0,1,0,0,0,0,0,390169,0,0,0,0,0,1,0,0,0,'DD',1580778024,1384377837,0,0),
(390172,1319060583,1,0,'Stream of Arrows IV','The ranger fires a stream of arrows into the air, raining down upon their target''s group.',299,37,313,1400160844,0,470,0,1,'Your Stream of Arrows IV was successful on %t!','Your Stream of Arrows IV fades.','',0,1,'Spells/Scout/Predator/Ranger/StreamofArrows.lua',2696,'You cast Stream of Arrows IV on %t.',1,0,0,0,0,0,0,0,0,390169,0,0,0,0,0,1,0,0,0,'DD',1580778089,1384378116,0,0),
(390173,670466260,1,1,'Survival Instincts','Increases defense, parry, agility, and base avoidance while reducing the offensive melee skills of the ranger. This is the ranger''s primary defensive stance.',307,40,317,3167106577,0,90,1,0,'Your Survival Instincts was successful on %t!','Your Survival Instincts fades.','',0,1,'Spells/Scout/Predator/Ranger/SurvivalInstincts.lua',2697,'You cast Survival Instincts on %t.',1,0,0,1,1,1,0,0,0,390173,0,0,0,0,0,0,0,0,0,'Unset',1580708910,1384378113,0,0),
(390174,1663283742,1,1,'Adroit','Increases defense, parry, agility, and base avoidance while reducing the offensive melee skills of the ranger. This is the ranger''s primary defensive stance.',307,40,317,1400160844,0,160,1,0,'Your Survival Instincts II was successful on %t!','Your Survival Instincts II fades.','',0,1,'Spells/Scout/Predator/Ranger/SurvivalInstincts.lua',2697,'You cast Survival Instincts II on %t.',1,0,0,1,1,1,0,0,0,390173,0,0,0,0,0,1,0,0,0,'Unset',1580708936,1384377836,0,0),
(390175,1605476650,1,1,'Dance Of Leaves','Increases defense, parry, agility, and base avoidance while reducing the offensive melee skills of the ranger. This is the ranger''s primary defensive stance.',307,40,317,1400160844,0,230,1,0,'Your Survival Instincts III was successful on %t!','Your Survival Instincts III fades.','',0,1,'Spells/Scout/Predator/Ranger/SurvivalInstincts.lua',2697,'You cast Survival Instincts III on %t.',1,0,0,1,1,1,0,0,0,390173,0,0,0,0,0,1,0,0,0,'Unset',1580773005,1384378113,0,0),
(390176,1021850643,1,1,'Dance Of Trees','Increases defense, parry, agility, and base avoidance while reducing the offensive melee skills of the ranger. This is the ranger''s primary defensive stance.',307,40,317,1400160844,0,300,1,0,'Your Survival Instincts IV was successful on %t!','Your Survival Instincts IV fades.','',0,1,'Spells/Scout/Predator/Ranger/SurvivalInstincts.lua',2697,'You cast Survival Instincts IV on %t.',1,0,0,1,1,1,0,0,0,390173,0,0,0,0,0,1,0,0,0,'Unset',1580709063,1384378116,0,0),
(390177,505497399,1,1,'Dance of the Forest','Increases defense, parry, agility, and base avoidance while reducing the offensive melee skills of the ranger. This is the ranger''s primary defensive stance.',307,40,317,1400160844,0,365,1,0,'Your Survival Instincts V was successful on %t!','Your Survival Instincts V fades.','',0,1,'Spells/Scout/Predator/Ranger/SurvivalInstincts.lua',2697,'You cast Survival Instincts V on %t.',1,0,0,1,1,1,0,0,0,390173,0,0,0,0,0,1,0,0,0,'Unset',1580773029,1384378116,0,0),
(390178,2947322180,1,1,'Survival Instincts VI','Increases defense, parry, agility, and base avoidance while reducing the offensive melee skills of the ranger. This is the ranger''s primary defensive stance.',307,40,317,1400160844,0,415,1,0,'Your Survival Instincts VI was successful on %t!','Your Survival Instincts VI fades.','',0,1,'Spells/Scout/Predator/Ranger/SurvivalInstincts.lua',2697,'You cast Survival Instincts VI on %t.',1,0,0,1,1,1,0,0,0,390173,0,0,0,0,0,1,0,0,0,'Unset',1580773038,1384378114,0,0),
(390179,813044442,1,1,'Survival Instincts VII','Increases defense, parry, agility, and base avoidance while reducing the offensive melee skills of the ranger. This is the ranger''s primary defensive stance.',307,40,317,1400160844,0,465,1,0,'Your Survival Instincts VII was successful on %t!','Your Survival Instincts VII fades.','',0,1,'Spells/Scout/Predator/Ranger/SurvivalInstincts.lua',2697,'You cast Survival Instincts VII on %t.',1,0,0,0,1,0,0,0,0,390173,0,0,0,0,0,0,0,0,0,'Unset',1580773054,1384378116,0,0),
(390180,2817740140,1,0,'Thorny Trap','Places a trap in front of the ranger. When triggered, it deals piercing damage to nearby encounter members of the creature that triggered it and roots them in place. When the root effect expires, they become snared for a short duration.',375,41,312,1400160844,0,260,0,0,'Your Thorny Trap was successful on %t!','Your Thorny Trap fades.','',0,0,'Spells/Scout/Predator/Ranger/ThornyTrap.lua',2698,'You cast Thorny Trap on %t.',1,0,0,1,1,1,0,0,0,390180,0,0,0,0,0,0,0,0,0,'Unset',1580777277,1384377831,0,0),
(390181,2518875680,1,0,'Spiked Trap','Places a trap in front of the ranger. When triggered, it deals piercing damage to nearby encounter members of the creature that triggered it and roots them in place. When the root effect expires, they become snared for a short duration.',375,41,312,1400160844,0,360,0,0,'Your Thorny Trap II was successful on %t!','Your Thorny Trap II fades.','',0,0,'Spells/Scout/Predator/Ranger/ThornyTrap.lua',2698,'You cast Thorny Trap II on %t.',1,0,0,1,1,1,0,0,0,390180,0,0,0,0,0,0,0,0,0,'Unset',1580777321,1384378116,0,0),
(390182,1884653692,1,0,'Thorny Trap III','Places a trap in front of the ranger. When triggered, it deals piercing damage to nearby encounter members of the creature that triggered it and roots them in place. When the root effect expires, they become snared for a short duration.',375,41,312,1400160844,0,410,0,0,'Your Thorny Trap III was successful on %t!','Your Thorny Trap III fades.','',0,0,'Spells/Scout/Predator/Ranger/ThornyTrap.lua',2698,'You cast Thorny Trap III on %t.',1,0,0,1,1,1,0,0,0,390180,0,0,0,0,0,0,0,0,0,'Unset',1580777337,1384378158,0,0),
(390183,2803101651,1,0,'Trick Shot','Ranged attack that enrages the target, causing the next person it attacks to generate much more hate for a short duration.',29,37,315,1400160844,0,120,0,1,'Your Trick Shot was successful on %t!','Your Trick Shot fades.','',0,1,'Spells/Scout/Predator/Ranger/TrickShotClassic.lua',2700,'You cast Trick Shot on %t.',1,0,0,1,0,1,4,0,0,390183,0,0,0,0,0,0,0,0,0,'DD',1580774854,1384378115,0,0),
(390184,1323672627,1,0,'Trick Arrow','Ranged attack that enrages the target, causing the next person it attacks to generate much more hate for a short duration.',29,37,315,1400160844,0,190,0,1,'Your Trick Shot II was successful on %t!','Your Trick Shot II fades.','',0,1,'Spells/Scout/Predator/Ranger/TrickShot.lua',2700,'You cast Trick Shot II on %t.',1,0,0,1,0,1,4,0,0,390183,0,0,0,0,0,0,0,0,0,'DD',1580774901,1384377832,0,0),
(390185,1565350305,1,0,'Confusion Arrow','Ranged attack that enrages the target, causing the next person it attacks to generate much more hate for a short duration.',29,37,315,1400160844,0,260,0,1,'Your Trick Shot III was successful on %t!','Your Trick Shot III fades.','',0,1,'Spells/Scout/Predator/Ranger/TrickShot.lua',2700,'You cast Trick Shot III on %t.',1,0,0,1,0,1,4,0,0,390183,0,0,0,0,0,0,0,0,0,'DD',1580774959,1384377831,0,0),
(390186,164420609,1,0,'Confounding Arrow','Ranged attack that enrages the target, causing the next person it attacks to generate much more hate for a short duration.',29,37,315,1400160844,0,330,0,1,'Your Trick Shot IV was successful on %t!','Your Trick Shot IV fades.','',0,1,'Spells/Scout/Predator/Ranger/TrickShot.lua',2700,'You cast Trick Shot IV on %t.',1,0,0,1,0,1,4,0,0,390183,0,0,0,0,0,0,0,0,0,'DD',1580774976,1384378116,0,0),
(390187,4050684601,1,0,'Blame Arrow','Ranged attack that enrages the target, causing the next person it attacks to generate much more hate for a short duration.',29,37,315,1400160844,0,385,0,1,'Your Trick Shot V was successful on %t!','Your Trick Shot V fades.','',0,1,'Spells/Scout/Predator/Ranger/TrickShot.lua',2700,'You cast Trick Shot V on %t.',1,0,0,1,0,1,4,0,0,390183,0,0,0,0,0,0,0,0,0,'DD',1580774989,1384378116,0,0),
(390188,3939654405,1,0,'Trick Shot VI','Ranged attack that enrages the target, causing the next person it attacks to generate much more hate for a short duration.',29,37,315,1400160844,0,435,0,1,'Your Trick Shot VI was successful on %t!','Your Trick Shot VI fades.','',0,1,'Spells/Scout/Predator/Ranger/TrickShot.lua',2700,'You cast Trick Shot VI on %t.',1,0,0,1,0,1,4,0,0,390183,0,0,0,0,0,0,0,0,0,'DD',1580775009,1384378114,0,0),
(390189,927236736,1,0,'Trick Shot VII','Ranged attack that enrages the target, causing the next person it attacks to generate much more hate for a short duration.',29,37,315,1400160844,0,485,0,1,'Your Trick Shot VII was successful on %t!','Your Trick Shot VII fades.','',0,1,'Spells/Scout/Predator/Ranger/TrickShot.lua',2700,'You cast Trick Shot VII on %t.',1,0,0,0,0,0,4,0,0,390183,0,0,0,0,0,0,0,0,0,'DD',1580775024,1384378114,0,0),
(390190,1871544150,1,0,'Triple Shot','Three precise arrow attacks, with each successive arrow dealing additional damage. If one of these attacks misses, the successive ones will miss automatically. This requires a bow.',361,37,315,1400160844,0,140,0,1,'Your Triple Shot was successful on %t!','Your Triple Shot fades.','',0,1,'Spells/Scout/Predator/Ranger/TripleShotClassic.lua',2664,'You cast Triple Shot on %t.',1,0,0,1,0,0,0,0,0,390190,0,0,0,0,0,0,0,0,0,'Unset',1580775690,1384377830,0,0),
(390191,1590285234,1,0,'Triple Fire','Three precise arrow attacks, with each successive arrow dealing additional damage. If one of these attacks misses, the successive ones will miss automatically. This requires a bow.',361,37,315,1400160844,0,210,0,1,'Your Triple Shot II was successful on %t!','Your Triple Shot II fades.','',0,1,'Spells/Scout/Predator/Ranger/TripleShot.lua',2664,'You cast Triple Shot II on %t.',1,0,0,1,0,0,0,0,0,390190,0,0,0,0,0,1,0,0,0,'Unset',1580775728,1384378113,0,0),
(390192,2228244251,1,0,'Triple Arrow','Three precise arrow attacks, with each successive arrow dealing additional damage. If one of these attacks misses, the successive ones will miss automatically. This requires a bow.',361,37,315,1400160844,0,280,0,1,'Your Triple Shot III was successful on %t!','Your Triple Shot III fades.','',0,1,'Spells/Scout/Predator/Ranger/TripleShot.lua',2664,'You cast Triple Shot III on %t.',1,0,0,1,0,0,0,0,0,390190,0,0,0,0,0,1,0,0,0,'Unset',1580775794,1384378113,0,0),
(390193,1253420700,1,0,'Triple Volley','Three precise arrow attacks, with each successive arrow dealing additional damage. If one of these attacks misses, the successive ones will miss automatically. This requires a bow.',361,37,315,1400160844,0,350,0,1,'Your Triple Shot IV was successful on %t!','Your Triple Shot IV fades.','',0,1,'Spells/Scout/Predator/Ranger/TripleShot.lua',2664,'You cast Triple Shot IV on %t.',1,0,0,1,0,0,0,0,0,390190,0,0,0,0,0,1,0,0,0,'Unset',1580775888,1384378116,0,0),
(390194,622147631,1,0,'Triple Burst','Three precise arrow attacks, with each successive arrow dealing additional damage. If one of these attacks misses, the successive ones will miss automatically. This requires a bow.',361,37,315,1400160844,0,400,0,1,'Your Triple Shot V was successful on %t!','Your Triple Shot V fades.','',0,1,'Spells/Scout/Predator/Ranger/TripleShot.lua',2664,'You cast Triple Shot V on %t.',1,0,0,1,0,0,0,0,0,390190,0,0,0,0,0,1,0,0,0,'Unset',1580775935,1384377835,0,0),
(390195,2058786774,1,0,'Triple Shot VI','Three precise arrow attacks, with each successive arrow dealing additional damage. If one of these attacks misses, the successive ones will miss automatically. This requires a bow.',361,37,315,1400160844,0,450,0,1,'Your Triple Shot VI was successful on %t!','Your Triple Shot VI fades.','',0,1,'Spells/Scout/Predator/Ranger/TripleShot.lua',2664,'You cast Triple Shot VI on %t.',1,0,0,1,0,0,0,0,0,390190,0,0,0,0,0,1,0,0,0,'Unset',1580776055,1384378116,0,0),
(390196,1830531966,1,0,'Triple Shot VII','Three precise arrow attacks, with each successive arrow dealing additional damage. If one of these attacks misses, the successive ones will miss automatically. This requires a bow.',361,37,315,1400160844,0,500,0,1,'Your Triple Shot VII was successful on %t!','Your Triple Shot VII fades.','',0,1,'Spells/Scout/Predator/Ranger/TripleShot.lua',2664,'You cast Triple Shot VII on %t.',1,0,0,0,0,0,0,0,0,390190,0,0,0,0,0,1,0,0,0,'Unset',1580776099,1384378116,0,0),
(400000,867367605,1,0,'Ambush','A stealthed attack that deals great damage. It can only be used while in stealth.',301,40,315,1921433074,0,10,0,1,'Your Ambush was successful on %t!','Your Ambush fades.','',0,1,'Spells/Scout/Predator/Assassin/Ambush.lua',2702,'You cast Ambush on %t.',1,0,0,1,0,0,0,0,0,400000,0,0,0,0,0,0,0,0,0,'DD',1581215413,1384378114,0,0),
(400001,4123183764,1,0,'Assail','A stealthed attack that deals great damage. It can only be used while in stealth.',301,40,315,2711101135,0,45,0,1,'Your Ambush II was successful on %t!','Your Ambush II fades.','',0,1,'Spells/Scout/Predator/Assassin/Ambush.lua',2702,'You cast Ambush II on %t.',1,0,0,1,0,0,0,0,0,400000,0,0,0,0,0,0,0,0,0,'DD',1581215439,1384378116,0,0),
(400002,2372206264,1,0,'Poisoner''s Blade','A stealthed attack that deals great damage. It can only be used while in stealth.',301,40,315,2711101135,0,105,0,1,'Your Ambush III was successful on %t!','Your Ambush III fades.','',0,1,'Spells/Scout/Predator/Assassin/PoisonersBlade.lua',2702,'You cast Ambush III on %t.',1,0,0,1,0,0,0,0,0,400000,0,0,0,0,0,0,0,0,0,'DD',1581215534,1384378116,0,0),
(400003,1984938829,1,0,'Murderous Blade','A stealthed attack that deals great damage. It can only be used while in stealth.',301,40,315,2711101135,0,175,0,1,'Your Ambush IV was successful on %t!','Your Ambush IV fades.','',0,1,'Spells/Scout/Predator/Assassin/Ambush.lua',2702,'You cast Ambush IV on %t.',1,0,0,1,0,0,0,0,0,400000,0,0,0,0,0,1,0,0,0,'DD',1581215628,1384378116,0,0),
(400004,2513716727,1,0,'Ambush IX','A stealthed attack that deals great damage. It can only be used while in stealth.',301,40,315,2711101135,0,475,0,1,'Your Ambush IX was successful on %t!','Your Ambush IX fades.','',0,1,'Spells/Scout/Predator/Assassin/Ambush.lua',2702,'You cast Ambush IX on %t.',1,0,0,0,0,0,0,0,0,400000,0,0,0,0,0,1,0,0,0,'DD',1581215904,1384378116,0,0),
(400005,1630606890,1,0,'Punch Blade','A stealthed attack that deals great damage. It can only be used while in stealth.',301,40,315,2711101135,0,245,0,1,'Your Ambush V was successful on %t!','Your Ambush V fades.','',0,1,'Spells/Scout/Predator/Assassin/Ambush.lua',2702,'You cast Ambush V on %t.',1,0,0,1,0,0,0,0,0,400000,0,0,0,0,0,1,0,0,0,'DD',1581215672,1384378116,0,0),
(400006,572065638,1,0,'Puncture Blade','A stealthed attack that deals great damage. It can only be used while in stealth.',301,40,315,2711101135,0,315,0,1,'Your Ambush VI was successful on %t!','Your Ambush VI fades.','',0,1,'Spells/Scout/Predator/Assassin/Ambush.lua',2702,'You cast Ambush VI on %t.',1,0,0,1,0,0,0,0,0,400000,0,0,0,0,0,1,0,0,0,'DD',1581215731,1384378116,0,0),
(400007,2424332366,1,0,'Pinpoint Blade','A stealthed attack that deals great damage. It can only be used while in stealth.',301,40,315,2711101135,0,375,0,1,'Your Ambush VII was successful on %t!','Your Ambush VII fades.','',0,1,'Spells/Scout/Predator/Assassin/Ambush.lua',2702,'You cast Ambush VII on %t.',1,0,0,1,0,0,0,0,0,400000,0,0,0,0,0,1,0,0,0,'DD',1581215803,1384378116,0,0),
(400008,2192527796,1,0,'Ambush VIII','A stealthed attack that deals great damage. It can only be used while in stealth.',301,40,315,2711101135,0,425,0,1,'Your Ambush VIII was successful on %t!','Your Ambush VIII fades.','',0,1,'Spells/Scout/Predator/Assassin/Ambush.lua',2702,'You cast Ambush VIII on %t.',1,0,0,1,0,0,0,0,0,400000,0,0,0,0,0,1,0,0,0,'DD',1581215861,1384378116,0,0),
(400009,4191452681,1,1,'Apply Poison','Applies a poison on an ally''s weapon. This ability can only be maintained on a single ally at a time, and that ally must not already be capable of using poisons.',378,38,316,2711101135,0,260,1,1,'Your Apply Poison was successful on %t!','Your Apply Poison fades.','',0,0,'Spells/Scout/Predator/Assassin/ApplyPoison.lua',2703,'You cast Apply Poison on %t.',1,0,0,1,1,1,0,0,0,400009,0,0,0,0,0,0,0,0,0,'Unset',1581384387,1384378116,0,0),
(400010,2829320935,1,1,'Apply Toxins','Applies a poison on an ally''s weapon. This ability can only be maintained on a single ally at a time, and that ally must not already be capable of using poisons.',378,38,316,2711101135,0,360,1,1,'Your Apply Poison II was successful on %t!','Your Apply Poison II fades.','',0,0,'Spells/Scout/Predator/Assassin/ApplyPoison.lua',2703,'You cast Apply Poison II on %t.',1,0,0,1,1,1,0,0,0,400009,0,0,0,0,0,0,0,0,0,'Unset',1581384445,1384377830,0,0),
(400011,3837053096,1,1,'Apply Poison III','Applies a poison on an ally''s weapon. This ability can only be maintained on a single ally at a time, and that ally must not already be capable of using poisons.',378,38,316,2711101135,0,410,1,1,'Your Apply Poison III was successful on %t!','Your Apply Poison III fades.','',0,0,'Spells/Scout/Predator/Assassin/ApplyPoison.lua',2703,'You cast Apply Poison III on %t.',1,0,0,1,1,1,0,0,0,400009,0,0,0,0,0,0,0,0,0,'Unset',1581384505,1384378116,0,0),
(400012,1565463360,1,1,'Apply Poison IV','Applies a poison on an ally''s weapon. This ability can only be maintained on a single ally at a time, and that ally must not already be capable of using poisons.',378,38,316,2711101135,0,460,1,1,'Your Apply Poison IV was successful on %t!','Your Apply Poison IV fades.','',0,0,'Spells/Scout/Predator/Assassin/ApplyPoison.lua',2703,'You cast Apply Poison IV on %t.',1,0,0,1,1,1,0,0,0,400009,0,0,0,0,0,0,0,0,0,'Unset',1581384546,1384378116,0,0),
(400013,3659603781,1,1,'Assassin''s Flurry','This is the condensed energy of an ancient, mythical weapon.',383,65535,317,2711101135,0,400,1,1,'Your Assassin''s Flurry was successful on %t!','Your Assassin''s Flurry fades.','',0,1,'Spells/Scout/Predator/Assassin/AssassinsFlurry.lua',3561,'You cast Assassin''s Flurry on %t.',1,0,0,1,1,1,0,0,0,400013,0,0,0,0,0,0,0,0,0,'Unset',1581384770,1384377877,0,0),
(400014,2227950097,1,0,'Assassinate','The most lethal stealthed attack in the assassin''s arsenal.',371,36,315,2711101135,0,250,0,1,'Your Assassinate was successful on %t!','Your Assassinate fades.','',0,1,'Spells/Scout/Predator/Assassin/Assassinate.lua',2704,'You cast Assassinate on %t.',1,0,0,1,0,0,0,0,0,400014,0,0,0,0,0,1,0,0,0,'DD',1581383748,1384378116,0,0),
(400015,141117629,1,0,'Decapitate','The most lethal stealthed attack in the assassin''s arsenal.',371,36,315,2711101135,0,350,0,1,'Your Assassinate II was successful on %t!','Your Assassinate II fades.','',0,1,'Spells/Scout/Predator/Assassin/Assassinate.lua',2704,'You cast Assassinate II on %t.',1,0,0,1,0,0,0,0,0,400014,0,0,0,0,0,1,0,0,0,'DD',1581384083,1384377831,0,0),
(400016,960318171,1,0,'Execute','The most lethal stealthed attack in the assassin''s arsenal.',371,36,315,2711101135,0,400,0,1,'Your Assassinate III was successful on %t!','Your Assassinate III fades.','',0,1,'Spells/Scout/Predator/Assassin/Assassinate.lua',2704,'You cast Assassinate III on %t.',1,0,0,1,0,0,0,0,0,400014,0,0,0,0,0,1,0,0,0,'DD',1581384121,1384378116,0,0),
(400017,2923316028,1,0,'Assassinate IV','The most lethal stealthed attack in the assassin''s arsenal.',371,36,315,2711101135,0,450,0,1,'Your Assassinate IV was successful on %t!','Your Assassinate IV fades.','',0,1,'Spells/Scout/Predator/Assassin/Assassinate.lua',2704,'You cast Assassinate IV on %t.',1,0,0,1,0,0,0,0,0,400014,0,0,0,0,0,1,0,0,0,'DD',1581384162,1384378116,0,0),
(400018,3113445268,1,0,'Assassinate V','The most lethal stealthed attack in the assassin''s arsenal.',371,36,315,2711101135,0,500,0,1,'Your Assassinate V was successful on %t!','Your Assassinate V fades.','',0,1,'Spells/Scout/Predator/Assassin/Assassinate.lua',2704,'You cast Assassinate V on %t.',1,0,0,0,0,0,0,0,0,400014,0,0,0,0,0,1,0,0,0,'DD',1581384197,1384378116,0,0),
(400019,4202197298,1,0,'Spikes','Severely decreases target''s resistance to poison and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,2711101135,0,35,0,1,'Your Caltrops was successful on %t!','Your Caltrops fades.','',0,1,'Spells/Scout/Predator/Assassin/Caltrops.lua',2705,'You cast Caltrops on %t.',1,0,0,1,0,1,3,0,0,400019,0,0,0,0,0,0,0,0,0,'Unset',1581373249,1384378116,0,0),
(400020,2858135019,1,0,'Caltrops','Severely decreases target''s resistance to poison and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,2711101135,0,115,0,1,'Your Caltrops II was successful on %t!','Your Caltrops II fades.','',0,1,'Spells/Scout/Predator/Assassin/CaltropsClassic.lua',2705,'You cast Caltrops II on %t.',1,0,0,1,0,1,3,0,0,400019,0,0,0,0,0,0,0,0,0,'Unset',1581373272,1384378114,0,0),
(400021,4010027614,1,0,'Moor','Severely decreases target''s resistance to poison and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,2711101135,0,185,0,1,'Your Caltrops III was successful on %t!','Your Caltrops III fades.','',0,1,'Spells/Scout/Predator/Assassin/Caltrops.lua',2705,'You cast Caltrops III on %t.',1,0,0,1,0,1,3,0,0,400019,0,0,0,0,0,1,0,0,0,'Unset',1581373334,1384378116,0,0),
(400022,469466217,1,0,'Deadfall','Severely decreases target''s resistance to poison and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,2711101135,0,255,0,1,'Your Caltrops IV was successful on %t!','Your Caltrops IV fades.','',0,1,'Spells/Scout/Predator/Assassin/Caltrops.lua',2705,'You cast Caltrops IV on %t.',1,0,0,1,0,1,3,0,0,400019,0,0,0,0,0,1,0,0,0,'Unset',1581373359,1384378116,0,0),
(400023,3524854214,1,0,'Enmesh','Severely decreases target''s resistance to poison and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,2711101135,0,325,0,1,'Your Caltrops V was successful on %t!','Your Caltrops V fades.','',0,1,'Spells/Scout/Predator/Assassin/Caltrops.lua',2705,'You cast Caltrops V on %t.',1,0,0,1,0,1,3,0,0,400019,0,0,0,0,0,1,0,0,0,'Unset',1581373449,1384378116,0,0),
(400024,3331718169,1,0,'Mesh','Severely decreases target''s resistance to poison and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,2711101135,0,380,0,1,'Your Caltrops VI was successful on %t!','Your Caltrops VI fades.','',0,1,'Spells/Scout/Predator/Assassin/Caltrops.lua',2705,'You cast Caltrops VI on %t.',1,0,0,1,0,1,3,0,0,400019,0,0,0,0,0,1,0,0,0,'Unset',1581373510,1384378116,0,0),
(400025,2933734955,1,0,'Caltrops VII','Severely decreases target''s resistance to poison and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,2711101135,0,430,0,1,'Your Caltrops VII was successful on %t!','Your Caltrops VII fades.','',0,1,'Spells/Scout/Predator/Assassin/Caltrops.lua',2705,'You cast Caltrops VII on %t.',1,0,0,1,0,1,3,0,0,400019,0,0,0,0,0,1,0,0,0,'Unset',1581373547,1384378116,0,0),
(400026,1867768299,1,0,'Caltrops VIII','Severely decreases target''s resistance to poison and slows target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,2711101135,0,480,0,1,'Your Caltrops VIII was successful on %t!','Your Caltrops VIII fades.','',0,1,'Spells/Scout/Predator/Assassin/Caltrops.lua',2705,'You cast Caltrops VIII on %t.',1,0,0,0,0,0,3,0,0,400019,0,0,0,0,0,1,0,0,0,'Unset',1581373592,1384377829,0,0),
(400027,3008295138,1,0,'Concealment','Allows the assassin to enter stealth after every combat art that lands within the next 7 seconds. While concealment is in effect, the assassin generates less hate with enemies in combat.',231,38,317,2711101135,0,275,0,0,'Your Concealment was successful on %t!','Your Concealment fades.','',0,1,'Spells/Scout/Predator/Assassin/Concealment.lua',2706,'You cast Concealment on %t.',1,0,0,1,1,1,0,0,0,400027,0,0,0,0,0,0,0,0,0,'Unset',1581384622,1384378116,0,0),
(400028,3207242439,1,0,'Cripple','An attack that severely lowers target''s defense on a successful hit from flanking or behind.',373,40,315,2711101135,0,220,0,1,'Your Crippling Strike was successful on %t!','Your Crippling Strike fades.','',0,1,'Spells/Scout/Predator/Assassin/CripplingStrike.lua',2707,'You cast Crippling Strike on %t.',1,0,0,1,0,1,0,0,0,400028,0,0,0,0,0,1,0,0,0,'DD',1581383492,1384378116,0,0),
(400029,1118813303,1,0,'Crippling Strike','An attack that severely lowers target''s defense on a successful hit from flanking or behind.',373,40,315,2711101135,0,290,0,1,'Your Crippling Strike II was successful on %t!','Your Crippling Strike II fades.','',0,1,'Spells/Scout/Predator/Assassin/CripplingStrike.lua',2707,'You cast Crippling Strike II on %t.',1,0,0,1,0,1,0,0,0,400028,0,0,0,0,0,1,0,0,0,'DD',1581383540,1384378116,0,0),
(400030,2053947713,1,0,'Disfiguring Strike','An attack that severely lowers target''s defense on a successful hit from flanking or behind.',373,40,315,2711101135,0,360,0,1,'Your Crippling Strike III was successful on %t!','Your Crippling Strike III fades.','',0,1,'Spells/Scout/Predator/Assassin/CripplingStrike.lua',2707,'You cast Crippling Strike III on %t.',1,0,0,1,0,1,0,0,0,400028,0,0,0,0,0,1,0,0,0,'DD',1581383579,1384378116,0,0),
(400031,3591125955,1,0,'Crippling Strike IV','An attack that severely lowers target''s defense on a successful hit from flanking or behind.',373,40,315,2711101135,0,410,0,1,'Your Crippling Strike IV was successful on %t!','Your Crippling Strike IV fades.','',0,1,'Spells/Scout/Predator/Assassin/CripplingStrike.lua',2707,'You cast Crippling Strike IV on %t.',1,0,0,1,0,1,0,0,0,400028,0,0,0,0,0,1,0,0,0,'DD',1581383615,1384378116,0,0),
(400032,969822461,1,0,'Crippling Strike V','An attack that severely lowers target''s defense on a successful hit from flanking or behind.',373,40,315,2711101135,0,460,0,1,'Your Crippling Strike V was successful on %t!','Your Crippling Strike V fades.','',0,1,'Spells/Scout/Predator/Assassin/CripplingStrike.lua',2707,'You cast Crippling Strike V on %t.',1,0,0,1,0,1,0,0,0,400028,0,0,0,0,0,1,0,0,0,'DD',1581383685,1384378116,0,0),
(400033,3735055213,1,1,'Deft Defense','Increases defense, parry, agility, and base avoidance of the assassin, while reducing the offensive melee skills and combat attack damage of the assassin. This is the assassin''s primary defensive stance.',218,40,317,2711101135,0,90,1,0,'Your Cunning Defense was successful on %t!','Your Cunning Defense fades.','',0,1,'Spells/Scout/Predator/Assassin/CunningDefense.lua',2708,'You cast Cunning Defense on %t.',1,0,0,1,1,1,0,0,0,400185,0,0,0,0,0,0,0,0,0,'Unset',1581377204,1384378116,0,0),
(400034,3733409519,1,1,'Lethal Resolve','Increases defense, parry, agility, and base avoidance of the assassin, while reducing the offensive melee skills and combat attack damage of the assassin. This is the assassin''s primary defensive stance.',218,40,317,2711101135,0,160,1,0,'Your Cunning Defense II was successful on %t!','Your Cunning Defense II fades.','',0,1,'Spells/Scout/Predator/Assassin/CunningDefense.lua',2708,'You cast Cunning Defense II on %t.',1,0,0,1,1,1,0,0,0,400185,0,0,0,0,0,1,0,0,0,'Unset',1581377219,1384377829,0,0),
(400035,2566349602,1,1,'Creeping Impetus','Increases defense, parry, agility, and base avoidance of the assassin, while reducing the offensive melee skills and combat attack damage of the assassin. This is the assassin''s primary defensive stance.',218,40,317,2711101135,0,230,1,0,'Your Cunning Defense III was successful on %t!','Your Cunning Defense III fades.','',0,1,'Spells/Scout/Predator/Assassin/CunningDefense.lua',2708,'You cast Cunning Defense III on %t.',1,0,0,1,1,1,0,0,0,400185,0,0,0,0,0,1,0,0,0,'Unset',1581377229,1384378116,0,0),
(400036,3094105961,1,1,'Adroit Defense','Increases defense, parry, agility, and base avoidance of the assassin, while reducing the offensive melee skills and combat attack damage of the assassin. This is the assassin''s primary defensive stance.',218,40,317,2711101135,0,300,1,0,'Your Cunning Defense IV was successful on %t!','Your Cunning Defense IV fades.','',0,1,'Spells/Scout/Predator/Assassin/CunningDefense.lua',2708,'You cast Cunning Defense IV on %t.',1,0,0,1,1,1,0,0,0,400185,0,0,0,0,0,1,0,0,0,'Unset',1581377239,1384378116,0,0),
(400037,4250144239,1,1,'Adroit Stance','Increases defense, parry, agility, and base avoidance of the assassin, while reducing the offensive melee skills and combat attack damage of the assassin. This is the assassin''s primary defensive stance.',218,40,317,2711101135,0,365,1,0,'Your Cunning Defense V was successful on %t!','Your Cunning Defense V fades.','',0,1,'Spells/Scout/Predator/Assassin/CunningDefense.lua',2708,'You cast Cunning Defense V on %t.',1,0,0,1,1,1,0,0,0,400185,0,0,0,0,0,1,0,0,0,'Unset',1581377251,1384378116,0,0),
(400038,1618766675,1,1,'Cunning Defense VI','Increases defense, parry, agility, and base avoidance of the assassin, while reducing the offensive melee skills and combat attack damage of the assassin. This is the assassin''s primary defensive stance.',218,40,317,2711101135,0,415,1,0,'Your Cunning Defense VI was successful on %t!','Your Cunning Defense VI fades.','',0,1,'Spells/Scout/Predator/Assassin/CunningDefense.lua',2708,'You cast Cunning Defense VI on %t.',1,0,0,1,1,1,0,0,0,400185,0,0,0,0,0,1,0,0,0,'Unset',1581377264,1384378116,0,0),
(400039,2402213298,1,1,'Cunning Defense VII','Increases defense, parry, agility, and base avoidance of the assassin, while reducing the offensive melee skills and combat attack damage of the assassin. This is the assassin''s primary defensive stance.',218,40,317,2711101135,0,465,1,0,'Your Cunning Defense VII was successful on %t!','Your Cunning Defense VII fades.','',0,1,'Spells/Scout/Predator/Assassin/CunningDefense.lua',2708,'You cast Cunning Defense VII on %t.',1,0,0,0,1,0,0,0,0,400185,0,0,0,0,0,1,0,0,0,'Unset',1581377282,1384378116,0,0),
(400040,544435876,1,0,'Murderous Focus','Increases the Multi-Attack Chance and melee offensive skills of the assassin.',242,38,317,2711101135,0,200,0,0,'Your Deadly Focus was successful on %t!','Your Deadly Focus fades.','',0,1,'Spells/Scout/Predator/Assassin/DeadlyFocus.lua',2709,'You cast Deadly Focus on %t.',1,0,0,1,1,0,0,0,0,400040,0,0,0,0,0,1,0,0,0,'Unset',1581383322,1384378116,0,0),
(400041,434281315,1,0,'Brutal Focus','Increases the Multi-Attack Chance and melee offensive skills of the assassin.',242,38,317,2711101135,0,270,0,0,'Your Deadly Focus II was successful on %t!','Your Deadly Focus II fades.','',0,1,'Spells/Scout/Predator/Assassin/DeadlyFocus.lua',2709,'You cast Deadly Focus II on %t.',1,0,0,1,1,0,0,0,0,400040,0,0,0,0,0,1,0,0,0,'Unset',1581383344,1384378116,0,0),
(400042,812148018,1,0,'Deadly Focus','Increases the Multi-Attack Chance and melee offensive skills of the assassin.',242,38,317,2711101135,0,335,0,0,'Your Deadly Focus III was successful on %t!','Your Deadly Focus III fades.','',0,1,'Spells/Scout/Predator/Assassin/DeadlyFocus.lua',2709,'You cast Deadly Focus III on %t.',1,0,0,1,1,0,0,0,0,400040,0,0,0,0,0,1,0,0,0,'Unset',1581383359,1384378116,0,0),
(400043,3709566279,1,0,'Deadly Focus IV','Increases the Multi-Attack Chance and melee offensive skills of the assassin.',242,38,317,2711101135,0,435,0,0,'Your Deadly Focus IV was successful on %t!','Your Deadly Focus IV fades.','',0,1,'Spells/Scout/Predator/Assassin/DeadlyFocus.lua',2709,'You cast Deadly Focus IV on %t.',1,0,0,1,1,0,0,0,0,400040,0,0,0,0,0,1,0,0,0,'Unset',1581383367,1384378116,0,0),
(400044,1692444335,1,0,'Deadly Focus V','Increases the Multi-Attack Chance and melee offensive skills of the assassin.',242,38,317,2711101135,0,485,0,0,'Your Deadly Focus V was successful on %t!','Your Deadly Focus V fades.','',0,1,'Spells/Scout/Predator/Assassin/DeadlyFocus.lua',2709,'You cast Deadly Focus V on %t.',1,0,0,0,1,0,0,0,0,400040,0,0,0,0,0,1,0,0,0,'Unset',1581383378,1384378116,0,0),
(400045,943663000,1,0,'Double Blast','Two precise ranged attacks. If one of these attacks misses, the successive ones will miss automatically. This requires a ranged weapon.',361,37,315,2711101135,0,15,0,1,'Your Deadly Shot was successful on %t!','Your Deadly Shot fades.','',0,1,'Spells/Scout/Predator/Assassin/DeadlyShot.lua',2710,'You cast Deadly Shot on %t.',1,0,0,1,0,0,0,0,0,400045,0,0,0,0,0,0,0,0,0,'DD',1581372416,1384378114,0,0),
(400046,3506413890,1,0,'Open Shot','Two precise ranged attacks. If one of these attacks misses, the successive ones will miss automatically. This requires a ranged weapon.',361,37,315,3167106577,0,80,0,1,'Your Deadly Shot II was successful on %t!','Your Deadly Shot II fades.','',0,1,'Spells/Scout/Predator/Assassin/DeadlyShot.lua',2710,'You cast Deadly Shot II on %t.',1,0,0,1,0,0,0,0,0,400045,0,0,0,0,0,0,0,0,0,'DD',1581372434,1384378116,0,0),
(400047,2641394971,1,0,'Deadly Shot','Two precise ranged attacks. If one of these attacks misses, the successive ones will miss automatically. This requires a ranged weapon.',361,37,315,2711101135,0,150,0,1,'Your Deadly Shot III was successful on %t!','Your Deadly Shot III fades.','',0,1,'Spells/Scout/Predator/Assassin/DeadlyShotClassic.lua',2710,'You cast Deadly Shot III on %t.',1,0,0,1,0,0,0,0,0,400045,0,0,0,0,0,0,0,0,0,'DD',1581372479,1384378116,0,0),
(400048,1572673595,1,0,'Faltering Blast','Two precise ranged attacks. If one of these attacks misses, the successive ones will miss automatically. This requires a ranged weapon.',361,37,315,2711101135,0,220,0,1,'Your Deadly Shot IV was successful on %t!','Your Deadly Shot IV fades.','',0,1,'Spells/Scout/Predator/Assassin/DeadlyShot.lua',2710,'You cast Deadly Shot IV on %t.',1,0,0,1,0,0,0,0,0,400045,0,0,0,0,0,1,0,0,0,'DD',1581372521,1384377831,0,0),
(400049,261880783,1,0,'Assailing Blast','Two precise ranged attacks. If one of these attacks misses, the successive ones will miss automatically. This requires a ranged weapon.',361,37,315,2711101135,0,290,0,1,'Your Deadly Shot V was successful on %t!','Your Deadly Shot V fades.','',0,1,'Spells/Scout/Predator/Assassin/DeadlyShot.lua',2710,'You cast Deadly Shot V on %t.',1,0,0,1,0,0,0,0,0,400045,0,0,0,0,0,1,0,0,0,'DD',1581372573,1384378114,0,0),
(400050,1574836745,1,0,'Deadly Blast','Two precise ranged attacks. If one of these attacks misses, the successive ones will miss automatically. This requires a ranged weapon.',361,37,315,2711101135,0,355,0,1,'Your Deadly Shot VI was successful on %t!','Your Deadly Shot VI fades.','',0,1,'Spells/Scout/Predator/Assassin/DeadlyShot.lua',2710,'You cast Deadly Shot VI on %t.',1,0,0,1,0,0,0,0,0,400045,0,0,0,0,0,1,0,0,0,'DD',1581372613,1384378116,0,0),
(400051,266248051,1,0,'Deadly Shot VII','Two precise ranged attacks. If one of these attacks misses, the successive ones will miss automatically. This requires a ranged weapon.',361,37,315,2711101135,0,405,0,1,'Your Deadly Shot VII was successful on %t!','Your Deadly Shot VII fades.','',0,1,'Spells/Scout/Predator/Assassin/DeadlyShot.lua',2710,'You cast Deadly Shot VII on %t.',1,0,0,1,0,0,0,0,0,400045,0,0,0,0,0,1,0,0,0,'DD',1581372669,1384378116,0,0),
(400052,2463202821,1,0,'Deadly Shot VIII','Two precise ranged attacks. If one of these attacks misses, the successive ones will miss automatically. This requires a ranged weapon.',361,37,315,2711101135,0,455,0,1,'Your Deadly Shot VIII was successful on %t!','Your Deadly Shot VIII fades.','',0,1,'Spells/Scout/Predator/Assassin/DeadlyShot.lua',2710,'You cast Deadly Shot VIII on %t.',1,0,0,1,0,0,0,0,0,400045,0,0,0,0,0,1,0,0,0,'DD',1581372719,1384377831,0,0),
(400053,3749620387,1,0,'Finishing Blow','A powerful melee attack that deals triple damage if the target is below 33% health.',205,36,315,2711101135,0,290,0,1,'Your Death Blow was successful on %t!','Your Death Blow fades.','',0,1,'Spells/Scout/Predator/Assassin/DeathBlow.lua',2711,'You cast Death Blow on %t.',1,0,0,1,0,0,0,0,0,400053,0,0,0,0,0,1,0,0,0,'DD',1581385016,1384378116,0,0),
(400054,1985394011,1,0,'Death Blow','A powerful melee attack that deals triple damage if the target is below 33% health.',205,36,315,2711101135,0,380,0,1,'Your Death Blow II was successful on %t!','Your Death Blow II fades.','',0,1,'Spells/Scout/Predator/Assassin/DeathBlow.lua',2711,'You cast Death Blow II on %t.',1,0,0,1,0,0,0,0,0,400053,0,0,0,0,0,1,0,0,0,'DD',1581385096,1384378116,0,0),
(400055,1361469550,1,0,'Death Blow III','A powerful melee attack that deals triple damage if the target is below 33% health.',205,36,315,2711101135,0,430,0,1,'Your Death Blow III was successful on %t!','Your Death Blow III fades.','',0,1,'Spells/Scout/Predator/Assassin/DeathBlow.lua',2711,'You cast Death Blow III on %t.',1,0,0,1,0,0,0,0,0,400053,0,0,0,0,0,1,0,0,0,'DD',1581385125,1384378116,0,0),
(400056,2360392171,1,0,'Death Blow IV','A powerful melee attack that deals triple damage if the target is below 33% health.',205,36,315,2711101135,0,480,0,1,'Your Death Blow IV was successful on %t!','Your Death Blow IV fades.','',0,1,'Spells/Scout/Predator/Assassin/DeathBlow.lua',2711,'You cast Death Blow IV on %t.',1,0,0,0,0,0,0,0,0,400053,0,0,0,0,0,1,0,0,0,'DD',1581385061,1384378116,0,0),
(400057,2673938277,1,0,'Assassin''s Mark','Creates an extremely vulnerable point on the target. If any melee attacks strike that point, the target is inflicted by Agonizing Pain for up to 5 attacks.',366,40,315,2711101135,0,100,0,1,'Your Death Mark was successful on %t!','Your Death Mark fades.','',0,1,'Spells/Scout/Predator/Assassin/AssassinsMark.lua',2712,'You cast Death Mark on %t.',1,0,0,1,0,1,1,0,0,400057,0,0,0,0,0,0,0,0,0,'Unset',1581377704,1384378116,0,0),
(400058,1599069050,1,0,'Vulnerable Mark','Creates an extremely vulnerable point on the target. If any melee attacks strike that point, the target is inflicted by Agonizing Pain for up to 5 attacks.',366,40,315,2711101135,0,170,0,1,'Your Death Mark II was successful on %t!','Your Death Mark II fades.','',0,1,'Spells/Scout/Predator/Assassin/DeathMark.lua',2712,'You cast Death Mark II on %t.',1,0,0,1,0,1,1,0,0,400057,0,0,0,0,0,1,0,0,0,'Unset',1581377770,1384378116,0,0),
(400059,2421589552,1,0,'Exposing Mark','Creates an extremely vulnerable point on the target. If any melee attacks strike that point, the target is inflicted by Agonizing Pain for up to 5 attacks.',366,40,315,2711101135,0,240,0,1,'Your Death Mark III was successful on %t!','Your Death Mark III fades.','',0,1,'Spells/Scout/Predator/Assassin/DeathMark.lua',2712,'You cast Death Mark III on %t.',1,0,0,1,0,1,1,0,0,400057,0,0,0,0,0,1,0,0,0,'Unset',1581378013,1384378116,0,0),
(400060,1114251925,1,0,'Malignant Mark','Creates an extremely vulnerable point on the target. If any melee attacks strike that point, the target is inflicted by Agonizing Pain for up to 5 attacks.',366,40,315,2711101135,0,310,0,1,'Your Death Mark IV was successful on %t!','Your Death Mark IV fades.','',0,1,'Spells/Scout/Predator/Assassin/DeathMark.lua',2712,'You cast Death Mark IV on %t.',1,0,0,1,0,1,1,0,0,400057,0,0,0,0,0,1,0,0,0,'Unset',1581378642,1384378116,0,0),
(400061,565942418,1,0,'Death Mark','Creates an extremely vulnerable point on the target. If any melee attacks strike that point, the target is inflicted by Agonizing Pain for up to 5 attacks.',366,40,315,2711101135,0,370,0,1,'Your Death Mark V was successful on %t!','Your Death Mark V fades.','',0,1,'Spells/Scout/Predator/Assassin/DeathMark.lua',2712,'You cast Death Mark V on %t.',1,0,0,1,0,1,1,0,0,400057,0,0,0,0,0,1,0,0,0,'Unset',1581378684,1384378116,0,0),
(400062,113986983,1,0,'Death Mark VI','Creates an extremely vulnerable point on the target. If any melee attacks strike that point, the target is inflicted by Agonizing Pain for up to 5 attacks.',366,40,315,2711101135,0,420,0,1,'Your Death Mark VI was successful on %t!','Your Death Mark VI fades.','',0,1,'Spells/Scout/Predator/Assassin/DeathMark.lua',2712,'You cast Death Mark VI on %t.',1,0,0,1,0,1,1,0,0,400057,0,0,0,0,0,1,0,0,0,'Unset',1581378827,1384378116,0,0),
(400063,3680343074,1,0,'Death Mark VII','Creates an extremely vulnerable point on the target. If any melee attacks strike that point, the target is inflicted by Agonizing Pain for up to 5 attacks.',366,40,315,2711101135,0,470,0,1,'Your Death Mark VII was successful on %t!','Your Death Mark VII fades.','',0,1,'Spells/Scout/Predator/Assassin/DeathMark.lua',2712,'You cast Death Mark VII on %t.',1,0,0,1,0,1,1,0,0,400057,0,0,0,0,0,1,0,0,0,'Unset',1581379084,1384378116,0,0),
(400064,3770465827,1,0,'Shadow Blade','A deadly attack that deals very high damage. It can only be used behind or on the side of the target while in stealth.',339,36,315,3167106577,0,50,0,1,'Your Eviscerate was successful on %t!','Your Eviscerate fades.','',0,1,'Spells/Scout/Predator/Assassin/Eviscerate.lua',2713,'You cast Eviscerate on %t.',1,0,0,1,0,0,0,0,0,400064,0,0,0,0,0,0,0,0,0,'DD',1581374006,1384378116,0,0),
(400065,1648445523,1,0,'Assassin''s Blade','A deadly attack that deals very high damage. It can only be used behind or on the side of the target while in stealth.',339,36,315,2711101135,0,120,0,1,'Your Eviscerate II was successful on %t!','Your Eviscerate II fades.','',0,1,'Spells/Scout/Predator/Assassin/AssassinsBlade.lua',2713,'You cast Eviscerate II on %t.',1,0,0,1,0,0,0,0,0,400064,0,0,0,0,0,0,0,0,0,'DD',1581374049,1384378114,0,0),
(400066,2795194191,1,0,'Bloodthirster','A deadly attack that deals very high damage. It can only be used behind or on the side of the target while in stealth.',339,36,315,2711101135,0,190,0,1,'Your Eviscerate III was successful on %t!','Your Eviscerate III fades.','',0,1,'Spells/Scout/Predator/Assassin/Eviscerate.lua',2713,'You cast Eviscerate III on %t.',1,0,0,1,0,0,0,0,0,400064,0,0,0,0,0,1,0,0,0,'DD',1581374094,1384378116,0,0),
(400067,3949617436,1,0,'Gore Strike','A deadly attack that deals very high damage. It can only be used behind or on the side of the target while in stealth.',339,36,315,2711101135,0,260,0,1,'Your Eviscerate IV was successful on %t!','Your Eviscerate IV fades.','',0,1,'Spells/Scout/Predator/Assassin/Eviscerate.lua',2713,'You cast Eviscerate IV on %t.',1,0,0,1,0,0,0,0,0,400064,0,0,0,0,0,1,0,0,0,'DD',1581374141,1384378116,0,0),
(400068,1142256277,1,0,'Eviscerate','A deadly attack that deals very high damage. It can only be used behind or on the side of the target while in stealth.',339,36,315,2711101135,0,330,0,1,'Your Eviscerate V was successful on %t!','Your Eviscerate V fades.','',0,1,'Spells/Scout/Predator/Assassin/Eviscerate.lua',2713,'You cast Eviscerate V on %t.',1,0,0,1,0,0,0,0,0,400064,0,0,0,0,0,1,0,0,0,'DD',1581374197,1384377829,0,0),
(400069,3932720659,1,0,'Moon Blade','A deadly attack that deals very high damage. It can only be used behind or on the side of the target while in stealth.',339,36,315,2711101135,0,385,0,1,'Your Eviscerate VI was successful on %t!','Your Eviscerate VI fades.','',0,1,'Spells/Scout/Predator/Assassin/Eviscerate.lua',2713,'You cast Eviscerate VI on %t.',1,0,0,1,0,0,0,0,0,400064,0,0,0,0,0,1,0,0,0,'DD',1581374247,1384378116,0,0),
(400070,626405962,1,0,'Eviscerate VII','A deadly attack that deals very high damage. It can only be used behind or on the side of the target while in stealth.',339,36,315,2711101135,0,435,0,1,'Your Eviscerate VII was successful on %t!','Your Eviscerate VII fades.','',0,1,'Spells/Scout/Predator/Assassin/Eviscerate.lua',2713,'You cast Eviscerate VII on %t.',1,0,0,1,0,0,0,0,0,400064,0,0,0,0,0,1,0,0,0,'DD',1581374303,1384377829,0,0),
(400071,4173392847,1,0,'Eviscerate VIII','A deadly attack that deals very high damage. It can only be used behind or on the side of the target while in stealth.',339,36,315,2711101135,0,485,0,1,'Your Eviscerate VIII was successful on %t!','Your Eviscerate VIII fades.','',0,1,'Spells/Scout/Predator/Assassin/Eviscerate.lua',2713,'You cast Eviscerate VIII on %t.',1,0,0,0,0,0,0,0,0,400064,0,0,0,0,0,1,0,0,0,'DD',1581374502,1384378116,0,0),
(400072,3466899624,1,0,'Exacting','For a short duration, all of the assassin''s attack-based combat arts that have a natural reuse time of under 1 minute have their base damage increased and reuse timers lowered. Upgrades will increase the duration of this effect.',302,65535,317,2711101135,0,325,0,0,'Your Exacting was successful on %t!','Your Exacting fades.','',0,1,'Spells/Scout/Predator/Assassin/Exacting.lua',2714,'You cast Exacting on %t.',1,0,0,1,1,1,0,0,0,400072,0,0,0,0,0,0,0,0,0,'Unset',1581384706,1384378116,0,0),
(400073,1755027907,1,0,'Fatal Followup','This attack can only be used after a combat art strike that required stealth. The damage of Fatal Followup increases for each stealth attack that was executed in the previous 10 seconds of combat.',337,65535,315,2711101135,0,400,0,1,'Your Fatal Followup was successful on %t!','Your Fatal Followup fades.','',0,1,'Spells/Scout/Predator/Assassin/FatalFollowup.lua',2715,'You cast Fatal Followup on %t.',1,0,0,1,0,0,0,0,0,400073,0,0,0,0,0,0,0,0,0,'Unset',1581384865,1384377839,0,0),
(400074,4013773440,1,0,'Fatal Followup II','This attack can only be used after a combat art strike that required stealth. The damage of Fatal Followup increases for each stealth attack that was executed in the previous 10 seconds of combat.',337,65535,315,2711101135,0,450,0,1,'Your Fatal Followup II was successful on %t!','Your Fatal Followup II fades.','',0,1,'Spells/Scout/Predator/Assassin/FatalFollowup.lua',2715,'You cast Fatal Followup II on %t.',1,0,0,1,0,0,0,0,0,400073,0,0,0,0,0,0,0,0,0,'Unset',1581384903,1384378116,0,0),
(400075,1641636028,1,0,'Fatal Followup III','This attack can only be used after a combat art strike that required stealth. The damage of Fatal Followup increases for each stealth attack that was executed in the previous 10 seconds of combat.',337,65535,315,2711101135,0,500,0,1,'Your Fatal Followup III was successful on %t!','Your Fatal Followup III fades.','',0,1,'Spells/Scout/Predator/Assassin/FatalFollowup.lua',2715,'You cast Fatal Followup III on %t.',1,0,0,0,0,0,0,0,0,400073,0,0,0,0,0,0,0,0,0,'Unset',1581384933,1384378116,0,0),
(400076,4028090425,1,0,'Gash','A penetrating attack that deals significant damage over time. If untreated, it deals additional damage when the effect expires.',345,36,315,2711101135,0,10,0,1,'Your Gushing Wound was successful on %t!','Your Gushing Wound fades.','',0,1,'Spells/Scout/Predator/Assassin/GushingWound.lua',2716,'You cast Gushing Wound on %t.',1,0,0,1,0,1,1,0,0,400076,0,0,0,0,0,0,0,0,0,'DoT',1581215948,1384377831,0,0),
(400077,1309658173,1,0,'Bleed','A penetrating attack that deals significant damage over time. If untreated, it deals additional damage when the effect expires.',345,36,315,3167106577,0,60,0,1,'Your Gushing Wound II was successful on %t!','Your Gushing Wound II fades.','',0,1,'Spells/Scout/Predator/Assassin/GushingWound.lua',2716,'You cast Gushing Wound II on %t.',1,0,0,1,0,1,1,0,0,400076,0,0,0,0,0,0,0,0,0,'DoT',1581215997,1384378116,0,0),
(400078,3847687037,1,0,'Agonizing Wound','A penetrating attack that deals significant damage over time. If untreated, it deals additional damage when the effect expires.',345,36,315,2711101135,0,130,0,1,'Your Gushing Wound III was successful on %t!','Your Gushing Wound III fades.','',0,1,'Spells/Scout/Predator/Assassin/AgonizingWound.lua',2716,'You cast Gushing Wound III on %t.',1,0,0,1,0,1,1,0,0,400076,0,0,0,0,0,0,0,0,0,'DoT',1581216045,1384378158,0,0),
(400079,2823523205,1,0,'Seeping Wound','A penetrating attack that deals significant damage over time. If untreated, it deals additional damage when the effect expires.',345,36,315,2711101135,0,200,0,1,'Your Gushing Wound IV was successful on %t!','Your Gushing Wound IV fades.','',0,1,'Spells/Scout/Predator/Assassin/GushingWound.lua',2716,'You cast Gushing Wound IV on %t.',1,0,0,1,0,1,1,0,0,400076,0,0,0,0,0,1,0,0,0,'DoT',1581216113,1384378116,0,0),
(400080,1679092607,1,0,'Gushing Wound IX','A penetrating attack that deals significant damage over time. If untreated, it deals additional damage when the effect expires.',345,36,315,2711101135,0,490,0,1,'Your Gushing Wound IX was successful on %t!','Your Gushing Wound IX fades.','',0,1,'Spells/Scout/Predator/Assassin/GushingWound.lua',2716,'You cast Gushing Wound IX on %t.',1,0,0,0,0,0,1,0,0,400076,0,0,0,0,0,1,0,0,0,'DoT',1581216522,1384378116,0,0),
(400081,4198663185,1,0,'Oozing Wound','A penetrating attack that deals significant damage over time. If untreated, it deals additional damage when the effect expires.',345,36,315,2711101135,0,270,0,1,'Your Gushing Wound V was successful on %t!','Your Gushing Wound V fades.','',0,1,'Spells/Scout/Predator/Assassin/GushingWound.lua',2716,'You cast Gushing Wound V on %t.',1,0,0,1,0,1,1,0,0,400076,0,0,0,0,0,1,0,0,0,'DoT',1581216207,1384378116,0,0),
(400082,3566210756,1,0,'Flowing Wound','A penetrating attack that deals significant damage over time. If untreated, it deals additional damage when the effect expires.',345,36,315,2711101135,0,340,0,1,'Your Gushing Wound VI was successful on %t!','Your Gushing Wound VI fades.','',0,1,'Spells/Scout/Predator/Assassin/GushingWound.lua',2716,'You cast Gushing Wound VI on %t.',1,0,0,1,0,1,1,0,0,400076,0,0,0,0,0,1,0,0,0,'DoT',1581216288,1384377836,0,0),
(400083,1150688724,1,0,'Gushing Wound','A penetrating attack that deals significant damage over time. If untreated, it deals additional damage when the effect expires.',345,36,315,2711101135,0,390,0,1,'Your Gushing Wound VII was successful on %t!','Your Gushing Wound VII fades.','',0,1,'Spells/Scout/Predator/Assassin/GushingWound.lua',2716,'You cast Gushing Wound VII on %t.',1,0,0,1,0,1,1,0,0,400076,0,0,0,0,0,1,0,0,0,'DoT',1581216362,1384377832,0,0),
(400084,3397155566,1,0,'Gushing Wound VIII','A penetrating attack that deals significant damage over time. If untreated, it deals additional damage when the effect expires.',345,36,315,2711101135,0,440,0,1,'Your Gushing Wound VIII was successful on %t!','Your Gushing Wound VIII fades.','',0,1,'Spells/Scout/Predator/Assassin/GushingWound.lua',2716,'You cast Gushing Wound VIII on %t.',1,0,0,1,0,1,1,0,0,400076,0,0,0,0,0,1,0,0,0,'DoT',1581216439,1384378116,0,0),
(400085,2727290433,1,0,'Head Shot','A ranged attack for the head that deals great damage. A ranged weapon is required and this must be performed to the side or behind the target.',382,37,315,2711101135,0,130,0,1,'Your Head Shot was successful on %t!','Your Head Shot fades.','',0,0,'Spells/Scout/Predator/Assassin/HeadShotClassic.lua',2717,'You cast Head Shot on %t.',1,0,0,1,0,0,0,0,0,400085,0,0,0,0,0,0,0,0,0,'DD',1581381708,1384378114,0,0),
(400086,1531859766,1,0,'Assassin''s Shot','A ranged attack for the head that deals great damage. A ranged weapon is required and this must be performed to the side or behind the target.',382,37,315,2711101135,0,200,0,1,'Your Head Shot II was successful on %t!','Your Head Shot II fades.','',0,0,'Spells/Scout/Predator/Assassin/HeadShot.lua',2717,'You cast Head Shot II on %t.',1,0,0,1,0,0,0,0,0,400085,0,0,0,0,0,1,0,0,0,'DD',1581381756,1384378116,0,0),
(400087,2244967854,1,0,'Fel Shot','A ranged attack for the head that deals great damage. A ranged weapon is required and this must be performed to the side or behind the target.',382,37,315,2711101135,0,270,0,1,'Your Head Shot III was successful on %t!','Your Head Shot III fades.','',0,0,'Spells/Scout/Predator/Assassin/HeadShot.lua',2717,'You cast Head Shot III on %t.',1,0,0,1,0,0,0,0,0,400085,0,0,0,0,0,1,0,0,0,'DD',1581381815,1384378116,0,0),
(400088,3861703758,1,0,'Neck Shot','A ranged attack for the head that deals great damage. A ranged weapon is required and this must be performed to the side or behind the target.',382,37,315,2711101135,0,340,0,1,'Your Head Shot IV was successful on %t!','Your Head Shot IV fades.','',0,0,'Spells/Scout/Predator/Assassin/HeadShot.lua',2717,'You cast Head Shot IV on %t.',1,0,0,1,0,0,0,0,0,400085,0,0,0,0,0,1,0,0,0,'DD',1581381860,1384378116,0,0),
(400089,2223203578,1,0,'Ear Shot','A ranged attack for the head that deals great damage. A ranged weapon is required and this must be performed to the side or behind the target.',382,37,315,2711101135,0,390,0,1,'Your Head Shot V was successful on %t!','Your Head Shot V fades.','',0,0,'Spells/Scout/Predator/Assassin/HeadShot.lua',2717,'You cast Head Shot V on %t.',1,0,0,1,0,0,0,0,0,400085,0,0,0,0,0,1,0,0,0,'DD',1581381900,1384378116,0,0),
(400090,449766694,1,0,'Head Shot VI','A ranged attack for the head that deals great damage. A ranged weapon is required and this must be performed to the side or behind the target.',382,37,315,2711101135,0,440,0,1,'Your Head Shot VI was successful on %t!','Your Head Shot VI fades.','',0,0,'Spells/Scout/Predator/Assassin/HeadShot.lua',2717,'You cast Head Shot VI on %t.',1,0,0,1,0,0,0,0,0,400085,0,0,0,0,0,1,0,0,0,'DD',1581381935,1384378116,0,0),
(400091,2171316553,1,0,'Head Shot VII','A ranged attack for the head that deals great damage. A ranged weapon is required and this must be performed to the side or behind the target.',382,37,315,2711101135,0,490,0,1,'Your Head Shot VII was successful on %t!','Your Head Shot VII fades.','',0,0,'Spells/Scout/Predator/Assassin/HeadShot.lua',2717,'You cast Head Shot VII on %t.',1,0,0,0,0,0,0,0,0,400085,0,0,0,0,0,1,0,0,0,'DD',1581381980,1384378116,0,0),
(400092,1457818270,1,0,'Impale','Deals medium damage and causes the target to bleed, dealing additional piercing damage over time.',376,36,315,3167106577,0,65,0,1,'Your Impale was successful on %t!','Your Impale fades.','',0,1,'Spells/Scout/Predator/Assassin/Impale.lua',2718,'You cast Impale on %t.',1,0,0,1,0,1,1,0,0,400092,0,0,0,0,0,0,0,0,0,'DoT',1581375251,1384378116,0,0),
(400093,3308974343,1,0,'Insidious Cut','Deals medium damage and causes the target to bleed, dealing additional piercing damage over time.',376,36,315,2711101135,0,135,0,1,'Your Impale II was successful on %t!','Your Impale II fades.','',0,1,'Spells/Scout/Predator/Assassin/InsidiousCut.lua',2718,'You cast Impale II on %t.',1,0,0,1,0,1,1,0,0,400092,0,0,0,0,0,0,0,0,0,'DoT',1581375338,1384378116,0,0),
(400094,711200210,1,0,'Infected Wound','Deals medium damage and causes the target to bleed, dealing additional piercing damage over time.',376,36,315,2711101135,0,205,0,1,'Your Impale III was successful on %t!','Your Impale III fades.','',0,1,'Spells/Scout/Predator/Assassin/Impale.lua',2718,'You cast Impale III on %t.',1,0,0,1,0,1,1,0,0,400092,0,0,0,0,0,1,0,0,0,'DoT',1581375446,1384378116,0,0),
(400095,2888925246,1,0,'Open Wound','Deals medium damage and causes the target to bleed, dealing additional piercing damage over time.',376,36,315,2711101135,0,275,0,1,'Your Impale IV was successful on %t!','Your Impale IV fades.','',0,1,'Spells/Scout/Predator/Assassin/Impale.lua',2718,'You cast Impale IV on %t.',1,0,0,1,0,1,1,0,0,400092,0,0,0,0,0,1,0,0,0,'DoT',1581375527,1384378116,0,0),
(400096,2487033631,1,0,'Deadly Wound','Deals medium damage and causes the target to bleed, dealing additional piercing damage over time.',376,36,315,2711101135,0,345,0,1,'Your Impale V was successful on %t!','Your Impale V fades.','',0,1,'Spells/Scout/Predator/Assassin/Impale.lua',2718,'You cast Impale V on %t.',1,0,0,1,0,1,1,0,0,400092,0,0,0,0,0,1,0,0,0,'DoT',1581375606,1384378116,0,0),
(400097,2842376480,1,0,'Deadly Impale','Deals medium damage and causes the target to bleed, dealing additional piercing damage over time.',376,36,315,2711101135,0,395,0,1,'Your Impale VI was successful on %t!','Your Impale VI fades.','',0,1,'Spells/Scout/Predator/Assassin/Impale.lua',2718,'You cast Impale VI on %t.',1,0,0,1,0,1,1,0,0,400092,0,0,0,0,0,1,0,0,0,'DoT',1581375700,1384378116,0,0),
(400098,1804017677,1,0,'Impale VII','Deals medium damage and causes the target to bleed, dealing additional piercing damage over time.',376,36,315,2711101135,0,445,0,1,'Your Impale VII was successful on %t!','Your Impale VII fades.','',0,1,'Spells/Scout/Predator/Assassin/Impale.lua',2718,'You cast Impale VII on %t.',1,0,0,1,0,1,1,0,0,400092,0,0,0,0,0,1,0,0,0,'DoT',1581375774,1384378116,0,0),
(400099,2096903246,1,0,'Impale VIII','Deals medium damage and causes the target to bleed, dealing additional piercing damage over time.',376,36,315,2711101135,0,495,0,1,'Your Impale VIII was successful on %t!','Your Impale VIII fades.','',0,1,'Spells/Scout/Predator/Assassin/Impale.lua',2718,'You cast Impale VIII on %t.',1,0,0,0,0,0,1,0,0,400092,0,0,0,0,0,1,0,0,0,'DoT',1581375872,1384378116,0,0),
(400100,531004949,1,0,'Makeshift Weapon','A ranged piercing attack that does not require using an equipped ranged weapon.',347,38,315,2711101135,0,150,0,1,'Your Improvised Weapon was successful on %t!','Your Improvised Weapon fades.','',0,1,'Spells/Scout/Predator/Assassin/MakeshiftWeapon.lua',2719,'You cast Improvised Weapon on %t.',1,0,0,1,0,0,0,0,0,400100,0,0,0,0,0,0,0,0,0,'DD',1581382579,1384378116,0,0),
(400101,1243618186,1,0,'Improvised Weapon','A ranged piercing attack that does not require using an equipped ranged weapon.',347,38,315,2711101135,0,220,0,1,'Your Improvised Weapon II was successful on %t!','Your Improvised Weapon II fades.','',0,1,'Spells/Scout/Predator/Assassin/ImprovisedWeapon.lua',2719,'You cast Improvised Weapon II on %t.',1,0,0,1,0,0,0,0,0,400100,0,0,0,0,0,1,0,0,0,'DD',1581382647,1384378116,0,0),
(400102,2085642434,1,0,'Contrived Weapon','A ranged piercing attack that does not require using an equipped ranged weapon.',347,38,315,2711101135,0,290,0,1,'Your Improvised Weapon III was successful on %t!','Your Improvised Weapon III fades.','',0,1,'Spells/Scout/Predator/Assassin/ImprovisedWeapon.lua',2719,'You cast Improvised Weapon III on %t.',1,0,0,1,0,0,0,0,0,400100,0,0,0,0,0,1,0,0,0,'DD',1581382713,1384378116,0,0),
(400103,3730728047,1,0,'Resourceful Weapon','A ranged piercing attack that does not require using an equipped ranged weapon.',347,38,315,2711101135,0,360,0,1,'Your Improvised Weapon IV was successful on %t!','Your Improvised Weapon IV fades.','',0,1,'Spells/Scout/Predator/Assassin/ImprovisedWeapon.lua',2719,'You cast Improvised Weapon IV on %t.',1,0,0,1,0,0,0,0,0,400100,0,0,0,0,0,1,0,0,0,'DD',1581382747,1384377830,0,0),
(400104,2961542842,1,0,'Improvised Weapon V','A ranged piercing attack that does not require using an equipped ranged weapon.',347,38,315,2711101135,0,410,0,1,'Your Improvised Weapon V was successful on %t!','Your Improvised Weapon V fades.','',0,1,'Spells/Scout/Predator/Assassin/ImprovisedWeapon.lua',2719,'You cast Improvised Weapon V on %t.',1,0,0,1,0,0,0,0,0,400100,0,0,0,0,0,1,0,0,0,'DD',1581382788,1384378116,0,0),
(400105,1734807266,1,0,'Improvised Weapon VI','A ranged piercing attack that does not require using an equipped ranged weapon.',347,38,315,2711101135,0,460,0,1,'Your Improvised Weapon VI was successful on %t!','Your Improvised Weapon VI fades.','',0,1,'Spells/Scout/Predator/Assassin/ImprovisedWeapon.lua',2719,'You cast Improvised Weapon VI on %t.',1,0,0,1,0,0,0,0,0,400100,0,0,0,0,0,1,0,0,0,'DD',1581382831,1384378116,0,0),
(400106,24746765,1,0,'Cut Throat','An extra attack that stifles the target on a successful hit. ',372,36,315,2711101135,0,100,0,1,'Your Cut Throat was successful on %t!','Your Cut Throat fades.','',0,1,'Spells/Scout/Predator/Assassin/CutThroat.lua',55,'You cast Jugular Slice on %t.',1,0,0,1,0,1,1,2,0,400106,0,0,0,0,0,0,0,0,0,'DD',1581379557,1384378116,0,0),
(400107,1898938720,1,0,'Slice Throat','A stealthed attack that stifles the target on a successful hit. The assassin must be stealthed to use this ability.',372,36,315,2711101135,0,170,0,1,'Your Jugular Slice II was successful on %t!','Your Jugular Slice II fades.','',0,1,'Spells/Scout/Predator/Assassin/JugularSlice.lua',2720,'You cast Jugular Slice II on %t.',1,0,0,1,0,1,1,2,0,400106,0,0,0,0,0,1,0,0,0,'DD',1581379612,1384378116,0,0),
(400108,4921337,1,0,'Garrote','A stealthed attack that stifles the target on a successful hit. The assassin must be stealthed to use this ability.',372,36,315,2711101135,0,240,0,1,'Your Jugular Slice III was successful on %t!','Your Jugular Slice III fades.','',0,1,'Spells/Scout/Predator/Assassin/JugularSlice.lua',2720,'You cast Jugular Slice III on %t.',1,0,0,1,0,1,1,2,0,400106,0,0,0,0,0,1,0,0,0,'DD',1581379717,1384378116,0,0),
(400109,3958870486,1,0,'Jugular','A stealthed attack that stifles the target on a successful hit. The assassin must be stealthed to use this ability.',372,36,315,2711101135,0,310,0,1,'Your Jugular Slice IV was successful on %t!','Your Jugular Slice IV fades.','',0,1,'Spells/Scout/Predator/Assassin/JugularSlice.lua',2720,'You cast Jugular Slice IV on %t.',1,0,0,1,0,1,1,2,0,400106,0,0,0,0,0,1,0,0,0,'DD',1581380673,1384377829,0,0),
(400110,482447412,1,0,'Jugular Slice','A stealthed attack that stifles the target on a successful hit. The assassin must be stealthed to use this ability.',372,36,315,2711101135,0,370,0,1,'Your Jugular Slice V was successful on %t!','Your Jugular Slice V fades.','',0,1,'Spells/Scout/Predator/Assassin/JugularSlice.lua',2720,'You cast Jugular Slice V on %t.',1,0,0,1,0,1,1,2,0,400106,0,0,0,0,0,1,0,0,0,'DD',1581380717,1384378116,0,0),
(400111,2452354830,1,0,'Jugular Slice VI','A stealthed attack that stifles the target on a successful hit. The assassin must be stealthed to use this ability.',372,36,315,2711101135,0,420,0,1,'Your Jugular Slice VI was successful on %t!','Your Jugular Slice VI fades.','',0,1,'Spells/Scout/Predator/Assassin/JugularSlice.lua',2720,'You cast Jugular Slice VI on %t.',1,0,0,1,0,1,1,2,0,400106,0,0,0,0,0,1,0,0,0,'DD',1581380825,1384378116,0,0),
(400112,1011050143,1,0,'Jugular Slice VII','A stealthed attack that stifles the target on a successful hit. The assassin must be stealthed to use this ability.',372,36,315,2711101135,0,470,0,1,'Your Jugular Slice VII was successful on %t!','Your Jugular Slice VII fades.','',0,1,'Spells/Scout/Predator/Assassin/JugularSlice.lua',2720,'You cast Jugular Slice VII on %t.',1,0,0,1,0,1,1,2,0,400106,0,0,0,0,0,1,0,0,0,'DD',1581380963,1384378116,0,0),
(400113,3504499908,1,0,'Shrouded Attack','An attack made from the side that deals moderate damage and stealths the assassin.',377,40,315,2711101135,0,25,0,1,'Your Masked Strike was successful on %t!','Your Masked Strike fades.','',0,1,'Spells/Scout/Predator/Assassin/MaskedStrike.lua',2721,'You cast Masked Strike on %t.',1,0,0,1,0,0,0,0,0,400113,0,0,0,0,0,0,0,0,0,'DD',1581372779,1384378114,0,0),
(400114,3769612431,1,0,'Shrouded Strike','An attack made from the side that deals moderate damage and stealths the assassin.',377,40,315,3167106577,0,95,0,1,'Your Masked Strike II was successful on %t!','Your Masked Strike II fades.','',0,1,'Spells/Scout/Predator/Assassin/MaskedStrike.lua',2721,'You cast Masked Strike II on %t.',1,0,0,1,0,0,0,0,0,400113,0,0,0,0,0,0,0,0,0,'DD',1581372805,1384378116,0,0),
(400115,2296786503,1,0,'Exposed Attack','An attack made from the side that deals moderate damage and stealths the assassin.',377,40,315,2711101135,0,165,0,1,'Your Masked Strike III was successful on %t!','Your Masked Strike III fades.','',0,1,'Spells/Scout/Predator/Assassin/MaskedStrike.lua',2721,'You cast Masked Strike III on %t.',1,0,0,1,0,0,0,0,0,400113,0,0,0,0,0,1,0,0,0,'DD',1581372852,1384377829,0,0),
(400116,3431119292,1,0,'Mask Of Night','An attack made from the side that deals moderate damage and stealths the assassin.',377,40,315,2711101135,0,235,0,1,'Your Masked Strike IV was successful on %t!','Your Masked Strike IV fades.','',0,1,'Spells/Scout/Predator/Assassin/MaskedStrike.lua',2721,'You cast Masked Strike IV on %t.',1,0,0,1,0,0,0,0,0,400113,0,0,0,0,0,1,0,0,0,'DD',1581372893,1384378116,0,0),
(400117,1853108358,1,0,'Masked Attack','An attack made from the side that deals moderate damage and stealths the assassin.',377,40,315,2711101135,0,305,0,1,'Your Masked Strike V was successful on %t!','Your Masked Strike V fades.','',0,1,'Spells/Scout/Predator/Assassin/MaskedStrike.lua',2721,'You cast Masked Strike V on %t.',1,0,0,1,0,0,0,0,0,400113,0,0,0,0,0,1,0,0,0,'DD',1581372935,1384378116,0,0),
(400118,3114014055,1,0,'Masked Strike','An attack made from the side that deals moderate damage and stealths the assassin.',377,40,315,2711101135,0,370,0,1,'Your Masked Strike VI was successful on %t!','Your Masked Strike VI fades.','',0,1,'Spells/Scout/Predator/Assassin/MaskedStrike.lua',2721,'You cast Masked Strike VI on %t.',1,0,0,1,0,0,0,0,0,400113,0,0,0,0,0,1,0,0,0,'DD',1581372985,1384378116,0,0),
(400119,930509405,1,0,'Masked Strike VII','An attack made from the side that deals moderate damage and stealths the assassin.',377,40,315,2711101135,0,420,0,1,'Your Masked Strike VII was successful on %t!','Your Masked Strike VII fades.','',0,1,'Spells/Scout/Predator/Assassin/MaskedStrike.lua',2721,'You cast Masked Strike VII on %t.',1,0,0,1,0,0,0,0,0,400113,0,0,0,0,0,1,0,0,0,'DD',1581373067,1384378116,0,0),
(400120,2568938444,1,0,'Masked Strike VIII','An attack made from the side that deals moderate damage and stealths the assassin.',377,40,315,2711101135,0,470,0,1,'Your Masked Strike VIII was successful on %t!','Your Masked Strike VIII fades.','',0,1,'Spells/Scout/Predator/Assassin/MaskedStrike.lua',2721,'You cast Masked Strike VIII on %t.',1,0,0,1,0,0,0,0,0,400113,0,0,0,0,0,1,0,0,0,'DD',1581373112,1384378116,0,0),
(400121,3701050846,1,0,'Surprise','A powerful stealthed attack that strikes nearby enemies.',383,40,313,2711101135,0,95,0,1,'Your Massacre was successful on %t!','Your Massacre fades.','',0,1,'Spells/Scout/Predator/Assassin/Massacre.lua',2722,'You cast Massacre on %t.',1,0,0,1,0,0,0,0,0,400121,0,0,0,0,0,0,0,0,0,'DD',1581377333,1384378116,0,0),
(400122,2715083943,1,0,'Slaughter','A powerful stealthed attack that strikes nearby enemies.',383,40,313,1433335062,0,165,0,1,'Your Massacre II was successful on %t!','Your Massacre II fades.','',0,1,'Spells/Scout/Predator/Assassin/Massacre.lua',2722,'You cast Massacre II on %t.',1,0,0,1,0,0,0,0,0,400121,0,0,0,0,0,1,0,0,0,'DD',1581377369,1384378116,0,0),
(400123,2474340216,1,0,'Massacre','A powerful stealthed attack that strikes nearby enemies.',383,40,313,2711101135,0,235,0,1,'Your Massacre III was successful on %t!','Your Massacre III fades.','',0,1,'Spells/Scout/Predator/Assassin/Massacre.lua',2722,'You cast Massacre III on %t.',1,0,0,1,0,0,0,0,0,400121,0,0,0,0,0,1,0,0,0,'DD',1581377454,1384378116,0,0),
(400124,612007182,1,0,'Slaughtersault','A powerful stealthed attack that strikes nearby enemies.',383,40,313,2711101135,0,305,0,1,'Your Massacre IV was successful on %t!','Your Massacre IV fades.','',0,1,'Spells/Scout/Predator/Assassin/Massacre.lua',2722,'You cast Massacre IV on %t.',1,0,0,1,0,0,0,0,0,400121,0,0,0,0,0,1,0,0,0,'DD',1581377534,1384378116,0,0),
(400125,1346423654,1,0,'Slate','A powerful stealthed attack that strikes nearby enemies.',383,40,313,2711101135,0,365,0,1,'Your Massacre V was successful on %t!','Your Massacre V fades.','',0,1,'Spells/Scout/Predator/Assassin/Massacre.lua',2722,'You cast Massacre V on %t.',1,0,0,1,0,0,0,0,0,400121,0,0,0,0,0,1,0,0,0,'DD',1581377574,1384378116,0,0),
(400126,2424987077,1,0,'Massacre VI','A powerful stealthed attack that strikes nearby enemies.',383,40,313,2711101135,0,415,0,1,'Your Massacre VI was successful on %t!','Your Massacre VI fades.','',0,1,'Spells/Scout/Predator/Assassin/Massacre.lua',2722,'You cast Massacre VI on %t.',1,0,0,1,0,0,0,0,0,400121,0,0,0,0,0,1,0,0,0,'DD',1581377620,1384378116,0,0),
(400127,1359249925,1,0,'Massacre VII','A powerful stealthed attack that strikes nearby enemies.',383,40,313,2711101135,0,465,0,1,'Your Massacre VII was successful on %t!','Your Massacre VII fades.','',0,1,'Spells/Scout/Predator/Assassin/Massacre.lua',2722,'You cast Massacre VII on %t.',1,0,0,0,0,0,0,0,0,400121,0,0,0,0,0,1,0,0,0,'DD',1581377660,1384378116,0,0),
(400128,502514537,1,0,'S Blade','Launches an attack that deals extreme damage. Assassins must be in stealth to perform this combat art.',381,36,315,2711101135,0,120,0,1,'Your Mortal Blade was successful on %t!','Your Mortal Blade fades.','',0,1,'Spells/Scout/Predator/Assassin/MortalBlade.lua',2723,'You cast Mortal Blade on %t.',1,0,0,1,0,0,0,0,0,400128,0,0,0,0,0,0,0,0,0,'DD',1581381070,1384377836,0,0),
(400129,2275685789,1,0,'Condemning Blade','Launches an attack that deals extreme damage. Assassins must be in stealth to perform this combat art.',381,36,315,2711101135,0,190,0,1,'Your Mortal Blade II was successful on %t!','Your Mortal Blade II fades.','',0,1,'Spells/Scout/Predator/Assassin/MortalBlade.lua',2723,'You cast Mortal Blade II on %t.',1,0,0,1,0,0,0,0,0,400128,0,0,0,0,0,1,0,0,0,'DD',1581381428,1384377832,0,0),
(400130,2418952446,1,0,'Deathly Blade','Launches an attack that deals extreme damage. Assassins must be in stealth to perform this combat art.',381,36,315,2711101135,0,260,0,1,'Your Mortal Blade III was successful on %t!','Your Mortal Blade III fades.','',0,1,'Spells/Scout/Predator/Assassin/MortalBlade.lua',2723,'You cast Mortal Blade III on %t.',1,0,0,1,0,0,0,0,0,400128,0,0,0,0,0,1,0,0,0,'DD',1581381468,1384378116,0,0),
(400131,2360506733,1,0,'Killing Blade','Launches an attack that deals extreme damage. Assassins must be in stealth to perform this combat art.',381,36,315,2711101135,0,330,0,1,'Your Mortal Blade IV was successful on %t!','Your Mortal Blade IV fades.','',0,1,'Spells/Scout/Predator/Assassin/MortalBlade.lua',2723,'You cast Mortal Blade IV on %t.',1,0,0,1,0,0,0,0,0,400128,0,0,0,0,0,1,0,0,0,'DD',1581381503,1384378116,0,0),
(400132,2073250284,1,0,'Mortal Blade','Launches an attack that deals extreme damage. Assassins must be in stealth to perform this combat art.',381,36,315,2711101135,0,385,0,1,'Your Mortal Blade V was successful on %t!','Your Mortal Blade V fades.','',0,1,'Spells/Scout/Predator/Assassin/MortalBlade.lua',2723,'You cast Mortal Blade V on %t.',1,0,0,1,0,0,0,0,0,400128,0,0,0,0,0,1,0,0,0,'DD',1581381545,1384378158,0,0),
(400133,790334065,1,0,'Mortal Blade VI','Launches an attack that deals extreme damage. Assassins must be in stealth to perform this combat art.',381,36,315,2711101135,0,435,0,1,'Your Mortal Blade VI was successful on %t!','Your Mortal Blade VI fades.','',0,1,'Spells/Scout/Predator/Assassin/MortalBlade.lua',2723,'You cast Mortal Blade VI on %t.',1,0,0,1,0,0,0,0,0,400128,0,0,0,0,0,1,0,0,0,'DD',1581381588,1384378116,0,0),
(400134,2531283353,1,0,'Mortal Blade VII','Launches an attack that deals extreme damage. Assassins must be in stealth to perform this combat art.',381,36,315,2711101135,0,485,0,1,'Your Mortal Blade VII was successful on %t!','Your Mortal Blade VII fades.','',0,1,'Spells/Scout/Predator/Assassin/MortalBlade.lua',2723,'You cast Mortal Blade VII on %t.',1,0,0,0,0,0,0,0,0,400128,0,0,0,0,0,1,0,0,0,'DD',1581381626,1384378116,0,0),
(400135,1939112048,1,1,'Shadows','Reduces the amount of hate that the assassin accumulates in combat and transfers it to an ally.',370,41,316,2711101135,0,55,1,1,'Your Murderous Design was successful on %t!','Your Murderous Design fades.','',0,0,'Spells/Scout/Predator/Assassin/MurderousDesign.lua',2724,'You cast Murderous Design on %t.',1,0,0,1,1,1,0,0,0,400135,0,0,0,0,0,0,0,0,0,'Unset',1581374737,1384377840,0,0),
(400136,4115775947,1,1,'Shadow','Reduces the amount of hate that the assassin accumulates in combat and transfers it to an ally.',370,41,316,3167106577,0,125,1,1,'Your Murderous Design II was successful on %t!','Your Murderous Design II fades.','',0,0,'Spells/Scout/Predator/Assassin/Shadow.lua',2724,'You cast Murderous Design II on %t.',1,0,0,1,1,1,0,0,0,400135,0,0,0,0,0,0,0,0,0,'Unset',1581374802,1384377836,0,0),
(400137,3598453043,1,1,'Murderous Intent','Reduces the amount of hate that the assassin accumulates in combat and transfers it to an ally.',370,41,316,2711101135,0,195,1,1,'Your Murderous Design III was successful on %t!','Your Murderous Design III fades.','',0,0,'Spells/Scout/Predator/Assassin/MurderousDesign.lua',2724,'You cast Murderous Design III on %t.',1,0,0,1,1,1,0,0,0,400135,0,0,0,0,0,1,0,0,0,'Unset',1581374843,1384378116,0,0),
(400138,705062542,1,1,'Murderous Design','Reduces the amount of hate that the assassin accumulates in combat and transfers it to an ally.',370,41,316,2711101135,0,265,1,1,'Your Murderous Design IV was successful on %t!','Your Murderous Design IV fades.','',0,0,'Spells/Scout/Predator/Assassin/MurderousDesign.lua',2724,'You cast Murderous Design IV on %t.',1,0,0,1,1,1,0,0,0,400135,0,0,0,0,0,1,0,0,0,'Unset',1581374880,1384378116,0,0),
(400139,32032692,1,0,'Numbing Strike','An attack that roots the target on successful hit. Subsequent attacks have a small chance at breaking the root effect.',264,36,315,2711101135,0,160,0,1,'Your Paralyzing Strike was successful on %t!','Your Paralyzing Strike fades.','',0,1,'Spells/Scout/Predator/Assassin/ParalyzingStrike.lua',2725,'You cast Paralyzing Strike on %t.',1,0,0,1,0,1,1,0,0,400139,0,0,0,0,0,1,0,0,0,'DD',1581382929,1384378116,0,0),
(400140,4260110969,1,0,'Paralyzing Strike','An attack that roots the target on successful hit. Subsequent attacks have a small chance at breaking the root effect.',264,36,315,2711101135,0,230,0,1,'Your Paralyzing Strike II was successful on %t!','Your Paralyzing Strike II fades.','',0,1,'Spells/Scout/Predator/Assassin/ParalyzingStrike.lua',2725,'You cast Paralyzing Strike II on %t.',1,0,0,1,0,1,1,0,0,400139,0,0,0,0,0,1,0,0,0,'DD',1581382998,1384378116,0,0),
(400141,3939000238,1,0,'Freezing Strike','An attack that roots the target on successful hit. Subsequent attacks have a small chance at breaking the root effect.',264,36,315,2711101135,0,300,0,1,'Your Paralyzing Strike III was successful on %t!','Your Paralyzing Strike III fades.','',0,1,'Spells/Scout/Predator/Assassin/ParalyzingStrike.lua',2725,'You cast Paralyzing Strike III on %t.',1,0,0,1,0,1,1,0,0,400139,0,0,0,0,0,1,0,0,0,'DD',1581383034,1384377829,0,0),
(400142,4162945297,1,0,'Velium Strike','An attack that roots the target on successful hit. Subsequent attacks have a small chance at breaking the root effect.',264,36,315,2711101135,0,365,0,1,'Your Paralyzing Strike IV was successful on %t!','Your Paralyzing Strike IV fades.','',0,1,'Spells/Scout/Predator/Assassin/ParalyzingStrike.lua',2725,'You cast Paralyzing Strike IV on %t.',1,0,0,1,0,1,1,0,0,400139,0,0,0,0,0,1,0,0,0,'DD',1581383081,1384378116,0,0),
(400143,1993074219,1,0,'Paralyzing Strike V','An attack that roots the target on successful hit. Subsequent attacks have a small chance at breaking the root effect.',264,36,315,2711101135,0,415,0,1,'Your Paralyzing Strike V was successful on %t!','Your Paralyzing Strike V fades.','',0,1,'Spells/Scout/Predator/Assassin/ParalyzingStrike.lua',2725,'You cast Paralyzing Strike V on %t.',1,0,0,1,0,1,1,0,0,400139,0,0,0,0,0,1,0,0,0,'DD',1581383118,1384378116,0,0),
(400144,3634591674,1,0,'Paralyzing Strike VI','An attack that roots the target on successful hit. Subsequent attacks have a small chance at breaking the root effect.',264,36,315,2711101135,0,465,0,1,'Your Paralyzing Strike VI was successful on %t!','Your Paralyzing Strike VI fades.','',0,1,'Spells/Scout/Predator/Assassin/ParalyzingStrike.lua',2725,'You cast Paralyzing Strike VI on %t.',1,0,0,1,0,1,1,0,0,400139,0,0,0,0,0,1,0,0,0,'DD',1581383170,1384378116,0,0),
(400145,3829140838,1,0,'Quick Strike','A quick attack that deals medium damage and does slashing damage over time.',338,36,315,1921433074,0,5,0,1,'Your Quick Strike was successful on %t!','Your Quick Strike fades.','',0,1,'Spells/Scout/Predator/Assassin/QuickStrike.lua',2728,'You cast Quick Strike on %t.',1,0,0,1,0,1,1,0,0,310018,0,0,0,0,0,0,0,0,0,'DoT',1581214856,1384378114,0,0),
(400146,767271890,1,0,'Fast Strike','A quick attack that deals medium damage and does slashing damage over time.',338,36,315,2711101135,0,40,0,1,'Your Quick Strike II was successful on %t!','Your Quick Strike II fades.','',0,1,'Spells/Scout/Predator/Assassin/QuickStrike.lua',2728,'You cast Quick Strike II on %t.',1,0,0,1,0,1,1,0,0,400145,0,0,0,0,0,0,0,0,0,'DoT',1581214883,1384378116,0,0),
(400147,3220033729,1,0,'Pierce','A quick attack that deals medium damage and does slashing damage over time.',338,36,315,3167106577,0,75,0,1,'Your Quick Strike III was successful on %t!','Your Quick Strike III fades.','',0,1,'Spells/Scout/Predator/Assassin/QuickStrike.lua',2728,'You cast Quick Strike III on %t.',1,0,0,1,0,1,1,0,0,400145,0,0,0,0,0,0,0,0,0,'DoT',1581214907,1384378116,0,0),
(400148,2508195784,1,0,'Cut','A quick attack that deals medium damage and does slashing damage over time.',338,36,315,2711101135,0,145,0,1,'Your Quick Strike IV was successful on %t!','Your Quick Strike IV fades.','',0,1,'Spells/Scout/Predator/Assassin/Cut.lua',0,'You cast Quick Strike IV on %t.',1,0,0,1,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,'DoT',1581214951,1384378116,0,0),
(400149,2454592009,1,0,'Quick Strike IX','A quick attack that deals medium damage and does slashing damage over time.',338,36,315,2711101135,0,455,0,1,'Your Quick Strike IX was successful on %t!','Your Quick Strike IX fades.','',0,1,'Spells/Scout/Predator/Assassin/QuickStrike.lua',2728,'You cast Quick Strike IX on %t.',1,0,0,1,0,1,1,0,0,400145,0,0,0,0,0,1,0,0,0,'DoT',1581215329,1384377829,0,0),
(400150,3792641487,1,0,'Lingering Blow','A quick attack that deals medium damage and does slashing damage over time.',338,36,315,2711101135,0,215,0,1,'Your Quick Strike V was successful on %t!','Your Quick Strike V fades.','',0,1,'Spells/Scout/Predator/Assassin/QuickStrike.lua',2728,'You cast Quick Strike V on %t.',1,0,0,1,0,1,1,0,0,400145,0,0,0,0,0,1,0,0,0,'DoT',1581215090,1384378116,0,0),
(400151,3340821032,1,0,'Scraping Blow','A quick attack that deals medium damage and does slashing damage over time.',338,36,315,2711101135,0,285,0,1,'Your Quick Strike VI was successful on %t!','Your Quick Strike VI fades.','',0,1,'Spells/Scout/Predator/Assassin/QuickStrike.lua',2728,'You cast Quick Strike VI on %t.',1,0,0,1,0,1,1,0,0,400145,0,0,0,0,0,1,0,0,0,'DoT',1581215115,1384378114,0,0),
(400152,3070337822,1,0,'Scarring Blow','A quick attack that deals medium damage and does slashing damage over time.',338,36,315,2711101135,0,355,0,1,'Your Quick Strike VII was successful on %t!','Your Quick Strike VII fades.','',0,1,'Spells/Scout/Predator/Assassin/QuickStrike.lua',2728,'You cast Quick Strike VII on %t.',1,0,0,1,0,1,1,0,0,400145,0,0,0,0,0,1,0,0,0,'DoT',1581215236,1384377829,0,0),
(400153,733331937,1,0,'Quick Strike VIII','A quick attack that deals medium damage and does slashing damage over time.',338,36,315,2711101135,0,405,0,1,'Your Quick Strike VIII was successful on %t!','Your Quick Strike VIII fades.','',0,1,'Spells/Scout/Predator/Assassin/QuickStrike.lua',2728,'You cast Quick Strike VIII on %t.',1,0,0,1,0,1,1,0,0,400145,0,0,0,0,0,1,0,0,0,'DoT',1581215284,1384378116,0,0),
(400154,2239542980,1,0,'Slip Away','An out of combat stealth that doesn''t require a casting time, and allows the assassin to detect invisible creatures.',165,38,317,2711101135,0,110,0,0,'Your Slip Away was successful on %t!','Your Slip Away fades.','',0,1,'Spells/Scout/Predator/Assassin/SlipAwayClassic.lua',2729,'You cast Slip Away on %t.',1,0,0,0,1,1,0,0,0,400154,0,0,0,0,0,0,0,0,0,'Unset',1581385162,1384378116,0,0),
(400155,417344432,1,0,'Shadow Shot','A ranged attack that deals very high damage from flanking or behind. It requires a ranged weapon.',306,37,315,2711101135,0,75,0,1,'Your Spine Shot was successful on %t!','Your Spine Shot fades.','',0,1,'Spells/Scout/Predator/Assassin/SpineShot.lua',2730,'You cast Spine Shot on %t.',1,0,0,1,0,0,0,0,0,400155,0,0,0,0,0,0,0,0,0,'DD',1581376507,1384378116,0,0),
(400156,2519506843,1,0,'Cloaked Barb','A ranged attack that deals very high damage from flanking or behind. It requires a ranged weapon.',306,37,315,2711101135,0,145,0,1,'Your Spine Shot II was successful on %t!','Your Spine Shot II fades.','',0,1,'Spells/Scout/Predator/Assassin/CloakedBarb.lua',2730,'You cast Spine Shot II on %t.',1,0,0,1,0,0,0,0,0,400155,0,0,0,0,0,0,0,0,0,'DD',1581376598,1384378116,0,0),
(400157,2475975915,1,0,'Killer Instinct','A ranged attack that deals very high damage from flanking or behind. It requires a ranged weapon.',306,37,315,2711101135,0,215,0,1,'Your Spine Shot III was successful on %t!','Your Spine Shot III fades.','',0,1,'Spells/Scout/Predator/Assassin/SpineShot.lua',2730,'You cast Spine Shot III on %t.',1,0,0,1,0,0,0,0,0,400155,0,0,0,0,0,1,0,0,0,'DD',1581376644,1384378116,0,0),
(400158,1058664495,1,0,'Spitting Asp','A ranged attack that deals very high damage from flanking or behind. It requires a ranged weapon.',306,37,315,2711101135,0,285,0,1,'Your Spine Shot IV was successful on %t!','Your Spine Shot IV fades.','',0,1,'Spells/Scout/Predator/Assassin/SpineShot.lua',2730,'You cast Spine Shot IV on %t.',1,0,0,1,0,0,0,0,0,400155,0,0,0,0,0,1,0,0,0,'DD',1581376709,1384378114,0,0),
(400159,4221289228,1,0,'Spine Shot','A ranged attack that deals very high damage from flanking or behind. It requires a ranged weapon.',306,37,315,2711101135,0,355,0,1,'Your Spine Shot V was successful on %t!','Your Spine Shot V fades.','',0,1,'Spells/Scout/Predator/Assassin/SpineShot.lua',2730,'You cast Spine Shot V on %t.',1,0,0,1,0,0,0,0,0,400155,0,0,0,0,0,1,0,0,0,'DD',1581376752,1384378116,0,0),
(400160,3706394169,1,0,'Spine Shot VI','A ranged attack that deals very high damage from flanking or behind. It requires a ranged weapon.',306,37,315,2711101135,0,405,0,1,'Your Spine Shot VI was successful on %t!','Your Spine Shot VI fades.','',0,1,'Spells/Scout/Predator/Assassin/SpineShot.lua',2730,'You cast Spine Shot VI on %t.',1,0,0,1,0,0,0,0,0,400155,0,0,0,0,0,1,0,0,0,'DD',1581376817,1384378116,0,0),
(400161,25022396,1,0,'Spine Shot VII','A ranged attack that deals very high damage from flanking or behind. It requires a ranged weapon.',306,37,315,2711101135,0,455,0,1,'Your Spine Shot VII was successful on %t!','Your Spine Shot VII fades.','',0,1,'Spells/Scout/Predator/Assassin/SpineShot.lua',2730,'You cast Spine Shot VII on %t.',1,0,0,1,0,0,0,0,0,400155,0,0,0,0,0,1,0,0,0,'DD',1581376859,1384378116,0,0),
(400162,2778180759,1,0,'Hidden Assault','A stealthed attack that strikes all nearby enemies surrounding the assassin. It inflicts additional piercing damage over time on anyone that it hits. The assassin must be stealthed to use this ability.',384,40,313,2711101135,0,140,0,1,'Your Stealth Assault was successful on %t!','Your Stealth Assault fades.','',0,1,'Spells/Scout/Predator/Assassin/HiddenAssault.lua',2731,'You cast Stealth Assault on %t.',1,0,0,1,0,1,1,0,0,400162,0,0,0,0,0,0,0,0,0,'DoT',1581382093,1384378116,0,0),
(400163,2381212740,1,0,'Shadow Assault','A stealthed attack that strikes all nearby enemies surrounding the assassin. It inflicts additional piercing damage over time on anyone that it hits. The assassin must be stealthed to use this ability.',384,40,313,2711101135,0,210,0,1,'Your Stealth Assault II was successful on %t!','Your Stealth Assault II fades.','',0,1,'Spells/Scout/Predator/Assassin/StealthAssault.lua',2731,'You cast Stealth Assault II on %t.',1,0,0,1,0,1,1,0,0,400162,0,0,0,0,0,1,0,0,0,'DoT',1581382165,1384378116,0,0),
(400164,204218481,1,0,'Murderer''s Assault','A stealthed attack that strikes all nearby enemies surrounding the assassin. It inflicts additional piercing damage over time on anyone that it hits. The assassin must be stealthed to use this ability.',384,40,313,2711101135,0,280,0,1,'Your Stealth Assault III was successful on %t!','Your Stealth Assault III fades.','',0,1,'Spells/Scout/Predator/Assassin/StealthAssault.lua',2731,'You cast Stealth Assault III on %t.',1,0,0,1,0,1,1,0,0,400162,0,0,0,0,0,1,0,0,0,'DoT',1581382242,1384378114,0,0),
(400165,741493997,1,0,'Cloaked Assault','A stealthed attack that strikes all nearby enemies surrounding the assassin. It inflicts additional piercing damage over time on anyone that it hits. The assassin must be stealthed to use this ability.',384,40,313,2711101135,0,350,0,1,'Your Stealth Assault IV was successful on %t!','Your Stealth Assault IV fades.','',0,1,'Spells/Scout/Predator/Assassin/StealthAssault.lua',2731,'You cast Stealth Assault IV on %t.',1,0,0,1,0,1,1,0,0,400162,0,0,0,0,0,1,0,0,0,'DoT',1581382311,1384378116,0,0),
(400166,4143464439,1,0,'Stealth Assault','A stealthed attack that strikes all nearby enemies surrounding the assassin. It inflicts additional piercing damage over time on anyone that it hits. The assassin must be stealthed to use this ability.',384,40,313,2711101135,0,400,0,1,'Your Stealth Assault V was successful on %t!','Your Stealth Assault V fades.','',0,1,'Spells/Scout/Predator/Assassin/StealthAssault.lua',2731,'You cast Stealth Assault V on %t.',1,0,0,1,0,1,1,0,0,400162,0,0,0,0,0,1,0,0,0,'DoT',1581382384,1384378116,0,0),
(400167,430606614,1,0,'Stealth Assault VI','A stealthed attack that strikes all nearby enemies surrounding the assassin. It inflicts additional piercing damage over time on anyone that it hits. The assassin must be stealthed to use this ability.',384,40,313,2711101135,0,450,0,1,'Your Stealth Assault VI was successful on %t!','Your Stealth Assault VI fades.','',0,1,'Spells/Scout/Predator/Assassin/StealthAssault.lua',2731,'You cast Stealth Assault VI on %t.',1,0,0,1,0,1,1,0,0,400162,0,0,0,0,0,1,0,0,0,'DoT',1581382451,1384378116,0,0),
(400168,910889379,1,0,'Stealth Assault VII','A stealthed attack that strikes all nearby enemies surrounding the assassin. It inflicts additional piercing damage over time on anyone that it hits. The assassin must be stealthed to use this ability.',384,40,313,2711101135,0,500,0,1,'Your Stealth Assault VII was successful on %t!','Your Stealth Assault VII fades.','',0,1,'Spells/Scout/Predator/Assassin/StealthAssault.lua',2731,'You cast Stealth Assault VII on %t.',1,0,0,0,0,0,1,0,0,400162,0,0,0,0,0,1,0,0,0,'DoT',1581382508,1384378116,0,0),
(400169,119311964,1,0,'Torture','Decreases target''s defense and trauma resistance.',310,41,315,2711101135,0,40,0,1,'Your Torture was successful on %t!','Your Torture fades.','',0,1,'Spells/Scout/Predator/Assassin/Torture.lua',2732,'You cast Torture on %t.',1,0,0,1,0,1,1,0,0,400169,0,0,0,0,0,0,0,0,0,'Unset',1581373656,1384378116,0,0),
(400170,3150514488,1,0,'Vex','Decreases target''s defense and trauma resistance.',310,41,315,2711101135,0,110,0,1,'Your Torture II was successful on %t!','Your Torture II fades.','',0,1,'Spells/Scout/Predator/Assassin/Vex.lua',2732,'You cast Torture II on %t.',1,0,0,1,0,1,1,0,0,400169,0,0,0,0,0,0,0,0,0,'Unset',1581373687,1384378114,0,0),
(400171,2568562695,1,0,'Writhe','Decreases target''s defense and trauma resistance.',310,41,315,2711101135,0,180,0,1,'Your Torture III was successful on %t!','Your Torture III fades.','',0,1,'Spells/Scout/Predator/Assassin/Torture.lua',2732,'You cast Torture III on %t.',1,0,0,1,0,1,1,0,0,400169,0,0,0,0,0,1,0,0,0,'Unset',1581373722,1384377832,0,0),
(400172,1581402200,1,0,'Anathema','Decreases target''s defense and trauma resistance.',310,41,315,2711101135,0,250,0,1,'Your Torture IV was successful on %t!','Your Torture IV fades.','',0,1,'Spells/Scout/Predator/Assassin/Torture.lua',2732,'You cast Torture IV on %t.',1,0,0,1,0,1,1,0,0,400169,0,0,0,0,0,1,0,0,0,'Unset',1581373782,1384377829,0,0),
(400173,2704357483,1,0,'Constrict','Decreases target''s defense and trauma resistance.',310,41,315,2711101135,0,320,0,1,'Your Torture V was successful on %t!','Your Torture V fades.','',0,1,'Spells/Scout/Predator/Assassin/Torture.lua',2732,'You cast Torture V on %t.',1,0,0,1,0,1,1,0,0,400169,0,0,0,0,0,1,0,0,0,'Unset',1581373816,1384378116,0,0),
(400174,1720642181,1,0,'Squeeze','Decreases target''s defense and trauma resistance.',310,41,315,2711101135,0,375,0,1,'Your Torture VI was successful on %t!','Your Torture VI fades.','',0,1,'Spells/Scout/Predator/Assassin/Torture.lua',2732,'You cast Torture VI on %t.',1,0,0,1,0,1,1,0,0,400169,0,0,0,0,0,1,0,0,0,'Unset',1581373863,1384378116,0,0),
(400175,3850643967,1,0,'Torture VII','Decreases target''s defense and trauma resistance.',310,41,315,2711101135,0,425,0,1,'Your Torture VII was successful on %t!','Your Torture VII fades.','',0,1,'Spells/Scout/Predator/Assassin/Torture.lua',2732,'You cast Torture VII on %t.',1,0,0,1,0,1,1,0,0,400169,0,0,0,0,0,1,0,0,0,'Unset',1581373896,1384378116,0,0),
(400176,172376769,1,0,'Torture VIII','Decreases target''s defense and trauma resistance.',310,41,315,2711101135,0,475,0,1,'Your Torture VIII was successful on %t!','Your Torture VIII fades.','',0,1,'Spells/Scout/Predator/Assassin/Torture.lua',2732,'You cast Torture VIII on %t.',1,0,0,0,0,0,1,0,0,400169,0,0,0,0,0,1,0,0,0,'Unset',1581373937,1384378116,0,0),
(400177,371733635,1,1,'Villainy','Increases agility, base avoidance, resistances, and Multi-Attack Chance of the assassin.',243,38,317,2711101135,0,55,1,0,'Your Villainy was successful on %t!','Your Villainy fades.','',0,1,'Spells/Scout/Predator/Assassin/Villainy.lua',2733,'You cast Villainy on %t.',1,0,0,1,1,1,0,0,0,400177,0,0,0,0,0,0,0,0,0,'Buff',1581375020,1384378116,0,0),
(400178,2835373230,1,1,'Bleeder''s Talent','Increases agility, base avoidance, resistances, and Multi-Attack Chance of the assassin.',243,38,317,2711101135,0,135,1,0,'Your Villainy II was successful on %t!','Your Villainy II fades.','',0,1,'Spells/Scout/Predator/Assassin/BleedersTalent.lua',2733,'You cast Villainy II on %t.',1,0,0,1,1,1,0,0,0,400177,0,0,0,0,0,0,0,0,0,'Buff',1581375049,1384378116,0,0),
(400179,2413724746,1,1,'Merciless Villainy','Increases agility, base avoidance, resistances, and Multi-Attack Chance of the assassin.',243,38,317,2711101135,0,205,1,0,'Your Villainy III was successful on %t!','Your Villainy III fades.','',0,1,'Spells/Scout/Predator/Assassin/Villainy.lua',2733,'You cast Villainy III on %t.',1,0,0,1,1,1,0,0,0,400177,0,0,0,0,0,1,0,0,0,'Buff',1581375065,1384378116,0,0),
(400180,1794495266,1,1,'Wicked Villainy','Increases agility, base avoidance, resistances, and Multi-Attack Chance of the assassin.',243,38,317,2711101135,0,275,1,0,'Your Villainy IV was successful on %t!','Your Villainy IV fades.','',0,1,'Spells/Scout/Predator/Assassin/Villainy.lua',2733,'You cast Villainy IV on %t.',1,0,0,1,1,1,0,0,0,400177,0,0,0,0,0,1,0,0,0,'Buff',1581375080,1384378114,0,0),
(400181,931820978,1,1,'Fiendish Villainy','Increases agility, base avoidance, resistances, and Multi-Attack Chance of the assassin.',243,38,317,2711101135,0,345,1,0,'Your Villainy V was successful on %t!','Your Villainy V fades.','',0,1,'Spells/Scout/Predator/Assassin/Villainy.lua',2733,'You cast Villainy V on %t.',1,0,0,1,1,1,0,0,0,400177,0,0,0,0,0,1,0,0,0,'Buff',1581375091,1384378116,0,0),
(400182,3704306815,1,1,'Villain','Increases agility, base avoidance, resistances, and Multi-Attack Chance of the assassin.',243,38,317,2711101135,0,395,1,0,'Your Villainy VI was successful on %t!','Your Villainy VI fades.','',0,1,'Spells/Scout/Predator/Assassin/Villainy.lua',2733,'You cast Villainy VI on %t.',1,0,0,1,1,1,0,0,0,400177,0,0,0,0,0,1,0,0,0,'Buff',1581375105,1384378116,0,0),
(400183,2051513039,1,1,'Villainy VII','Increases agility, base avoidance, resistances, and Multi-Attack Chance of the assassin.',243,38,317,2711101135,0,445,1,0,'Your Villainy VII was successful on %t!','Your Villainy VII fades.','',0,1,'Spells/Scout/Predator/Assassin/Villainy.lua',2733,'You cast Villainy VII on %t.',1,0,0,1,1,1,0,0,0,400177,0,0,0,0,0,1,0,0,0,'Buff',1581375117,1384378116,0,0),
(400184,3150529807,1,1,'Villainy VIII','Increases agility, base avoidance, resistances, and Multi-Attack Chance of the assassin.',243,38,317,2711101135,0,495,1,0,'Your Villainy VIII was successful on %t!','Your Villainy VIII fades.','',0,1,'Spells/Scout/Predator/Assassin/Villainy.lua',2733,'You cast Villainy VIII on %t.',1,0,0,0,1,0,0,0,0,400177,0,0,0,0,0,1,0,0,0,'Buff',1581375152,1384378116,0,0),
(400185,1747626337,1,1,'Blade Flurry','Grants the assassin a chance to strike for an additional attack with each successful melee hit and increases offensive combat skills, at the cost of decreased defense. This is the assassin''s primary offensive stance.',296,38,317,3167106577,0,85,1,0,'Your Whirling Blades was successful on %t!','Your Whirling Blades fades.','',0,1,'Spells/Scout/Predator/Assassin/WhirlingBlades.lua',2701,'You cast Whirling Blades on %t.',1,0,0,1,1,1,0,0,0,400185,0,0,0,0,0,0,0,0,0,'Unset',1581376976,1384378116,0,0),
(400186,1782775078,1,1,'Blade Frenzy','Grants the assassin a chance to strike for an additional attack with each successful melee hit and increases offensive combat skills, at the cost of decreased defense. This is the assassin''s primary offensive stance.',296,38,317,2711101135,0,155,1,0,'Your Whirling Blades II was successful on %t!','Your Whirling Blades II fades.','',0,1,'Spells/Scout/Predator/Assassin/WhirlingBlades.lua',2701,'You cast Whirling Blades II on %t.',1,0,0,1,1,1,0,0,0,400185,0,0,0,0,0,1,0,0,0,'Unset',1581376995,1384378116,0,0),
(400187,3002142300,1,1,'Blade Storm','Grants the assassin a chance to strike for an additional attack with each successful melee hit and increases offensive combat skills, at the cost of decreased defense. This is the assassin''s primary offensive stance.',296,38,317,2711101135,0,225,1,0,'Your Whirling Blades III was successful on %t!','Your Whirling Blades III fades.','',0,1,'Spells/Scout/Predator/Assassin/WhirlingBlades.lua',2701,'You cast Whirling Blades III on %t.',1,0,0,1,1,1,0,0,0,400185,0,0,0,0,0,1,0,0,0,'Unset',1581377095,1384378116,0,0),
(400188,883222977,1,1,'Whirling Blades','Grants the assassin a chance to strike for an additional attack with each successful melee hit and increases offensive combat skills, at the cost of decreased defense. This is the assassin''s primary offensive stance.',296,38,317,2711101135,0,295,1,0,'Your Whirling Blades IV was successful on %t!','Your Whirling Blades IV fades.','',0,1,'Spells/Scout/Predator/Assassin/WhirlingBlades.lua',2701,'You cast Whirling Blades IV on %t.',1,0,0,1,1,1,0,0,0,400185,0,0,0,0,0,1,0,0,0,'Unset',1581377115,1384378116,0,0),
(400189,1080539414,1,1,'Blade Stance','Grants the assassin a chance to strike for an additional attack with each successful melee hit and increases offensive combat skills, at the cost of decreased defense. This is the assassin''s primary offensive stance.',296,38,317,2711101135,0,360,1,0,'Your Whirling Blades V was successful on %t!','Your Whirling Blades V fades.','',0,1,'Spells/Scout/Predator/Assassin/WhirlingBlades.lua',2701,'You cast Whirling Blades V on %t.',1,0,0,1,1,1,0,0,0,400185,0,0,0,0,0,1,0,0,0,'Unset',1581377136,1384378116,0,0),
(400190,1921331760,1,1,'Whirling Blades VI','Grants the assassin a chance to strike for an additional attack with each successful melee hit and increases offensive combat skills, at the cost of decreased defense. This is the assassin''s primary offensive stance.',296,38,317,2711101135,0,410,1,0,'Your Whirling Blades VI was successful on %t!','Your Whirling Blades VI fades.','',0,1,'Spells/Scout/Predator/Assassin/WhirlingBlades.lua',2701,'You cast Whirling Blades VI on %t.',1,0,0,1,1,1,0,0,0,400185,0,0,0,0,0,1,0,0,0,'Unset',1581377148,1384378116,0,0),
(400191,2648147153,1,1,'Whirling Blades VII','Grants the assassin a chance to strike for an additional attack with each successful melee hit and increases offensive combat skills, at the cost of decreased defense. This is the assassin''s primary offensive stance.',296,38,317,2711101135,0,460,1,0,'Your Whirling Blades VII was successful on %t!','Your Whirling Blades VII fades.','',0,1,'Spells/Scout/Predator/Assassin/WhirlingBlades.lua',2701,'You cast Whirling Blades VII on %t.',1,0,0,1,1,1,0,0,0,400185,0,0,0,0,0,1,0,0,0,'Unset',1581377171,1384378116,0,0),
(420000,957251257,1,0,'Astral Ravaging','This Spiritual Advantage inflicts melee damage to the target encounter and restores health to the group. You must have Weakness active to use this ability. This ability increases the beastlord''s Savagery.',232,36,312,1223501307,0,150,0,1,'Your Astral Ravaging was successful on %t!','Your Astral Ravaging fades.','',0,0,'Spells/Scout/Animist/Beastlord/AstralRavaging.lua',2931,'You cast Astral Ravaging on %t.',1,0,0,0,0,0,0,0,0,420000,0,0,0,0,0,0,0,0,0,'DD',1589125742,1384378114,0,0),
(420001,558938720,1,0,'Astral Soulsiphon','This Spiritual Primal inflicts moderate damage to the target encounter and regenerates power to the group. You must have Savagery level 4 to use this ability.',260,36,312,1223501307,0,150,0,1,'Your Astral Soulsiphon was successful on %t!','Your Astral Soulsiphon fades.','',0,0,'Spells/Scout/Animist/Beastlord/AstralSoulsiphon.lua',2971,'You cast Astral Soulsiphon on %t.',1,0,0,0,0,0,0,0,0,420001,0,0,0,0,0,0,0,0,0,'DD',1589125776,1384377842,0,0),
(420002,3539123927,1,0,'Beastsoul','This Spiritual Advantage inflicts physical damage and improves the group''s Multi-Attack Chance and attack speed. You must have Weakness active to use this ability. This ability increases the beastlord''s Savagery.',334,36,312,1223501307,0,405,0,1,'Your Beastsoul was successful on %t!','Your Beastsoul fades.','',0,0,'Spells/Scout/Animist/Beastlord/Beastsoul.lua',2949,'You cast Beastsoul on %t.',1,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1589128213,1384378158,0,0),
(420003,1230500536,1,0,'Beastsoul II','This Spiritual Advantage inflicts physical damage and improves the group''s damage per second and attack speed. You must have Weakness active to use this ability. This ability increases the beastlord''s Savagery.',334,36,312,0,0,0,0,0,'Your Beastsoul II was successful on %t!','Your Beastsoul II fades.','',0,0,'',0,'You cast Beastsoul II on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670730,1335206139,0,0),
(420004,16450508,1,0,'Bestial Vehemence','This Spiritual Advantage inflicts physical damage on the target encounter and increases the group''s potency for a short duration. You must have Weakness active to use this ability. This ability increases the beastlord''s Savagery.',854,36,312,1223501307,0,160,0,1,'Your Bestial Vehemence was successful on %t!','Your Bestial Vehemence fades.','',0,0,'Spells/Scout/Animist/Beastlord/BestialVehemence.lua',2932,'You cast Bestial Vehemence on %t.',1,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589127574,1384378114,0,0),
(420005,1293186266,1,0,'Brutal Beatdown','This Feral Primal inflicts high damage to the target. You must have Savagery level 4 to be able to use this ability.',829,36,315,1223501307,0,150,0,1,'Your Brutal Beatdown was successful on %t!','Your Brutal Beatdown fades.','',0,0,'Spells/Scout/Animist/Beastlord/BrutalBeatdown.lua',2987,'You cast Brutal Beatdown on %t.',1,0,0,0,0,0,0,0,0,420005,0,0,0,0,0,0,0,0,0,'DD',1589125935,1384377840,0,0),
(420006,1156359341,1,0,'Call Warder','Summons your primary pet to the immediate area.',255,65535,317,1223501307,0,50,0,3,'Your Call Warder was successful on %t!','Your Call Warder fades.','',0,1,'Spells/Scout/Animist/Beastlord/CallWarder.lua',0,'You cast Call Warder on %t.',1,0,0,0,1,0,0,0,0,420006,0,0,0,0,0,0,0,0,0,'Unset',1589121721,1384378114,0,0),
(420007,2670591336,1,0,'Callous Ferocity','This Feral Advantage increases the beastlord''s chance to flurry for a short duration. You must have Weakness active to use this ability. This ability increases the beastlord''s Savagery.',883,36,317,1223501307,0,95,0,0,'Your Callous Ferocity was successful on %t!','Your Callous Ferocity fades.','',0,0,'Spells/Scout/Animist/Beastlord/CallousFerocity.lua',2950,'You cast Callous Ferocity on %t.',1,0,0,0,1,1,0,0,0,420007,0,0,0,0,0,0,0,0,0,'Unset',1589122710,1384378116,0,0),
(420008,4274710714,1,0,'Chillbarrier','This Spiritual Primal applies a ward to the beastlord''s group, preventing all damage for a short duration.',253,36,314,1223501307,0,150,0,2,'Your Chillbarrier was successful on %t!','Your Chillbarrier fades.','',0,0,'Spells/Scout/Animist/Beastlord/Chillbarrier.lua',2964,'You cast Chillbarrier on %t.',1,0,1,0,1,1,0,0,0,420008,0,0,0,0,0,0,0,0,0,'Unset',1589126050,1384377832,0,0),
(420009,836196016,1,1,'Chilling Claws','The beastlord frigidly imbues their group''s weapons, allowing them to inflict cold damage with their attacks.',820,40,314,1223501307,0,140,1,2,'Your Chilling Claws was successful on %t!','Your Chilling Claws fades.','',0,1,'Spells/Scout/Animist/Beastlord/ChillingClaws.lua',2933,'You cast Chilling Claws on %t.',1,0,1,1,1,1,0,0,0,420009,0,0,0,0,0,0,0,0,0,'Unset',1589124375,1384378114,0,0),
(420010,3060899315,1,1,'Chilling Claws II','The beastlord frigidly imbues their group''s weapons, allowing them to inflict cold damage with their attacks.',820,40,314,1223501307,0,190,1,2,'Your Chilling Claws II was successful on %t!','Your Chilling Claws II fades.','',0,1,'Spells/Scout/Animist/Beastlord/ChillingClaws.lua',2933,'You cast Chilling Claws II on %t.',1,0,1,1,1,1,0,0,0,420009,0,0,0,0,0,0,0,0,0,'Unset',1589124466,1384378116,0,0),
(420011,2531516856,1,1,'Chilling Claws III','The beastlord frigidly imbues their group''s weapons, allowing them to inflict cold damage with their attacks.',820,40,314,1223501307,0,240,1,2,'Your Chilling Claws III was successful on %t!','Your Chilling Claws III fades.','',0,1,'Spells/Scout/Animist/Beastlord/ChillingClaws.lua',2933,'You cast Chilling Claws III on %t.',1,0,1,1,1,1,0,0,0,420009,0,0,0,0,0,0,0,0,0,'Unset',1589124484,1384378116,0,0),
(420012,289745659,1,1,'Chilling Claws IV','The beastlord frigidly imbues their group''s weapons, allowing them to inflict cold damage with their attacks.',820,40,314,1223501307,0,290,1,2,'Your Chilling Claws IV was successful on %t!','Your Chilling Claws IV fades.','',0,1,'Spells/Scout/Animist/Beastlord/ChillingClaws.lua',2933,'You cast Chilling Claws IV on %t.',1,0,1,1,1,1,0,0,0,420009,0,0,0,0,0,0,0,0,0,'Unset',1384670759,1384378116,0,0),
(420013,1121939839,1,1,'Chilling Claws V','The beastlord frigidly imbues their group''s weapons, allowing them to inflict cold damage with their attacks.',820,40,314,1223501307,0,340,1,2,'Your Chilling Claws V was successful on %t!','Your Chilling Claws V fades.','',0,1,'Spells/Scout/Animist/Beastlord/ChillingClaws.lua',2933,'You cast Chilling Claws V on %t.',1,0,1,1,1,1,0,0,0,420009,0,0,0,0,0,0,0,0,0,'Unset',1589124730,1384378116,0,0),
(420014,3313089084,1,1,'Chilling Claws VI','The beastlord frigidly imbues their group''s weapons, allowing them to inflict cold damage with their attacks.',820,40,314,1223501307,0,390,1,2,'Your Chilling Claws VI was successful on %t!','Your Chilling Claws VI fades.','',0,1,'Spells/Scout/Animist/Beastlord/ChillingClaws.lua',2933,'You cast Chilling Claws VI on %t.',1,0,1,1,1,1,0,0,0,420009,0,0,0,0,0,0,0,0,0,'Unset',1589124855,1384378114,0,0),
(420015,66816489,1,1,'Chilling Claws VII','The beastlord frigidly imbues their group''s weapons, allowing them to inflict cold damage with their attacks.',820,40,314,1223501307,0,440,1,2,'Your Chilling Claws VII was successful on %t!','Your Chilling Claws VII fades.','',0,1,'Spells/Scout/Animist/Beastlord/ChillingClaws.lua',2933,'You cast Chilling Claws VII on %t.',1,0,1,1,1,1,0,0,0,420009,0,0,0,0,0,0,0,0,0,'Unset',1589124895,1384378114,0,0),
(420016,2220704426,1,1,'Chilling Claws VIII','The beastlord frigidly imbues their group''s weapons, allowing them to inflict cold damage with their attacks.',820,40,314,1223501307,0,490,1,2,'Your Chilling Claws VIII was successful on %t!','Your Chilling Claws VIII fades.','',0,1,'Spells/Scout/Animist/Beastlord/ChillingClaws.lua',2933,'You cast Chilling Claws VIII on %t.',1,0,0,0,1,0,0,0,0,420009,0,0,0,0,0,0,0,0,0,'Unset',1589124936,1384378116,0,0),
(420017,1989934693,1,0,'Claw of Khati Sha','This Feral Primal inflicts high direct damage to the target.',213,36,315,1223501307,0,100,0,1,'Your Claw of Khati Sha was successful on %t!','Your Claw of Khati Sha fades.','',0,0,'Spells/Scout/Animist/Beastlord/ClawofKhatiSha.lua',2985,'You cast Claw of Khati Sha on %t.',1,0,0,0,0,0,0,0,0,420017,0,0,0,0,0,0,0,0,0,'DD',1589122808,1384378116,0,0),
(420018,1808323077,1,0,'Courageous Scarring','This Spiritual Primal inflicts moderate damage to the target encounter and improves the group''s mitigation.\n\"Stand strong behind me. I have one hundred thirty seven scars. Not one of them is on my back.\"',220,36,312,1223501307,0,150,0,1,'Your Courageous Scarring was successful on %t!','Your Courageous Scarring fades.','',0,0,'Spells/Scout/Animist/Beastlord/CourageousScarring.lua',2970,'You cast Courageous Scarring on %t.',1,0,0,0,0,1,0,0,0,420018,0,0,0,0,0,0,0,0,0,'DD',1589126202,1384377842,0,0),
(420019,3514428257,1,0,'Draconic Breath','This Feral Primal inflicts damage to targets in front of the beastlord. You must have Savagery level 4 to be able to use this ability.',368,36,313,1223501307,0,150,0,1,'Your Draconic Breath was successful on %t!','Your Draconic Breath fades.','',0,0,'Spells/Scout/Animist/Beastlord/DraconicBreath.lua',2988,'You cast Draconic Breath on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1589126243,1384377842,0,0),
(420020,322074637,1,0,'Enchanted Barrier','This Spiritual Primal greatly reduces incoming damage to the group and restores a small amount of power. You must have Savagery level 4 to use this ability.',245,36,314,1223501307,0,150,0,2,'Your Enchanted Barrier was successful on %t!','Your Enchanted Barrier fades.','',0,0,'Spells/Scout/Animist/Beastlord/EnchantedBarrier.lua',2975,'You cast Enchanted Barrier on %t.',1,0,0,0,1,1,0,0,0,420020,0,0,0,0,0,0,0,0,0,'Unset',1589126300,1384377842,0,0),
(420021,1480623760,1,0,'Energizing Assault','This Spiritual Primal inflicts moderate damage to the target encounter and restores a portion of that damage as a power heal to the beastlord''s group.',281,36,312,1223501307,0,150,0,1,'Your Energizing Assault was successful on %t!','Your Energizing Assault fades.','',0,0,'Spells/Scout/Animist/Beastlord/EnergizingAssault.lua',2974,'You cast Energizing Assault on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1589126396,1384377842,0,0),
(420022,3687943688,1,0,'Feral Pounce','This Feral Advantage inflicts physical damage to the target encounter from stealth. You must have Weakness active to use this ability. This ability increases the beastlord''s Savagery.',288,36,312,1223501307,0,355,0,1,'Your Feral Pounce was successful on %t!','Your Feral Pounce fades.','',0,0,'Spells/Scout/Animist/Beastlord/FeralPounce.lua',2962,'You cast Feral Pounce on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1589128102,1384378116,0,0),
(420023,1425289488,1,0,'Feral Rending','This Feral Advantage inflicts physical damage from flanking or behind. You must have Weakness active to use this ability. This ability increases the beastlord''s Savagery.',379,36,315,1223501307,0,205,0,1,'Your Feral Rending was successful on %t!','Your Feral Rending fades.','',0,0,'Spells/Scout/Animist/Beastlord/FeralRending.lua',2959,'You cast Feral Rending on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1589127868,1384377832,0,0),
(420024,2925052180,1,1,'Feral Stance','Grants the beastlord the ability to use Feral abilities, improves Multi-Attack Chance and increases offensive combat skills. This is the beastlord''s offensive stance.',868,38,317,1223501307,0,75,1,0,'Your Feral Stance was successful on %t!','Your Feral Stance fades.','',0,1,'Spells/Scout/Animist/Beastlord/FeralStance.lua',2934,'You cast Feral Stance on %t.',1,0,0,0,1,1,0,0,0,420024,0,0,0,0,0,0,0,0,0,'Unset',1589122082,1384378116,0,0),
(420025,3206916973,1,1,'Feral Stance II','Grants the beastlord the ability to use Feral abilities, improves Multi-Attack Chance and increases offensive combat skills. This is the beastlord''s offensive stance.',868,38,317,1223501307,0,125,1,0,'Your Feral Stance II was successful on %t!','Your Feral Stance II fades.','',0,1,'Spells/Scout/Animist/Beastlord/FeralStance.lua',2934,'You cast Feral Stance II on %t.',1,0,0,1,1,1,0,0,0,420024,0,0,0,0,0,0,0,0,0,'Unset',1384670806,1384377842,0,0),
(420026,115241093,1,1,'Feral Stance III','Grants the beastlord the ability to use Feral abilities, improves Multi-Attack Chance and increases offensive combat skills. This is the beastlord''s offensive stance.',868,38,317,1223501307,0,175,1,0,'Your Feral Stance III was successful on %t!','Your Feral Stance III fades.','',0,1,'Spells/Scout/Animist/Beastlord/FeralStance.lua',2934,'You cast Feral Stance III on %t.',1,0,0,1,1,1,0,0,0,420024,0,0,0,0,0,0,0,0,0,'Unset',1384670806,1384377842,0,0),
(420027,2648670111,1,1,'Feral Stance IV','Grants the beastlord the ability to use Feral abilities, improves Multi-Attack Chance and increases offensive combat skills. This is the beastlord''s offensive stance.',868,38,317,1223501307,0,225,1,0,'Your Feral Stance IV was successful on %t!','Your Feral Stance IV fades.','',0,1,'Spells/Scout/Animist/Beastlord/FeralStance.lua',2934,'You cast Feral Stance IV on %t.',1,0,0,1,1,1,0,0,0,420024,0,0,0,0,0,0,0,0,0,'Unset',1384670806,1384377842,0,0),
(420028,1641090451,1,1,'Feral Stance IX','Grants the beastlord the ability to use Feral abilities, improves damage per second and increases offensive combat skills. This is the beastlord''s offensive stance.',868,38,317,0,0,0,1,0,'Your Feral Stance IX was successful on %t!','Your Feral Stance IX fades.','',0,1,'Spells/Scout/Animist/Beastlord/FeralStance.lua',2934,'You cast Feral Stance IX on %t.',1,0,0,0,1,0,0,0,0,420024,0,0,0,0,0,0,0,0,0,'Unset',1384670806,1352218011,0,0),
(420029,606381175,1,1,'Feral Stance V','Grants the beastlord the ability to use Feral abilities, improves Multi-Attack Chance and increases offensive combat skills. This is the beastlord''s offensive stance.',868,38,317,1223501307,0,275,1,0,'Your Feral Stance V was successful on %t!','Your Feral Stance V fades.','',0,1,'Spells/Scout/Animist/Beastlord/FeralStance.lua',2934,'You cast Feral Stance V on %t.',1,0,0,1,1,1,0,0,0,420024,0,0,0,0,0,0,0,0,0,'Unset',1384670806,1384377842,0,0),
(420030,895077902,1,1,'Feral Stance VI','Grants the beastlord the ability to use Feral abilities, improves Multi-Attack Chance and increases offensive combat skills. This is the beastlord''s offensive stance.',868,38,317,1223501307,0,325,1,0,'Your Feral Stance VI was successful on %t!','Your Feral Stance VI fades.','',0,1,'Spells/Scout/Animist/Beastlord/FeralStance.lua',2934,'You cast Feral Stance VI on %t.',1,0,0,1,1,1,0,0,0,420024,0,0,0,0,0,0,0,0,0,'Unset',1384670806,1384377840,0,0),
(420031,2359432678,1,1,'Feral Stance VII','Grants the beastlord the ability to use Feral abilities, improves Multi-Attack Chance and increases offensive combat skills. This is the beastlord''s offensive stance.',868,38,317,1223501307,0,375,1,0,'Your Feral Stance VII was successful on %t!','Your Feral Stance VII fades.','',0,1,'Spells/Scout/Animist/Beastlord/FeralStance.lua',2934,'You cast Feral Stance VII on %t.',1,0,0,1,1,1,0,0,0,420024,0,0,0,0,0,0,0,0,0,'Unset',1384670806,1384377840,0,0),
(420032,3626686075,1,1,'Feral Stance VIII','Grants the beastlord the ability to use Feral abilities, improves Multi-Attack Chance and increases offensive combat skills. This is the beastlord''s offensive stance.',868,38,317,1223501307,0,425,1,0,'Your Feral Stance VIII was successful on %t!','Your Feral Stance VIII fades.','',0,1,'Spells/Scout/Animist/Beastlord/FeralStance.lua',2934,'You cast Feral Stance VIII on %t.',1,0,0,1,1,1,0,0,0,420024,0,0,0,0,0,0,0,0,0,'Unset',1384670806,1384377840,0,0),
(420033,3927829893,1,0,'Ferocious Roar','This Spiritual Primal improves the group''s Weapon Damage Bonus for a short duration.',172,36,314,1223501307,0,150,0,2,'Your Ferocious Roar was successful on %t!','Your Ferocious Roar fades.','',0,0,'Spells/Scout/Animist/Beastlord/FerociousRoar.lua',2972,'You cast Ferocious Roar on %t.',1,0,1,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589126439,1384377842,0,0),
(420034,2052741873,1,0,'Flurry of Claws','This Feral Advantage inflicts physical damage multiple times. You must have Weakness active to use this ability. This ability increases the beastlord''s Savagery.',348,36,315,1223501307,0,90,0,1,'Your Flurry of Claws was successful on %t!','Your Flurry of Claws fades.','',0,0,'Spells/Scout/Animist/Beastlord/FlurryofClaws.lua',2956,'You cast Flurry of Claws on %t.',1,0,0,0,0,0,0,0,0,420034,0,0,0,0,0,0,0,0,0,'DD',1589122625,1384377832,0,0),
(420035,3719158735,1,0,'Frigid Fortification','This Spiritual Advantage wards the group from all damage for a short duration. You must have Weakness active to use this ability. This ability increases the beastlord''s Savagery.',636,36,314,1223501307,0,155,0,2,'Your Frigid Fortification was successful on %t!','Your Frigid Fortification fades.','',0,0,'Spells/Scout/Animist/Beastlord/FrigidFortification.lua',2935,'You cast Frigid Fortification on %t.',1,0,1,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589127476,1384378114,0,0),
(420036,12333067,1,0,'Glacial Lance','The beastlord launches a frigid lance at their target, inflicting cold damage. This requires a ranged weapon.',377,37,315,1223501307,0,15,0,1,'Your Glacial Lance was successful on %t!','Your Glacial Lance fades.','',0,1,'Spells/Scout/Animist/Beastlord/GlacialLance.lua',2936,'You cast Glacial Lance on %t.',1,0,0,1,0,0,0,0,0,420036,0,0,0,0,0,0,0,0,0,'DD',1589081350,1384378116,0,0),
(420037,1739803933,1,0,'Glacial Lance II','The beastlord launches a frigid lance at their target, inflicting cold damage. This requires a ranged weapon.',377,37,315,1223501307,0,45,0,1,'Your Glacial Lance II was successful on %t!','Your Glacial Lance II fades.','',0,1,'Spells/Scout/Animist/Beastlord/GlacialLance.lua',2936,'You cast Glacial Lance II on %t.',1,0,0,1,0,0,0,0,0,420036,0,0,0,0,0,0,0,0,0,'DD',1589081400,1384378116,0,0),
(420038,903196288,1,0,'Glacial Lance III','The beastlord launches a frigid lance at their target, inflicting cold damage. This requires a ranged weapon.',377,37,315,1223501307,0,70,0,1,'Your Glacial Lance III was successful on %t!','Your Glacial Lance III fades.','',0,1,'Spells/Scout/Animist/Beastlord/GlacialLance.lua',2936,'You cast Glacial Lance III on %t.',1,0,0,1,0,0,0,0,0,420036,0,0,0,0,0,0,0,0,0,'DD',1589081462,1384378116,0,0),
(420039,471669362,1,0,'Glacial Lance IV','The beastlord launches a frigid lance at their target, inflicting cold damage. This requires a ranged weapon.',377,37,315,1223501307,0,120,0,1,'Your Glacial Lance IV was successful on %t!','Your Glacial Lance IV fades.','',0,1,'Spells/Scout/Animist/Beastlord/GlacialLance.lua',2936,'You cast Glacial Lance IV on %t.',1,0,0,1,0,0,0,0,0,420036,0,0,0,0,0,0,0,0,0,'DD',1589081525,1384378114,0,0),
(420040,1715783524,1,0,'Glacial Lance IX','The beastlord launches a frigid lance at their target, inflicting cold damage. This requires a ranged weapon.',377,37,315,1223501307,0,370,0,1,'Your Glacial Lance IX was successful on %t!','Your Glacial Lance IX fades.','',0,1,'Spells/Scout/Animist/Beastlord/GlacialLance.lua',2936,'You cast Glacial Lance IX on %t.',1,0,0,1,0,0,0,0,0,420036,0,0,0,0,0,0,0,0,0,'DD',1589082385,1384377836,0,0),
(420041,2994047971,1,0,'Glacial Lance V','The beastlord launches a frigid lance at their target, inflicting cold damage. This requires a ranged weapon.',377,37,315,1223501307,0,170,0,1,'Your Glacial Lance V was successful on %t!','Your Glacial Lance V fades.','',0,1,'Spells/Scout/Animist/Beastlord/GlacialLance.lua',2936,'You cast Glacial Lance V on %t.',1,0,0,1,0,0,0,0,0,420036,0,0,0,0,0,0,0,0,0,'DD',1589081571,1384378116,0,0),
(420042,1334604694,1,0,'Glacial Lance VI','The beastlord launches a frigid lance at their target, inflicting cold damage. This requires a ranged weapon.',377,37,315,1223501307,0,220,0,1,'Your Glacial Lance VI was successful on %t!','Your Glacial Lance VI fades.','',0,1,'Spells/Scout/Animist/Beastlord/GlacialLance.lua',2936,'You cast Glacial Lance VI on %t.',1,0,0,1,0,0,0,0,0,420036,0,0,0,0,0,0,0,0,0,'DD',1589081658,1384378116,0,0),
(420043,3789873671,1,0,'Glacial Lance VII','The beastlord launches a frigid lance at their target, inflicting cold damage. This requires a ranged weapon.',377,37,315,1223501307,0,270,0,1,'Your Glacial Lance VII was successful on %t!','Your Glacial Lance VII fades.','',0,1,'Spells/Scout/Animist/Beastlord/GlacialLance.lua',2936,'You cast Glacial Lance VII on %t.',1,0,0,1,0,0,0,0,0,420036,0,0,0,0,0,0,0,0,0,'DD',1589081834,1384378116,0,0),
(420044,3358349045,1,0,'Glacial Lance VIII','The beastlord launches a frigid lance at their target, inflicting cold damage. This requires a ranged weapon.',377,37,315,1223501307,0,320,0,1,'Your Glacial Lance VIII was successful on %t!','Your Glacial Lance VIII fades.','',0,1,'Spells/Scout/Animist/Beastlord/GlacialLance.lua',2936,'You cast Glacial Lance VIII on %t.',1,0,0,1,0,0,0,0,0,420036,0,0,0,0,0,0,0,0,0,'DD',1589082067,1384378116,0,0),
(420045,3903758430,1,0,'Glacial Lance X','The beastlord launches a frigid lance at their target, inflicting cold damage. This requires a ranged weapon.',377,37,315,1223501307,0,420,0,1,'Your Glacial Lance X was successful on %t!','Your Glacial Lance X fades.','',0,1,'Spells/Scout/Animist/Beastlord/GlacialLance.lua',2936,'You cast Glacial Lance X on %t.',1,0,0,1,0,0,0,0,0,420036,0,0,0,0,0,0,0,0,0,'DD',1589082493,1384378114,0,0),
(420046,1187393999,1,0,'Glacial Lance XI','The beastlord launches a frigid lance at their target, inflicting cold damage. This requires a ranged weapon.',377,37,315,1223501307,0,470,0,1,'Your Glacial Lance XI was successful on %t!','Your Glacial Lance XI fades.','',0,1,'Spells/Scout/Animist/Beastlord/GlacialLance.lua',2936,'You cast Glacial Lance XI on %t.',1,0,0,1,0,0,0,0,0,420036,0,0,0,0,0,0,0,0,0,'DD',1589082549,1384377829,0,0),
(420047,3737741849,1,0,'Glacial Roar','This Feral Advantage inflicts cold damage to the target encounter. You must have Weakness active to use this ability. This ability increases the beastlord''s Savagery.',229,36,312,1223501307,0,110,0,1,'Your Glacial Roar was successful on %t!','Your Glacial Roar fades.','',0,0,'Spells/Scout/Animist/Beastlord/GlacialRoar.lua',2957,'You cast Glacial Roar on %t.',1,0,0,0,0,0,0,0,0,420047,0,0,0,0,0,0,0,0,0,'DD',1589124096,1384378114,0,0),
(420048,1133275389,1,0,'Grinning Onslaught','This Spiritual Primal inflicts moderate damage to the target encounter and reduces the power cost of the group''s abilities.',341,36,312,1223501307,0,150,0,1,'Your Grinning Onslaught was successful on %t!','Your Grinning Onslaught fades.','',0,0,'Spells/Scout/Animist/Beastlord/GrinningOnslaught.lua',2978,'You cast Grinning Onslaught on %t.',1,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1589126501,1384377840,0,0),
(420049,2863711343,1,0,'Hawk Eyes','This Feral Advantage increases the beastlord''s critical damage for a short duration. You must have Weakness active to use this ability. This ability increases the beastlord''s Savagery.',167,36,317,1223501307,0,255,0,0,'Your Hawk Eyes was successful on %t!','Your Hawk Eyes fades.','',0,0,'Spells/Scout/Animist/Beastlord/HawkEyes.lua',2960,'You cast Hawk Eyes on %t.',1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589127927,1384377831,0,0),
(420050,4292942215,1,0,'Kaldrahir''s Leadership','This Spiritual Primal inflicts moderate damage to the target encounter and improves the damage of the beastlord''s group for a short duration.',365,36,312,1223501307,0,175,0,1,'Your Kaldrahir''s Leadership was successful on %t!','Your Kaldrahir''s Leadership fades.','',0,0,'Spells/Scout/Animist/Beastlord/KaldrahirsLeadership.lua',2965,'You cast Kaldrahir''s Leadership on %t.',1,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1589127721,1384378114,0,0),
(420051,2739147619,1,0,'Luclin''s Pain','This Feral Primal deals cold damage to all targets surrounding the beastlord.',199,36,313,1223501307,0,125,0,1,'Your Luclin''s Pain was successful on %t!','Your Luclin''s Pain fades.','',0,0,'Spells/Scout/Animist/Beastlord/LuclinsPain.lua',2991,'You cast Luclin''s Pain on %t.',1,0,0,0,0,0,0,0,0,420051,0,0,0,0,0,0,0,0,0,'DD',1589124078,1384378114,0,0),
(420052,2868291884,1,1,'Master of Beasts','This is the condensed energy of an ancient, mythical weapon.',271,65535,317,3145299162,0,450,1,1,'Your Master of Beasts was successful on %t!','Your Master of Beasts fades.','',0,1,'Spells/Scout/Animist/Beastlord/MasterofBeasts.lua',3562,'You cast Master of Beasts on %t.',1,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589124985,1384377877,0,0),
(420053,570906028,1,0,'Neurotoxic Venom','This Feral Advantage inflicts poison damage over time to the target. You must be flanking or behind the target and you must have Weakness active to use this ability. This ability increases the beastlord''s Savagery.',258,36,315,1223501307,0,305,0,1,'Your Neurotoxic Venom was successful on %t!','Your Neurotoxic Venom fades.','',0,0,'Spells/Scout/Animist/Beastlord/NeurotoxicVenom.lua',2961,'You cast Neurotoxic Venom on %t.',1,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'DoT',1589128016,1384378116,0,0),
(420054,162924792,1,0,'Noxious Assault','This Spiritual Advantage inflicts poison damage on the target encounter and increases the group''s Crit Bonus for a short duration. You must have Weakness active to use this ability. This ability increases the beastlord''s Savagery.',378,36,312,1223501307,0,355,0,1,'Your Noxious Assault was successful on %t!','Your Noxious Assault fades.','',0,0,'Spells/Scout/Animist/Beastlord/NoxiousAssault.lua',2951,'You cast Noxious Assault on %t.',1,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1589128152,1384378116,0,0),
(420055,1445084966,1,0,'Noxious Grasp','This Feral Primal inflicts moderate damage to the target and drags the target to the beastlord.',504,36,315,1223501307,0,150,0,1,'Your Noxious Grasp was successful on %t!','Your Noxious Grasp fades.','',0,0,'Spells/Scout/Animist/Beastlord/NoxiousGrasp.lua',2981,'You cast Noxious Grasp on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1589126557,1384377842,0,0),
(420056,4243391534,1,0,'Quick Swipe','A quick attack that deals medium damage and reduces the target''s damage per second and attack speed.',349,36,315,1223501307,0,5,0,1,'Your Quick Swipe was successful on %t!','Your Quick Swipe fades.','',0,1,'Spells/Scout/Animist/Beastlord/QuickSwipe.lua',2728,'You cast Quick Swipe on %t.',1,0,0,1,0,1,1,0,0,420056,0,0,0,0,0,1,0,0,0,'DD',1589073580,1384377829,0,0),
(420057,1544084467,1,0,'Quick Swipe II','A quick attack that deals medium damage and reduces the target''s damage per second and attack speed.',349,36,315,1223501307,0,35,0,1,'Your Quick Swipe II was successful on %t!','Your Quick Swipe II fades.','',0,1,'Spells/Scout/Animist/Beastlord/QuickSwipe.lua',2728,'You cast Quick Swipe II on %t.',1,0,0,1,0,1,1,0,0,420056,0,0,0,0,0,1,0,0,0,'DD',1589073723,1384377832,0,0),
(420058,3693644182,1,0,'Quick Swipe III','A quick attack that deals medium damage and reduces the target''s damage per second and attack speed.',349,36,315,1223501307,0,60,0,1,'Your Quick Swipe III was successful on %t!','Your Quick Swipe III fades.','',0,1,'Spells/Scout/Animist/Beastlord/QuickSwipe.lua',2728,'You cast Quick Swipe III on %t.',1,0,0,1,0,1,1,0,0,420056,0,0,0,0,0,1,0,0,0,'DD',1589073839,1384378116,0,0),
(420059,2689182797,1,0,'Quick Swipe IV','A quick attack that deals medium damage and reduces the target''s damage per second and attack speed.',349,36,315,1223501307,0,110,0,1,'Your Quick Swipe IV was successful on %t!','Your Quick Swipe IV fades.','',0,1,'Spells/Scout/Animist/Beastlord/QuickSwipe.lua',2728,'You cast Quick Swipe IV on %t.',1,0,0,1,0,1,1,0,0,420056,0,0,0,0,0,1,0,0,0,'DD',1589073883,1384378114,0,0),
(420060,619364896,1,0,'Quick Swipe IX','A quick attack that deals medium damage and reduces the target''s damage per second and attack speed.',349,36,315,1223501307,0,360,0,1,'Your Quick Swipe IX was successful on %t!','Your Quick Swipe IX fades.','',0,1,'Spells/Scout/Animist/Beastlord/QuickSwipe.lua',2728,'You cast Quick Swipe IX on %t.',1,0,0,1,0,1,1,0,0,420056,0,0,0,0,0,1,0,0,0,'DD',1589074120,1384378116,0,0),
(420061,1028017467,1,0,'Quick Swipe V','A quick attack that deals medium damage and reduces the target''s damage per second and attack speed.',349,36,315,1223501307,0,160,0,1,'Your Quick Swipe V was successful on %t!','Your Quick Swipe V fades.','',0,1,'Spells/Scout/Animist/Beastlord/QuickSwipe.lua',2728,'You cast Quick Swipe V on %t.',1,0,0,1,0,1,1,0,0,420056,0,0,0,0,0,1,0,0,0,'DD',1589073934,1384378114,0,0),
(420062,1485563899,1,0,'Quick Swipe VI','A quick attack that deals medium damage and reduces the target''s damage per second and attack speed.',349,36,315,1223501307,0,210,0,1,'Your Quick Swipe VI was successful on %t!','Your Quick Swipe VI fades.','',0,1,'Spells/Scout/Animist/Beastlord/QuickSwipe.lua',2728,'You cast Quick Swipe VI on %t.',1,0,0,1,0,1,1,0,0,420056,0,0,0,0,0,1,0,0,0,'DD',1589073992,1384377831,0,0),
(420063,3313763981,1,0,'Quick Swipe VII','A quick attack that deals medium damage and reduces the target''s damage per second and attack speed.',349,36,315,1223501307,0,260,0,1,'Your Quick Swipe VII was successful on %t!','Your Quick Swipe VII fades.','',0,1,'Spells/Scout/Animist/Beastlord/QuickSwipe.lua',2728,'You cast Quick Swipe VII on %t.',1,0,0,1,0,1,1,0,0,420056,0,0,0,0,0,1,0,0,0,'DD',1589074029,1384377831,0,0),
(420064,3118801750,1,0,'Quick Swipe VIII','A quick attack that deals medium damage and reduces the target''s damage per second and attack speed.',349,36,315,1223501307,0,310,0,1,'Your Quick Swipe VIII was successful on %t!','Your Quick Swipe VIII fades.','',0,1,'Spells/Scout/Animist/Beastlord/QuickSwipe.lua',2728,'You cast Quick Swipe VIII on %t.',1,0,0,1,0,1,1,0,0,420056,0,0,0,0,0,1,0,0,0,'DD',1589074072,1384378116,0,0),
(420065,1920890582,1,0,'Quick Swipe X','A quick attack that deals medium damage and reduces the target''s damage per second and attack speed.',349,36,315,1223501307,0,410,0,1,'Your Quick Swipe X was successful on %t!','Your Quick Swipe X fades.','',0,1,'Spells/Scout/Animist/Beastlord/QuickSwipe.lua',2728,'You cast Quick Swipe X on %t.',1,0,0,1,0,1,1,0,0,420056,0,0,0,0,0,1,0,0,0,'DD',1589074166,1384378116,0,0),
(420066,4017199008,1,0,'Quick Swipe XI','A quick attack that deals medium damage and reduces the target''s damage per second and attack speed.',349,36,315,1223501307,0,460,0,1,'Your Quick Swipe XI was successful on %t!','Your Quick Swipe XI fades.','',0,1,'Spells/Scout/Animist/Beastlord/QuickSwipe.lua',2728,'You cast Quick Swipe XI on %t.',1,0,0,1,0,1,1,0,0,420056,0,0,0,0,0,1,0,0,0,'DD',1589074251,1384377829,0,0),
(420067,3748034705,1,0,'Rapid Flurry','This Spiritual Primal inflicts moderate damage to the target encounter and increases the group''s attack speed.',330,36,312,1223501307,0,150,0,1,'Your Rapid Flurry was successful on %t!','Your Rapid Flurry fades.','',0,0,'Spells/Scout/Animist/Beastlord/RapidFlurry.lua',2976,'You cast Rapid Flurry on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1589126589,1384377842,0,0),
(420068,2979936963,1,0,'Restoration of Marisha Kur','This Spiritual Primal inflicts moderate damage to the target encounter and restores a portion of that damage as a heal to the beastlord''s group.',344,36,312,1223501307,0,150,0,1,'Your Restoration of Marisha Kur was successful on %t!','Your Restoration of Marisha Kur fades.','',0,0,'Spells/Scout/Animist/Beastlord/RestorationofMarishaKur.lua',2968,'You cast Restoration of Marisha Kur on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1589126665,1384378114,0,0),
(420069,1055349273,1,0,'Rush','A charging attack that inflicts damage multiple times.',330,36,315,1223501307,0,10,0,1,'Your Rush was successful on %t!','Your Rush fades.','',0,1,'Spells/Scout/Animist/Beastlord/Rush.lua',2939,'You cast Rush on %t.',1,0,0,1,0,0,0,0,0,420069,0,0,0,0,0,1,0,0,0,'DD',1589071484,1384377832,0,0),
(420070,2675734911,1,0,'Rush II','A charging attack that inflicts damage multiple times.',330,36,315,1223501307,0,40,0,1,'Your Rush II was successful on %t!','Your Rush II fades.','',0,1,'Spells/Scout/Animist/Beastlord/Rush.lua',2939,'You cast Rush II on %t.',1,0,0,1,0,0,0,0,0,420069,0,0,0,0,0,1,0,0,0,'DD',1589071589,1384378116,0,0),
(420071,1405911560,1,0,'Rush III','A charging attack that inflicts damage multiple times.',330,36,315,1223501307,0,65,0,1,'Your Rush III was successful on %t!','Your Rush III fades.','',0,1,'Spells/Scout/Animist/Beastlord/Rush.lua',2939,'You cast Rush III on %t.',1,0,0,1,0,0,0,0,0,420069,0,0,0,0,0,1,0,0,0,'DD',1589071642,1384378116,0,0),
(420072,1646565525,1,0,'Rush IV','A charging attack that inflicts damage multiple times.',330,36,315,1223501307,0,115,0,1,'Your Rush IV was successful on %t!','Your Rush IV fades.','',0,1,'Spells/Scout/Animist/Beastlord/Rush.lua',2939,'You cast Rush IV on %t.',1,0,0,1,0,0,0,0,0,420069,0,0,0,0,0,1,0,0,0,'DD',1589071689,1384378114,0,0),
(420073,807188274,1,0,'Rush IX','A charging attack that inflicts damage multiple times.',330,36,315,1223501307,0,365,0,1,'Your Rush IX was successful on %t!','Your Rush IX fades.','',0,1,'Spells/Scout/Animist/Beastlord/Rush.lua',2939,'You cast Rush IX on %t.',1,0,0,1,0,0,0,0,0,420069,0,0,0,0,0,1,0,0,0,'DD',1589071993,1384378116,0,0),
(420074,3293811489,1,0,'Rush V','A charging attack that inflicts damage multiple times.',330,36,315,1223501307,0,165,0,1,'Your Rush V was successful on %t!','Your Rush V fades.','',0,1,'Spells/Scout/Animist/Beastlord/Rush.lua',2939,'You cast Rush V on %t.',1,0,0,1,0,0,0,0,0,420069,0,0,0,0,0,1,0,0,0,'DD',1589071761,1384378114,0,0),
(420075,32812463,1,0,'Rush VI','A charging attack that inflicts damage multiple times.',330,36,315,1223501307,0,215,0,1,'Your Rush VI was successful on %t!','Your Rush VI fades.','',0,1,'Spells/Scout/Animist/Beastlord/Rush.lua',2939,'You cast Rush VI on %t.',1,0,0,1,0,0,0,0,0,420069,0,0,0,0,0,1,0,0,0,'DD',1589071808,1384378116,0,0),
(420076,2810422811,1,0,'Rush VII','A charging attack that inflicts damage multiple times.',330,36,315,1223501307,0,265,0,1,'Your Rush VII was successful on %t!','Your Rush VII fades.','',0,1,'Spells/Scout/Animist/Beastlord/Rush.lua',2939,'You cast Rush VII on %t.',1,0,0,1,0,0,0,0,0,420069,0,0,0,0,0,1,0,0,0,'DD',1589071846,1384378114,0,0),
(420077,2523643014,1,0,'Rush VIII','A charging attack that inflicts damage multiple times.',330,36,315,1223501307,0,315,0,1,'Your Rush VIII was successful on %t!','Your Rush VIII fades.','',0,1,'Spells/Scout/Animist/Beastlord/Rush.lua',2939,'You cast Rush VIII on %t.',1,0,0,1,0,0,0,0,0,420069,0,0,0,0,0,1,0,0,0,'DD',1589071941,1384378116,0,0),
(420078,3327444955,1,0,'Rush X','A charging attack that inflicts damage multiple times.',330,36,315,1223501307,0,415,0,1,'Your Rush X was successful on %t!','Your Rush X fades.','',0,1,'Spells/Scout/Animist/Beastlord/Rush.lua',2939,'You cast Rush X on %t.',1,0,0,1,0,0,0,0,0,420069,0,0,0,0,0,1,0,0,0,'DD',1589072037,1384378114,0,0),
(420079,1612958831,1,0,'Rush XI','A charging attack that inflicts damage multiple times.',330,36,315,1223501307,0,465,0,1,'Your Rush XI was successful on %t!','Your Rush XI fades.','',0,1,'Spells/Scout/Animist/Beastlord/Rush.lua',2939,'You cast Rush XI on %t.',1,0,0,1,0,0,0,0,0,420069,0,0,0,0,0,1,0,0,0,'DD',1589072080,1384378116,0,0),
(420080,3172434836,1,0,'Salivary Excretion','This Feral Primal inflicts high damage to the target and increases the beastlord''s Multi-Attack Chance and attack speed. You must be flanking or behind the target to use this ability.',617,36,315,1223501307,0,150,0,1,'Your Salivary Excretion was successful on %t!','Your Salivary Excretion fades.','',0,0,'Spells/Scout/Animist/Beastlord/SalivaryExcretion.lua',3156,'You cast Salivary Excretion on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1589126707,1384377842,0,0),
(420081,1565311848,1,0,'Savage Ravaging','This Feral Primal deals piercing damage to the beastlord''s target. You must be behind or flanking the target to use this ability.',380,36,315,1223501307,0,150,0,1,'Your Savage Ravaging was successful on %t!','Your Savage Ravaging fades.','',0,0,'Spells/Scout/Animist/Beastlord/SavageRavaging.lua',2984,'You cast Savage Ravaging on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1589126761,1384377840,0,0),
(420082,3957545393,1,0,'Savage Resilience','This Spiritual Advantage inflicts physical damage, reduces damage to the beastlord''s group while restoring a small amount of health over time. You must have Weakness active to use this ability. This ability increases the beastlord''s Savagery.',352,36,312,1223501307,0,165,0,1,'Your Savage Resilience was successful on %t!','Your Savage Resilience fades.','',0,0,'Spells/Scout/Animist/Beastlord/SavageResilience.lua',2947,'You cast Savage Resilience on %t.',1,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1589127683,1384377832,0,0),
(420083,2502135529,1,1,'Savage Ruin','The beastlord has a chance to inflict additional melee damage with every attack. This ability passively increases the beastlord''s mitigation.',244,40,317,1223501307,0,145,1,0,'Your Savage Ruin was successful on %t!','Your Savage Ruin fades.','',0,1,'Spells/Scout/Animist/Beastlord/SavageRuin.lua',2940,'You cast Savage Ruin on %t.',1,0,0,1,1,1,0,0,0,420083,0,0,0,0,0,0,0,0,0,'Unset',1589125042,1384378114,0,0),
(420084,3585783322,1,1,'Savage Ruin II','The beastlord has a chance to inflict additional melee damage with every attack. This ability passively increases the beastlord''s mitigation.',244,40,317,1223501307,0,195,1,0,'Your Savage Ruin II was successful on %t!','Your Savage Ruin II fades.','',0,1,'Spells/Scout/Animist/Beastlord/SavageRuin.lua',2940,'You cast Savage Ruin II on %t.',1,0,0,1,1,1,0,0,0,420083,0,0,0,0,0,0,0,0,0,'Unset',1589125147,1384378116,0,0),
(420085,2960596186,1,1,'Savage Ruin III','The beastlord has a chance to inflict additional melee damage with every attack. This ability passively increases the beastlord''s mitigation.',244,40,317,1223501307,0,245,1,0,'Your Savage Ruin III was successful on %t!','Your Savage Ruin III fades.','',0,1,'Spells/Scout/Animist/Beastlord/SavageRuin.lua',2940,'You cast Savage Ruin III on %t.',1,0,0,1,1,1,0,0,0,420083,0,0,0,0,0,0,0,0,0,'Unset',1589125162,1384378116,0,0),
(420086,762903980,1,1,'Savage Ruin IV','The beastlord has a chance to inflict additional melee damage with every attack. This ability passively increases the beastlord''s mitigation.',244,40,317,1223501307,0,295,1,0,'Your Savage Ruin IV was successful on %t!','Your Savage Ruin IV fades.','',0,1,'Spells/Scout/Animist/Beastlord/SavageRuin.lua',2940,'You cast Savage Ruin IV on %t.',1,0,0,1,1,1,0,0,0,420083,0,0,0,0,0,0,0,0,0,'Unset',1589125194,1384378116,0,0),
(420087,1360648311,1,1,'Savage Ruin V','The beastlord has a chance to inflict additional melee damage with every attack. This ability passively increases the beastlord''s mitigation.',244,40,317,1223501307,0,345,1,0,'Your Savage Ruin V was successful on %t!','Your Savage Ruin V fades.','',0,1,'Spells/Scout/Animist/Beastlord/SavageRuin.lua',2940,'You cast Savage Ruin V on %t.',1,0,0,1,1,1,0,0,0,420083,0,0,0,0,0,0,0,0,0,'Unset',1589125206,1384378116,0,0),
(420088,3424008449,1,1,'Savage Ruin VI','The beastlord has a chance to inflict additional melee damage with every attack. This ability passively increases the beastlord''s mitigation.',244,40,317,1223501307,0,395,1,0,'Your Savage Ruin VI was successful on %t!','Your Savage Ruin VI fades.','',0,1,'Spells/Scout/Animist/Beastlord/SavageRuin.lua',2940,'You cast Savage Ruin VI on %t.',1,0,0,1,1,1,0,0,0,420083,0,0,0,0,0,0,0,0,0,'Unset',1589125226,1384377838,0,0),
(420089,2592247287,1,1,'Savage Ruin VII','The beastlord has a chance to inflict additional melee damage with every attack. This ability passively increases the beastlord''s mitigation.',244,40,317,1223501307,0,445,1,0,'Your Savage Ruin VII was successful on %t!','Your Savage Ruin VII fades.','',0,1,'Spells/Scout/Animist/Beastlord/SavageRuin.lua',2940,'You cast Savage Ruin VII on %t.',1,0,0,1,1,1,0,0,0,420083,0,0,0,0,0,0,0,0,0,'Unset',1589125254,1384378114,0,0),
(420090,126708865,1,1,'Savage Ruin VIII','The beastlord has a chance to inflict additional melee damage with every attack. This ability passively increases the beastlord''s mitigation.',244,40,317,1223501307,0,495,1,0,'Your Savage Ruin VIII was successful on %t!','Your Savage Ruin VIII fades.','',0,1,'Spells/Scout/Animist/Beastlord/SavageRuin.lua',2940,'You cast Savage Ruin VIII on %t.',1,0,0,0,1,0,0,0,0,420083,0,0,0,0,0,0,0,0,0,'Unset',1589125270,1384377829,0,0),
(420091,537731132,1,0,'Shadow Leap','This Feral Primal inflicts high direct damage to the target. You must be stealthed to use this ability.',351,36,315,1223501307,0,150,0,1,'Your Shadow Leap was successful on %t!','Your Shadow Leap fades.','',0,0,'Spells/Scout/Animist/Beastlord/ShadowLeap.lua',2989,'You cast Shadow Leap on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1589126802,1384377842,0,0),
(420092,2563039488,1,0,'Shalih Mar''s Mandate','This Feral Primal inflicts moderate damage to the target and causes the beastlord to inflict more damage with their abilities.',335,36,315,1223501307,0,100,0,1,'Your Shalih Mar''s Mandate was successful on %t!','Your Shalih Mar''s Mandate fades.','',0,0,'Spells/Scout/Animist/Beastlord/ShalihMarsMandate.lua',2993,'You cast Shalih Mar''s Mandate on %t.',1,0,0,0,0,1,0,0,0,420092,0,0,0,0,0,0,0,0,0,'DD',1589122933,1384378114,0,0),
(420093,2486204354,1,0,'Sharpened Claws','Interrupts the target while dealing a small amount of damage that causes the next strike from the Warder to inflict additional damage.',261,41,315,3145299162,0,30,0,1,'Your Sharpened Claws was successful on %t!','Your Sharpened Claws fades.','',0,1,'Spells/Scout/Animist/Beastlord/SharpenedClaws.lua',0,'You cast Sharpened Claws on %t.',1,0,0,0,0,1,0,0,0,420093,0,0,0,0,0,0,0,0,0,'DD',1589120815,1384377829,0,0),
(420094,3821103768,1,0,'Shiverback Endemic','This Feral Advantage inflicts cold damage over time to the target. You must have Weakness active to use this ability. This ability increases the beastlord''s Savagery.',252,36,315,1223501307,0,105,0,1,'Your Shiverback Endemic was successful on %t!','Your Shiverback Endemic fades.','',0,0,'Spells/Scout/Animist/Beastlord/ShiverbackEndemic.lua',2958,'You cast Shiverback Endemic on %t.',1,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'DoT',1589123084,1384378116,0,0),
(420095,231791633,1,1,'Shrink Warder','Reduces the overall size of your warder.',218,65535,317,3145299162,0,50,1,1,'Your Shrink Warder was successful on %t!','Your Shrink Warder fades.','',0,1,'Spells/Scout/Animist/Beastlord/ShrinkWarder.lua',0,'You cast Shrink Warder on %t.',1,0,0,0,1,1,0,0,0,420095,0,0,0,0,0,0,0,0,0,'Unset',1589121810,1384378116,0,0),
(420096,1098690833,1,0,'Silent Talon','This Feral Primal deals piercing damage to the target and inflicts additional damage over time. You must be in stealth to use this ability.',337,36,315,1223501307,0,150,0,1,'Your Silent Talon was successful on %t!','Your Silent Talon fades.','',0,0,'Spells/Scout/Animist/Beastlord/SilentTalon.lua',2983,'You cast Silent Talon on %t.',1,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'DoT',1589127809,1328921881,0,0),
(420097,622454873,1,0,'Sonic Screech','This Feral Primal deals piercing damage to all targets surrounding the beastlord. You must be stealthed to use this ability.',172,36,313,1223501307,0,150,0,1,'Your Sonic Screech was successful on %t!','Your Sonic Screech fades.','',0,0,'Spells/Scout/Animist/Beastlord/SonicScreech.lua',2982,'You cast Sonic Screech on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1589126840,1384377840,0,0),
(420098,3756859444,1,0,'Spinechiller Blood','Deals medium damage and poisons the target, dealing additional poison damage over time.',227,36,315,1223501307,0,25,0,1,'Your Spinechiller Blood was successful on %t!','Your Spinechiller Blood fades.','',0,1,'Spells/Scout/Animist/Beastlord/SpinechillerBlood.lua',2941,'You cast Spinechiller Blood on %t.',1,0,0,1,0,1,3,0,0,420098,0,0,0,0,0,1,0,0,0,'DoT',1589075078,1384378116,0,0),
(420099,249186547,1,0,'Spinechiller Blood II','Deals medium damage and poisons the target, dealing additional poison damage over time.',227,36,315,1223501307,0,55,0,1,'Your Spinechiller Blood II was successful on %t!','Your Spinechiller Blood II fades.','',0,1,'Spells/Scout/Animist/Beastlord/SpinechillerBlood.lua',2941,'You cast Spinechiller Blood II on %t.',1,0,0,1,0,1,3,0,0,420098,0,0,0,0,0,1,0,0,0,'DoT',1589076768,1384378116,0,0),
(420100,2331628838,1,0,'Spinechiller Blood III','Deals medium damage and poisons the target, dealing additional poison damage over time.',227,36,315,1223501307,0,85,0,1,'Your Spinechiller Blood III was successful on %t!','Your Spinechiller Blood III fades.','',0,1,'Spells/Scout/Animist/Beastlord/SpinechillerBlood.lua',2941,'You cast Spinechiller Blood III on %t.',1,0,0,1,0,1,3,0,0,420098,0,0,0,0,0,1,0,0,0,'DoT',1589077835,1384378116,0,0),
(420101,4058470341,1,0,'Spinechiller Blood IV','Deals medium damage and poisons the target, dealing additional poison damage over time.',227,36,315,1223501307,0,135,0,1,'Your Spinechiller Blood IV was successful on %t!','Your Spinechiller Blood IV fades.','',0,1,'Spells/Scout/Animist/Beastlord/SpinechillerBlood.lua',2941,'You cast Spinechiller Blood IV on %t.',1,0,0,1,0,1,3,0,0,420098,0,0,0,0,0,1,0,0,0,'DoT',1589078664,1384378114,0,0),
(420102,2093273312,1,0,'Spinechiller Blood IX','Deals medium damage and poisons the target, dealing additional poison damage over time.',227,36,315,1223501307,0,385,0,1,'Your Spinechiller Blood IX was successful on %t!','Your Spinechiller Blood IX fades.','',0,1,'Spells/Scout/Animist/Beastlord/SpinechillerBlood.lua',2941,'You cast Spinechiller Blood IX on %t.',1,0,0,1,0,1,3,0,0,420098,0,0,0,0,0,1,0,0,0,'DoT',1589080367,1384378114,0,0),
(420103,1849545819,1,0,'Spinechiller Blood V','Deals medium damage and poisons the target, dealing additional poison damage over time.',227,36,315,1223501307,0,185,0,1,'Your Spinechiller Blood V was successful on %t!','Your Spinechiller Blood V fades.','',0,1,'Spells/Scout/Animist/Beastlord/SpinechillerBlood.lua',2941,'You cast Spinechiller Blood V on %t.',1,0,0,1,0,1,3,0,0,420098,0,0,0,0,0,1,0,0,0,'DoT',1589079349,1384378116,0,0),
(420104,131748355,1,0,'Spinechiller Blood VI','Deals medium damage and poisons the target, dealing additional poison damage over time.',227,36,315,1223501307,0,235,0,1,'Your Spinechiller Blood VI was successful on %t!','Your Spinechiller Blood VI fades.','',0,1,'Spells/Scout/Animist/Beastlord/SpinechillerBlood.lua',2941,'You cast Spinechiller Blood VI on %t.',1,0,0,1,0,1,3,0,0,420098,0,0,0,0,0,1,0,0,0,'DoT',1589079436,1384378116,0,0),
(420105,2550190493,1,0,'Spinechiller Blood VII','Deals medium damage and poisons the target, dealing additional poison damage over time.',227,36,315,1223501307,0,285,0,1,'Your Spinechiller Blood VII was successful on %t!','Your Spinechiller Blood VII fades.','',0,1,'Spells/Scout/Animist/Beastlord/SpinechillerBlood.lua',2941,'You cast Spinechiller Blood VII on %t.',1,0,0,1,0,1,3,0,0,420098,0,0,0,0,0,1,0,0,0,'DoT',1589080179,1384378116,0,0),
(420106,3810415486,1,0,'Spinechiller Blood VIII','Deals medium damage and poisons the target, dealing additional poison damage over time.',227,36,315,1223501307,0,335,0,1,'Your Spinechiller Blood VIII was successful on %t!','Your Spinechiller Blood VIII fades.','',0,1,'Spells/Scout/Animist/Beastlord/SpinechillerBlood.lua',2941,'You cast Spinechiller Blood VIII on %t.',1,0,0,1,0,1,3,0,0,420098,0,0,0,0,0,1,0,0,0,'DoT',1589080289,1384378116,0,0),
(420107,819027918,1,0,'Spinechiller Blood X','Deals medium damage and poisons the target, dealing additional poison damage over time.',227,36,315,1223501307,0,435,0,1,'Your Spinechiller Blood X was successful on %t!','Your Spinechiller Blood X fades.','',0,1,'Spells/Scout/Animist/Beastlord/SpinechillerBlood.lua',2941,'You cast Spinechiller Blood X on %t.',1,0,0,1,0,1,3,0,0,420098,0,0,0,0,0,1,0,0,0,'DoT',1589080592,1384377839,0,0),
(420108,2936790096,1,0,'Spinechiller Blood XI','Deals medium damage and poisons the target, dealing additional poison damage over time.',227,36,315,1223501307,0,485,0,1,'Your Spinechiller Blood XI was successful on %t!','Your Spinechiller Blood XI fades.','',0,1,'Spells/Scout/Animist/Beastlord/SpinechillerBlood.lua',2941,'You cast Spinechiller Blood XI on %t.',1,0,0,0,0,0,3,0,0,420098,0,0,0,0,0,1,0,0,0,'DoT',1589080876,1384378116,0,0),
(420109,3010698346,1,0,'Spiritshroud','Allows the animalist to move undetected.',341,38,317,3145299162,0,5,0,0,'Your Spiritshroud was successful on %t!','Your Spiritshroud fades.','',0,1,'Spells/Scout/Animist/Beastlord/Spiritshroud.lua',2942,'You cast Spiritshroud on %t.',1,0,0,0,1,1,0,0,0,420109,0,0,0,0,0,1,0,0,0,'Unset',1589074302,1384378114,0,0),
(420110,2495055789,1,0,'Spiritual Feast','This Spiritual Advantage inflicts melee damage to the target encounter and restores power to the group. You must have Weakness active to use this ability. This ability increases the beastlord''s Savagery.',628,36,312,1223501307,0,255,0,1,'Your Spiritual Feast was successful on %t!','Your Spiritual Feast fades.','',0,0,'Spells/Scout/Animist/Beastlord/SpiritualFeast.lua',2954,'You cast Spiritual Feast on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1589127984,1384378114,0,0),
(420111,4165196120,1,1,'Spiritual Stance','Grants the beastlord the ability to use Spiritual abilities, improves avoidance, mitigation and defensive combat skills. This is the beastlord''s defensive stance.',799,38,317,1223501307,0,150,1,0,'Your Spiritual Stance was successful on %t!','Your Spiritual Stance fades.','',0,0,'Spells/Scout/Animist/Beastlord/SpiritualStance.lua',2943,'You cast Spiritual Stance on %t.',1,0,0,0,1,1,0,0,0,420111,0,0,0,0,0,0,0,0,0,'Unset',1589126867,1384378114,0,0),
(420112,2994557459,1,0,'Spiritual Stance II','Grants the beastlord the ability to use Spiritual abilities, improves avoidance, mitigation and defensive combat skills. This is the beastlord''s defensive stance.',799,38,317,1223501307,0,200,1,0,'Your Spiritual Stance II was successful on %t!','Your Spiritual Stance II fades.','',0,0,'Spells/Scout/Animist/Beastlord/SpiritualStance.lua',2943,'You cast Spiritual Stance II on %t.',1,0,0,1,1,1,0,0,0,420111,0,0,0,0,0,0,0,0,0,'Unset',1384670944,1384377840,0,0),
(420113,1704972875,1,0,'Spiritual Stance III','Grants the beastlord the ability to use Spiritual abilities, improves avoidance, mitigation and defensive combat skills. This is the beastlord''s defensive stance.',799,38,317,1223501307,0,250,1,0,'Your Spiritual Stance III was successful on %t!','Your Spiritual Stance III fades.','',0,0,'Spells/Scout/Animist/Beastlord/SpiritualStance.lua',2943,'You cast Spiritual Stance III on %t.',1,0,0,1,1,1,0,0,0,420111,0,0,0,0,0,0,0,0,0,'Unset',1384670944,1384377842,0,0),
(420114,3335083234,1,0,'Spiritual Stance IV','Grants the beastlord the ability to use Spiritual abilities, improves avoidance, mitigation and defensive combat skills. This is the beastlord''s defensive stance.',799,38,317,1223501307,0,300,1,0,'Your Spiritual Stance IV was successful on %t!','Your Spiritual Stance IV fades.','',0,0,'Spells/Scout/Animist/Beastlord/SpiritualStance.lua',2943,'You cast Spiritual Stance IV on %t.',1,0,0,1,1,1,0,0,0,420111,0,0,0,0,0,0,0,0,0,'Unset',1384670944,1384377842,0,0),
(420115,288085178,1,0,'Spiritual Stance V','Grants the beastlord the ability to use Spiritual abilities, improves avoidance, mitigation and defensive combat skills. This is the beastlord''s defensive stance.',799,38,317,1223501307,0,350,1,0,'Your Spiritual Stance V was successful on %t!','Your Spiritual Stance V fades.','',0,0,'Spells/Scout/Animist/Beastlord/SpiritualStance.lua',2943,'You cast Spiritual Stance V on %t.',1,0,0,1,1,1,0,0,0,420111,0,0,0,0,0,0,0,0,0,'Unset',1384670944,1384377844,0,0),
(420116,1387545204,1,0,'Spiritual Stance VI','Grants the beastlord the ability to use Spiritual abilities, improves avoidance, mitigation and defensive combat skills. This is the beastlord''s defensive stance.',799,38,317,1223501307,0,400,1,0,'Your Spiritual Stance VI was successful on %t!','Your Spiritual Stance VI fades.','',0,0,'Spells/Scout/Animist/Beastlord/SpiritualStance.lua',2943,'You cast Spiritual Stance VI on %t.',1,0,0,1,1,1,0,0,0,420111,0,0,0,0,0,0,0,0,0,'Unset',1384670944,1384377842,0,0),
(420117,2237055532,1,0,'Spiritual Stance VII','Grants the beastlord the ability to use Spiritual abilities, improves avoidance, mitigation and defensive combat skills. This is the beastlord''s defensive stance.',799,38,317,1223501307,0,450,1,0,'Your Spiritual Stance VII was successful on %t!','Your Spiritual Stance VII fades.','',0,0,'Spells/Scout/Animist/Beastlord/SpiritualStance.lua',2943,'You cast Spiritual Stance VII on %t.',1,0,0,1,1,1,0,0,0,420111,0,0,0,0,0,0,0,0,0,'Unset',1384670946,1384377842,0,0),
(420118,1047684279,1,0,'Spiritual Stance VIII','Grants the beastlord the ability to use Spiritual abilities, improves avoidance, mitigation and defensive combat skills. This is the beastlord''s defensive stance.',799,38,317,0,0,0,1,0,'Your Spiritual Stance VIII was successful on %t!','Your Spiritual Stance VIII fades.','',0,0,'Spells/Scout/Animist/Beastlord/SpiritualStance.lua',2943,'You cast Spiritual Stance VIII on %t.',1,0,0,0,1,0,0,0,0,420111,0,0,0,0,0,0,0,0,0,'Unset',1384670946,1352217964,0,0),
(420119,3636621639,1,0,'Stare Down','Briefly stuns the target. This ability can be cast during the cast time of other abilities but only affects creatures that can be tamed.',5,41,315,3145299162,1921433074,50,0,1,'Your Stare Down was successful on %t!','Your Stare Down fades.','',0,1,'Spells/Scout/Animist/Beastlord/StareDown.lua',0,'You cast Stare Down on %t.',1,0,0,0,0,1,0,4,0,420119,0,0,0,0,0,0,0,0,0,'Unset',1589128935,1384378116,0,0),
(420120,1278596973,1,1,'Summon Warder: Amphibian','Summons the Beastlord''s amphibian warder. This is an offensive warder.',937,65535,317,1223501307,1223501307,5,1,0,'Your Summon Warder: Amphibian was successful on %t!','Your Summon Warder: Amphibian fades.','',0,1,'Spells/Scout/Animist/Beastlord/SummonWarderAmphibian.lua',2944,'You cast Summon Warder: Amphibian on %t.',1,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589074427,1384377842,0,0),
(420121,640640202,1,1,'Summon Warder: Aquatic','Summons the Beastlord''s aquatic warder. This is a defensive warder.',948,65535,317,1223501307,1223501307,5,1,0,'Your Summon Warder: Aquatic was successful on %t!','Your Summon Warder: Aquatic fades.','',0,1,'Spells/Scout/Animist/Beastlord/SummonWarderAquatic.lua',2944,'You cast Summon Warder: Aquatic on %t.',1,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589128451,1384377842,0,0),
(420122,236042694,1,1,'Summon Warder: Avian','Summons the Beastlord''s avian warder. This is an offensive warder.',944,65535,317,1223501307,1223501307,5,1,0,'Your Summon Warder: Avian was successful on %t!','Your Summon Warder: Avian fades.','',0,1,'Spells/Scout/Animist/Beastlord/SummonWarderAvian.lua',2944,'You cast Summon Warder: Avian on %t.',1,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589128459,1384377842,0,0),
(420123,3951811409,1,1,'Summon Warder: Bat','Summons the Beastlord''s bat warder. This is an offensive warder.',945,65535,317,1223501307,1223501307,5,1,0,'Your Summon Warder: Bat was successful on %t!','Your Summon Warder: Bat fades.','',0,1,'Spells/Scout/Animist/Beastlord/SummonWarderBat.lua',2944,'You cast Summon Warder: Bat on %t.',1,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589128504,1384377842,0,0),
(420124,2452665441,1,1,'Summon Warder: Bear','Summons the Beastlord''s bear warder. This is a defensive warder.',943,65535,317,1223501307,1223501307,5,1,0,'Your Summon Warder: Bear was successful on %t!','Your Summon Warder: Bear fades.','',0,1,'Spells/Scout/Animist/Beastlord/SummonWarderBear.lua',2944,'You cast Summon Warder: Bear on %t.',1,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589128528,1384377842,0,0),
(420125,2678534583,1,1,'Summon Warder: Boar','Summons the Beastlord''s boar warder. This is a defensive warder.',954,65535,317,1223501307,1223501307,5,1,0,'Your Summon Warder: Boar was successful on %t!','Your Summon Warder: Boar fades.','',0,1,'Spells/Scout/Animist/Beastlord/SummonWarderBoar.lua',2944,'You cast Summon Warder: Boar on %t.',1,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589128668,1384377840,0,0),
(420126,2937739824,1,1,'Summon Warder: Bovid','Summons the Beastlord''s bovid warder. This is a defensive warder.',942,65535,317,1223501307,1223501307,5,1,0,'Your Summon Warder: Bovid was successful on %t!','Your Summon Warder: Bovid fades.','',0,1,'Spells/Scout/Animist/Beastlord/SummonWarderBovid.lua',2944,'You cast Summon Warder: Bovid on %t.',1,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589128636,1384377842,0,0),
(420127,1460943914,1,1,'Summon Warder: Canine','Summons the Beastlord''s canine warder. This is an offensive warder.',946,65535,317,1223501307,1223501307,5,1,0,'Your Summon Warder: Canine was successful on %t!','Your Summon Warder: Canine fades.','',0,1,'Spells/Scout/Animist/Beastlord/SummonWarderCanine.lua',2944,'You cast Summon Warder: Canine on %t.',1,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589128649,1384377842,0,0),
(420128,1551750796,1,1,'Summon Warder: Dire','Summons the Beastlord''s dire warder. This is an offensive warder.',940,65535,317,1223501307,1223501307,5,1,0,'Your Summon Warder: Dire was successful on %t!','Your Summon Warder: Dire fades.','',0,1,'Spells/Scout/Animist/Beastlord/SummonWarderDire.lua',2944,'You cast Summon Warder: Dire on %t.',1,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589128691,1384377842,0,0),
(420129,3731998515,1,1,'Summon Warder: Drake','Summons the Beastlord''s drake warder. This is an offensive warder.',949,65535,317,1223501307,1223501307,5,1,0,'Your Summon Warder: Drake was successful on %t!','Your Summon Warder: Drake fades.','',0,1,'Spells/Scout/Animist/Beastlord/SummonWarderDrake.lua',2944,'You cast Summon Warder: Drake on %t.',1,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589128708,1384377840,0,0),
(420130,595718033,1,1,'Summon Warder: Enchanted','Summons the Beastlord''s enchanted warder. This is an offensive warder.',952,65535,317,1223501307,1223501307,5,1,0,'Your Summon Warder: Enchanted was successful on %t!','Your Summon Warder: Enchanted fades.','',0,1,'Spells/Scout/Animist/Beastlord/SummonWarderEnchanted.lua',2944,'You cast Summon Warder: Enchanted on %t.',1,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589128726,1384377842,0,0),
(420131,3930698086,1,1,'Summon Warder: Feline','Summons the Beastlord''s feline warder. This is an offensive warder.',951,65535,317,1223501307,1223501307,5,1,0,'Your Summon Warder: Feline was successful on %t!','Your Summon Warder: Feline fades.','',0,1,'Spells/Scout/Animist/Beastlord/SummonWarderFeline.lua',2944,'You cast Summon Warder: Feline on %t.',1,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589128740,1384377840,0,0),
(420132,1463605553,1,1,'Summon Warder: Insect','Summons the Beastlord''s insect warder. This is an offensive warder.',953,65535,317,1223501307,1223501307,5,1,0,'Your Summon Warder: Insect was successful on %t!','Your Summon Warder: Insect fades.','',0,1,'Spells/Scout/Animist/Beastlord/SummonWarderInsect.lua',2944,'You cast Summon Warder: Insect on %t.',1,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589128844,1384377842,0,0),
(420133,215419506,1,1,'Summon Warder: Mystical','Summons the Beastlord''s mystical warder. This is a defensive warder.',950,65535,317,1223501307,1223501307,5,1,0,'Your Summon Warder: Mystical was successful on %t!','Your Summon Warder: Mystical fades.','',0,1,'Spells/Scout/Animist/Beastlord/SummonWarderMystical.lua',2944,'You cast Summon Warder: Mystical on %t.',1,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589128803,1384377840,0,0),
(420134,505344095,1,1,'Summon Warder: Reptile','Summons the Beastlord''s reptile warder. This is an offensive warder.',938,65535,317,1223501307,1223501307,5,1,0,'Your Summon Warder: Reptile was successful on %t!','Your Summon Warder: Reptile fades.','',0,1,'Spells/Scout/Animist/Beastlord/SummonWarderReptile.lua',2944,'You cast Summon Warder: Reptile on %t.',1,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589128865,1384377840,0,0),
(420135,2066551730,1,1,'Summon Warder: Rodent','Summons the Beastlord''s rodent warder. This is an offensive warder.',947,65535,317,1223501307,1223501307,5,1,0,'Your Summon Warder: Rodent was successful on %t!','Your Summon Warder: Rodent fades.','',0,1,'Spells/Scout/Animist/Beastlord/SummonWarderRodent.lua',2944,'You cast Summon Warder: Rodent on %t.',1,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589128769,1384377842,0,0),
(420136,836331244,1,1,'Summon Warder: Simian','Summons the Beastlord''s simian warder. This is a defensive warder.',941,65535,317,1223501307,1223501307,5,1,0,'Your Summon Warder: Simian was successful on %t!','Your Summon Warder: Simian fades.','',0,1,'Spells/Scout/Animist/Beastlord/SummonWarderSimian.lua',2944,'You cast Summon Warder: Simian on %t.',1,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589128815,1384377842,0,0),
(420137,1427994097,1,1,'Summon Warder: Warboar','Summons the Beastlord''s warboar warder. This is a defensive warder.',939,65535,317,1223501307,1223501307,5,1,1,'Your Summon Warder: Warboar was successful on %t!','Your Summon Warder: Warboar fades.','',0,1,'Spells/Scout/Animist/Beastlord/SummonWarderWarboar.lua',2944,'You cast Summon Warder: Warboar on %t.',1,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589128754,1384377842,0,0),
(420138,2662175295,1,0,'Tame Creature','',84,65535,65535,0,0,0,0,1,'Your Tame Creature was successful on %t!','Your Tame Creature fades.','',0,0,'Spells/Scout/Animist/Beastlord/TameCreature.lua',2945,'You cast Tame Creature on %t.',1,0,0,0,0,0,0,0,0,420138,0,0,0,0,0,0,0,0,0,'Unset',1589080924,1384291123,0,0),
(420139,3386697964,1,0,'Tame Insect Warder','Allows the beastlord to tame an insectoid warder. The warder spell is added to the beastlord''s knowledge book and takes the appearance of the targeted creature. Using this ability again updates the appearance of the associated warder.',369,65535,315,1223501307,0,50,0,1,'Your Tame Insect Warder was successful on %t!','Your Tame Insect Warder fades.','',0,0,'Spells/Scout/Animist/Beastlord/TameInsectWarder.lua',0,'You cast Tame Insect Warder on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670959,1384377840,0,0),
(420140,1584802764,1,0,'Tame Warder','Allows the beastlord to tame a warder. The warder spell is added to the beastlord''s knowledge book and takes the appearance of the targeted creature. Using this ability on the same type of creature updates the appearance of the associated warder. Tame Warder can only be used on specific creature types.',334,65535,315,1223501307,0,50,0,1,'Your Tame Warder was successful on %t!','Your Tame Warder fades.','',0,0,'Spells/Scout/Animist/Beastlord/TameWarder.lua',2945,'You cast Tame Warder on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589121948,1384378116,0,0),
(420141,3872663748,1,1,'Test Feral Stance <br>','Increases the monk''s strength and spell mitigation.',332,5,317,0,0,0,1,0,'Your Test Feral Stance <br> was successful on %t!','Your Test Feral Stance <br> fades.','',0,0,'Spells/Scout/Animist/Beastlord/TestFeralStancebr.lua',2934,'You cast Test Feral Stance <br> on %t.',1,0,0,0,1,0,0,0,0,420141,0,0,0,0,0,0,0,0,0,'Unset',1589081006,1384377887,0,0),
(420142,123466269,1,1,'Test Spiritual Stance <br>','Increases the monk''s strength and spell mitigation.',332,5,317,0,0,0,1,0,'Your Test Spiritual Stance <br> was successful on %t!','Your Test Spiritual Stance <br> fades.','',0,0,'Spells/Scout/Animist/Beastlord/TestSpiritualStancebr.lua',2943,'You cast Test Spiritual Stance <br> on %t.',1,0,0,0,1,0,0,0,0,420142,0,0,0,0,0,0,0,0,0,'Unset',1589081075,1384377892,0,0),
(420143,54976464,1,0,'Truespirit Claws','This Spiritual Advantage increases the group''s Damage per Second. You must have Weakness active to use this ability. This ability increases the beastlord''s Savagery.',335,36,314,1223501307,0,305,0,2,'Your Truespirit Claws was successful on %t!','Your Truespirit Claws fades.','',0,0,'Spells/Scout/Animist/Beastlord/TruespiritClaws.lua',2955,'You cast Truespirit Claws on %t.',1,0,1,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589128065,1384377829,0,0),
(420144,2213033682,1,0,'Truespirit Venom','This Feral Primal deals poison damage to the target and inflicts additional damage over time.',197,36,315,1223501307,0,125,0,1,'Your Truespirit Venom was successful on %t!','Your Truespirit Venom fades.','',0,0,'Spells/Scout/Animist/Beastlord/TruespiritVenom.lua',2994,'You cast Truespirit Venom on %t.',1,0,0,0,0,1,0,0,0,420144,0,0,0,0,0,0,0,0,0,'DoT',1589124254,1384378116,0,0),
(420145,2129973288,1,0,'U''lla''s Resolution','This Spiritual Primal inflicts moderate damage to the target encounter, reduces damage and restores health to the beastlord''s allies.',329,36,312,1223501307,0,175,0,1,'Your U''lla''s Resolution was successful on %t!','Your U''lla''s Resolution fades.','',0,0,'Spells/Scout/Animist/Beastlord/UllasResolution.lua',2969,'You cast U''lla''s Resolution on %t.',1,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1589127770,1384378116,0,0),
(420146,721098324,1,0,'Venom Fangs','This Feral Primal inflicts high damage to the target and increases the beastlord''s Damage Per Second. You must be flanking or behind the target to use this ability.',494,36,315,1223501307,0,150,0,1,'Your Venom Fangs was successful on %t!','Your Venom Fangs fades.','',0,0,'Spells/Scout/Animist/Beastlord/VenomFangs.lua',2992,'You cast Venom Fangs on %t.',1,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1589127335,1384377842,0,0),
(420147,1817396505,1,0,'Vine Net','Decreases the target''s resistance to noxious and elemental while slowing the target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,1223501307,0,30,0,1,'Your Vine Net was successful on %t!','Your Vine Net fades.','',0,1,'Spells/Scout/Animist/Beastlord/VineNet.lua',2946,'You cast Vine Net on %t.',1,0,0,1,0,1,3,0,0,420147,0,0,0,0,0,0,0,0,0,'Unset',1589120963,1384378116,0,0),
(420148,2837990116,1,0,'Vine Net II','Decreases the target''s resistance to noxious and elemental while slowing the target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,1223501307,0,80,0,1,'Your Vine Net II was successful on %t!','Your Vine Net II fades.','',0,1,'Spells/Scout/Animist/Beastlord/VineNet.lua',2946,'You cast Vine Net II on %t.',1,0,0,1,0,1,3,0,0,420147,0,0,0,0,0,0,0,0,0,'Unset',1589121260,1384378116,0,0),
(420149,818556133,1,0,'Vine Net III','Decreases the target''s resistance to noxious and elemental while slowing the target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,1223501307,0,130,0,1,'Your Vine Net III was successful on %t!','Your Vine Net III fades.','',0,1,'Spells/Scout/Animist/Beastlord/VineNet.lua',2946,'You cast Vine Net III on %t.',1,0,0,1,0,1,3,0,0,420147,0,0,0,0,0,0,0,0,0,'Unset',1589121278,1384378114,0,0),
(420150,4047827749,1,0,'Vine Net IV','Decreases the target''s resistance to noxious and elemental while slowing the target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,1223501307,0,180,0,1,'Your Vine Net IV was successful on %t!','Your Vine Net IV fades.','',0,1,'Spells/Scout/Animist/Beastlord/VineNet.lua',2946,'You cast Vine Net IV on %t.',1,0,0,1,0,1,3,0,0,420147,0,0,0,0,0,0,0,0,0,'Unset',1589121031,1384377832,0,0),
(420151,3529864289,1,0,'Vine Net IX','Decreases the target''s resistance to noxious and elemental while slowing the target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,1223501307,0,430,0,1,'Your Vine Net IX was successful on %t!','Your Vine Net IX fades.','',0,1,'Spells/Scout/Animist/Beastlord/VineNet.lua',2946,'You cast Vine Net IX on %t.',1,0,0,1,0,1,3,0,0,420147,0,0,0,0,0,0,0,0,0,'Unset',1589121209,1384378114,0,0),
(420152,3632260774,1,0,'Vine Net V','Decreases the target''s resistance to noxious and elemental while slowing the target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,1223501307,0,230,0,1,'Your Vine Net V was successful on %t!','Your Vine Net V fades.','',0,1,'Spells/Scout/Animist/Beastlord/VineNet.lua',2946,'You cast Vine Net V on %t.',1,0,0,1,0,1,3,0,0,420147,0,0,0,0,0,0,0,0,0,'Unset',1589121052,1384378116,0,0),
(420153,435239270,1,0,'Vine Net VI','Decreases the target''s resistance to noxious and elemental while slowing the target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,1223501307,0,280,0,1,'Your Vine Net VI was successful on %t!','Your Vine Net VI fades.','',0,1,'Spells/Scout/Animist/Beastlord/VineNet.lua',2946,'You cast Vine Net VI on %t.',1,0,0,1,0,1,3,0,0,420147,0,0,0,0,0,0,0,0,0,'Unset',1589121067,1384378116,0,0),
(420154,2148753255,1,0,'Vine Net VII','Decreases the target''s resistance to noxious and elemental while slowing the target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,1223501307,0,330,0,1,'Your Vine Net VII was successful on %t!','Your Vine Net VII fades.','',0,1,'Spells/Scout/Animist/Beastlord/VineNet.lua',2946,'You cast Vine Net VII on %t.',1,0,0,1,0,1,3,0,0,420147,0,0,0,0,0,0,0,0,0,'Unset',1589121082,1384377831,0,0),
(420155,1100841127,1,0,'Vine Net VIII','Decreases the target''s resistance to noxious and elemental while slowing the target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,1223501307,0,380,0,1,'Your Vine Net VIII was successful on %t!','Your Vine Net VIII fades.','',0,1,'Spells/Scout/Animist/Beastlord/VineNet.lua',2946,'You cast Vine Net VIII on %t.',1,0,0,1,0,1,3,0,0,420147,0,0,0,0,0,0,0,0,0,'Unset',1589121177,1384378114,0,0),
(420156,334212001,1,0,'Vine Net X','Decreases the target''s resistance to noxious and elemental while slowing the target''s movement speed for a short time. The slow effect has a chance to break each time the target is attacked.',308,41,315,1223501307,0,480,0,1,'Your Vine Net X was successful on %t!','Your Vine Net X fades.','',0,1,'Spells/Scout/Animist/Beastlord/VineNet.lua',2946,'You cast Vine Net X on %t.',1,0,0,0,0,0,3,0,0,420147,0,0,0,0,0,0,0,0,0,'Unset',1589121642,1384378116,0,0),
(420157,3572223936,1,0,'Wild Goring','This Spiritual Primal inflicts moderate damage to the target encounter and improves the Damage Per Second of the group.',186,36,312,1223501307,0,150,0,1,'Your Wild Goring was successful on %t!','Your Wild Goring fades.','',0,0,'Spells/Scout/Animist/Beastlord/WildGoring.lua',2973,'You cast Wild Goring on %t.',1,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1589127443,1384377840,0,0),
(440000,95439164,1,0,'Barrage','Inflicts damage on targets in front of the channeler.',361,15,313,2074345482,0,50,0,1,'Your Barrage was successful on %t!','Your Barrage fades.','',0,0,'Spells/Priest/Shaper/Channeler/Barrage.lua',3588,'You cast Barrage on %t.',1,0,0,0,0,0,0,0,0,440000,0,0,0,0,0,0,0,0,0,'DD',1589132219,1384378116,0,0),
(440001,4001886783,1,0,'Barrage II','Inflicts damage on targets in front of the channeler.',361,15,313,2074345482,0,100,0,1,'Your Barrage II was successful on %t!','Your Barrage II fades.','',0,0,'Spells/Priest/Shaper/Channeler/Barrage.lua',3588,'You cast Barrage II on %t.',1,0,0,0,0,0,0,0,0,440000,0,0,0,0,0,0,0,0,0,'DD',1589132267,1384378116,0,0),
(440002,21338369,1,0,'Barrage III','Inflicts damage on targets in front of the channeler.',361,15,313,2074345482,0,150,0,1,'Your Barrage III was successful on %t!','Your Barrage III fades.','',0,0,'Spells/Priest/Shaper/Channeler/Barrage.lua',3588,'You cast Barrage III on %t.',1,0,0,0,0,0,0,0,0,440000,0,0,0,0,0,0,0,0,0,'DD',1589132280,1384377832,0,0),
(440003,3818488440,1,0,'Barrage IV','Inflicts damage on targets in front of the channeler.',361,15,313,2074345482,0,200,0,1,'Your Barrage IV was successful on %t!','Your Barrage IV fades.','',0,0,'Spells/Priest/Shaper/Channeler/Barrage.lua',3588,'You cast Barrage IV on %t.',1,0,0,0,0,0,0,0,0,440000,0,0,0,0,0,0,0,0,0,'DD',1589132299,1384378116,0,0),
(440004,375851464,1,0,'Barrage IX','Inflicts damage on targets in front of the channeler.',361,15,313,2074345482,0,450,0,1,'Your Barrage IX was successful on %t!','Your Barrage IX fades.','',0,0,'Spells/Priest/Shaper/Channeler/Barrage.lua',3588,'You cast Barrage IX on %t.',1,0,0,0,0,0,0,0,0,440000,0,0,0,0,0,0,0,0,0,'DD',1589132410,1384378116,0,0),
(440005,207350086,1,0,'Barrage V','Inflicts damage on targets in front of the channeler.',361,15,313,2074345482,0,250,0,1,'Your Barrage V was successful on %t!','Your Barrage V fades.','',0,0,'Spells/Priest/Shaper/Channeler/Barrage.lua',3588,'You cast Barrage V on %t.',1,0,0,0,0,0,0,0,0,440000,0,0,0,0,0,0,0,0,0,'DD',1589132312,1384378116,0,0),
(440006,3882635845,1,0,'Barrage VI','Inflicts damage on targets in front of the channeler.',361,15,313,2074345482,0,300,0,1,'Your Barrage VI was successful on %t!','Your Barrage VI fades.','',0,0,'Spells/Priest/Shaper/Channeler/Barrage.lua',3588,'You cast Barrage VI on %t.',1,0,0,0,0,0,0,0,0,440000,0,0,0,0,0,0,0,0,0,'DD',1589132337,1384378116,0,0),
(440007,145635707,1,0,'Barrage VII','Inflicts damage on targets in front of the channeler.',361,15,313,2074345482,0,350,0,1,'Your Barrage VII was successful on %t!','Your Barrage VII fades.','',0,0,'Spells/Priest/Shaper/Channeler/Barrage.lua',3588,'You cast Barrage VII on %t.',1,0,0,0,0,0,0,0,0,440000,0,0,0,0,0,0,0,0,0,'DD',1589132360,1384378116,0,0),
(440008,4188365558,1,0,'Barrage VIII','Inflicts damage on targets in front of the channeler.',361,15,313,2074345482,0,400,0,1,'Your Barrage VIII was successful on %t!','Your Barrage VIII fades.','',0,0,'Spells/Priest/Shaper/Channeler/Barrage.lua',3588,'You cast Barrage VIII on %t.',1,0,0,0,0,0,0,0,0,440000,0,0,0,0,0,0,0,0,0,'DD',1589132387,1384378116,0,0),
(440009,738000322,1,0,'Barrage X','Inflicts damage on targets in front of the channeler.',361,15,313,2074345482,0,500,0,1,'Your Barrage X was successful on %t!','Your Barrage X fades.','',0,0,'Spells/Priest/Shaper/Channeler/Barrage.lua',3588,'You cast Barrage X on %t.',1,0,0,0,0,0,0,0,0,440000,0,0,0,0,0,0,0,0,0,'DD',1589132436,1384378116,0,0),
(440010,598159402,1,0,'Channeler''s Sight','The channeler is able to see what creatures he or she can use Channel Essence on by focusing on nearby enemies.',577,65535,317,0,0,0,0,1,'Your Channeler''s Sight was successful on %t!','Your Channeler''s Sight fades.','',0,0,'Spells/Priest/Shaper/Channeler/ChannelersSight.lua',0,'You cast Channeler''s Sight on %t.',1,0,0,0,0,0,4,0,0,440010,0,0,0,0,0,0,0,0,0,'Unset',1589132538,1384378116,0,0),
(440011,3256857415,1,0,'Construct''s Sacrifice','Consumes some of your construct''s health to allow you to inflict additional damage with your next attacks.',908,15,317,2074345482,0,75,0,3,'Your Construct''s Sacrifice was successful on %t!','Your Construct''s Sacrifice fades.','',0,0,'Spells/Priest/Shaper/Channeler/ConstructsSacrifice.lua',3589,'You cast Construct''s Sacrifice on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589133264,1384378116,0,0),
(440012,3036318330,1,0,'Construct''s Sacrifice II','Consumes some of your construct''s health to allow you to inflict additional damage with your next attacks.',908,15,317,2074345482,0,145,0,3,'Your Construct''s Sacrifice II was successful on %t!','Your Construct''s Sacrifice II fades.','',0,0,'Spells/Priest/Shaper/Channeler/ConstructsSacrifice.lua',3589,'You cast Construct''s Sacrifice II on %t.',1,0,0,0,1,0,0,0,0,440011,0,0,0,0,0,0,0,0,0,'Unset',1589133325,1384377832,0,0),
(440013,797532334,1,0,'Construct''s Sacrifice III','Consumes some of your construct''s health to allow you to inflict additional damage with your next attacks.',908,15,317,2074345482,0,195,0,3,'Your Construct''s Sacrifice III was successful on %t!','Your Construct''s Sacrifice III fades.','',0,0,'Spells/Priest/Shaper/Channeler/ConstructsSacrifice.lua',3589,'You cast Construct''s Sacrifice III on %t.',1,0,0,0,1,0,0,0,0,440011,0,0,0,0,0,0,0,0,0,'Unset',1589133438,1384378116,0,0),
(440014,1496381440,1,0,'Construct''s Sacrifice IV','Consumes some of your construct''s health to allow you to inflict additional damage with your next attacks.',908,15,317,2074345482,0,245,0,3,'Your Construct''s Sacrifice IV was successful on %t!','Your Construct''s Sacrifice IV fades.','',0,0,'Spells/Priest/Shaper/Channeler/ConstructsSacrifice.lua',3589,'You cast Construct''s Sacrifice IV on %t.',1,0,0,0,1,0,0,0,0,440011,0,0,0,0,0,0,0,0,0,'Unset',1589133386,1384378116,0,0),
(440015,3265720417,1,0,'Construct''s Sacrifice IX','Consumes some of your construct''s health to allow you to inflict additional damage with your next attacks.',908,15,317,2074345482,0,495,0,3,'Your Construct''s Sacrifice IX was successful on %t!','Your Construct''s Sacrifice IX fades.','',0,0,'Spells/Priest/Shaper/Channeler/ConstructsSacrifice.lua',3589,'You cast Construct''s Sacrifice IX on %t.',1,0,0,0,1,0,0,0,0,440011,0,0,0,0,0,0,0,0,0,'Unset',1589133596,1384378116,0,0),
(440016,3259175636,1,0,'Construct''s Sacrifice V','Consumes some of your construct''s health to allow you to inflict additional damage with your next attacks.',908,15,317,2074345482,0,295,0,3,'Your Construct''s Sacrifice V was successful on %t!','Your Construct''s Sacrifice V fades.','',0,0,'Spells/Priest/Shaper/Channeler/ConstructsSacrifice.lua',3589,'You cast Construct''s Sacrifice V on %t.',1,0,0,0,1,0,0,0,0,440011,0,0,0,0,0,0,0,0,0,'Unset',1589133402,1384378116,0,0),
(440017,3030789097,1,0,'Construct''s Sacrifice VI','Consumes some of your construct''s health to allow you to inflict additional damage with your next attacks.',908,15,317,2074345482,0,345,0,3,'Your Construct''s Sacrifice VI was successful on %t!','Your Construct''s Sacrifice VI fades.','',0,0,'Spells/Priest/Shaper/Channeler/ConstructsSacrifice.lua',3589,'You cast Construct''s Sacrifice VI on %t.',1,0,0,0,1,0,0,0,0,440011,0,0,0,0,0,0,0,0,0,'Unset',1589133498,1384378116,0,0),
(440018,802537789,1,0,'Construct''s Sacrifice VII','Consumes some of your construct''s health to allow you to inflict additional damage with your next attacks.',908,15,317,2074345482,0,395,0,3,'Your Construct''s Sacrifice VII was successful on %t!','Your Construct''s Sacrifice VII fades.','',0,0,'Spells/Priest/Shaper/Channeler/ConstructsSacrifice.lua',3589,'You cast Construct''s Sacrifice VII on %t.',1,0,0,0,1,0,0,0,0,440011,0,0,0,0,0,0,0,0,0,'Unset',1589133525,1384378116,0,0),
(440019,1507138229,1,0,'Construct''s Sacrifice VIII','Consumes some of your construct''s health to allow you to inflict additional damage with your next attacks.',908,15,317,2074345482,0,445,0,3,'Your Construct''s Sacrifice VIII was successful on %t!','Your Construct''s Sacrifice VIII fades.','',0,0,'Spells/Priest/Shaper/Channeler/ConstructsSacrifice.lua',3589,'You cast Construct''s Sacrifice VIII on %t.',1,0,0,0,1,0,0,0,0,440011,0,0,0,0,0,0,0,0,0,'Unset',1589133563,1384378116,0,0),
(440020,2162322843,1,0,'Eye Shot','Inflicts damage to the target and greatly increases the chance of their next few attacks to miss.',346,14,315,2074345482,0,140,0,1,'Your Eye Shot was successful on %t!','Your Eye Shot fades.','',0,0,'Spells/Priest/Shaper/Channeler/EyeShot.lua',3590,'You cast Eye Shot on %t.',1,0,0,0,0,0,3,0,0,440020,0,0,0,0,0,0,0,0,0,'DD',1589134293,1384378116,0,0),
(440021,1097642587,1,0,'Eye Shot II','Inflicts damage to the target and greatly increases the chance of their next few attacks to miss.',346,14,315,2074345482,0,190,0,1,'Your Eye Shot II was successful on %t!','Your Eye Shot II fades.','',0,0,'Spells/Priest/Shaper/Channeler/EyeShot.lua',3590,'You cast Eye Shot II on %t.',1,0,0,0,0,0,3,0,0,440020,0,0,0,0,0,0,0,0,0,'DD',1589134383,1384378116,0,0),
(440022,1750575064,1,0,'Eye Shot III','Inflicts damage to the target and greatly increases the chance of their next few attacks to miss.',346,14,315,2074345482,0,240,0,1,'Your Eye Shot III was successful on %t!','Your Eye Shot III fades.','',0,0,'Spells/Priest/Shaper/Channeler/EyeShot.lua',3590,'You cast Eye Shot III on %t.',1,0,0,0,0,0,3,0,0,440020,0,0,0,0,0,0,0,0,0,'DD',1589134421,1384378116,0,0),
(440023,2849601560,1,0,'Eye Shot IV','Inflicts damage to the target and greatly increases the chance of their next few attacks to miss.',346,14,315,2074345482,0,290,0,1,'Your Eye Shot IV was successful on %t!','Your Eye Shot IV fades.','',0,0,'Spells/Priest/Shaper/Channeler/EyeShot.lua',3590,'You cast Eye Shot IV on %t.',1,0,0,0,0,0,3,0,0,440020,0,0,0,0,0,0,0,0,0,'DD',1589134504,1384378116,0,0),
(440024,809180697,1,0,'Eye Shot V','Inflicts damage to the target and greatly increases the chance of their next few attacks to miss.',346,14,315,2074345482,0,340,0,1,'Your Eye Shot V was successful on %t!','Your Eye Shot V fades.','',0,0,'Spells/Priest/Shaper/Channeler/EyeShot.lua',3590,'You cast Eye Shot V on %t.',1,0,0,0,0,0,3,0,0,440020,0,0,0,0,0,0,0,0,0,'DD',1589134559,1384377832,0,0),
(440025,4055220697,1,0,'Eye Shot VI','Inflicts damage to the target and greatly increases the chance of their next few attacks to miss.',346,14,315,2074345482,0,390,0,1,'Your Eye Shot VI was successful on %t!','Your Eye Shot VI fades.','',0,0,'Spells/Priest/Shaper/Channeler/EyeShot.lua',3590,'You cast Eye Shot VI on %t.',1,0,0,0,0,0,3,0,0,440020,0,0,0,0,0,0,0,0,0,'DD',1589134594,1384378116,0,0),
(440026,1649227039,1,0,'Eye Shot VII','Inflicts damage to the target and greatly increases the chance of their next few attacks to miss.',346,14,315,2074345482,0,440,0,1,'Your Eye Shot VII was successful on %t!','Your Eye Shot VII fades.','',0,0,'Spells/Priest/Shaper/Channeler/EyeShot.lua',3590,'You cast Eye Shot VII on %t.',1,0,0,0,0,0,3,0,0,440020,0,0,0,0,0,0,0,0,0,'DD',1589134647,1384378116,0,0),
(440027,2747525855,1,0,'Eye Shot VIII','Inflicts damage to the target and greatly increases the chance of their next few attacks to miss.',346,14,315,2074345482,0,490,0,1,'Your Eye Shot VIII was successful on %t!','Your Eye Shot VIII fades.','',0,0,'Spells/Priest/Shaper/Channeler/EyeShot.lua',3590,'You cast Eye Shot VIII on %t.',1,0,0,0,0,0,3,0,0,440020,0,0,0,0,0,0,0,0,0,'DD',1589134684,1384378116,0,0),
(440028,1696124836,1,0,'Healing Arrow','Inflicts damage to the target from range and heals allies near the enemy''s target. Up to six allies within 15 meters can be healed. This ability bypasses most avoidance checks.',360,12,315,2074345482,0,10,0,1,'Your Healing Arrow was successful on %t!','Your Healing Arrow fades.','',0,0,'Spells/Priest/Shaper/Channeler/HealingArrow.lua',3591,'You cast Healing Arrow on %t.',1,0,0,0,0,0,0,0,0,440028,0,0,0,0,0,0,0,0,0,'DD',1589130873,1384378116,0,0),
(440029,1677127588,1,0,'Healing Arrow II','Inflicts damage to the target from range and heals allies near the enemy''s target. Up to six allies within 15 meters can be healed. This ability bypasses most avoidance checks.',360,12,315,2074345482,0,55,0,1,'Your Healing Arrow II was successful on %t!','Your Healing Arrow II fades.','',0,0,'Spells/Priest/Shaper/Channeler/HealingArrow.lua',3591,'You cast Healing Arrow II on %t.',1,0,0,0,0,0,0,0,0,440028,0,0,0,0,0,0,0,0,0,'DD',1589130912,1384377832,0,0),
(440030,1245600598,1,0,'Healing Arrow III','Inflicts damage to the target from range and heals allies near the enemy''s target. Up to six allies within 15 meters can be healed. This ability bypasses most avoidance checks.',360,12,315,2074345482,0,105,0,1,'Your Healing Arrow III was successful on %t!','Your Healing Arrow III fades.','',0,0,'Spells/Priest/Shaper/Channeler/HealingArrow.lua',3591,'You cast Healing Arrow III on %t.',1,0,0,0,0,0,0,0,0,440028,0,0,0,0,0,0,0,0,0,'DD',1589130950,1384378116,0,0),
(440031,3830893255,1,0,'Healing Arrow IV','Inflicts damage to the target from range and heals allies near the enemy''s target. Up to six allies within 15 meters can be healed. This ability bypasses most avoidance checks.',360,12,315,2074345482,0,155,0,1,'Your Healing Arrow IV was successful on %t!','Your Healing Arrow IV fades.','',0,0,'Spells/Priest/Shaper/Channeler/HealingArrow.lua',3591,'You cast Healing Arrow IV on %t.',1,0,0,0,0,0,0,0,0,440028,0,0,0,0,0,0,0,0,0,'DD',1589130971,1384378114,0,0),
(440032,3196969338,1,0,'Healing Arrow IX','Inflicts damage to the target from range and heals allies near the enemy''s target. Up to six allies within 15 meters can be healed. This ability bypasses most avoidance checks.',360,12,315,2074345482,0,405,0,1,'Your Healing Arrow IX was successful on %t!','Your Healing Arrow IX fades.','',0,0,'Spells/Priest/Shaper/Channeler/HealingArrow.lua',3591,'You cast Healing Arrow IX on %t.',1,0,0,0,0,0,0,0,0,440028,0,0,0,0,0,0,0,0,0,'DD',1589131362,1384378116,0,0),
(440033,430912178,1,0,'Healing Arrow V','Inflicts damage to the target from range and heals allies near the enemy''s target. Up to six allies within 15 meters can be healed. This ability bypasses most avoidance checks.',360,12,315,2074345482,0,205,0,1,'Your Healing Arrow V was successful on %t!','Your Healing Arrow V fades.','',0,0,'Spells/Priest/Shaper/Channeler/HealingArrow.lua',3591,'You cast Healing Arrow V on %t.',1,0,0,0,0,0,0,0,0,440028,0,0,0,0,0,0,0,0,0,'DD',1589131039,1384378116,0,0),
(440034,3083313955,1,0,'Healing Arrow VI','Inflicts damage to the target from range and heals allies near the enemy''s target. Up to six allies within 15 meters can be healed. This ability bypasses most avoidance checks.',360,12,315,2074345482,0,255,0,1,'Your Healing Arrow VI was successful on %t!','Your Healing Arrow VI fades.','',0,0,'Spells/Priest/Shaper/Channeler/HealingArrow.lua',3591,'You cast Healing Arrow VI on %t.',1,0,0,0,0,0,0,0,0,440028,0,0,0,0,0,0,0,0,0,'DD',1589131080,1384378114,0,0),
(440035,2651789265,1,0,'Healing Arrow VII','Inflicts damage to the target from range and heals allies near the enemy''s target. Up to six allies within 15 meters can be healed. This ability bypasses most avoidance checks.',360,12,315,2074345482,0,305,0,1,'Your Healing Arrow VII was successful on %t!','Your Healing Arrow VII fades.','',0,0,'Spells/Priest/Shaper/Channeler/HealingArrow.lua',3591,'You cast Healing Arrow VII on %t.',1,0,0,0,0,0,0,0,0,440028,0,0,0,0,0,0,0,0,0,'DD',1589131140,1384378116,0,0),
(440036,812090944,1,0,'Healing Arrow VIII','Inflicts damage to the target from range and heals allies near the enemy''s target. Up to six allies within 15 meters can be healed. This ability bypasses most avoidance checks.',360,12,315,2074345482,0,355,0,1,'Your Healing Arrow VIII was successful on %t!','Your Healing Arrow VIII fades.','',0,0,'Spells/Priest/Shaper/Channeler/HealingArrow.lua',3591,'You cast Healing Arrow VIII on %t.',1,0,0,0,0,0,0,0,0,440028,0,0,0,0,0,0,0,0,0,'DD',1589131168,1384377832,0,0),
(440037,283472107,1,0,'Healing Arrow X','Inflicts damage to the target from range and heals allies near the enemy''s target. Up to six allies within 15 meters can be healed. This ability bypasses most avoidance checks.',360,12,315,2074345482,0,455,0,1,'Your Healing Arrow X was successful on %t!','Your Healing Arrow X fades.','',0,0,'Spells/Priest/Shaper/Channeler/HealingArrow.lua',3591,'You cast Healing Arrow X on %t.',1,0,0,0,0,0,0,0,0,440028,0,0,0,0,0,0,0,0,0,'DD',1589131378,1384378116,0,0),
(440038,2061935347,1,0,'Sanctuary of Darkness','Makes the channeler immune to control effects and greatly increases in combat run speed for a short duration',370,65535,317,0,0,0,0,0,'Your Sanctuary of Darkness was successful on %t!','Your Sanctuary of Darkness fades.','',0,0,'Spells/Priest/Shaper/Channeler/SanctuaryofDarkness.lua',3592,'You cast Sanctuary of Darkness on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589135345,1384377831,0,0),
(440039,3529625400,1,0,'Shadow Bind','Snares and interrupts enemies in front of the channeler.',364,16,313,2074345482,0,35,0,1,'Your Shadow Bind was successful on %t!','Your Shadow Bind fades.','',0,0,'Spells/Priest/Shaper/Channeler/ShadowBind.lua',3593,'You cast Shadow Bind on %t.',1,0,0,0,0,0,3,0,0,440039,0,0,0,0,0,0,0,0,0,'Unset',1589131958,1384378116,0,0),
(440040,1332620878,1,0,'Shadow Bind II','Snares and interrupts enemies in front of the channeler.',364,16,313,2074345482,0,85,0,1,'Your Shadow Bind II was successful on %t!','Your Shadow Bind II fades.','',0,0,'Spells/Priest/Shaper/Channeler/ShadowBind.lua',3593,'You cast Shadow Bind II on %t.',1,0,0,0,0,0,3,0,0,440039,0,0,0,0,0,0,0,0,0,'Unset',1589132017,1384378116,0,0),
(440041,856624021,1,0,'Shadow Bind III','Snares and interrupts enemies in front of the channeler.',364,16,313,2074345482,0,135,0,1,'Your Shadow Bind III was successful on %t!','Your Shadow Bind III fades.','',0,0,'Spells/Priest/Shaper/Channeler/ShadowBind.lua',3593,'You cast Shadow Bind III on %t.',1,0,0,0,0,0,3,0,0,440039,0,0,0,0,0,0,0,0,0,'Unset',1589132033,1384378116,0,0),
(440042,2919295715,1,0,'Shadow Bind IV','Snares and interrupts enemies in front of the channeler.',364,16,313,2074345482,0,185,0,1,'Your Shadow Bind IV was successful on %t!','Your Shadow Bind IV fades.','',0,0,'Spells/Priest/Shaper/Channeler/ShadowBind.lua',3593,'You cast Shadow Bind IV on %t.',1,0,0,0,0,0,3,0,0,440039,0,0,0,0,0,0,0,0,0,'Unset',1589132053,1384378116,0,0),
(440043,3778597134,1,0,'Shadow Bind IX','Snares and interrupts enemies in front of the channeler.',364,16,313,2074345482,0,435,0,1,'Your Shadow Bind IX was successful on %t!','Your Shadow Bind IX fades.','',0,0,'Spells/Priest/Shaper/Channeler/ShadowBind.lua',3593,'You cast Shadow Bind IX on %t.',1,0,0,0,0,0,3,0,0,440039,0,0,0,0,0,0,0,0,0,'Unset',1589132160,1384378116,0,0),
(440044,3419226147,1,0,'Shadow Bind V','Snares and interrupts enemies in front of the channeler.',364,16,313,2074345482,0,235,0,1,'Your Shadow Bind V was successful on %t!','Your Shadow Bind V fades.','',0,0,'Spells/Priest/Shaper/Channeler/ShadowBind.lua',3593,'You cast Shadow Bind V on %t.',1,0,0,0,0,0,3,0,0,440039,0,0,0,0,0,0,0,0,0,'Unset',1589132077,1384378116,0,0),
(440045,1455595861,1,0,'Shadow Bind VI','Snares and interrupts enemies in front of the channeler.',364,16,313,2074345482,0,285,0,1,'Your Shadow Bind VI was successful on %t!','Your Shadow Bind VI fades.','',0,0,'Spells/Priest/Shaper/Channeler/ShadowBind.lua',3593,'You cast Shadow Bind VI on %t.',1,0,0,0,0,0,3,0,0,440039,0,0,0,0,0,0,0,0,0,'Unset',1589132099,1384378116,0,0),
(440046,715359374,1,0,'Shadow Bind VII','Snares and interrupts enemies in front of the channeler.',364,16,313,2074345482,0,335,0,1,'Your Shadow Bind VII was successful on %t!','Your Shadow Bind VII fades.','',0,0,'Spells/Priest/Shaper/Channeler/ShadowBind.lua',3593,'You cast Shadow Bind VII on %t.',1,0,0,0,0,0,3,0,0,440039,0,0,0,0,0,0,0,0,0,'Unset',1589132119,1384378116,0,0),
(440047,3081528824,1,0,'Shadow Bind VIII','Snares and interrupts enemies in front of the channeler.',364,16,313,2074345482,0,385,0,1,'Your Shadow Bind VIII was successful on %t!','Your Shadow Bind VIII fades.','',0,0,'Spells/Priest/Shaper/Channeler/ShadowBind.lua',3593,'You cast Shadow Bind VIII on %t.',1,0,0,0,0,0,3,0,0,440039,0,0,0,0,0,0,0,0,0,'Unset',1589132139,1384378116,0,0),
(440048,2083991672,1,0,'Shadow Bind X','Snares and interrupts enemies in front of the channeler.',364,16,313,2074345482,0,485,0,1,'Your Shadow Bind X was successful on %t!','Your Shadow Bind X fades.','',0,0,'Spells/Priest/Shaper/Channeler/ShadowBind.lua',3593,'You cast Shadow Bind X on %t.',1,0,0,0,0,0,3,0,0,440039,0,0,0,0,0,0,0,0,0,'Unset',1589132178,1384378116,0,0),
(440049,2694672216,1,0,'Shadow Escape','Teleports the channeler away from their current location.',384,65535,317,0,0,0,0,0,'Your Shadow Escape was successful on %t!','Your Shadow Escape fades.','',0,0,'Spells/Priest/Shaper/Channeler/ShadowEscape.lua',3594,'You cast Shadow Escape on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589135262,1384378116,0,0),
(440050,3987154913,1,0,'Vengeful Arrow','Inflicts damage to the target from range. This combat art has no reuse time.',382,14,315,2074345482,0,5,0,1,'Your Vengeful Arrow was successful on %t!','Your Vengeful Arrow fades.','',0,0,'Spells/Priest/Shaper/Channeler/VengefulArrow.lua',3595,'You cast Vengeful Arrow on %t.',1,0,0,0,0,0,0,0,0,440050,0,0,0,0,0,1,0,0,0,'DD',1581641189,1384377831,0,0),
(440051,966159206,1,0,'Vengeful Arrow II','Inflicts damage to the target from range. This combat art has no reuse time.',382,14,315,2074345482,0,15,0,1,'Your Vengeful Arrow II was successful on %t!','Your Vengeful Arrow II fades.','',0,0,'Spells/Priest/Shaper/Channeler/VengefulArrow.lua',3595,'You cast Vengeful Arrow II on %t.',1,0,0,0,0,0,0,0,0,440050,0,0,0,0,0,1,0,0,0,'DD',1581641329,1384378116,0,0),
(440052,1137268816,1,0,'Vengeful Arrow III','Inflicts damage to the target from range. This combat art has no reuse time.',382,14,315,2074345482,0,60,0,1,'Your Vengeful Arrow III was successful on %t!','Your Vengeful Arrow III fades.','',0,0,'Spells/Priest/Shaper/Channeler/VengefulArrow.lua',3595,'You cast Vengeful Arrow III on %t.',1,0,0,0,0,0,0,0,0,440050,0,0,0,0,0,1,0,0,0,'DD',1581641378,1384377832,0,0),
(440053,273875924,1,0,'Vengeful Arrow IV','Inflicts damage to the target from range. This combat art has no reuse time.',382,14,315,2074345482,0,110,0,1,'Your Vengeful Arrow IV was successful on %t!','Your Vengeful Arrow IV fades.','',0,0,'Spells/Priest/Shaper/Channeler/VengefulArrow.lua',3595,'You cast Vengeful Arrow IV on %t.',1,0,0,0,0,0,0,0,0,440050,0,0,0,0,0,1,0,0,0,'DD',1581641409,1384378116,0,0),
(440054,3841847128,1,0,'Vengeful Arrow IX','Inflicts damage to the target from range. This combat art has no reuse time.',382,14,315,2074345482,0,360,0,1,'Your Vengeful Arrow IX was successful on %t!','Your Vengeful Arrow IX fades.','',0,0,'Spells/Priest/Shaper/Channeler/VengefulArrow.lua',3595,'You cast Vengeful Arrow IX on %t.',1,0,0,0,0,0,0,0,0,440050,0,0,0,0,0,1,0,0,0,'DD',1581641633,1384377832,0,0),
(440055,2549467287,1,0,'Vengeful Arrow V','Inflicts damage to the target from range. This combat art has no reuse time.',382,14,315,2074345482,0,160,0,1,'Your Vengeful Arrow V was successful on %t!','Your Vengeful Arrow V fades.','',0,0,'Spells/Priest/Shaper/Channeler/VengefulArrow.lua',3595,'You cast Vengeful Arrow V on %t.',1,0,0,0,0,0,0,0,0,440050,0,0,0,0,0,1,0,0,0,'DD',1581641444,1384377832,0,0),
(440056,3077027036,1,0,'Vengeful Arrow VI','Inflicts damage to the target from range. This combat art has no reuse time.',382,14,315,2074345482,0,210,0,1,'Your Vengeful Arrow VI was successful on %t!','Your Vengeful Arrow VI fades.','',0,0,'Spells/Priest/Shaper/Channeler/VengefulArrow.lua',3595,'You cast Vengeful Arrow VI on %t.',1,0,0,0,0,0,0,0,0,440050,0,0,0,0,0,1,0,0,0,'DD',1589136369,1384378116,0,0),
(440057,817987487,1,0,'Vengeful Arrow VII','Inflicts damage to the target from range. This combat art has no reuse time.',382,14,315,2074345482,0,260,0,1,'Your Vengeful Arrow VII was successful on %t!','Your Vengeful Arrow VII fades.','',0,0,'Spells/Priest/Shaper/Channeler/VengefulArrow.lua',3595,'You cast Vengeful Arrow VII on %t.',1,0,0,0,0,0,0,0,0,440050,0,0,0,0,0,1,0,0,0,'DD',1581641554,1384377831,0,0),
(440058,1666917403,1,0,'Vengeful Arrow VIII','Inflicts damage to the target from range. This combat art has no reuse time.',382,14,315,2074345482,0,310,0,1,'Your Vengeful Arrow VIII was successful on %t!','Your Vengeful Arrow VIII fades.','',0,0,'Spells/Priest/Shaper/Channeler/VengefulArrow.lua',3595,'You cast Vengeful Arrow VIII on %t.',1,0,0,0,0,0,0,0,0,440050,0,0,0,0,0,1,0,0,0,'DD',1581641591,1384378116,0,0),
(440059,578804877,1,0,'Vengeful Arrow X','Inflicts damage to the target from range. This combat art has no reuse time.',382,14,315,2074345482,0,410,0,1,'Your Vengeful Arrow X was successful on %t!','Your Vengeful Arrow X fades.','',0,0,'Spells/Priest/Shaper/Channeler/VengefulArrow.lua',3595,'You cast Vengeful Arrow X on %t.',1,0,0,0,0,0,0,0,0,440050,0,0,0,0,0,1,0,0,0,'DD',1581641691,1384378116,0,0),
(440060,2782468046,1,0,'Vengeful Arrow XI','Inflicts damage to the target from range. This combat art has no reuse time.',382,14,315,2074345482,0,460,0,1,'Your Vengeful Arrow XI was successful on %t!','Your Vengeful Arrow XI fades.','',0,0,'Spells/Priest/Shaper/Channeler/VengefulArrow.lua',3595,'You cast Vengeful Arrow XI on %t.',1,0,0,0,0,0,0,0,0,440050,0,0,0,0,0,1,0,0,0,'DD',1581641728,1384377831,0,0),
(440061,4113853298,0,1,'Advanced Chest','',980,65535,317,0,0,0,1,1,'Your Advanced Chest was successful on %t!','Your Advanced Chest fades.','',1,0,'',0,'You cast Advanced Chest on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589132578,1384378116,0,1),
(440062,3709041413,0,1,'Advanced Thighs','',997,65535,317,0,0,0,1,1,'Your Advanced Thighs was successful on %t!','Your Advanced Thighs fades.','',1,0,'',0,'You cast Advanced Thighs on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384671211,1384378116,0,1),
(440063,13997562,0,1,'Aura of Crippling','The channeler''s construct will radiate a mitigation impairment to all nearby enemies. This Conduit can be equipped in slots 4 through 8 on the Conduit Bar.',14,65535,316,0,0,0,1,3,'Your Aura of Crippling was successful on %t!','Your Aura of Crippling fades.','',1,0,'Spells/Priest/Shaper/Channeler/AuraofCrippling.lua',3596,'You cast Aura of Crippling on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589135585,1384378114,0,1),
(440064,3727017141,0,0,'Barrier of Dissonance','Prevents incoming damage to the channeler''s ally for a short duration. This Conduit can be equipped in slots 4 through 8 on the Conduit Bar.',43,65535,316,0,0,0,0,1,'Your Barrier of Dissonance was successful on %t!','Your Barrier of Dissonance fades.','',1,0,'Spells/Priest/Shaper/Channeler/BarrierofDissonance.lua',3597,'You cast Barrier of Dissonance on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589134740,1384377832,0,1),
(440065,2184403940,0,1,'Basic Chest','',979,65535,317,0,0,0,1,1,'Your Basic Chest was successful on %t!','Your Basic Chest fades.','',1,0,'',0,'You cast Basic Chest on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1581641771,1384378116,0,1),
(440066,1036052289,0,1,'Basic Feet','',1002,65535,317,0,0,0,1,1,'Your Basic Feet was successful on %t!','Your Basic Feet fades.','',1,0,'',0,'You cast Basic Feet on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1581641989,1384378116,0,1),
(440067,409605732,0,1,'Basic Hands','',984,65535,317,0,0,0,1,1,'Your Basic Hands was successful on %t!','Your Basic Hands fades.','',1,0,'',0,'You cast Basic Hands on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1581641998,1384378116,0,1),
(440068,2492379670,0,1,'Basic Head','',972,65535,317,0,0,0,1,1,'Your Basic Head was successful on %t!','Your Basic Head fades.','',1,0,'',0,'You cast Basic Head on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1581642005,1384378116,0,1),
(440069,1973058949,0,1,'Basic Shoulders','',990,65535,317,0,0,0,1,1,'Your Basic Shoulders was successful on %t!','Your Basic Shoulders fades.','',1,0,'',0,'You cast Basic Shoulders on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1581642011,1384378116,0,1),
(440070,1142565567,0,1,'Basic Thighs','',996,65535,317,0,0,0,1,1,'Your Basic Thighs was successful on %t!','Your Basic Thighs fades.','',1,0,'',0,'You cast Basic Thighs on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1581642018,1384378116,0,1),
(440071,361134577,0,1,'Blackwood''s Focus','This is the condensed energy of an ancient, mythical weapon.',42,65535,317,0,0,0,1,1,'Your Blackwood''s Focus was successful on %t!','Your Blackwood''s Focus fades.','',1,0,'Spells/Priest/Shaper/Channeler/BlackwoodsFocus.lua',3690,'You cast Blackwood''s Focus on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589136052,1384377878,0,1),
(440072,3562653901,0,0,'Brood Cure','Cures impairments on the channeler''s group.',747,65535,314,2074345482,0,210,0,2,'Your Brood Cure was successful on %t!','Your Brood Cure fades.','',1,0,'Spells/Priest/Shaper/Channeler/BroodCure.lua',3622,'You cast Brood Cure on %t.',0,0,0,0,1,0,0,0,0,440072,0,0,0,0,0,0,0,0,0,'Unset',1589135136,1384378116,0,1),
(440073,180955703,0,0,'Brood Cure II','Cures impairments on the channeler''s group.',747,65535,314,2074345482,0,280,0,2,'Your Brood Cure II was successful on %t!','Your Brood Cure II fades.','',1,0,'Spells/Priest/Shaper/Channeler/BroodCure.lua',3622,'You cast Brood Cure II on %t.',0,0,0,0,1,0,0,0,0,440072,0,0,0,0,0,0,0,0,0,'Unset',1589135659,1384377832,0,1),
(440074,2242394780,0,0,'Brood Cure III','Cures impairments on the channeler''s group.',747,65535,314,2074345482,0,350,0,2,'Your Brood Cure III was successful on %t!','Your Brood Cure III fades.','',1,0,'Spells/Priest/Shaper/Channeler/BroodCure.lua',3622,'You cast Brood Cure III on %t.',0,0,0,0,1,0,0,0,0,440072,0,0,0,0,0,0,0,0,0,'Unset',1589135668,1384378116,0,1),
(440075,2800885004,0,0,'Channel Essence','Attempt to channel the target''s essence so you can use it as a component for your construct. The channel has a chance to collapse and the essence will be lost. Failures increase the chance for subsequent channel attempts to succeed. This spell can be used with or without the construct summoned.',914,65535,315,0,0,0,0,1,'Your Channel Essence was successful on %t!','Your Channel Essence fades.','',1,0,'Spells/Priest/Shaper/Channeler/ChannelEssence.lua',3623,'You cast Channel Essence on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589132635,1384378116,0,1),
(440076,3465571872,0,0,'Channel Soul','Summons a Channeling Vessel for every group member. This item can be used to revive a fallen priest.',145,65535,314,0,0,0,0,2,'Your Channel Soul was successful on %t!','Your Channel Soul fades.','',1,0,'Spells/Priest/Shaper/Channeler/ChannelSoul.lua',3626,'You cast Channel Soul on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589132686,1384378116,0,1),
(440077,3528311980,0,0,'Channeled Cleansing','Cures impairments from the channeler''s group. When an effect is cured, the target will gain some power. This Conduit can be equipped in slots 4 through 8 on the Conduit Bar.',800,65535,314,0,0,0,0,2,'Your Channeled Cleansing was successful on %t!','Your Channeled Cleansing fades.','',1,0,'Spells/Priest/Shaper/Channeler/ChanneledCleansing.lua',3598,'You cast Channeled Cleansing on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589135361,1384377832,0,1),
(440078,808166809,0,0,'Channeled Confusion','Lowers the threat position and threat amount of the channeler''s non-fighter allies to the target encounter. This Conduit can be equipped in slots 4 through 8 on the Conduit Bar.',218,65535,312,0,0,0,0,1,'Your Channeled Confusion was successful on %t!','Your Channeled Confusion fades.','',1,0,'Spells/Priest/Shaper/Channeler/ChanneledConfusion.lua',3667,'You cast Channeled Confusion on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589136005,1384378116,0,1),
(440079,2924425274,0,0,'Channeled Evacuation','Pulls all non-fighter group members to the channeler''s location. This Conduit can be equipped in slots 4 through 8 on the Conduit Bar.',239,65535,314,0,0,0,0,1,'Your Channeled Evacuation was successful on %t!','Your Channeled Evacuation fades.','',1,0,'Spells/Priest/Shaper/Channeler/ChanneledEvacuation.lua',3599,'You cast Channeled Evacuation on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589136145,1384378116,0,1),
(440080,3763832840,0,0,'Channeled Protection','If target ally receives damage that would be fatal, that ally is healed instead and their chance to dodge attacks is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,2074345482,0,200,0,1,'Your Channeled Protection was successful on %t!','Your Channeled Protection fades.','',1,0,'Spells/Priest/Shaper/Channeler/ChanneledProtection.lua',3628,'You cast Channeled Protection on %t.',0,0,0,0,1,0,0,0,0,440080,0,0,0,0,0,0,0,0,0,'Unset',1589135024,1384378116,0,1),
(440081,2065982172,0,0,'Channeled Protection II','If target ally receives damage that would be fatal, that ally is healed instead and their chance to dodge attacks is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,2074345482,0,250,0,1,'Your Channeled Protection II was successful on %t!','Your Channeled Protection II fades.','',1,0,'Spells/Priest/Shaper/Channeler/ChanneledProtection.lua',3628,'You cast Channeled Protection II on %t.',0,0,0,0,1,0,0,0,0,440080,0,0,0,0,0,0,0,0,0,'Unset',1589135425,1384378114,0,1),
(440082,230775777,0,0,'Channeled Protection III','If target ally receives damage that would be fatal, that ally is healed instead and their chance to dodge attacks is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,2074345482,0,300,0,1,'Your Channeled Protection III was successful on %t!','Your Channeled Protection III fades.','',1,0,'Spells/Priest/Shaper/Channeler/ChanneledProtection.lua',3628,'You cast Channeled Protection III on %t.',0,0,0,0,1,0,0,0,0,440080,0,0,0,0,0,0,0,0,0,'Unset',1589135455,1384377832,0,1),
(440083,2528293173,0,0,'Channeled Protection IV','If target ally receives damage that would be fatal, that ally is healed instead and their chance to dodge attacks is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,2074345482,0,350,0,1,'Your Channeled Protection IV was successful on %t!','Your Channeled Protection IV fades.','',1,0,'Spells/Priest/Shaper/Channeler/ChanneledProtection.lua',3628,'You cast Channeled Protection IV on %t.',0,0,0,0,1,0,0,0,0,440080,0,0,0,0,0,0,0,0,0,'Unset',1589135482,1384378116,0,1),
(440084,3769789117,0,0,'Channeled Protection V','If target ally receives damage that would be fatal, that ally is healed instead and their chance to dodge attacks is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,2074345482,0,400,0,1,'Your Channeled Protection V was successful on %t!','Your Channeled Protection V fades.','',1,0,'Spells/Priest/Shaper/Channeler/ChanneledProtection.lua',3628,'You cast Channeled Protection V on %t.',0,0,0,0,1,0,0,0,0,440080,0,0,0,0,0,0,0,0,0,'Unset',1589135503,1384378116,0,1),
(440085,2076278889,0,0,'Channeled Protection VI','If target ally receives damage that would be fatal, that ally is healed instead and their chance to dodge attacks is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,2074345482,0,450,0,1,'Your Channeled Protection VI was successful on %t!','Your Channeled Protection VI fades.','',1,0,'Spells/Priest/Shaper/Channeler/ChanneledProtection.lua',3628,'You cast Channeled Protection VI on %t.',0,0,0,0,1,0,0,0,0,440080,0,0,0,0,0,0,0,0,0,'Unset',1589135521,1384378116,0,1),
(440086,1630424252,0,0,'Channeled Protection VII','If target ally receives damage that would be fatal, that ally is healed instead and their chance to dodge attacks is increased. This spell cannot be interrupted, does not require any power and has a very fast casting time.',219,15,316,2074345482,0,500,0,1,'Your Channeled Protection VII was successful on %t!','Your Channeled Protection VII fades.','',1,0,'Spells/Priest/Shaper/Channeler/ChanneledProtection.lua',3628,'You cast Channeled Protection VII on %t.',0,0,0,0,1,0,0,0,0,440080,0,0,0,0,0,0,0,0,0,'Unset',1589135537,1384378116,0,1),
(440087,3944574652,0,0,'Channeled Resurrection','Instantly revives allies near the channeler. The reuse of this ability will be consumed even if nobody is revived.',156,15,314,0,0,0,0,1,'Your Channeled Resurrection was successful on %t!','Your Channeled Resurrection fades.','',1,0,'Spells/Priest/Shaper/Channeler/ChanneledResurrection.lua',3629,'You cast Channeled Resurrection on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589134948,1384378116,0,1),
(440088,1917108823,0,0,'Channeled Transference','Heals the channeler''s group for a very high dissonance cost and damages the construct. If the construct does not have enough health, this spell will fail. This Conduit can be equipped in slot 3 on the Conduit Bar.',497,65535,314,0,0,0,0,2,'Your Channeled Transference was successful on %t!','Your Channeled Transference fades.','',1,0,'Spells/Priest/Shaper/Channeler/ChanneledTransference.lua',3600,'You cast Channeled Transference on %t.',0,0,0,0,1,0,0,0,0,440088,0,0,0,0,0,0,0,0,0,'Unset',1589134016,1384378116,0,1),
(440089,3832719436,0,0,'Construct Regeneration','This Conduit does not generate very much dissonance for the amount of repairs it is capable of and does not take much of the channeler''s time, either. This is balanced option. This Conduit can be equipped in slots 1 and 2 on the Conduit Bar.',293,65535,316,0,0,0,0,3,'Your Construct Regeneration was successful on %t!','Your Construct Regeneration fades.','',1,0,'Spells/Priest/Shaper/Channeler/ConstructRegeneration.lua',3601,'You cast Construct Regeneration on %t.',0,0,0,0,1,0,0,0,0,440089,0,0,0,0,0,0,0,0,0,'Unset',1589133706,1384377832,0,1),
(440090,1545609894,0,1,'Construct''s Interception','Orders your construct to absorb damage for the target group member.',354,65535,316,0,0,0,1,1,'Your Construct''s Interception was successful on %t!','Your Construct''s Interception fades.','',1,0,'Spells/Priest/Shaper/Channeler/ConstructsInterception.lua',3630,'You cast Construct''s Interception on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589133858,1384378114,0,1),
(440091,1262785814,0,1,'Controlled Backlash','When the target of Construct''s Interception or Overloaded Interception falls in combat, the channeler''s group members will become immune to damage for a short duration. When the effect triggers, the channeler''s dissonance dissipation will be drastically reduced. This Conduit can be equipped in slots 4 through 8 on the Conduit Bar.',849,65535,316,0,0,0,1,1,'Your Controlled Backlash was successful on %t!','Your Controlled Backlash fades.','',1,0,'Spells/Priest/Shaper/Channeler/ControlledBacklash.lua',3603,'You cast Controlled Backlash on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589135749,1384378116,0,1),
(440092,1222657322,0,1,'Create Construct','Builds a contruct to assist the channeler in combat.',907,65535,317,0,0,0,1,0,'Your Create Construct was successful on %t!','Your Create Construct fades.','',1,0,'Spells/Commoner/Pets.lua',3631,'You cast Create Construct on %t.',0,0,0,0,1,0,0,0,0,440092,0,0,0,0,0,0,0,0,0,'Unset',1589130768,1384378116,0,1),
(440093,3645374636,0,0,'Dissonant Decimation','Inflicts high poison damage to targets near the channeler. This Conduit can be equipped in slots 4 through 8 on the Conduit Bar.',3,65535,313,0,0,0,0,1,'Your Dissonant Decimation was successful on %t!','Your Dissonant Decimation fades.','',1,0,'Spells/Priest/Shaper/Channeler/DissonantDecimation.lua',3604,'You cast Dissonant Decimation on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DD',1613318851,1384377832,0,1),
(440094,1815952072,0,1,'Enhanced Chest','',981,65535,317,0,0,0,1,1,'Your Enhanced Chest was successful on %t!','Your Enhanced Chest fades.','',1,0,'',0,'You cast Enhanced Chest on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384671336,1384378116,0,1),
(440095,175950176,0,0,'Essence Weave','This Conduit can repair a lot of damage to the channeler''s construct over the course of an encounter, but it takes more of the channeler''s time than other options. It also increases the construct''s maximum health for a short duration. This Conduit can be equipped in slots 1 and 2 on the Conduit Bar.',908,65535,316,0,0,0,0,3,'Your Essence Weave was successful on %t!','Your Essence Weave fades.','',1,0,'Spells/Priest/Shaper/Channeler/EssenceWeave.lua',3606,'You cast Essence Weave on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589134221,1384378114,0,1),
(440096,1078022422,0,1,'Hidden Reserves','Automatically repairs the construct as it is damaged. Each trigger can only happen once per minute. This Conduit can be equipped in slots 4 through 8 on the Conduit Bar.',249,65535,316,0,0,0,1,3,'Your Hidden Reserves was successful on %t!','Your Hidden Reserves fades.','',1,0,'Spells/Priest/Shaper/Channeler/HiddenReserves.lua',3607,'You cast Hidden Reserves on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589134209,1384377832,0,1),
(440097,2010293612,0,0,'Interfering Noise','Reduces the target encounter''s attributes. This spell can only be maintained on a single encounter. This Conduit can be equipped in slots 4 through 8 on the Conduit Bar.',171,65535,312,0,0,0,0,1,'Your Interfering Noise was successful on %t!','Your Interfering Noise fades.','',1,0,'Spells/Priest/Shaper/Channeler/InterferingNoise.lua',3608,'You cast Interfering Noise on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589135004,1384378114,0,1),
(440098,966650290,0,1,'Interpose Redirect','Automatically heals the target of Construct''s Interception or Overloaded Interception for a portion of the damage intercepted. This Conduit can be equipped in slots 4 through 8 on the Conduit Bar.',826,65535,316,0,0,0,1,3,'Your Interpose Redirect was successful on %t!','Your Interpose Redirect fades.','',1,0,'Spells/Priest/Shaper/Channeler/InterposeRedirect.lua',3609,'You cast Interpose Redirect on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589135061,1384378116,0,1),
(440099,3761389941,0,1,'Marisha Kur''s Blessing','Increases the health of grouped fighters, the physical mitigation of grouped non-fighters and noxious and elemental mitigation for everyone.',146,65535,314,2074345482,0,20,1,2,'Your Marisha Kur''s Blessing was successful on %t!','Your Marisha Kur''s Blessing fades.','',1,0,'Spells/Priest/Shaper/Channeler/MarishaKursBlessing.lua',3632,'You cast Marisha Kur''s Blessing on %t.',0,0,0,0,1,1,0,0,0,440099,0,0,0,0,0,1,0,0,0,'Unset',1589131532,1384378116,0,1),
(440100,1628906578,0,1,'Marisha Kur''s Blessing II','Increases the health of grouped fighters, the physical mitigation of grouped non-fighters and noxious and elemental mitigation for everyone.',146,65535,314,2074345482,0,75,1,2,'Your Marisha Kur''s Blessing II was successful on %t!','Your Marisha Kur''s Blessing II fades.','',1,0,'Spells/Priest/Shaper/Channeler/MarishaKursBlessing.lua',3632,'You cast Marisha Kur''s Blessing II on %t.',0,0,0,0,1,1,0,0,0,440099,0,0,0,0,0,1,0,0,0,'Unset',1589131671,1384378114,0,1),
(440101,956927354,0,1,'Marisha Kur''s Blessing III','Increases the health of grouped fighters, the physical mitigation of grouped non-fighters and noxious and elemental mitigation for everyone.',146,65535,314,2074345482,0,125,1,2,'Your Marisha Kur''s Blessing III was successful on %t!','Your Marisha Kur''s Blessing III fades.','',1,0,'Spells/Priest/Shaper/Channeler/MarishaKursBlessing.lua',3632,'You cast Marisha Kur''s Blessing III on %t.',0,0,0,0,1,1,0,0,0,440099,0,0,0,0,0,1,0,0,0,'Unset',1589131691,1384378116,0,1),
(440102,3089950813,0,1,'Marisha Kur''s Blessing IV','Increases the health of grouped fighters, the physical mitigation of grouped non-fighters and noxious and elemental mitigation for everyone.',146,65535,314,2074345482,0,175,1,2,'Your Marisha Kur''s Blessing IV was successful on %t!','Your Marisha Kur''s Blessing IV fades.','',1,0,'Spells/Priest/Shaper/Channeler/MarishaKursBlessing.lua',3632,'You cast Marisha Kur''s Blessing IV on %t.',0,0,0,0,1,1,0,0,0,440099,0,0,0,0,0,1,0,0,0,'Unset',1589131715,1384378116,0,1),
(440103,843021771,0,1,'Marisha Kur''s Blessing IX','Increases the health of grouped fighters, the physical mitigation of grouped non-fighters and noxious and elemental mitigation for everyone.',146,65535,314,2074345482,0,425,1,2,'Your Marisha Kur''s Blessing IX was successful on %t!','Your Marisha Kur''s Blessing IX fades.','',1,0,'Spells/Priest/Shaper/Channeler/MarishaKursBlessing.lua',3632,'You cast Marisha Kur''s Blessing IX on %t.',0,0,0,0,1,1,0,0,0,440099,0,0,0,0,0,1,0,0,0,'Unset',1589131878,1384378116,0,1),
(440104,2301943594,0,1,'Marisha Kur''s Blessing V','Increases the health of grouped fighters, the physical mitigation of grouped non-fighters and noxious and elemental mitigation for everyone.',146,65535,314,2074345482,0,225,1,2,'Your Marisha Kur''s Blessing V was successful on %t!','Your Marisha Kur''s Blessing V fades.','',1,0,'Spells/Priest/Shaper/Channeler/MarishaKursBlessing.lua',3632,'You cast Marisha Kur''s Blessing V on %t.',0,0,0,0,1,1,0,0,0,440099,0,0,0,0,0,1,0,0,0,'Unset',1589131756,1384378116,0,1),
(440105,135379469,0,1,'Marisha Kur''s Blessing VI','Increases the health of grouped fighters, the physical mitigation of grouped non-fighters and noxious and elemental mitigation for everyone.',146,65535,314,2074345482,0,275,1,2,'Your Marisha Kur''s Blessing VI was successful on %t!','Your Marisha Kur''s Blessing VI fades.','',1,0,'Spells/Priest/Shaper/Channeler/MarishaKursBlessing.lua',3632,'You cast Marisha Kur''s Blessing VI on %t.',0,0,0,0,1,1,0,0,0,440099,0,0,0,0,0,1,0,0,0,'Unset',1589131786,1384378116,0,1),
(440106,1343165221,0,1,'Marisha Kur''s Blessing VII','Increases the health of grouped fighters, the physical mitigation of grouped non-fighters and noxious and elemental mitigation for everyone.',146,65535,314,2074345482,0,325,1,2,'Your Marisha Kur''s Blessing VII was successful on %t!','Your Marisha Kur''s Blessing VII fades.','',1,0,'Spells/Priest/Shaper/Channeler/MarishaKursBlessing.lua',3632,'You cast Marisha Kur''s Blessing VII on %t.',0,0,0,0,1,1,0,0,0,440099,0,0,0,0,0,1,0,0,0,'Unset',1589131808,1384377832,0,1),
(440107,3509220866,0,1,'Marisha Kur''s Blessing VIII','Increases the health of grouped fighters, the physical mitigation of grouped non-fighters and noxious and elemental mitigation for everyone.',146,65535,314,2074345482,0,375,1,2,'Your Marisha Kur''s Blessing VIII was successful on %t!','Your Marisha Kur''s Blessing VIII fades.','',1,0,'Spells/Priest/Shaper/Channeler/MarishaKursBlessing.lua',3632,'You cast Marisha Kur''s Blessing VIII on %t.',0,0,0,0,1,1,0,0,0,440099,0,0,0,0,0,1,0,0,0,'Unset',1589131829,1384378116,0,1),
(440108,3004831980,0,1,'Marisha Kur''s Blessing X','Increases the health of grouped fighters, the physical mitigation of grouped non-fighters and noxious and elemental mitigation for everyone.',146,65535,314,2074345482,0,475,1,2,'Your Marisha Kur''s Blessing X was successful on %t!','Your Marisha Kur''s Blessing X fades.','',1,0,'Spells/Priest/Shaper/Channeler/MarishaKursBlessingPct.lua',3632,'You cast Marisha Kur''s Blessing X on %t.',0,0,0,0,1,1,0,0,0,440099,0,0,0,0,0,1,0,0,0,'Unset',1589131905,1384378116,0,1),
(440109,456788574,0,1,'Master Chest','',982,65535,317,0,0,0,1,1,'Your Master Chest was successful on %t!','Your Master Chest fades.','',1,0,'',0,'You cast Master Chest on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384671446,1384378116,0,1),
(440110,1011066240,0,0,'Mist of Poison','Inflicts poison damage to the channeler''s target. Cannot be modified by Ability Modifier. This Conduit can be equipped in slots 4 through 8 on the Conduit Bar.',258,65535,315,0,0,0,0,1,'Your Mist of Poison was successful on %t!','Your Mist of Poison fades.','',1,0,'Spells/Priest/Shaper/Channeler/MistofPoison.lua',3610,'You cast Mist of Poison on %t.',0,0,0,0,0,0,3,0,1,0,0,0,0,0,0,0,0,0,0,'DoT',1589135700,1384378116,0,1),
(440111,2250991888,0,1,'Oxygen Tunnel','',239,65535,314,0,0,0,1,2,'Your Oxygen Tunnel was successful on %t!','Your Oxygen Tunnel fades.','',1,0,'Spells/Priest/Shaper/Channeler/OxygenTunnel.lua',3633,'You cast Oxygen Tunnel on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589134160,1384378116,0,1),
(440112,2773152826,0,0,'Poison Bolt','Inflicts high poison damage to the channeler''s target. This Conduit can be equipped in slots 4 through 8 on the Conduit Bar.',161,65535,315,0,0,0,0,1,'Your Poison Bolt was successful on %t!','Your Poison Bolt fades.','',1,0,'Spells/Priest/Shaper/Channeler/PoisonBolt.lua',3611,'You cast Poison Bolt on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'DoT',1589135613,1384378116,0,1),
(440113,2048277999,0,0,'Quickened Regeneration','Compared to Construct Regeneration, this Conduit can repair more damage over the course of an encounter. It is less efficient, generating more dissonance and taking more of the channeler''s time for each point of damage repaired. This Conduit can be equipped in slots 1 and 2 on the Conduit Bar.',158,65535,316,0,0,0,0,3,'Your Quickened Regeneration was successful on %t!','Your Quickened Regeneration fades.','',1,0,'Spells/Priest/Shaper/Channeler/QuickenedRegeneration.lua',3612,'You cast Quickened Regeneration on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589134782,1384378116,0,1),
(440114,1914274404,0,0,'Redirection','This is the condensed energy of an ancient, mythical weapon.',220,65535,314,0,0,0,0,2,'Your Redirection was successful on %t!','Your Redirection fades.','',1,0,'Spells/Priest/Shaper/Channeler/Redirection.lua',3691,'You cast Redirection on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589136105,1384377878,0,1),
(440115,1194104079,0,0,'Repair Overload','Increases the amount of healing the construct receives from repairs. Suspends most maintained Conduits and doubles the Dissonance generated by non-repair active Conduits. This Conduit can be equipped in slots 4 through 8 on the Conduit Bar.',903,65535,316,0,0,0,0,3,'Your Repair Overload was successful on %t!','Your Repair Overload fades.','',1,0,'Spells/Priest/Shaper/Channeler/RepairOverload.lua',3613,'You cast Repair Overload on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589135974,1384378116,0,1),
(440116,876998766,0,0,'Shield of Blackwood','Reduces the threat of nearby enemies towards the channeler. The enemies are interrupted while the channeler gains increased dodge chance and becomes immune to indirect area of effect abilities for a short duration.',157,65535,314,2074345482,0,65,0,1,'Your Shield of Blackwood was successful on %t!','Your Shield of Blackwood fades.','',1,0,'Spells/Priest/Shaper/Channeler/ShieldofBlackwood.lua',3635,'You cast Shield of Blackwood on %t.',0,0,0,0,0,0,0,0,0,440116,0,0,0,0,0,0,0,0,0,'Unset',1589132720,1384378114,0,1),
(440117,222125358,0,0,'Shield of Blackwood II','Reduces the threat of nearby enemies towards the channeler. The enemies are interrupted while the channeler gains increased dodge chance and becomes immune to indirect area of effect abilities for a short duration.',157,65535,314,2074345482,0,115,0,1,'Your Shield of Blackwood II was successful on %t!','Your Shield of Blackwood II fades.','',1,0,'Spells/Priest/Shaper/Channeler/ShieldofBlackwood.lua',3635,'You cast Shield of Blackwood II on %t.',0,0,0,0,0,0,0,0,0,440116,0,0,0,0,0,0,0,0,0,'Unset',1589132771,1384378116,0,1),
(440118,437598702,0,0,'Shield of Blackwood III','Reduces the threat of nearby enemies towards the channeler. The enemies are interrupted while the channeler gains increased dodge chance and becomes immune to indirect area of effect abilities for a short duration.',157,65535,314,2074345482,0,165,0,1,'Your Shield of Blackwood III was successful on %t!','Your Shield of Blackwood III fades.','',1,0,'Spells/Priest/Shaper/Channeler/ShieldofBlackwood.lua',3635,'You cast Shield of Blackwood III on %t.',0,0,0,0,0,0,0,0,0,440116,0,0,0,0,0,0,0,0,0,'Unset',1589132787,1384377832,0,1),
(440119,2144077742,0,0,'Shield of Blackwood IV','Reduces the threat of nearby enemies towards the channeler. The enemies are interrupted while the channeler gains increased dodge chance and becomes immune to indirect area of effect abilities for a short duration.',157,65535,314,2074345482,0,215,0,1,'Your Shield of Blackwood IV was successful on %t!','Your Shield of Blackwood IV fades.','',1,0,'Spells/Priest/Shaper/Channeler/ShieldofBlackwood.lua',3635,'You cast Shield of Blackwood IV on %t.',0,0,0,0,0,0,0,0,0,440116,0,0,0,0,0,0,0,0,0,'Unset',1589132873,1384378116,0,1),
(440120,2366035566,0,0,'Shield of Blackwood IX','Reduces the threat of nearby enemies towards the channeler. The enemies are interrupted while the channeler gains increased dodge chance and becomes immune to indirect area of effect abilities for a short duration.',157,65535,314,2074345482,0,465,0,1,'Your Shield of Blackwood IX was successful on %t!','Your Shield of Blackwood IX fades.','',1,0,'Spells/Priest/Shaper/Channeler/ShieldofBlackwood.lua',3635,'You cast Shield of Blackwood IX on %t.',0,0,0,0,0,0,0,0,0,440116,0,0,0,0,0,0,0,0,0,'Unset',1589133008,1384378116,0,1),
(440121,1759798126,0,0,'Shield of Blackwood V','Reduces the threat of nearby enemies towards the channeler. The enemies are interrupted while the channeler gains increased dodge chance and becomes immune to indirect area of effect abilities for a short duration.',157,65535,314,2074345482,0,265,0,1,'Your Shield of Blackwood V was successful on %t!','Your Shield of Blackwood V fades.','',1,0,'Spells/Priest/Shaper/Channeler/ShieldofBlackwood.lua',3635,'You cast Shield of Blackwood V on %t.',0,0,0,0,0,0,0,0,0,440116,0,0,0,0,0,0,0,0,0,'Unset',1589132889,1384377839,0,1),
(440122,1369230894,0,0,'Shield of Blackwood VI','Reduces the threat of nearby enemies towards the channeler. The enemies are interrupted while the channeler gains increased dodge chance and becomes immune to indirect area of effect abilities for a short duration.',157,65535,314,2074345482,0,315,0,1,'Your Shield of Blackwood VI was successful on %t!','Your Shield of Blackwood VI fades.','',1,0,'Spells/Priest/Shaper/Channeler/ShieldofBlackwood.lua',3635,'You cast Shield of Blackwood VI on %t.',0,0,0,0,0,0,0,0,0,440116,0,0,0,0,0,0,0,0,0,'Unset',1589132943,1384378116,0,1),
(440123,1186245358,0,0,'Shield of Blackwood VII','Reduces the threat of nearby enemies towards the channeler. The enemies are interrupted while the channeler gains increased dodge chance and becomes immune to indirect area of effect abilities for a short duration.',157,65535,314,2074345482,0,365,0,1,'Your Shield of Blackwood VII was successful on %t!','Your Shield of Blackwood VII fades.','',1,0,'Spells/Priest/Shaper/Channeler/ShieldofBlackwood.lua',3635,'You cast Shield of Blackwood VII on %t.',0,0,0,0,0,0,0,0,0,440116,0,0,0,0,0,0,0,0,0,'Unset',1589132956,1384378116,0,1),
(440124,2586751662,0,0,'Shield of Blackwood VIII','Reduces the threat of nearby enemies towards the channeler. The enemies are interrupted while the channeler gains increased dodge chance and becomes immune to indirect area of effect abilities for a short duration.',157,65535,314,2074345482,0,415,0,1,'Your Shield of Blackwood VIII was successful on %t!','Your Shield of Blackwood VIII fades.','',1,0,'Spells/Priest/Shaper/Channeler/ShieldofBlackwood.lua',3635,'You cast Shield of Blackwood VIII on %t.',0,0,0,0,0,0,0,0,0,440116,0,0,0,0,0,0,0,0,0,'Unset',1589132974,1384378116,0,1),
(440125,1620046519,0,1,'Shrink Construct','Reduces the overall size of your construct.',218,65535,317,0,0,0,1,3,'Your Shrink Construct was successful on %t!','Your Shrink Construct fades.','',1,0,'Spells/Priest/Shaper/Channeler/ShrinkConstruct.lua',0,'You cast Shrink Construct on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589130794,1384378116,0,1),
(440126,3947729901,0,0,'Siphoned Protection','Heals the target and wards them for a very high dissonance cost and damages the construct. If the construct does not have enough health, this spell will fail. This Conduit can be equipped in slot 3 on the Conduit Bar.',619,65535,316,0,0,0,0,1,'Your Siphoned Protection was successful on %t!','Your Siphoned Protection fades.','',1,0,'Spells/Priest/Shaper/Channeler/SiphonedProtection.lua',3614,'You cast Siphoned Protection on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589134826,1384378116,0,1),
(440127,2473957594,0,0,'Swift Aid','This Conduit instantly repairs the channeler''s construct, allowing them to focus their attention on other tasks. It generates a high amount of dissonance. It also increases the construct''s maximum health for a short duration. This Conduit can be equipped in slots 1 and 2 on the Conduit Bar.',907,65535,316,0,0,0,0,3,'Your Swift Aid was successful on %t!','Your Swift Aid fades.','',1,0,'Spells/Priest/Shaper/Channeler/SwiftAid.lua',3615,'You cast Swift Aid on %t.',0,0,0,0,1,0,0,0,0,440127,0,0,0,0,0,0,0,0,0,'Unset',1589133944,1384378116,0,1),
(440128,2837640227,0,0,'Thir''Slaa''s Shell','Prevents a high damage hit to the channeler''s construct. This Conduit can be equipped in slots 4 through 8 on the Conduit Bar.',851,65535,316,0,0,0,0,3,'Your Thir''Slaa''s Shell was successful on %t!','Your Thir''Slaa''s Shell fades.','',1,0,'Spells/Priest/Shaper/Channeler/ThirSlaasShell.lua',3616,'You cast Thir''Slaa''s Shell on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589134858,1384378116,0,1),
(440129,219221369,0,0,'Triggered Rejuvenation','This Conduit can be very effective if the channeler''s construct is taking hits in quick succession. It generates very little dissonance. This Conduit can be equipped in slots 1 and 2 on the Conduit Bar.',184,65535,316,0,0,0,0,3,'Your Triggered Rejuvenation was successful on %t!','Your Triggered Rejuvenation fades.','',1,0,'Spells/Priest/Shaper/Channeler/TriggeredRejuvenation.lua',3617,'You cast Triggered Rejuvenation on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589134908,1384378116,0,1),
(440130,2484624579,0,0,'Triggered Restoration','This Conduit can be very effective if the channeler''s construct is taking hits in extremely quick succession. It generates very little dissonance. This Conduit can be equipped in slots 1 and 2 on the Conduit Bar.',913,65535,316,0,0,0,0,3,'Your Triggered Restoration was successful on %t!','Your Triggered Restoration fades.','',1,0,'Spells/Priest/Shaper/Channeler/TriggeredRestoration.lua',3618,'You cast Triggered Restoration on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589135097,1384378116,0,1),
(440131,2622137211,0,0,'Truespirit Defiance','Reactively heals the channeler''s group when they take damage. Uses very high dissonance and damages the construct. If the construct doesn''t have enough health, this spell will fail. This Conduit can be equipped in slot 3 on the Conduit Bar.',755,65535,314,0,0,0,0,2,'Your Truespirit Defiance was successful on %t!','Your Truespirit Defiance fades.','',1,0,'Spells/Priest/Shaper/Channeler/TruespiritDefiance.lua',3619,'You cast Truespirit Defiance on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589135948,1384378114,0,1),
(440132,1318770980,0,0,'Truespirit Restoration','Heals an ally in the channeler''s group over time. This Conduit can be equipped in slots 4 through 8 on the Conduit Bar.',180,65535,316,0,0,0,0,1,'Your Truespirit Restoration was successful on %t!','Your Truespirit Restoration fades.','',1,0,'Spells/Priest/Shaper/Channeler/TruespiritRestoration.lua',3620,'You cast Truespirit Restoration on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589135211,1384378116,0,1),
(440133,937651779,0,0,'Vector of Life','Heals allies in front of the channeler. This spell can be cast while moving.',914,16,314,2074345482,0,325,0,1,'Your Vector of Life was successful on %t!','Your Vector of Life fades.','',1,1,'Spells/Priest/Shaper/Channeler/VectorofLife.lua',3637,'You cast Vector of Life on %t.',0,0,0,0,1,0,0,0,0,440133,0,0,0,0,0,0,0,0,0,'Unset',1589135795,1384378116,0,1),
(440134,2957354240,0,0,'Vector of Life II','Heals allies in front of the channeler. This spell can be cast while moving.',914,16,314,2074345482,0,375,0,1,'Your Vector of Life II was successful on %t!','Your Vector of Life II fades.','',1,1,'Spells/Priest/Shaper/Channeler/VectorofLife.lua',3637,'You cast Vector of Life II on %t.',0,0,0,0,1,0,0,0,0,440133,0,0,0,0,0,0,0,0,0,'Unset',1589135833,1384378116,0,1),
(440135,1992791765,0,0,'Vector of Life III','Heals allies in front of the channeler. This spell can be cast while moving.',914,16,314,2074345482,0,425,0,1,'Your Vector of Life III was successful on %t!','Your Vector of Life III fades.','',1,1,'Spells/Priest/Shaper/Channeler/VectorofLife.lua',3637,'You cast Vector of Life III on %t.',0,0,0,0,1,0,0,0,0,440133,0,0,0,0,0,0,0,0,0,'Unset',1589135845,1384378116,0,1),
(440136,4049690006,0,0,'Vector of Life IV','Heals allies in front of the channeler. This spell can be cast while moving.',914,16,314,2074345482,0,475,0,1,'Your Vector of Life IV was successful on %t!','Your Vector of Life IV fades.','',1,1,'Spells/Priest/Shaper/Channeler/VectorofLife.lua',3637,'You cast Vector of Life IV on %t.',0,0,0,0,1,0,0,0,0,440133,0,0,0,0,0,0,0,0,0,'Unset',1589135871,1384378116,0,1),
(440137,4007392470,0,0,'Weapon Dissonance','Reduces the target enemy''s weapon damage. This spell can only be maintained on a single target. This Conduit can be equipped in slots 4 through 8 on the Conduit Bar.',307,65535,315,0,0,0,0,1,'Your Weapon Dissonance was successful on %t!','Your Weapon Dissonance fades.','',1,0,'Spells/Priest/Shaper/Channeler/WeaponDissonance.lua',3621,'You cast Weapon Dissonance on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1589134046,1384378114,0,1),
(440138,745815534,0,0,'Salubrious Invocation','Heals group members near the channeler.',293,16,314,2074345482,0,70,0,1,'Your Salubrious Invocation was successful on %t!','Your Salubrious Invocation fades.','',1,0,'Spells/Priest/Shaper/Channeler/SalubriousInvocation.lua',3634,'You cast Salubrious Invocation on %t.',0,0,0,0,1,0,0,0,0,440138,0,0,0,0,0,1,0,0,0,'Unset',1589133101,1384378114,0,1),
(440139,1953141958,0,0,'Salubrious Invocation II','Heals group members near the channeler.',293,16,314,2074345482,0,120,0,1,'Your Salubrious Invocation II was successful on %t!','Your Salubrious Invocation II fades.','',1,0,'Spells/Priest/Shaper/Channeler/SalubriousInvocation.lua',3634,'You cast Salubrious Invocation II on %t.',0,0,0,0,1,0,0,0,0,440138,0,0,0,0,0,1,0,0,0,'Unset',1589133119,1384378116,0,1),
(440140,4115657185,0,0,'Salubrious Invocation III','Heals group members near the channeler.',293,16,314,2074345482,0,170,0,1,'Your Salubrious Invocation III was successful on %t!','Your Salubrious Invocation III fades.','',1,0,'Spells/Priest/Shaper/Channeler/SalubriousInvocation.lua',3634,'You cast Salubrious Invocation III on %t.',0,0,0,0,1,0,0,0,0,440138,0,0,0,0,0,1,0,0,0,'Unset',1589133130,1384377838,0,1),
(440141,3294086806,0,0,'Salubrious Invocation IV','Heals group members near the channeler.',293,16,314,2074345482,0,220,0,1,'Your Salubrious Invocation IV was successful on %t!','Your Salubrious Invocation IV fades.','',1,0,'Spells/Priest/Shaper/Channeler/SalubriousInvocation.lua',3634,'You cast Salubrious Invocation IV on %t.',0,0,0,0,1,0,0,0,0,440138,0,0,0,0,0,1,0,0,0,'Unset',1589133131,1384378116,0,1),
(440142,4269343056,0,0,'Salubrious Invocation IX','Heals group members near the channeler.',293,16,314,2074345482,0,470,0,1,'Your Salubrious Invocation IX was successful on %t!','Your Salubrious Invocation IX fades.','',1,0,'Spells/Priest/Shaper/Channeler/SalubriousInvocation.lua',3634,'You cast Salubrious Invocation IX on %t.',0,0,0,0,1,0,0,0,0,440138,0,0,0,0,0,1,0,0,0,'Unset',1589133195,1384378116,0,1),
(440143,1165140913,0,0,'Salubrious Invocation V','Heals group members near the channeler.',293,16,314,2074345482,0,270,0,1,'Your Salubrious Invocation V was successful on %t!','Your Salubrious Invocation V fades.','',1,0,'Spells/Priest/Shaper/Channeler/SalubriousInvocation.lua',3634,'You cast Salubrious Invocation V on %t.',0,0,0,0,1,0,0,0,0,440138,0,0,0,0,0,1,0,0,0,'Unset',1589133140,1384378158,0,1),
(440144,493619865,0,0,'Salubrious Invocation VI','Heals group members near the channeler.',293,16,314,2074345482,0,320,0,1,'Your Salubrious Invocation VI was successful on %t!','Your Salubrious Invocation VI fades.','',1,0,'Spells/Priest/Shaper/Channeler/SalubriousInvocation.lua',3634,'You cast Salubrious Invocation VI on %t.',0,0,0,0,1,0,0,0,0,440138,0,0,0,0,0,1,0,0,0,'Unset',1589133168,1384378116,0,1),
(440145,2622058430,0,0,'Salubrious Invocation VII','Heals group members near the channeler.',293,16,314,2074345482,0,370,0,1,'Your Salubrious Invocation VII was successful on %t!','Your Salubrious Invocation VII fades.','',1,0,'Spells/Priest/Shaper/Channeler/SalubriousInvocation.lua',3634,'You cast Salubrious Invocation VII on %t.',0,0,0,0,1,0,0,0,0,440138,0,0,0,0,0,1,0,0,0,'Unset',1589133177,1384378116,0,1),
(440146,2136761463,0,0,'Salubrious Invocation VIII','Heals group members near the channeler.',293,16,314,2074345482,0,420,0,1,'Your Salubrious Invocation VIII was successful on %t!','Your Salubrious Invocation VIII fades.','',1,0,'Spells/Priest/Shaper/Channeler/SalubriousInvocation.lua',3634,'You cast Salubrious Invocation VIII on %t.',0,0,0,0,1,0,0,0,0,440138,0,0,0,0,0,1,0,0,0,'Unset',1589133185,1384378116,0,1),
(1000000,941855908,4,0,'Ability Aptitude','Increases Ability Modifier.',566,65535,65535,0,0,0,0,0,'Your Ability Aptitude was successful on %t!','Your Ability Aptitude fades.','',0,1,'Spells/AA/AbilityAptitude.lua',0,'You cast Ability Aptitude on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1584823495,1384377839,0,1),
(1000001,3178701695,4,1,'Absolute Territory','Builds charges of Divine Justice on the caster when attacking.',926,65535,313,0,0,0,1,1,'Your Absolute Territory was successful on %t!','Your Absolute Territory fades.','',1,0,'',0,'You cast Absolute Territory on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670364,1384377911,0,1),
(1000002,307185975,4,0,'Absolute Zero','Improves the duration of Chilling Armor.',253,65535,317,0,0,0,0,1,'Your Absolute Zero was successful on %t!','Your Absolute Zero fades.','',1,0,'Spells/AA/AbsoluteZero.lua',0,'You cast Absolute Zero on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670364,1384377901,0,1),
(1000003,1744092836,4,0,'Absorbing Blows','Grants the warrior a chance to resist stun based effects.',913,65535,65535,0,0,0,0,1,'Your Absorbing Blows was successful on %t!','Your Absorbing Blows fades.','',1,0,'',0,'You cast Absorbing Blows on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670364,1384377831,0,1),
(1000004,3706239116,4,0,'Academ','Improves the durations of Intellectual Remedy and Destructive Rampage.',826,65535,65535,0,0,0,0,1,'Your Academ was successful on %t!','Your Academ fades.','',1,0,'',0,'You cast Academ on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670364,1384377919,0,1),
(1000005,2882103849,4,0,'Accelerando','Improves the casting and reuse speeds of the bard.',27,65535,65535,0,0,0,0,1,'Your Accelerando was successful on %t!','Your Accelerando fades.','',1,0,'Spells/AA/Accelerando.lua',0,'You cast Accelerando on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670364,1384377831,0,1),
(1000006,1521588312,4,1,'Accelerated Decay','Accelerated Decay increases the speed of the necromancer''s damage over time abilities, adding two ticks to all of their spells.',928,65535,317,0,0,0,1,1,'Your Accelerated Decay was successful on %t!','Your Accelerated Decay fades.','',1,0,'',0,'You cast Accelerated Decay on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670364,1384377831,0,1),
(1000007,159264196,4,1,'Acidmist','Acid Blades gains an additional trigger that inflicts damage to additional targets surrounding the assassin.',651,65535,315,0,0,0,1,1,'Your Acidmist was successful on %t!','Your Acidmist fades.','',1,0,'',0,'You cast Acidmist on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670364,1384377905,0,1),
(1000008,4280398389,4,1,'Adaptable','Increases your resistance to elemental based attacks.',253,65535,314,0,0,0,0,0,'Your Adaptable was successful on %t!','Your Adaptable fades.','',0,1,'Spells/Traits/Adaptable.lua',0,'You cast Adaptable on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670364,1384378109,0,1),
(1000009,395362518,4,0,'Added Constitution','Adds additional stamina to the Battle Tactics line of group buffs.',358,65535,314,0,0,0,0,1,'Your Added Constitution was successful on %t!','Your Added Constitution fades.','',1,0,'',0,'You cast Added Constitution on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670364,1384377838,0,1),
(1000010,2714197972,4,1,'Adoration','Your study into the divine arts grants you additional skill with abilities requiring ministration.',468,65535,65535,0,0,0,1,0,'Your Adoration was successful on %t!','Your Adoration fades.','',0,1,'Spells/Traits/Adoration.lua',0,'You cast Adoration on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670364,1384378110,0,1),
(1000011,3107938078,4,0,'Adrenal Flow','Adrenal Flow delays the degradation of Savagery when combat ends. This effect cancels when the beastlord uses an ability or an attack.',293,65535,317,0,0,0,0,1,'Your Adrenal Flow was successful on %t!','Your Adrenal Flow fades.','',1,0,'',0,'You cast Adrenal Flow on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670364,1384377903,0,1),
(1000012,2878958420,4,0,'Adrenaline Rush','Adds an additional component to adrenaline which gives the berserker additional hate.',16,65535,317,0,0,0,0,1,'Your Adrenaline Rush was successful on %t!','Your Adrenaline Rush fades.','',1,0,'',0,'You cast Adrenaline Rush on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670364,1384377831,0,1),
(1000013,829277196,4,0,'Adrenaline Rush','When the bruiser takes a hit for over 40% of their health they have a chance to get a rush of adrenaline which prevents the next physical hit from landing.',859,65535,65535,0,0,0,0,1,'Your Adrenaline Rush was successful on %t!','Your Adrenaline Rush fades.','',1,0,'',0,'You cast Adrenaline Rush on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670364,1384377905,0,1),
(1000014,1726238176,4,1,'Advance Scout','The scout informs allies of the enemy''s weaknesses, increasing the group''s chance to strike multiple times.',231,65535,314,0,0,0,1,1,'Your Advance Scout  was successful on %t!','Your Advance Scout  fades.','',1,0,'',0,'You cast Advance Scout  on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670364,1384377905,0,1),
(1000015,2889651461,4,0,'Advanced Strike','Improves the base damage of the triggered effect Interrupt that is found on Daring Advance and its upgrades.',271,65535,317,0,0,0,0,1,'Your Advanced Strike was successful on %t!','Your Advanced Strike fades.','',1,0,'',0,'You cast Advanced Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670364,1384377909,0,1),
(1000016,299714401,4,1,'Advantageous Advance','The Animalist gains a passive effect that triggers when using advantages. The group receives a Potency increase. Additionally, if Feral Stance is active, the group gains Crit Bonus and if Spiritual Stance is active, the group will receive more healing from all incoming heals.',826,65535,65535,0,0,0,1,1,'Your Advantageous Advance was successful on %t!','Your Advantageous Advance fades.','',1,0,'',0,'You cast Advantageous Advance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670366,1384377903,0,1),
(1000017,1349601540,4,0,'Advantageous Practice','Using a tried and true method of practice your chance of critical success increases.',848,65535,317,0,0,0,0,0,'Your Advantageous Practice was successful on %t!','Your Advantageous Practice fades.','',0,1,'Spells/AA/AdvantageousPractice.lua',0,'You cast Advantageous Practice on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670366,1384377905,0,1),
(1000018,2353495960,4,0,'Aftershock','',553,65535,313,0,0,0,0,1,'Your Aftershock was successful on %t!','Your Aftershock fades.','',1,0,'',0,'You cast Aftershock on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670366,1384377904,0,1),
(1000019,2506133958,4,0,'Aggravation','Aggravation increases the base and critical threat amounts of the Enrage line of abilities.',295,65535,312,0,0,0,0,1,'Your Aggravation was successful on %t!','Your Aggravation fades.','',1,0,'',0,'You cast Aggravation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670366,1384377907,0,1),
(1000020,2317784105,4,0,'Aggressive Beatdown','While using the defensive stance, the bruiser will be able to generate additional threat when using the Beatdown line of abilities.',350,65535,313,0,0,0,0,1,'Your Aggressive Beatdown was successful on %t!','Your Aggressive Beatdown fades.','',1,0,'',0,'You cast Aggressive Beatdown on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670366,1384377913,0,1),
(1000021,2174396670,4,0,'Aggressive Entry','While the target of the taunt is above 80%, the guardian will generate increased threat through taunt abilities.',635,65535,65535,0,0,0,0,1,'Your Aggressive Entry was successful on %t!','Your Aggressive Entry fades.','',1,0,'',0,'You cast Aggressive Entry on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670366,1384377912,0,1),
(1000022,4194618576,4,0,'Aggressive Nature','Aggressive Defense and Hold the Line grant more threat when triggered.',184,65535,317,0,0,0,0,1,'Your Aggressive Nature was successful on %t!','Your Aggressive Nature fades.','',1,0,'',0,'You cast Aggressive Nature on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670366,1384377912,0,1),
(1000023,3231757996,4,0,'Agile','Small, direct strikes are your weapon. This trait heightens your reflexes by increasing your Agility by 4.',90,65535,65535,0,0,0,0,1,'Your Agile was successful on %t!','Your Agile fades.','',1,0,'',0,'You cast Agile on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670366,1384378109,0,1),
(1000024,1194795678,4,1,'Agile Creations','While tradeskilling, you will have a higher chance to complete a successful round.',420,65535,65535,0,0,0,1,0,'Your Agile Creations was successful on %t!','Your Agile Creations fades.','',0,1,'Spells/Traits/AgileCreations.lua',0,'You cast Agile Creations on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670366,1384378109,0,1),
(1000025,107279813,4,1,'Agile Might','Grants an increase to overall strength.  The amount of strength gained will increase as you level.',79,65535,65535,0,0,0,1,0,'Your Agile Might was successful on %t!','Your Agile Might fades.','',0,1,'Spells/Traits/AgileMight.lua',0,'You cast Agile Might on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670366,1384378110,0,1),
(1000026,1350539705,4,0,'Agile Movements','Increases the movement speed of the shaper.',638,65535,317,0,0,0,0,0,'Your Agile Movements was successful on %t!','Your Agile Movements fades.','',1,0,'Spells/AA/AgileMovements.lua',0,'You cast Agile Movements on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670366,1384377913,0,1),
(1000027,2784083587,4,1,'Agile Movements','Grants an increase to overall agility.  The amount of agility gained will increase as you level.',81,65535,65535,0,0,0,0,0,'Your Agile Movements was successful on %t!','Your Agile Movements fades.','',0,1,'Spells/Traits/AgileMovements.lua',0,'You cast Agile Movements on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670366,1384378109,0,1),
(1000028,2990655166,4,1,'Agile Movements','Grants an increase to overall agility.  The amount of agility gained will increase as you level.',370,65535,317,0,0,0,0,0,'Your Agile Movements was successful on %t!','Your Agile Movements fades.','',0,1,'Spells/Traits/AgileMovements.lua',0,'You cast Agile Movements on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670366,1384378110,0,1),
(1000029,1253907899,4,0,'Agonizing Death','Improves the damage of any hostile spells when the target is under 30% health.',238,65535,315,0,0,0,0,1,'Your Agonizing Death was successful on %t!','Your Agonizing Death fades.','',1,0,'',0,'You cast Agonizing Death on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670366,1384377907,0,1),
(1000030,511147643,4,1,'Aid of the Stouthearted','Your pursuit of divine magic allows you to cast beneficial spells faster.',922,65535,318,0,0,0,1,1,'Your Aid of the Stouthearted was successful on %t!','Your Aid of the Stouthearted fades.','',1,0,'',0,'You cast Aid of the Stouthearted on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670366,1384377823,0,1),
(1000031,2742365090,4,1,'Ak`Anon''s Innovation','Through intense study, you gain additional intelligence.\r\n\r\n+5 INT',19,65535,65535,0,0,0,1,0,'Your Ak`Anon''s Innovation was successful on %t!','Your Ak`Anon''s Innovation fades.','',0,1,'Spells/Traits/AkAnonsInnovation.lua',0,'You cast Ak`Anon''s Innovation on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670366,1384378109,0,0),
(1000032,350382347,4,1,'Alchemic Ingenuity','Those vampires who choose Alchemy as a tradeskill profession will gain an additional durability increase while crafting.',402,65535,317,0,0,0,1,1,'Your Alchemic Ingenuity was successful on %t!','Your Alchemic Ingenuity fades.','',1,0,'',0,'You cast Alchemic Ingenuity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670366,1384378109,0,1),
(1000033,1387104079,4,0,'Allied Prayers','This ability raises the base healing power of the Prayer of Healing line of skills.',158,65535,314,0,0,0,0,1,'Your Allied Prayers was successful on %t!','Your Allied Prayers fades.','',1,0,'',0,'You cast Allied Prayers on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670366,1384377899,0,1),
(1000034,574324060,4,0,'Allied Prayers','Adds an additional group heal on termination of the Holy Intercession and Malevolent Diatribe line of spells.',180,65535,314,0,0,0,0,1,'Your Allied Prayers was successful on %t!','Your Allied Prayers fades.','',1,0,'',0,'You cast Allied Prayers on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670366,1384377904,0,1),
(1000035,543292175,4,0,'Ally Revivification','Improves the reuse time of all resurrection spells useable in combat.',156,65535,316,0,0,0,0,1,'Your Ally Revivification was successful on %t!','Your Ally Revivification fades.','',1,0,'Spells/AA/AllyRevivification.lua',0,'You cast Ally Revivification on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670366,1384377903,0,1),
(1000036,2435122253,4,0,'Ambidexterity','Speeds up the Monkey Guru''s reuse timers.',622,65535,65535,0,0,0,0,0,'Your Ambidexterity was successful on %t!','Your Ambidexterity fades.','',0,1,'Spells/AA/Ambidexterity.lua',0,'You cast Ambidexterity on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670366,1384377902,0,1),
(1000037,528057513,4,1,'Ample Harvest','Grants you a chance to harvest a second time. Additionally, you move faster while on a mount.',11,65535,65535,0,0,0,1,1,'Your Ample Harvest was successful on %t!','Your Ample Harvest fades.','',1,0,'',0,'You cast Ample Harvest on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670366,1384377838,0,1),
(1000038,4150404415,4,1,'Ample Harvest','Grants you a chance to harvest a second time. Additionally, you move faster while on a mount.',797,65535,317,0,0,0,1,1,'Your Ample Harvest was successful on %t!','Your Ample Harvest fades.','',1,0,'',0,'You cast Ample Harvest on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670366,1384377899,0,1),
(1000039,2110307444,4,1,'Ancestral Assistance','Umbral Barrier and Wards of the Eidolon have a chance to finish the reuse of Ancestral Channeling.',863,65535,317,0,0,0,1,1,'Your Ancestral Assistance was successful on %t!','Your Ancestral Assistance fades.','',1,0,'',0,'You cast Ancestral Assistance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670366,1384377901,0,1),
(1000040,1392068505,4,0,'Ancestral Authority','Increases the amount of melee damage done by the Chieftain.',650,65535,65535,0,0,0,0,1,'Your Ancestral Authority was successful on %t!','Your Ancestral Authority fades.','',1,0,'',0,'You cast Ancestral Authority on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670368,1384377830,0,1),
(1000041,1110211120,4,1,'Ancestral Blessing','Increases your out of combat health regeneration amount.  This ability will scale up in value as you level.',497,65535,314,0,0,0,1,0,'Your Ancestral Blessing was successful on %t!','Your Ancestral Blessing fades.','',0,1,'Spells/Traits/AncestralBlessing.lua',0,'You cast Ancestral Blessing on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670368,1384378109,0,1),
(1000042,2562882513,4,0,'Ancestral Cleansing','Places a small ward on an ally when they are successfully cured of an ailment.',147,65535,316,0,0,0,0,1,'Your Ancestral Cleansing was successful on %t!','Your Ancestral Cleansing fades.','',1,0,'',0,'You cast Ancestral Cleansing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670368,1384377836,0,1),
(1000043,1560884397,4,0,'Ancestral Curse','Improves the debuff amounts of the Atrophy and Haze lines of spells.',193,65535,315,0,0,0,0,1,'Your Ancestral Curse was successful on %t!','Your Ancestral Curse fades.','',1,0,'',0,'You cast Ancestral Curse on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670368,1384377838,0,1),
(1000044,1854603317,4,1,'Ancestral Ire','Agile races gain an additional chance to double attack with melee and ranged weapons.',844,65535,65535,0,0,0,1,0,'Your Ancestral Ire was successful on %t!','Your Ancestral Ire fades.','',0,1,'Spells/Traits/AncestralIre.lua',0,'You cast Ancestral Ire on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670368,1384378109,0,1),
(1000045,2587165086,4,0,'Ancestral Runes','Improves the base ward amount of Runic Armor.',146,65535,314,0,0,0,0,1,'Your Ancestral Runes was successful on %t!','Your Ancestral Runes fades.','',1,0,'',0,'You cast Ancestral Runes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670368,1384377913,0,1),
(1000046,3432895034,4,0,'Ancestral Spirits','Increases the Chieftain''s chances to critical.',648,65535,65535,0,0,0,0,0,'Your Ancestral Spirits was successful on %t!','Your Ancestral Spirits fades.','',0,1,'Spells/AA/AncestralSpirits.lua',0,'You cast Ancestral Spirits on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670368,1384377833,0,1),
(1000047,1210374742,4,0,'Ancient Advance','The fighter''s primary single target and encounter taunt will inflict damage to their target.',289,65535,317,0,0,0,0,1,'Your Ancient Advance was successful on %t!','Your Ancient Advance fades.','',1,0,'',0,'You cast Ancient Advance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670368,1384377830,0,1),
(1000048,3197104655,4,0,'Ancient Alacrity','Improves the base casting speed of the priest''s large direct heal before other casting speed modifications. For channelers, this modifies Vector of Life.',293,65535,317,0,0,0,0,1,'Your Ancient Alacrity was successful on %t!','Your Ancient Alacrity fades.','',1,0,'',0,'You cast Ancient Alacrity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670368,1384377833,0,1),
(1000049,1433539485,4,0,'Ancient Bulwark','The Wild Accretion line will cast faster and also heal for more.',293,65535,314,0,0,0,0,1,'Your Ancient Bulwark was successful on %t!','Your Ancient Bulwark fades.','',1,0,'',0,'You cast Ancient Bulwark on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670368,1384377899,0,1),
(1000050,61895080,4,0,'Ancient Calling','Ancient Calling reduces the casting and recast times of Call of the Hero.',243,65535,316,0,0,0,0,1,'Your Ancient Calling was successful on %t!','Your Ancient Calling fades.','',1,0,'',0,'You cast Ancient Calling on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670368,1384377836,0,1),
(1000051,1723515869,4,0,'Ancient Demise','The Echoes of the Ancients line will debuff additional elemental and noxious mitigation as well as additional max health.',184,65535,312,0,0,0,0,1,'Your Ancient Demise was successful on %t!','Your Ancient Demise fades.','',1,0,'',0,'You cast Ancient Demise on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670368,1384377900,0,1),
(1000052,2657885483,4,0,'Ancient Focus','Increases the duration of the fighter''s beneficial spells.',245,65535,317,0,0,0,0,1,'Your Ancient Focus was successful on %t!','Your Ancient Focus fades.','',1,0,'',0,'You cast Ancient Focus on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670368,1384377901,0,1),
(1000053,4153001716,4,0,'Ancient Fury','Adds two ticks to all of the mage''s damage over time abilities.',901,65535,315,0,0,0,0,1,'Your Ancient Fury was successful on %t!','Your Ancient Fury fades.','',1,0,'',0,'You cast Ancient Fury on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670368,1384377830,0,1),
(1000054,3841379036,4,1,'Ancient Pedigree','Ancient Pedigree adds additional health to the shaman''s pet and grants the pet a special attack.',868,65535,65535,0,0,0,1,1,'Your Ancient Pedigree was successful on %t!','Your Ancient Pedigree fades.','',1,0,'',0,'You cast Ancient Pedigree on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670368,1384377913,0,1),
(1000055,356592043,4,0,'Ancient Ritual','The Ritual Healing line will heal and critical for more. Also the casting time will be reduced slightly.',468,65535,316,0,0,0,0,1,'Your Ancient Ritual was successful on %t!','Your Ancient Ritual fades.','',1,0,'',0,'You cast Ancient Ritual on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670368,1384377912,0,1),
(1000056,846562518,0,0,'Ancient Shield','Increases the physical mitigation of the mage.',358,65535,317,0,0,0,0,0,'Your Ancient Shield was successful on %t!','Your Ancient Shield fades.','',1,0,'Spells/AA/AncientShield.lua',0,'You cast Ancient Shield on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670368,1384377900,0,1),
(1000057,321393606,4,1,'Ancient Wave','Increases the mage''s chance to AE Auto Attack',848,65535,317,0,0,0,1,0,'Your Ancient Wave was successful on %t!','Your Ancient Wave fades.','',0,1,'Spells/AA/AncientWave.lua',0,'You cast Ancient Wave on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670370,1384377912,0,1),
(1000058,1724376459,4,0,'Animal Instinct','An innate effect triggered by melee attacks which improves Multi-Attack Chance and the base damage of combat arts.',184,65535,65535,0,0,0,0,1,'Your Animal Instinct was successful on %t!','Your Animal Instinct fades.','',1,0,'',0,'You cast Animal Instinct on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670370,1384377908,0,1),
(1000059,4147917664,4,0,'Animalist''s Agility','Increases the Animalist''s agility by 7 for each rank.',564,65535,65535,0,0,0,0,1,'Your Animalist''s Agility was successful on %t!','Your Animalist''s Agility fades.','',1,0,'',0,'You cast Animalist''s Agility on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670370,1384377833,0,1),
(1000060,4232708581,4,0,'Animalist''s Agility','Increases the Animalist''s agility by 5 for each rank.',60,65535,65535,0,0,0,0,1,'Your Animalist''s Agility was successful on %t!','Your Animalist''s Agility fades.','',1,0,'',0,'You cast Animalist''s Agility on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670370,1384377906,0,1),
(1000061,3705243017,4,1,'Animalist''s Fortitude','Improves the maximum health of the animalist.',800,65535,317,0,0,0,1,1,'Your Animalist''s Fortitude was successful on %t!','Your Animalist''s Fortitude fades.','',1,0,'',0,'You cast Animalist''s Fortitude on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670370,1384377903,0,1),
(1000062,2411320002,4,1,'Animalist''s Fury','Improves base damage on non-scaling Primal abilities and the modifier on scaling Primal abilities, making them more potent.',921,65535,65535,0,0,0,1,1,'Your Animalist''s Fury was successful on %t!','Your Animalist''s Fury fades.','',1,0,'',0,'You cast Animalist''s Fury on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670370,1384377838,0,1),
(1000063,1171313715,4,0,'Animalist''s Spirit','Increases the maximum power of the animalist.',328,65535,317,0,0,0,0,1,'Your Animalist''s Spirit was successful on %t!','Your Animalist''s Spirit fades.','',1,0,'',0,'You cast Animalist''s Spirit on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670370,1384377909,0,1),
(1000064,39972483,4,0,'Animist''s Wisdom','Increases the Animist''s wisdom by 5 per rank.',585,65535,65535,0,0,0,0,1,'Your Animist''s Wisdom was successful on %t!','Your Animist''s Wisdom fades.','',1,0,'',0,'You cast Animist''s Wisdom on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670370,1384377833,0,1),
(1000065,2841825308,4,1,'Another Round!','Your divine skills allow you to purify drinks, allowing them to last longer than normal.',131,65535,65535,0,0,0,1,1,'Your Another Round! was successful on %t!','Your Another Round! fades.','',1,0,'',0,'You cast Another Round! on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670370,1384378109,0,1),
(1000066,2236755321,4,1,'Antidote','Increases your resistance to noxious based attacks.',259,65535,65535,0,0,0,0,0,'Your Antidote was successful on %t!','Your Antidote fades.','',0,1,'Spells/Traits/Antidote.lua',0,'You cast Antidote on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670370,1384378109,0,1),
(1000067,4279084742,4,1,'Aptitude of the Theurgist','Increases the base amount of spell attacks.',562,65535,65535,0,0,0,1,1,'Your Aptitude of the Theurgist was successful on %t!','Your Aptitude of the Theurgist fades.','',1,0,'',0,'You cast Aptitude of the Theurgist on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670370,1384377831,0,1),
(1000068,2164081327,4,1,'Arasai Savvy','Through intense study, you gain additional intelligence that increases with your level.',476,65535,317,0,0,0,1,0,'Your Arasai Savvy was successful on %t!','Your Arasai Savvy fades.','',0,1,'Spells/Traits/ArasaiSavvy.lua',0,'You cast Arasai Savvy on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670370,1384378110,0,1),
(1000069,2320162934,4,1,'Arbiter of Justice','',870,65535,317,0,0,0,1,1,'Your Arbiter of Justice was successful on %t!','Your Arbiter of Justice fades.','',1,0,'',0,'You cast Arbiter of Justice on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670370,1384377839,0,1),
(1000070,744490578,4,0,'Arbiter''s Intelligence','Increases the Arbiter''s intelligence by 6 for each rank.',566,65535,65535,0,0,0,0,1,'Your Arbiter''s Intelligence was successful on %t!','Your Arbiter''s Intelligence fades.','',1,0,'',0,'You cast Arbiter''s Intelligence on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670370,1384377830,0,1),
(1000071,4126072855,4,0,'Arcane Barrier','Increases the resistances of the mage''s group buffs.',203,65535,314,0,0,0,0,1,'Your Arcane Barrier was successful on %t!','Your Arcane Barrier fades.','',1,0,'',0,'You cast Arcane Barrier on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670370,1384377918,0,1),
(1000072,4173840425,4,1,'Arcane Force','The wizard gains additional Potency from Crit Bonus.',586,65535,65535,0,0,0,1,1,'Your Arcane Force was successful on %t!','Your Arcane Force fades.','',1,0,'',0,'You cast Arcane Force on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670370,1384377911,0,1),
(1000073,443465433,4,0,'Arcane Hatred','Arcane Hatred improves the hate gain and hate transfer amounts of Enraging Demeanor and its upgrades.',294,65535,316,0,0,0,0,1,'Your Arcane Hatred was successful on %t!','Your Arcane Hatred fades.','',1,0,'',0,'You cast Arcane Hatred on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670370,1384377908,0,1),
(1000074,4085202530,4,1,'Arcane Knowledge','Your increased knowledge allows you to increase your power pool by a small amount.',159,65535,317,0,0,0,1,0,'Your Arcane Knowledge was successful on %t!','Your Arcane Knowledge fades.','',0,1,'Spells/Traits/ArcaneKnowledge.lua',0,'You cast Arcane Knowledge on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670370,1384378109,0,1),
(1000075,274372801,4,0,'Arcane Minion','The Magician''s caster pet gains increased casting, recovery, and reuse speed.',622,65535,65535,0,0,0,0,1,'Your Arcane Minion was successful on %t!','Your Arcane Minion fades.','',1,0,'',0,'You cast Arcane Minion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670370,1384377833,0,1),
(1000076,2480828331,4,1,'Arcane Stormbringer','Enhances certain wizard encounter and area of effect abilities so they do more base damage. This modification comes before all other stats and enhancements.',550,65535,65535,0,0,0,1,1,'Your Arcane Stormbringer was successful on %t!','Your Arcane Stormbringer fades.','',1,0,'',0,'You cast Arcane Stormbringer on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670370,1384377908,0,1),
(1000077,1531129296,4,1,'Arcane Surge','Surge of Ro will gain an additional chance to apply extra magic damage when the wizard attacks. This can trigger off of any spell rather than just heat spells.',222,65535,317,0,0,0,1,1,'Your Arcane Surge was successful on %t!','Your Arcane Surge fades.','',1,0,'',0,'You cast Arcane Surge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670370,1384377916,0,1),
(1000078,1386743155,4,1,'Arcane Tyrant','Tyrant''s Pact will allow group members to inflict additional magic damage when attacking.',479,65535,314,0,0,0,1,1,'Your Arcane Tyrant was successful on %t!','Your Arcane Tyrant fades.','',1,0,'',0,'You cast Arcane Tyrant on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670370,1384377905,0,1),
(1000079,2381002929,4,0,'Arcane Understanding','Vampires live in eternity and become particularly skilled at creating spells, allowing them to use less power with their reaction arts.',159,65535,317,0,0,0,0,1,'Your Arcane Understanding was successful on %t!','Your Arcane Understanding fades.','',1,0,'',0,'You cast Arcane Understanding on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670370,1384378109,0,1),
(1000080,2589576905,4,1,'Arcanic Fortitude','Divine runes protect you and allow you to resist arcane attacks better.',182,65535,314,0,0,0,1,0,'Your Arcanic Fortitude was successful on %t!','Your Arcanic Fortitude fades.','',0,1,'Spells/Traits/ArcanicFortitude.lua',0,'You cast Arcanic Fortitude on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670370,1384378110,0,1),
(1000081,3279625965,4,0,'Archer''s Agility','Increases the Archer''s agility by 5 for each rank.',493,65535,65535,0,0,0,0,0,'Your Archer''s Agility was successful on %t!','Your Archer''s Agility fades.','',0,1,'Spells/AA/ArchersAgility.lua',0,'You cast Archer''s Agility on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670372,1384377833,0,1),
(1000082,171868809,4,0,'Archlich''s Lifetap','Improves the base and critical damage of the Lifetap line of spells.',281,65535,315,0,0,0,0,1,'Your Archlich''s Lifetap was successful on %t!','Your Archlich''s Lifetap fades.','',1,0,'',0,'You cast Archlich''s Lifetap on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670372,1384377913,0,1),
(1000083,279862822,4,0,'Arena Endurance','All of the Gladiator''s combat arts and abilities consume less power. That power is instead added to the Gladiator''s health.',619,65535,65535,0,0,0,0,1,'Your Arena Endurance was successful on %t!','Your Arena Endurance fades.','',1,0,'',0,'You cast Arena Endurance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670372,1384377899,0,1),
(1000084,3906606691,4,1,'Aria of Health','An uplifting song that grants the troubador additional health.',816,65535,65535,0,0,0,0,0,'Your Aria of Health was successful on %t!','Your Aria of Health fades.','',0,1,'Spells/AA/AriaofHealth.lua',0,'You cast Aria of Health on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,1,0,0,'Unset',1384670372,1384377910,0,1),
(1000085,3076439976,4,1,'Armor of Earth','When Earthlord triggers, the group will gain bonus mitigation for a short duration.',216,65535,314,0,0,0,1,1,'Your Armor of Earth was successful on %t!','Your Armor of Earth fades.','',1,0,'',0,'You cast Armor of Earth on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670372,1384377902,0,1),
(1000086,1255302924,4,1,'Armor of the Feerrott','Your skills in fighting have increased your ability to absorb physical blows.',920,65535,313,0,0,0,0,0,'Your Armor of the Feerrott was successful on %t!','Your Armor of the Feerrott fades.','',0,1,'Spells/Traits/ArmoroftheFeerrott.lua',0,'You cast Armor of the Feerrott on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670372,1384377823,0,1),
(1000087,894643731,4,0,'Armorbreak','The fighter has a chance to reduce their target''s mitigation when attacking.',647,65535,317,0,0,0,0,1,'Your Armorbreak was successful on %t!','Your Armorbreak fades.','',1,0,'',0,'You cast Armorbreak on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670372,1384377833,0,1),
(1000088,77549136,4,1,'Armored Vines','Hibernation and the fury''s primary heals over time grant the target increased mitigation.',155,65535,65535,0,0,0,1,1,'Your Armored Vines was successful on %t!','Your Armored Vines fades.','',1,0,'',0,'You cast Armored Vines on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670372,1384377839,0,1),
(1000089,1944589113,4,0,'Arrow Arc','Increases the range of the channeler''s bow.',353,65535,317,0,0,0,0,1,'Your Arrow Arc was successful on %t!','Your Arrow Arc fades.','',1,0,'',0,'You cast Arrow Arc on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670372,1384377838,0,1),
(1000090,3711874663,4,0,'Arrow Bulwark','Applies an incremental augmentation to the group following the use of Seeking Cascade that automatically restores some of the damage that the group takes. This increments up to 8 times.',11,65535,316,0,0,0,0,1,'Your Arrow Bulwark was successful on %t!','Your Arrow Bulwark fades.','',1,0,'',0,'You cast Arrow Bulwark on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670372,1384377911,0,1),
(1000091,3226359501,4,1,'Arrow Followup','Quick Shot and Makeshift Arrow will fire a second shot when triggered.',361,65535,65535,0,0,0,1,1,'Your Arrow Followup was successful on %t!','Your Arrow Followup fades.','',1,0,'',0,'You cast Arrow Followup on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670372,1384377840,0,1),
(1000092,3234784335,4,1,'Arrow Rain','The ranger''s direct damage area of effect attacks will inflict additional damage. This ability only applies to profession abilities.',363,65535,65535,0,0,0,1,1,'Your Arrow Rain was successful on %t!','Your Arrow Rain fades.','',1,0,'',0,'You cast Arrow Rain on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670372,1384377919,0,1),
(1000093,3740720289,4,0,'Arrow Reclamation','Allows the ranger to conserve some ammunition.  In addition, they will increase the damage of the Arrow Rip line and at max rank the ranger will reclaim an additional arrow.',335,65535,315,0,0,0,0,1,'Your Arrow Reclamation was successful on %t!','Your Arrow Reclamation fades.','',1,0,'',0,'You cast Arrow Reclamation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670372,1384377917,0,1),
(1000094,464494776,4,1,'Arrow Salvo','Reduces the base reuse and casting times of Stream of Arrows and Storm of Arrows.',810,65535,317,0,0,0,1,1,'Your Arrow Salvo was successful on %t!','Your Arrow Salvo fades.','',1,0,'',0,'You cast Arrow Salvo on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670372,1384377901,0,1),
(1000095,1094549814,4,0,'Arrow Torrent','Increases the shaper''s Damage Per Second.',330,65535,317,0,0,0,0,0,'Your Arrow Torrent was successful on %t!','Your Arrow Torrent fades.','',0,1,'Spells/AA/ArrowTorrent.lua',0,'You cast Arrow Torrent on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670372,1384377911,0,1),
(1000096,3416980995,4,1,'Artisan''s Discipline','Increases the artisan''s rate of progress.',89,65535,317,0,0,0,0,0,'Your Artisan''s Discipline was successful on %t!','Your Artisan''s Discipline fades.','',0,1,'Spells/AA/ArtisansDiscipline.lua',0,'You cast Artisan''s Discipline on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670372,1384377899,0,1),
(1000097,4032853881,4,1,'Ascetic Discipline','Increases the duration of all tradeskilled drinks by 20 percent.',131,65535,65535,0,0,0,1,1,'Your Ascetic Discipline was successful on %t!','Your Ascetic Discipline fades.','',1,0,'',0,'You cast Ascetic Discipline on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670372,1384378109,0,1),
(1000098,4168334002,4,1,'Assisting Wind','Certain spells and combat arts will do bonus damage.',191,65535,315,0,0,0,1,1,'Your Assisting Wind was successful on %t!','Your Assisting Wind fades.','',1,0,'',0,'You cast Assisting Wind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670372,1384377902,0,1),
(1000099,4174521283,4,0,'Atomic Reaction','Atomic Reaction improves the base damage and reuse speed of the Fusion line of spells.',85,65535,65535,0,0,0,0,1,'Your Atomic Reaction was successful on %t!','Your Atomic Reaction fades.','',1,0,'',0,'You cast Atomic Reaction on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670372,1384377905,0,1),
(1000100,146943572,4,0,'Atonement','Increases the ward amount of the Repent line and its upgrades.',155,65535,316,0,0,0,0,1,'Your Atonement was successful on %t!','Your Atonement fades.','',1,0,'',0,'You cast Atonement on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670372,1384377903,0,1),
(1000101,69691074,4,0,'Atonement of Sins','Grants additional healing and critical amount to the Alleviation line of spells.',293,65535,314,0,0,0,0,1,'Your Atonement of Sins was successful on %t!','Your Atonement of Sins fades.','',1,0,'',0,'You cast Atonement of Sins on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670372,1384377904,0,1),
(1000102,2807975519,4,0,'Atoning Kick','Atoning Kick increases the base damage of the paladin''s Penitent Kick line of abilities.',512,65535,315,0,0,0,0,1,'Your Atoning Kick was successful on %t!','Your Atoning Kick fades.','',1,0,'',0,'You cast Atoning Kick on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670372,1384377909,0,1),
(1000103,1920733099,4,1,'Attention to Details','While tradeskilling, you will have a higher chance to complete a successful round.',167,65535,65535,0,0,0,1,0,'Your Attention to Details was successful on %t!','Your Attention to Details fades.','',0,1,'Spells/Traits/AttentiontoDetails.lua',0,'You cast Attention to Details on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670372,1384378109,0,1),
(1000104,26274800,4,0,'Attentive','Your attention span is fantastic. This trait focuses your mind and allows you to gain an additional 5 Power regeneration.',185,65535,65535,0,0,0,0,1,'Your Attentive was successful on %t!','Your Attentive fades.','',1,0,'',0,'You cast Attentive on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670374,1384378109,0,1),
(1000105,2703934750,4,0,'Attribute Prowess','Increases all stats except for Stamina.',43,65535,65535,0,0,0,0,0,'Your Attribute Prowess was successful on %t!','Your Attribute Prowess fades.','',1,0,'Spells/AA/AttributeProwess.lua',0,'You cast Attribute Prowess on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670374,1384377899,0,1),
(1000106,2014748077,4,1,'Aura of Defense','Force of Nature gains a small regenerating ward.',887,65535,316,0,0,0,1,1,'Your Aura of Defense was successful on %t!','Your Aura of Defense fades.','',1,0,'',0,'You cast Aura of Defense on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670374,1384377904,0,1),
(1000107,340600567,4,0,'Aura of Haste','Your group receives an increase in combat attack speed while near your pet.',547,65535,65535,0,0,0,0,1,'Your Aura of Haste was successful on %t!','Your Aura of Haste fades.','',1,0,'',0,'You cast Aura of Haste on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670374,1384377907,0,1),
(1000108,2980485195,4,1,'Aura of Justice','The group will gain increased health based on the amount of increments of Divine Justice the paladin has active.',31,65535,313,0,0,0,1,1,'Your Aura of Justice was successful on %t!','Your Aura of Justice fades.','',1,0,'',0,'You cast Aura of Justice on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670374,1384377908,0,1),
(1000109,1320371366,4,0,'Aura of Purity','Grants the shaman''s pet a chance to cure the group when it attacks.',628,65535,65535,0,0,0,0,1,'Your Aura of Purity was successful on %t!','Your Aura of Purity fades.','',1,0,'',0,'You cast Aura of Purity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670374,1384377903,0,1),
(1000110,3189470910,4,1,'Aura of Tranquility','While Energizing Aura is active, the illusionist''s group members will gain power over time.',31,65535,314,0,0,0,1,1,'Your Aura of Tranquility was successful on %t!','Your Aura of Tranquility fades.','',1,0,'',0,'You cast Aura of Tranquility on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670374,1384377909,0,1),
(1000111,2317988692,4,0,'Aura of Warding','Every time your pet attacks, there is a chance that a group ward will be cast on the party.',552,65535,65535,0,0,0,0,1,'Your Aura of Warding was successful on %t!','Your Aura of Warding fades.','',1,0,'',0,'You cast Aura of Warding on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670374,1384377902,0,1),
(1000112,2865779869,4,1,'Automated Poison Dispenser','Skilled in the art of poisoning foes, tradeskilled poisons will gain a 25 percent increase to the number of times they trigger.',258,65535,315,0,0,0,1,1,'Your Automated Poison Dispenser was successful on %t!','Your Automated Poison Dispenser fades.','',1,0,'',0,'You cast Automated Poison Dispenser on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670374,1384378109,0,1),
(1000113,352699713,4,0,'Avast Ye','Grants the Pirate chances at additional melee attacks while attacking from the flank or behind any opponent.\n\n\"Never let your eyes stray from that pirate.\"',581,65535,65535,0,0,0,0,1,'Your Avast Ye was successful on %t!','Your Avast Ye fades.','',1,0,'',0,'You cast Avast Ye on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670374,1384377903,0,1),
(1000114,570553587,4,0,'Avenger''s Relentlessness','Increases the Avenger''s Damage Per Second.',557,65535,65535,0,0,0,0,0,'Your Avenger''s Relentlessness was successful on %t!','Your Avenger''s Relentlessness fades.','',0,1,'Spells/AA/AvengersRelentlessness.lua',0,'You cast Avenger''s Relentlessness on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670374,1384377916,0,1),
(1000115,3423573471,4,0,'Avenger''s Strength','Increases the Avenger''s strength by 4 for each rank.',584,65535,65535,0,0,0,0,1,'Your Avenger''s Strength was successful on %t!','Your Avenger''s Strength fades.','',1,0,'',0,'You cast Avenger''s Strength on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670374,1384377903,0,1),
(1000116,2749926492,4,0,'Avenging Hatred','Increases recovery speed of the crusader.',876,65535,317,0,0,0,0,0,'Your Avenging Hatred was successful on %t!','Your Avenging Hatred fades.','',1,0,'Spells/AA/AvengingHatred.lua',0,'You cast Avenging Hatred on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670374,1384377911,0,1),
(1000117,3412218310,4,0,'Avenging Invigoration','All of the Avenger''s combat arts, spells, and abilities have their reuse, recovery, and casting speeds improved.',610,65535,65535,0,0,0,0,1,'Your Avenging Invigoration was successful on %t!','Your Avenging Invigoration fades.','',1,0,'',0,'You cast Avenging Invigoration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670374,1384377833,0,1),
(1000118,97764878,4,1,'Avenging Strikes','The guardian''s single target impairment attacks will inflict additional damage. If the guardian is not the current target of the enemy, the damage is greatly increased.',11,65535,65535,0,0,0,1,1,'Your Avenging Strikes was successful on %t!','Your Avenging Strikes fades.','',1,0,'',0,'You cast Avenging Strikes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670374,1384377838,0,1),
(1000119,614109753,4,0,'Aversion','Aversion improves the minimum deflection amount of the brawler''s defensive stance.',369,65535,317,0,0,0,0,1,'Your Aversion was successful on %t!','Your Aversion fades.','',1,0,'',0,'You cast Aversion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670374,1384377911,0,1),
(1000120,1194238695,4,0,'Ayr`Dal Adornment','Grants the half elf additional skill in artificing.',421,65535,65535,0,0,0,1,0,'Your Ayr`Dal Adornment was successful on %t!','Your Ayr`Dal Adornment fades.','',0,1,'Spells/Traits/AyrDalAdornment.lua',0,'You cast Ayr`Dal Adornment on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670374,1384378109,0,0),
(1000121,1302608528,4,0,'Backstabbing Thief','When the only way out is straight through....',11,65535,65535,0,0,0,0,1,'Your Backstabbing Thief was successful on %t!','Your Backstabbing Thief fades.','',1,0,'',0,'You cast Backstabbing Thief on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670374,1384377838,0,1),
(1000122,3690602746,4,0,'Ball of Flames','Improves the base damage of Ball of Fire and its upgrades.',242,65535,315,2662430630,0,0,0,1,'Your Ball of Flames was successful on %t!','Your Ball of Flames fades.','',1,0,'',0,'You cast Ball of Flames on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670376,1384377836,0,1),
(1000123,3312255315,4,0,'Ballad of Warding','Ballad of Warding improves the ward protection granted by Enhance: Elemental Concerto and Enhance: Arcane Symphony. In addition, the final rank grants Elemental Concerto a small chance to cure Elemental when damaged by an Elemental effect and a small chance for Arcane Concerto to cure Arcane when damaged with an Arcane effect.',154,65535,314,0,0,0,0,1,'Your Ballad of Warding was successful on %t!','Your Ballad of Warding fades.','',1,0,'',0,'You cast Ballad of Warding on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670376,1384377831,0,1),
(1000124,1108609615,4,0,'Bard''s Luck','The Bard''s heroic opportunity starter refreshes in half the normal time. Additional points in this ability increase the Bard''s stamina and agility by 4 points per rank.',604,65535,65535,0,0,0,0,1,'Your Bard''s Luck was successful on %t!','Your Bard''s Luck fades.','',1,0,'',0,'You cast Bard''s Luck on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670376,1384377900,0,1),
(1000125,884108335,4,1,'Barrier of Divinity','Divinity''s Aid will ward the target.',154,65535,316,0,0,0,1,1,'Your Barrier of Divinity was successful on %t!','Your Barrier of Divinity fades.','',1,0,'',0,'You cast Barrier of Divinity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670376,1384377917,0,1),
(1000126,1123512012,4,1,'Basher''s Will','Your extra stamina allows you to gain additional hitpoints.',608,65535,65535,0,0,0,1,0,'Your Basher''s Will was successful on %t!','Your Basher''s Will fades.','',0,1,'Spells/Traits/BashersWill.lua',0,'You cast Basher''s Will on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670376,1384378110,0,1),
(1000127,2747157511,4,0,'Bath of Blood','This ability reduces the casting time while also increasing the base and critical damage of the Bloodbath line of abilities.',343,65535,313,0,0,0,0,1,'Your Bath of Blood was successful on %t!','Your Bath of Blood fades.','',1,0,'',0,'You cast Bath of Blood on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670376,1384377912,0,1),
(1000128,2288801613,4,0,'Battle Cleric','Increases the Inquisitor''s crushing skill and armor mitigation, and reduces power cost of Battle abilities.',358,65535,65535,0,0,0,0,1,'Your Battle Cleric was successful on %t!','Your Battle Cleric fades.','',1,0,'',0,'You cast Battle Cleric on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670376,1384377909,0,1),
(1000129,2313436615,4,0,'Battle Endurance','Adds additional stamina to the Rogue''s Bladeweaver and Street Smarts line of spells.  It also increases the strength and agility found in those spell lines.',294,65535,317,0,0,0,0,1,'Your Battle Endurance was successful on %t!','Your Battle Endurance fades.','',1,0,'',0,'You cast Battle Endurance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670376,1384377910,0,1),
(1000130,1352188916,4,0,'Battle Fervor','Increases the Protector''s chance at blocking and improves their Damage Per Second.',642,65535,65535,0,0,0,0,0,'Your Battle Fervor was successful on %t!','Your Battle Fervor fades.','',0,1,'Spells/AA/BattleFervor.lua',0,'You cast Battle Fervor on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670376,1384377913,0,1),
(1000131,1140700487,4,0,'Battle Focus','Reduces the Dissonance generated by Conduits that inflict damage.',800,65535,317,0,0,0,0,1,'Your Battle Focus was successful on %t!','Your Battle Focus fades.','',1,0,'',0,'You cast Battle Focus on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670376,1384377904,0,1),
(1000132,2171250335,4,0,'Battle Hardened','After fighting many battles, the wizard becomes more adept to battle granting them a small boost in physical mitigation.',900,65535,65535,0,0,0,0,1,'Your Battle Hardened was successful on %t!','Your Battle Hardened fades.','',1,0,'',0,'You cast Battle Hardened on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670376,1384377910,0,1),
(1000133,338157786,4,0,'Battle Hardening','Adds innate damage reduction to the fighter.',837,65535,65535,0,0,0,0,1,'Your Battle Hardening was successful on %t!','Your Battle Hardening fades.','',1,0,'',0,'You cast Battle Hardening on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670376,1384377836,0,1),
(1000134,466357559,4,1,'Battle Ready','Allows you to recover power faster while out of combat.',859,65535,314,0,0,0,1,0,'Your Battle Ready was successful on %t!','Your Battle Ready fades.','',0,1,'Spells/Traits/BattleReady.lua',0,'You cast Battle Ready on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670376,1384378110,0,1),
(1000135,557783475,4,0,'Battlemage Armor','Increases the Battlemage''s physical damage resistance.',622,65535,65535,0,0,0,0,0,'Your Battlemage Armor was successful on %t!','Your Battlemage Armor fades.','',0,1,'Spells/AA/BattlemageArmor.lua',0,'You cast Battlemage Armor on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670376,1384377830,0,1),
(1000136,3210447888,4,0,'Battlemage''s Fervor','Improves the Battlemage''s focus, disruption, ordination, and subjugation skills.',584,65535,65535,0,0,0,0,0,'Your Battlemage''s Fervor was successful on %t!','Your Battlemage''s Fervor fades.','',0,1,'Spells/AA/BattlemagesFervor.lua',0,'You cast Battlemage''s Fervor on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670376,1384377902,0,1),
(1000137,3476125855,4,0,'Battlemage''s Stamina','Increases the Battlemage''s stamina by 7 points per rank of this ability.',565,65535,65535,0,0,0,0,1,'Your Battlemage''s Stamina was successful on %t!','Your Battlemage''s Stamina fades.','',1,0,'',0,'You cast Battlemage''s Stamina on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670376,1384377830,0,1),
(1000138,3339475598,4,1,'Battlescarred','Passively increases the amount of health gained from stamina.',43,65535,317,0,0,0,1,1,'Your Battlescarred was successful on %t!','Your Battlescarred fades.','',1,0,'',0,'You cast Battlescarred on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670376,1384377902,0,1),
(1000139,1027131035,4,1,'Battleworn','Passively increases the amount of health gained from stamina.',43,65535,317,0,0,0,1,1,'Your Battleworn was successful on %t!','Your Battleworn fades.','',1,0,'',0,'You cast Battleworn on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670376,1384377839,0,1),
(1000140,1075924081,4,0,'Battleworn Resilience','Battleworn Resilience reduces the amount of physical damage done to the beastlord.',192,65535,317,0,0,0,0,1,'Your Battleworn Resilience was successful on %t!','Your Battleworn Resilience fades.','',1,0,'',0,'You cast Battleworn Resilience on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670376,1384377912,0,1),
(1000141,1924245096,4,0,'Bearer of Divinity','Reduces the duration of the penalty on Divine Favor.',219,65535,65535,0,0,0,0,1,'Your Bearer of Divinity was successful on %t!','Your Bearer of Divinity fades.','',1,0,'',0,'You cast Bearer of Divinity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670376,1384377902,0,1),
(1000142,1304311685,4,1,'Believe in Lady Luck','Luck of the Dirge will have a chance to save allies from death.',925,65535,314,0,0,0,1,1,'Your Believe in Lady Luck was successful on %t!','Your Believe in Lady Luck fades.','',1,0,'',0,'You cast Believe in Lady Luck on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670378,1384377841,0,1),
(1000143,938901941,4,1,'Berserk Fury','The berserker will take less damage when Battle Frenzy is active.',859,65535,317,0,0,0,1,1,'Your Berserk Fury was successful on %t!','Your Berserk Fury fades.','',1,0,'',0,'You cast Berserk Fury on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670378,1384377915,0,1),
(1000144,3367832718,4,0,'Bewilderment','Coming out of a shroud effect will temporarily confuse any adversaries allowing you a greater chance to strike your target.',832,65535,65535,0,0,0,0,1,'Your Bewilderment was successful on %t!','Your Bewilderment fades.','',1,0,'',0,'You cast Bewilderment on %t.',4,0,1,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1613319503,1384377904,0,1),
(1000145,3376561082,4,0,'Bishop''s Strength','Increases the Bishop''s strength by 8 for each rank.',576,65535,65535,0,0,0,0,1,'Your Bishop''s Strength was successful on %t!','Your Bishop''s Strength fades.','',1,0,'',0,'You cast Bishop''s Strength on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670378,1384377830,0,1),
(1000146,2140201042,4,0,'Bite of the Cobra','Adds additional base and critical damage to the Striking Cobra line of skills.',494,65535,315,0,0,0,0,1,'Your Bite of the Cobra was successful on %t!','Your Bite of the Cobra fades.','',1,0,'',0,'You cast Bite of the Cobra on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670378,1384377901,0,1),
(1000147,3544389204,4,0,'Blackguard''s Defense','Increases the Blackguard''s defense skill.',624,65535,65535,0,0,0,0,0,'Your Blackguard''s Defense was successful on %t!','Your Blackguard''s Defense fades.','',0,1,'Spells/AA/BlackguardsDefense.lua',0,'You cast Blackguard''s Defense on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670378,1384377913,0,1),
(1000148,1294435319,4,0,'Blackguard''s Luck','Increases the Blackguard''s chances at critical melee damage.',649,65535,65535,0,0,0,0,0,'Your Blackguard''s Luck was successful on %t!','Your Blackguard''s Luck fades.','',0,1,'Spells/AA/BlackguardsLuck.lua',0,'You cast Blackguard''s Luck on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670378,1384377904,0,1),
(1000149,3226449152,4,0,'Blackguard''s Stamina','Increases the Blackguard''s stamina by 6 for each rank.',565,65535,65535,0,0,0,0,1,'Your Blackguard''s Stamina was successful on %t!','Your Blackguard''s Stamina fades.','',1,0,'',0,'You cast Blackguard''s Stamina on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670378,1384377833,0,1),
(1000150,1028487032,4,0,'Blackguard''s Strength','Increases the Blackguard''s strength by 4 for each rank.',576,65535,65535,0,0,0,0,1,'Your Blackguard''s Strength was successful on %t!','Your Blackguard''s Strength fades.','',1,0,'',0,'You cast Blackguard''s Strength on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670378,1384377830,0,1),
(1000151,4053590557,4,1,'Blade Crusher','The guardian gains additional Potency from Damage Per Second.',11,65535,65535,0,0,0,1,1,'Your Blade Crusher was successful on %t!','Your Blade Crusher fades.','',1,0,'',0,'You cast Blade Crusher on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670378,1384377909,0,1),
(1000152,4141663990,4,0,'Bladed Expertise','Grants the druid improved Damage Per Second.',302,65535,315,0,0,0,0,0,'Your Bladed Expertise was successful on %t!','Your Bladed Expertise fades.','',0,1,'Spells/AA/BladedExpertise.lua',0,'You cast Bladed Expertise on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670378,1384377915,0,1),
(1000153,2709816195,4,1,'Blademaster','The swashbuckler gains additional Crit Bonus from Damage Per Second.',302,65535,317,0,0,0,1,1,'Your Blademaster was successful on %t!','Your Blademaster fades.','',1,0,'',0,'You cast Blademaster on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670378,1384377839,0,1),
(1000154,2676757029,4,0,'Blademaster''s Strength','Increases the Blademaster''s strength by 4 for each rank.',576,65535,65535,0,0,0,0,1,'Your Blademaster''s Strength was successful on %t!','Your Blademaster''s Strength fades.','',1,0,'',0,'You cast Blademaster''s Strength on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670378,1384377834,0,1),
(1000155,478128329,4,1,'Blades of Protection','Adds additional strikes to Grit.',383,65535,315,0,0,0,1,1,'Your Blades of Protection was successful on %t!','Your Blades of Protection fades.','',1,0,'',0,'You cast Blades of Protection on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670378,1384377903,0,1),
(1000156,1166041885,4,0,'Bladescreech','The dirge gains additional potency from Damage Per Second.',817,65535,317,0,0,0,0,1,'Your Bladescreech was successful on %t!','Your Bladescreech fades.','',1,0,'',0,'You cast Bladescreech on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670378,1384377907,0,1),
(1000157,1812684855,4,0,'Bladesing','The Bladesinger''s group songs that increase attributes have their values increased.',701,65535,65535,0,0,0,0,1,'Your Bladesing was successful on %t!','Your Bladesing fades.','',1,0,'',0,'You cast Bladesing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670378,1384377905,0,1),
(1000158,476157112,4,0,'Bladesinger''s Strength','Increases the Bladesinger''s strength by 4 for each rank.',576,65535,65535,0,0,0,0,1,'Your Bladesinger''s Strength was successful on %t!','Your Bladesinger''s Strength fades.','',1,0,'',0,'You cast Bladesinger''s Strength on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670378,1384377833,0,1),
(1000159,1792561190,4,1,'Bladespinner','Passively grants the swashbuckler a chance for combat arts to finish the reuse of Lucky Gambit or Dashing Swathe.',271,65535,317,0,0,0,1,1,'Your Bladespinner was successful on %t!','Your Bladespinner fades.','',1,0,'',0,'You cast Bladespinner on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670378,1384377839,0,1),
(1000160,4067423636,4,0,'Bladeturn','The Bladesinger''s group songs that increase avoidance skills have their values increased.',619,65535,65535,0,0,0,0,1,'Your Bladeturn was successful on %t!','Your Bladeturn fades.','',1,0,'',0,'You cast Bladeturn on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670378,1384377901,0,1),
(1000161,2832813749,4,1,'Blaze of Ro','Increases the damage of the Fiery Annihilation line exponentially.',273,65535,315,0,0,0,1,1,'Your Blaze of Ro was successful on %t!','Your Blaze of Ro fades.','',1,0,'',0,'You cast Blaze of Ro on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670378,1384377910,0,1),
(1000162,1801816646,4,0,'Blazing Cobra','Improves the damage of the Crescent Strike and Beatdown lines of combat arts.  In addition, the brawler will cast these skills faster.',343,65535,313,0,0,0,0,1,'Your Blazing Cobra was successful on %t!','Your Blazing Cobra fades.','',1,0,'',0,'You cast Blazing Cobra on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670378,1384377917,0,1),
(1000163,4293558661,4,0,'Blazing Conjuration','Grants the conjuror''s pet a heat based spell or melee attack based on the pet''s class.',896,65535,65535,0,0,0,0,1,'Your Blazing Conjuration was successful on %t!','Your Blazing Conjuration fades.','',1,0,'',0,'You cast Blazing Conjuration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670378,1384377900,0,1),
(1000164,1577132726,4,1,'Blazing Weapons','Honed Reflexes and Killing Instinct will gain the chance to apply heat damage when the ranger attacks.',216,65535,317,0,0,0,1,1,'Your Blazing Weapons was successful on %t!','Your Blazing Weapons fades.','',1,0,'',0,'You cast Blazing Weapons on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670378,1384377915,0,1),
(1000165,1411549434,4,0,'Blessed Armament','Imbues the Exorcist with a chance to cleanse their enemies with divine damage.',549,65535,65535,0,0,0,0,1,'Your Blessed Armament was successful on %t!','Your Blessed Armament fades.','',1,0,'',0,'You cast Blessed Armament on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670378,1384377830,0,1),
(1000166,1439445548,4,0,'Blessed Warding','The Blessing of the Paladin line will gain a regenerating ward and will also have the spell''s strength and stamina increased.',146,65535,317,0,0,0,0,1,'Your Blessed Warding was successful on %t!','Your Blessed Warding fades.','',1,0,'',0,'You cast Blessed Warding on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670378,1384377905,0,1),
(1000167,3484193690,4,0,'Blessed Yaulp','Improves the bonuses of Yaulp.',608,65535,313,0,0,0,0,1,'Your Blessed Yaulp was successful on %t!','Your Blessed Yaulp fades.','',1,0,'',0,'You cast Blessed Yaulp on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670380,1384377916,0,1),
(1000168,397007352,4,1,'Blessing Touch','Your study into the divine arts grants you additional skill with abilities requiring ministration.',468,65535,316,0,0,0,1,0,'Your Blessing Touch was successful on %t!','Your Blessing Touch fades.','',0,1,'Spells/Traits/BlessingTouch.lua',0,'You cast Blessing Touch on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670380,1384378110,0,1),
(1000169,2175451524,4,1,'Blessing of the Meal','Your divine skills allow you to purify drinks, allowing them to last longer than normal.',131,65535,65535,0,0,0,1,1,'Your Blessing of the Meal was successful on %t!','Your Blessing of the Meal fades.','',1,0,'',0,'You cast Blessing of the Meal on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670380,1384378110,0,1),
(1000170,1423595351,4,0,'Blighter''s Intelligence','Increases the Blighter''s intelligence by 6 for each rank.',566,65535,65535,0,0,0,0,1,'Your Blighter''s Intelligence was successful on %t!','Your Blighter''s Intelligence fades.','',1,0,'',0,'You cast Blighter''s Intelligence on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670380,1384377834,0,1),
(1000171,1339190616,4,1,'Blinding Sands','Sandstorm will now grant a chance for allies to become immune to indirect area of effect abilities. The group will receive increased critical damage whenever Sandstorm triggers.',509,65535,314,0,0,0,1,1,'Your Blinding Sands was successful on %t!','Your Blinding Sands fades.','',1,0,'',0,'You cast Blinding Sands on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670380,1384377838,0,1),
(1000172,1443539568,4,0,'Blissful Healing','The Nature''s Embrace line of heals will heal and critical for more.',468,65535,316,0,0,0,0,1,'Your Blissful Healing was successful on %t!','Your Blissful Healing fades.','',1,0,'',0,'You cast Blissful Healing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670380,1384377912,0,1),
(1000173,4158243671,4,0,'Block Harm','Increases the Witchdoctor''s block chance and Damage Per Second.',563,65535,65535,0,0,0,0,0,'Your Block Harm was successful on %t!','Your Block Harm fades.','',0,1,'Spells/AA/BlockHarm.lua',0,'You cast Block Harm on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670380,1384377833,0,1),
(1000174,3448312358,4,1,'Blocking Expertise','Not only are you skilled in attacking, you gain an additional chance to block with a shield or deflect an attack.',842,65535,317,0,0,0,1,0,'Your Blocking Expertise was successful on %t!','Your Blocking Expertise fades.','',0,1,'Spells/Traits/BlockingExpertise.lua',0,'You cast Blocking Expertise on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670380,1384378109,0,1),
(1000175,3659952721,4,0,'Blocking Mastery','Your ability to block incoming attacks with a shield is signficantly increased.',563,65535,65535,0,0,0,0,1,'Your Blocking Mastery was successful on %t!','Your Blocking Mastery fades.','',1,0,'',0,'You cast Blocking Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670380,1384377907,0,1),
(1000176,894507305,4,1,'Blood Pulse','Dark Heart has a chance to finish the cooldown on Self Reanimation.',918,65535,317,0,0,0,1,1,'Your Blood Pulse was successful on %t!','Your Blood Pulse fades.','',1,0,'',0,'You cast Blood Pulse on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670380,1384377899,0,1),
(1000177,2551690602,4,1,'Bloodletting','The vampire has a chance to suck blood from their target when attacking, dealing additional damage and healing the vampire.',367,65535,65535,0,0,0,1,1,'Your Bloodletting was successful on %t!','Your Bloodletting fades.','',1,0,'',0,'You cast Bloodletting on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670380,1384378110,0,1),
(1000178,2745008752,4,1,'Bloodsoaked Frenzy','',301,65535,315,0,0,0,1,1,'Your Bloodsoaked Frenzy was successful on %t!','Your Bloodsoaked Frenzy fades.','',1,0,'',0,'You cast Bloodsoaked Frenzy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670380,1384377916,0,1),
(1000179,144149124,4,1,'Bloodthirsty','Increases the base hit points by 2 percent while also increasing the base power pool by 1%.',496,65535,65535,0,0,0,1,1,'Your Bloodthirsty was successful on %t!','Your Bloodthirsty fades.','',1,0,'',0,'You cast Bloodthirsty on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670380,1384378109,0,1),
(1000180,1473422947,4,1,'Bloody Assassin','The assassin gains additional Crit Bonus from Damage Per Second.',267,65535,65535,0,0,0,1,1,'Your Bloody Assassin was successful on %t!','Your Bloody Assassin fades.','',1,0,'',0,'You cast Bloody Assassin on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670380,1384377906,0,1),
(1000181,4054166999,4,1,'Bloody Assault','Quick Strike has a chance to finish the cooldown on Shadow Step. Additionally, Stealth Assault no longer requires stealth.',371,65535,317,0,0,0,1,1,'Your Bloody Assault was successful on %t!','Your Bloody Assault fades.','',1,0,'',0,'You cast Bloody Assault on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670380,1384377900,0,1),
(1000182,1031654268,4,0,'Dodge and Strike','Grants the assassin an additional chance to dodge attacks',805,65535,65535,0,0,0,0,0,'Your Bob and Weave was successful on %t!','Your Bob and Weave fades.','',0,1,'Spells/AA/BobandWeave.lua',0,'You cast Bob and Weave on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670380,1384377835,0,1),
(1000183,2714137073,4,0,'Bodyguard of Stone','After a successful Riposte, you may become immune to the next physical attack that lands. All Riposte damage is increased.',509,65535,65535,0,0,0,0,1,'Your Bodyguard of Stone was successful on %t!','Your Bodyguard of Stone fades.','',1,0,'',0,'You cast Bodyguard of Stone on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670380,1384377907,0,1),
(1000184,2649125397,4,0,'Bolstered Blessing','Improves the health granted by Marisha Kur''s Blessing.',146,65535,314,0,0,0,0,1,'Your Bolstered Blessing was successful on %t!','Your Bolstered Blessing fades.','',1,0,'',0,'You cast Bolstered Blessing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670380,1384377908,0,1),
(1000185,1351376684,4,1,'Bolstered Health','',224,65535,317,0,0,0,1,1,'Your Bolstered Health was successful on %t!','Your Bolstered Health fades.','',1,0,'',0,'You cast Bolstered Health on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670380,1384378158,0,1),
(1000186,1789946889,4,1,'Bolstered Perception','Increases the base heal amount, base power amount and base damage amount of Ralissk''s Perception''s triggered effect. This applies before potency.',15,65535,312,0,0,0,1,1,'Your Bolstered Perception was successful on %t!','Your Bolstered Perception fades.','',1,0,'',0,'You cast Bolstered Perception on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670380,1384377907,0,1),
(1000187,3793931186,4,0,'Bolstering Spirits','Improves the attribute increase and adds mitigation to Bolster.',16,65535,65535,0,0,0,0,1,'Your Bolstering Spirits was successful on %t!','Your Bolstering Spirits fades.','',1,0,'',0,'You cast Bolstering Spirits on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670380,1384377899,0,1),
(1000188,659315350,4,0,'Bolt of Power','Imbues the Bishop''s weapon with divine power, that sometimes interrupts enemies and causes additional divine damage when striking with a weapon or spell.',581,65535,65535,0,0,0,0,1,'Your Bolt of Power was successful on %t!','Your Bolt of Power fades.','',1,0,'',0,'You cast Bolt of Power on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670380,1384377906,0,1),
(1000189,880918620,4,1,'Bombardier','The ranger gains additional potency from Damage Per Second.',342,65535,317,0,0,0,1,1,'Your Bombardier was successful on %t!','Your Bombardier fades.','',1,0,'',0,'You cast Bombardier on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670380,1384377899,0,1),
(1000190,909187447,4,0,'Bombardment','Increases the Flurry chance of the shaper.',670,65535,317,0,0,0,0,0,'Your Bombardment was successful on %t!','Your Bombardment fades.','',0,1,'Spells/AA/Bombardment.lua',0,'You cast Bombardment on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670380,1384377831,0,1),
(1000191,2356135669,4,0,'Bountiful Feast','Increases the duration of your food and drink spells.',151,65535,318,0,0,0,0,1,'Your Bountiful Feast was successful on %t!','Your Bountiful Feast fades.','',1,0,'',0,'You cast Bountiful Feast on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670380,1384377901,0,1),
(1000192,2229153701,4,1,'Brainstorm','The priest''s hostile actions have a chance to trigger damage reduction for their group.',27,65535,65535,0,0,0,1,1,'Your Brainstorm was successful on %t!','Your Brainstorm fades.','',1,0,'',0,'You cast Brainstorm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670380,1384377902,0,1),
(1000193,4129846842,4,0,'Brainstorm','All of the Sage''s spells have their base damage numbers increased.',583,65535,65535,0,0,0,0,1,'Your Brainstorm was successful on %t!','Your Brainstorm fades.','',1,0,'',0,'You cast Brainstorm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670380,1384377907,0,1),
(1000194,4151687843,4,1,'Brainy','Your pursuit of divine magic allows you to cast beneficial spells faster.',474,65535,65535,0,0,0,1,1,'Your Brainy was successful on %t!','Your Brainy fades.','',1,0,'',0,'You cast Brainy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670382,1384378109,0,1),
(1000195,289689418,4,1,'Bravefoot Tenacity','Your pursuit of divine magic allows you to cast beneficial spells faster.',922,65535,314,0,0,0,1,1,'Your Bravefoot Tenacity was successful on %t!','Your Bravefoot Tenacity fades.','',1,0,'',0,'You cast Bravefoot Tenacity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670382,1384378109,0,1),
(1000196,1746969962,4,1,'Brawny','Strike down your enemies in battle! This trait makes you more physically imposing by bestowing 4 Strength.',89,65535,65535,0,0,0,1,0,'Your Brawny was successful on %t!','Your Brawny fades.','',0,0,'Spells/Brawny.lua',0,'You cast Brawny on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670382,1384378109,0,0),
(1000197,987647067,4,0,'Breaking Down the Trash','Increases the human''s skill in transmuting.',863,65535,316,0,0,0,0,0,'Your Breaking Down the Trash was successful on %t!','Your Breaking Down the Trash fades.','',0,1,'Spells/Traits/BreakingDowntheTrash.lua',0,'You cast Breaking Down the Trash on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670382,1384377823,0,1),
(1000198,3147304044,4,0,'Breath of Life','Improves the potency and crit bonus of Vector of Life.',914,65535,314,0,0,0,0,1,'Your Breath of Life was successful on %t!','Your Breath of Life fades.','',1,0,'',0,'You cast Breath of Life on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377907,0,1),
(1000199,3011036667,4,0,'Breathing Techniques','Improves the shaper''s recovery speed.',269,65535,317,0,0,0,0,0,'Your Breathing Techniques was successful on %t!','Your Breathing Techniques fades.','',0,1,'Spells/AA/BreathingTechniques.lua',0,'You cast Breathing Techniques on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377902,0,1),
(1000200,3462932774,4,1,'Brell''s Blessing','Your knowledge of the arts grants you an additional chance to succeed while tradeskilling.',468,65535,316,0,0,0,1,0,'Your Brell''s Blessing was successful on %t!','Your Brell''s Blessing fades.','',0,1,'Spells/Traits/BrellsBlessing.lua',0,'You cast Brell''s Blessing on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,'Unset',1384670382,1384378109,0,1),
(1000201,1063372896,4,1,'Brell''s focus','Your study into the divine arts grants you additional skill with abilities requiring ministration.',181,65535,316,0,0,0,1,0,'Your Brell''s focus was successful on %t!','Your Brell''s focus fades.','',0,1,'Spells/Traits/Brellsfocus.lua',0,'You cast Brell''s focus on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670382,1384377823,0,1),
(1000202,207072332,4,1,'Brewmaster','Grants the Barbarian additional skill in Artistry.',425,65535,65535,0,0,0,1,0,'Your Brewmaster was successful on %t!','Your Brewmaster fades.','',0,1,'Spells/Traits/Brewmaster.lua',0,'You cast Brewmaster on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670382,1384377823,0,0),
(1000203,2112270658,4,1,'Brilliant','The mysteries of the universe are your playthings.  The additional 4 Intelligence this trait provides is the inevitable result of your incredible intellect.',42,65535,65535,0,0,0,1,0,'Your Brilliant was successful on %t!','Your Brilliant fades.','',0,1,'Spells/Brilliant.lua',0,'You cast Brilliant on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670382,1384378109,0,0),
(1000204,1896856666,4,0,'Brilliant Technique','Increases the Artisan''s Success Rate.',24,65535,317,0,0,0,0,0,'Your Brilliant Technique was successful on %t!','Your Brilliant Technique fades.','',0,1,'Spells/AA/BrilliantTechnique.lua',0,'You cast Brilliant Technique on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377919,0,1),
(1000205,2114307173,4,0,'Bringer of Justice','The paladin gains additional Crit Bonus from Attack Speed.',881,65535,317,0,0,0,0,1,'Your Bringer of Justice was successful on %t!','Your Bringer of Justice fades.','',1,0,'',0,'You cast Bringer of Justice on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377839,0,1),
(1000206,3161735454,4,1,'Bristlebane''s Blessing','Your knowledge of the arcane arts helps to increase the duration of tradeskilled potions.',845,65535,65535,0,0,0,1,1,'Your Bristlebane''s Blessing was successful on %t!','Your Bristlebane''s Blessing fades.','',1,0,'',0,'You cast Bristlebane''s Blessing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670382,1384378109,0,1),
(1000207,1648941460,4,1,'Bristlebane''s Work','Grants the dwarf the ability to disarm traps.',567,65535,65535,0,0,0,1,0,'Your Bristlebane''s Work was successful on %t!','Your Bristlebane''s Work fades.','',0,1,'Spells/BristlebanesWork.lua',0,'You cast Bristlebane''s Work on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670382,1384377883,0,0),
(1000208,1781996749,4,1,'Broken Limbs','Improves the trigger chance and update amount of Pulverize.',689,65535,317,0,0,0,1,1,'Your Broken Limbs was successful on %t!','Your Broken Limbs fades.','',1,0,'',0,'You cast Broken Limbs on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377911,0,1),
(1000209,3299071104,4,0,'Bruising Fury','Increases the damage of the Meteor Fist line of combat arts and also reduces the reuse time.',351,65535,315,0,0,0,0,1,'Your Bruising Fury was successful on %t!','Your Bruising Fury fades.','',1,0,'',0,'You cast Bruising Fury on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377831,0,1),
(1000210,456740167,4,1,'Bruising Power','The bruiser gains additional Potency from Damage Per Second.',882,65535,317,0,0,0,1,1,'Your Bruising Power was successful on %t!','Your Bruising Power fades.','',1,0,'',0,'You cast Bruising Power on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377839,0,1),
(1000211,2795278226,4,1,'Brutal Counter','Inflicts damage upon the target when the bruiser blocks.',649,65535,317,0,0,0,1,1,'Your Brutal Counter was successful on %t!','Your Brutal Counter fades.','',1,0,'',0,'You cast Brutal Counter on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377838,0,1),
(1000212,2372988807,4,0,'Brutal Decimation','Grants the warder a new attack that inflicts high damage on the target enemy.',11,65535,65535,0,0,0,0,1,'Your Brutal Decimation was successful on %t!','Your Brutal Decimation fades.','',1,0,'',0,'You cast Brutal Decimation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377900,0,1),
(1000213,3952431194,4,0,'Brutal Decimation','Grants the warder a new attack that inflicts high damage on the target enemy.',11,65535,65535,0,0,0,0,1,'Your Brutal Decimation was successful on %t!','Your Brutal Decimation fades.','',1,0,'',0,'You cast Brutal Decimation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377912,0,1),
(1000214,903335455,4,0,'Brutal Decimation','Grants the warder a new attack that inflicts high damage on the target enemy.',11,65535,65535,0,0,0,0,1,'Your Brutal Decimation was successful on %t!','Your Brutal Decimation fades.','',1,0,'',0,'You cast Brutal Decimation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377907,0,1),
(1000215,293320322,4,0,'Brutal Decimation','Grants the warder a new attack that inflicts high damage on the target enemy.',11,65535,65535,0,0,0,0,1,'Your Brutal Decimation was successful on %t!','Your Brutal Decimation fades.','',1,0,'',0,'You cast Brutal Decimation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377912,0,1),
(1000216,575206306,4,0,'Brutal Decimation','Grants the warder a new attack that inflicts high damage on the target enemy.',11,65535,65535,0,0,0,0,1,'Your Brutal Decimation was successful on %t!','Your Brutal Decimation fades.','',1,0,'',0,'You cast Brutal Decimation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377915,0,1),
(1000217,3347356377,4,0,'Brutal Decimation','Grants the warder a new attack that inflicts high damage on the target enemy.',11,65535,65535,0,0,0,0,1,'Your Brutal Decimation was successful on %t!','Your Brutal Decimation fades.','',1,0,'',0,'You cast Brutal Decimation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377914,0,1),
(1000218,1308412766,4,0,'Brutal Decimation','Grants the warder a new attack that inflicts high damage on the target enemy.',11,65535,65535,0,0,0,0,1,'Your Brutal Decimation was successful on %t!','Your Brutal Decimation fades.','',1,0,'',0,'You cast Brutal Decimation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377916,0,1),
(1000219,203841939,4,0,'Brutal Decimation','Grants the warder a new attack that inflicts high damage on the target enemy.',11,65535,65535,0,0,0,0,1,'Your Brutal Decimation was successful on %t!','Your Brutal Decimation fades.','',1,0,'',0,'You cast Brutal Decimation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377838,0,1),
(1000220,3745238827,4,0,'Brutal Decimation','Grants the warder a new attack that inflicts high damage on the target enemy.',11,65535,65535,0,0,0,0,1,'Your Brutal Decimation was successful on %t!','Your Brutal Decimation fades.','',1,0,'',0,'You cast Brutal Decimation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377902,0,1),
(1000221,3156855924,4,0,'Brutal Decimation','Grants the warder a new attack that inflicts high damage on the target enemy.',11,65535,65535,0,0,0,0,1,'Your Brutal Decimation was successful on %t!','Your Brutal Decimation fades.','',1,0,'',0,'You cast Brutal Decimation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377912,0,1),
(1000222,3969515194,4,0,'Brutal Decimation','Grants the warder a new attack that inflicts high damage on the target enemy.',11,65535,65535,0,0,0,0,1,'Your Brutal Decimation was successful on %t!','Your Brutal Decimation fades.','',1,0,'',0,'You cast Brutal Decimation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377908,0,1),
(1000223,3010278284,4,0,'Brutal Decimation','Grants the warder a new attack that inflicts high damage on the target enemy.',11,65535,65535,0,0,0,0,1,'Your Brutal Decimation was successful on %t!','Your Brutal Decimation fades.','',1,0,'',0,'You cast Brutal Decimation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377909,0,1),
(1000224,2568673087,4,0,'Brutal Decimation','Grants the warder a new attack that inflicts high damage on the target enemy.',11,65535,65535,0,0,0,0,1,'Your Brutal Decimation was successful on %t!','Your Brutal Decimation fades.','',1,0,'',0,'You cast Brutal Decimation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377901,0,1),
(1000225,1763113692,4,1,'Brutal Interrogation','Lowers the base reuse time of Interrogation.',874,65535,315,0,0,0,1,1,'Your Brutal Interrogation was successful on %t!','Your Brutal Interrogation fades.','',1,0,'',0,'You cast Brutal Interrogation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377899,0,1),
(1000226,1932952879,4,1,'Brutal Smash','Martial Retaliation increases the bruiser''s strength.',356,65535,316,0,0,0,1,1,'Your Brutal Smash was successful on %t!','Your Brutal Smash fades.','',1,0,'',0,'You cast Brutal Smash on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377909,0,1),
(1000227,276657885,4,1,'Brute Force','Puncture has a chance to finish the reuse of Strongarm.',301,65535,317,0,0,0,1,1,'Your Brute Force was successful on %t!','Your Brute Force fades.','',1,0,'',0,'You cast Brute Force on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377904,0,1),
(1000228,1163207014,4,1,'Brute Force','Grants an increase to overall strength.  The amount of strength gained will increase as you level.',79,65535,65535,0,0,0,1,0,'Your Brute Force was successful on %t!','Your Brute Force fades.','',0,1,'Spells/Traits/BruteForce.lua',0,'You cast Brute Force on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670382,1384378109,0,1),
(1000229,289935519,4,1,'Bubble','As long as your primary pet is standing near you, it gains non-direct area effect avoidance.',239,65535,313,0,0,0,1,1,'Your Bubble was successful on %t!','Your Bubble fades.','',1,0,'',0,'You cast Bubble on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377830,0,1),
(1000230,1620271058,4,0,'Buffering','When the shaper falls below 50% maximum health, they will have their Dissonance reduced.',170,65535,317,0,0,0,0,1,'Your Buffering was successful on %t!','Your Buffering fades.','',1,0,'',0,'You cast Buffering on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377902,0,1),
(1000231,2006219899,4,1,'Burning Intensity','When the ranger uses multi-hit combat arts, they will gain increments of Burning Intensity. Once Burning Intensity reaches 12 increments, the ranger will have their potency increased by 12.5% of their base potency.',242,65535,317,0,0,0,1,1,'Your Burning Intensity was successful on %t!','Your Burning Intensity fades.','',1,0,'',0,'You cast Burning Intensity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377907,0,1),
(1000232,1734139233,4,1,'Burning Life','Lifetap has a chance to finish the cooldown on Lifeburn.',204,65535,65535,0,0,0,1,1,'Your Burning Life was successful on %t!','Your Burning Life fades.','',1,0,'',0,'You cast Burning Life on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377839,0,1),
(1000233,1123250496,4,0,'Burning Storms','Improves the base damage of Firestorm and its upgrades.',481,65535,313,0,0,0,0,1,'Your Burning Storms was successful on %t!','Your Burning Storms fades.','',1,0,'',0,'You cast Burning Storms on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377906,0,1),
(1000234,2771339940,4,0,'Cabalist''s Agility','Increases the Cabalist''s agility by 6 for each rank.',564,65535,65535,0,0,0,0,1,'Your Cabalist''s Agility was successful on %t!','Your Cabalist''s Agility fades.','',1,0,'',0,'You cast Cabalist''s Agility on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377830,0,1),
(1000235,1814412758,4,0,'Cabalist''s Aura','Improves the effects of Beyond the Grave and Fire from Within.',908,65535,315,0,0,0,0,1,'Your Cabalist''s Aura was successful on %t!','Your Cabalist''s Aura fades.','',1,0,'',0,'You cast Cabalist''s Aura on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670382,1384377899,0,1),
(1000236,1260465032,4,0,'Cabalist''s Cover','Allows the Cabalist''s pet to protect their master, sometimes preventing spell damage the Cabalist would otherwise receive.',543,65535,65535,0,0,0,0,1,'Your Cabalist''s Cover was successful on %t!','Your Cabalist''s Cover fades.','',1,0,'',0,'You cast Cabalist''s Cover on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670384,1384377897,0,1),
(1000237,3592064626,4,0,'Cabalistic','Your occult nature has instilled upon you a resistance against magical attacks.  Arcane damage taken is decreased by 3 percent vs opponents your level.  ',150,65535,65535,0,0,0,0,1,'Your Cabalistic was successful on %t!','Your Cabalistic fades.','',1,0,'',0,'You cast Cabalistic on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670384,1384378109,0,1),
(1000238,2224518805,4,0,'Cacophonic Symphony','The mitigation reduction of Clara''s Chaotic Cacophony and its upgrades is improved.',217,65535,312,0,0,0,0,1,'Your Cacophonic Symphony was successful on %t!','Your Cacophonic Symphony fades.','',1,0,'',0,'You cast Cacophonic Symphony on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670384,1384377905,0,1),
(1000239,2027651631,4,1,'Call of the Wild','The beastlord gains additional Crit Bonus from Multi-Attack Chance.',868,65535,65535,0,0,0,1,1,'Your Call of the Wild was successful on %t!','Your Call of the Wild fades.','',1,0,'',0,'You cast Call of the Wild on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670384,1384377915,0,1),
(1000240,316443181,4,1,'Calm','You possess the discipline of a master. This trait focuses your mind and allows you to gain an additional 5 Power regeneration.',185,65535,65535,0,0,0,1,0,'Your Calm was successful on %t!','Your Calm fades.','',0,0,'Spells/Calm.lua',0,'You cast Calm on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670384,1384378109,0,0),
(1000241,2379462285,4,0,'Calm Connection','Using active Conduits build increments that will improve the base cast time of the next Healing Arrow or Healing Barrage.',857,65535,317,0,0,0,0,1,'Your Calm Connection was successful on %t!','Your Calm Connection fades.','',1,0,'',0,'You cast Calm Connection on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670384,1384377905,0,1),
(1000242,254322726,4,0,'Calming Demeanor','Calming Demeanor adds a hate reduction effect to Brutality which lowers the hate gain of all non fighters in the raid.',184,65535,314,0,0,0,0,1,'Your Calming Demeanor was successful on %t!','Your Calming Demeanor fades.','',1,0,'',0,'You cast Calming Demeanor on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670384,1384377905,0,1),
(1000243,4216784382,4,0,'Capo Ferro','A swift style of fencing improves the reuse speed of the rogue.',820,65535,65535,0,0,0,0,0,'Your Capo Ferro was successful on %t!','Your Capo Ferro fades.','',0,1,'Spells/AA/CapoFerro.lua',0,'You cast Capo Ferro on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670384,1384377831,0,1),
(1000244,2410281570,4,1,'Captain''s Charge','Lowers the base reuse time of Seafury Thrust.',929,65535,315,0,0,0,1,1,'Your Captain''s Charge was successful on %t!','Your Captain''s Charge fades.','',1,0,'',0,'You cast Captain''s Charge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670384,1384377901,0,1),
(1000245,1403608970,4,1,'Carnage Wrought','When Carnage hits 5 increments, the assassin''s group will inflict additional damage against targets with low health.',175,65535,314,0,0,0,1,1,'Your Carnage Wrought was successful on %t!','Your Carnage Wrought fades.','',1,0,'',0,'You cast Carnage Wrought on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670384,1384377911,0,1),
(1000246,2656749400,4,0,'Carpenter''s Touch','Although they are a militant race, the sarnak still enjoy making some finely crafted furniture and other items for their homes.',410,65535,65535,0,0,0,0,0,'Your Carpenter''s Touch was successful on %t!','Your Carpenter''s Touch fades.','',0,1,'Spells/Traits/CarpentersTouch.lua',0,'You cast Carpenter''s Touch on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670384,1384378110,0,1),
(1000247,615596194,4,1,'Casting Fury','Grants the player increased casting speed to both beneficial and hostile spells.',367,65535,65535,0,0,0,1,0,'Your Casting Fury was successful on %t!','Your Casting Fury fades.','',0,1,'Spells/Traits/CastingFury.lua',0,'You cast Casting Fury on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670384,1384378109,0,1),
(1000248,1848443992,4,1,'Caustic Weaponry','Honed Reflexes and Deadly Focus will gain the chance to apply poison damage when the assassin attacks.',909,65535,317,0,0,0,1,1,'Your Caustic Weaponry was successful on %t!','Your Caustic Weaponry fades.','',1,0,'',0,'You cast Caustic Weaponry on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670384,1384377838,0,1),
(1000249,4040485762,4,1,'Cautioness','',844,5,317,0,0,0,1,1,'Your Cautioness was successful on %t!','Your Cautioness fades.','',1,0,'',0,'You cast Cautioness on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670384,1384378113,0,1),
(1000250,4084192287,4,0,'Cavalier''s Agility','Increases the Cavalier''s agility by 7 for each rank.',564,65535,65535,0,0,0,0,1,'Your Cavalier''s Agility was successful on %t!','Your Cavalier''s Agility fades.','',1,0,'',0,'You cast Cavalier''s Agility on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670384,1384377830,0,1),
(1000251,1657693078,4,0,'Cavalier''s Call','Cavalier''s Call improves the bonuses of the crusader''s Crusade and Unholy Strength line of spells.',267,65535,65535,0,0,0,0,1,'Your Cavalier''s Call was successful on %t!','Your Cavalier''s Call fades.','',1,0,'',0,'You cast Cavalier''s Call on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670384,1384377913,0,1),
(1000252,822612785,4,0,'Cavalier''s Cry','The crusader will have a chance to resist stifle effects.',842,65535,65535,0,0,0,0,1,'Your Cavalier''s Cry was successful on %t!','Your Cavalier''s Cry fades.','',1,0,'',0,'You cast Cavalier''s Cry on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670384,1384377913,0,1),
(1000253,1644934274,4,1,'Cazic''s Enduring Hold','Your devotion to physical endeavors has granted you additional stamina.  This additional stamina increases as you level.',279,65535,318,0,0,0,1,0,'Your Cazic''s Enduring Hold was successful on %t!','Your Cazic''s Enduring Hold fades.','',0,1,'Spells/Traits/CazicsEnduringHold.lua',0,'You cast Cazic''s Enduring Hold on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670384,1384378109,0,1),
(1000254,399973027,4,1,'Centered','Your soul and your mind are one.  This trait increases the reserves you have by increasing your total Power by 2.5 percent.',201,65535,65535,0,0,0,1,0,'Your Centered was successful on %t!','Your Centered fades.','',0,1,'Spells/Centered.lua',0,'You cast Centered on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670384,1384377823,0,0),
(1000255,572664742,4,0,'Chained Claws','When using Spells or Combat Arts, the scout will gain a short duration, incremental potency increase. Using more abilities increases the amount of potency but does not extend the duration.',335,65535,317,0,0,0,0,1,'Your Chained Claws was successful on %t!','Your Chained Claws fades.','',1,0,'',0,'You cast Chained Claws on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670384,1384377910,0,1),
(1000256,3888320878,4,1,'Champion''s Glare','Provoke has a chance to provide increments of Champion''s Sight.',172,65535,314,0,0,0,1,1,'Your Champion''s Glare was successful on %t!','Your Champion''s Glare fades.','',1,0,'',0,'You cast Champion''s Glare on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670384,1384377839,0,1),
(1000257,8076393,4,1,'Champion''s Shout','Champion''s Interception will increase the guardian''s threat generation by a percentage of the damage they inflict. Also, Champion''s Watch will reduce incoming damage to the guardian.',834,65535,314,0,0,0,1,1,'Your Champion''s Shout was successful on %t!','Your Champion''s Shout fades.','',1,0,'',0,'You cast Champion''s Shout on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670384,1384377910,0,1),
(1000258,3984204073,4,1,'Chaos Barrier','Reduces incoming damage to the shadowknight for a very short duration following Chaotic Blade. The third point makes Chaotic Blade apply a hate position.',843,65535,315,0,0,0,1,1,'Your Chaos Barrier was successful on %t!','Your Chaos Barrier fades.','',1,0,'',0,'You cast Chaos Barrier on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670384,1384377907,0,1),
(1000259,1486017380,4,1,'Chaos Knight','The shadowknight gains additional crit bonus from Multi-Attack Chance.',928,65535,317,0,0,0,1,1,'Your Chaos Knight was successful on %t!','Your Chaos Knight fades.','',1,0,'',0,'You cast Chaos Knight on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670384,1384377908,0,1),
(1000260,3315299878,4,1,'Chaos Knight','Extends the duration of Shadowknight''s Furor.',851,65535,317,0,0,0,1,1,'Your Chaos Knight was successful on %t!','Your Chaos Knight fades.','',1,0,'',0,'You cast Chaos Knight on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670384,1384377908,0,1),
(1000261,4276476112,4,1,'Chaos March','Death March has a chance to finish the cooldown on Chaos Cloud.',550,65535,65535,0,0,0,1,1,'Your Chaos March was successful on %t!','Your Chaos March fades.','',1,0,'',0,'You cast Chaos March on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670384,1384377839,0,1),
(1000262,2591887807,4,1,'Chaotic Hatred','Chaotic Blade will inflict additional damage over time. The shadowknight will be healed with each update.',213,65535,315,0,0,0,1,1,'Your Chaotic Hatred was successful on %t!','Your Chaotic Hatred fades.','',1,0,'',0,'You cast Chaotic Hatred on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670384,1384377840,0,1),
(1000263,180489262,4,1,'Chaotic Restoration','Using Chaotic Blade will heal the shadowknight''s group and cure hostile effects.',277,65535,315,0,0,0,1,1,'Your Chaotic Restoration was successful on %t!','Your Chaotic Restoration fades.','',1,0,'',0,'You cast Chaotic Restoration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670384,1384377839,0,1),
(1000264,592856977,4,1,'Charge into Battle','Increases your out of combat run speed.',794,65535,317,0,0,0,1,1,'Your Charge into Battle was successful on %t!','Your Charge into Battle fades.','',1,0,'',0,'You cast Charge into Battle on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670384,1384378109,0,1),
(1000265,1581090536,4,1,'Charging into Battle','Increases the out of combat run speed of the dwarf by an additional 5%.',90,65535,317,0,0,0,0,0,'Your Charging into Battle was successful on %t!','Your Charging into Battle fades.','',0,1,'Spells/Traits/ChargingintoBattle.lua',0,'You cast Charging into Battle on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670384,1384377823,0,1),
(1000266,132317041,4,0,'Charming Persona','The Double-Cross line will also debuff the target''s intelligence.',310,65535,315,0,0,0,0,1,'Your Charming Persona was successful on %t!','Your Charming Persona fades.','',1,0,'',0,'You cast Charming Persona on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670384,1384377902,0,1),
(1000267,1375208643,4,0,'Chasing Balls of Yarn','Grants the Kerra additional skill in tailoring.',418,65535,65535,0,0,0,0,0,'Your Chasing Balls of Yarn was successful on %t!','Your Chasing Balls of Yarn fades.','',0,1,'Spells/Traits/ChasingBallsofYarn.lua',0,'You cast Chasing Balls of Yarn on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670386,1384378109,0,1),
(1000268,207754245,4,1,'Chemical Calculations','Although they have not turned lead into gold yet, gnomes are expert alchemists.  \r\n\r\n+5 Chemistry',402,65535,65535,0,0,0,1,1,'Your Chemical Calculations was successful on %t!','Your Chemical Calculations fades.','',0,1,'Spells/ChemicalCalculations.lua',0,'You cast Chemical Calculations on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670386,1384378110,0,0),
(1000269,680396700,4,0,'Chemist','The erudite gains additional skill in chemistry.',402,65535,65535,0,0,0,0,0,'Your Chemist was successful on %t!','Your Chemist fades.','',0,1,'Spells/Traits/Chemist.lua',0,'You cast Chemist on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,'Unset',1384670386,1384378110,0,1),
(1000270,3170313909,4,0,'Chieftain''s Agility','Increases the Chieftain''s agility by 7 for each rank.',564,65535,65535,0,0,0,0,1,'Your Chieftain''s Agility was successful on %t!','Your Chieftain''s Agility fades.','',1,0,'',0,'You cast Chieftain''s Agility on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670386,1384377830,0,1),
(1000271,672248967,4,0,'Chilling Inquiry','Improves the power amounts and trigger chance of Inquest.',472,65535,316,0,0,0,0,1,'Your Chilling Inquiry was successful on %t!','Your Chilling Inquiry fades.','',1,0,'',0,'You cast Chilling Inquiry on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670386,1384377912,0,1),
(1000272,3314639650,4,0,'Chilling Winds','Adds additional damage, critical chance and critical multiplier to all of the warden''s cold based spells.',256,65535,315,0,0,0,0,1,'Your Chilling Winds was successful on %t!','Your Chilling Winds fades.','',1,0,'',0,'You cast Chilling Winds on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670386,1384377913,0,1),
(1000273,835723023,4,0,'Chilling Winds','Winds of Velious and its upgrades will gain additional base and critical damage.',511,65535,315,0,0,0,0,1,'Your Chilling Winds was successful on %t!','Your Chilling Winds fades.','',1,0,'',0,'You cast Chilling Winds on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670386,1384377899,0,1),
(1000274,241185853,4,0,'Chilling Winds','Increases the damage of the Velium Winds line and the alternate advancement Chilling Strike.',152,65535,315,0,0,0,0,1,'Your Chilling Winds was successful on %t!','Your Chilling Winds fades.','',1,0,'',0,'You cast Chilling Winds on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670386,1384377897,0,1),
(1000275,246240773,4,0,'Chorus of Reflection','Improves the damage done by the bard''s Daelis'' Dance of Blades and Death''s Door line of spells.',205,65535,317,0,0,0,0,1,'Your Chorus of Reflection was successful on %t!','Your Chorus of Reflection fades.','',1,0,'',0,'You cast Chorus of Reflection on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670386,1384377901,0,1),
(1000276,469399659,4,0,'Chromatic Thundershower','The Chromatic Storm line of spells gains additional base damage.',169,65535,312,0,0,0,0,1,'Your Chromatic Thundershower was successful on %t!','Your Chromatic Thundershower fades.','',1,0,'',0,'You cast Chromatic Thundershower on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670386,1384377906,0,1),
(1000277,3691789251,4,0,'Chronology','Increases the Chronomancer''s casting speed.',621,65535,65535,0,0,0,0,0,'Your Chronology was successful on %t!','Your Chronology fades.','',0,1,'Spells/AA/Chronology.lua',0,'You cast Chronology on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670386,1384377911,0,1),
(1000278,3635955963,4,0,'Chronomagic','Adds a small amount of spell double attack to Time Compression.',53,65535,65535,0,0,0,0,1,'Your Chronomagic was successful on %t!','Your Chronomagic fades.','',1,0,'',0,'You cast Chronomagic on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670386,1384377836,0,1),
(1000279,2892418892,4,0,'Chronomancer''s Agility','Increases the Chronomancer''s agility by 6 per rank.',564,65535,65535,0,0,0,0,1,'Your Chronomancer''s Agility was successful on %t!','Your Chronomancer''s Agility fades.','',1,0,'',0,'You cast Chronomancer''s Agility on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670386,1384377830,0,1),
(1000280,1114156640,4,0,'Chronomotion','Increases the Chronomancer''s defense skill and reduces the recovery time needed after casting any spell or ability.',557,65535,65535,0,0,0,0,1,'Your Chronomotion was successful on %t!','Your Chronomotion fades.','',1,0,'',0,'You cast Chronomotion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670386,1384377904,0,1),
(1000281,2571001424,4,0,'Circle of Blades','Increases the base and critical damage of the Rogue''s Barroom Negotiation and Lucky Gambit line of skills.',343,65535,313,0,0,0,0,1,'Your Circle of Blades was successful on %t!','Your Circle of Blades fades.','',1,0,'',0,'You cast Circle of Blades on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670386,1384377899,0,1),
(1000282,3596817741,4,1,'Clarity During Battle','Your pursuit of divine magic allows you to cast beneficial spells faster.',476,65535,317,0,0,0,1,1,'Your Clarity During Battle was successful on %t!','Your Clarity During Battle fades.','',1,0,'',0,'You cast Clarity During Battle on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670386,1384378109,0,1),
(1000283,190085594,4,1,'Claw Reversal','Increases the brawler''s base chance to deflect an attack.',642,65535,65535,0,0,0,1,0,'Your Claw Reversal was successful on %t!','Your Claw Reversal fades.','',0,1,'Spells/AA/ClawReversal.lua',0,'You cast Claw Reversal on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670386,1384377833,0,1),
(1000284,2737328858,4,1,'Clawed Strikes','Increases your skills with crushing and slashing based weapons.',261,65535,314,0,0,0,1,0,'Your Clawed Strikes was successful on %t!','Your Clawed Strikes fades.','',0,1,'Spells/Traits/ClawedStrikes.lua',0,'You cast Clawed Strikes on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670386,1384378109,0,1),
(1000285,2992745703,4,1,'Claws of the War Boar','Grants the mystic additional damage following their attacks when they hit three increments of Ferocity of the Spirits. Cannot trigger more than once every 30 seconds.',798,65535,317,0,0,0,1,1,'Your Claws of the War Boar was successful on %t!','Your Claws of the War Boar fades.','',1,0,'',0,'You cast Claws of the War Boar on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670386,1384377903,0,1),
(1000286,2040274283,4,0,'Cleansing of the Soul','Improves the casting and reuse times of Cure Curse.',785,65535,316,0,0,0,0,1,'Your Cleansing of the Soul was successful on %t!','Your Cleansing of the Soul fades.','',1,0,'',0,'You cast Cleansing of the Soul on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670386,1384377831,0,1),
(1000287,3364185331,4,1,'Clearwater''s Growth','Increases the trigger count of Infuriating Thorns and grants it a chance to clear the reuse of Cyclone.',188,65535,316,0,0,0,1,1,'Your Clearwater''s Growth was successful on %t!','Your Clearwater''s Growth fades.','',1,0,'',0,'You cast Clearwater''s Growth on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670386,1384377916,0,1),
(1000288,1326550866,4,1,'Clever','Years of study have honed your mind. This trait enhances your knowledge by increasing your intelligence by 4.',42,65535,65535,0,0,0,1,0,'Your Clever was successful on %t!','Your Clever fades.','',0,0,'Spells/Clever.lua',0,'You cast Clever on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670386,1384377823,0,0),
(1000289,2429078250,4,1,'Cloak of Darkness','Skilled in the art of stealth and evasion, you will move 15% faster while stealthed or invisible.',341,65535,65535,0,0,0,1,1,'Your Cloak of Darkness was successful on %t!','Your Cloak of Darkness fades.','',1,0,'',0,'You cast Cloak of Darkness on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670386,1384377823,0,1),
(1000290,1187212845,4,1,'Cloaking Device','Skilled in the art of stealth and evasion, you will move 15% faster while stealthed or invisible.',165,65535,317,0,0,0,1,0,'Your Cloaking Device was successful on %t!','Your Cloaking Device fades.','',0,1,'Spells/Traits/CloakingDevice.lua',0,'You cast Cloaking Device on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670386,1384378109,0,1),
(1000291,3571448725,4,1,'Clockwork Armor','Increases the base hit points by 2 percent while also increasing the base power pool by 1%.',358,65535,317,0,0,0,1,0,'Your Clockwork Armor was successful on %t!','Your Clockwork Armor fades.','',0,1,'Spells/Traits/ClockworkArmor.lua',0,'You cast Clockwork Armor on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670386,1384377823,0,1),
(1000292,1232093857,4,1,'Clockwork Expertise','',245,65535,65535,0,0,0,1,0,'Your Clockwork Expertise was successful on %t!','Your Clockwork Expertise fades.','',1,0,'Spells/Traditions/ClockworkExpertise.lua',0,'You cast Clockwork Expertise on %t.',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1384670386,1384378116,0,1),
(1000293,3570412919,4,1,'Clothier','As their population continues to grow, humans have become quite adept at fashioning clothes quickly. \r\n\r\n+5 Tailoring',418,65535,65535,0,0,0,1,0,'Your Clothier was successful on %t!','Your Clothier fades.','',0,1,'Spells/Traits/Clothier.lua',0,'You cast Clothier on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670388,1384377823,0,0),
(1000294,43836339,4,1,'Coated Wings','Increases the base hit points by 2 percent while also increasing the base power pool by 1%.',300,65535,317,0,0,0,1,0,'Your Coated Wings was successful on %t!','Your Coated Wings fades.','',0,1,'Spells/Traits/CoatedWings.lua',0,'You cast Coated Wings on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670388,1384377823,0,1),
(1000295,3038790167,4,1,'Coated Wings','Increases the base hit points by 2 percent while also increasing the base power pool by 1%.',300,65535,316,0,0,0,1,0,'Your Coated Wings was successful on %t!','Your Coated Wings fades.','',0,1,'Spells/Traits/CoatedWings.lua',0,'You cast Coated Wings on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670388,1384378110,0,1),
(1000296,1001947687,4,1,'Coerced Protection','Greatly reduces damage to charmed pets and Possess Essence.',494,65535,317,0,0,0,1,1,'Your Coerced Protection was successful on %t!','Your Coerced Protection fades.','',1,0,'',0,'You cast Coerced Protection on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670388,1384377913,0,1),
(1000297,3039344897,4,0,'Coercive Mark','The coercer''s target will gain a position hate increase to targets in Area of Effect. For a short duration, the target will riposte all incoming attacks.',11,65535,65535,0,0,0,0,1,'Your Coercive Mark was successful on %t!','Your Coercive Mark fades.','',1,0,'',0,'You cast Coercive Mark on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670388,1384377838,0,1),
(1000298,3765594883,4,1,'Coercive Presence','Enhances the effects of Peaceful Link, Enraging Demeanor and Coercive Shout.',646,65535,65535,0,0,0,1,1,'Your Coercive Presence was successful on %t!','Your Coercive Presence fades.','',1,0,'',0,'You cast Coercive Presence on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670388,1384377911,0,1),
(1000299,2452705126,4,0,'Cognizant Reduction','Obliterated Psyche and its upgrades will also reduce the target''s wisdom.',267,65535,315,0,0,0,0,1,'Your Cognizant Reduction was successful on %t!','Your Cognizant Reduction fades.','',1,0,'',0,'You cast Cognizant Reduction on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670388,1384377836,0,1),
(1000300,1843948981,4,1,'Cold Blooded','Fire and lava are nothing to fear! This trait instills in you an innate protection.  Heat damage taken is decreased by 3 percent vs opponents your level.  ',149,65535,65535,0,0,0,1,0,'Your Cold Blooded was successful on %t!','Your Cold Blooded fades.','',0,0,'Spells/ColdBlooded.lua',0,'You cast Cold Blooded on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670388,1384378109,0,0),
(1000301,2233846433,4,0,'Cold Blooded','Heat damage taken is decreased by 3 percent vs opponents your level.',48,65535,65535,0,0,0,1,1,'Your Cold Blooded was successful on %t!','Your Cold Blooded fades.','',0,1,'',0,'You cast Cold Blooded on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,0,0,0,0,'Unset',1384670388,1384377887,0,0),
(1000302,2394381272,4,1,'Collective Thoughts','Your devotion to the study of the divine arts increases your power pool slightly.',646,65535,65535,0,0,0,1,0,'Your Collective Thoughts was successful on %t!','Your Collective Thoughts fades.','',0,1,'Spells/Traits/CollectiveThoughts.lua',0,'You cast Collective Thoughts on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670388,1384377823,0,1),
(1000303,398445297,4,1,'Combat Counters','The bruiser''s temporary mitigation augmentations will also increase their chance to riposte.',329,65535,317,0,0,0,1,1,'Your Combat Counters was successful on %t!','Your Combat Counters fades.','',1,0,'',0,'You cast Combat Counters on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670388,1384377903,0,1),
(1000304,1435921728,4,0,'Combat Focus','Using Barrage or Vengeful Arrow have a chance to trigger an effect that allows the channeler to cast spells while moving.',853,65535,317,0,0,0,0,1,'Your Combat Focus was successful on %t!','Your Combat Focus fades.','',1,0,'',0,'You cast Combat Focus on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670388,1384377836,0,1),
(1000305,1520957090,4,1,'Combat Healing','Your study into the divine arts grants you additional skill with abilities requiring ministration.',468,65535,317,3341842907,0,0,1,0,'Your Combat Healing was successful on %t!','Your Combat Healing fades.','',0,1,'Spells/Traits/CombatHealing.lua',0,'You cast Combat Healing on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670388,1384378109,0,1),
(1000306,3875844174,4,1,'Combat Saga','Adds additional slashing damage to Saga.',296,65535,313,0,0,0,1,1,'Your Combat Saga was successful on %t!','Your Combat Saga fades.','',1,0,'',0,'You cast Combat Saga on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670388,1384377914,0,1),
(1000307,942038036,4,0,'Combative Healing','The inquisitor has a chance to heal their group on a successful melee attack.  This has reduced effectiveness in PVP combat.',470,65535,317,0,0,0,0,1,'Your Combative Healing was successful on %t!','Your Combative Healing fades.','',1,0,'',0,'You cast Combative Healing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670388,1384377907,0,1),
(1000308,1100265527,4,1,'Combination','Combination applies after successful a Jab, a Kick and a Punch ability have all recently struck the target, inflicting additional damage.',568,65535,315,0,0,0,1,1,'Your Combination was successful on %t!','Your Combination fades.','',1,0,'',0,'You cast Combination on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670388,1384377912,0,1),
(1000309,3176023795,4,1,'Combination King','Combat Arts that hit multiple times have a chance to finish the cooldown on Vicious Combination.',649,65535,65535,0,0,0,1,1,'Your Combination King was successful on %t!','Your Combination King fades.','',1,0,'',0,'You cast Combination King on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670388,1384377913,0,1),
(1000310,268384337,4,0,'Combined Strengths','Combined Strengths improves the base damage of the Combination advancement choice.',568,65535,65535,0,0,0,0,1,'Your Combined Strengths was successful on %t!','Your Combined Strengths fades.','',1,0,'',0,'You cast Combined Strengths on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670388,1384377836,0,1),
(1000311,2647865657,4,0,'Comet of Devastation','The sorcerer focuses their energies into a frontal blast of energy which can damage up to 8 targets.',11,65535,65535,0,0,0,0,1,'Your Comet of Devastation was successful on %t!','Your Comet of Devastation fades.','',1,0,'',0,'You cast Comet of Devastation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670388,1384377831,0,1),
(1000312,2338410722,4,0,'Commandeer','Increases the Pirate''s movement speed.',557,65535,65535,0,0,0,1,0,'Your Commandeer was successful on %t!','Your Commandeer fades.','',0,0,'Spells/AA/Commandeer.lua',0,'You cast Commandeer on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670388,1384377833,0,1),
(1000313,4175724874,4,0,'Conceited Blast','Ego Shock and its upgrades gain additional base damage and radius.',216,65535,312,0,0,0,0,1,'Your Conceited Blast was successful on %t!','Your Conceited Blast fades.','',1,0,'',0,'You cast Conceited Blast on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670388,1384377901,0,1),
(1000314,1454675963,4,0,'Concenter','Greatly increases the Crusader''s focus skill while under 50% health. This ability adds 4 strength and stamina passively per rank.',584,65535,65535,0,0,0,0,1,'Your Concenter was successful on %t!','Your Concenter fades.','',1,0,'',0,'You cast Concenter on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670388,1384377912,0,1),
(1000315,3471115904,4,0,'Concentrated Restoration','The priest''s healing stance will improve the potency of their heals.',866,65535,317,0,0,0,0,1,'Your Concentrated Restoration was successful on %t!','Your Concentrated Restoration fades.','',1,0,'',0,'You cast Concentrated Restoration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670388,1384377913,0,1),
(1000316,2668873342,4,0,'Concentration','Your intense concentration is the stuff of legends. This trait focuses your mind and allows you to gain an additional 5 Power regeneration.',185,65535,65535,0,0,0,0,1,'Your Concentration was successful on %t!','Your Concentration fades.','',1,0,'',0,'You cast Concentration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670388,1384377823,0,1),
(1000317,2287336207,4,0,'Conditioning','Increase the Hunter''s maximum health.',646,65535,65535,0,0,0,0,0,'Your Conditioning was successful on %t!','Your Conditioning fades.','',0,1,'Spells/AA/Conditioning.lua',0,'You cast Conditioning on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670388,1384377902,0,1),
(1000318,776066092,4,0,'Conditioning','Increases the Mercenary''s maximum health and shield block effectiveness.',648,65535,65535,0,0,0,0,1,'Your Conditioning was successful on %t!','Your Conditioning fades.','',1,0,'',0,'You cast Conditioning on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670388,1384377899,0,1),
(1000319,117620914,4,0,'Conduit Dissipation','Using Conduits has a chance to increase the rate of which Dissonance dissipates for a short duration.',11,65535,316,0,0,0,0,1,'Your Conduit Dissipation was successful on %t!','Your Conduit Dissipation fades.','',1,0,'',0,'You cast Conduit Dissipation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670390,1384377906,0,1),
(1000320,2196788159,4,0,'Confidence','Improves the reuse speeds of Stonewall and Shadowknight''s Furor.',840,65535,65535,0,0,0,0,1,'Your Confidence was successful on %t!','Your Confidence fades.','',1,0,'',0,'You cast Confidence on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670390,1384377913,0,1),
(1000321,1269522457,4,1,'Conjure Elements','Attacking will grant the conjuror a chance to trigger one of three spells. Windlord and Firelord will remove the casting speed of certain spells, and Earthlord will reduce the reuse speed of certain spells.',509,65535,317,0,0,0,1,1,'Your Conjure Elements was successful on %t!','Your Conjure Elements fades.','',1,0,'',0,'You cast Conjure Elements on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670390,1384377908,0,1),
(1000322,1840520238,4,1,'Conniseur of Fine Wines','Increases the duration of all tradeskilled drinks by 20 percent.',131,65535,65535,0,0,0,1,1,'Your Conniseur of Fine Wines was successful on %t!','Your Conniseur of Fine Wines fades.','',1,0,'',0,'You cast Conniseur of Fine Wines on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670390,1384378109,0,1),
(1000323,1024277756,4,0,'Conquer','Divide and Conquer will lock to all of the targets and add additional hate for the bruiser.',752,65535,312,0,0,0,0,1,'Your Conquer was successful on %t!','Your Conquer fades.','',1,0,'',0,'You cast Conquer on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670390,1384377899,0,1),
(1000324,2567119800,4,0,'Conservation','Conservation doubles the duration of all tradeskilled potions, increases their effectiveness, and increases the number of triggers of all poisons.',187,65535,65535,0,0,0,0,1,'Your Conservation was successful on %t!','Your Conservation fades.','',1,0,'',0,'You cast Conservation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670390,1384377901,0,1),
(1000325,4270403097,4,0,'Conservation of Mass','Your ability to create items transcends accepted laws of nature, and you can sometimes create items without using the materials used in creating them.',839,65535,317,0,0,0,0,1,'Your Conservation of Mass was successful on %t!','Your Conservation of Mass fades.','',1,0,'',0,'You cast Conservation of Mass on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670390,1384377922,0,1),
(1000326,2426874411,4,1,'Constant Burning','Flaming Weapons gains an additional trigger that inflicts damage over time.',482,65535,315,0,0,0,1,1,'Your Constant Burning was successful on %t!','Your Constant Burning fades.','',1,0,'',0,'You cast Constant Burning on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670390,1384377916,0,1),
(1000327,908632555,4,1,'Constant Currents','Clearwater Current will apply a ward to the target when it expires.',20,65535,316,0,0,0,1,1,'Your Constant Currents was successful on %t!','Your Constant Currents fades.','',1,0,'',0,'You cast Constant Currents on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670390,1384377906,0,1),
(1000328,4165416031,4,1,'Constant Winds','Windblade grants an additional trigger that increases Crit Bonus.',552,65535,314,0,0,0,1,1,'Your Constant Winds was successful on %t!','Your Constant Winds fades.','',1,0,'',0,'You cast Constant Winds on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670390,1384377900,0,1),
(1000329,1215497574,4,0,'Construct''s Protection','Construct''s Interception and Overloaded Interception will reduce incoming magical damage.',842,65535,317,0,0,0,0,1,'Your Construct''s Protection was successful on %t!','Your Construct''s Protection fades.','',1,0,'',0,'You cast Construct''s Protection on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670390,1384377907,0,1),
(1000330,975714169,4,0,'Consuming Vitality','Consuming Vitality adds an additional group heal component to Consumption and its upgrades.',259,65535,317,0,0,0,0,1,'Your Consuming Vitality was successful on %t!','Your Consuming Vitality fades.','',1,0,'',0,'You cast Consuming Vitality on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670390,1384377905,0,1),
(1000331,3345211283,4,0,'Consummate Defender','Consummate Defender improves the skill bonuses of the fighter''s defensive stance.',358,65535,317,0,0,0,0,1,'Your Consummate Defender was successful on %t!','Your Consummate Defender fades.','',1,0,'',0,'You cast Consummate Defender on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670390,1384377912,0,1),
(1000332,1020887531,4,1,'Continued Performance','Increases the duration of Bagpipe Solo.',172,65535,314,0,0,0,1,1,'Your Continued Performance was successful on %t!','Your Continued Performance fades.','',1,0,'',0,'You cast Continued Performance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670390,1384377897,0,1),
(1000333,2568352384,4,1,'Control the Storm','Reduces incoming damage to non-fighter group members following the use of Stormbearer''s Fury. Increments up to 8 times.',169,65535,313,0,0,0,1,1,'Your Control the Storm was successful on %t!','Your Control the Storm fades.','',1,0,'',0,'You cast Control the Storm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670390,1384377913,0,1),
(1000334,3342783521,4,0,'Controlling Confrontations','The reuse time of Confront Fear is reduced. In addition, the final rank of this ability grants Confront Fear the ability to cure charm, stifle, stun, daze and mesmerize effects.',46,65535,317,0,0,0,0,1,'Your Controlling Confrontations was successful on %t!','Your Controlling Confrontations fades.','',1,0,'',0,'You cast Controlling Confrontations on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670390,1384377836,0,1),
(1000335,984821599,4,1,'Coordination','Using Snap of the Wrist or Battery and Assault allows the rogue to focus their coordination, granting them a higher chance to hit their targets.',366,65535,315,0,0,0,1,1,'Your Coordination was successful on %t!','Your Coordination fades.','',1,0,'',0,'You cast Coordination on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670390,1384377831,0,1),
(1000336,22415084,4,0,'Corrosion','Acid and its upgrades will exponentially increase in damage.',168,65535,315,0,0,0,0,1,'Your Corrosion was successful on %t!','Your Corrosion fades.','',1,0,'',0,'You cast Corrosion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670390,1384377904,0,1),
(1000337,3598597469,4,1,'Countenance','Your devotion to physical endeavors has granted you additional stamina.  This additional stamina increases as you level.',74,65535,65535,0,0,0,1,0,'Your Countenance was successful on %t!','Your Countenance fades.','',0,1,'Spells/Traits/Countenance.lua',0,'You cast Countenance on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670390,1384377823,0,1),
(1000338,2630959752,4,0,'Countering Blow','Improves the chance for a combat art to trigger En Garde.  Also grants additional damage when triggered.',49,65535,65535,0,0,0,0,1,'Your Countering Blow was successful on %t!','Your Countering Blow fades.','',1,0,'',0,'You cast Countering Blow on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670390,1384377838,0,1),
(1000339,3484530463,4,0,'Court Jester','Adds additional effects to Jester''s Cap which improve the target''s casting and recovery speeds.',492,65535,316,0,0,0,0,1,'Your Court Jester was successful on %t!','Your Court Jester fades.','',1,0,'',0,'You cast Court Jester on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670390,1384377906,0,1),
(1000340,3212360135,4,1,'Cover of Darkness','After using Blinding Dust, the allies near the brigand will be immune to area effect abilities for a short duration. The duration increases with higher ranks.',311,65535,313,0,0,0,1,1,'Your Cover of Darkness was successful on %t!','Your Cover of Darkness fades.','',1,0,'',0,'You cast Cover of Darkness on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670390,1384377907,0,1),
(1000341,3038741036,4,1,'Crafty Concentrations','While tradeskilling, you will progress through creating an item faster than normal.\n',798,65535,65535,0,0,0,1,0,'Your Crafty Concentrations was successful on %t!','Your Crafty Concentrations fades.','',0,1,'Spells/Traits/CraftyConcentrations.lua',0,'You cast Crafty Concentrations on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670392,1384378109,0,1),
(1000342,3982523973,4,1,'Crafty Concentrations','While tradeskilling, you will progress through creating an item faster than normal.\n',422,65535,65535,0,0,0,1,0,'Your Crafty Concentrations was successful on %t!','Your Crafty Concentrations fades.','',0,1,'Spells/Traits/CraftyConcentrations.lua',0,'You cast Crafty Concentrations on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670392,1384378110,0,1),
(1000343,379326311,4,0,'Crane Growth','Increases the Crane Sensei''s maximum health.',646,65535,65535,0,0,0,0,0,'Your Crane Growth was successful on %t!','Your Crane Growth fades.','',0,1,'Spells/AA/CraneGrowth.lua',0,'You cast Crane Growth on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670392,1384377909,0,1),
(1000344,1727462376,4,0,'Crane Wisdom','Increases the Crane Sensei''s wisdom by 7 for each rank.',585,65535,65535,0,0,0,0,1,'Your Crane Wisdom was successful on %t!','Your Crane Wisdom fades.','',1,0,'',0,'You cast Crane Wisdom on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670392,1384377833,0,1),
(1000345,1632181308,4,0,'Crippling Strength','Adds an additional strength reduction component to Crippling Strike and its upgrades.',373,65535,315,0,0,0,0,1,'Your Crippling Strength was successful on %t!','Your Crippling Strength fades.','',1,0,'',0,'You cast Crippling Strength on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670392,1384377902,0,1),
(1000346,409681472,4,0,'Cripple','Improves the damage of the Crippling Strike line and adds additional critical damage.',373,65535,315,2711101135,0,0,0,1,'Your Crippling Strike was successful on %t!','Your Crippling Strike fades.','',1,1,'',0,'You cast Crippling Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'DD',1384670392,1384377899,0,1),
(1000347,3432987898,4,0,'Critical Aim','Improves the crit bonus of all Combat Arts.',275,65535,317,0,0,0,0,1,'Your Critical Aim was successful on %t!','Your Critical Aim fades.','',1,0,'',0,'You cast Critical Aim on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670392,1384377903,0,1),
(1000348,3938306941,4,1,'Critical Channeling','The defiler gains additional Crit Bonus based on their current Crit Bonus.',42,65535,65535,0,0,0,1,1,'Your Critical Channeling was successful on %t!','Your Critical Channeling fades.','',1,0,'',0,'You cast Critical Channeling on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670392,1384377912,0,1),
(1000349,1946922003,4,1,'Critical Deflection','Increases your chance to critical while also granting additional chance to block or deflect an attack.',843,65535,317,0,0,0,1,0,'Your Critical Deflection was successful on %t!','Your Critical Deflection fades.','',0,1,'Spells/Traits/CriticalDeflection.lua',0,'You cast Critical Deflection on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670392,1384378110,0,1),
(1000350,3199723018,4,0,'Critical Genius','Increases Crit Bonus.',21,65535,65535,0,0,0,0,0,'Your Critical Genius was successful on %t!','Your Critical Genius fades.','',0,1,'Spells/AA/CriticalGenius.lua',0,'You cast Critical Genius on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670392,1384377910,0,1),
(1000351,2706112960,4,0,'Critical Intelligence','Improves the shaper''s Crit Chance.',275,65535,317,0,0,0,0,0,'Your Critical Intelligence was successful on %t!','Your Critical Intelligence fades.','',0,1,'Spells/AA/CriticalIntelligence.lua',0,'You cast Critical Intelligence on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670392,1384377839,0,1),
(1000352,1540446168,4,1,'Critical Invoker','The templar gains additional Crit Bonus based on their current Crit Bonus.',198,65535,317,0,0,0,1,1,'Your Critical Invoker was successful on %t!','Your Critical Invoker fades.','',1,0,'',0,'You cast Critical Invoker on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670392,1384377902,0,1),
(1000353,3161476065,4,0,'Critical Mastery','Improves the critical damage multiplier of all the predator''s combat arts.',802,65535,315,0,0,0,0,1,'Your Critical Mastery was successful on %t!','Your Critical Mastery fades.','',1,0,'',0,'You cast Critical Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670392,1384377903,0,1),
(1000354,1526567885,4,1,'Critical Mastery','The channeler gains additional Crit Bonus based on their current Crit Bonus.',11,65535,316,0,0,0,1,1,'Your Critical Mastery was successful on %t!','Your Critical Mastery fades.','',1,0,'',0,'You cast Critical Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670392,1384377902,0,1),
(1000355,3137076925,4,1,'Critical Mastery','The fury gains additional Crit Bonus based on their current Crit Bonus.',224,65535,317,0,0,0,1,1,'Your Critical Mastery was successful on %t!','Your Critical Mastery fades.','',1,0,'',0,'You cast Critical Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670392,1384377910,0,1),
(1000356,301678946,4,0,'Critical Mastery','The sorcerer''s professional spells will all do additional critical damage.',802,65535,65535,0,0,0,0,1,'Your Critical Mastery was successful on %t!','Your Critical Mastery fades.','',1,0,'',0,'You cast Critical Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670392,1384377908,0,1),
(1000357,3786367656,4,1,'Critical Rage','The berserker gains additional Crit Bonus from Potency.',655,65535,65535,0,0,0,1,1,'Your Critical Rage was successful on %t!','Your Critical Rage fades.','',1,0,'',0,'You cast Critical Rage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670392,1384377897,0,1),
(1000358,563008814,4,1,'Critical Shielding','Increases your chance to critical while also granting additional chance to block or deflect an attack.',842,65535,314,0,0,0,1,0,'Your Critical Shielding was successful on %t!','Your Critical Shielding fades.','',0,1,'Spells/Traits/CriticalShielding.lua',0,'You cast Critical Shielding on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670392,1384378109,0,1),
(1000359,4079882712,4,0,'Critical Thrust','Thuri''s Doleful Thrust and its upgrades will do improved damage.',338,65535,315,0,0,0,0,1,'Your Critical Thrust was successful on %t!','Your Critical Thrust fades.','',1,0,'',0,'You cast Critical Thrust on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670392,1384377915,0,1),
(1000360,3686023568,4,1,'Critical Wounds','Improves the damage inflicted when the animalist''s combat arts critically hit.',649,65535,65535,0,0,0,1,1,'Your Critical Wounds was successful on %t!','Your Critical Wounds fades.','',1,0,'',0,'You cast Critical Wounds on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670392,1384377902,0,1),
(1000361,2922404546,4,1,'Crushing Winds','Winds of Retribution''s effects will grant the monk additional Weapon Damage Bonus.',75,65535,316,0,0,0,1,1,'Your Crushing Winds was successful on %t!','Your Crushing Winds fades.','',1,0,'',0,'You cast Crushing Winds on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670392,1384377912,0,1),
(1000362,4135086995,4,1,'Cryomaster','Improves the rate at which Frozen Solid increments.',229,65535,315,0,0,0,1,1,'Your Cryomaster was successful on %t!','Your Cryomaster fades.','',1,0,'',0,'You cast Cryomaster on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670392,1384377839,0,1),
(1000363,3211479996,4,0,'Cryptic','You have learned to shroud yourself in cryptic runes. Arcane damage taken is decreased by 3 percent vs opponents your level.  ',150,65535,65535,0,0,0,0,1,'Your Cryptic was successful on %t!','Your Cryptic fades.','',1,0,'',0,'You cast Cryptic on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670392,1384378109,0,1),
(1000364,1062741221,4,0,'Crystalline Destruction','Grants the conjuror a chance to trigger Crystalline Destruction. If Crystal Blast is cast while Crystalline Destruction is active, it does massive bonus damage.',161,65535,315,0,0,0,0,1,'Your Crystalline Destruction was successful on %t!','Your Crystalline Destruction fades.','',1,0,'',0,'You cast Crystalline Destruction on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670392,1384377905,0,1),
(1000365,3392109700,4,0,'Cunning Prowess','Improves the damage of combat arts.',79,65535,65535,0,0,0,0,0,'Your Cunning Prowess was successful on %t!','Your Cunning Prowess fades.','',0,1,'Spells/AA/CunningProwess.lua',0,'You cast Cunning Prowess on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670392,1384377912,0,1),
(1000366,2645371149,4,1,'Cunning and Deception','Grants an additional trigger to Thieves Guild which allows it to also grant Crit Bonus to the brigand and their target. It works the exact same way as Thieves Guild''s base effect.',835,65535,316,0,0,0,1,1,'Your Cunning and Deception was successful on %t!','Your Cunning and Deception fades.','',1,0,'',0,'You cast Cunning and Deception on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670392,1384377838,0,1),
(1000367,4197028876,4,0,'Curseweaving','Hastens the duration, casting, recovery, and reuse speed of all Cursing abilities. Following the use of any Cursing ability, the defiler will be immune to interrupts a short duration.',237,65535,65535,0,0,0,0,1,'Your Curseweaving was successful on %t!','Your Curseweaving fades.','',1,0,'',0,'You cast Curseweaving on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670392,1384377907,0,1),
(1000368,4153105986,4,0,'Cut Arteries','Damage of the predator''s Gushing Wound and Bloody Reminder line of spells will increase exponentially.',345,65535,315,0,0,0,0,1,'Your Cut Arteries was successful on %t!','Your Cut Arteries fades.','',1,0,'',0,'You cast Cut Arteries on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670394,1384377838,0,1),
(1000369,605740468,4,1,'Cyclones','Increases the radius of all Area Effect combat arts and all taunts become more difficult to resist. Additionally, the Berserker''s Area Effect Combat Arts cast faster.',511,65535,317,0,0,0,1,1,'Your Cyclones was successful on %t!','Your Cyclones fades.','',1,0,'',0,'You cast Cyclones on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670394,1384377911,0,1),
(1000370,3657415785,4,1,'D''Lere''s Fighting Stance','Increases your skills with crushing and slashing based weapons.',470,65535,317,0,0,0,1,0,'Your D''Lere''s Fighting Stance was successful on %t!','Your D''Lere''s Fighting Stance fades.','',0,1,'Spells/Traits/DLeresFightingStance.lua',0,'You cast D''Lere''s Fighting Stance on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670394,1384378109,0,1),
(1000371,1275065776,4,1,'Damage Mastery','The inquisitor gains additional crit bonus from Multi-Attack Chance.',263,65535,65535,0,0,0,1,1,'Your Damage Mastery was successful on %t!','Your Damage Mastery fades.','',1,0,'',0,'You cast Damage Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670394,1384377905,0,1),
(1000372,2776917534,4,1,'Daring Leader','Improves the effects of Perfect Finesse and Inspired Daring. At rank two, Perfect Finesse will apply to the swashbuckler''s group. At rank three, Inspired Daring will also apply to the swashbuckler''s group.',370,65535,314,0,0,0,1,1,'Your Daring Leader was successful on %t!','Your Daring Leader fades.','',1,0,'',0,'You cast Daring Leader on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670394,1384377909,0,1),
(1000373,789209533,4,0,'Dark Armament','Dark elves create some of the finest and most intricate armors around.  As a result, they gain additional skill in armor making.',358,65535,65535,0,0,0,0,0,'Your Dark Armament was successful on %t!','Your Dark Armament fades.','',0,1,'Spells/Traits/DarkArmament.lua',0,'You cast Dark Armament on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670394,1384377823,0,1),
(1000374,1128726799,4,1,'Dark Celerity','Improves your hostile casting speed.',480,65535,65535,0,0,0,1,0,'Your Dark Celerity was successful on %t!','Your Dark Celerity fades.','',0,1,'Spells/Traits/DarkCelerity.lua',0,'You cast Dark Celerity on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670394,1384378110,0,1),
(1000375,3657602667,4,1,'Dark Incubation','This ability grants the warlock an innate ability to infect their enemies with a dormant disease with every hostile spell. Dark Incubation has a 5% chance to trigger and lasts for 12 seconds. Once the target is infected, the warlock will be able to cast Dark Aggravation, dealing substantial damage to the target and surrounding enemies.',928,65535,312,0,0,0,1,1,'Your Dark Incubation was successful on %t!','Your Dark Incubation fades.','',1,0,'',0,'You cast Dark Incubation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670394,1384377838,0,1),
(1000376,2550145682,4,1,'Dark Knight''s Defiance','Crusader''s Faith reduces incoming damage to the shadowknight.',600,65535,317,0,0,0,1,1,'Your Dark Knight''s Defiance was successful on %t!','Your Dark Knight''s Defiance fades.','',1,0,'',0,'You cast Dark Knight''s Defiance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670394,1384377908,0,1),
(1000377,1882157922,4,0,'Dark Knight''s Protection','The Dark Knight''s Protection improves the effectiveness of the shadowknight''s shields and also gives them an improved chance to strike their target with a weapon.',850,65535,65535,0,0,0,0,1,'Your Dark Knight''s Protection was successful on %t!','Your Dark Knight''s Protection fades.','',1,0,'',0,'You cast Dark Knight''s Protection on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670394,1384377901,0,1),
(1000378,4243457179,4,1,'Dark Medicine','Skilled in the art of alchemy, iksar gain additional skill in chemistry.',10,65535,65535,0,0,0,1,0,'Your Dark Medicine was successful on %t!','Your Dark Medicine fades.','',0,1,'Spells/Traits/DarkMedicine.lua',0,'You cast Dark Medicine on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670394,1384378110,0,0),
(1000379,2080949550,4,1,'Dark Perfectionist','Your knowledge of the arts grants you an additional chance to succeed while tradeskilling.',420,65535,65535,0,0,0,1,1,'Your Dark Perfectionist was successful on %t!','Your Dark Perfectionist fades.','',1,0,'',0,'You cast Dark Perfectionist on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670394,1384378109,0,1),
(1000380,1658786246,4,1,'Dark Reaction','Grants the warlock an additional chance to trigger Dark Incubation while casting hostile spells.',193,65535,65535,0,0,0,1,1,'Your Dark Reaction was successful on %t!','Your Dark Reaction fades.','',1,0,'',0,'You cast Dark Reaction on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670394,1384377907,0,1),
(1000381,4064502740,4,0,'Dark Thoughts','Improves the base damage and duration of Dark Pyre and its upgrades.',250,65535,315,0,0,0,0,1,'Your Dark Thoughts was successful on %t!','Your Dark Thoughts fades.','',1,0,'',0,'You cast Dark Thoughts on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670394,1384377910,0,1),
(1000382,3352191964,4,1,'Darkened Agility','Grants an increase to overall agility.  The amount of agility gained will increase as you level.',370,65535,317,0,0,0,1,0,'Your Darkened Agility was successful on %t!','Your Darkened Agility fades.','',0,1,'Spells/Traits/DarkenedAgility.lua',0,'You cast Darkened Agility on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670394,1384378109,0,1),
(1000383,858529878,4,1,'Dashing Dance','Improves the base reuse and casting speed of Dance of Metal.',337,65535,317,0,0,0,1,1,'Your Dashing Dance was successful on %t!','Your Dashing Dance fades.','',1,0,'',0,'You cast Dashing Dance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670394,1384377913,0,1),
(1000384,902898188,4,0,'Dauntless','You have become a stalwart wall. This trait makes you more durable by increasing your total Health pool by 2.5 percent.',249,65535,65535,1829443087,0,0,0,1,'Your Dauntless was successful on %t!','Your Dauntless fades.','',1,0,'',0,'You cast Dauntless on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670394,1384377823,0,1),
(1000385,1324836475,4,0,'Dauntless Drive','When the priest is damaged highly, they will reduce incoming damage for a short duration.',837,65535,317,0,0,0,0,1,'Your Dauntless Drive was successful on %t!','Your Dauntless Drive fades.','',1,0,'',0,'You cast Dauntless Drive on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670394,1384377909,0,1),
(1000386,3623761857,4,0,'Dauntless Spirit','Increases the maximum health of the priest.',249,65535,317,0,0,0,0,0,'Your Dauntless Spirit was successful on %t!','Your Dauntless Spirit fades.','',0,1,'Spells/AA/DauntlessSpirit.lua',0,'You cast Dauntless Spirit on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670394,1384377902,0,1),
(1000387,2762644616,4,1,'Dazzle','Targets hit by Dashing Flourish will have their Multi-Attack Chance reduced.',828,65535,313,0,0,0,1,1,'Your Dazzle was successful on %t!','Your Dazzle fades.','',1,0,'',0,'You cast Dazzle on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670394,1384377903,0,1),
(1000388,2885245771,4,1,'Dazzling Assault','Adds additional damage to Bewilderment, Manatap and Absorb Magic.',559,65535,65535,0,0,0,1,1,'Your Dazzling Assault was successful on %t!','Your Dazzling Assault fades.','',1,0,'',0,'You cast Dazzling Assault on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670394,1384377839,0,1),
(1000389,464922134,4,0,'Deacon''s Stamina','Increases the Deacon''s stamina by 5 for each rank.',565,65535,65535,0,0,0,0,1,'Your Deacon''s Stamina was successful on %t!','Your Deacon''s Stamina fades.','',1,0,'',0,'You cast Deacon''s Stamina on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670394,1384377830,0,1),
(1000390,1116362162,4,0,'Deadly Assault','Improves the reuse time and damage of the Savage Assault line of combat arts.',330,65535,313,0,0,0,0,1,'Your Deadly Assault was successful on %t!','Your Deadly Assault fades.','',1,0,'',0,'You cast Deadly Assault on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670394,1384377904,0,1),
(1000391,1335021739,4,1,'Deadly Toxins','Improves the rate at which Toxic Aura increments.',899,65535,315,0,0,0,1,1,'Your Deadly Toxins was successful on %t!','Your Deadly Toxins fades.','',1,0,'',0,'You cast Deadly Toxins on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670394,1384377912,0,1),
(1000392,2187632695,4,1,'Death Magic','Adds a damage over time effect to Rot Flesh.',822,65535,315,0,0,0,1,1,'Your Death Magic was successful on %t!','Your Death Magic fades.','',1,0,'',0,'You cast Death Magic on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670394,1384377913,0,1),
(1000393,2900227959,4,1,'Death and Destruction','Increases the damage of the shadowknight''s point blank area of effect abilities.',279,65535,313,0,0,0,1,1,'Your Death and Destruction was successful on %t!','Your Death and Destruction fades.','',1,0,'',0,'You cast Death and Destruction on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670394,1384377839,0,1),
(1000394,4262316684,4,1,'Death''s Master','The necromancer gains additional Potency from Crit Bonus.',46,65535,65535,0,0,0,1,1,'Your Death''s Master was successful on %t!','Your Death''s Master fades.','',1,0,'',0,'You cast Death''s Master on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670394,1384377913,0,1),
(1000395,637217770,4,1,'Deathlord','Lowers the base casting time of Revivication, removes the sickness and grants it a chance to clear the reuse of Elemental Toxicity.',156,65535,316,0,0,0,1,1,'Your Deathlord was successful on %t!','Your Deathlord fades.','',1,0,'',0,'You cast Deathlord on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670394,1384377913,0,1),
(1000396,1015150463,4,0,'Deathly Howl','The Howl of Death line gains additional casting speed and improved damage.',204,65535,315,0,0,0,0,1,'Your Deathly Howl was successful on %t!','Your Deathly Howl fades.','',1,0,'',0,'You cast Deathly Howl on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670394,1384377912,0,1),
(1000397,4203217244,4,1,'Debilitating Damage','Pulverize will reduce the damage per second of the targets with each increment.',288,65535,317,0,0,0,1,1,'Your Debilitating Damage was successful on %t!','Your Debilitating Damage fades.','',1,0,'',0,'You cast Debilitating Damage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670394,1384377905,0,1),
(1000398,2175222115,4,0,'Debilitating Gouge','Improves the effectiveness of Eye Gouge.',346,65535,315,0,0,0,0,1,'Your Debilitating Gouge was successful on %t!','Your Debilitating Gouge fades.','',1,0,'',0,'You cast Debilitating Gouge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670394,1384377836,0,1),
(1000399,1065541569,4,0,'Debilitating Nightmares','The Nightmare line of spells will improve the Arcane mitigation reduction.',476,65535,315,0,0,0,0,1,'Your Debilitating Nightmares was successful on %t!','Your Debilitating Nightmares fades.','',1,0,'',0,'You cast Debilitating Nightmares on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670394,1384377910,0,1),
(1000400,1306511647,4,0,'Debilitating Strikes','Debilitate gains an additional max health reduction component.',186,65535,315,0,0,0,0,1,'Your Debilitating Strikes was successful on %t!','Your Debilitating Strikes fades.','',1,0,'',0,'You cast Debilitating Strikes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670396,1384377904,0,1),
(1000401,3816762805,4,0,'Decimation','Improves the damage and skill reduction of the Decimate line of skills.',35,65535,315,0,0,0,0,1,'Your Decimation was successful on %t!','Your Decimation fades.','',1,0,'',0,'You cast Decimation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670396,1384377908,0,1),
(1000402,4017514836,4,1,'Deep Blows','Combat Arts with multiple strikes will gain additional strikes that do increased damage if the enemy is not targeting the bruiser.',330,65535,315,0,0,0,1,1,'Your Deep Blows was successful on %t!','Your Deep Blows fades.','',1,0,'',0,'You cast Deep Blows on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670396,1384377901,0,1),
(1000403,3273015835,4,1,'Deep Wounds','Carnage''s initial hit and trigger chance will be improved.',339,65535,317,0,0,0,1,1,'Your Deep Wounds was successful on %t!','Your Deep Wounds fades.','',1,0,'',0,'You cast Deep Wounds on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670396,1384377911,0,1),
(1000404,1803065439,4,1,'Defender''s Power','Increases the damage of Defender''s Charge. This applies before potency.',79,65535,315,0,0,0,1,1,'Your Defender''s Power was successful on %t!','Your Defender''s Power fades.','',1,0,'',0,'You cast Defender''s Power on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670396,1384377839,0,1),
(1000405,3145636423,4,0,'Defensive Aggression','Reduces the penalties of the bruiser''s defensive stance.',294,65535,317,0,0,0,0,1,'Your Defensive Aggression was successful on %t!','Your Defensive Aggression fades.','',1,0,'',0,'You cast Defensive Aggression on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670396,1384377916,0,1),
(1000406,1459350638,4,0,'Defensive Ballad','Improves the skill bonuses found on the Graceful Avoidance and Jael''s Mysterious Mettle line of defensive songs.',307,65535,314,0,0,0,0,1,'Your Defensive Ballad was successful on %t!','Your Defensive Ballad fades.','',1,0,'',0,'You cast Defensive Ballad on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670396,1384377901,0,1),
(1000407,4224157134,4,1,'Defensive Bulwark','Increases the size of the damage reduction effect on Grit.',843,65535,315,0,0,0,1,1,'Your Defensive Bulwark was successful on %t!','Your Defensive Bulwark fades.','',1,0,'',0,'You cast Defensive Bulwark on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670396,1384377902,0,1),
(1000408,725498719,4,0,'Defensive Curse','Grants additional damage to the Tarven''s Crippling Crescendo line and also improves the defense reduction.',310,65535,315,0,0,0,0,1,'Your Defensive Curse was successful on %t!','Your Defensive Curse fades.','',1,0,'',0,'You cast Defensive Curse on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670396,1384377836,0,1),
(1000409,1186298807,4,0,'Defensive Enchantment','A defensive enchantment which grants the player additional maximum health.',914,65535,65535,0,0,0,0,1,'Your Defensive Enchantment was successful on %t!','Your Defensive Enchantment fades.','',1,0,'',0,'You cast Defensive Enchantment on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670396,1384377905,0,1),
(1000410,2989299103,4,1,'Defensive Might','Your practice of combat gives you additional skill in defense, parry and deflection.',357,65535,314,0,0,0,1,0,'Your Defensive Might was successful on %t!','Your Defensive Might fades.','',0,1,'Spells/Traits/DefensiveMight.lua',0,'You cast Defensive Might on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670396,1384377823,0,1),
(1000411,2366128398,4,1,'Defensive Perception','Applies damage reduction to the group when using Ralissk''s Perception. The amount of damage types improve with higher ranks.',290,65535,312,0,0,0,1,2,'Your Defensive Perception was successful on %t!','Your Defensive Perception fades.','',1,0,'',0,'You cast Defensive Perception on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670396,1384377838,0,1),
(1000412,372622983,4,1,'Defiance','Passively improves the beastlord''s physical mitigation.',329,65535,317,0,0,0,1,0,'Your Defiance was successful on %t!','Your Defiance fades.','',0,1,'Spells/AA/Defiance.lua',0,'You cast Defiance on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670396,1384377901,0,1),
(1000413,387326867,4,0,'Defiled Alacrity','Carrion Warding and Purulence have a chance to finish the reuse of Ancestral Channeling.',192,65535,65535,0,0,0,0,1,'Your Defiled Alacrity was successful on %t!','Your Defiled Alacrity fades.','',1,0,'',0,'You cast Defiled Alacrity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670396,1384377904,0,1),
(1000414,1651203498,4,0,'Deflecting Blow','The brawler is able to increase their chance to deflect incoming attacks.',856,65535,65535,0,0,0,0,0,'Your Deflecting Blow was successful on %t!','Your Deflecting Blow fades.','',0,1,'Spells/AA/DeflectingBlow.lua',0,'You cast Deflecting Blow on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670396,1384377831,0,1),
(1000415,1511563642,4,0,'Deflecting Chorus','Physical damage done to the dirge will be reduced by a small amount.',823,65535,65535,0,0,0,0,1,'Your Deflecting Chorus was successful on %t!','Your Deflecting Chorus fades.','',1,0,'',0,'You cast Deflecting Chorus on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670396,1384377912,0,1),
(1000416,2858489120,4,0,'Deflecting Pincers','You have an increased chance to deflect incoming attacks.',540,65535,65535,0,0,0,0,0,'Your Deflecting Pincers was successful on %t!','Your Deflecting Pincers fades.','',0,1,'Spells/AA/DeflectingPincers.lua',0,'You cast Deflecting Pincers on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670396,1384377838,0,1),
(1000417,3019695692,4,0,'Deflecting Staff','Grants the Invoker a chance to parry incoming attacks.',246,65535,65535,0,0,0,0,0,'Your Deflecting Staff was successful on %t!','Your Deflecting Staff fades.','',0,1,'Spells/AA/DeflectingStaff.lua',0,'You cast Deflecting Staff on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670396,1384377830,0,1),
(1000418,4130063633,4,1,'Deft','Your reflexes react at the speed of thought.  This trait endows you with 4 more Agility.',90,65535,65535,0,0,0,1,0,'Your Deft was successful on %t!','Your Deft fades.','',0,1,'Spells/Deft.lua',0,'You cast Deft on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670396,1384377823,0,0),
(1000419,741820645,4,1,'Defy Magic','Divine runes protect you and allow you to resist arcane attacks better.',644,65535,318,0,0,0,0,0,'Your Defy Magic was successful on %t!','Your Defy Magic fades.','',0,1,'Spells/Traits/DefyMagic.lua',0,'You cast Defy Magic on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670396,1384378110,0,1),
(1000420,2720272762,4,0,'Degredate','Reduces the power cost and improves casting speed and length of songs with persistent power costs.',257,65535,65535,0,0,0,0,1,'Your Degredate was successful on %t!','Your Degredate fades.','',1,0,'',0,'You cast Degredate on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670396,1384377911,0,1),
(1000421,1886468226,4,1,'Delayed Thirst','Your divine skills allow you to purify drinks, allowing them to last longer than normal.',131,65535,65535,0,0,0,1,1,'Your Delayed Thirst was successful on %t!','Your Delayed Thirst fades.','',1,0,'',0,'You cast Delayed Thirst on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670396,1384378109,0,1),
(1000422,2039216157,4,0,'Demolisher''s Wisdom','Increases the Demolisher''s wisdom by 7 for each rank.',585,65535,65535,0,0,0,0,1,'Your Demolisher''s Wisdom was successful on %t!','Your Demolisher''s Wisdom fades.','',1,0,'',0,'You cast Demolisher''s Wisdom on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670396,1384377830,0,1),
(1000423,3379447331,4,1,'Demonic Focus','Improves your hostile casting speed.',480,65535,65535,0,0,0,1,1,'Your Demonic Focus was successful on %t!','Your Demonic Focus fades.','',1,0,'',0,'You cast Demonic Focus on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670396,1384378110,0,1),
(1000424,1417808614,4,0,'Demoralizing Chorus','Increases the damage and adds an intelligence reduction effect to Chaos Anthem and its upgrades.',160,65535,312,0,0,0,0,1,'Your Demoralizing Chorus was successful on %t!','Your Demoralizing Chorus fades.','',1,0,'',0,'You cast Demoralizing Chorus on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670396,1384377836,0,1),
(1000425,58338902,4,0,'Depressed Thoughts','Asylum and its upgrades will do additional base and critical damage. ',476,65535,315,0,0,0,0,1,'Your Depressed Thoughts was successful on %t!','Your Depressed Thoughts fades.','',1,0,'',0,'You cast Depressed Thoughts on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377899,0,1),
(1000426,2637051768,4,0,'Despotic Healing','Improves the casting time and heal amount of the Fanatical Healing line of heal spells.',468,65535,316,0,0,0,0,1,'Your Despotic Healing was successful on %t!','Your Despotic Healing fades.','',1,0,'',0,'You cast Despotic Healing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377915,0,1),
(1000427,2556385110,4,0,'Destitute','Absolution and its upgrades will do additional base and critical damage.',257,65535,312,0,0,0,0,1,'Your Destitute was successful on %t!','Your Destitute fades.','',1,0,'',0,'You cast Destitute on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377831,0,1),
(1000428,2715929872,4,1,'Destructive Rampage','Destructive Rampage is a short duration group buff that improves the damage of the group''s spells and combat arts. It applies when the illusionist casts Peace of Mind.',893,65535,314,0,0,0,1,1,'Your Destructive Rampage was successful on %t!','Your Destructive Rampage fades.','',1,0,'',0,'You cast Destructive Rampage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377908,0,1),
(1000429,2797391324,4,0,'Locate Weakness','Adds a Damage Per Second reduction component to Puncture.',338,65535,315,0,0,0,0,1,'Your Detect Weakness was successful on %t!','Your Detect Weakness fades.','',1,0,'',0,'You cast Detect Weakness on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377900,0,1),
(1000430,1606577821,4,0,'Deterioration','Improves the strength reduction, agility reduction, and casting speed of the Deteriorate line of spells.',281,65535,315,0,0,0,0,1,'Your Deterioration was successful on %t!','Your Deterioration fades.','',1,0,'',0,'You cast Deterioration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377838,0,1),
(1000431,4155938320,4,0,'Devoted Allegiance','Increases bonuses of the Aegolism and Tenacity lines of spells.',153,65535,316,0,0,0,0,1,'Your Devoted Allegiance was successful on %t!','Your Devoted Allegiance fades.','',1,0,'',0,'You cast Devoted Allegiance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377836,0,1),
(1000432,3806040660,4,0,'Devoted Following','Increases the amount of healing done by Inquisition.',56,65535,65535,0,0,0,0,1,'Your Devoted Following was successful on %t!','Your Devoted Following fades.','',1,0,'',0,'You cast Devoted Following on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377831,0,1),
(1000433,3020168405,4,0,'Devoted Healing','Improves the casting time and critical amount for the cleric''s Vital Intercession and Penance line of heals.',185,65535,316,0,0,0,0,1,'Your Devoted Healing was successful on %t!','Your Devoted Healing fades.','',1,0,'',0,'You cast Devoted Healing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377915,0,1),
(1000434,2360358084,4,1,'Devotion to the Arts','Increases your skills with disruption and subjugation.',476,65535,317,0,0,0,1,0,'Your Devotion to the Arts was successful on %t!','Your Devotion to the Arts fades.','',0,1,'Spells/Traits/DevotiontotheArts.lua',0,'You cast Devotion to the Arts on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670398,1384377823,0,1),
(1000435,283342392,4,0,'Devour','This Feral Primal absorbs health from the target and restores it to the beastlord. This ability equips in the fifth primal slot.',922,65535,315,0,0,0,0,1,'Your Devour was successful on %t!','Your Devour fades.','',1,0,'',0,'You cast Devour on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377909,0,1),
(1000436,329497402,4,0,'Devour','This Feral Primal absorbs health from the target and restores it to the beastlord. This ability equips in the fifth primal slot.',922,65535,315,0,0,0,0,1,'Your Devour was successful on %t!','Your Devour fades.','',1,0,'',0,'You cast Devour on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377912,0,1),
(1000437,3468038343,4,0,'Devour','This Feral Primal absorbs health from the target and restores it to the beastlord. This ability equips in the fifth primal slot.',922,65535,315,0,0,0,0,1,'Your Devour was successful on %t!','Your Devour fades.','',1,0,'',0,'You cast Devour on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377910,0,1),
(1000438,2081915846,4,0,'Devour','This Feral Primal absorbs health from the target and restores it to the beastlord. This ability equips in the fifth primal slot.',922,65535,315,0,0,0,0,1,'Your Devour was successful on %t!','Your Devour fades.','',1,0,'',0,'You cast Devour on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377909,0,1),
(1000439,2545797440,4,0,'Devour','This Feral Primal absorbs health from the target and restores it to the beastlord. This ability equips in the fifth primal slot.',922,65535,315,0,0,0,0,1,'Your Devour was successful on %t!','Your Devour fades.','',1,0,'',0,'You cast Devour on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377909,0,1),
(1000440,3688967741,4,0,'Devour','This Feral Primal absorbs health from the target and restores it to the beastlord. This ability equips in the fifth primal slot.',922,65535,315,0,0,0,0,1,'Your Devour was successful on %t!','Your Devour fades.','',1,0,'',0,'You cast Devour on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377839,0,1),
(1000441,3296514721,4,0,'Devour','This Feral Primal absorbs health from the target and restores it to the beastlord. This ability equips in the fifth primal slot.',922,65535,315,0,0,0,0,1,'Your Devour was successful on %t!','Your Devour fades.','',1,0,'',0,'You cast Devour on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377917,0,1),
(1000442,2479723653,4,0,'Devour','This Feral Primal absorbs health from the target and restores it to the beastlord. This ability equips in the fifth primal slot.',922,65535,315,0,0,0,0,1,'Your Devour was successful on %t!','Your Devour fades.','',1,0,'',0,'You cast Devour on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377838,0,1),
(1000443,1022540987,4,0,'Devour','This Feral Primal absorbs health from the target and restores it to the beastlord. This ability equips in the fifth primal slot.',922,65535,315,0,0,0,0,1,'Your Devour was successful on %t!','Your Devour fades.','',1,0,'',0,'You cast Devour on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377901,0,1),
(1000444,2608613533,4,0,'Devour','This Feral Primal absorbs health from the target and restores it to the beastlord. This ability equips in the fifth primal slot.',922,65535,315,0,0,0,0,1,'Your Devour was successful on %t!','Your Devour fades.','',1,0,'',0,'You cast Devour on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377909,0,1),
(1000445,979214701,4,0,'Devour','This Feral Primal absorbs health from the target and restores it to the beastlord. This ability equips in the fifth primal slot.',922,65535,315,0,0,0,0,1,'Your Devour was successful on %t!','Your Devour fades.','',1,0,'',0,'You cast Devour on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377838,0,1),
(1000446,1209734638,4,0,'Devour','This Feral Primal absorbs health from the target and restores it to the beastlord. This ability equips in the fifth primal slot.',922,65535,315,0,0,0,0,1,'Your Devour was successful on %t!','Your Devour fades.','',1,0,'',0,'You cast Devour on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377838,0,1),
(1000447,3790590873,4,0,'Devour','This Feral Primal absorbs health from the target and restores it to the beastlord. This ability equips in the fifth primal slot.',922,65535,315,0,0,0,0,1,'Your Devour was successful on %t!','Your Devour fades.','',1,0,'',0,'You cast Devour on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377917,0,1),
(1000448,3004281309,4,0,'Devour','This Feral Primal absorbs health from the target and restores it to the beastlord. This ability equips in the fifth primal slot.',922,65535,315,0,0,0,0,1,'Your Devour was successful on %t!','Your Devour fades.','',1,0,'',0,'You cast Devour on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377839,0,1),
(1000449,1197468182,4,0,'Devour','This Feral Primal absorbs health from the target and restores it to the beastlord. This ability equips in the fifth primal slot.',922,65535,315,0,0,0,0,1,'Your Devour was successful on %t!','Your Devour fades.','',1,0,'',0,'You cast Devour on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377901,0,1),
(1000450,573912226,4,0,'Devour','This Feral Primal absorbs health from the target and restores it to the beastlord. This ability equips in the fifth primal slot.',922,65535,315,0,0,0,0,1,'Your Devour was successful on %t!','Your Devour fades.','',1,0,'',0,'You cast Devour on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377897,0,1),
(1000451,799191412,4,0,'Devour','This Feral Primal absorbs health from the target and restores it to the beastlord. This ability equips in the fifth primal slot.',922,65535,315,0,0,0,0,1,'Your Devour was successful on %t!','Your Devour fades.','',1,0,'',0,'You cast Devour on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377904,0,1),
(1000452,3262786782,4,0,'Devour','This Feral Primal absorbs health from the target and restores it to the beastlord. This ability equips in the fifth primal slot.',922,65535,315,0,0,0,0,1,'Your Devour was successful on %t!','Your Devour fades.','',1,0,'',0,'You cast Devour on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377839,0,1),
(1000453,1980156389,4,0,'Devour','This Feral Primal absorbs health from the target and restores it to the beastlord. This ability equips in the fifth primal slot.',922,65535,315,0,0,0,0,1,'Your Devour was successful on %t!','Your Devour fades.','',1,0,'',0,'You cast Devour on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377913,0,1),
(1000454,3034794671,4,0,'Devout','Divine damage taken is decreased by 3 percent vs opponents your level.  ',148,65535,65535,0,0,0,0,1,'Your Devout was successful on %t!','Your Devout fades.','',1,0,'Spells/Devout.lua',0,'You cast Devout on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670398,1384378109,0,1),
(1000455,2121267534,4,0,'Devout Aura','Improves the duration of Divine Aura.',614,65535,65535,0,0,0,0,1,'Your Devout Aura was successful on %t!','Your Devout Aura fades.','',1,0,'',0,'You cast Devout Aura on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377913,0,1),
(1000456,23630798,4,1,'Devout Barrier','Divine runes protect you and allow you to resist arcane attacks better.',144,65535,65535,0,0,0,0,0,'Your Devout Barrier was successful on %t!','Your Devout Barrier fades.','',0,1,'Spells/Traits/DevoutBarrier.lua',0,'You cast Devout Barrier on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670398,1384378110,0,1),
(1000457,3709393410,4,0,'Devout Endurance','The Vehemence line of spells will grant additional stamina.',184,65535,314,0,0,0,0,1,'Your Devout Endurance was successful on %t!','Your Devout Endurance fades.','',1,0,'',0,'You cast Devout Endurance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377908,0,1),
(1000458,3066162676,4,0,'Devout Faith','Devout Faith increases the ward amount of Demonstration of Faith.',469,65535,65535,0,0,0,0,1,'Your Devout Faith was successful on %t!','Your Devout Faith fades.','',1,0,'',0,'You cast Devout Faith on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377897,0,1),
(1000459,4032921868,4,0,'Devout Incapacitation','Improves the amount of mitigation debuffed by the Rebuke and Shame line of spells.',186,65535,315,0,0,0,0,1,'Your Devout Incapacitation was successful on %t!','Your Devout Incapacitation fades.','',1,0,'',0,'You cast Devout Incapacitation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377911,0,1),
(1000460,584647493,4,0,'Devout Prayers','Improves the healing of Holy Aid.',158,65535,316,0,0,0,0,1,'Your Devout Prayers was successful on %t!','Your Devout Prayers fades.','',1,0,'',0,'You cast Devout Prayers on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377903,0,1),
(1000461,1579391778,4,0,'Dexterous','Dexterity allows you to aim for weaknesses. This trait heightens your reflexes by increasing your Agility by 4.',90,65535,65535,0,0,0,0,1,'Your Dexterous was successful on %t!','Your Dexterous fades.','',1,0,'',0,'You cast Dexterous on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670398,1384378109,0,1),
(1000462,746589422,4,0,'Dexterous Attacks','Certain attacks will inflict their damage twice.',832,65535,65535,0,0,0,0,1,'Your Dexterous Attacks was successful on %t!','Your Dexterous Attacks fades.','',1,0,'',0,'You cast Dexterous Attacks on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670398,1384377900,0,1),
(1000463,2309052399,4,1,'Dexterous Creations','While tradeskilling, you will progress through creating an item faster than normal.\n',420,65535,65535,0,0,0,1,0,'Your Dexterous Creations was successful on %t!','Your Dexterous Creations fades.','',0,1,'Spells/Traits/DexterousCreations.lua',0,'You cast Dexterous Creations on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670400,1384378110,0,1),
(1000464,1071448750,4,1,'Didn''t Even Feel It!','Your skills in fighting have increased your ability to absorb physical blows.',294,65535,317,0,0,0,0,0,'Your Didn''t Even Feel It! was successful on %t!','Your Didn''t Even Feel It! fades.','',0,1,'Spells/Traits/DidntEvenFeelIt.lua',0,'You cast Didn''t Even Feel It! on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670400,1384377823,0,1),
(1000465,4137539454,4,0,'Disappointing Offense','This spell improves the offensive skill debuff of the Dismay line of skills.',265,65535,315,0,0,0,0,1,'Your Disappointing Offense was successful on %t!','Your Disappointing Offense fades.','',1,0,'',0,'You cast Disappointing Offense on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670400,1384377910,0,1),
(1000466,1392224601,4,0,'Disarming Arrows','Using Healing Arrow will reduce the target''s Weapon Damage Bonus.',881,65535,315,0,0,0,0,1,'Your Disarming Arrows was successful on %t!','Your Disarming Arrows fades.','',1,0,'',0,'You cast Disarming Arrows on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670400,1384377910,0,1),
(1000467,2733154187,4,0,'Disciple of Bertoxxulous','The warlock''s devotion to Bertoxxulous empowers them with additional hitpoints.',897,65535,65535,0,0,0,0,1,'Your Disciple of Bertoxxulous was successful on %t!','Your Disciple of Bertoxxulous fades.','',1,0,'',0,'You cast Disciple of Bertoxxulous on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670400,1384377831,0,1),
(1000468,2277672380,4,0,'Disease Mastery','Disease Mastery allows the necromancer to cast diseased based spells that do additional base and critical damage.',918,65535,65535,0,0,0,0,1,'Your Disease Mastery was successful on %t!','Your Disease Mastery fades.','',1,0,'',0,'You cast Disease Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670400,1384377907,0,1),
(1000469,885312163,4,0,'Disease Mastery','Improves the base and critical damage of disease spells.  Also improves the casting speed of disease based spells.',898,65535,65535,0,0,0,0,1,'Your Disease Mastery was successful on %t!','Your Disease Mastery fades.','',1,0,'',0,'You cast Disease Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670400,1384377899,0,1),
(1000470,3744320826,4,1,'Diseased Mind','Toxic Aura will reduce the casting time of Apocalypse and Rift as it increments.',804,65535,315,0,0,0,1,1,'Your Diseased Mind was successful on %t!','Your Diseased Mind fades.','',1,0,'',0,'You cast Diseased Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670400,1384377903,0,1),
(1000471,865801100,4,1,'Disintegrating Fire','Ball of Fire has a chance to finish the reuse of Rays of Disintegration.',172,65535,317,0,0,0,1,1,'Your Disintegrating Fire was successful on %t!','Your Disintegrating Fire fades.','',1,0,'',0,'You cast Disintegrating Fire on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670400,1384377840,0,1),
(1000472,642423446,4,0,'Dispatch Defense','Adds an additional defense reduction to Dispatch.',472,65535,315,0,0,0,0,1,'Your Dispatch Defense was successful on %t!','Your Dispatch Defense fades.','',1,0,'',0,'You cast Dispatch Defense on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670400,1384377831,0,1),
(1000473,1800024686,4,0,'Distorted Mind','Improves the base damage of the Distortion line of spells.',259,65535,315,0,0,0,0,1,'Your Distorted Mind was successful on %t!','Your Distorted Mind fades.','',1,0,'',0,'You cast Distorted Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670400,1384377902,0,1),
(1000474,1892956545,4,0,'Distracted Mind','Lowers the resistibility of Amnesia and Phase.',262,65535,315,0,0,0,0,1,'Your Distracted Mind was successful on %t!','Your Distracted Mind fades.','',1,0,'',0,'You cast Distracted Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670400,1384377904,0,1),
(1000475,3981956747,4,0,'Distracting Weapon','Bum Rush will have improved base and critical damage.',377,65535,315,0,0,0,0,1,'Your Distracting Weapon was successful on %t!','Your Distracting Weapon fades.','',1,0,'',0,'You cast Distracting Weapon on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670400,1384377914,0,1),
(1000476,1306098893,4,0,'Diversity','Humans are a broad culture that practices many different tradeskills.  As a result, humans gain additional skill in all tradeskill professions.',41,65535,65535,0,0,0,0,0,'Your Diversity was successful on %t!','Your Diversity fades.','',0,1,'Spells/Traits/Diversity.lua',0,'You cast Diversity on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670400,1384377823,0,1),
(1000477,548287259,4,1,'Divine Assistance','The templar''s high level reactive heals have a chance to have increased triggers.  This effect is reduced in PVP combat.',180,65535,317,0,0,0,1,1,'Your Divine Assistance was successful on %t!','Your Divine Assistance fades.','',1,0,'',0,'You cast Divine Assistance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670400,1384377839,0,1),
(1000478,3137549227,4,1,'Divine Casting','Your pursuit of divine magic allows you to cast beneficial spells faster.',873,65535,65535,0,0,0,1,1,'Your Divine Casting was successful on %t!','Your Divine Casting fades.','',1,0,'',0,'You cast Divine Casting on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670400,1384378109,0,1),
(1000479,129990131,4,0,'Divine Empowerment','Improves the damage of the Power Cleave line of skills.  This ability also grants Power Cleave an improved chance to critically attack and also improves its critical damage.',470,65535,315,0,0,0,0,1,'Your Divine Empowerment was successful on %t!','Your Divine Empowerment fades.','',1,0,'',0,'You cast Divine Empowerment on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670400,1384377836,0,1),
(1000480,1501287690,4,1,'Divine Faith','Reduces the base cast speed and increases the duration of Faith.',850,65535,317,0,0,0,1,0,'Your Divine Faith was successful on %t!','Your Divine Faith fades.','',1,0,'',3054,'You cast Divine Faith on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670400,1384377908,0,1),
(1000481,1132928977,4,0,'Divine Healing','Adds an effect to Divine Recovery that increases the base damage, heals and taunts of the group.',635,65535,65535,0,0,0,0,1,'Your Divine Healing was successful on %t!','Your Divine Healing fades.','',1,0,'',0,'You cast Divine Healing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670400,1384377909,0,1),
(1000482,3592916898,4,1,'Divine Knight''s Armor','Devout Sacriment will apply damage reduction to the paladin when cast.',185,65535,317,0,0,0,1,1,'Your Divine Knight''s Armor was successful on %t!','Your Divine Knight''s Armor fades.','',1,0,'',0,'You cast Divine Knight''s Armor on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670400,1384377913,0,1),
(1000483,3540664616,4,1,'Divine Mana','Divinity''s Aid will grant the target a chance to trigger power restoration to the templar''s group.',44,65535,316,0,0,0,1,1,'Your Divine Mana was successful on %t!','Your Divine Mana fades.','',1,0,'',0,'You cast Divine Mana on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670400,1384377904,0,1),
(1000484,2446032878,4,0,'Divine Meditation','Increases the base heal amount of Focused Intervention and its upgrades while reducing the power cost.',300,65535,316,0,0,0,0,1,'Your Divine Meditation was successful on %t!','Your Divine Meditation fades.','',1,0,'',0,'You cast Divine Meditation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670400,1384377909,0,1),
(1000485,683632984,4,1,'Divine Protection','Sanctify has a chance to reduce damage to the target ally when they fall below 50% health or have less than 50% health when the spell is cast.',219,65535,316,0,0,0,1,1,'Your Divine Protection was successful on %t!','Your Divine Protection fades.','',1,0,'',0,'You cast Divine Protection on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670400,1384377904,0,1),
(1000486,3564396029,4,0,'Divine Reckoning','Increases the damage of the templar''s hostile spells.',3,65535,65535,0,0,0,0,1,'Your Divine Reckoning was successful on %t!','Your Divine Reckoning fades.','',1,0,'',0,'You cast Divine Reckoning on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670400,1384377906,0,1),
(1000487,4255538284,4,1,'Divine Repentance','When Divine Fate of Healing Triggers, it can clear the reuse on Repent. Additionally, Mark of Nobility will increase the target''s chance to strikethrough and, if the target is not a fighter, reduce their hate generation.',243,65535,317,0,0,0,1,1,'Your Divine Repentance was successful on %t!','Your Divine Repentance fades.','',1,0,'',0,'You cast Divine Repentance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670400,1384377910,0,1),
(1000488,3837127877,4,1,'Divine Retribution','Writhing Strike, Invocation Strike, Strike of Flames and Strike of Corruption will deal additional damage if the inquisitor is flanking or behind the target.',481,65535,315,0,0,0,1,1,'Your Divine Retribution was successful on %t!','Your Divine Retribution fades.','',1,0,'',0,'You cast Divine Retribution on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670400,1384377833,0,1),
(1000489,8285375,4,1,'Divine Wall','The paladin gains additional Potency from Crit Bonus.',198,65535,65535,0,0,0,1,1,'Your Divine Wall was successful on %t!','Your Divine Wall fades.','',1,0,'',0,'You cast Divine Wall on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670400,1384377840,0,1),
(1000490,2358273258,4,1,'Divinity''s Aid','Following the natural expiration (triggers or duration) of Vital Intercession, the target will gain increased healing received for a short duration. Repent will also ward for more on that target.',46,65535,316,0,0,0,1,1,'Your Divinity''s Aid was successful on %t!','Your Divinity''s Aid fades.','',1,0,'',0,'You cast Divinity''s Aid on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670400,1384377904,0,1),
(1000491,555320794,4,1,'Divinity''s Infusion','Improves the amount of increments Divine Justice increases by when using attacks.',697,65535,313,0,0,0,1,1,'Your Divinity''s Infusion was successful on %t!','Your Divinity''s Infusion fades.','',1,0,'',0,'You cast Divinity''s Infusion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670400,1384377913,0,1),
(1000492,2752344510,4,1,'Divinity''s Punishment','Divinity''s Aid will grant the templar a chance to inflict damage upon their enemy when the target of Divinity''s Aid attacks.',874,65535,316,0,0,0,1,1,'Your Divinity''s Punishment was successful on %t!','Your Divinity''s Punishment fades.','',1,0,'',0,'You cast Divinity''s Punishment on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670400,1384377839,0,1),
(1000493,4176792854,4,1,'Dodging Blows','Increases your base defense and disruption skills.',856,65535,65535,0,0,0,1,0,'Your Dodging Blows was successful on %t!','Your Dodging Blows fades.','',0,1,'Spells/Traits/DodgingBlows.lua',0,'You cast Dodging Blows on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670402,1384378110,0,1),
(1000494,741841378,4,1,'Dominated Defenses','When Wraithwall absorbs damage, it will reduce incoming damage to the target for a short duration.',468,65535,316,0,0,0,1,1,'Your Dominated Defenses was successful on %t!','Your Dominated Defenses fades.','',1,0,'',0,'You cast Dominated Defenses on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670402,1384377838,0,1),
(1000495,1993287843,4,0,'Double Arrow','Increases your Damage Per Second. Additionally, Searing Shot will reduce the target''s maximum health for a short duration.',362,65535,317,0,0,0,0,1,'Your Double Arrow was successful on %t!','Your Double Arrow fades.','',1,0,'',0,'You cast Double Arrow on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670402,1384377899,0,1),
(1000496,1761094094,4,1,'Double Blades','Windblade will apply a second strike. The second strike will only display when Windblade is active.',337,65535,314,0,0,0,1,1,'Your Double Blades was successful on %t!','Your Double Blades fades.','',1,0,'',0,'You cast Double Blades on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670402,1384377913,0,1),
(1000497,2121866578,4,1,'Double Coating','Improves the maximum increments of Acid Blades. The final rank doubles the amount of increments gained when using Nightblade.',801,65535,315,0,0,0,1,1,'Your Double Coating was successful on %t!','Your Double Coating fades.','',1,0,'',0,'You cast Double Coating on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670402,1384377839,0,1),
(1000498,2367501202,4,1,'Double Echo','Increases the base heal amount and base damage amount of Resonation. This applies before potency.',603,65535,313,0,0,0,1,1,'Your Double Echo was successful on %t!','Your Double Echo fades.','',1,0,'',0,'You cast Double Echo on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670402,1384377839,0,1),
(1000499,2930948062,4,0,'Double Nocked','Vengeful Arrow and Barrage have a chance to attack twice.',11,65535,316,0,0,0,0,1,'Your Double Nocked was successful on %t!','Your Double Nocked fades.','',1,0,'',0,'You cast Double Nocked on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670402,1384377902,0,1),
(1000500,1129037996,4,0,'Draconic Reinforcement','The priest increases the health of the target of their direct, single target heals.',224,65535,316,0,0,0,0,1,'Your Draconic Reinforcement was successful on %t!','Your Draconic Reinforcement fades.','',1,0,'',0,'You cast Draconic Reinforcement on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670402,1384377914,0,1),
(1000501,3699107322,0,0,'Dragon Scales','Increases the maximum health of the mage.',249,65535,317,0,0,0,0,0,'Your Dragon Scales was successful on %t!','Your Dragon Scales fades.','',1,0,'Spells/AA/DragonScales.lua',0,'You cast Dragon Scales on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670402,1384377908,0,1),
(1000502,2272734314,4,0,'Dragon Scales','The fighter''s defensive stance will increase their health.',637,65535,317,0,0,0,0,1,'Your Dragon Scales was successful on %t!','Your Dragon Scales fades.','',1,0,'',0,'You cast Dragon Scales on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670402,1384377912,0,1),
(1000503,3306680717,4,1,'Dragon''s Fury','Rising Dragon has a chance to finish the cooldown on Dragonfire.',242,65535,317,0,0,0,1,1,'Your Dragon''s Fury was successful on %t!','Your Dragon''s Fury fades.','',1,0,'',0,'You cast Dragon''s Fury on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670402,1384377912,0,1),
(1000504,94655875,4,0,'Dragon''s Rage','While in the defensive stance, the monk will gain an additional threat component to the Dragonfire line of abilities.',368,65535,313,0,0,0,0,1,'Your Dragon''s Rage was successful on %t!','Your Dragon''s Rage fades.','',1,0,'',0,'You cast Dragon''s Rage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670402,1384377838,0,1),
(1000505,11587331,4,1,'Dragon''s Roar','Enhances Dragonfire to do additional damage which increases over time. Additionally, all targets hit by Dragonfire will have their movement speed greatly reduced.',368,65535,313,0,0,0,1,1,'Your Dragon''s Roar was successful on %t!','Your Dragon''s Roar fades.','',1,0,'',0,'You cast Dragon''s Roar on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670402,1384377834,0,1),
(1000506,993598183,4,0,'Dragon''s Vitality','Increases the maximum health of the scout.',249,65535,317,0,0,0,0,0,'Your Dragon''s Vitality was successful on %t!','Your Dragon''s Vitality fades.','',0,1,'Spells/AA/DragonsVitality.lua',0,'You cast Dragon''s Vitality on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670402,1384377907,0,1),
(1000507,3001229041,4,0,'Dragoon''s Agility','Increases the Dragoon''s agility by 6 for each rank.',564,65535,65535,0,0,0,0,1,'Your Dragoon''s Agility was successful on %t!','Your Dragoon''s Agility fades.','',1,0,'',0,'You cast Dragoon''s Agility on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670402,1384377830,0,1),
(1000508,3263818366,4,0,'Dragoon''s Avoidance','Increases the Dragoon''s defense.',624,65535,65535,0,0,0,0,0,'Your Dragoon''s Avoidance was successful on %t!','Your Dragoon''s Avoidance fades.','',0,1,'Spells/AA/DragoonsAvoidance.lua',0,'You cast Dragoon''s Avoidance on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670402,1384377913,0,1),
(1000509,1559068637,4,1,'Dragoon''s Cyclone','Grants a chance that the Dragoon''s auto-attacks will attack up to 4 enemies in an area surrounding the Dragoon.',692,65535,65535,0,0,0,1,0,'Your Dragoon''s Cyclone was successful on %t!','Your Dragoon''s Cyclone fades.','',1,0,'Spells/AA/DragoonsCyclone.lua',0,'You cast Dragoon''s Cyclone on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670402,1384377907,0,1),
(1000510,1124935434,4,0,'Draining Mark','When Death Mark triggers, the assassin''s group will also receive a small heal in return.',366,65535,315,0,0,0,0,1,'Your Draining Mark was successful on %t!','Your Draining Mark fades.','',1,0,'',0,'You cast Draining Mark on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670402,1384377912,0,1),
(1000511,1077757282,4,0,'Draw from the Void','Allows Curse of the Void to siphon strength and intelligence for the warlock.',244,65535,315,0,0,0,0,1,'Your Draw from the Void was successful on %t!','Your Draw from the Void fades.','',1,0,'',0,'You cast Draw from the Void on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670402,1384377909,0,1),
(1000512,682281016,4,0,'Dreadful Nightmares','Dreadful Nightmares improves the base damage of Dreadful Wrath and its upgrades.',472,65535,315,0,0,0,0,1,'Your Dreadful Nightmares was successful on %t!','Your Dreadful Nightmares fades.','',1,0,'',0,'You cast Dreadful Nightmares on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670402,1384377906,0,1),
(1000513,329665699,4,0,'Dream Barrier','Increases the Dreamweaver''s spell resistances.',624,65535,65535,0,0,0,0,0,'Your Dream Barrier was successful on %t!','Your Dream Barrier fades.','',0,1,'Spells/AA/DreamBarrier.lua',0,'You cast Dream Barrier on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670402,1384377901,0,1),
(1000514,1288356041,4,1,'Dream Haunter','Passively grants the defiler a chance for hostile spells to finish the reuse of Nightmares or Maelstrom.',212,65535,65535,0,0,0,1,1,'Your Dream Haunter was successful on %t!','Your Dream Haunter fades.','',1,0,'',0,'You cast Dream Haunter on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670404,1384377833,0,1),
(1000515,2442828835,4,0,'Dreamweaver''s Focus','Grants the enchanter additional subjugation and disruption skill.',915,65535,65535,0,0,0,0,0,'Your Dreamweaver''s Focus was successful on %t!','Your Dreamweaver''s Focus fades.','',0,1,'Spells/AA/DreamweaversFocus.lua',0,'You cast Dreamweaver''s Focus on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670404,1384377910,0,1),
(1000516,2378356992,4,0,'Dreamweaver''s Trance','Dreamweavers are experts at making sure their dreams come true.',612,65535,65535,0,0,0,0,1,'Your Dreamweaver''s Trance was successful on %t!','Your Dreamweaver''s Trance fades.','',1,0,'',0,'You cast Dreamweaver''s Trance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670404,1384377833,0,1),
(1000517,4255657359,4,0,'Dreamweaver''s Wisdom','Increases the Dreamweaver''s wisdom by 5 per rank.',585,65535,65535,0,0,0,0,1,'Your Dreamweaver''s Wisdom was successful on %t!','Your Dreamweaver''s Wisdom fades.','',1,0,'',0,'You cast Dreamweaver''s Wisdom on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670404,1384377839,0,1),
(1000518,1142508191,4,1,'Dubious Focus','Increases the base hit points by 2 percent while also increasing the base power pool by 1%.',476,65535,65535,0,0,0,1,0,'Your Dubious Focus was successful on %t!','Your Dubious Focus fades.','',0,1,'Spells/Traits/DubiousFocus.lua',0,'You cast Dubious Focus on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670404,1384378109,0,1),
(1000519,634573695,4,0,'Duelist''s Perception','The rogue will have increased hate gain while in defensive stance and reduced hate gain in offensive stance.',838,65535,65535,0,0,0,0,1,'Your Duelist''s Perception was successful on %t!','Your Duelist''s Perception fades.','',1,0,'',0,'You cast Duelist''s Perception on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670404,1384377905,0,1),
(1000520,3615504353,4,1,'Durable','You have above average endurance.  This trait improves your fortitude by granting 4 Stamina.',655,65535,65535,0,0,0,1,0,'Your Durable was successful on %t!','Your Durable fades.','',0,0,'Spells/Durable.lua',0,'You cast Durable on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670404,1384377823,0,0),
(1000521,1753740475,4,1,'Durable Goods','Your wisdom allows you to increase the durability of items while tradeskilling.',413,65535,65535,0,0,0,1,0,'Your Durable Goods was successful on %t!','Your Durable Goods fades.','',0,1,'Spells/Traits/DurableGoods.lua',0,'You cast Durable Goods on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670404,1384377823,0,1),
(1000522,1990847287,4,1,'Durable Goods','Your wisdom allows you to increase the durability of items while tradeskilling.',415,65535,65535,0,0,0,1,0,'Your Durable Goods was successful on %t!','Your Durable Goods fades.','',0,1,'Spells/Traits/DurableGoods.lua',0,'You cast Durable Goods on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670404,1384378110,0,1),
(1000523,1811995753,4,1,'Dwarven Charge','Increases your chance to double attack while also improving your casting speed.',649,65535,65535,0,0,0,1,1,'Your Dwarven Charge was successful on %t!','Your Dwarven Charge fades.','',1,0,'',0,'You cast Dwarven Charge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670404,1384377875,0,1),
(1000524,1446143451,4,1,'Dwarven Craftsmanship','You gain a slight improvement to your chance to succeed and gain additional durability while tradeskilling.',356,65535,317,0,0,0,1,0,'Your Dwarven Craftsmanship was successful on %t!','Your Dwarven Craftsmanship fades.','',0,1,'Spells/Traits/DwarvenCraftsmanship.lua',0,'You cast Dwarven Craftsmanship on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670404,1384378110,0,1),
(1000525,3682514980,4,1,'Dwarven Durability','Your wisdom allows you to increase the durability of items while tradeskilling.',153,65535,314,0,0,0,1,0,'Your Dwarven Durability was successful on %t!','Your Dwarven Durability fades.','',0,1,'Spells/Traits/DwarvenDurability.lua',0,'You cast Dwarven Durability on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670404,1384377823,0,1),
(1000526,4239205174,4,1,'Dwarven Fortitude','Your devotion to physical endeavors has granted you additional stamina.  This additional stamina increases as you level.',79,65535,65535,0,0,0,1,0,'Your Dwarven Fortitude was successful on %t!','Your Dwarven Fortitude fades.','',0,1,'Spells/Traits/DwarvenFortitude.lua',0,'You cast Dwarven Fortitude on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670404,1384378109,0,1),
(1000527,1840147079,4,0,'Dynamic Hatred','Dynamic Hatred improves the threat reduction found on Synergism and its upgrades.',264,65535,316,0,0,0,0,1,'Your Dynamic Hatred was successful on %t!','Your Dynamic Hatred fades.','',1,0,'',0,'You cast Dynamic Hatred on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670404,1384377831,0,1),
(1000528,82781103,4,0,'Eagle Eye','Improves the crit bonus of Eye Shot. The final rank gives it an extra increment.',346,65535,315,0,0,0,0,1,'Your Eagle Eye was successful on %t!','Your Eagle Eye fades.','',1,0,'',0,'You cast Eagle Eye on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670404,1384377916,0,1),
(1000529,3309973956,4,0,'Eagle Intelligence','Increases the Eagle Expert''s intelligence by 8 for each rank.',566,65535,65535,0,0,0,0,1,'Your Eagle Intelligence was successful on %t!','Your Eagle Intelligence fades.','',1,0,'',0,'You cast Eagle Intelligence on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670404,1384377832,0,1),
(1000530,3257398749,4,0,'Eagle Shriek','While the Eagle Expert''s health is below 50%, they gain significant bonuses at melee damage and physical damage resistance.',666,65535,65535,0,0,0,0,1,'Your Eagle Shriek was successful on %t!','Your Eagle Shriek fades.','',1,0,'',0,'You cast Eagle Shriek on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670404,1384377909,0,1),
(1000531,725897448,4,0,'Eagle''s Fury','Your chance to critically hit with melee attacks is increased.',649,65535,65535,0,0,0,0,0,'Your Eagle''s Fury was successful on %t!','Your Eagle''s Fury fades.','',0,1,'Spells/AA/EaglesFury.lua',0,'You cast Eagle''s Fury on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670404,1384377910,0,1),
(1000532,3038823755,4,0,'Eagle''s Talon','Your chance to parry incoming attacks is increased.',661,65535,65535,0,0,0,0,0,'Your Eagle''s Talon was successful on %t!','Your Eagle''s Talon fades.','',0,1,'Spells/AA/EaglesTalon.lua',0,'You cast Eagle''s Talon on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670404,1384377903,0,1),
(1000533,1789206165,4,1,'Echoing Power','Grants an incremental Crit Bonus increase to the dirge''s group when using Echoing Howl. This effect can increment up to 15 times.',190,65535,313,0,0,0,1,1,'Your Echoing Power was successful on %t!','Your Echoing Power fades.','',1,0,'',0,'You cast Echoing Power on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670404,1384377906,0,1),
(1000534,3392136782,4,0,'Edge of Insanity','Adds Noxious and Elemental components to Asylum.',476,65535,315,0,0,0,0,1,'Your Edge of Insanity was successful on %t!','Your Edge of Insanity fades.','',1,0,'',0,'You cast Edge of Insanity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670404,1384377913,0,1),
(1000535,4010446882,4,0,'Effective Method','Using an effective method of crafting improves your success chance.',860,65535,317,0,0,0,0,0,'Your Effective Method was successful on %t!','Your Effective Method fades.','',0,1,'Spells/AA/EffectiveMethod.lua',0,'You cast Effective Method on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670404,1384377912,0,1),
(1000536,2278994409,4,0,'Efficiency','Healing Barrage has a chance to make the next Slot 1, 2 or 3 Conduit use no Dissonance.',11,65535,316,0,0,0,0,1,'Your Efficiency was successful on %t!','Your Efficiency fades.','',1,0,'',0,'You cast Efficiency on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670404,1384377904,0,1),
(1000537,2403112765,4,1,'Efficient Movements','Reduces the power cost of Advantages.',853,65535,65535,0,0,0,1,1,'Your Efficient Movements was successful on %t!','Your Efficient Movements fades.','',1,0,'',0,'You cast Efficient Movements on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670404,1384377905,0,1),
(1000538,1033751984,4,0,'Elegy of Reawakening','The Elegy effect found on both Elegy of Awakening and Elegy at Death''s Door is improved to heal for more and also restore power.',205,65535,65535,0,0,0,0,1,'Your Elegy of Reawakening was successful on %t!','Your Elegy of Reawakening fades.','',1,0,'',0,'You cast Elegy of Reawakening on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670404,1384377839,0,1),
(1000539,3972742907,4,0,'Elemental Barrier','Improves the ward and mitigation effects of Ward of the Untamed and its upgrades.',228,65535,314,0,0,0,0,1,'Your Elemental Barrier was successful on %t!','Your Elemental Barrier fades.','',1,0,'',0,'You cast Elemental Barrier on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670406,1384377915,0,1),
(1000540,83957552,4,1,'Elemental Barrier','Increases your resistance to elemental based attacks.',610,65535,318,0,0,0,0,0,'Your Elemental Barrier was successful on %t!','Your Elemental Barrier fades.','',0,1,'Spells/Traits/ElementalBarrier.lua',0,'You cast Elemental Barrier on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670406,1384378109,0,1),
(1000541,3836048654,4,0,'Elemental Blast','The conjuror lends their minion elemental energies, allowing it to bombard its target with repeated blows.',11,65535,65535,0,0,0,0,1,'Your Elemental Blast was successful on %t!','Your Elemental Blast fades.','',1,0,'',0,'You cast Elemental Blast on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670406,1384377836,0,1),
(1000542,3288194125,4,1,'Elemental Defiance','A magical barrier surrounds you, increasing your resistance to elemental attacks.',507,65535,65535,0,0,0,0,0,'Your Elemental Defiance was successful on %t!','Your Elemental Defiance fades.','',0,1,'Spells/Traits/ElementalDefiance.lua',0,'You cast Elemental Defiance on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670406,1384378109,0,1),
(1000543,2846309691,4,1,'Elemental Durability','Increases your resistance to elemental based attacks.',274,65535,317,0,0,0,0,0,'Your Elemental Durability was successful on %t!','Your Elemental Durability fades.','',0,1,'Spells/Traits/ElementalDurability.lua',0,'You cast Elemental Durability on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670406,1384378110,0,1),
(1000544,3060955439,4,1,'Elemental Fortitude','A magical barrier surrounds you, increasing your resistance to elemental attacks.',221,65535,314,0,0,0,0,0,'Your Elemental Fortitude was successful on %t!','Your Elemental Fortitude fades.','',0,1,'Spells/Traits/ElementalFortitude.lua',0,'You cast Elemental Fortitude on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670406,1384378109,0,1),
(1000545,4036167436,4,1,'Elemental Mastery','Increases your resistance to elemental based attacks.',274,65535,65535,0,0,0,0,0,'Your Elemental Mastery was successful on %t!','Your Elemental Mastery fades.','',0,0,'Spells/Traits/ElementalMastery.lua',0,'You cast Elemental Mastery on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670406,1384377823,0,1),
(1000546,1862481076,4,0,'Elemental Mastery','Improves the damage of the druid''s heat and cold based spells.',877,65535,65535,0,0,0,0,1,'Your Elemental Mastery was successful on %t!','Your Elemental Mastery fades.','',1,0,'',0,'You cast Elemental Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670406,1384377902,0,1),
(1000547,2828442603,4,0,'Elemental Pact','The Conjuror''s Pact line and its upgrades will increase the amount of elemental and magical resists debuffed.',479,65535,317,0,0,0,0,1,'Your Elemental Pact was successful on %t!','Your Elemental Pact fades.','',1,0,'',0,'You cast Elemental Pact on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670406,1384377911,0,1),
(1000548,1522628115,4,0,'Elemental Proficiency','Improves the mitigation reduction of the Conjuror''s spells.',242,65535,316,0,0,0,0,1,'Your Elemental Proficiency was successful on %t!','Your Elemental Proficiency fades.','',1,0,'',0,'You cast Elemental Proficiency on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670406,1384377903,0,1),
(1000549,1170563416,4,0,'Elemental Snipe','Improves the Snipe line of debuffs by also debuffing elemental mitigation.',310,65535,315,0,0,0,0,1,'Your Elemental Snipe was successful on %t!','Your Elemental Snipe fades.','',1,0,'',0,'You cast Elemental Snipe on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670406,1384377907,0,1),
(1000550,2012775170,4,0,'Elemental Storm','Improves the elemental mitigation reduction of Frostbite and its upgrades.',229,65535,315,0,0,0,0,1,'Your Elemental Storm was successful on %t!','Your Elemental Storm fades.','',1,0,'',0,'You cast Elemental Storm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670406,1384377838,0,1),
(1000551,3168897444,4,0,'Elemental Surprise','If the target is above 80% health, the wizard gains additional damage to any spell based attack.',184,65535,315,0,0,0,0,1,'Your Elemental Surprise was successful on %t!','Your Elemental Surprise fades.','',1,0,'',0,'You cast Elemental Surprise on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670406,1384377902,0,1),
(1000552,4017657492,4,0,'Elemental Toxicity','The summoner surrounds their allies with elemental and noxious energy, granting them all additional damage to the target encounter with each attack. This ability can trigger multiple times when Area of Effect spells are cast.',481,65535,315,0,0,0,0,1,'Your Elemental Toxicity was successful on %t!','Your Elemental Toxicity fades.','',1,0,'',3170,'You cast Elemental Toxicity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670406,1384377831,0,1),
(1000553,1835253089,4,0,'Elimination Stance','The scout gains increased Weapon Damage Bonus.',835,65535,317,0,0,0,0,0,'Your Elimination Stance was successful on %t!','Your Elimination Stance fades.','',0,1,'Spells/AA/EliminationStance.lua',0,'You cast Elimination Stance on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670406,1384377833,0,1),
(1000554,4100648155,4,0,'Eliminator''s Precision','Improves the scout''s weapon skills.',924,65535,317,0,0,0,0,0,'Your Eliminator''s Precision was successful on %t!','Your Eliminator''s Precision fades.','',0,1,'Spells/AA/EliminatorsPrecision.lua',0,'You cast Eliminator''s Precision on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670406,1384377899,0,1),
(1000555,648032855,4,1,'Elnakii''s Fury','Improves the maximum increments of Feral Fangs. The final rank doubles the amount of increments gained when using Feral Intensity.',875,65535,315,0,0,0,1,1,'Your Elnakii''s Fury was successful on %t!','Your Elnakii''s Fury fades.','',1,0,'',0,'You cast Elnakii''s Fury on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670406,1384377904,0,1),
(1000556,1407313315,4,0,'Elnakii''s Precision','Improves the beastlord''s chance to critically hit.',263,65535,65535,0,0,0,0,1,'Your Elnakii''s Precision was successful on %t!','Your Elnakii''s Precision fades.','',1,0,'Spells/AA/ElnakiisPrecision.lua',0,'You cast Elnakii''s Precision on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670406,1384377908,0,1),
(1000557,2732828020,4,0,'Elven Heritage','Gives the half elf reduced casting time while gathering or foresting.',12,65535,65535,0,0,0,0,0,'Your Elven Heritage was successful on %t!','Your Elven Heritage fades.','',1,0,'Spells/ElvenHeritage.lua',0,'You cast Elven Heritage on %t.',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1384670406,1384378109,0,1),
(1000558,268149713,4,1,'Elven Wisdom','Grants an increase to overall wisdom.  The amount of wisdom gained will increase as you level.',570,65535,318,0,0,0,1,0,'Your Elven Wisdom was successful on %t!','Your Elven Wisdom fades.','',0,1,'Spells/Traits/ElvenWisdom.lua',0,'You cast Elven Wisdom on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670406,1384378109,0,1),
(1000559,79004431,4,1,'Elvish Spirits','Your divine skills allow you to purify drinks, allowing them to last longer than normal.',131,65535,65535,0,0,0,1,1,'Your Elvish Spirits was successful on %t!','Your Elvish Spirits fades.','',1,0,'',0,'You cast Elvish Spirits on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670406,1384377823,0,1),
(1000560,1723647747,4,1,'Emboldened','Wall of Rage and Hunker Down will grant a small amount of damage reduction to the warrior.',184,65535,317,0,0,0,1,1,'Your Emboldened was successful on %t!','Your Emboldened fades.','',1,0,'',0,'You cast Emboldened on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670406,1384377904,0,1),
(1000561,1150316894,4,0,'Emergency Channels','Reduces the Dissonance cost of Slot 3 Conduits.',15,65535,317,0,0,0,0,1,'Your Emergency Channels was successful on %t!','Your Emergency Channels fades.','',1,0,'',0,'You cast Emergency Channels on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670406,1384377904,0,1),
(1000562,155601794,4,0,'Empathic''s Stamina','Increases the Empathic''s stamina by 7 per rank.',565,65535,65535,0,0,0,0,1,'Your Empathic''s Stamina was successful on %t!','Your Empathic''s Stamina fades.','',1,0,'',0,'You cast Empathic''s Stamina on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670408,1384377830,0,1),
(1000563,2722270909,4,1,'Empower Servant','Your pet instantly replenishes some of the power of any ability used. Some of the power is converted into a heal for your pet.',384,65535,317,0,0,0,1,1,'Your Empower Servant was successful on %t!','Your Empower Servant fades.','',1,0,'',0,'You cast Empower Servant on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670408,1384377917,0,1),
(1000564,1649127461,4,1,'Empowered','Allows you to recover power faster while out of combat.',922,65535,314,0,0,0,1,0,'Your Empowered was successful on %t!','Your Empowered fades.','',0,1,'Spells/Traits/Empowered.lua',0,'You cast Empowered on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670408,1384378109,0,1),
(1000565,1205580320,4,1,'Empowered Barrier','When the defiler casts four or more spells that are not Deathward, Death Cries or Ancient Shroud, they gain an additional ward on the target when they do cast Deathward, Death Cries or Ancient Shroud. Once one of these spells is cast, the count resets. Carrion Warding, Spiritual Sacrifice and Wraithwall do not modify the count or apply the ward.',540,65535,65535,0,0,0,1,1,'Your Empowered Barrier was successful on %t!','Your Empowered Barrier fades.','',1,0,'',0,'You cast Empowered Barrier on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670408,1384377906,0,1),
(1000566,697785868,4,1,'Empowered Bolt','Casting Occult Bolt after Aura of the Void will grant the warlock increased potency.',161,65535,315,0,0,0,1,1,'Your Empowered Bolt was successful on %t!','Your Empowered Bolt fades.','',1,0,'',0,'You cast Empowered Bolt on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670408,1384377904,0,1),
(1000567,3745958755,4,1,'Empowered Dominion','When the defiler casts spells that are not Deathward, Death Cries or Ancient Shroud, they grant the group additional Crit Bonus that dispels when they do cast Deathward, Death Cries or Ancient Shroud. This increments up to 12 times. Carrion Warding, Spiritual Sacrifice and Wraithwall do not modify the increment count or remove the effect.',269,65535,314,0,0,0,1,1,'Your Empowered Dominion was successful on %t!','Your Empowered Dominion fades.','',1,0,'',0,'You cast Empowered Dominion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670408,1384377899,0,1),
(1000568,4080690421,4,1,'Empowered Salvo','Improves the base damage of Rapid Salvo''s initial attack. This applies before potency.',363,65535,313,0,0,0,1,1,'Your Empowered Salvo was successful on %t!','Your Empowered Salvo fades.','',1,0,'',0,'You cast Empowered Salvo on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670408,1384377834,0,1),
(1000569,3159650057,4,1,'Empowered Strikes','Improves the combat art damage inflicted by the warder.',11,65535,65535,0,0,0,1,1,'Your Empowered Strikes was successful on %t!','Your Empowered Strikes fades.','',1,0,'',0,'You cast Empowered Strikes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670408,1384377897,0,1),
(1000570,2085393692,4,1,'Empowered Strikes','Improves the combat art damage inflicted by the warder.',11,65535,65535,0,0,0,1,1,'Your Empowered Strikes was successful on %t!','Your Empowered Strikes fades.','',1,0,'',0,'You cast Empowered Strikes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670408,1384377841,0,1),
(1000571,4106863120,4,1,'Empowered Strikes','Improves the combat art damage inflicted by the warder.',11,65535,65535,0,0,0,1,1,'Your Empowered Strikes was successful on %t!','Your Empowered Strikes fades.','',1,0,'',0,'You cast Empowered Strikes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670408,1384377839,0,1),
(1000572,1743774136,4,1,'Empowered Strikes','Improves the combat art damage inflicted by the warder.',11,65535,65535,0,0,0,1,1,'Your Empowered Strikes was successful on %t!','Your Empowered Strikes fades.','',1,0,'',0,'You cast Empowered Strikes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670408,1384377902,0,1),
(1000573,1017866012,4,1,'Empowered Strikes','Improves the combat art damage inflicted by the warder.',11,65535,65535,0,0,0,1,1,'Your Empowered Strikes was successful on %t!','Your Empowered Strikes fades.','',1,0,'',0,'You cast Empowered Strikes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670408,1384377900,0,1),
(1000574,400244827,4,1,'Empowered Strikes','Improves the combat art damage inflicted by the warder.',11,65535,65535,0,0,0,1,1,'Your Empowered Strikes was successful on %t!','Your Empowered Strikes fades.','',1,0,'',0,'You cast Empowered Strikes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670408,1384377904,0,1),
(1000575,3314606563,4,1,'Empowered Strikes','Improves the combat art damage inflicted by the warder.',11,65535,65535,0,0,0,1,1,'Your Empowered Strikes was successful on %t!','Your Empowered Strikes fades.','',1,0,'',0,'You cast Empowered Strikes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670408,1384377902,0,1),
(1000576,2405733565,4,1,'Empowered Strikes','Improves the combat art damage inflicted by the warder.',11,65535,65535,0,0,0,1,1,'Your Empowered Strikes was successful on %t!','Your Empowered Strikes fades.','',1,0,'',0,'You cast Empowered Strikes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670408,1384377910,0,1),
(1000577,1128503589,4,1,'Empowered Strikes','Improves the combat art damage inflicted by the warder.',11,65535,65535,0,0,0,1,1,'Your Empowered Strikes was successful on %t!','Your Empowered Strikes fades.','',1,0,'',0,'You cast Empowered Strikes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670408,1384377918,0,1),
(1000578,1394565088,4,1,'Empowered Strikes','Improves the combat art damage inflicted by the warder.',11,65535,65535,0,0,0,1,1,'Your Empowered Strikes was successful on %t!','Your Empowered Strikes fades.','',1,0,'',0,'You cast Empowered Strikes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670408,1384377919,0,1),
(1000579,3549270640,4,1,'Empowered Strikes','Improves the combat art damage inflicted by the warder.',11,65535,65535,0,0,0,1,1,'Your Empowered Strikes was successful on %t!','Your Empowered Strikes fades.','',1,0,'',0,'You cast Empowered Strikes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670408,1384377912,0,1),
(1000580,4220337640,4,1,'Empowered Strikes','Improves the combat art damage inflicted by the warder.',11,65535,65535,0,0,0,1,1,'Your Empowered Strikes was successful on %t!','Your Empowered Strikes fades.','',1,0,'',0,'You cast Empowered Strikes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670408,1384377839,0,1),
(1000581,2742378046,4,1,'Empowered Strikes','Improves the combat art damage inflicted by the warder.',11,65535,65535,0,0,0,1,1,'Your Empowered Strikes was successful on %t!','Your Empowered Strikes fades.','',1,0,'',0,'You cast Empowered Strikes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670408,1384377900,0,1),
(1000582,3128628509,4,1,'Empowering Rage','Open Wounds will grant the group increased damage and remove the casting time of some of the berserker''s area effect abilities.',380,65535,317,0,0,0,1,1,'Your Empowering Rage was successful on %t!','Your Empowering Rage fades.','',1,0,'',0,'You cast Empowering Rage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670410,1384377913,0,1),
(1000583,276462254,4,0,'Enchanted Attributes','For a short duration, the target group receives a reduction to the power cost of their abilities. At its second rank, this ability grants improved trigger chance, attack speed and casting speed.  In PVP combat, this will also make the caster''s group immune to taunt effects.',11,65535,65535,0,0,0,0,1,'Your Enchanted Attributes was successful on %t!','Your Enchanted Attributes fades.','',1,0,'',0,'You cast Enchanted Attributes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670410,1384377838,0,1),
(1000584,2573934068,4,1,'Endurance of Earth and Water','Your devotion to physical endeavors has granted you additional stamina.  This additional stamina increases as you level.',329,65535,65535,0,0,0,1,0,'Your Endurance of Earth and Water was successful on %t!','Your Endurance of Earth and Water fades.','',0,1,'Spells/Traits/EnduranceofEarthandWater.lua',0,'You cast Endurance of Earth and Water on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670410,1384378109,0,1),
(1000585,1437106868,4,1,'Enduring','Sleep is for the weak.  This trait reinforces your inexhaustible nature through 4 extra Stamina.',655,65535,65535,0,0,0,1,0,'Your Enduring was successful on %t!','Your Enduring fades.','',0,0,'Spells/Enduring.lua',0,'You cast Enduring on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670410,1384378109,0,0),
(1000586,109899815,4,1,'Energetic Encore','Exuberant Encore will also restore a percentage of the damage taken as power to the group.',277,65535,316,0,0,0,1,1,'Your Energetic Encore was successful on %t!','Your Energetic Encore fades.','',1,0,'',0,'You cast Energetic Encore on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670410,1384377903,0,1),
(1000587,3704795116,4,1,'Energetic Melody','The troubador gains a chance to inflict damage and steal power from the target encounter while attacking.',812,65535,317,0,0,0,1,1,'Your Energetic Melody was successful on %t!','Your Energetic Melody fades.','',1,0,'',0,'You cast Energetic Melody on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670410,1384377911,0,1),
(1000588,669098553,4,1,'Energizing Winds','When Windlord triggers, the group will gain a trigger of damage that hits nearby targets. Each ally can trigger this once.',211,65535,314,0,0,0,1,1,'Your Energizing Winds was successful on %t!','Your Energizing Winds fades.','',1,0,'',0,'You cast Energizing Winds on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670410,1384377909,0,1),
(1000589,3595252054,4,0,'Energy Conservation','Reduces the power cost of the shaper''s abilities.',185,65535,317,0,0,0,0,1,'Your Energy Conservation was successful on %t!','Your Energy Conservation fades.','',1,0,'',0,'You cast Energy Conservation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670410,1384377912,0,1),
(1000590,782527279,4,1,'Energy Conservation','While Energizing Aura is active, the illusionist''s group will use less power when casting abilities.',469,65535,314,0,0,0,1,1,'Your Energy Conservation was successful on %t!','Your Energy Conservation fades.','',1,0,'',0,'You cast Energy Conservation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670410,1384377906,0,1),
(1000591,738731631,4,1,'Energy Redirection','When casting hostile spells, the mage has a chance to increase the group''s maximum health, power and the amount they are healed for when a healing spell is cast.',636,65535,65535,0,0,0,1,1,'Your Energy Redirection was successful on %t!','Your Energy Redirection fades.','',1,0,'',0,'You cast Energy Redirection on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670410,1384377913,0,1),
(1000592,2838853429,4,0,'Enhance Jab: Five Rings','Improves the critical damage and hastens the casting, recovery and reuse speed of Five Rings.',330,65535,315,0,0,0,0,1,'Your Enhance Jab: Five Rings was successful on %t!','Your Enhance Jab: Five Rings fades.','',1,0,'',0,'You cast Enhance Jab: Five Rings on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670410,1384377908,0,1),
(1000593,3727837091,4,0,'Enhance Jab: Silent Palm','Improves the critical damage and hastens the casting, recovery and reuse speed of Silent Palm.',293,65535,315,0,0,0,0,1,'Your Enhance Jab: Silent Palm was successful on %t!','Your Enhance Jab: Silent Palm fades.','',1,0,'',0,'You cast Enhance Jab: Silent Palm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670410,1384377903,0,1),
(1000594,809248399,4,0,'Enhance Jab: Waking Dragon','Improves the critical damage and hastens the casting, recovery and reuse speed of Waking Dragon.',348,65535,315,0,0,0,0,1,'Your Enhance Jab: Waking Dragon was successful on %t!','Your Enhance Jab: Waking Dragon fades.','',1,0,'',0,'You cast Enhance Jab: Waking Dragon on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670410,1384377916,0,1),
(1000595,3682423078,4,0,'Enhance Kick: Rising Dragon','Enhances the striking force of Rising Dragon and its upgrades.',368,65535,315,0,0,0,0,1,'Your Enhance Kick: Rising Dragon was successful on %t!','Your Enhance Kick: Rising Dragon fades.','',1,0,'',0,'You cast Enhance Kick: Rising Dragon on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670410,1384377903,0,1),
(1000596,2893701552,4,0,'Enhance Kick: Rising Phoenix','Increases the potency of Rising Phoenix and its upgrades.',331,65535,315,0,0,0,0,1,'Your Enhance Kick: Rising Phoenix was successful on %t!','Your Enhance Kick: Rising Phoenix fades.','',1,0,'',0,'You cast Enhance Kick: Rising Phoenix on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670412,1384377907,0,1),
(1000597,3757059476,4,0,'Enhance Punch: Arctic Talon','Arctic Talon and its upgrades become more likely to strike your opponent, at a reduced power cost.',335,65535,315,0,0,0,0,1,'Your Enhance Punch: Arctic Talon was successful on %t!','Your Enhance Punch: Arctic Talon fades.','',1,0,'',0,'You cast Enhance Punch: Arctic Talon on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670412,1384377902,0,1),
(1000598,838749368,4,0,'Enhance Punch: Frozen Palm','Frozen Palm and its upgrades become more likely to strike your enemies, at a reduced health cost to you.',155,65535,315,0,0,0,0,1,'Your Enhance Punch: Frozen Palm was successful on %t!','Your Enhance Punch: Frozen Palm fades.','',1,0,'',0,'You cast Enhance Punch: Frozen Palm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670412,1384377917,0,1),
(1000599,2834767106,4,0,'Enhance Punch: Striking Cobra','Striking Cobra and its upgrades become more likely to strike your opponent, at reduced power cost.',494,65535,315,0,0,0,0,1,'Your Enhance Punch: Striking Cobra was successful on %t!','Your Enhance Punch: Striking Cobra fades.','',1,0,'',0,'You cast Enhance Punch: Striking Cobra on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670412,1384377908,0,1),
(1000600,1663092150,4,0,'Enhance: Abhorrent Seal','Abhorrent Seal and its upgrades cost less power and are less likely to be resisted by your enemies.',236,65535,315,0,0,0,0,1,'Your Enhance: Abhorrent Seal was successful on %t!','Your Enhance: Abhorrent Seal fades.','',1,0,'',0,'You cast Enhance: Abhorrent Seal on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670412,1384377912,0,1),
(1000601,2319671427,4,0,'Enhance: Abomination','Abomination and its upgrades cost less power and are less likely to be resisted by your enemies.',204,65535,315,0,0,0,0,1,'Your Enhance: Abomination was successful on %t!','Your Enhance: Abomination fades.','',1,0,'',0,'You cast Enhance: Abomination on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670412,1384377833,0,1),
(1000602,2399958534,4,0,'Enhance: Absolute Corruption','Increases the damage of Absolute Corruption and its upgrades.',238,65535,312,0,0,0,0,1,'Your Enhance: Absolute Corruption was successful on %t!','Your Enhance: Absolute Corruption fades.','',1,0,'',0,'You cast Enhance: Absolute Corruption on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670412,1384377908,0,1),
(1000603,4230843159,4,0,'Enhance: Absolution','Increases the damage and size of Absolution and its upgrades.',257,65535,312,0,0,0,0,1,'Your Enhance: Absolution was successful on %t!','Your Enhance: Absolution fades.','',1,0,'',0,'You cast Enhance: Absolution on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670412,1384377910,0,1),
(1000604,1456950397,4,0,'Enhance: Absorb Magic','Your Absorb Magic gains the ability to remove Physical effects. Its casting and reuse speed is greatly improved.',162,65535,315,0,0,0,0,1,'Your Enhance: Absorb Magic was successful on %t!','Your Enhance: Absorb Magic fades.','',1,0,'',0,'You cast Enhance: Absorb Magic on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670412,1384377901,0,1),
(1000605,2389028100,4,0,'Enhance: Absorb Magic','Your Absorb Magic gains the ability to strip away your enemies'' beneficial poison and disease-based spells.',162,65535,315,0,0,0,0,1,'Your Enhance: Absorb Magic was successful on %t!','Your Enhance: Absorb Magic fades.','',1,0,'',0,'You cast Enhance: Absorb Magic on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670412,1384377899,0,1),
(1000606,1537234592,4,0,'Enhance: Absorb Magic','Your Absorb Magic gains the ability to remove beneficial Noxious from your opponent.',162,65535,315,0,0,0,0,1,'Your Enhance: Absorb Magic was successful on %t!','Your Enhance: Absorb Magic fades.','',1,0,'',0,'You cast Enhance: Absorb Magic on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670412,1384377904,0,1),
(1000607,1315837487,4,0,'Enhance: Abuse','Improves the reuse speed and resistibility of Abuse.',295,65535,312,0,0,0,0,1,'Your Enhance: Abuse was successful on %t!','Your Enhance: Abuse fades.','',1,0,'',0,'You cast Enhance: Abuse on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670412,1384377917,0,1),
(1000608,2330513846,4,0,'Enhance: Acid','Improves the critical damage and hastens the reuse speed and effects of Acid and its upgrades, causing its damage to occur faster.',168,65535,315,0,0,0,0,1,'Your Enhance: Acid was successful on %t!','Your Enhance: Acid fades.','',1,0,'',0,'You cast Enhance: Acid on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670412,1384377836,0,1),
(1000609,2014626617,4,0,'Enhance: Act of War','Increases the damage amount of Act of War.',242,65535,314,0,0,0,0,1,'Your Enhance: Act of War was successful on %t!','Your Enhance: Act of War fades.','',1,0,'',0,'You cast Enhance: Act of War on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670412,1384377830,0,1),
(1000610,4240614877,4,0,'Enhance: Aery Hunter','Improves the combat skills and combat art hit chances of your scout pet.',11,65535,65535,0,0,0,0,1,'Your Enhance: Aery Hunter was successful on %t!','Your Enhance: Aery Hunter fades.','',1,0,'',0,'You cast Enhance: Aery Hunter on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670412,1384377839,0,1),
(1000611,1944130385,4,0,'Enhance: Amazing Reflexes','Increases the trigger chances of Amazing Reflexes.',231,65535,317,0,0,0,0,1,'Your Enhance: Amazing Reflexes was successful on %t!','Your Enhance: Amazing Reflexes fades.','',1,0,'',0,'You cast Enhance: Amazing Reflexes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670412,1384377901,0,1),
(1000612,2965202332,4,0,'Enhance: Amphibian Consumption','Improves the damage and heal amount of Amphibian Consumption.',11,65535,65535,0,0,0,0,1,'Your Enhance: Amphibian Consumption was successful on %t!','Your Enhance: Amphibian Consumption fades.','',1,0,'',0,'You cast Enhance: Amphibian Consumption on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670412,1384377900,0,1),
(1000613,3278525720,4,0,'Enhance: Ancestral Avatar','Adds wisdom and intelligence benefits to Ancestral Avatar and its higher level upgrades.',243,65535,316,0,0,0,0,1,'Your Enhance: Ancestral Avatar was successful on %t!','Your Enhance: Ancestral Avatar fades.','',1,0,'',0,'You cast Enhance: Ancestral Avatar on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670412,1384377830,0,1),
(1000614,2311566573,4,0,'Enhance: Ancestral Avenger','Increases the critical amount and improves the reuse speed of Ancestral Avenger and its upgrades.',219,65535,316,0,0,0,0,1,'Your Enhance: Ancestral Avenger was successful on %t!','Your Enhance: Ancestral Avenger fades.','',1,0,'',0,'You cast Enhance: Ancestral Avenger on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670412,1384377904,0,1),
(1000615,3265806127,4,0,'Enhance: Ancestral Balm','Adds a ward that matches the effect type of the cured effect on Ancestral Balm.',209,65535,316,0,0,0,0,1,'Your Enhance: Ancestral Balm was successful on %t!','Your Enhance: Ancestral Balm fades.','',1,0,'',0,'You cast Enhance: Ancestral Balm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670412,1384377902,0,1),
(1000616,1228513593,4,0,'Enhance: Ancestral Channeling','Reduces the power cost of Ancestral Channeling. The final rank adds an additional second to the duration and an additional tick to the heal.',17,65535,65535,0,0,0,0,1,'Your Enhance: Ancestral Channeling was successful on %t!','Your Enhance: Ancestral Channeling fades.','',1,0,'',0,'You cast Enhance: Ancestral Channeling on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670412,1384377831,0,1),
(1000617,4249112597,4,0,'Enhance: Ancient Terror','Ancient Terror and its upgrades cost less power and are less likely to be resisted by your enemies.',232,65535,315,0,0,0,0,1,'Your Enhance: Ancient Terror was successful on %t!','Your Enhance: Ancient Terror fades.','',1,0,'',0,'You cast Enhance: Ancient Terror on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670412,1384377905,0,1),
(1000618,1116284185,4,0,'Enhance: Ancient Wrath','Increases the damage of Ancient Wrath and its upgrades.',471,65535,313,0,0,0,0,1,'Your Enhance: Ancient Wrath was successful on %t!','Your Enhance: Ancient Wrath fades.','',1,0,'',0,'You cast Enhance: Ancient Wrath on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670414,1384377902,0,1),
(1000619,124237339,4,0,'Enhance: Ancillary Poison','Your poisons that reduce opponents'' resistances and skills gain in potency.',259,65535,313,0,0,0,0,1,'Your Enhance: Ancillary Poison was successful on %t!','Your Enhance: Ancillary Poison fades.','',1,0,'',0,'You cast Enhance: Ancillary Poison on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670414,1384377903,0,1),
(1000620,3461950598,4,0,'Enhance: Ankle Bite','Improves the damage of Ankle Bite.',11,65535,65535,0,0,0,0,1,'Your Enhance: Ankle Bite was successful on %t!','Your Enhance: Ankle Bite fades.','',1,0,'',0,'You cast Enhance: Ankle Bite on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670414,1384377907,0,1),
(1000621,1648959156,4,0,'Enhance: Apocalypse','Increases the damage and size of Apocalypse and its upgrades.',258,65535,312,0,0,0,0,1,'Your Enhance: Apocalypse was successful on %t!','Your Enhance: Apocalypse fades.','',1,0,'',0,'You cast Enhance: Apocalypse on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670414,1384377912,0,1),
(1000622,1584787007,4,0,'Enhance: Apply Poison','Poisons Applied to another''s weapon are deadlier and take effect more frequently.',378,65535,316,0,0,0,0,1,'Your Enhance: Apply Poison was successful on %t!','Your Enhance: Apply Poison fades.','',1,0,'',0,'You cast Enhance: Apply Poison on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670414,1384377833,0,1),
(1000623,1753259921,4,0,'Enhance: Aquatic Regeneration','Improves the heal amount of Aquatic Regeneration.',11,65535,65535,0,0,0,0,1,'Your Enhance: Aquatic Regeneration was successful on %t!','Your Enhance: Aquatic Regeneration fades.','',1,0,'',0,'You cast Enhance: Aquatic Regeneration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670414,1384377900,0,1),
(1000624,2344981835,4,0,'Enhance: Aqueous Swarm','Increases the duration and hastens the casting speed of Aqueous Swarm and its higher level upgrades.',11,65535,65535,0,0,0,0,1,'Your Enhance: Aqueous Swarm was successful on %t!','Your Enhance: Aqueous Swarm fades.','',1,0,'',0,'You cast Enhance: Aqueous Swarm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670414,1384377833,0,1),
(1000625,548805639,4,0,'Enhance: Arcane Affliction','Improves the damage of Arcane Affliction.',11,65535,65535,0,0,0,0,1,'Your Enhance: Arcane Affliction was successful on %t!','Your Enhance: Arcane Affliction fades.','',1,0,'',0,'You cast Enhance: Arcane Affliction on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670414,1384377914,0,1),
(1000626,2246754305,4,0,'Enhance: Arcane Symphony','Arcane Symphony and its upgrades gain the ability to ward your group against future Arcane damage.',199,65535,314,0,0,0,0,1,'Your Enhance: Arcane Symphony was successful on %t!','Your Enhance: Arcane Symphony fades.','',1,0,'',0,'You cast Enhance: Arcane Symphony on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670414,1384377904,0,1),
(1000627,1022864301,4,0,'Enhance: Arctic Blast','Increases the damage and hastens the reuse speed of Arctic Blast and its upgrades.',340,65535,315,0,0,0,0,1,'Your Enhance: Arctic Blast was successful on %t!','Your Enhance: Arctic Blast fades.','',1,0,'',0,'You cast Enhance: Arctic Blast on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670414,1384377907,0,1),
(1000628,462312866,4,0,'Enhance: Aria of Magic','Increases the trigger chance of Aria of Magic and its upgrades.',39,65535,65535,0,0,0,0,1,'Your Enhance: Aria of Magic was successful on %t!','Your Enhance: Aria of Magic fades.','',1,0,'',0,'You cast Enhance: Aria of Magic on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670414,1384377836,0,1),
(1000629,1108360718,4,0,'Enhance: Armor of Nature','Increases the mitigation of Armor of Nature and its upgrades.',146,65535,314,0,0,0,0,1,'Your Enhance: Armor of Nature was successful on %t!','Your Enhance: Armor of Nature fades.','',1,0,'',0,'You cast Enhance: Armor of Nature on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670414,1384377909,0,1),
(1000630,2392581656,4,0,'Enhance: Armored','Adds a small amount of block chance to the Guardian''s defensive stance.',358,65535,317,0,0,0,0,1,'Your Enhance: Armored was successful on %t!','Your Enhance: Armored fades.','',1,0,'',0,'You cast Enhance: Armored on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670414,1384377908,0,1),
(1000631,3487440327,4,0,'Enhance: Asylum','Asylum and its upgrades become more potent at reducing your opponent''s resistances.',476,65535,315,0,0,0,0,1,'Your Enhance: Asylum was successful on %t!','Your Enhance: Asylum fades.','',1,0,'',0,'You cast Enhance: Asylum on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670414,1384377833,0,1),
(1000632,1682768303,4,0,'Enhance: Atrophy','Atrophy and its upgrades cost less power and are less likely to be resisted by your enemies.',193,65535,315,0,0,0,0,1,'Your Enhance: Atrophy was successful on %t!','Your Enhance: Atrophy fades.','',1,0,'',0,'You cast Enhance: Atrophy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670414,1384377916,0,1),
(1000633,695393961,4,0,'Enhance: Attribute Poison','Poisons that affect an opponent''s attributes become more potent.',259,65535,313,0,0,0,0,1,'Your Enhance: Attribute Poison was successful on %t!','Your Enhance: Attribute Poison fades.','',1,0,'',0,'You cast Enhance: Attribute Poison on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670414,1384377903,0,1),
(1000634,4126630697,4,0,'Enhance: Aura of the Crusader','Reduces the reuse time of Aura of the Crusader.',845,65535,317,0,0,0,0,1,'Your Enhance: Aura of the Crusader was successful on %t!','Your Enhance: Aura of the Crusader fades.','',1,0,'',0,'You cast Enhance: Aura of the Crusader on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670414,1384377910,0,1),
(1000635,2816223371,4,0,'Enhance: Avoid Blame','Increases the trigger chance of Avoid Blame and its upgrades.',260,65535,317,0,0,0,0,1,'Your Enhance: Avoid Blame was successful on %t!','Your Enhance: Avoid Blame fades.','',1,0,'',0,'You cast Enhance: Avoid Blame on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670416,1384377834,0,1),
(1000636,1598637783,4,0,'Enhance: Awaken Grave','Hastens the reuse speed of Awaken Grave and its upgrades.',279,65535,315,0,0,0,0,1,'Your Enhance: Awaken Grave was successful on %t!','Your Enhance: Awaken Grave fades.','',1,0,'',0,'You cast Enhance: Awaken Grave on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670416,1384377906,0,1),
(1000637,2945982658,4,0,'Enhance: Awestruck','Increases the duration of Awestruck and its upgrades. This enhancement also makes it more difficult to outright resist this spell.',217,65535,315,0,0,0,0,1,'Your Enhance: Awestruck was successful on %t!','Your Enhance: Awestruck fades.','',1,0,'',0,'You cast Enhance: Awestruck on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670416,1384377908,0,1),
(1000638,3742574423,4,0,'Enhance: Ball of Fire','Improves the critical damage and hastens the casting speed and reduces the power cost of Ball of Fire and its upgrades.',242,65535,315,0,0,0,0,1,'Your Enhance: Ball of Fire was successful on %t!','Your Enhance: Ball of Fire fades.','',1,0,'',0,'You cast Enhance: Ball of Fire on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670416,1384377831,0,1),
(1000639,1703898008,4,0,'Enhance: Bane of Warding','Increases the trigger chance and ward amount of Bane of Warding and its upgrades.',267,65535,315,0,0,0,0,1,'Your Enhance: Bane of Warding was successful on %t!','Your Enhance: Bane of Warding fades.','',1,0,'',0,'You cast Enhance: Bane of Warding on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670416,1384377919,0,1),
(1000640,1139647243,4,0,'Enhance: Barrage','Improves the damage of Barrage.',683,65535,313,0,0,0,0,1,'Your Enhance: Barrage was successful on %t!','Your Enhance: Barrage fades.','',1,0,'',0,'You cast Enhance: Barrage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670416,1384377830,0,1),
(1000641,3905589367,4,0,'Enhance: Barroom Negotiation','Improves the reuse speed and hit chance of Barroom Negotiation and its upgrades.',343,65535,313,0,0,0,0,1,'Your Enhance: Barroom Negotiation was successful on %t!','Your Enhance: Barroom Negotiation fades.','',1,0,'',0,'You cast Enhance: Barroom Negotiation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670416,1384377839,0,1),
(1000642,1066843016,4,0,'Enhance: Batter','Improves the damage of Batter.',11,65535,65535,0,0,0,0,1,'Your Enhance: Batter was successful on %t!','Your Enhance: Batter fades.','',1,0,'',0,'You cast Enhance: Batter on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670416,1384377908,0,1),
(1000643,2567332362,4,0,'Enhance: Battery and Assault','Adds a radius reduction component to Battery and Assault and its upgrades.',296,65535,315,0,0,0,0,1,'Your Enhance: Battery and Assault was successful on %t!','Your Enhance: Battery and Assault fades.','',1,0,'',0,'You cast Enhance: Battery and Assault on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670416,1384377903,0,1),
(1000644,2316737194,4,0,'Enhance: Battle Cry','Increases the mitigation of Battle Cry and its upgrades.',295,65535,314,0,0,0,0,1,'Your Enhance: Battle Cry was successful on %t!','Your Enhance: Battle Cry fades.','',1,0,'',0,'You cast Enhance: Battle Cry on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670416,1384377833,0,1),
(1000645,1991116244,4,0,'Enhance: Beg for Mercy','Grants an ally increased mitigations when using Beg for Mercy and its upgrades.',468,65535,316,0,0,0,0,1,'Your Enhance: Beg for Mercy was successful on %t!','Your Enhance: Beg for Mercy fades.','',1,0,'',0,'You cast Enhance: Beg for Mercy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670416,1384377902,0,1),
(1000646,3477063384,4,0,'Enhance: Berserk','Increases the trigger chance of Berserk Rage and War Cry.',243,65535,317,0,0,0,0,1,'Your Enhance: Berserk was successful on %t!','Your Enhance: Berserk fades.','',1,0,'',0,'You cast Enhance: Berserk on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670416,1384377905,0,1),
(1000647,595007917,4,0,'Enhance: Berserker Onslaught','Increases the damage of Berserker Onslaught and its upgrades.',307,65535,313,0,0,0,0,1,'Your Enhance: Berserker Onslaught was successful on %t!','Your Enhance: Berserker Onslaught fades.','',1,0,'',0,'You cast Enhance: Berserker Onslaught on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670416,1384377910,0,1),
(1000648,2024177455,4,0,'Enhance: Bird''s Eye','Improves the duration of Bird''s Eye.',11,65535,65535,0,0,0,0,1,'Your Enhance: Bird''s Eye was successful on %t!','Your Enhance: Bird''s Eye fades.','',1,0,'',0,'You cast Enhance: Bird''s Eye on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670416,1384377911,0,1),
(1000649,1044303634,4,0,'Enhance: Blasphemy I','Blasphemy and its upgrades become more effective at reducing opponents'' disease resistance.',295,65535,312,0,0,0,0,1,'Your Enhance: Blasphemy I was successful on %t!','Your Enhance: Blasphemy I fades.','',1,0,'',0,'You cast Enhance: Blasphemy I on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670416,1384377904,0,1),
(1000650,2775654641,4,0,'Enhance: Blasphemy II','Reduces the resistibility of Blasphemy and its upgrades.',295,65535,312,0,0,0,0,1,'Your Enhance: Blasphemy II was successful on %t!','Your Enhance: Blasphemy II fades.','',1,0,'',0,'You cast Enhance: Blasphemy II on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670416,1384377830,0,1),
(1000651,4118813405,4,0,'Enhance: Blast of Devastation','Improves the radius and damage of Blast of Devastation.',29,65535,313,0,0,0,0,1,'Your Enhance: Blast of Devastation was successful on %t!','Your Enhance: Blast of Devastation fades.','',1,0,'',0,'You cast Enhance: Blast of Devastation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670416,1384377909,0,1),
(1000652,1155094379,4,0,'Enhance: Blaze of Faith','Improves the critical damage and hastens the casting and reuse speed and reduces the power cost of Blaze of Faith and its upgrades.',272,65535,312,0,0,0,0,1,'Your Enhance: Blaze of Faith was successful on %t!','Your Enhance: Blaze of Faith fades.','',1,0,'',0,'You cast Enhance: Blaze of Faith on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670416,1384377836,0,1),
(1000653,4282806707,4,0,'Enhance: Blazing Avatar','Increases the reuse speed and trigger count of Blazing Avatar and its higher level upgrades.',190,65535,65535,0,0,0,0,1,'Your Enhance: Blazing Avatar was successful on %t!','Your Enhance: Blazing Avatar fades.','',1,0,'',0,'You cast Enhance: Blazing Avatar on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670418,1384377914,0,1),
(1000654,2904638151,4,0,'Enhance: Blessed Weapon','Increases the trigger frequency of Blessed Weapon and its upgrades.',470,65535,317,0,0,0,0,1,'Your Enhance: Blessed Weapon was successful on %t!','Your Enhance: Blessed Weapon fades.','',1,0,'',0,'You cast Enhance: Blessed Weapon on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670418,1384377899,0,1),
(1000655,1145235442,4,0,'Enhance: Blessing of the Paladin','Increases the stamina bonus granted by Blessing of the Paladin and its upgrades.',146,65535,317,0,0,0,0,1,'Your Enhance: Blessing of the Paladin was successful on %t!','Your Enhance: Blessing of the Paladin fades.','',1,0,'',0,'You cast Enhance: Blessing of the Paladin on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670418,1384377902,0,1),
(1000656,3326089069,4,0,'Enhance: Blighted Horde','Hastens reuse speed of Blighted Horde and its upgrades.',258,65535,65535,0,0,0,0,1,'Your Enhance: Blighted Horde was successful on %t!','Your Enhance: Blighted Horde fades.','',1,0,'',0,'You cast Enhance: Blighted Horde on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670418,1384377830,0,1),
(1000657,3210031703,4,0,'Enhance: Blood Rage','Increases the health regenerated by Blood Rage.',190,65535,317,0,0,0,0,1,'Your Enhance: Blood Rage was successful on %t!','Your Enhance: Blood Rage fades.','',1,0,'',0,'You cast Enhance: Blood Rage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670418,1384377903,0,1),
(1000658,3447289985,4,0,'Enhance: Bloodbath','Increases the damage of Bloodbath and its upgrades.',343,65535,313,0,0,0,0,1,'Your Enhance: Bloodbath was successful on %t!','Your Enhance: Bloodbath fades.','',1,0,'',0,'You cast Enhance: Bloodbath on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670418,1384377833,0,1),
(1000659,1592737829,4,0,'Enhance: Bloodcoil','Increases the damage and hastens the effects of Bloodcoil and its upgrades, causing the damage to occur faster.',197,65535,315,0,0,0,0,1,'Your Enhance: Bloodcoil was successful on %t!','Your Enhance: Bloodcoil fades.','',1,0,'',0,'You cast Enhance: Bloodcoil on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670418,1384377834,0,1),
(1000660,3079464208,4,0,'Enhance: Bloody Ritual','Reduces the health cost and hastens the effects of Bloody Ritual and its upgrades, causing the power conversion to occur faster.',170,65535,317,0,0,0,0,1,'Your Enhance: Bloody Ritual was successful on %t!','Your Enhance: Bloody Ritual fades.','',1,0,'',0,'You cast Enhance: Bloody Ritual on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670418,1384377902,0,1),
(1000661,552848835,4,0,'Enhance: Body Check','Body Check and its upgrades improve in potency.  That which is knocked down stays down longer.',297,65535,315,0,0,0,0,1,'Your Enhance: Body Check was successful on %t!','Your Enhance: Body Check fades.','',1,0,'',0,'You cast Enhance: Body Check on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670418,1384377910,0,1),
(1000662,2866139038,4,0,'Enhance: Body Like Mountain','You become the proverbial Immovable Object.  The ability further increases the mitigation granted by Body Like Mountain and its upgrades.',294,65535,317,0,0,0,0,1,'Your Enhance: Body Like Mountain was successful on %t!','Your Enhance: Body Like Mountain fades.','',1,0,'',0,'You cast Enhance: Body Like Mountain on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670418,1384377909,0,1),
(1000663,617773087,4,0,'Enhance: Bolster','Increases the duration of Bolster and its higher level upgrades.',16,65535,65535,0,0,0,0,1,'Your Enhance: Bolster was successful on %t!','Your Enhance: Bolster fades.','',1,0,'',0,'You cast Enhance: Bolster on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670418,1384377830,0,1),
(1000664,4173259348,4,0,'Enhance: Bonechiller Venom','Increases the effectiveness of the impairment component of Bonechiller Venom. The final rank converts Bonechiller Venom into a damage over time ability with five ticks of damage.',799,65535,315,0,0,0,0,1,'Your Enhance: Bonechiller Venom was successful on %t!','Your Enhance: Bonechiller Venom fades.','',1,0,'',0,'You cast Enhance: Bonechiller Venom on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670418,1384377917,0,1),
(1000665,2410137395,4,0,'Enhance: Boon of the Damned','Increases the trigger chance of Boon of the Damned and its upgrades.',243,65535,316,0,0,0,0,1,'Your Enhance: Boon of the Damned was successful on %t!','Your Enhance: Boon of the Damned fades.','',1,0,'',0,'You cast Enhance: Boon of the Damned on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670418,1384377838,0,1),
(1000666,4178306348,4,0,'Enhance: Brainburst','Hastens the effects of Brainburst, causing its damage to occur faster.',168,65535,315,0,0,0,0,1,'Your Enhance: Brainburst was successful on %t!','Your Enhance: Brainburst fades.','',1,0,'',0,'You cast Enhance: Brainburst on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670418,1384377834,0,1),
(1000667,1079410775,4,0,'Enhance: Brambles','Improves the reuse speed of Brambles and its upgrades. The final rank adds a hate position reduction.',157,65535,65535,0,0,0,0,1,'Your Enhance: Brambles was successful on %t!','Your Enhance: Brambles fades.','',1,0,'',0,'You cast Enhance: Brambles on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670418,1384377910,0,1),
(1000668,3676194844,4,0,'Enhance: Brawler''s Tenacity','Improves the duration of Brawler''s Tenacity. The final rank adds an additional trigger.',358,65535,317,0,0,0,0,1,'Your Enhance: Brawler''s Tenacity was successful on %t!','Your Enhance: Brawler''s Tenacity fades.','',1,0,'',0,'You cast Enhance: Brawler''s Tenacity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670418,1384377913,0,1),
(1000669,4154648082,4,0,'Enhance: Breathtaking Bellow','Increases the trigger chance of Breathtaking Bellow and its upgrades.',172,65535,312,0,0,0,0,1,'Your Enhance: Breathtaking Bellow was successful on %t!','Your Enhance: Breathtaking Bellow fades.','',1,0,'',0,'You cast Enhance: Breathtaking Bellow on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670418,1384377910,0,1),
(1000670,3105572710,4,0,'Enhance: Breeze','Increases the power regeneration of Breeze and its upgrades.',475,65535,314,0,0,0,0,1,'Your Enhance: Breeze was successful on %t!','Your Enhance: Breeze fades.','',1,0,'',0,'You cast Enhance: Breeze on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670418,1384377833,0,1),
(1000671,515982119,4,0,'Enhance: Bria''s Entrancing Sonnet','Increases the duration and reduces the resistibility of Bria''s Entrancing Sonnet and its upgrades.',473,65535,315,0,0,0,0,1,'Your Enhance: Bria''s Entrancing Sonnet was successful on %t!','Your Enhance: Bria''s Entrancing Sonnet fades.','',1,0,'',0,'You cast Enhance: Bria''s Entrancing Sonnet on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670418,1384377908,0,1),
(1000672,2743211912,4,0,'Enhance: Bria''s Inspiring Ballad','Increases the power regeneration of Bria''s Inspiring Ballad and its upgrades.',200,65535,314,0,0,0,0,1,'Your Enhance: Bria''s Inspiring Ballad was successful on %t!','Your Enhance: Bria''s Inspiring Ballad fades.','',1,0,'',0,'You cast Enhance: Bria''s Inspiring Ballad on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670420,1384377901,0,1),
(1000673,1820943668,4,0,'Enhance: Bria''s Inspiring Ballad','Increases the power regeneration of Bria''s Inspiring Ballad and its upgrades.',200,65535,314,0,0,0,0,1,'Your Enhance: Bria''s Inspiring Ballad was successful on %t!','Your Enhance: Bria''s Inspiring Ballad fades.','',1,0,'',0,'You cast Enhance: Bria''s Inspiring Ballad on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670420,1384377836,0,1),
(1000674,2700980832,4,0,'Enhance: Brood Cure','Brood Cure will heal the target when it successfully cures.',148,65535,314,0,0,0,0,1,'Your Enhance: Brood Cure was successful on %t!','Your Enhance: Brood Cure fades.','',1,0,'',0,'You cast Enhance: Brood Cure on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670420,1384377899,0,1),
(1000675,2796271080,4,0,'Enhance: Bruising Spirit','Increases the duration and reduces the reuse of Bruising Spirit and its upgrades.',358,65535,317,0,0,0,0,1,'Your Enhance: Bruising Spirit was successful on %t!','Your Enhance: Bruising Spirit fades.','',1,0,'',0,'You cast Enhance: Bruising Spirit on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670420,1384377907,0,1),
(1000676,1109502233,4,0,'Enhance: Burst Heals','Conduit Abilities that equip in Slot 3 will have their base recovery reduced.',483,65535,317,0,0,0,0,1,'Your Enhance: Burst Heals was successful on %t!','Your Enhance: Burst Heals fades.','',1,0,'',0,'You cast Enhance: Burst Heals on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670420,1384377901,0,1),
(1000677,3555255047,4,0,'Enhance: Cacophony of Blades','Increases the duration of Cacophony of Blades.',225,65535,314,0,0,0,0,1,'Your Enhance: Cacophony of Blades was successful on %t!','Your Enhance: Cacophony of Blades fades.','',1,0,'',0,'You cast Enhance: Cacophony of Blades on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670420,1384377915,0,1),
(1000678,2314609153,4,0,'Enhance: Call of Shielding','Increases the defense and stamina bonus of Call of Shielding.',295,65535,314,0,0,0,0,1,'Your Enhance: Call of Shielding was successful on %t!','Your Enhance: Call of Shielding fades.','',1,0,'',0,'You cast Enhance: Call of Shielding on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670420,1384377909,0,1),
(1000679,3640252191,4,0,'Enhance: Call of Storms','Increases the critical damage and reduces the casting time of Call of Storms and reduces the chance it will be resisted.',1,65535,65535,0,0,0,0,1,'Your Enhance: Call of Storms was successful on %t!','Your Enhance: Call of Storms fades.','',1,0,'',0,'You cast Enhance: Call of Storms on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670420,1384377902,0,1),
(1000680,4277211799,4,0,'Enhance: Call to Arms','Increases the skill increase of Call to Arms.',184,65535,314,0,0,0,0,1,'Your Enhance: Call to Arms was successful on %t!','Your Enhance: Call to Arms fades.','',1,0,'',0,'You cast Enhance: Call to Arms on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670420,1384377913,0,1),
(1000681,1494755878,4,0,'Enhance: Caltrops','Opponents hit by your Caltrops line of arts have their noxious resistance reduced even further.',308,65535,315,0,0,0,0,1,'Your Enhance: Caltrops was successful on %t!','Your Enhance: Caltrops fades.','',1,0,'',0,'You cast Enhance: Caltrops on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670420,1384377907,0,1),
(1000682,662688453,4,0,'Enhance: Cannibalize Thoughts','Increases the power restored by Cannibalize Thoughts and its upgrades.',217,65535,315,0,0,0,0,1,'Your Enhance: Cannibalize Thoughts was successful on %t!','Your Enhance: Cannibalize Thoughts fades.','',1,0,'',0,'You cast Enhance: Cannibalize Thoughts on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670420,1384377909,0,1),
(1000683,875041661,4,0,'Enhance: Castigate','Increases the radius and hastens the reuse speed of Castigate.',216,65535,313,0,0,0,0,1,'Your Enhance: Castigate was successful on %t!','Your Enhance: Castigate fades.','',1,0,'',0,'You cast Enhance: Castigate on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670420,1384377907,0,1),
(1000684,304343611,4,0,'Enhance: Cataclysm','Increases the damage and size of Cataclysm and its upgrades.',238,65535,313,0,0,0,0,1,'Your Enhance: Cataclysm was successful on %t!','Your Enhance: Cataclysm fades.','',1,0,'',0,'You cast Enhance: Cataclysm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670420,1384377900,0,1),
(1000685,3916027703,4,0,'Enhance: Caustic Poison','Increases the damage of Caustic poisons.',258,65535,315,0,0,0,0,1,'Your Enhance: Caustic Poison was successful on %t!','Your Enhance: Caustic Poison fades.','',1,0,'',0,'You cast Enhance: Caustic Poison on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670420,1384377911,0,1),
(1000686,1146931380,4,0,'Enhance: Cease','Improves the critical amount and hastens the reuse speed of Cease and its upgrades.',476,65535,315,0,0,0,0,1,'Your Enhance: Cease was successful on %t!','Your Enhance: Cease fades.','',1,0,'',0,'You cast Enhance: Cease on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670420,1384377907,0,1),
(1000687,3265857306,4,0,'Enhance: Chains of Torment','Improves resistibility and hastens the casting speed of Chains of Torment and its upgrades.',166,65535,315,0,0,0,0,1,'Your Enhance: Chains of Torment was successful on %t!','Your Enhance: Chains of Torment fades.','',1,0,'',0,'You cast Enhance: Chains of Torment on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670420,1384377910,0,1),
(1000688,3195437951,4,0,'Enhance: Channel','Improves the reuse speed of Channel. Additionally, Channel instantly restores some power.',22,65535,314,0,0,0,0,1,'Your Enhance: Channel was successful on %t!','Your Enhance: Channel fades.','',1,0,'',0,'You cast Enhance: Channel on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670420,1384377901,0,1),
(1000689,853989792,4,0,'Enhance: Channeled Focus','Drastically reduces the reuse time of Channeled Focus. Rank 10 prevents the targeted group from being interrupted, even while moving.',755,65535,314,0,0,0,0,1,'Your Enhance: Channeled Focus was successful on %t!','Your Enhance: Channeled Focus fades.','',1,0,'',0,'You cast Enhance: Channeled Focus on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670420,1384377838,0,1),
(1000690,843799958,4,0,'Enhance: Channeled Protection','Improves the heal amount and Dodge Chance granted by Channeled Protection.',219,65535,316,0,0,0,0,1,'Your Enhance: Channeled Protection was successful on %t!','Your Enhance: Channeled Protection fades.','',1,0,'',0,'You cast Enhance: Channeled Protection on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670420,1384377830,0,1),
(1000691,2888812597,4,0,'Enhance: Channeled Resurrection','Improves the health and power restored by Channeled Resurrection.',205,65535,317,0,0,0,0,1,'Your Enhance: Channeled Resurrection was successful on %t!','Your Enhance: Channeled Resurrection fades.','',1,0,'',0,'You cast Enhance: Channeled Resurrection on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670422,1384377899,0,1),
(1000692,1446418274,4,0,'Enhance: Chaos','Adds magical resistances to Chaos. Additionally, the reuse speed is improved.',295,65535,314,0,0,0,0,1,'Your Enhance: Chaos was successful on %t!','Your Enhance: Chaos fades.','',1,0,'',0,'You cast Enhance: Chaos on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670422,1384377830,0,1),
(1000693,2199978730,4,0,'Enhance: Chaos Anthem','Chaos Anthem and its upgrades become more effective at reducing opponents'' wisdom.',160,65535,312,0,0,0,0,1,'Your Enhance: Chaos Anthem was successful on %t!','Your Enhance: Chaos Anthem fades.','',1,0,'',0,'You cast Enhance: Chaos Anthem on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670422,1384377903,0,1),
(1000694,3471913204,4,0,'Enhance: Charging Bite','Improves the damage of Charging Bite.',11,65535,65535,0,0,0,0,1,'Your Enhance: Charging Bite was successful on %t!','Your Enhance: Charging Bite fades.','',1,0,'',0,'You cast Enhance: Charging Bite on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670422,1384377907,0,1),
(1000695,3405080455,4,0,'Enhance: Charm','Charm and its upgrades become more convincing.  This lessens the chance of Charm being outright resisted and breaking early.',473,65535,315,0,0,0,0,1,'Your Enhance: Charm was successful on %t!','Your Enhance: Charm fades.','',1,0,'',0,'You cast Enhance: Charm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670422,1384377908,0,1),
(1000696,3984951026,4,0,'Enhance: Cheap Shot','Increases the duration of Cheap Shot.',217,65535,315,0,0,0,0,1,'Your Enhance: Cheap Shot was successful on %t!','Your Enhance: Cheap Shot fades.','',1,0,'',0,'You cast Enhance: Cheap Shot on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670422,1384377909,0,1),
(1000697,4040106507,4,0,'Enhance: Cheap Shot','Increases the duration of Cheap Shot.',217,65535,315,0,0,0,0,1,'Your Enhance: Cheap Shot was successful on %t!','Your Enhance: Cheap Shot fades.','',1,0,'',0,'You cast Enhance: Cheap Shot on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670422,1384377911,0,1),
(1000698,3293305814,4,0,'Enhance: Cheap Shot','Improves the duration of Cheap Shot by a small amount.',217,65535,315,0,0,0,0,1,'Your Enhance: Cheap Shot was successful on %t!','Your Enhance: Cheap Shot fades.','',1,0,'',0,'You cast Enhance: Cheap Shot on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670422,1384377899,0,1),
(1000699,1607723213,4,0,'Enhance: Cheap Shot','Increases the duration of Cheap Shot.',217,65535,315,0,0,0,0,1,'Your Enhance: Cheap Shot was successful on %t!','Your Enhance: Cheap Shot fades.','',1,0,'',0,'You cast Enhance: Cheap Shot on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670422,1384377905,0,1),
(1000700,3377834897,4,1,'Enhance: Chilling Claws','Improves the damage inflicted by Chilling Claws.',820,65535,314,0,0,0,1,1,'Your Enhance: Chilling Claws was successful on %t!','Your Enhance: Chilling Claws fades.','',1,0,'',0,'You cast Enhance: Chilling Claws on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670422,1384377899,0,1),
(1000701,1697238742,4,0,'Enhance: Chromatic Shower','',266,65535,312,0,0,0,0,1,'Your Enhance: Chromatic Shower was successful on %t!','Your Enhance: Chromatic Shower fades.','',1,0,'',0,'You cast Enhance: Chromatic Shower on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670422,1384377908,0,1),
(1000702,1610790038,4,0,'Enhance: Chromatic Storm','',169,65535,312,0,0,0,0,1,'Your Enhance: Chromatic Storm was successful on %t!','Your Enhance: Chromatic Storm fades.','',1,0,'',0,'You cast Enhance: Chromatic Storm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670422,1384377903,0,1),
(1000703,1277849686,4,0,'Enhance: Clara''s Chaotic Cacophony','Clara''s Chaotic Cacophony and its upgrades become even louder, further reducing opponents'' mitigation.',217,65535,312,0,0,0,0,1,'Your Enhance: Clara''s Chaotic Cacophony was successful on %t!','Your Enhance: Clara''s Chaotic Cacophony fades.','',1,0,'',0,'You cast Enhance: Clara''s Chaotic Cacophony on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670422,1384377899,0,1),
(1000704,2805440168,4,0,'Enhance: Cleave Flesh','Cleave Flesh and its upgrades become more effective at reducing your opponents'' wisdom.',268,65535,315,0,0,0,0,1,'Your Enhance: Cleave Flesh was successful on %t!','Your Enhance: Cleave Flesh fades.','',1,0,'',0,'You cast Enhance: Cleave Flesh on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670422,1384377830,0,1),
(1000705,3602989415,4,0,'Enhance: Close Mind','Improves the reuse speed of Close Mind. The final rank allows it to cure control effects upon termination.',476,65535,317,0,0,0,0,1,'Your Enhance: Close Mind was successful on %t!','Your Enhance: Close Mind fades.','',1,0,'',0,'You cast Enhance: Close Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670422,1384377830,0,1),
(1000706,3661126935,4,0,'Enhance: Concussive','Hastens the reuse speed of Concussive.',270,65535,312,0,0,0,0,1,'Your Enhance: Concussive was successful on %t!','Your Enhance: Concussive fades.','',1,0,'',0,'You cast Enhance: Concussive on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670422,1384377831,0,1),
(1000707,2351108957,4,0,'Enhance: Concussive','Improves the casting speed and hate reduction of Concussive.',11,65535,65535,0,0,0,0,1,'Your Enhance: Concussive was successful on %t!','Your Enhance: Concussive fades.','',1,0,'',0,'You cast Enhance: Concussive on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670422,1384377836,0,1),
(1000708,3858006772,4,0,'Enhance: Condemn','Improves the resist reduction of Condemn and its higher level upgrades. This enhancement also makes it more difficult to outright resist this spell.',186,65535,315,0,0,0,0,1,'Your Enhance: Condemn was successful on %t!','Your Enhance: Condemn fades.','',1,0,'',0,'You cast Enhance: Condemn on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670422,1384377830,0,1),
(1000709,2873232428,4,0,'Enhance: Conduits','Conduit Abilities that equip in Slots 4 through 8 will have their base recovery reduced.',511,65535,317,0,0,0,0,1,'Your Enhance: Conduits was successful on %t!','Your Enhance: Conduits fades.','',1,0,'',0,'You cast Enhance: Conduits on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670422,1384377899,0,1),
(1000710,853791126,4,0,'Enhance: Consecrate','Hastens the effects of Consecrate, causing the damage to occur faster.',224,65535,313,0,0,0,0,1,'Your Enhance: Consecrate was successful on %t!','Your Enhance: Consecrate fades.','',1,0,'',0,'You cast Enhance: Consecrate on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670422,1384377909,0,1),
(1000711,1149265682,4,0,'Enhance: Construct''s Sacrifice','Improves the damage of Construct''s Sacrifice.',908,65535,317,0,0,0,0,1,'Your Enhance: Construct''s Sacrifice was successful on %t!','Your Enhance: Construct''s Sacrifice fades.','',1,0,'',0,'You cast Enhance: Construct''s Sacrifice on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670424,1384377912,0,1),
(1000712,1464892732,4,0,'Enhance: Consume Flesh','Improves the damage and heal amount of Consume Flesh.',11,65535,65535,0,0,0,0,1,'Your Enhance: Consume Flesh was successful on %t!','Your Enhance: Consume Flesh fades.','',1,0,'',0,'You cast Enhance: Consume Flesh on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670424,1384377902,0,1),
(1000713,1561327758,4,0,'Enhance: Consumption','Improves the critical damage and reuse speed of Consumption.',259,65535,317,0,0,0,0,1,'Your Enhance: Consumption was successful on %t!','Your Enhance: Consumption fades.','',1,0,'',0,'You cast Enhance: Consumption on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670424,1384377903,0,1),
(1000714,1364939643,4,0,'Enhance: Controlled Rage','Reduces the penalties of Controlled Rage and its upgrades.',218,65535,317,0,0,0,0,1,'Your Enhance: Controlled Rage was successful on %t!','Your Enhance: Controlled Rage fades.','',1,0,'',0,'You cast Enhance: Controlled Rage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670424,1384377916,0,1),
(1000715,2884939626,4,0,'Enhance: Converge','Increases the trigger chance of Converge and its upgrades.',243,65535,316,0,0,0,0,1,'Your Enhance: Converge was successful on %t!','Your Enhance: Converge fades.','',1,0,'',0,'You cast Enhance: Converge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670424,1384377911,0,1),
(1000716,2414336954,4,0,'Enhance: Crazed Roar','Improves the damage of Crazed Roar.',11,65535,65535,0,0,0,0,1,'Your Enhance: Crazed Roar was successful on %t!','Your Enhance: Crazed Roar fades.','',1,0,'',0,'You cast Enhance: Crazed Roar on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670424,1384377909,0,1),
(1000717,922215524,4,0,'Enhance: Crescent Strike','Increases the striking radius and hastens the reuse speed of Crescent Strike and its upgrades.',343,65535,313,0,0,0,0,1,'Your Enhance: Crescent Strike was successful on %t!','Your Enhance: Crescent Strike fades.','',1,0,'',0,'You cast Enhance: Crescent Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670424,1384377918,0,1),
(1000718,1488858324,4,0,'Enhance: Crippling Strike','Improves the defense reduction of Crippling Strike and its upgrades.',373,65535,315,0,0,0,0,1,'Your Enhance: Crippling Strike was successful on %t!','Your Enhance: Crippling Strike fades.','',1,0,'',0,'You cast Enhance: Crippling Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670424,1384377905,0,1),
(1000719,860215140,4,0,'Enhance: Crusade','Increases the wisdom granted by Crusade and its upgrades.',468,65535,314,0,0,0,0,1,'Your Enhance: Crusade was successful on %t!','Your Enhance: Crusade fades.','',1,0,'',0,'You cast Enhance: Crusade on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670424,1384377909,0,1),
(1000720,1828598419,4,0,'Enhance: Crusader''s Faith','Increases the duration of Crusader''s Faith. Crusader''s Faith will grant increased strikethrough, accuracy and reduced spell resistibility to the group for the duration of the spell.',924,65535,314,0,0,0,0,1,'Your Enhance: Crusader''s Faith was successful on %t!','Your Enhance: Crusader''s Faith fades.','',1,0,'',0,'You cast Enhance: Crusader''s Faith on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670424,1384377903,0,1),
(1000721,2257518269,4,0,'Enhance: Crushing Force','Improves the damage of Crushing Force.',11,65535,65535,0,0,0,0,1,'Your Enhance: Crushing Force was successful on %t!','Your Enhance: Crushing Force fades.','',1,0,'',0,'You cast Enhance: Crushing Force on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670424,1384377909,0,1),
(1000722,805546781,4,0,'Enhance: Crushing Hooves','Improves the damage of Crushing Hooves.',11,65535,65535,0,0,0,0,1,'Your Enhance: Crushing Hooves was successful on %t!','Your Enhance: Crushing Hooves fades.','',1,0,'',0,'You cast Enhance: Crushing Hooves on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670424,1384377903,0,1),
(1000723,1475895630,4,0,'Enhance: Crushing Maw','Improves the damage of Crushing Maw.',11,65535,65535,0,0,0,0,1,'Your Enhance: Crushing Maw was successful on %t!','Your Enhance: Crushing Maw fades.','',1,0,'',0,'You cast Enhance: Crushing Maw on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670424,1384377912,0,1),
(1000724,3085003949,4,0,'Enhance: Crushing paws','Improves the damage of Crushing Paws.',11,65535,65535,0,0,0,0,1,'Your Enhance: Crushing paws was successful on %t!','Your Enhance: Crushing paws fades.','',1,0,'',0,'You cast Enhance: Crushing paws on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670424,1384377901,0,1),
(1000725,2413781558,4,0,'Enhance: Cry of the Warrior','Cry of the Warrior will also increase threat by a substantial amount.',920,65535,315,0,0,0,0,1,'Your Enhance: Cry of the Warrior was successful on %t!','Your Enhance: Cry of the Warrior fades.','',1,0,'',0,'You cast Enhance: Cry of the Warrior on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670426,1384377900,0,1),
(1000726,4251231023,4,0,'Enhance: Crystal Blast','Improves the critical damage and hastens the casting speed of Crystal Blast and its higher level upgrades.',161,65535,315,0,0,0,0,1,'Your Enhance: Crystal Blast was successful on %t!','Your Enhance: Crystal Blast fades.','',1,0,'',0,'You cast Enhance: Crystal Blast on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670426,1384377902,0,1),
(1000727,4236655138,4,0,'Enhance: Crystallize Soul','Increases the trigger chance of Crystallize Soul and its upgrades.',254,65535,314,0,0,0,0,1,'Your Enhance: Crystallize Soul was successful on %t!','Your Enhance: Crystallize Soul fades.','',1,0,'',0,'You cast Enhance: Crystallize Soul on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670426,1384377904,0,1),
(1000728,3258165504,4,0,'Enhance: Cunning Defense','Reduces the penalties and increases the bonuses of Cunning Defense and its upgrades.',218,65535,317,0,0,0,0,1,'Your Enhance: Cunning Defense was successful on %t!','Your Enhance: Cunning Defense fades.','',1,0,'',0,'You cast Enhance: Cunning Defense on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670426,1384377912,0,1),
(1000729,879459130,4,0,'Enhance: Cure','',148,65535,316,0,0,0,0,1,'Your Enhance: Cure was successful on %t!','Your Enhance: Cure fades.','',1,0,'',0,'You cast Enhance: Cure on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670426,1384377897,0,1),
(1000730,3695525050,4,0,'Enhance: Cure','Cure reduces a small amount of dissonance when it cures an effect.',147,65535,316,0,0,0,0,1,'Your Enhance: Cure was successful on %t!','Your Enhance: Cure fades.','',1,0,'',0,'You cast Enhance: Cure on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670426,1384377830,0,1),
(1000731,896649683,4,0,'Enhance: Cure','',148,65535,316,0,0,0,0,1,'Your Enhance: Cure was successful on %t!','Your Enhance: Cure fades.','',1,0,'',0,'You cast Enhance: Cure on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670426,1384377836,0,1),
(1000732,1556916876,4,0,'Enhance: Cure','Adds a small damage proc to the recipient of a successful Cure.',148,65535,316,0,0,0,0,1,'Your Enhance: Cure was successful on %t!','Your Enhance: Cure fades.','',1,0,'',0,'You cast Enhance: Cure on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670426,1384377833,0,1),
(1000733,4173958939,4,0,'Enhance: Cure Magic','Hastens the casting and reuse speed of Cure Arcane.',150,65535,316,0,0,0,0,1,'Your Enhance: Cure Arcane was successful on %t!','Your Enhance: Cure Arcane fades.','',1,0,'',0,'You cast Enhance: Cure Arcane on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670426,1366730642,0,1),
(1000734,3499575023,4,0,'Enhance: Cure Curse','Improves the casting speed of Cure Curse.',923,65535,316,0,0,0,0,1,'Your Enhance: Cure Curse was successful on %t!','Your Enhance: Cure Curse fades.','',1,0,'',0,'You cast Enhance: Cure Curse on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670426,1384377910,0,1),
(1000735,2999110560,4,0,'Enhance: Cure Curse','Improves the casting speed of Cure Curse.',785,65535,316,0,0,0,0,1,'Your Enhance: Cure Curse was successful on %t!','Your Enhance: Cure Curse fades.','',1,0,'',0,'You cast Enhance: Cure Curse on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670426,1384377901,0,1),
(1000736,1140953013,4,0,'Enhance: Cure Curse','Improves the casting time of Cure Curse.',785,65535,316,0,0,0,0,1,'Your Enhance: Cure Curse was successful on %t!','Your Enhance: Cure Curse fades.','',1,0,'',0,'You cast Enhance: Cure Curse on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670426,1384377907,0,1),
(1000737,2908891776,4,0,'Enhance: Cure II','',147,65535,316,0,0,0,0,1,'Your Enhance: Cure II was successful on %t!','Your Enhance: Cure II fades.','',1,0,'',0,'You cast Enhance: Cure II on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670426,1384377908,0,1),
(1000738,3318086454,4,0,'Enhance: Cure II','Adds a small ward to Cure.',147,65535,316,0,0,0,0,1,'Your Enhance: Cure II was successful on %t!','Your Enhance: Cure II fades.','',1,0,'',0,'You cast Enhance: Cure II on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670426,1384377913,0,1),
(1000739,2893584489,4,0,'Enhance: Cure II','',147,65535,316,0,0,0,0,1,'Your Enhance: Cure II was successful on %t!','Your Enhance: Cure II fades.','',1,0,'',0,'You cast Enhance: Cure II on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670426,1384377835,0,1),
(1000740,3664058902,4,0,'Enhance: Cure III','',149,65535,316,0,0,0,0,1,'Your Enhance: Cure III was successful on %t!','Your Enhance: Cure III fades.','',1,0,'',0,'You cast Enhance: Cure III on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670426,1384377914,0,1),
(1000741,749100547,4,0,'Enhance: Cure III','Adds an additional ward to Cure when the target is below 30% health.',150,65535,316,0,0,0,0,1,'Your Enhance: Cure III was successful on %t!','Your Enhance: Cure III fades.','',1,0,'',0,'You cast Enhance: Cure III on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670426,1384377897,0,1),
(1000742,1625329191,4,0,'Enhance: Cure Magic','Removes the cast time of Cure Magic.',149,65535,316,0,0,0,0,1,'Your Enhance: Cure Magic was successful on %t!','Your Enhance: Cure Magic fades.','',1,0,'',0,'You cast Enhance: Cure Magic on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670426,1384377833,0,1),
(1000743,4183989650,4,0,'Enhance: Curse of Darkness','Curse of Darkness and its upgrades gain in potency, improving base damage and casting time.',237,65535,314,0,0,0,0,1,'Your Enhance: Curse of Darkness was successful on %t!','Your Enhance: Curse of Darkness fades.','',1,0,'',0,'You cast Enhance: Curse of Darkness on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670426,1384377899,0,1),
(1000744,1728448561,4,0,'Enhance: Curse of Void','Curse of Void and its upgrades become more effective at reducing opponents'' strength and intelligence.',244,65535,315,0,0,0,0,1,'Your Enhance: Curse of Void was successful on %t!','Your Enhance: Curse of Void fades.','',1,0,'',0,'You cast Enhance: Curse of Void on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670428,1384377912,0,1),
(1000745,27866434,4,0,'Enhance: Cuss','Improves the reuse speed and reduces resistibility to Cuss and its upgrades.',295,65535,315,0,0,0,0,1,'Your Enhance: Cuss was successful on %t!','Your Enhance: Cuss fades.','',1,0,'',0,'You cast Enhance: Cuss on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670428,1384377833,0,1),
(1000746,3839120870,4,0,'Enhance: Dance of Metal','Enhance: Dance of Metal triggers when the rogue is using Dance of Metal and grants a small amount of damage reduction to the rogue. Higher ranks of this spell grant more powerful versions of the damage reduction, triggering off of attacks further down the Dance of Metal chain. With 10 points, this will grant up to 24% damage reduction for 30 seconds. Additionally, Dance of Metal''s reuse timer is slightly reduced.',929,65535,317,0,0,0,0,1,'Your Enhance: Dance of Metal was successful on %t!','Your Enhance: Dance of Metal fades.','',1,0,'',0,'You cast Enhance: Dance of Metal on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670428,1384377900,0,1),
(1000747,1782753247,4,0,'Enhance: Dancing Blade','Increases spell resistance reductions of Dancing Blade and its upgrades.',377,65535,315,0,0,0,0,1,'Your Enhance: Dancing Blade was successful on %t!','Your Enhance: Dancing Blade fades.','',1,0,'',0,'You cast Enhance: Dancing Blade on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670428,1384377914,0,1),
(1000748,1516387479,4,0,'Enhance: Dark Heart','Hastens the reuse speed of Dark Heart and its upgrades. Additionally, the target of the heart gains a small amount of power instantly.',496,65535,316,0,0,0,0,1,'Your Enhance: Dark Heart was successful on %t!','Your Enhance: Dark Heart fades.','',1,0,'',0,'You cast Enhance: Dark Heart on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670428,1384377904,0,1),
(1000749,1724146182,4,0,'Enhance: Dark Infestation','Increases the trigger chance of Dark Infestation and the duration of its Broodlings.',193,65535,315,0,0,0,0,1,'Your Enhance: Dark Infestation was successful on %t!','Your Enhance: Dark Infestation fades.','',1,0,'',0,'You cast Enhance: Dark Infestation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670428,1384377916,0,1),
(1000750,2334833537,4,0,'Enhance: Dark Nebula','Increases the damage and size of Dark Nebula and its upgrades.',169,65535,312,0,0,0,0,1,'Your Enhance: Dark Nebula was successful on %t!','Your Enhance: Dark Nebula fades.','',1,0,'',0,'You cast Enhance: Dark Nebula on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670428,1384377899,0,1),
(1000751,4260356384,4,0,'Enhance: Dark Pyre','Improves the critical damage and hastens the reuse speed and effects of Dark Pyre and its upgrades, causing its damage to occur faster.',250,65535,315,0,0,0,0,1,'Your Enhance: Dark Pyre was successful on %t!','Your Enhance: Dark Pyre fades.','',1,0,'',0,'You cast Enhance: Dark Pyre on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670428,1384377904,0,1),
(1000752,3528386037,4,0,'Enhance: Daro''s Dull Blade','Improves the damage per second reduction of Daro''s Dull Blade and its upgrades.',377,65535,315,0,0,0,0,1,'Your Enhance: Daro''s Dull Blade was successful on %t!','Your Enhance: Daro''s Dull Blade fades.','',1,0,'',0,'You cast Enhance: Daro''s Dull Blade on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670428,1384377910,0,1),
(1000753,3575849452,4,0,'Enhance: Daro''s Sorrowful Dirge','Daro''s Sorrowful Dirge and its upgrades play an even more depressing tune, reducing your opponents'' attack speed further.',204,65535,312,0,0,0,0,1,'Your Enhance: Daro''s Sorrowful Dirge was successful on %t!','Your Enhance: Daro''s Sorrowful Dirge fades.','',1,0,'',0,'You cast Enhance: Daro''s Sorrowful Dirge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670428,1384377900,0,1),
(1000754,2727558670,4,0,'Enhance: Dashing Swathe','Increases the hit chance and strike radius of Dashing Swathe and its upgrades.',380,65535,313,0,0,0,0,1,'Your Enhance: Dashing Swathe was successful on %t!','Your Enhance: Dashing Swathe fades.','',1,0,'',0,'You cast Enhance: Dashing Swathe on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670428,1384377912,0,1),
(1000755,1256305341,4,0,'Enhance: Dead Calm','Increases the trigger chance of Dead Calm and its upgrades.',206,65535,314,0,0,0,0,1,'Your Enhance: Dead Calm was successful on %t!','Your Enhance: Dead Calm fades.','',1,0,'',0,'You cast Enhance: Dead Calm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670428,1384377903,0,1),
(1000756,2992201103,4,0,'Enhance: Deadly Focus','Improves the Multi-Attack Chance and duration of Deadly Focus and its upgrades.',242,65535,317,0,0,0,0,1,'Your Enhance: Deadly Focus was successful on %t!','Your Enhance: Deadly Focus fades.','',1,0,'',0,'You cast Enhance: Deadly Focus on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670428,1384377911,0,1),
(1000757,851760404,4,0,'Enhance: Death Interventions','Increases the critical amount and hastens the reuse speed of Tunare''s Watch and Nature''s Renewal spell lines.',219,65535,65535,0,0,0,0,1,'Your Enhance: Death Interventions was successful on %t!','Your Enhance: Death Interventions fades.','',1,0,'',0,'You cast Enhance: Death Interventions on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670428,1384377836,0,1),
(1000758,2746933786,4,0,'Enhance: Death March','Adds Strength to On the March and hastens the reuse speed of Death March.',206,65535,314,0,0,0,0,1,'Your Enhance: Death March was successful on %t!','Your Enhance: Death March fades.','',1,0,'',0,'You cast Enhance: Death March on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670428,1384377900,0,1),
(1000759,771727899,4,0,'Enhance: Death Mark','Increases the trigger chance of Death Mark and its upgrades.',366,65535,315,0,0,0,0,1,'Your Enhance: Death Mark was successful on %t!','Your Enhance: Death Mark fades.','',1,0,'',0,'You cast Enhance: Death Mark on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670428,1384377904,0,1),
(1000760,1184711356,4,0,'Enhance: Death Swarm','Increases the critical damage and hastens the casting speed and effects of Death Swarm and its upgrades, causing the damage to occur faster.',369,65535,315,0,0,0,0,1,'Your Enhance: Death Swarm was successful on %t!','Your Enhance: Death Swarm fades.','',1,0,'',0,'You cast Enhance: Death Swarm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670428,1384377830,0,1),
(1000761,248822658,4,0,'Enhance: Debilitate','Increases the mitigation reduction of Debilitate and its upgrades.',186,65535,315,0,0,0,0,1,'Your Enhance: Debilitate was successful on %t!','Your Enhance: Debilitate fades.','',1,0,'',0,'You cast Enhance: Debilitate on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670428,1384377833,0,1),
(1000762,1093852388,4,0,'Enhance: Debilitating Venom','Improves the damage of Debilitating Venom.',11,65535,65535,0,0,0,0,1,'Your Enhance: Debilitating Venom was successful on %t!','Your Enhance: Debilitating Venom fades.','',1,0,'',0,'You cast Enhance: Debilitating Venom on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670428,1384377912,0,1),
(1000763,817213132,4,0,'Enhance: Decimation','Improves the damage of Decimation.',11,65535,65535,0,0,0,0,1,'Your Enhance: Decimation was successful on %t!','Your Enhance: Decimation fades.','',1,0,'',0,'You cast Enhance: Decimation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670430,1384377901,0,1),
(1000764,2884272172,4,0,'Enhance: Decree','Increases the damage of Decree and its upgrades.',212,65535,312,0,0,0,0,1,'Your Enhance: Decree was successful on %t!','Your Enhance: Decree fades.','',1,0,'',0,'You cast Enhance: Decree on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670430,1384377897,0,1),
(1000765,1968094591,4,0,'Enhance: Defensive Poisons','Your poisons that reduce opponents'' defenses become more potent.',259,65535,313,0,0,0,0,1,'Your Enhance: Defensive Poisons was successful on %t!','Your Enhance: Defensive Poisons fades.','',1,0,'',0,'You cast Enhance: Defensive Poisons on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670430,1384377911,0,1),
(1000766,4284908169,4,0,'Enhance: Defile','Improves the critical damage and hastens the reuse speed of Defile.',279,65535,313,0,0,0,0,1,'Your Enhance: Defile was successful on %t!','Your Enhance: Defile fades.','',1,0,'',0,'You cast Enhance: Defile on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670430,1384377899,0,1),
(1000767,1352218956,4,0,'Enhance: Demolish','Demolished opponents are unable to cast spells for a longer amount of time.  Improves Demolish and its upgrades.',307,65535,313,0,0,0,0,1,'Your Enhance: Demolish was successful on %t!','Your Enhance: Demolish fades.','',1,0,'',0,'You cast Enhance: Demolish on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670430,1384377830,0,1),
(1000768,1087347520,4,0,'Enhance: Demonstration of Faith','Enemies striking the target will have their arcane mitigation reduced. Additionally, this spell hastens the reuse speed of Demonstration of Faith.',469,65535,316,0,0,0,0,1,'Your Enhance: Demonstration of Faith was successful on %t!','Your Enhance: Demonstration of Faith fades.','',1,0,'',0,'You cast Enhance: Demonstration of Faith on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670430,1384377902,0,1),
(1000769,1831822278,4,0,'Enhance: Demoralizing Processional','Demoralizing Processional becomes more effective at reducing opponents'' offensive skills and primary attributes.',206,65535,312,0,0,0,0,1,'Your Enhance: Demoralizing Processional was successful on %t!','Your Enhance: Demoralizing Processional fades.','',1,0,'',0,'You cast Enhance: Demoralizing Processional on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670430,1384377902,0,1),
(1000770,2097009486,4,0,'Enhance: Deny','Increases the attribute reduction of Deny and its higher level upgrades.',193,65535,315,0,0,0,0,1,'Your Enhance: Deny was successful on %t!','Your Enhance: Deny fades.','',1,0,'',0,'You cast Enhance: Deny on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670430,1384377905,0,1),
(1000771,491099977,4,0,'Enhance: Depressing Chant','Depressing Chant and its upgrades become more effective at reducing enemies'' Arcane resistance.',308,65535,315,0,0,0,0,1,'Your Enhance: Depressing Chant was successful on %t!','Your Enhance: Depressing Chant fades.','',1,0,'',0,'You cast Enhance: Depressing Chant on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670430,1384377908,0,1),
(1000772,2657854995,4,0,'Enhance: Desperate Thrust','Desperate Thrust and its upgrades become deadlier and are more likely to strike your opponent.',372,65535,315,0,0,0,0,1,'Your Enhance: Desperate Thrust was successful on %t!','Your Enhance: Desperate Thrust fades.','',1,0,'',0,'You cast Enhance: Desperate Thrust on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670430,1384377903,0,1),
(1000773,1381642447,4,0,'Enhance: Destructive Mind','Increases the duration and damage of Destructive Mind and its upgrades.',270,65535,316,0,0,0,0,1,'Your Enhance: Destructive Mind was successful on %t!','Your Enhance: Destructive Mind fades.','',1,0,'',0,'You cast Enhance: Destructive Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670430,1384377913,0,1),
(1000774,556902388,4,0,'Enhance: Destructive Rage','Increases the Damage Per Second of Destructive Rage and its upgrades.',496,65535,314,0,0,0,0,1,'Your Enhance: Destructive Rage was successful on %t!','Your Enhance: Destructive Rage fades.','',1,0,'',0,'You cast Enhance: Destructive Rage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670430,1384377901,0,1),
(1000775,840699338,4,0,'Enhance: Devoted Resolve','',747,65535,314,0,0,0,0,1,'Your Enhance: Devoted Resolve was successful on %t!','Your Enhance: Devoted Resolve fades.','',1,0,'',0,'You cast Enhance: Devoted Resolve on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670430,1384377915,0,1),
(1000776,949051708,4,0,'Enhance: Devour Vitae','Improves the critical damage and hastens the reuse speed of Devour Vitae.',249,65535,315,0,0,0,0,1,'Your Enhance: Devour Vitae was successful on %t!','Your Enhance: Devour Vitae fades.','',1,0,'',0,'You cast Enhance: Devour Vitae on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670430,1384377903,0,1),
(1000777,961743627,4,0,'Enhance: Devouring Mists','Improves resistibility and hastens the reuse speed of Devouring Mists and its upgrades.',248,65535,312,0,0,0,0,1,'Your Enhance: Devouring Mists was successful on %t!','Your Enhance: Devouring Mists fades.','',1,0,'',0,'You cast Enhance: Devouring Mists on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670430,1384377905,0,1),
(1000778,2846637685,4,0,'Enhance: Devout Sacrament','Reduces the power cost and hastens the reuse speed of Devout Sacrament.',180,65535,317,0,0,0,0,1,'Your Enhance: Devout Sacrament was successful on %t!','Your Enhance: Devout Sacrament fades.','',1,0,'',0,'You cast Enhance: Devout Sacrament on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670430,1384377899,0,1),
(1000779,1118490396,4,0,'Enhance: Dexterous Sonata','Adds additional Crit Chance to Dexterous Sonata.',813,65535,314,0,0,0,0,1,'Your Enhance: Dexterous Sonata was successful on %t!','Your Enhance: Dexterous Sonata fades.','',1,0,'',0,'You cast Enhance: Dexterous Sonata on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670430,1384377902,0,1),
(1000780,1719959183,4,0,'Enhance: Dire Drain','Improves the damage and heal amount of Dire Drain.',11,65535,65535,0,0,0,0,1,'Your Enhance: Dire Drain was successful on %t!','Your Enhance: Dire Drain fades.','',1,0,'',0,'You cast Enhance: Dire Drain on %t.',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670432,1384377831,0,1),
(1000781,992821440,4,0,'Enhance: Disheartening Descant','Disheartening Descant and its upgrades become more effective at reducing your opponents'' attributes.',175,65535,312,0,0,0,0,1,'Your Enhance: Disheartening Descant was successful on %t!','Your Enhance: Disheartening Descant fades.','',1,0,'',0,'You cast Enhance: Disheartening Descant on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670432,1384377910,0,1),
(1000782,1687144484,4,0,'Enhance: Dismay','Dismay and its upgrades reduce your opponents'' skills even further.',265,65535,315,0,0,0,0,1,'Your Enhance: Dismay was successful on %t!','Your Enhance: Dismay fades.','',1,0,'',0,'You cast Enhance: Dismay on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670432,1384377903,0,1),
(1000783,3828803779,4,0,'Enhance: Disorientation','Improves the reuse speed of Disorientation. The final rank adds a hate position reduction.',157,65535,313,0,0,0,0,1,'Your Enhance: Disorientation was successful on %t!','Your Enhance: Disorientation fades.','',1,0,'',0,'You cast Enhance: Disorientation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670432,1384377915,0,1),
(1000784,2043906836,4,0,'Enhance: Dispatch','Increases the duration of Dispatch.',472,65535,315,0,0,0,0,1,'Your Enhance: Dispatch was successful on %t!','Your Enhance: Dispatch fades.','',1,0,'',0,'You cast Enhance: Dispatch on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670432,1384377833,0,1),
(1000785,333545484,4,0,'Enhance: Dissolve','Increases damage and hastens the reuse speed of Dissolve and its upgrades.',161,65535,315,0,0,0,0,0,'Your Enhance: Dissolve was successful on %t!','Your Enhance: Dissolve fades.','',1,0,'',0,'You cast Enhance: Dissolve on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670432,1384377836,0,1),
(1000786,344736789,4,0,'Enhance: Distortion','Improves the critical damage and hastens the casting and reuse speed of Distortion and its upgrades.',259,65535,315,0,0,0,0,1,'Your Enhance: Distortion was successful on %t!','Your Enhance: Distortion fades.','',1,0,'',0,'You cast Enhance: Distortion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670432,1384377909,0,1),
(1000787,1264067924,4,0,'Enhance: Divine Guidance','Increases the duration and the maximum health increase granted by Divine Guidance.',800,65535,317,0,0,0,0,1,'Your Enhance: Divine Guidance was successful on %t!','Your Enhance: Divine Guidance fades.','',1,0,'',0,'You cast Enhance: Divine Guidance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670432,1384377831,0,1),
(1000788,906674657,4,0,'Enhance: Divine Inspiration','Increases the trigger chance of Divine Inspiration and its upgrades.',184,65535,314,0,0,0,0,1,'Your Enhance: Divine Inspiration was successful on %t!','Your Enhance: Divine Inspiration fades.','',1,0,'',0,'You cast Enhance: Divine Inspiration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670432,1384377907,0,1),
(1000789,884188132,4,0,'Enhance: Divine Smite','Improves the critical damage; hastens the casting and reuse speed and reduces the power cost of Divine Smite and its upgrades.',152,65535,315,0,0,0,0,1,'Your Enhance: Divine Smite was successful on %t!','Your Enhance: Divine Smite fades.','',1,0,'',0,'You cast Enhance: Divine Smite on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670432,1384377908,0,1),
(1000790,2914710110,4,0,'Enhance: Divine Strike','Improves the critical damage and hastens the casting and reuse speed and reduces the power cost of Holy Strike and its upgrades.',182,65535,315,0,0,0,0,1,'Your Enhance: Divine Strike was successful on %t!','Your Enhance: Divine Strike fades.','',1,0,'',0,'You cast Enhance: Divine Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670432,1384377902,0,1),
(1000791,3706564794,4,0,'Enhance: Doom Judgment','Increases the damage of Doom Judgment.',244,65535,313,0,0,0,0,1,'Your Enhance: Doom Judgment was successful on %t!','Your Enhance: Doom Judgment fades.','',1,0,'',0,'You cast Enhance: Doom Judgment on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670432,1384377906,0,1),
(1000792,1314143133,4,0,'Enhance: Doom Judgment','Improves the critical damage and hastens the reuse speed of Doom Judgment.',244,65535,313,0,0,0,0,1,'Your Enhance: Doom Judgment was successful on %t!','Your Enhance: Doom Judgment fades.','',1,0,'',0,'You cast Enhance: Doom Judgment on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670432,1384377906,0,1),
(1000793,1295735248,4,0,'Enhance: Double-Cross','Double-Cross and its upgrades become more effective, reducing opponents'' wisdom further.',310,65535,315,0,0,0,0,1,'Your Enhance: Double-Cross was successful on %t!','Your Enhance: Double-Cross fades.','',1,0,'',0,'You cast Enhance: Double-Cross on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670432,1384377900,0,1),
(1000794,200602607,4,0,'Enhance: Draconic Alacrity','Improves the duration of Draconic Alacrity.',11,65535,65535,0,0,0,0,1,'Your Enhance: Draconic Alacrity was successful on %t!','Your Enhance: Draconic Alacrity fades.','',1,0,'',0,'You cast Enhance: Draconic Alacrity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670432,1384377899,0,1),
(1000795,2509268556,4,0,'Enhance: Draconic Flames','Improves the damage of Draconic Flames.',11,65535,65535,0,0,0,0,1,'Your Enhance: Draconic Flames was successful on %t!','Your Enhance: Draconic Flames fades.','',1,0,'',0,'You cast Enhance: Draconic Flames on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670432,1384377908,0,1),
(1000796,832184445,4,0,'Enhance: Dragonfire','Increases the striking radius of and hastens the reuse speed of Dragonfire and its upgrades',368,65535,313,0,0,0,0,1,'Your Enhance: Dragonfire was successful on %t!','Your Enhance: Dragonfire fades.','',1,0,'',0,'You cast Enhance: Dragonfire on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670434,1384377915,0,1),
(1000797,4194920246,4,0,'Enhance: Earthquake','Improves the critical damage and hastens the casting speed of Earthquake and its higher level upgrades.',288,65535,313,0,0,0,0,1,'Your Enhance: Earthquake was successful on %t!','Your Enhance: Earthquake fades.','',1,0,'',0,'You cast Enhance: Earthquake on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670434,1384377918,0,1),
(1000798,1537306261,4,0,'Enhance: Ebbing Spirit','Adds a ward component to Ebbing Spirit and its higher level upgrades.',747,65535,314,0,0,0,0,1,'Your Enhance: Ebbing Spirit was successful on %t!','Your Enhance: Ebbing Spirit fades.','',1,0,'',0,'You cast Enhance: Ebbing Spirit on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670434,1384377909,0,1),
(1000799,3131020040,4,0,'Enhance: Ego Shock','Improves the critical damage and hastens the casting and reuse speed of Ego Shock and its upgrades.',216,65535,312,0,0,0,0,1,'Your Enhance: Ego Shock was successful on %t!','Your Enhance: Ego Shock fades.','',1,0,'',0,'You cast Enhance: Ego Shock on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670434,1384377830,0,1),
(1000800,2798453005,4,0,'Enhance: Elegy at Death''s Door','Increases the range and hastens the reuse speed and increases the restoration amount of Elegy at Death''s Door.',205,65535,316,0,0,0,0,1,'Your Enhance: Elegy at Death''s Door was successful on %t!','Your Enhance: Elegy at Death''s Door fades.','',1,0,'',0,'You cast Enhance: Elegy at Death''s Door on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670434,1384377915,0,1),
(1000801,950637742,4,0,'Enhance: Elegy of Awakening','Improves the casting speed and restoration amount of Elegy of Awakening.',205,65535,314,0,0,0,0,1,'Your Enhance: Elegy of Awakening was successful on %t!','Your Enhance: Elegy of Awakening fades.','',1,0,'',0,'You cast Enhance: Elegy of Awakening on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670434,1384377905,0,1),
(1000802,1810145581,4,0,'Enhance: Elemental Concerto','Elemental Concerto and its upgrades gain the ability to ward your group from future Elemental damage.',203,65535,314,0,0,0,0,1,'Your Enhance: Elemental Concerto was successful on %t!','Your Enhance: Elemental Concerto fades.','',1,0,'',0,'You cast Enhance: Elemental Concerto on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670434,1384377902,0,1),
(1000803,985574440,4,0,'Enhance: Elemental Toxicity','Improves the duration of Elemental Toxicity.',481,65535,65535,0,0,0,0,1,'Your Enhance: Elemental Toxicity was successful on %t!','Your Enhance: Elemental Toxicity fades.','',1,0,'',0,'You cast Enhance: Elemental Toxicity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670434,1384377907,0,1),
(1000804,1716461577,4,0,'Enhance: Elemental Unity','Increases the duration of Elemental Unity.',217,65535,317,0,0,0,0,1,'Your Enhance: Elemental Unity was successful on %t!','Your Enhance: Elemental Unity fades.','',1,0,'',0,'You cast Enhance: Elemental Unity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670434,1384377906,0,1),
(1000805,3748226260,4,0,'Enhance: Elixir of Resuscitation','Increases the restoration amount and hastens the reuse speed of Elixir of Resuscitation.',210,65535,316,0,0,0,0,1,'Your Enhance: Elixir of Resuscitation was successful on %t!','Your Enhance: Elixir of Resuscitation fades.','',1,0,'',0,'You cast Enhance: Elixir of Resuscitation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670434,1384377830,0,1),
(1000806,3646935533,4,0,'Enhance: Emergency Healing','Increases the heal amount of Sylvan Touch and Feral Pulse.',187,65535,65535,0,0,0,0,1,'Your Enhance: Emergency Healing was successful on %t!','Your Enhance: Emergency Healing fades.','',1,0,'',0,'You cast Enhance: Emergency Healing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670434,1384377902,0,1),
(1000807,2101328249,4,0,'Enhance: Emergency Reactives','Increases the critical amount and improves the reuse speed of Radiance and Evidence of Faith.',184,65535,314,0,0,0,0,1,'Your Enhance: Emergency Reactives was successful on %t!','Your Enhance: Emergency Reactives fades.','',1,0,'',0,'You cast Enhance: Emergency Reactives on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670434,1384377899,0,1),
(1000808,4274029691,4,0,'Enhance: Emergency Warding','Increases the critical amount and improves the reuse speed of Eidolic Ward and Purulence.',194,65535,65535,0,0,0,0,1,'Your Enhance: Emergency Warding was successful on %t!','Your Enhance: Emergency Warding fades.','',1,0,'',0,'You cast Enhance: Emergency Warding on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670434,1384377908,0,1),
(1000809,968408360,4,0,'Enhance: En Garde','Improves the critical damage and hastens the reuse speed of En Garde.',49,65535,317,0,0,0,0,1,'Your Enhance: En Garde was successful on %t!','Your Enhance: En Garde fades.','',1,0,'',0,'You cast Enhance: En Garde on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670434,1384377906,0,1),
(1000810,1670083715,4,0,'Enhance: Encase','Improves the critical damage and hastens the reuse speed of Encase and its upgrades.',160,65535,315,0,0,0,0,1,'Your Enhance: Encase was successful on %t!','Your Enhance: Encase fades.','',1,0,'',0,'You cast Enhance: Encase on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670434,1384377918,0,1),
(1000811,3468197163,4,0,'Enhance: Enchanted Eyes','Improves the damage and heal amount of Enchanted Eyes.',11,65535,65535,0,0,0,0,1,'Your Enhance: Enchanted Eyes was successful on %t!','Your Enhance: Enchanted Eyes fades.','',1,0,'',0,'You cast Enhance: Enchanted Eyes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670434,1384377903,0,1),
(1000812,4216150901,4,0,'Enhance: Entrance','Increases the duration of Entrance and its upgrades and makes it more difficult to outright resist.',477,65535,315,0,0,0,0,1,'Your Enhance: Entrance was successful on %t!','Your Enhance: Entrance fades.','',1,0,'',0,'You cast Enhance: Entrance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670434,1384377840,0,1),
(1000813,1640029857,4,0,'Enhance: Epiphany','Increases the power regeneration of Epiphany and its upgrades.',475,65535,314,0,0,0,0,1,'Your Enhance: Epiphany was successful on %t!','Your Enhance: Epiphany fades.','',1,0,'',0,'You cast Enhance: Epiphany on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670434,1384377905,0,1),
(1000814,2680742227,4,0,'Enhance: Escape','Improves the power cost, casting and reuse speed of Escape.',353,65535,314,0,0,0,0,1,'Your Enhance: Escape was successful on %t!','Your Enhance: Escape fades.','',1,0,'',0,'You cast Enhance: Escape on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670436,1384377910,0,1),
(1000815,2592257636,4,0,'Enhance: Evade','Hastens the reuse and recovery speed of Evade and its upgrades.',278,65535,315,0,0,0,0,1,'Your Enhance: Evade was successful on %t!','Your Enhance: Evade fades.','',1,0,'',0,'You cast Enhance: Evade on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670436,1384377897,0,1),
(1000816,3274055631,4,0,'Enhance: Evade','Increases the hate reduction of Evade.',650,65535,315,0,0,0,0,1,'Your Enhance: Evade was successful on %t!','Your Enhance: Evade fades.','',1,0,'',0,'You cast Enhance: Evade on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670436,1384377906,0,1),
(1000817,742246444,4,0,'Enhance: Exacting','Improves the reuse speed of Exacting. Additionally, all abilities affected by Exacting will gain critical damage while Exacting is active.',302,65535,317,0,0,0,0,1,'Your Enhance: Exacting was successful on %t!','Your Enhance: Exacting fades.','',1,0,'',0,'You cast Enhance: Exacting on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670436,1384377899,0,1),
(1000818,383136652,4,0,'Enhance: Experienced Insight','Increases the threat amount and adds additional accuracy to Experienced Insight. The final rank will grant the warrior immunity to stun, stifle, root and daze.',924,65535,317,0,0,0,0,1,'Your Enhance: Experienced Insight was successful on %t!','Your Enhance: Experienced Insight fades.','',1,0,'',0,'You cast Enhance: Experienced Insight on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670436,1384377904,0,1),
(1000819,855488526,4,0,'Enhance: Eye Gouge','Increases the damage of Eye Gouge and its upgrades.',346,65535,315,0,0,0,0,1,'Your Enhance: Eye Gouge was successful on %t!','Your Enhance: Eye Gouge fades.','',1,0,'',0,'You cast Enhance: Eye Gouge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670436,1384377830,0,1),
(1000820,2917384743,4,0,'Enhance: Eye Shot','Improves the damage of Eye Shot.',346,65535,315,0,0,0,0,1,'Your Enhance: Eye Shot was successful on %t!','Your Enhance: Eye Shot fades.','',1,0,'',0,'You cast Enhance: Eye Shot on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670436,1384377903,0,1),
(1000821,846908033,4,0,'Enhance: Fae Fire','Improves the critical damage and hastens the casting and reuse speed of Fae Fire. The last two ranks each add an additional trigger.',235,65535,314,0,0,0,0,1,'Your Enhance: Fae Fire was successful on %t!','Your Enhance: Fae Fire fades.','',1,0,'',0,'You cast Enhance: Fae Fire on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670436,1384377902,0,1),
(1000822,2857141982,4,0,'Enhance: Faith Strike','Increases the heal amount of Faith Strike and its upgrades.',302,65535,315,0,0,0,0,1,'Your Enhance: Faith Strike was successful on %t!','Your Enhance: Faith Strike fades.','',1,0,'',0,'You cast Enhance: Faith Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670436,1384377904,0,1),
(1000823,3903577768,4,0,'Enhance: Fanaticism','Reduces the power cost of Fanaticism.',295,65535,314,0,0,0,0,1,'Your Enhance: Fanaticism was successful on %t!','Your Enhance: Fanaticism fades.','',1,0,'',0,'You cast Enhance: Fanaticism on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670436,1384377911,0,1),
(1000824,3318006531,4,0,'Enhance: Fear','Reduces the resistibility of Fear and increases its duration.',232,65535,315,0,0,0,0,1,'Your Enhance: Fear was successful on %t!','Your Enhance: Fear fades.','',1,0,'',0,'You cast Enhance: Fear on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670436,1384377835,0,1),
(1000825,2795498034,4,0,'Enhance: Feast','Improves the heal amount and damage of Feast.',11,65535,65535,0,0,0,0,1,'Your Enhance: Feast was successful on %t!','Your Enhance: Feast fades.','',1,0,'',0,'You cast Enhance: Feast on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670436,1384377841,0,1),
(1000826,2887671586,4,0,'Enhance: Feast','Improves resistibility and hastens the casting and reuse speed of Feast.',471,65535,315,0,0,0,0,1,'Your Enhance: Feast was successful on %t!','Your Enhance: Feast fades.','',1,0,'',0,'You cast Enhance: Feast on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670436,1384377907,0,1),
(1000827,2690676483,4,0,'Enhance: Feign Death','Improves the reuse speed of Feign Death. The final rank gives a 50% chance to override a failed Feign Death.',333,65535,317,0,0,0,0,1,'Your Enhance: Feign Death was successful on %t!','Your Enhance: Feign Death fades.','',1,0,'',0,'You cast Enhance: Feign Death on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670436,1384377905,0,1),
(1000828,1341935367,4,0,'Enhance: Feline Nurturing','Improves the heal amount of Feline Nurturing.',11,65535,65535,0,0,0,0,1,'Your Enhance: Feline Nurturing was successful on %t!','Your Enhance: Feline Nurturing fades.','',1,0,'',0,'You cast Enhance: Feline Nurturing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670436,1384377915,0,1),
(1000829,2369486979,4,0,'Enhance: Feral Consumption','Improves the damage and heal amount of Feral Consumption.',11,65535,65535,0,0,0,0,1,'Your Enhance: Feral Consumption was successful on %t!','Your Enhance: Feral Consumption fades.','',1,0,'',0,'You cast Enhance: Feral Consumption on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670436,1384377909,0,1),
(1000830,1195066446,4,0,'Enhance: Feral Tenacity','Increases the critical amount and hastens the reuse speed of Feral Tenacity and its upgrades.',219,65535,316,0,0,0,0,1,'Your Enhance: Feral Tenacity was successful on %t!','Your Enhance: Feral Tenacity fades.','',1,0,'',0,'You cast Enhance: Feral Tenacity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670438,1384377913,0,1),
(1000831,2678910526,4,0,'Enhance: Fervent Faith','Improves the reuse speed of Fervent Faith. The inquisitor gains improved in combat movement speed for a short duration.',480,65535,317,0,0,0,0,1,'Your Enhance: Fervent Faith was successful on %t!','Your Enhance: Fervent Faith fades.','',1,0,'',0,'You cast Enhance: Fervent Faith on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670438,1384377909,0,1),
(1000832,1885374093,4,0,'Enhance: Fettering Poison','Increases the trigger frequency of Fettering poisons.',308,65535,317,0,0,0,0,1,'Your Enhance: Fettering Poison was successful on %t!','Your Enhance: Fettering Poison fades.','',1,0,'',0,'You cast Enhance: Fettering Poison on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670438,1384377899,0,1),
(1000833,1508838785,4,0,'Enhance: Fierce Growl','Improves the duration of Fierce Growl.',11,65535,65535,0,0,0,0,1,'Your Enhance: Fierce Growl was successful on %t!','Your Enhance: Fierce Growl fades.','',1,0,'',0,'You cast Enhance: Fierce Growl on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670438,1384377899,0,1),
(1000834,1684927125,4,0,'Enhance: Fiery Annihilation','Hastens the effects of Fiery Annihilation and its higher level upgrades, causing its damage to occur faster.',273,65535,315,0,0,0,0,1,'Your Enhance: Fiery Annihilation was successful on %t!','Your Enhance: Fiery Annihilation fades.','',1,0,'',0,'You cast Enhance: Fiery Annihilation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670438,1384377906,0,1),
(1000835,362873064,4,0,'Enhance: Fiery Magician','Spells cast by your mage pet are more difficult to outright resist.',11,65535,65535,0,0,0,0,1,'Your Enhance: Fiery Magician was successful on %t!','Your Enhance: Fiery Magician fades.','',1,0,'',0,'You cast Enhance: Fiery Magician on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670438,1384377833,0,1),
(1000836,3801568986,4,0,'Enhance: Fire Breath','Improves the damage of Fire Breath.',11,65535,65535,0,0,0,0,1,'Your Enhance: Fire Breath was successful on %t!','Your Enhance: Fire Breath fades.','',1,0,'',0,'You cast Enhance: Fire Breath on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670438,1384377913,0,1),
(1000837,2285977893,4,0,'Enhance: Fire Seed','Increases the chance of Fire Seed and its upgrades to trigger.',242,65535,316,0,0,0,0,1,'Your Enhance: Fire Seed was successful on %t!','Your Enhance: Fire Seed fades.','',1,0,'',0,'You cast Enhance: Fire Seed on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670438,1384377908,0,1),
(1000838,1176139501,4,0,'Enhance: Firestorm','Increases the radius and reduces the power cost of Firestorm and its upgrades.',481,65535,313,0,0,0,0,1,'Your Enhance: Firestorm was successful on %t!','Your Enhance: Firestorm fades.','',1,0,'',0,'You cast Enhance: Firestorm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670438,1384377907,0,1),
(1000839,2994790738,4,0,'Enhance: First Advantage','Improves the damage of all Advantages that equip in the first advantage slot.',836,65535,317,0,0,0,0,1,'Your Enhance: First Advantage was successful on %t!','Your Enhance: First Advantage fades.','',1,0,'',0,'You cast Enhance: First Advantage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670438,1384377903,0,1),
(1000840,1150096891,4,0,'Enhance: Flamboyant Strike','Flamboyant Strike and its upgrades become more effective at reducing opponents'' intelligence.',380,65535,315,0,0,0,0,1,'Your Enhance: Flamboyant Strike was successful on %t!','Your Enhance: Flamboyant Strike fades.','',1,0,'',0,'You cast Enhance: Flamboyant Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670438,1384377912,0,1),
(1000841,138302311,4,0,'Enhance: Flames of Velious','Enhances the Flames of Velious line by granting the spell additional base and critical damage.',228,65535,315,0,0,0,0,1,'Your Enhance: Flames of Velious was successful on %t!','Your Enhance: Flames of Velious fades.','',1,0,'',0,'You cast Enhance: Flames of Velious on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670438,1384377836,0,1),
(1000842,371577990,4,0,'Enhance: Flameshield','Reduces the resistibility of Flameshield and its higher level upgrades.',274,65535,316,0,0,0,0,1,'Your Enhance: Flameshield was successful on %t!','Your Enhance: Flameshield fades.','',1,0,'',0,'You cast Enhance: Flameshield on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670438,1384377830,0,1),
(1000843,382201399,4,0,'Enhance: Flash of Brilliance','Increases the duration of Flash of Brilliance and its upgrades.',209,65535,314,0,0,0,0,1,'Your Enhance: Flash of Brilliance was successful on %t!','Your Enhance: Flash of Brilliance fades.','',1,0,'',0,'You cast Enhance: Flash of Brilliance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670438,1384377905,0,1),
(1000844,1028762975,4,0,'Enhance: Flash of Steel','Improves the damage per second reduction of Flash of Steel and its upgrades.',338,65535,315,0,0,0,0,1,'Your Enhance: Flash of Steel was successful on %t!','Your Enhance: Flash of Steel fades.','',1,0,'',0,'You cast Enhance: Flash of Steel on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670438,1384377903,0,1),
(1000845,3560048746,4,0,'Enhance: Flurry of Blades','Flurry of Blades and its upgrades gain in effectiveness, reducing additional mitigation.',383,65535,315,0,0,0,0,1,'Your Enhance: Flurry of Blades was successful on %t!','Your Enhance: Flurry of Blades fades.','',1,0,'',0,'You cast Enhance: Flurry of Blades on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670438,1384377911,0,1),
(1000846,3961962930,4,0,'Enhance: Focus Aim','Increases the duration of Focus Aim and its upgrades.',342,65535,317,0,0,0,0,1,'Your Enhance: Focus Aim was successful on %t!','Your Enhance: Focus Aim fades.','',1,0,'',0,'You cast Enhance: Focus Aim on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670438,1384377912,0,1),
(1000847,3449332638,4,0,'Enhance: Forced Hesitation','Hastens the casting and reuse speed of Forced Hesitation and its upgrades.',166,65535,315,0,0,0,0,1,'Your Enhance: Forced Hesitation was successful on %t!','Your Enhance: Forced Hesitation fades.','',1,0,'',0,'You cast Enhance: Forced Hesitation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670438,1384377911,0,1),
(1000848,2510190203,4,0,'Enhance: Forced Obedience','Increases the offensive skill reduction of Forced Obedience and its higher level upgrades.',225,65535,312,0,0,0,0,1,'Your Enhance: Forced Obedience was successful on %t!','Your Enhance: Forced Obedience fades.','',1,0,'',0,'You cast Enhance: Forced Obedience on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670438,1384377901,0,1),
(1000849,1165883927,4,0,'Enhance: Forest Spirit','Increases the intelligence of Forest Spirit and its upgrades.',241,65535,314,0,0,0,0,1,'Your Enhance: Forest Spirit was successful on %t!','Your Enhance: Forest Spirit fades.','',1,0,'',0,'You cast Enhance: Forest Spirit on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670440,1384377911,0,1),
(1000850,1174064710,4,0,'Enhance: Fortify Elements','Increases the maximum power increased by Fortify Elements and its upgrades.',203,65535,314,0,0,0,0,1,'Your Enhance: Fortify Elements was successful on %t!','Your Enhance: Fortify Elements fades.','',1,0,'',0,'You cast Enhance: Fortify Elements on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670440,1384377900,0,1),
(1000851,753169649,4,0,'Enhance: Fourth Advantage','Improves the range and radius of all Advantages that equip in the fourth slot.',511,65535,317,0,0,0,0,1,'Your Enhance: Fourth Advantage was successful on %t!','Your Enhance: Fourth Advantage fades.','',1,0,'',0,'You cast Enhance: Fourth Advantage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670440,1384377910,0,1),
(1000852,4249973772,4,0,'Enhance: Frenzied Feeding','Improves the heal amount of Frenzied Feeding.',11,65535,65535,0,0,0,0,1,'Your Enhance: Frenzied Feeding was successful on %t!','Your Enhance: Frenzied Feeding fades.','',1,0,'',0,'You cast Enhance: Frenzied Feeding on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670440,1384377912,0,1),
(1000853,963207271,4,0,'Enhance: Frigid Gift','Increases the duration of Frigid Gift and its upgrades.',229,65535,314,0,0,0,0,1,'Your Enhance: Frigid Gift was successful on %t!','Your Enhance: Frigid Gift fades.','',1,0,'',0,'You cast Enhance: Frigid Gift on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670440,1384377903,0,1),
(1000854,4161488528,4,0,'Enhance: Fuliginous Whip','Increases the damage of Fuliginous Whip and its upgrades.',239,65535,315,0,0,0,0,1,'Your Enhance: Fuliginous Whip was successful on %t!','Your Enhance: Fuliginous Whip fades.','',1,0,'',0,'You cast Enhance: Fuliginous Whip on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670440,1384377904,0,1),
(1000855,594359854,4,0,'Enhance: Furious Swipe','Improves the damage of Furious Swipe.',11,65535,65535,0,0,0,0,1,'Your Enhance: Furious Swipe was successful on %t!','Your Enhance: Furious Swipe fades.','',1,0,'',0,'You cast Enhance: Furious Swipe on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670440,1384377909,0,1),
(1000856,3738258784,4,0,'Enhance: Fusion','Increases Fusion''s range and radius, and reduces its resistibility as well.',85,65535,65535,0,0,0,0,1,'Your Enhance: Fusion was successful on %t!','Your Enhance: Fusion fades.','',1,0,'',0,'You cast Enhance: Fusion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670440,1384377915,0,1),
(1000857,2802805562,4,0,'Enhance: Garsin''s Funeral March','Improves the resistibility and casting and reuse speed of Garsin''s Funeral March.',279,65535,315,0,0,0,0,1,'Your Enhance: Garsin''s Funeral March was successful on %t!','Your Enhance: Garsin''s Funeral March fades.','',1,0,'',0,'You cast Enhance: Garsin''s Funeral March on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670440,1384377911,0,1),
(1000858,4163614122,4,0,'Enhance: Geotic Rune','Increases all mitigations of Geotic Rune and its higher level upgrades.',483,65535,314,0,0,0,0,1,'Your Enhance: Geotic Rune was successful on %t!','Your Enhance: Geotic Rune fades.','',1,0,'',0,'You cast Enhance: Geotic Rune on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670440,1384377902,0,1),
(1000859,2294940458,4,0,'Enhance: Gift of Bertoxxulous','Increases the duration of Gift of Bertoxxulous and its upgrades.',224,65535,317,0,0,0,0,1,'Your Enhance: Gift of Bertoxxulous was successful on %t!','Your Enhance: Gift of Bertoxxulous fades.','',1,0,'',0,'You cast Enhance: Gift of Bertoxxulous on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670440,1384377905,0,1),
(1000860,709212922,4,0,'Enhance: Glacial Lance','Increases the damage inflicted by Glacial Lance.',377,65535,315,0,0,0,0,1,'Your Enhance: Glacial Lance was successful on %t!','Your Enhance: Glacial Lance fades.','',1,0,'',0,'You cast Enhance: Glacial Lance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670440,1384377834,0,1),
(1000861,2931538415,4,0,'Enhance: Glacial Wind','Improves the critical damage; hastens reuse speed and reduces the resistibility of Glacial Wind and its upgrades.',256,65535,312,0,0,0,0,1,'Your Enhance: Glacial Wind was successful on %t!','Your Enhance: Glacial Wind fades.','',1,0,'',0,'You cast Enhance: Glacial Wind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670440,1384377911,0,1),
(1000862,811250579,4,0,'Enhance: Glory','Improves the trigger chance of Glory and its upgrades.',307,65535,316,0,0,0,0,1,'Your Enhance: Glory was successful on %t!','Your Enhance: Glory fades.','',1,0,'',0,'You cast Enhance: Glory on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670440,1384377835,0,1),
(1000863,1885718335,4,0,'Enhance: Gouge','Improves the parry reduction of Gouge and its upgrades.',346,65535,315,0,0,0,0,1,'Your Enhance: Gouge was successful on %t!','Your Enhance: Gouge fades.','',1,0,'',0,'You cast Enhance: Gouge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670440,1384377912,0,1),
(1000864,380540553,4,0,'Enhance: Grasp of Bertoxxulous','Increases the trigger chance of Grasp of Bertoxxulous and its upgrades.',279,65535,316,0,0,0,0,1,'Your Enhance: Grasp of Bertoxxulous was successful on %t!','Your Enhance: Grasp of Bertoxxulous fades.','',1,0,'',0,'You cast Enhance: Grasp of Bertoxxulous on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670440,1384377900,0,1),
(1000865,2999186325,4,0,'Enhance: Grasping Bones','Improves resisitibility and hastens the casting speed of Grasping Bones and its upgrades.',160,65535,315,0,0,0,0,1,'Your Enhance: Grasping Bones was successful on %t!','Your Enhance: Grasping Bones fades.','',1,0,'',0,'You cast Enhance: Grasping Bones on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670440,1384377902,0,1),
(1000866,1073521957,4,0,'Enhance: Grim Harbinger','Increases the trigger chance of Grim Harbinger and its upgrades.',470,65535,317,0,0,0,0,1,'Your Enhance: Grim Harbinger was successful on %t!','Your Enhance: Grim Harbinger fades.','',1,0,'',0,'You cast Enhance: Grim Harbinger on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670440,1384377834,0,1),
(1000867,790868568,4,0,'Enhance: Grim Sorcerer','Spells cast by your warlock pet are more difficult to outright resist.',11,65535,65535,0,0,0,0,1,'Your Enhance: Grim Sorcerer was successful on %t!','Your Enhance: Grim Sorcerer fades.','',1,0,'',0,'You cast Enhance: Grim Sorcerer on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670442,1384377830,0,1),
(1000868,2373672627,4,0,'Enhance: Guardian Sphere','Improves the duration and hastens the reuse speed of Guardian Sphere.',357,65535,314,0,0,0,0,1,'Your Enhance: Guardian Sphere was successful on %t!','Your Enhance: Guardian Sphere fades.','',1,0,'',0,'You cast Enhance: Guardian Sphere on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670442,1384377913,0,1),
(1000869,3298559790,4,0,'Enhance: Gushing Wound','Increases the damage overtime component of Gushing Wound and its upgrades.',345,65535,315,0,0,0,0,1,'Your Enhance: Gushing Wound was successful on %t!','Your Enhance: Gushing Wound fades.','',1,0,'',0,'You cast Enhance: Gushing Wound on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670442,1384377916,0,1),
(1000870,1658009965,4,0,'Enhance: Gut Kick','Increases the damage of Gut Kick and its upgrades.',292,65535,315,0,0,0,0,1,'Your Enhance: Gut Kick was successful on %t!','Your Enhance: Gut Kick fades.','',1,0,'',0,'You cast Enhance: Gut Kick on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670442,1384377907,0,1),
(1000871,1100366318,4,0,'Enhance: Harmony','Hastens the reuse speed of Harmony and its upgrades. The final rank adds a hate position reduction.',157,65535,313,0,0,0,0,1,'Your Enhance: Harmony was successful on %t!','Your Enhance: Harmony fades.','',1,0,'',0,'You cast Enhance: Harmony on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670442,1384377913,0,1),
(1000872,898644681,4,0,'Enhance: Harvest Mana','Hastens the effects of Harvest Mana and its upgrades, causing power restoration to occur faster. This enhancement also hastens its reuse speed.',11,65535,65535,0,0,0,0,1,'Your Enhance: Harvest Mana was successful on %t!','Your Enhance: Harvest Mana fades.','',1,0,'',0,'You cast Enhance: Harvest Mana on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670442,1384377831,0,1),
(1000873,1276282308,4,0,'Enhance: Hateful Slam','Increases the damage and taunt effectiveness of Hateful Slam and its upgrades.',297,65535,315,0,0,0,0,1,'Your Enhance: Hateful Slam was successful on %t!','Your Enhance: Hateful Slam fades.','',1,0,'',0,'You cast Enhance: Hateful Slam on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670442,1384377830,0,1),
(1000874,395491234,4,0,'Enhance: Hatred','Increases the guardian''s threat generation.',471,65535,315,0,0,0,0,1,'Your Enhance: Hatred was successful on %t!','Your Enhance: Hatred fades.','',1,0,'',0,'You cast Enhance: Hatred on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670442,1384377833,0,1),
(1000875,3905933765,4,0,'Enhance: Hawk Attack','Increases the duration of Hawk Attack.',335,65535,317,0,0,0,0,1,'Your Enhance: Hawk Attack was successful on %t!','Your Enhance: Hawk Attack fades.','',1,0,'',0,'You cast Enhance: Hawk Attack on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670442,1384377830,0,1),
(1000876,3381684470,4,0,'Enhance: Head Crush','Head Crush and its upgrades become more effective at reducing opponents'' casting skills.',351,65535,315,0,0,0,0,1,'Your Enhance: Head Crush was successful on %t!','Your Enhance: Head Crush fades.','',1,0,'',0,'You cast Enhance: Head Crush on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670442,1384377899,0,1),
(1000877,4192853917,4,0,'Enhance: Heal Servant','Improves the critical amount, the casting and reuse speed of Heal Servant and its higher level upgrades.',487,65535,317,0,0,0,0,1,'Your Enhance: Heal Servant was successful on %t!','Your Enhance: Heal Servant fades.','',1,0,'',0,'You cast Enhance: Heal Servant on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670442,1384377902,0,1),
(1000878,1188329764,4,0,'Enhance: Healing Arrow','Improves the heal and damage amounts of Healing Arrow.',682,65535,315,0,0,0,0,1,'Your Enhance: Healing Arrow was successful on %t!','Your Enhance: Healing Arrow fades.','',1,0,'',0,'You cast Enhance: Healing Arrow on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670442,1384377917,0,1),
(1000879,2923308592,4,0,'Enhance: Healing Fate','Increases the healing provided by Healing Fate and its upgrades.',216,65535,315,0,0,0,0,1,'Your Enhance: Healing Fate was successful on %t!','Your Enhance: Healing Fate fades.','',1,0,'',0,'You cast Enhance: Healing Fate on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670442,1384377903,0,1),
(1000880,1170466178,4,0,'Enhance: Healing Grove','Hastens the reuse speed of Healing Grove.',187,65535,313,0,0,0,0,1,'Your Enhance: Healing Grove was successful on %t!','Your Enhance: Healing Grove fades.','',1,0,'',0,'You cast Enhance: Healing Grove on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670442,1384377900,0,1),
(1000881,3222371228,4,0,'Enhance: Hemotoxin Poison','Hastens the effects of your Hemotoxin poisons, causing their damage to occur faster.',258,65535,315,0,0,0,0,1,'Your Enhance: Hemotoxin Poison was successful on %t!','Your Enhance: Hemotoxin Poison fades.','',1,0,'',0,'You cast Enhance: Hemotoxin Poison on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670442,1384377833,0,1),
(1000882,211232705,4,0,'Enhance: Heresy','Increases the damage of Heresy.',159,65535,312,0,0,0,0,1,'Your Enhance: Heresy was successful on %t!','Your Enhance: Heresy fades.','',1,0,'',0,'You cast Enhance: Heresy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670442,1384377907,0,1),
(1000883,3801695981,4,0,'Enhance: Heretic''s Doom','Increases the damage of Heretic''s Doom and its upgrades.',482,65535,312,0,0,0,0,1,'Your Enhance: Heretic''s Doom was successful on %t!','Your Enhance: Heretic''s Doom fades.','',1,0,'',0,'You cast Enhance: Heretic''s Doom on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670442,1384377833,0,1),
(1000884,786971927,4,0,'Enhance: Hibernating Restoration','Improves the heal amount of Hibernating Restoration.',11,65535,65535,0,0,0,0,1,'Your Enhance: Hibernating Restoration was successful on %t!','Your Enhance: Hibernating Restoration fades.','',1,0,'',0,'You cast Enhance: Hibernating Restoration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670442,1384377899,0,1),
(1000885,3727824372,4,0,'Enhance: Hibernation','Adds a component to Hibernation that triggers it early if an ally reaches below a health threshold.',155,65535,314,0,0,0,0,1,'Your Enhance: Hibernation was successful on %t!','Your Enhance: Hibernation fades.','',1,0,'',0,'You cast Enhance: Hibernation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670442,1384377906,0,1),
(1000886,935898070,4,0,'Enhance: Holy Aid','Hastens casting speed and reduces power cost of Holy Aid and its upgrades.',158,65535,316,0,0,0,0,1,'Your Enhance: Holy Aid was successful on %t!','Your Enhance: Holy Aid fades.','',1,0,'',0,'You cast Enhance: Holy Aid on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670442,1384377908,0,1),
(1000887,2894545973,4,0,'Enhance: Holy Circle','Increases the damage of Holy Circle and its upgrades.',343,65535,313,0,0,0,0,1,'Your Enhance: Holy Circle was successful on %t!','Your Enhance: Holy Circle fades.','',1,0,'',0,'You cast Enhance: Holy Circle on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670442,1384377911,0,1),
(1000888,3311299865,4,0,'Enhance: Honed Reflexes','Increases the attack speed bonus of Honed Reflexes.',293,65535,317,0,0,0,0,1,'Your Enhance: Honed Reflexes was successful on %t!','Your Enhance: Honed Reflexes fades.','',1,0,'',0,'You cast Enhance: Honed Reflexes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670442,1384377833,0,1),
(1000889,36216990,4,0,'Enhance: Honed Reflexes','Increases the duration of Honed Reflexes.',293,65535,317,0,0,0,0,1,'Your Enhance: Honed Reflexes was successful on %t!','Your Enhance: Honed Reflexes fades.','',1,0,'',0,'You cast Enhance: Honed Reflexes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670442,1384377897,0,1),
(1000890,3159642595,4,0,'Enhance: Hostage','Increases the trigger count and duration of Hostage and its upgrades.',245,65535,315,0,0,0,0,1,'Your Enhance: Hostage was successful on %t!','Your Enhance: Hostage fades.','',1,0,'',0,'You cast Enhance: Hostage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670444,1384377834,0,1),
(1000891,3519689115,4,0,'Enhance: Howl of Death','Increases the amount healed by Howl of Death and its upgrades.',204,65535,315,0,0,0,0,1,'Your Enhance: Howl of Death was successful on %t!','Your Enhance: Howl of Death fades.','',1,0,'',0,'You cast Enhance: Howl of Death on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670444,1384377911,0,1),
(1000892,320850704,4,0,'Enhance: Hunker Down','Increases the duration of Hunker Down and its upgrades.',294,65535,317,0,0,0,0,1,'Your Enhance: Hunker Down was successful on %t!','Your Enhance: Hunker Down fades.','',1,0,'',0,'You cast Enhance: Hunker Down on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670444,1384377903,0,1),
(1000893,3583250072,4,0,'Enhance: Hurricane','Increases the trigger chance of Hurricane and its upgrades.',511,65535,317,0,0,0,0,1,'Your Enhance: Hurricane was successful on %t!','Your Enhance: Hurricane fades.','',1,0,'',0,'You cast Enhance: Hurricane on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670444,1384377911,0,1),
(1000894,963378841,4,0,'Enhance: Hymn of Horror','Increases the knockback chance of Hymn of Horror and its upgrades.',172,65535,313,0,0,0,0,1,'Your Enhance: Hymn of Horror was successful on %t!','Your Enhance: Hymn of Horror fades.','',1,0,'',0,'You cast Enhance: Hymn of Horror on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670444,1384377905,0,1),
(1000895,819932236,4,0,'Enhance: Ice Comet','Improves the critical damage; hastens the reuse speed and reduces the resistibility of Ice Comet and its upgrades.',252,65535,315,0,0,0,0,1,'Your Enhance: Ice Comet was successful on %t!','Your Enhance: Ice Comet fades.','',1,0,'',0,'You cast Enhance: Ice Comet on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670444,1384377899,0,1),
(1000896,1085659331,4,0,'Enhance: Ice Spears','Reduces the resistibility of Ice Spears and its upgrades and improves their ability to reduce enemies'' resistances.',505,65535,315,0,0,0,0,1,'Your Enhance: Ice Spears was successful on %t!','Your Enhance: Ice Spears fades.','',1,0,'',0,'You cast Enhance: Ice Spears on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670444,1384377909,0,1),
(1000897,325763587,4,0,'Enhance: Ice Storm','Improves the critical damage and hastens the casting speed of Ice Storm and its higher level upgrades.',169,65535,312,0,0,0,0,1,'Your Enhance: Ice Storm was successful on %t!','Your Enhance: Ice Storm fades.','',1,0,'',0,'You cast Enhance: Ice Storm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670444,1384377830,0,1),
(1000898,3071691530,4,0,'Enhance: Ignorant Bliss Poison','Your Ignorant Bliss poisons become more effective at reducing hate toward you.\n',650,65535,317,0,0,0,0,1,'Your Enhance: Ignorant Bliss Poison was successful on %t!','Your Enhance: Ignorant Bliss Poison fades.','',1,0,'',0,'You cast Enhance: Ignorant Bliss Poison on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670444,1384377910,0,1),
(1000899,1218827460,4,0,'Enhance: Ignore Pain','Increases the amount healed by Ignore Pain and its upgrades.',345,65535,317,0,0,0,0,1,'Your Enhance: Ignore Pain was successful on %t!','Your Enhance: Ignore Pain fades.','',1,0,'',0,'You cast Enhance: Ignore Pain on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670444,1384377840,0,1),
(1000900,4209728903,4,0,'Enhance: Illusory Allies','Hastens the reuse speed of your Illusory Allies.',269,65535,312,0,0,0,0,1,'Your Enhance: Illusory Allies was successful on %t!','Your Enhance: Illusory Allies fades.','',1,0,'',0,'You cast Enhance: Illusory Allies on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670444,1384377901,0,1),
(1000901,1961753151,4,0,'Enhance: Immobilizing Lunge','Increases the duration of Immobilizing Lunge and its upgrades.',376,65535,315,0,0,0,0,1,'Your Enhance: Immobilizing Lunge was successful on %t!','Your Enhance: Immobilizing Lunge fades.','',1,0,'',0,'You cast Enhance: Immobilizing Lunge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670444,1384377830,0,1),
(1000902,824002171,4,0,'Enhance: Immolation','Improves the critical damage and hastens the casting speed and reduces the power cost of Immolation and its upgrades.',482,65535,315,0,0,0,0,1,'Your Enhance: Immolation was successful on %t!','Your Enhance: Immolation fades.','',1,0,'',0,'You cast Enhance: Immolation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670444,1384377903,0,1),
(1000903,3013294008,4,0,'Enhance: Impale','Increases the damage overtime component of Impale and its upgrades.',376,65535,315,0,0,0,0,1,'Your Enhance: Impale was successful on %t!','Your Enhance: Impale fades.','',1,0,'',0,'You cast Enhance: Impale on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670444,1384377840,0,1),
(1000904,4142139954,4,0,'Enhance: Impenetrable Hide','Improves the duration of Impenetrable Hide.',11,65535,65535,0,0,0,0,1,'Your Enhance: Impenetrable Hide was successful on %t!','Your Enhance: Impenetrable Hide fades.','',1,0,'',0,'You cast Enhance: Impenetrable Hide on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670444,1384377911,0,1),
(1000905,2052226400,4,0,'Enhance: Incarcerate','Improves the casting speed and reduces the chance to resist Incarcerate and its upgrades.',11,65535,65535,0,0,0,0,1,'Your Enhance: Incarcerate was successful on %t!','Your Enhance: Incarcerate fades.','',1,0,'',0,'You cast Enhance: Incarcerate on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670444,1384377830,0,1),
(1000906,2943996888,4,0,'Enhance: Incinerate','Reduces the duration and power cost of Incinerate and its upgrades.',168,65535,315,0,0,0,0,1,'Your Enhance: Incinerate was successful on %t!','Your Enhance: Incinerate fades.','',1,0,'',0,'You cast Enhance: Incinerate on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670444,1384377911,0,1),
(1000907,3517744510,4,0,'Enhance: Indomitable Will','Improves the reuse speed of Indomitable Will. The final rank will grant the ability to cure elemental effects.',190,65535,65535,0,0,0,0,1,'Your Enhance: Indomitable Will was successful on %t!','Your Enhance: Indomitable Will fades.','',1,0,'',0,'You cast Enhance: Indomitable Will on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670444,1384377912,0,1),
(1000908,1108810150,4,0,'Enhance: Inner Focus','Improves the casting speed and durations of Inner Focus. The final rank will grant an additional trigger of stoneskin.',857,65535,317,0,0,0,0,1,'Your Enhance: Inner Focus was successful on %t!','Your Enhance: Inner Focus fades.','',1,0,'',0,'You cast Enhance: Inner Focus on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670444,1384377831,0,1),
(1000909,1014526283,4,0,'Enhance: Innoruuk''s Caress','Improves the taunt effectiveness of Innoruuk''s Caress and its upgrades.',257,65535,317,0,0,0,0,1,'Your Enhance: Innoruuk''s Caress was successful on %t!','Your Enhance: Innoruuk''s Caress fades.','',1,0,'',0,'You cast Enhance: Innoruuk''s Caress on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670446,1384377903,0,1),
(1000910,3530952807,4,0,'Enhance: Insidious Whisper','Reduces the resistibility of Insidious Whisper and its upgrades.',279,65535,315,0,0,0,0,1,'Your Enhance: Insidious Whisper was successful on %t!','Your Enhance: Insidious Whisper fades.','',1,0,'',0,'You cast Enhance: Insidious Whisper on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670446,1384377911,0,1),
(1000911,1321176510,4,0,'Enhance: Inspired Daring','Improves the critical damage and hastens the reuse speed of Inspired Daring.',337,65535,317,0,0,0,0,1,'Your Enhance: Inspired Daring was successful on %t!','Your Enhance: Inspired Daring fades.','',1,0,'',0,'You cast Enhance: Inspired Daring on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670446,1384377835,0,1),
(1000912,2405010479,4,0,'Enhance: Intercept','Your lightning-fast reflexes are able to take over more frequently.  This ability Hastens the reuse time of Intercept and its upgrades. This ability also reduces incoming damage to the target of Intercept.',354,65535,316,0,0,0,0,1,'Your Enhance: Intercept was successful on %t!','Your Enhance: Intercept fades.','',1,0,'',0,'You cast Enhance: Intercept on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670446,1384377912,0,1),
(1000913,1256417949,4,0,'Enhance: Intercept','Improves the reuse speed of Intercept and grants them a damage absorption bonus for that hit.',354,65535,316,0,0,0,0,1,'Your Enhance: Intercept was successful on %t!','Your Enhance: Intercept fades.','',1,0,'',0,'You cast Enhance: Intercept on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670446,1384377918,0,1),
(1000914,2936246363,4,0,'Enhance: Intercept','Hastens the reuse speed of Intercept and its upgrades. When Intercept terminates naturally, it heals the target.',354,65535,316,0,0,0,0,1,'Your Enhance: Intercept was successful on %t!','Your Enhance: Intercept fades.','',1,0,'',0,'You cast Enhance: Intercept on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670446,1384377903,0,1),
(1000915,2771345798,4,0,'Enhance: Intimidate','Increases the duration of Intimidate and its upgrades.',160,65535,315,0,0,0,0,1,'Your Enhance: Intimidate was successful on %t!','Your Enhance: Intimidate fades.','',1,0,'',0,'You cast Enhance: Intimidate on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670446,1384377830,0,1),
(1000916,1137857593,4,0,'Enhance: Intimidation','Intimidation and its upgrades reduce your opponents'' agility and wisdom even further.',241,65535,315,0,0,0,0,1,'Your Enhance: Intimidation was successful on %t!','Your Enhance: Intimidation fades.','',1,0,'',0,'You cast Enhance: Intimidation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670446,1384377909,0,1),
(1000917,367370007,4,0,'Enhance: Invective','Increases the trigger chance of Invective and its upgrades.',240,65535,316,0,0,0,0,1,'Your Enhance: Invective was successful on %t!','Your Enhance: Invective fades.','',1,0,'',0,'You cast Enhance: Invective on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670446,1384377909,0,1),
(1000918,3644397222,4,0,'Enhance: Involuntary Gift','Increases the trigger chance of Involuntary Gift and its upgrades.',180,65535,315,0,0,0,0,1,'Your Enhance: Involuntary Gift was successful on %t!','Your Enhance: Involuntary Gift fades.','',1,0,'',0,'You cast Enhance: Involuntary Gift on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670446,1384377909,0,1),
(1000919,3682576639,4,0,'Enhance: Involuntary Gift II','',180,65535,315,0,0,0,0,1,'Your Enhance: Involuntary Gift II was successful on %t!','Your Enhance: Involuntary Gift II fades.','',1,0,'',0,'You cast Enhance: Involuntary Gift II on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670446,1384377910,0,1),
(1000920,1224804886,4,0,'Enhance: Jael''s Dreadful Deprivation','Improves the critical damage and reuse speed of Jael''s Dreadful Deprivation.',361,65535,315,0,0,0,0,1,'Your Enhance: Jael''s Dreadful Deprivation was successful on %t!','Your Enhance: Jael''s Dreadful Deprivation fades.','',1,0,'',0,'You cast Enhance: Jael''s Dreadful Deprivation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670446,1384377834,0,1),
(1000921,4118819982,4,0,'Enhance: Jester''s Cap','Increases the reuse speed bonus and hastens the reuse speed of Jester''s Cap.',492,65535,316,0,0,0,0,1,'Your Enhance: Jester''s Cap was successful on %t!','Your Enhance: Jester''s Cap fades.','',1,0,'',0,'You cast Enhance: Jester''s Cap on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670446,1384377908,0,1),
(1000922,3252965098,4,0,'Enhance: Juggernaut','Increases the duration of your Juggernaut ability.',506,65535,317,0,0,0,0,1,'Your Enhance: Juggernaut was successful on %t!','Your Enhance: Juggernaut fades.','',1,0,'',0,'You cast Enhance: Juggernaut on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670446,1384377830,0,1),
(1000923,2984085985,4,0,'Enhance: Jugular Slice','Increases the duration of Jugular Slice and its upgrades.',372,65535,315,0,0,0,0,1,'Your Enhance: Jugular Slice was successful on %t!','Your Enhance: Jugular Slice fades.','',1,0,'',0,'You cast Enhance: Jugular Slice on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670446,1384377911,0,1),
(1000924,1153404960,4,0,'Enhance: Karana''s Hold','Reduces the power cost and resistibility of Karana''s Hold and its higher level upgrades.',11,65535,65535,0,0,0,0,1,'Your Enhance: Karana''s Hold was successful on %t!','Your Enhance: Karana''s Hold fades.','',1,0,'',0,'You cast Enhance: Karana''s Hold on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670446,1384377830,0,1),
(1000925,3546270835,4,0,'Enhance: Kidney Stab','Increases the mitigation reduction of Kidney Stab and its upgrades.',377,65535,315,0,0,0,0,1,'Your Enhance: Kidney Stab was successful on %t!','Your Enhance: Kidney Stab fades.','',1,0,'',0,'You cast Enhance: Kidney Stab on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670446,1384377912,0,1),
(1000926,1966051336,4,0,'Enhance: Killing Instinct','Increases the duration of Killing Instinct and its upgrades.',335,65535,317,0,0,0,0,1,'Your Enhance: Killing Instinct was successful on %t!','Your Enhance: Killing Instinct fades.','',1,0,'',0,'You cast Enhance: Killing Instinct on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670446,1384377899,0,1),
(1000927,3578107145,4,0,'Enhance: Knockout Combination','Increases the damage of Knockout Combination and its upgrades.',379,65535,317,0,0,0,0,1,'Your Enhance: Knockout Combination was successful on %t!','Your Enhance: Knockout Combination fades.','',1,0,'',0,'You cast Enhance: Knockout Combination on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670446,1384377830,0,1),
(1000928,3490208684,4,0,'Enhance: Lanet''s Excruciating Scream','Improves the critical damage and reuse speed of Lanet''s Excruciating Scream.',175,65535,315,0,0,0,0,1,'Your Enhance: Lanet''s Excruciating Scream was successful on %t!','Your Enhance: Lanet''s Excruciating Scream fades.','',1,0,'',0,'You cast Enhance: Lanet''s Excruciating Scream on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670446,1384377901,0,1),
(1000929,3735752419,4,0,'Enhance: Lay on Hands','Reduces the power cost and hastens the reuse speed of Lay on Hands.',209,65535,316,0,0,0,0,1,'Your Enhance: Lay on Hands was successful on %t!','Your Enhance: Lay on Hands fades.','',1,0,'',0,'You cast Enhance: Lay on Hands on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670446,1384377907,0,1),
(1000930,3350877450,4,0,'Enhance: Leaping Lunge','Improves the damage of Leaping Lunge.',11,65535,65535,0,0,0,0,1,'Your Enhance: Leaping Lunge was successful on %t!','Your Enhance: Leaping Lunge fades.','',1,0,'',0,'You cast Enhance: Leaping Lunge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670448,1384377906,0,1),
(1000931,1648626383,4,0,'Enhance: Lockdown','Increases the duration of Lockdown and its upgrades and makes it more difficult to outright resist.',166,65535,315,0,0,0,0,1,'Your Enhance: Lockdown was successful on %t!','Your Enhance: Lockdown fades.','',1,0,'',0,'You cast Enhance: Lockdown on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670448,1384377839,0,1),
(1000932,999976884,4,0,'Enhance: Lucky Gambit','Increases the hit chance and striking radius of Lucky Gambit and its upgrades.',343,65535,313,0,0,0,0,1,'Your Enhance: Lucky Gambit was successful on %t!','Your Enhance: Lucky Gambit fades.','',1,0,'',0,'You cast Enhance: Lucky Gambit on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670448,1384377899,0,1),
(1000933,2158352004,4,0,'Enhance: Lullaby','Lullaby and its upgrades become more difficult to outright resist and have increased duration.',477,65535,315,0,0,0,0,1,'Your Enhance: Lullaby was successful on %t!','Your Enhance: Lullaby fades.','',1,0,'',0,'You cast Enhance: Lullaby on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670448,1384377899,0,1),
(1000934,1516438690,4,0,'Enhance: Lunar Attendant','Improves the reuse speed of Lunar Attendant and its higher level upgrades.',244,65535,317,0,0,0,0,1,'Your Enhance: Lunar Attendant was successful on %t!','Your Enhance: Lunar Attendant fades.','',1,0,'',0,'You cast Enhance: Lunar Attendant on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670448,1384377908,0,1),
(1000935,864691565,4,0,'Enhance: Lung Puncture','Improves the skill reductions of Lung Puncture.',376,65535,315,0,0,0,0,1,'Your Enhance: Lung Puncture was successful on %t!','Your Enhance: Lung Puncture fades.','',1,0,'',0,'You cast Enhance: Lung Puncture on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670448,1384377899,0,1),
(1000936,2916889877,4,0,'Enhance: Maddening Swarm','Maddening Swarm and its upgrades reduce enemies'' casting skill even further.',369,65535,312,0,0,0,0,1,'Your Enhance: Maddening Swarm was successful on %t!','Your Enhance: Maddening Swarm fades.','',1,0,'',0,'You cast Enhance: Maddening Swarm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670448,1384377908,0,1),
(1000937,292086693,4,0,'Enhance: Maelstrom','Hastens the effects of Maelstrom and its upgrades, causing its damage to occur faster.',212,65535,312,0,0,0,0,1,'Your Enhance: Maelstrom was successful on %t!','Your Enhance: Maelstrom fades.','',1,0,'',0,'You cast Enhance: Maelstrom on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670448,1384377834,0,1),
(1000938,1127287981,4,0,'Enhance: Magi''s Shielding','Adds a replenishing ward against all damage types to Magi''s Shielding.',163,65535,317,3587918036,3587918036,0,0,1,'Your Enhance: Magi''s Shielding was successful on %t!','Your Enhance: Magi''s Shielding fades.','',1,0,'',0,'You cast Enhance: Magi''s Shielding on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670448,1384377906,0,1),
(1000939,355091175,4,0,'Enhance: Magi''s Shielding','Adds a replenishing ward against all damage types to Magi''s Shielding.',163,65535,317,0,0,0,0,1,'Your Enhance: Magi''s Shielding was successful on %t!','Your Enhance: Magi''s Shielding fades.','',1,0,'',0,'You cast Enhance: Magi''s Shielding on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670448,1384377909,0,1),
(1000940,1471229073,4,0,'Enhance: Magical Pyre','Improves the damage inflicted by Magical Pyre.',11,65535,65535,0,0,0,0,1,'Your Enhance: Magical Pyre was successful on %t!','Your Enhance: Magical Pyre fades.','',1,0,'',0,'You cast Enhance: Magical Pyre on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670448,1384377907,0,1),
(1000941,3632194382,4,0,'Enhance: Magma Chamber','Improves the critical damage and hastens the reuse speed and reduces the power cost of Magma Chamber and its upgrades.',160,65535,315,0,0,0,0,1,'Your Enhance: Magma Chamber was successful on %t!','Your Enhance: Magma Chamber fades.','',1,0,'',0,'You cast Enhance: Magma Chamber on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670448,1384377915,0,1),
(1000942,2906615169,4,0,'Enhance: Mail of Frost','Increases the strength of the Warding effect of your Mail of Frost.',253,65535,317,0,0,0,0,1,'Your Enhance: Mail of Frost was successful on %t!','Your Enhance: Mail of Frost fades.','',1,0,'',0,'You cast Enhance: Mail of Frost on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670448,1384377910,0,1),
(1000943,28079344,4,0,'Enhance: Makeshift Arrows','Improves the number of triggers granted by Makeshift Arrows.',361,65535,317,0,0,0,0,1,'Your Enhance: Makeshift Arrows was successful on %t!','Your Enhance: Makeshift Arrows fades.','',1,0,'',0,'You cast Enhance: Makeshift Arrows on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670448,1384377899,0,1),
(1000944,1350099539,4,0,'Enhance: Mana Cloak','Increases the power restored by Mana Cloak.',195,65535,314,0,0,0,0,1,'Your Enhance: Mana Cloak was successful on %t!','Your Enhance: Mana Cloak fades.','',1,0,'',0,'You cast Enhance: Mana Cloak on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670448,1384377902,0,1),
(1000945,1461003850,4,0,'Enhance: Mana Flow','Hastens the reuse speed and duration of Mana Flow, causing its power restoration effects to occur sooner.',580,65535,65535,0,0,0,0,1,'Your Enhance: Mana Flow was successful on %t!','Your Enhance: Mana Flow fades.','',1,0,'',0,'You cast Enhance: Mana Flow on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670450,1384377833,0,1),
(1000946,1117194847,4,0,'Enhance: Mana Intromission','Improves the casting speed and reduces the health cost of Mana Intromission and its upgrades.',480,65535,316,0,0,0,0,1,'Your Enhance: Mana Intromission was successful on %t!','Your Enhance: Mana Intromission fades.','',1,0,'',0,'You cast Enhance: Mana Intromission on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670450,1384377900,0,1),
(1000947,984855456,4,0,'Enhance: Mana Sieve','Improves the critical damage and hastens the reuse speed of Mana Sieve.',201,65535,315,0,0,0,0,1,'Your Enhance: Mana Sieve was successful on %t!','Your Enhance: Mana Sieve fades.','',1,0,'',0,'You cast Enhance: Mana Sieve on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670450,1384377834,0,1),
(1000948,2832865288,4,0,'Enhance: Marisha Kur''s Blessing','Increases the physical mitigation granted by Marisha Kur''s Blessing.',146,65535,314,0,0,0,0,1,'Your Enhance: Marisha Kur''s Blessing was successful on %t!','Your Enhance: Marisha Kur''s Blessing fades.','',1,0,'',0,'You cast Enhance: Marisha Kur''s Blessing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670450,1384377903,0,1),
(1000949,926381962,4,0,'Enhance: Mark of Divinity','Increases the trigger chance of Mark of Divinity and its upgrades.',492,65535,315,0,0,0,0,1,'Your Enhance: Mark of Divinity was successful on %t!','Your Enhance: Mark of Divinity fades.','',1,0,'',0,'You cast Enhance: Mark of Divinity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670450,1384377911,0,1),
(1000950,4270070660,4,0,'Enhance: Master''s Intervention','Improves the reuse speed and healing of Master''s Intervention and its higher level upgrades.',219,65535,317,0,0,0,0,1,'Your Enhance: Master''s Intervention was successful on %t!','Your Enhance: Master''s Intervention fades.','',1,0,'',0,'You cast Enhance: Master''s Intervention on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670450,1384377918,0,1),
(1000951,3682930946,4,0,'Enhance: Masters Strike','Improves the reuse time of Master''s Strike.',152,65535,65535,0,0,0,0,1,'Your Enhance: Masters Strike was successful on %t!','Your Enhance: Masters Strike fades.','',1,0,'',0,'You cast Enhance: Masters Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670450,1384377902,0,1),
(1000952,1475673429,4,0,'Enhance: Maul','Maul and its upgrades become more effective at reducing opponents'' offensive skill.',336,65535,315,0,0,0,0,1,'Your Enhance: Maul was successful on %t!','Your Enhance: Maul fades.','',1,0,'',0,'You cast Enhance: Maul on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670450,1384377911,0,1),
(1000953,3347814434,4,0,'Enhance: Maul','Improves the damage of Maul.',11,65535,65535,0,0,0,0,1,'Your Enhance: Maul was successful on %t!','Your Enhance: Maul fades.','',1,0,'',0,'You cast Enhance: Maul on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670450,1384377838,0,1),
(1000954,1418850852,4,0,'Enhance: Medusa Gaze','Improves the critical damage and hastens the casting and reuse speed of Medusa Gaze and its upgrades.',5,65535,65535,0,0,0,0,1,'Your Enhance: Medusa Gaze was successful on %t!','Your Enhance: Medusa Gaze fades.','',1,0,'',0,'You cast Enhance: Medusa Gaze on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670450,1384377902,0,1),
(1000955,2914519943,4,0,'Enhance: Mend','Increases the healing amount of Mend and its upgrades.',158,65535,316,0,0,0,0,1,'Your Enhance: Mend was successful on %t!','Your Enhance: Mend fades.','',1,0,'',0,'You cast Enhance: Mend on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670450,1384377909,0,1),
(1000956,2907583672,4,0,'Enhance: Mental Blast','Improves the damage of Mental Blast.',11,65535,65535,0,0,0,0,1,'Your Enhance: Mental Blast was successful on %t!','Your Enhance: Mental Blast fades.','',1,0,'',0,'You cast Enhance: Mental Blast on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670450,1384377907,0,1),
(1000957,877094146,4,0,'Enhance: Mental Intrusion','Improves the damage of Mental Intrusion.',11,65535,65535,0,0,0,0,1,'Your Enhance: Mental Intrusion was successful on %t!','Your Enhance: Mental Intrusion fades.','',1,0,'',0,'You cast Enhance: Mental Intrusion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670450,1384377915,0,1),
(1000958,3508105770,4,0,'Enhance: Mental Poisons','Mental Breach poisons become more effective at harming an opponent''s power and more beneficial to you.',258,65535,315,0,0,0,0,1,'Your Enhance: Mental Poisons was successful on %t!','Your Enhance: Mental Poisons fades.','',1,0,'',0,'You cast Enhance: Mental Poisons on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670450,1384377918,0,1),
(1000959,1260454058,4,0,'Enhance: Merciless Stomp','Increases the damage of Merciless Stomp and its upgrades.',512,65535,315,0,0,0,0,1,'Your Enhance: Merciless Stomp was successful on %t!','Your Enhance: Merciless Stomp fades.','',1,0,'',0,'You cast Enhance: Merciless Stomp on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670450,1384377913,0,1),
(1000960,3379672041,4,0,'Enhance: Mind''s Eye','Increases the power regeneration of Mind''s Eye and its upgrades.',211,65535,314,0,0,0,0,1,'Your Enhance: Mind''s Eye was successful on %t!','Your Enhance: Mind''s Eye fades.','',1,0,'',0,'You cast Enhance: Mind''s Eye on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670450,1384377908,0,1),
(1000961,1429730518,4,0,'Enhance: Mindbend','Increases the trigger count and duration of Mindbend.',172,65535,315,0,0,0,0,1,'Your Enhance: Mindbend was successful on %t!','Your Enhance: Mindbend fades.','',1,0,'',0,'You cast Enhance: Mindbend on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670450,1384377913,0,1),
(1000962,1262990415,4,0,'Enhance: Misfortune''s Kiss','Improves the wisdom reduction of Misfortune''s Kiss and its upgrades.',301,65535,315,0,0,0,0,1,'Your Enhance: Misfortune''s Kiss was successful on %t!','Your Enhance: Misfortune''s Kiss fades.','',1,0,'',0,'You cast Enhance: Misfortune''s Kiss on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670450,1384377910,0,1),
(1000963,1633152259,4,0,'Enhance: Moderate','Moderate and its upgrades provide additional focus. Your ally gains increased critical damage while under your care.',309,65535,316,0,0,0,0,1,'Your Enhance: Moderate was successful on %t!','Your Enhance: Moderate fades.','',1,0,'',0,'You cast Enhance: Moderate on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670452,1384377833,0,1),
(1000964,3197879419,4,0,'Enhance: Moon''s Howl','Improves the damage of Moon''s Howl.',11,65535,65535,0,0,0,0,1,'Your Enhance: Moon''s Howl was successful on %t!','Your Enhance: Moon''s Howl fades.','',1,0,'',0,'You cast Enhance: Moon''s Howl on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670452,1384377902,0,1),
(1000965,871727804,4,0,'Enhance: Moonlight Dive','Improves the damage of Moonlight Dive.',11,65535,65535,0,0,0,0,1,'Your Enhance: Moonlight Dive was successful on %t!','Your Enhance: Moonlight Dive fades.','',1,0,'',0,'You cast Enhance: Moonlight Dive on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670452,1384377902,0,1),
(1000966,3569209996,4,0,'Enhance: Mortal Embrace','Hastens the reuse speed of Mortal Embrace. The final rank gives a 50% chance to override a failed Feign Death.',333,65535,316,0,0,0,0,1,'Your Enhance: Mortal Embrace was successful on %t!','Your Enhance: Mortal Embrace fades.','',1,0,'',0,'You cast Enhance: Mortal Embrace on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670452,1384377902,0,1),
(1000967,1556976313,4,0,'Enhance: Mortality Mark','Mortality Mark and its upgrades reduce opponents'' max health and wisdom even further.',204,65535,315,0,0,0,0,1,'Your Enhance: Mortality Mark was successful on %t!','Your Enhance: Mortality Mark fades.','',1,0,'',0,'You cast Enhance: Mortality Mark on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670452,1384377905,0,1),
(1000968,3721592584,4,0,'Enhance: Mountain Stance','Mountain Stance and its upgrades also protect you from magical damage, as well as hastens its reuse speed.',329,65535,317,0,0,0,0,1,'Your Enhance: Mountain Stance was successful on %t!','Your Enhance: Mountain Stance fades.','',1,0,'',0,'You cast Enhance: Mountain Stance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670452,1384377902,0,1),
(1000969,123926441,4,0,'Enhance: Mug','Mug and its upgrades also reduce your opponent''s deflection skill.',310,65535,315,0,0,0,0,1,'Your Enhance: Mug was successful on %t!','Your Enhance: Mug fades.','',1,0,'',0,'You cast Enhance: Mug on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670452,1384377900,0,1),
(1000970,660327101,4,1,'Enhance: Multi-Attack','Improves the beastlord''s Damage Per Second.',337,65535,317,0,0,0,1,1,'Your Enhance: Multi-Attack was successful on %t!','Your Enhance: Multi-Attack fades.','',1,0,'',0,'You cast Enhance: Multi-Attack on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670452,1384377833,0,1),
(1000971,3916207749,4,0,'Enhance: Murderous Rake','Increases the spell resistance reduction of Murderous Rake and its upgrades.',384,65535,315,0,0,0,0,1,'Your Enhance: Murderous Rake was successful on %t!','Your Enhance: Murderous Rake fades.','',1,0,'',0,'You cast Enhance: Murderous Rake on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670452,1384377909,0,1),
(1000972,3197589600,4,0,'Enhance: Mutilate','Mutilate and its upgrades become more potent.  Your opponent''s attack speed is reduced even further.',327,65535,315,0,0,0,0,1,'Your Enhance: Mutilate was successful on %t!','Your Enhance: Mutilate fades.','',1,0,'',0,'You cast Enhance: Mutilate on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670452,1384377830,0,1),
(1000973,3201468836,4,0,'Enhance: Mystic Burst','Improves the damage of Mystic Burst.',11,65535,65535,0,0,0,0,1,'Your Enhance: Mystic Burst was successful on %t!','Your Enhance: Mystic Burst fades.','',1,0,'',0,'You cast Enhance: Mystic Burst on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670452,1384377900,0,1),
(1000974,1906502842,4,0,'Enhance: Natural Selection','Increases damage and hastens the casting speed of Natural Selection and its upgrades.',334,65535,313,0,0,0,0,1,'Your Enhance: Natural Selection was successful on %t!','Your Enhance: Natural Selection fades.','',1,0,'',0,'You cast Enhance: Natural Selection on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670452,1384377830,0,1),
(1000975,749168182,4,0,'Enhance: Necromantic Pact','Increases the trigger chance of Necromantic Pact and its upgrades.',479,65535,317,0,0,0,0,1,'Your Enhance: Necromantic Pact was successful on %t!','Your Enhance: Necromantic Pact fades.','',1,0,'',0,'You cast Enhance: Necromantic Pact on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670452,1384377905,0,1),
(1000976,3278597421,4,0,'Enhance: Necrotic Reconstruction','Necrotic Reconstruction and its upgrades become more effective.',487,65535,317,0,0,0,0,1,'Your Enhance: Necrotic Reconstruction was successful on %t!','Your Enhance: Necrotic Reconstruction fades.','',1,0,'',0,'You cast Enhance: Necrotic Reconstruction on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670452,1384377909,0,1),
(1000977,4291638204,4,0,'Enhance: Netherealm','Hastens the duration of Netherealm, causing its trigger intervals to occur faster than before.',20,65535,65535,0,0,0,0,1,'Your Enhance: Netherealm was successful on %t!','Your Enhance: Netherealm fades.','',1,0,'',0,'You cast Enhance: Netherealm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670452,1384377899,0,1),
(1000978,4081841765,4,0,'Enhance: Night Strike','Improves the intelligence reduction of Night Strike and its upgrades.',301,65535,315,0,0,0,0,1,'Your Enhance: Night Strike was successful on %t!','Your Enhance: Night Strike fades.','',1,0,'',0,'You cast Enhance: Night Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670452,1384377838,0,1),
(1000979,386237440,4,0,'Enhance: Nightmare','',476,65535,315,0,0,0,0,1,'Your Enhance: Nightmare was successful on %t!','Your Enhance: Nightmare fades.','',1,0,'',0,'You cast Enhance: Nightmare on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670452,1384377905,0,1),
(1000980,2974230523,4,0,'Enhance: Nightshade','Improves the combat skills and combat art hit chances of your assassin pet.',11,65535,65535,0,0,0,0,1,'Your Enhance: Nightshade was successful on %t!','Your Enhance: Nightshade fades.','',1,0,'',0,'You cast Enhance: Nightshade on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670452,1384377830,0,1),
(1000981,786034751,4,0,'Enhance: Noxious Emission','Improves the damage of Noxious Emission.',11,65535,65535,0,0,0,0,1,'Your Enhance: Noxious Emission was successful on %t!','Your Enhance: Noxious Emission fades.','',1,0,'',0,'You cast Enhance: Noxious Emission on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670452,1384377914,0,1),
(1000982,3320031707,4,0,'Enhance: Noxious Enfeeblement','Increases the effectiveness of the impairment components of Noxious Enfeeblement. The final rank converts Noxious Enfeeblement into a damage over time ability with five ticks of damage.',803,65535,318,0,0,0,0,1,'Your Enhance: Noxious Enfeeblement was successful on %t!','Your Enhance: Noxious Enfeeblement fades.','',1,0,'',0,'You cast Enhance: Noxious Enfeeblement on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670454,1384377836,0,1),
(1000983,1038516779,4,0,'Enhance: Noxious Symphony','Noxious Symphony and its upgrades gain the ability to absorb noxious damage as well.',208,65535,314,0,0,0,0,1,'Your Enhance: Noxious Symphony was successful on %t!','Your Enhance: Noxious Symphony fades.','',1,0,'',0,'You cast Enhance: Noxious Symphony on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670454,1384377833,0,1),
(1000984,2299029789,4,0,'Enhance: Nullify','Hastens the reuse speed and improves the hate reduction amount of Nullify and its upgrades.',11,65535,65535,0,0,0,0,1,'Your Enhance: Nullify was successful on %t!','Your Enhance: Nullify fades.','',1,0,'',0,'You cast Enhance: Nullify on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Detaunt',1384670454,1384377836,0,1),
(1000985,4213449675,4,0,'Enhance: Nullmail','Increases the duration of Nullmail''s triggered effect and improves its reuse speed.',11,65535,65535,0,0,0,0,1,'Your Enhance: Nullmail was successful on %t!','Your Enhance: Nullmail fades.','',1,0,'',0,'You cast Enhance: Nullmail on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670454,1384377836,0,1),
(1000986,1191484299,4,0,'Enhance: Nurturing Presence','Improves the duration of Nurturing Presence.',11,65535,65535,0,0,0,0,1,'Your Enhance: Nurturing Presence was successful on %t!','Your Enhance: Nurturing Presence fades.','',1,0,'',0,'You cast Enhance: Nurturing Presence on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670454,1384377836,0,1),
(1000987,3027068302,4,0,'Enhance: Oberon','Increases the ward amount of Oberon and its higher level upgrades.',199,65535,316,0,0,0,0,1,'Your Enhance: Oberon was successful on %t!','Your Enhance: Oberon fades.','',1,0,'',0,'You cast Enhance: Oberon on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670454,1384377900,0,1),
(1000988,3101240657,4,0,'Enhance: Obliterated Psyche','Increases the spell mitigation reductions of Obliterated Psyche its upgrades.',267,65535,315,0,0,0,0,1,'Your Enhance: Obliterated Psyche was successful on %t!','Your Enhance: Obliterated Psyche fades.','',1,0,'',0,'You cast Enhance: Obliterated Psyche on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670454,1384377902,0,1),
(1000989,1058476806,4,0,'Enhance: Offensive Poisons','Increases the effectiveness of all poisons that affect an opponent''s offensive abilities.',259,65535,313,0,0,0,0,1,'Your Enhance: Offensive Poisons was successful on %t!','Your Enhance: Offensive Poisons fades.','',1,0,'',0,'You cast Enhance: Offensive Poisons on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670454,1384377835,0,1),
(1000990,1394470178,4,0,'Enhance: Open Wounds','Improves the reuse speed and critical damage of Open Wounds.',337,65535,317,0,0,0,0,1,'Your Enhance: Open Wounds was successful on %t!','Your Enhance: Open Wounds fades.','',1,0,'',0,'You cast Enhance: Open Wounds on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670454,1384377917,0,1),
(1000991,1336845368,4,0,'Enhance: Oration of Sacrifice','Improves the reuse speed and heal amount of Oration of Sacrifice.',487,65535,316,0,0,0,0,1,'Your Enhance: Oration of Sacrifice was successful on %t!','Your Enhance: Oration of Sacrifice fades.','',1,0,'',0,'You cast Enhance: Oration of Sacrifice on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670454,1384377899,0,1),
(1000992,1299047065,4,0,'Enhance: Outward Calm','Improves the reuse speed and extends the duration of Outward Calm.',194,65535,317,0,0,0,0,1,'Your Enhance: Outward Calm was successful on %t!','Your Enhance: Outward Calm fades.','',1,0,'',0,'You cast Enhance: Outward Calm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670454,1384377900,0,1),
(1000993,2363316289,4,0,'Enhance: Overpower','Increases the damage of Overpower and its upgrades.',302,65535,315,0,0,0,0,1,'Your Enhance: Overpower was successful on %t!','Your Enhance: Overpower fades.','',1,0,'',0,'You cast Enhance: Overpower on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'DD',1384670454,1384377830,0,1),
(1000994,2925060475,4,0,'Enhance: Pact of the Cheetah','Increases the movement speed and duration of Pact of the Cheetah and adds a Safe Fall component.',334,65535,314,0,0,0,0,1,'Your Enhance: Pact of the Cheetah was successful on %t!','Your Enhance: Pact of the Cheetah fades.','',1,0,'',0,'You cast Enhance: Pact of the Cheetah on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,'Unset',1384670454,1384377910,0,1),
(1000995,1745099142,4,0,'Enhance: Painful Lamentations','Increases the damage and hastens the casting speed of Painful Lamentations and its upgrades.',171,65535,312,0,0,0,0,1,'Your Enhance: Painful Lamentations was successful on %t!','Your Enhance: Painful Lamentations fades.','',1,0,'',0,'You cast Enhance: Painful Lamentations on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670454,1384377916,0,1),
(1000996,703099059,4,0,'Enhance: Pandemic','Improves the critical damage and hastens the casting speed and effects of Pandemic and its upgrades, causing the damage to occur faster.',169,65535,312,0,0,0,0,1,'Your Enhance: Pandemic was successful on %t!','Your Enhance: Pandemic fades.','',1,0,'',0,'You cast Enhance: Pandemic on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670454,1384377835,0,1),
(1000997,800660546,4,0,'Enhance: Paralyzing Strike','Increases the duration of Paralyzing Strike and its upgrades.',264,65535,315,0,0,0,0,1,'Your Enhance: Paralyzing Strike was successful on %t!','Your Enhance: Paralyzing Strike fades.','',1,0,'',0,'You cast Enhance: Paralyzing Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670454,1384377899,0,1),
(1000998,1990935654,4,0,'Enhance: Pathfinding','Your experience guiding others through the wilderness has its benefits.  This ability increases the movement speed of Pathfinding.',304,65535,314,0,0,0,0,1,'Your Enhance: Pathfinding was successful on %t!','Your Enhance: Pathfinding fades.','',1,0,'',0,'You cast Enhance: Pathfinding on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670454,1384377830,0,1),
(1000999,3022073689,4,0,'Enhance: Pathfinding','Your skills at surviving in the wilds with your warders is unmatched. This ability increases the movement speed granted by Pathfinding.',304,65535,314,0,0,0,0,1,'Your Enhance: Pathfinding was successful on %t!','Your Enhance: Pathfinding fades.','',1,0,'',0,'You cast Enhance: Pathfinding on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670454,1384377907,0,1),
(1001000,2884601882,4,0,'Enhance: Peace of Mind','Improves the damage inflicted by Peace of Mind.',916,65535,314,0,0,0,0,1,'Your Enhance: Peace of Mind was successful on %t!','Your Enhance: Peace of Mind fades.','',1,0,'',0,'You cast Enhance: Peace of Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670456,1384377836,0,1),
(1001001,3411239285,4,0,'Enhance: Peaceful Link','Improves the hate percentage reduction of Peaceful Link and its higher level upgrades.',270,65535,316,0,0,0,0,1,'Your Enhance: Peaceful Link was successful on %t!','Your Enhance: Peaceful Link fades.','',1,0,'',0,'You cast Enhance: Peaceful Link on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670456,1384377834,0,1),
(1001002,3675877300,4,0,'Enhance: Peerless Predator','Adds movement speed and jumping increase to Peerless Predator and its upgrades.',232,65535,317,0,0,0,0,1,'Your Enhance: Peerless Predator was successful on %t!','Your Enhance: Peerless Predator fades.','',1,0,'',0,'You cast Enhance: Peerless Predator on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670456,1384377901,0,1),
(1001003,3504019485,4,0,'Enhance: Perfect Finesse','Increases the duration of Perfect Finesse and its upgrades.',370,65535,317,0,0,0,0,1,'Your Enhance: Perfect Finesse was successful on %t!','Your Enhance: Perfect Finesse fades.','',1,0,'',0,'You cast Enhance: Perfect Finesse on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670456,1384377901,0,1),
(1001004,4044179516,4,0,'Enhance: Perfect Shrill','Increases the damage and hastens the casting speed of Perfect Shrill and its upgrades',171,65535,315,0,0,0,0,1,'Your Enhance: Perfect Shrill was successful on %t!','Your Enhance: Perfect Shrill fades.','',1,0,'',0,'You cast Enhance: Perfect Shrill on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670456,1384377910,0,1),
(1001005,4133522469,4,0,'Enhance: Perfection of the Maestro','Increases the duration of Perfection of the Maestro.',328,65535,314,0,0,0,0,1,'Your Enhance: Perfection of the Maestro was successful on %t!','Your Enhance: Perfection of the Maestro fades.','',1,0,'',0,'You cast Enhance: Perfection of the Maestro on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670456,1384377907,0,1),
(1001006,1675758653,4,0,'Enhance: Personae Reflection','Increases the maximum health of your reflection and hastens the casting speed of summoning your personae.',473,65535,317,0,0,0,0,1,'Your Enhance: Personae Reflection was successful on %t!','Your Enhance: Personae Reflection fades.','',1,0,'',0,'You cast Enhance: Personae Reflection on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670456,1384377830,0,1),
(1001007,2366527392,4,0,'Enhance: Petrify','Improves the critical damage and hastens the casting speed of Petrify and its higher level upgrades.',329,65535,315,0,0,0,0,1,'Your Enhance: Petrify was successful on %t!','Your Enhance: Petrify fades.','',1,0,'',0,'You cast Enhance: Petrify on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670456,1384377908,0,1),
(1001008,2334633978,4,0,'Enhance: Phantasmal Awe','Increases the duration of Phantasmal Awe and its upgrades and makes it more difficult to outright resist.',157,65535,312,0,0,0,0,1,'Your Enhance: Phantasmal Awe was successful on %t!','Your Enhance: Phantasmal Awe fades.','',1,0,'',0,'You cast Enhance: Phantasmal Awe on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670456,1384377911,0,1),
(1001009,327743666,4,0,'Enhance: Phase','Hastens the reuse speed of Phase. The final rank applies a short duration stun and knockdown.',305,65535,315,0,0,0,0,1,'Your Enhance: Phase was successful on %t!','Your Enhance: Phase fades.','',1,0,'',0,'You cast Enhance: Phase on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670456,1384377905,0,1),
(1001010,1134523955,4,0,'Enhance: Piercing Fangs','Improves the damage of Piercing Fangs.',11,65535,65535,0,0,0,0,1,'Your Enhance: Piercing Fangs was successful on %t!','Your Enhance: Piercing Fangs fades.','',1,0,'',0,'You cast Enhance: Piercing Fangs on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670456,1384377908,0,1),
(1001011,315409649,4,0,'Enhance: Plane Shift','Enhances the effectiveness of all planar modifications made by Plane Shift.',267,65535,317,0,0,0,0,1,'Your Enhance: Plane Shift was successful on %t!','Your Enhance: Plane Shift fades.','',1,0,'',0,'You cast Enhance: Plane Shift on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670456,1384377903,0,1),
(1001012,1679358854,4,0,'Enhance: Plant','Increases the duration and radius of Plant and its upgrades.',308,65535,313,0,0,0,0,1,'Your Enhance: Plant was successful on %t!','Your Enhance: Plant fades.','',1,0,'',0,'You cast Enhance: Plant on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670456,1384377906,0,1),
(1001013,1588790448,4,0,'Enhance: Poison Secretions','Improves the damage of Poison Secretions.',11,65535,65535,0,0,0,0,1,'Your Enhance: Poison Secretions was successful on %t!','Your Enhance: Poison Secretions fades.','',1,0,'',0,'You cast Enhance: Poison Secretions on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670456,1384377909,0,1),
(1001014,3627781470,4,0,'Enhance: Poisonous Fangs','Improves the damage of Poisonous Fangs.',11,65535,65535,0,0,0,0,1,'Your Enhance: Poisonous Fangs was successful on %t!','Your Enhance: Poisonous Fangs fades.','',1,0,'',0,'You cast Enhance: Poisonous Fangs on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670456,1384377918,0,1),
(1001015,3698633645,4,0,'Enhance: Porcupine','',296,65535,314,0,0,0,0,1,'Your Enhance: Porcupine was successful on %t!','Your Enhance: Porcupine fades.','',1,0,'',0,'You cast Enhance: Porcupine on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670456,1384377908,0,1),
(1001016,2931948140,4,0,'Enhance: Prayer of Healing','Reduces the power cost and hastens reuse speed of Prayer of Healing and its upgrades.',158,65535,314,0,0,0,0,1,'Your Enhance: Prayer of Healing was successful on %t!','Your Enhance: Prayer of Healing fades.','',1,0,'',0,'You cast Enhance: Prayer of Healing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670458,1384377902,0,1),
(1001017,2343607384,4,0,'Enhance: Precise Strike','Increases the damage of Precise Strike and its upgrades.',377,65535,315,0,0,0,0,1,'Your Enhance: Precise Strike was successful on %t!','Your Enhance: Precise Strike fades.','',1,0,'',0,'You cast Enhance: Precise Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670458,1384377830,0,1),
(1001018,1558902881,4,0,'Enhance: Predator''s Final Trick','Increases the amount of Crit Bonus granted by Predator''s Final Trick, reduces the reuse timer and slightly increases the duration.',927,65535,317,0,0,0,0,1,'Your Enhance: Predator''s Final Trick was successful on %t!','Your Enhance: Predator''s Final Trick fades.','',1,0,'',0,'You cast Enhance: Predator''s Final Trick on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670458,1384377902,0,1),
(1001019,1561247931,4,0,'Enhance: Premonition','Increases the stamina of Premonition and its higher level upgrades.',245,65535,316,0,0,0,0,1,'Your Enhance: Premonition was successful on %t!','Your Enhance: Premonition fades.','',1,0,'',0,'You cast Enhance: Premonition on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670458,1384377907,0,1),
(1001020,809268440,4,0,'Enhance: Primal Fury','Increases the trigger percentage of Primal Fury and its upgrades.',326,65535,316,0,0,0,0,1,'Your Enhance: Primal Fury was successful on %t!','Your Enhance: Primal Fury fades.','',1,0,'',0,'You cast Enhance: Primal Fury on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670458,1384377830,0,1),
(1001021,2292415380,4,0,'Enhance: Prismatic Chaos','Improves the critical damage and hastens the casting and reuse speed of Prismatic Chaos and its upgrades.',266,65535,316,0,0,0,0,1,'Your Enhance: Prismatic Chaos was successful on %t!','Your Enhance: Prismatic Chaos fades.','',1,0,'',0,'You cast Enhance: Prismatic Chaos on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670458,1384377913,0,1),
(1001022,3662218286,4,0,'Enhance: Psionic Destruction','Improves the damage of Psionic Destruction.',11,65535,65535,0,0,0,0,1,'Your Enhance: Psionic Destruction was successful on %t!','Your Enhance: Psionic Destruction fades.','',1,0,'',0,'You cast Enhance: Psionic Destruction on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670458,1384377903,0,1),
(1001023,1143837069,4,0,'Enhance: Psychic Assault','Improves the damage of Psychic Assault.',11,65535,65535,0,0,0,0,1,'Your Enhance: Psychic Assault was successful on %t!','Your Enhance: Psychic Assault fades.','',1,0,'',0,'You cast Enhance: Psychic Assault on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670458,1384377909,0,1),
(1001024,1997013798,4,0,'Enhance: Puncture','Improves the attack speed reduction of Puncture and its upgrades.',338,65535,315,0,0,0,0,1,'Your Enhance: Puncture was successful on %t!','Your Enhance: Puncture fades.','',1,0,'',0,'You cast Enhance: Puncture on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670458,1384377911,0,1),
(1001025,1627526954,4,0,'Enhance: Putrefy','Increases the damage of Putrefy and its upgrades.',197,65535,315,0,0,0,0,1,'Your Enhance: Putrefy was successful on %t!','Your Enhance: Putrefy fades.','',1,0,'',0,'You cast Enhance: Putrefy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670458,1384377912,0,1),
(1001026,1574427291,4,0,'Enhance: Quick Strike','Improves the base and critical damage of the scout''s core 10 second reuse ability.',671,65535,315,0,0,0,0,1,'Your Enhance: Quick Strike was successful on %t!','Your Enhance: Quick Strike fades.','',1,0,'',0,'You cast Enhance: Quick Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670458,1384377831,0,1),
(1001027,1570068116,4,0,'Enhance: Quick Strike','Increases the damage overtime component of Quick Strike and its upgrades.',338,65535,315,0,0,0,0,1,'Your Enhance: Quick Strike was successful on %t!','Your Enhance: Quick Strike fades.','',1,0,'',0,'You cast Enhance: Quick Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670458,1384377905,0,1),
(1001028,796680405,4,0,'Enhance: Quick Swipe','Increases the damage inflicted by Quick Swipe.',349,65535,315,0,0,0,0,1,'Your Enhance: Quick Swipe was successful on %t!','Your Enhance: Quick Swipe fades.','',1,0,'',0,'You cast Enhance: Quick Swipe on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670458,1384377901,0,1),
(1001029,658147763,4,0,'Enhance: Rabid Bite','Improves the damage of Rabid Bite.',11,65535,65535,0,0,0,0,1,'Your Enhance: Rabid Bite was successful on %t!','Your Enhance: Rabid Bite fades.','',1,0,'',0,'You cast Enhance: Rabid Bite on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670458,1384377833,0,1),
(1001030,3109952528,4,0,'Enhance: Rabies','Improves the damage of Rabies.',11,65535,65535,0,0,0,0,1,'Your Enhance: Rabies was successful on %t!','Your Enhance: Rabies fades.','',1,0,'',0,'You cast Enhance: Rabies on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670458,1384377903,0,1),
(1001031,3472731375,4,0,'Enhance: Raging Blow','Increases the damage and hate generated by your Raging Blow and its upgrades.',326,65535,315,0,0,0,0,1,'Your Enhance: Raging Blow was successful on %t!','Your Enhance: Raging Blow fades.','',1,0,'',0,'You cast Enhance: Raging Blow on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670460,1384377830,0,1),
(1001032,3390356632,4,0,'Enhance: Rampage','Improves the reuse speed and critical damage of Rampage.',380,65535,317,0,0,0,0,1,'Your Enhance: Rampage was successful on %t!','Your Enhance: Rampage fades.','',1,0,'',0,'You cast Enhance: Rampage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670460,1384377830,0,1),
(1001033,324998432,4,0,'Enhance: Rampage','Improves the damage of Rampage.',11,65535,65535,0,0,0,0,1,'Your Enhance: Rampage was successful on %t!','Your Enhance: Rampage fades.','',1,0,'',0,'You cast Enhance: Rampage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670460,1384377906,0,1),
(1001034,2738174204,4,0,'Enhance: Razor Edge','Razor Edge and its upgrades can also reduce the riposte damage of the target.',346,65535,315,0,0,0,0,1,'Your Enhance: Razor Edge was successful on %t!','Your Enhance: Razor Edge fades.','',1,0,'',0,'You cast Enhance: Razor Edge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670460,1384377835,0,1),
(1001035,838645089,4,0,'Enhance: Rebuke','Rebuke and its upgrades reduce additional mitigation. This enhancement also makes it more difficult to fully resist this spell.',186,65535,315,0,0,0,0,1,'Your Enhance: Rebuke was successful on %t!','Your Enhance: Rebuke fades.','',1,0,'',0,'You cast Enhance: Rebuke on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670460,1384377836,0,1),
(1001036,3814403290,4,0,'Enhance: Redemption','Increases the critical amount and improves the reuse speed of Redemption.',219,65535,317,0,0,0,0,1,'Your Enhance: Redemption was successful on %t!','Your Enhance: Redemption fades.','',1,0,'',0,'You cast Enhance: Redemption on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670460,1384377912,0,1),
(1001037,4229996396,4,0,'Enhance: Regalia','Increases the duration of Regalia and its upgrades and makes it more difficult to outright resist.',269,65535,315,0,0,0,0,1,'Your Enhance: Regalia was successful on %t!','Your Enhance: Regalia fades.','',1,0,'',0,'You cast Enhance: Regalia on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670460,1384377917,0,1),
(1001038,2896183479,4,0,'Enhance: Regenerating Spores','Increases the trigger chance of Regenerating Spores and its upgrades.',227,65535,316,0,0,0,0,1,'Your Enhance: Regenerating Spores was successful on %t!','Your Enhance: Regenerating Spores fades.','',1,0,'',0,'You cast Enhance: Regenerating Spores on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670460,1384377841,0,1),
(1001039,2285127734,4,0,'Enhance: Reinforcement','Hastens the reuse speed of Reinforcement. The final rank will allow Reinforcement to trigger off of taunts.',325,65535,317,0,0,0,0,1,'Your Enhance: Reinforcement was successful on %t!','Your Enhance: Reinforcement fades.','',1,0,'',0,'You cast Enhance: Reinforcement on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670460,1384377909,0,1),
(1001040,4075679895,4,0,'Enhance: Rejuvenating Celebration','Increases the stamina amount and regeneration provided by Rejuvenating Celebration.',497,65535,314,0,0,0,0,1,'Your Enhance: Rejuvenating Celebration was successful on %t!','Your Enhance: Rejuvenating Celebration fades.','',1,0,'',0,'You cast Enhance: Rejuvenating Celebration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670460,1384377907,0,1),
(1001041,891722127,4,0,'Enhance: Repairs','Conduit Abilities that equip in Slots 1 and 2 will have their base recovery reduced.',477,65535,317,0,0,0,0,1,'Your Enhance: Repairs was successful on %t!','Your Enhance: Repairs fades.','',1,0,'',0,'You cast Enhance: Repairs on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670460,1384377909,0,1),
(1001042,200991704,4,0,'Enhance: Repentance','Increases the damage of Repentance and its higher level upgrades.',213,65535,315,0,0,0,0,1,'Your Enhance: Repentance was successful on %t!','Your Enhance: Repentance fades.','',1,0,'',0,'You cast Enhance: Repentance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670460,1384377833,0,1),
(1001043,2939993544,4,0,'Enhance: Reptilian Vigor','Improves the duration of Reptilian Vigor.',11,65535,65535,0,0,0,0,1,'Your Enhance: Reptilian Vigor was successful on %t!','Your Enhance: Reptilian Vigor fades.','',1,0,'',0,'You cast Enhance: Reptilian Vigor on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670460,1384377838,0,1),
(1001044,4281563296,4,0,'Enhance: Rescue','Improves the range and hastens the reuse speed of Rescue.',355,65535,315,0,0,0,0,1,'Your Enhance: Rescue was successful on %t!','Your Enhance: Rescue fades.','',1,0,'',0,'You cast Enhance: Rescue on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670460,1384377913,0,1),
(1001045,991278418,4,0,'Enhance: Rescue','Rescue and its upgrades become more effective, focusing more of your opponents'' attention on you.',355,65535,315,0,0,0,0,1,'Your Enhance: Rescue was successful on %t!','Your Enhance: Rescue fades.','',1,0,'',0,'You cast Enhance: Rescue on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670460,1384377830,0,1),
(1001046,1946313128,4,0,'Enhance: Rescue','Improves the reuse time of the Rescue skill.  Rescue is limited to a 100% reuse speed reduction or half of its base reuse time.  Anything over that amount will not count.  If your class has multiple enhancements to Rescue this may be an issue.',11,65535,65535,0,0,0,0,1,'Your Enhance: Rescue was successful on %t!','Your Enhance: Rescue fades.','',1,0,'',0,'You cast Enhance: Rescue on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670460,1384377899,0,1),
(1001047,1224987190,4,0,'Enhance: Rescue','Your target sees you as an even bigger threat when you Rescue.',355,65535,315,0,0,0,0,1,'Your Enhance: Rescue was successful on %t!','Your Enhance: Rescue fades.','',1,0,'',0,'You cast Enhance: Rescue on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670460,1384377918,0,1),
(1001048,900272397,4,0,'Enhance: Resurrections','Increases the immediate health and power restored by your resurrection spells. Also increases all of the resurrection bonuses that follow the resurrection.',156,65535,65535,0,0,0,0,1,'Your Enhance: Resurrections was successful on %t!','Your Enhance: Resurrections fades.','',1,0,'',0,'You cast Enhance: Resurrections on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670460,1384377908,0,1),
(1001049,171477487,4,0,'Enhance: Resurrections','Improves the range and casting speed of your resurrection spells.',156,65535,317,0,0,0,0,1,'Your Enhance: Resurrections was successful on %t!','Your Enhance: Resurrections fades.','',1,0,'',0,'You cast Enhance: Resurrections on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670460,1384377903,0,1),
(1001050,3003226530,4,0,'Enhance: Revivication','Increases the health and power recovered when you Revive an ally.',210,65535,317,0,0,0,0,1,'Your Enhance: Revivication was successful on %t!','Your Enhance: Revivication fades.','',1,0,'',0,'You cast Enhance: Revivication on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670462,1384377917,0,1),
(1001051,3684933286,4,0,'Enhance: Rhythmic Overture','Improves the duration of Rhythmic Overture. The final rank adds immunities to Daze, Stun, Fear, Mesmerize, Taunt and Stifle effects while Rhythmic Overture is active.',676,65535,313,0,0,0,0,1,'Your Enhance: Rhythmic Overture was successful on %t!','Your Enhance: Rhythmic Overture fades.','',1,0,'',0,'You cast Enhance: Rhythmic Overture on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670462,1384377910,0,1),
(1001052,357445154,4,0,'Enhance: Rift','Hastens the reuse speed and increases the damage of Rift.',508,65535,313,0,0,0,0,1,'Your Enhance: Rift was successful on %t!','Your Enhance: Rift fades.','',1,0,'',0,'You cast Enhance: Rift on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670462,1384377910,0,1),
(1001053,898504079,4,0,'Enhance: Righteousness','Righteousness and its upgrades become more effective at reducing your opponents'' Divine resistance.',235,65535,312,0,0,0,0,1,'Your Enhance: Righteousness was successful on %t!','Your Enhance: Righteousness fades.','',1,0,'',0,'You cast Enhance: Righteousness on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670462,1384377911,0,1),
(1001054,1106282149,4,0,'Enhance: Ring of Fire','Improves the reuse speed of Ring of Fire.',221,65535,313,0,0,0,0,1,'Your Enhance: Ring of Fire was successful on %t!','Your Enhance: Ring of Fire fades.','',1,0,'',0,'You cast Enhance: Ring of Fire on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670462,1384377830,0,1),
(1001055,1707865191,4,0,'Enhance: Roaring Flames','Increases the duration and hastens the casting speed of Roaring Flames and its higher level upgrades.',11,65535,65535,0,0,0,0,1,'Your Enhance: Roaring Flames was successful on %t!','Your Enhance: Roaring Flames fades.','',1,0,'',0,'You cast Enhance: Roaring Flames on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670462,1384377833,0,1),
(1001056,3993064092,4,0,'Enhance: Rob','Improves the strength reduction of Rob and its upgrades.',301,65535,315,0,0,0,0,1,'Your Enhance: Rob was successful on %t!','Your Enhance: Rob fades.','',1,0,'',0,'You cast Enhance: Rob on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670462,1384377899,0,1),
(1001057,953098315,4,0,'Enhance: Rock Skin','Increases the mitigation and hastens the reuse speed of Rock Skin and its upgrades.',329,65535,317,0,0,0,0,1,'Your Enhance: Rock Skin was successful on %t!','Your Enhance: Rock Skin fades.','',1,0,'',0,'You cast Enhance: Rock Skin on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670462,1384377830,0,1),
(1001058,908969315,4,0,'Enhance: Root','Hastens the casting speed and reduces the resistibility of Root and its upgrades.',308,65535,315,0,0,0,0,1,'Your Enhance: Root was successful on %t!','Your Enhance: Root fades.','',1,0,'',0,'You cast Enhance: Root on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670462,1384377899,0,1),
(1001059,896741386,4,0,'Enhance: Roundhouse Kick','Increases the lethality of Roundhouse Kick and its upgrades.',292,65535,315,0,0,0,0,1,'Your Enhance: Roundhouse Kick was successful on %t!','Your Enhance: Roundhouse Kick fades.','',1,0,'',0,'You cast Enhance: Roundhouse Kick on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670462,1384377912,0,1),
(1001060,3245474297,4,0,'Enhance: Rush','Improves the damage inflicted by Rush.',330,65535,315,0,0,0,0,1,'Your Enhance: Rush was successful on %t!','Your Enhance: Rush fades.','',1,0,'',0,'You cast Enhance: Rush on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670462,1384377834,0,1),
(1001061,2489064524,4,0,'Enhance: Sacred Armor','Improves the health increase of Sacred Armor and its upgrades.',146,65535,314,0,0,0,0,1,'Your Enhance: Sacred Armor was successful on %t!','Your Enhance: Sacred Armor fades.','',1,0,'',0,'You cast Enhance: Sacred Armor on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670462,1384377830,0,1),
(1001062,3528553710,4,0,'Enhance: Sacrifice','Reduces the reuse time of Sacrifice and grants a small heal over time to the cleric after using Sacrifice. The final rank will allow Sacrifice to cure hostile effects from the target.',922,65535,316,0,0,0,0,1,'Your Enhance: Sacrifice was successful on %t!','Your Enhance: Sacrifice fades.','',1,0,'',0,'You cast Enhance: Sacrifice on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670462,1384377905,0,1),
(1001063,2870303856,4,0,'Enhance: Sanctuary','Increases the duration of Sanctuary.',506,65535,314,0,0,0,0,1,'Your Enhance: Sanctuary was successful on %t!','Your Enhance: Sanctuary fades.','',1,0,'',0,'You cast Enhance: Sanctuary on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670462,1384377835,0,1),
(1001064,3623518966,4,0,'Enhance: Sanctuary of Darkness','Improves the run speed granted by Sanctuary of Darkness.',370,65535,317,0,0,0,0,1,'Your Enhance: Sanctuary of Darkness was successful on %t!','Your Enhance: Sanctuary of Darkness fades.','',1,0,'',0,'You cast Enhance: Sanctuary of Darkness on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670462,1384377899,0,1),
(1001065,1639429102,4,1,'Enhance: Savage Howl','After using Savage Howl, the beastlord gains augmentations that greatly increases their potency for a short duration.',913,65535,65535,0,0,0,1,1,'Your Enhance: Savage Howl was successful on %t!','Your Enhance: Savage Howl fades.','',1,0,'',0,'You cast Enhance: Savage Howl on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670462,1384377907,0,1),
(1001066,293817881,4,0,'Enhance: Savage Mauling','Improves the damage of Savage Mauling.',11,65535,65535,0,0,0,0,1,'Your Enhance: Savage Mauling was successful on %t!','Your Enhance: Savage Mauling fades.','',1,0,'',0,'You cast Enhance: Savage Mauling on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670462,1384377903,0,1),
(1001067,1462844978,4,0,'Enhance: Savage Ruin','Improves the damage inflicted by Savage Ruin.',244,65535,317,0,0,0,0,1,'Your Enhance: Savage Ruin was successful on %t!','Your Enhance: Savage Ruin fades.','',1,0,'',0,'You cast Enhance: Savage Ruin on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670464,1384377911,0,1),
(1001068,1722620600,4,0,'Enhance: Savante','Increases the duration of Savante.',262,65535,314,0,0,0,0,1,'Your Enhance: Savante was successful on %t!','Your Enhance: Savante fades.','',1,0,'',0,'You cast Enhance: Savante on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670464,1384377904,0,1),
(1001069,3903569152,4,0,'Enhance: Searing Shot','Increases the damage of Searing Shot and its upgrades.',222,65535,315,0,0,0,0,1,'Your Enhance: Searing Shot was successful on %t!','Your Enhance: Searing Shot fades.','',1,0,'',0,'You cast Enhance: Searing Shot on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670464,1384377830,0,1),
(1001070,3314012612,4,0,'Enhance: Second Advantage','Improves the duration of all Advantages that equip in the second advantage slot.',878,65535,317,0,0,0,0,1,'Your Enhance: Second Advantage was successful on %t!','Your Enhance: Second Advantage fades.','',1,0,'',0,'You cast Enhance: Second Advantage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670464,1384377833,0,1),
(1001071,3565496094,4,0,'Enhance: Selo''s Accelerando','Selo''s Accelerando and its upgrades gain the ability to prevent falling damage.',304,65535,314,0,0,0,0,1,'Your Enhance: Selo''s Accelerando was successful on %t!','Your Enhance: Selo''s Accelerando fades.','',1,0,'',0,'You cast Enhance: Selo''s Accelerando on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670464,1384377910,0,1),
(1001072,374398357,4,0,'Enhance: Sentinel','As a Disciple of Stability, when making use of your Sentinel line of arts, you shield allies from additional damage of all types.',11,65535,65535,0,0,0,0,1,'Your Enhance: Sentinel was successful on %t!','Your Enhance: Sentinel fades.','',1,0,'',0,'You cast Enhance: Sentinel on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670464,1384377838,0,1),
(1001073,289216908,4,0,'Enhance: Sentry Watch','Improves the radius and hastens the reuse speed of Sentry Watch.',329,65535,314,0,0,0,0,1,'Your Enhance: Sentry Watch was successful on %t!','Your Enhance: Sentry Watch fades.','',1,0,'',0,'You cast Enhance: Sentry Watch on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670464,1384377905,0,1),
(1001074,3672437425,4,0,'Enhance: Shadow Bind','Improves the snare amount of Shadow Bind.',364,65535,313,0,0,0,0,1,'Your Enhance: Shadow Bind was successful on %t!','Your Enhance: Shadow Bind fades.','',1,0,'',0,'You cast Enhance: Shadow Bind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670464,1384377905,0,1),
(1001075,1335251370,4,0,'Enhance: Shadow Coil','Shadow Coil gains in power as a portion of opponents'' health is returned to you. Additionally, the duration is reduced, causing the damage to apply faster.',250,65535,315,0,0,0,0,1,'Your Enhance: Shadow Coil was successful on %t!','Your Enhance: Shadow Coil fades.','',1,0,'',0,'You cast Enhance: Shadow Coil on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670464,1384377840,0,1),
(1001076,1235097429,4,0,'Enhance: Shadow Escape','Using Shadow Escape will reduce incoming damage to the channeler for a short duration.',696,65535,317,0,0,0,0,1,'Your Enhance: Shadow Escape was successful on %t!','Your Enhance: Shadow Escape fades.','',1,0,'',0,'You cast Enhance: Shadow Escape on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670464,1384377830,0,1),
(1001077,82191303,4,0,'Enhance: Shadow Slip','Improves the threat reduction and reuse speed of Shadow Slip.',370,65535,315,0,0,0,0,1,'Your Enhance: Shadow Slip was successful on %t!','Your Enhance: Shadow Slip fades.','',1,0,'',0,'You cast Enhance: Shadow Slip on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670464,1384377901,0,1),
(1001078,420741873,4,0,'Enhance: Shank','Improves the damage of Shank.',339,65535,315,0,0,0,0,1,'Your Enhance: Shank was successful on %t!','Your Enhance: Shank fades.','',1,0,'',0,'You cast Enhance: Shank on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670464,1384377909,0,1),
(1001079,1629676560,4,0,'Enhance: Shard of Essence','Improves the reuse speed of Shard of Essence. Additionally, the target of the shard gains a small amount of power instantly.',486,65535,316,0,0,0,0,1,'Your Enhance: Shard of Essence was successful on %t!','Your Enhance: Shard of Essence fades.','',1,0,'',0,'You cast Enhance: Shard of Essence on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670464,1384377909,0,1),
(1001080,1660958348,4,0,'Enhance: Shattered Earth','Improves the critical damage and hastens the casting speed of Shattered Earth and its higher level upgrades.',508,65535,312,0,0,0,0,1,'Your Enhance: Shattered Earth was successful on %t!','Your Enhance: Shattered Earth fades.','',1,0,'',0,'You cast Enhance: Shattered Earth on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670464,1384377900,0,1),
(1001081,2681053409,4,0,'Enhance: Shenanigans','Increases the hate positions and damage of Shenanigans and its upgrades.',333,65535,315,0,0,0,0,1,'Your Enhance: Shenanigans was successful on %t!','Your Enhance: Shenanigans fades.','',1,0,'',0,'You cast Enhance: Shenanigans on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670464,1384377908,0,1),
(1001082,864507780,4,0,'Enhance: Shield of Blackwood','Improves the reuse of Shield of Blackwood. The final rank adds an additional hate position.',157,65535,317,0,0,0,0,1,'Your Enhance: Shield of Blackwood was successful on %t!','Your Enhance: Shield of Blackwood fades.','',1,0,'',0,'You cast Enhance: Shield of Blackwood on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670464,1384377830,0,1),
(1001083,1159413084,4,0,'Enhance: Shield of Faith','',219,65535,314,0,0,0,0,1,'Your Enhance: Shield of Faith was successful on %t!','Your Enhance: Shield of Faith fades.','',1,0,'',0,'You cast Enhance: Shield of Faith on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670464,1384377836,0,1),
(1001084,3457972208,4,0,'Enhance: Shift Mana','Increases the power restored by Shift Mana and its upgrades.',170,65535,317,0,0,0,0,1,'Your Enhance: Shift Mana was successful on %t!','Your Enhance: Shift Mana fades.','',1,0,'',0,'You cast Enhance: Shift Mana on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670464,1384377912,0,1),
(1001085,1409037885,4,0,'Enhance: Shock Wave','Improves the critical damage and reduces the casting and reuse speed of Shock Wave and its upgrades.',268,65535,313,0,0,0,0,1,'Your Enhance: Shock Wave was successful on %t!','Your Enhance: Shock Wave fades.','',1,0,'',0,'You cast Enhance: Shock Wave on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670464,1384377915,0,1),
(1001086,3525857552,4,0,'Enhance: Shoulder Charge','Increases the damage of Shoulder Charge and its upgrades.',350,65535,315,0,0,0,0,1,'Your Enhance: Shoulder Charge was successful on %t!','Your Enhance: Shoulder Charge fades.','',1,0,'',0,'You cast Enhance: Shoulder Charge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670464,1384377900,0,1),
(1001087,1301051044,4,0,'Enhance: Shroud','Improves the casting speed of Shroud. While Shroud is active, the dirge gains improved movement speed.',341,65535,317,0,0,0,0,1,'Your Enhance: Shroud was successful on %t!','Your Enhance: Shroud fades.','',1,0,'',0,'You cast Enhance: Shroud on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670464,1384377833,0,1),
(1001088,396566862,4,0,'Enhance: Shroud of Armor','Increases the ward of Shroud of Armor and its upgrades.',146,65535,314,0,0,0,0,1,'Your Enhance: Shroud of Armor was successful on %t!','Your Enhance: Shroud of Armor fades.','',1,0,'',0,'You cast Enhance: Shroud of Armor on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670466,1384377901,0,1),
(1001089,4171298725,4,0,'Enhance: Shroud of Bertoxxulous','Increases the trigger chance of Shroud of Bertoxxulous and its upgrades.',261,65535,316,0,0,0,0,1,'Your Enhance: Shroud of Bertoxxulous was successful on %t!','Your Enhance: Shroud of Bertoxxulous fades.','',1,0,'',0,'You cast Enhance: Shroud of Bertoxxulous on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670466,1384377899,0,1),
(1001090,3555343143,4,0,'Enhance: Shrug Off','Improves the avoidance granted by Shrug Off.',294,65535,316,0,0,0,0,1,'Your Enhance: Shrug Off was successful on %t!','Your Enhance: Shrug Off fades.','',1,0,'',0,'You cast Enhance: Shrug Off on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670466,1384377900,0,1),
(1001091,2825802818,4,0,'Enhance: Sigil of Heroism','Increases the duration of Sigil of Heroism.',489,65535,314,0,0,0,0,1,'Your Enhance: Sigil of Heroism was successful on %t!','Your Enhance: Sigil of Heroism fades.','',1,0,'',0,'You cast Enhance: Sigil of Heroism on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670466,1384377903,0,1),
(1001092,2834687195,4,0,'Enhance: Sign of Pacification','Hastens the reuse speed of Sign of Pacification and its upgrades. This enhancement also makes it more difficult to fully resist this spell.',267,65535,315,0,0,0,0,1,'Your Enhance: Sign of Pacification was successful on %t!','Your Enhance: Sign of Pacification fades.','',1,0,'',0,'You cast Enhance: Sign of Pacification on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670466,1384377904,0,1),
(1001093,3171525517,4,0,'Enhance: Simian Restoration','Improves the heal amount of Simian Restoration.',11,65535,65535,0,0,0,0,1,'Your Enhance: Simian Restoration was successful on %t!','Your Enhance: Simian Restoration fades.','',1,0,'',0,'You cast Enhance: Simian Restoration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670466,1384377902,0,1),
(1001094,3389952795,4,0,'Enhance: Simian Siphon','Improves the damage and heal amount of Simian Siphon.',11,65535,65535,0,0,0,0,1,'Your Enhance: Simian Siphon was successful on %t!','Your Enhance: Simian Siphon fades.','',1,0,'',0,'You cast Enhance: Simian Siphon on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670466,1384377908,0,1),
(1001095,1774613425,4,0,'Enhance: Singing Shot','Increases the duration of Singing Shot and its upgrades.',361,65535,315,0,0,0,0,1,'Your Enhance: Singing Shot was successful on %t!','Your Enhance: Singing Shot fades.','',1,0,'',0,'You cast Enhance: Singing Shot on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670466,1384377835,0,1),
(1001096,3302918945,4,0,'Enhance: Sinister Strike','Improves the reuse of Sinister Strike.',366,65535,315,0,0,0,0,1,'Your Enhance: Sinister Strike was successful on %t!','Your Enhance: Sinister Strike fades.','',1,0,'',0,'You cast Enhance: Sinister Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670466,1384377908,0,1),
(1001097,3250027886,4,0,'Enhance: Sinister Strike','Improves the critical damage and reuse speed of Sinister Strike.',366,65535,315,0,0,0,0,1,'Your Enhance: Sinister Strike was successful on %t!','Your Enhance: Sinister Strike fades.','',1,0,'',0,'You cast Enhance: Sinister Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670466,1384377915,0,1),
(1001098,3492851262,4,0,'Enhance: Siphon Strength','Siphon Strength and its upgrades gain the ability to siphon enemies'' max health and convert it to Stamina as well.',89,65535,65535,0,0,0,0,1,'Your Enhance: Siphon Strength was successful on %t!','Your Enhance: Siphon Strength fades.','',1,0,'',0,'You cast Enhance: Siphon Strength on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670466,1384377830,0,1),
(1001099,734700079,4,0,'Enhance: Siphoning of Souls','Siphoning of Souls reduces your opponent''s strength and intelligence even further.',268,65535,315,0,0,0,0,1,'Your Enhance: Siphoning of Souls was successful on %t!','Your Enhance: Siphoning of Souls fades.','',1,0,'',0,'You cast Enhance: Siphoning of Souls on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670466,1384377907,0,1),
(1001100,3786354325,4,0,'Enhance: Sky''s Restoration','Improves the heal amount of Sky''s Restoration.',11,65535,65535,0,0,0,0,1,'Your Enhance: Sky''s Restoration was successful on %t!','Your Enhance: Sky''s Restoration fades.','',1,0,'',0,'You cast Enhance: Sky''s Restoration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670466,1384377913,0,1),
(1001101,4239895758,4,0,'Enhance: Slam','Increases the damage of Slam and its upgrades.',356,65535,315,0,0,0,0,1,'Your Enhance: Slam was successful on %t!','Your Enhance: Slam fades.','',1,0,'',0,'You cast Enhance: Slam on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670466,1384377918,0,1),
(1001102,3613869973,4,0,'Enhance: Slurred Insult','Improves the reuse speed and resistibility of Slurred Insult.',295,65535,315,0,0,0,0,1,'Your Enhance: Slurred Insult was successful on %t!','Your Enhance: Slurred Insult fades.','',1,0,'',0,'You cast Enhance: Slurred Insult on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670466,1384377906,0,1),
(1001103,3757233229,4,0,'Enhance: Smite Corruption','Improves the critical damage and hastens the casting speed and reduces the power cost of Smite Corruption. This enhancement also hastens the effect''s duration, causing damage to occur faster.',159,65535,315,0,0,0,0,1,'Your Enhance: Smite Corruption was successful on %t!','Your Enhance: Smite Corruption fades.','',1,0,'',0,'You cast Enhance: Smite Corruption on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670466,1384377900,0,1),
(1001104,977037638,4,0,'Enhance: Snap of the Wrist','Snap of the Wrist and its upgrades gain in potency.  Once struck, your enemy''s spells are more likely to be resisted.',296,65535,315,0,0,0,0,1,'Your Enhance: Snap of the Wrist was successful on %t!','Your Enhance: Snap of the Wrist fades.','',1,0,'',0,'You cast Enhance: Snap of the Wrist on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670466,1384377897,0,1),
(1001105,2938410201,4,0,'Enhance: Snare','Hastens the reuse speed and reduces the resistibility of Snare.',166,65535,315,0,0,0,0,1,'Your Enhance: Snare was successful on %t!','Your Enhance: Snare fades.','',1,0,'',0,'You cast Enhance: Snare on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670466,1384377835,0,1),
(1001106,3671786883,4,0,'Enhance: Snare','Your Snares become more efficient and slow your opponents even further.',166,65535,65535,0,0,0,0,1,'Your Enhance: Snare was successful on %t!','Your Enhance: Snare fades.','',1,0,'',0,'You cast Enhance: Snare on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670466,1384377902,0,1),
(1001107,3991186309,4,0,'Enhance: Snare','Any abilities that apply an additional snare effect are more effective at reducing movement speed than before.',306,65535,315,0,0,0,0,1,'Your Enhance: Snare was successful on %t!','Your Enhance: Snare fades.','',1,0,'',0,'You cast Enhance: Snare on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670466,1384377901,0,1),
(1001108,65718953,4,0,'Enhance: Snaring Shot','Improves the critical damage and hastens the reuse speed of Snaring Shot.',364,65535,315,0,0,0,0,1,'Your Enhance: Snaring Shot was successful on %t!','Your Enhance: Snaring Shot fades.','',1,0,'',0,'You cast Enhance: Snaring Shot on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670468,1384377903,0,1),
(1001109,1955387208,4,0,'Enhance: Sneak','Improves the casting speed of Sneak. While Sneak is active, the rogue gains improved movement speed.',341,65535,317,0,0,0,0,1,'Your Enhance: Sneak was successful on %t!','Your Enhance: Sneak fades.','',1,0,'',0,'You cast Enhance: Sneak on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670468,1384377911,0,1),
(1001110,1054177585,4,0,'Enhance: Sneak','Hastens the casting speed of Sneak. While Sneak is active, the rogue gains improved movement speed.',341,65535,317,0,0,0,0,1,'Your Enhance: Sneak was successful on %t!','Your Enhance: Sneak fades.','',1,0,'',0,'You cast Enhance: Sneak on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670468,1384377835,0,1),
(1001111,1098363636,4,0,'Enhance: Solar Flare','Improves the critical damage and hastens the casting speed and reduces the power cost of Solar Flare and its upgrades.',161,65535,315,0,0,0,0,1,'Your Enhance: Solar Flare was successful on %t!','Your Enhance: Solar Flare fades.','',1,0,'',0,'You cast Enhance: Solar Flare on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670468,1384377831,0,1),
(1001112,2911967007,4,0,'Enhance: Sonic Precision','Improves the duration of Sonic Precision.',11,65535,65535,0,0,0,0,1,'Your Enhance: Sonic Precision was successful on %t!','Your Enhance: Sonic Precision fades.','',1,0,'',0,'You cast Enhance: Sonic Precision on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670468,1384377910,0,1),
(1001113,3667273609,4,0,'Enhance: Sonic Shriek','Improves the damage of Sonic Shriek.',11,65535,65535,0,0,0,0,1,'Your Enhance: Sonic Shriek was successful on %t!','Your Enhance: Sonic Shriek fades.','',1,0,'',0,'You cast Enhance: Sonic Shriek on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670468,1384377912,0,1),
(1001114,915501432,4,0,'Enhance: Soothe','Soothing an enemy additionally causes their hatred of their current target and all your non-fighter allies to be reduced. Soothe''s casting speed is also hastened.',11,65535,65535,0,0,0,0,1,'Your Enhance: Soothe was successful on %t!','Your Enhance: Soothe fades.','',1,0,'',0,'You cast Enhance: Soothe on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670468,1384377836,0,1),
(1001115,1718604595,4,0,'Enhance: Soul Cannibalize','Increases the damage and power healing of Soul Cannibalize.',160,65535,315,0,0,0,0,1,'Your Enhance: Soul Cannibalize was successful on %t!','Your Enhance: Soul Cannibalize fades.','',1,0,'',0,'You cast Enhance: Soul Cannibalize on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670468,1384377834,0,1),
(1001116,3613223463,4,1,'Enhance: Soulrend','Improves the damage of Soulrend.',512,65535,315,0,0,0,1,1,'Your Enhance: Soulrend was successful on %t!','Your Enhance: Soulrend fades.','',1,0,'',0,'You cast Enhance: Soulrend on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670468,1384377911,0,1),
(1001117,3353743775,4,0,'Enhance: Soulrot','Increases the damage and hastens the effects of Soulrot and its upgrades, causing the damage to occur faster.',161,65535,315,0,0,0,0,1,'Your Enhance: Soulrot was successful on %t!','Your Enhance: Soulrot fades.','',1,0,'',0,'You cast Enhance: Soulrot on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670468,1384377910,0,1),
(1001118,356727385,4,0,'Enhance: Speechless','Increases the duration of Speechless and its upgrades and makes it more difficult to outright resist.',495,65535,315,0,0,0,0,1,'Your Enhance: Speechless was successful on %t!','Your Enhance: Speechless fades.','',1,0,'',0,'You cast Enhance: Speechless on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670468,1384377905,0,1),
(1001119,1050224579,4,0,'Enhance: Speed','Increases the channeler''s in combat run speed.',82,65535,317,0,0,0,0,1,'Your Enhance: Speed was successful on %t!','Your Enhance: Speed fades.','',1,0,'',0,'You cast Enhance: Speed on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670468,1384377908,0,1),
(1001120,573621312,4,0,'Enhance: Spell Curse','Increases the trigger count and duration of Spell Curse and its upgrades.',171,65535,312,0,0,0,0,1,'Your Enhance: Spell Curse was successful on %t!','Your Enhance: Spell Curse fades.','',1,0,'',0,'You cast Enhance: Spell Curse on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670468,1384377916,0,1),
(1001121,1564641900,4,0,'Enhance: Spinechiller Blood','Improves the damage inflicted by Spinechiller Blood.',227,65535,315,0,0,0,0,1,'Your Enhance: Spinechiller Blood was successful on %t!','Your Enhance: Spinechiller Blood fades.','',1,0,'',0,'You cast Enhance: Spinechiller Blood on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670468,1384377901,0,1),
(1001122,1393017505,4,0,'Enhance: Spinning Attack','Improves the damage of Spinning Attack.',11,65535,65535,0,0,0,0,1,'Your Enhance: Spinning Attack was successful on %t!','Your Enhance: Spinning Attack fades.','',1,0,'',0,'You cast Enhance: Spinning Attack on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670468,1384377912,0,1),
(1001123,3492868227,4,0,'Enhance: Spirit Companion','Grants the shaman''s companion a chance to absorb damage when they are attacking. The companion has a chance to cast the stoneskin on the shaman as well.',868,65535,65535,0,0,0,0,1,'Your Enhance: Spirit Companion was successful on %t!','Your Enhance: Spirit Companion fades.','',1,0,'',0,'You cast Enhance: Spirit Companion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670468,1384377908,0,1),
(1001124,3626214479,4,0,'Enhance: Spirit of Wolf','Increases the movement speed and duration of Spirit of Wolf.',8,65535,65535,0,0,0,0,1,'Your Enhance: Spirit of Wolf was successful on %t!','Your Enhance: Spirit of Wolf fades.','',1,0,'',0,'You cast Enhance: Spirit of Wolf on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670468,1384377835,0,1),
(1001125,3685183521,4,0,'Enhance: Spirit of the Bat','Increases the power regeneration and agility provided by Spirit of the Bat and its upgrades.',196,65535,316,0,0,0,0,1,'Your Enhance: Spirit of the Bat was successful on %t!','Your Enhance: Spirit of the Bat fades.','',1,0,'',0,'You cast Enhance: Spirit of the Bat on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670470,1384377836,0,1),
(1001126,761541684,4,0,'Enhance: Spirit of the Mammoth','Increases the stamina of Spirit of the Mammoth and its upgrades.',352,65535,314,0,0,0,0,1,'Your Enhance: Spirit of the Mammoth was successful on %t!','Your Enhance: Spirit of the Mammoth fades.','',1,0,'',0,'You cast Enhance: Spirit of the Mammoth on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670470,1384377839,0,1),
(1001127,3288830209,4,0,'Enhance: Spirit of the Wolf','Increases the movement speed and adds a safefall component to Spirit of the Wolf.',8,65535,65535,0,0,0,0,1,'Your Enhance: Spirit of the Wolf was successful on %t!','Your Enhance: Spirit of the Wolf fades.','',1,0,'',0,'You cast Enhance: Spirit of the Wolf on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670470,1384377902,0,1),
(1001128,2393534708,4,0,'Enhance: Spiritual Circle','Improves the reuse speed of Spiritual Circle and its upgrades.',479,65535,313,0,0,0,0,1,'Your Enhance: Spiritual Circle was successful on %t!','Your Enhance: Spiritual Circle fades.','',1,0,'',0,'You cast Enhance: Spiritual Circle on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670470,1384377908,0,1),
(1001129,835930546,4,0,'Enhance: Sprint','Improves the movement speed of Sprint and reduces the power cost.',303,65535,317,0,0,0,0,1,'Your Enhance: Sprint was successful on %t!','Your Enhance: Sprint fades.','',1,0,'',0,'You cast Enhance: Sprint on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670470,1384377911,0,1),
(1001130,4020377052,4,0,'Enhance: Sprint','Years of tracking through the wilderness improve your focus.  This ability increases the movement speed and reduces the initial power cost of Sprint.',303,65535,317,0,0,0,0,1,'Your Enhance: Sprint was successful on %t!','Your Enhance: Sprint fades.','',1,0,'',0,'You cast Enhance: Sprint on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670470,1384377901,0,1),
(1001131,884038205,4,0,'Enhance: Sprint','Run farther.  Run faster.  This ability increases the movement speed and reduces the initial power cost of Sprint.',303,65535,317,0,0,0,0,1,'Your Enhance: Sprint was successful on %t!','Your Enhance: Sprint fades.','',1,0,'',0,'You cast Enhance: Sprint on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670470,1384377902,0,1),
(1001132,3061133679,4,0,'Enhance: Sprint','This ability increases the movement speed and reduces the initial power cost of Sprint.',303,65535,317,0,0,0,0,1,'Your Enhance: Sprint was successful on %t!','Your Enhance: Sprint fades.','',1,0,'',0,'You cast Enhance: Sprint on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670470,1384377905,0,1),
(1001133,1549221027,4,0,'Enhance: Sprint','This ability increases the movement speed and reduces the initial power cost of Sprint.',303,65535,317,0,0,0,0,1,'Your Enhance: Sprint was successful on %t!','Your Enhance: Sprint fades.','',1,0,'',0,'You cast Enhance: Sprint on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670470,1384377905,0,1),
(1001134,1348270635,4,0,'Enhance: Stare Down','Improves the duration of Stare Down.',60,65535,65535,0,0,0,0,1,'Your Enhance: Stare Down was successful on %t!','Your Enhance: Stare Down fades.','',1,0,'',0,'You cast Enhance: Stare Down on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670470,1384377916,0,1),
(1001135,922203699,4,0,'Enhance: Starnova','Increases the critical damage and hastens the casting and reuse speed of Starnova and its upgrades.',510,65535,312,0,0,0,0,1,'Your Enhance: Starnova was successful on %t!','Your Enhance: Starnova fades.','',1,0,'',0,'You cast Enhance: Starnova on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670470,1384377830,0,1),
(1001136,1526239885,4,0,'Enhance: Stealth Assault','Increases the damage overtime component of Stealth Assault and its upgrades.',384,65535,313,0,0,0,0,1,'Your Enhance: Stealth Assault was successful on %t!','Your Enhance: Stealth Assault fades.','',1,0,'',0,'You cast Enhance: Stealth Assault on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670470,1384377900,0,1),
(1001137,1338511581,4,0,'Enhance: Stone Deaf','Improves the reuse speed and reduces the power cost of Stone Deaf.',508,65535,317,0,0,0,0,1,'Your Enhance: Stone Deaf was successful on %t!','Your Enhance: Stone Deaf fades.','',1,0,'',0,'You cast Enhance: Stone Deaf on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670470,1384377917,0,1),
(1001138,401063601,4,0,'Enhance: Stoneskin','Adds a stoneskin component for the pet.',329,65535,317,0,0,0,0,1,'Your Enhance: Stoneskin was successful on %t!','Your Enhance: Stoneskin fades.','',1,0,'',0,'You cast Enhance: Stoneskin on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670470,1384377833,0,1),
(1001139,2562804111,4,0,'Enhance: Storm of Arrows','Increases the damage and hastens the casting speed of Storm of Arrows and its upgrades.',363,65535,312,0,0,0,0,1,'Your Enhance: Storm of Arrows was successful on %t!','Your Enhance: Storm of Arrows fades.','',1,0,'',0,'You cast Enhance: Storm of Arrows on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670470,1384377911,0,1),
(1001140,3653011833,4,0,'Enhance: Storm of Lightning','Increases the damage and reduces the resistibility of Storm of Lightning and its upgrades.',169,65535,312,0,0,0,0,1,'Your Enhance: Storm of Lightning was successful on %t!','Your Enhance: Storm of Lightning fades.','',1,0,'',0,'You cast Enhance: Storm of Lightning on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670470,1384377902,0,1),
(1001141,2784950807,4,0,'Enhance: Storm of Steel','Increases damage of Storm of Steel.',299,65535,315,0,0,0,0,1,'Your Enhance: Storm of Steel was successful on %t!','Your Enhance: Storm of Steel fades.','',1,0,'',0,'You cast Enhance: Storm of Steel on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670470,1384377833,0,1),
(1001142,1205345498,4,0,'Enhance: Storming Tempest','This ability hastens the damage effect of Storming Tempest, causing damage to occur faster.  The spell becomes less resistable as well.',14,65535,65535,0,0,0,0,1,'Your Enhance: Storming Tempest was successful on %t!','Your Enhance: Storming Tempest fades.','',1,0,'',0,'You cast Enhance: Storming Tempest on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670470,1384377911,0,1),
(1001143,4022761753,4,0,'Enhance: Stream of Arrows','Improves the recast and casting speed of Stream of Arrows.',299,65535,313,0,0,0,0,1,'Your Enhance: Stream of Arrows was successful on %t!','Your Enhance: Stream of Arrows fades.','',1,0,'',0,'You cast Enhance: Stream of Arrows on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670470,1384377919,0,1),
(1001144,1908654541,4,0,'Enhance: Street Smarts','Adds spell resistance to Street Smarts and its upgrades.',294,65535,317,0,0,0,0,1,'Your Enhance: Street Smarts was successful on %t!','Your Enhance: Street Smarts fades.','',1,0,'',0,'You cast Enhance: Street Smarts on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670470,1384377911,0,1),
(1001145,3172174862,4,0,'Enhance: Stunning Roar','Increases the damage of Stunning Roar and its upgrades.',295,65535,312,0,0,0,0,1,'Your Enhance: Stunning Roar was successful on %t!','Your Enhance: Stunning Roar fades.','',1,0,'',0,'You cast Enhance: Stunning Roar on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670470,1384377899,0,1),
(1001146,620431019,4,0,'Enhance: Stupefy','Hastens the casting and reuse speed of Stupefy and its upgrades.',202,65535,312,0,0,0,0,1,'Your Enhance: Stupefy was successful on %t!','Your Enhance: Stupefy fades.','',1,0,'',0,'You cast Enhance: Stupefy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670472,1384377909,0,1),
(1001147,1280099507,4,0,'Enhance: Sucker Punch','Increases the damage of Sucker Punch and its upgrades.',349,65535,315,0,0,0,0,1,'Your Enhance: Sucker Punch was successful on %t!','Your Enhance: Sucker Punch fades.','',1,0,'',0,'You cast Enhance: Sucker Punch on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670472,1384377902,0,1),
(1001148,4222575044,4,0,'Enhance: Summon Spells','Modifies the Conjuror''s primary pets. The mage pet''s spells will become more difficult to be resisted, the fighter pet will take less damage and the scout pet gains increased combat skills and ability hit rates.',485,65535,317,0,0,0,0,1,'Your Enhance: Summon Spells was successful on %t!','Your Enhance: Summon Spells fades.','',1,0,'',0,'You cast Enhance: Summon Spells on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670472,1384377902,0,1),
(1001149,3241005940,4,0,'Enhance: Summoned Pets','Modifies the Necromancer''s primary pets. The warlock pet''s spells will become more difficult to be resisted, the warrior pet will take less damage and the scout pet gains increased combat skills and ability hit rates.',485,65535,317,0,0,0,0,1,'Your Enhance: Summoned Pets was successful on %t!','Your Enhance: Summoned Pets fades.','',1,0,'',0,'You cast Enhance: Summoned Pets on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670472,1384377910,0,1),
(1001150,1655058558,4,0,'Enhance: Summoning','Improves the casting speed of your primary pet summoning spells. Additionally, the primary pet gains increased mitigation to all damage.',504,65535,317,0,0,0,0,1,'Your Enhance: Summoning was successful on %t!','Your Enhance: Summoning fades.','',1,0,'',0,'You cast Enhance: Summoning on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670472,1384377833,0,1),
(1001151,1478787790,4,0,'Enhance: Summoning','Improves the casting speed of your primary pet summoning spells. Additionally, the primary pet gains increased mitigation to all damage.',504,65535,317,0,0,0,0,1,'Your Enhance: Summoning was successful on %t!','Your Enhance: Summoning fades.','',1,0,'',0,'You cast Enhance: Summoning on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670472,1384377902,0,1),
(1001152,950733392,4,0,'Enhance: Surge of Ro','Increases the duration of Surge of Ro and its upgrades.',222,65535,317,0,0,0,0,1,'Your Enhance: Surge of Ro was successful on %t!','Your Enhance: Surge of Ro fades.','',1,0,'',0,'You cast Enhance: Surge of Ro on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670472,1384377908,0,1),
(1001153,3947562411,4,0,'Enhance: Survival Instincts','This ability reduces the offensive penalties and increases the bonuses of Survival Instincts and its upgrades.',307,65535,317,0,0,0,0,1,'Your Enhance: Survival Instincts was successful on %t!','Your Enhance: Survival Instincts fades.','',1,0,'',0,'You cast Enhance: Survival Instincts on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670472,1384377901,0,1),
(1001154,2445662746,4,0,'Enhance: Swarming Dive','Improves the damage of Swarming Dive.',11,65535,65535,0,0,0,0,1,'Your Enhance: Swarming Dive was successful on %t!','Your Enhance: Swarming Dive fades.','',1,0,'',0,'You cast Enhance: Swarming Dive on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670472,1384377908,0,1),
(1001155,4288957186,4,0,'Enhance: Synergism','Increases the trigger chance of Synergism and its upgrades.',264,65535,316,0,0,0,0,1,'Your Enhance: Synergism was successful on %t!','Your Enhance: Synergism fades.','',1,0,'',0,'You cast Enhance: Synergism on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670472,1384377830,0,1),
(1001156,3459805064,4,0,'Enhance: Tame Warder','Improves the casting time of Tame Warder.',334,65535,315,0,0,0,0,1,'Your Enhance: Tame Warder was successful on %t!','Your Enhance: Tame Warder fades.','',1,0,'',0,'You cast Enhance: Tame Warder on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670472,1384377899,0,1),
(1001157,2711105670,4,0,'Enhance: Tap Veins','Improves the critical damage and hastens the reuse speed of Tap Veins.',249,65535,313,0,0,0,0,1,'Your Enhance: Tap Veins was successful on %t!','Your Enhance: Tap Veins fades.','',1,0,'',0,'You cast Enhance: Tap Veins on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670472,1384377911,0,1),
(1001158,366217723,4,0,'Enhance: Taunting Blow','Increases the damage and hate increase of Taunting Blow and its upgrades.',11,65535,65535,0,0,0,0,1,'Your Enhance: Taunting Blow was successful on %t!','Your Enhance: Taunting Blow fades.','',1,0,'',0,'You cast Enhance: Taunting Blow on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670472,1384377830,0,1),
(1001159,1620412212,4,0,'Enhance: Taunts','Reduces the chance for Shout to be resisted and increases the threat amounts. This advancement also improves the amount of threat generated when using Provoke.',295,65535,312,0,0,0,0,1,'Your Enhance: Taunts was successful on %t!','Your Enhance: Taunts fades.','',1,0,'',0,'You cast Enhance: Taunts on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670472,1384377906,0,1),
(1001160,1155247794,4,0,'Enhance: Taunts','Improves the resistibility of Challenge and Silent Threat. Additionally, Challenge''s taunt amount will be improved and Silent Threat will have its reuse speed improved.',289,65535,315,0,0,0,0,1,'Your Enhance: Taunts was successful on %t!','Your Enhance: Taunts fades.','',1,0,'',0,'You cast Enhance: Taunts on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670472,1384377909,0,1),
(1001161,3751023366,4,0,'Enhance: Tempest','Increases the critical damage and hastens the casting speed and effects of Tempest and its upgrades, causing damage to occur faster.',511,65535,315,0,0,0,0,1,'Your Enhance: Tempest was successful on %t!','Your Enhance: Tempest fades.','',1,0,'',0,'You cast Enhance: Tempest on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670472,1384377902,0,1),
(1001162,2340489908,4,0,'Enhance: Tendrils of Horror','Increases the trigger chance of Tendrils of Horror and its upgrades.',261,65535,316,0,0,0,0,1,'Your Enhance: Tendrils of Horror was successful on %t!','Your Enhance: Tendrils of Horror fades.','',1,0,'',0,'You cast Enhance: Tendrils of Horror on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670472,1384377909,0,1),
(1001163,2926001854,4,0,'Enhance: Territorial Regeneration','Improves the heal amount of Territorial Regeneration.',11,65535,65535,0,0,0,0,1,'Your Enhance: Territorial Regeneration was successful on %t!','Your Enhance: Territorial Regeneration fades.','',1,0,'',0,'You cast Enhance: Territorial Regeneration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670472,1384377913,0,1),
(1001164,1741280705,4,0,'Enhance: Terror Chant','Improves the reuse speed of Terror Chant and its upgrades. The final rank adds a hate position reduction.',157,65535,313,0,0,0,0,1,'Your Enhance: Terror Chant was successful on %t!','Your Enhance: Terror Chant fades.','',1,0,'',0,'You cast Enhance: Terror Chant on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670474,1384377919,0,1),
(1001165,2381081873,4,0,'Enhance: Theorems','Increases the amount of triggers and the damage of Theorems.',218,65535,315,0,0,0,0,1,'Your Enhance: Theorems was successful on %t!','Your Enhance: Theorems fades.','',1,0,'',0,'You cast Enhance: Theorems on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670474,1384377830,0,1),
(1001166,3434182218,4,0,'Enhance: Thieving Essence','Thieving Essence will siphon Potency and improves the Ability Modifier effects.',815,65535,315,0,0,0,0,1,'Your Enhance: Thieving Essence was successful on %t!','Your Enhance: Thieving Essence fades.','',1,0,'',0,'You cast Enhance: Thieving Essence on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670474,1384377916,0,1),
(1001167,1541620839,4,0,'Enhance: Third Advantage','Improves the damage of Advantages that equip in the third advantage slot.',648,65535,317,0,0,0,0,1,'Your Enhance: Third Advantage was successful on %t!','Your Enhance: Third Advantage fades.','',1,0,'',0,'You cast Enhance: Third Advantage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670474,1384377911,0,1),
(1001168,2643353354,4,0,'Enhance: Thorny Trap','Hastens the reuse and casting speed of Thorny Trap.',375,65535,312,0,0,0,0,1,'Your Enhance: Thorny Trap was successful on %t!','Your Enhance: Thorny Trap fades.','',1,0,'',0,'You cast Enhance: Thorny Trap on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670474,1384377830,0,1),
(1001169,3516455588,4,0,'Enhance: Throat Bite','Improves the damage of Throat Bite.',11,65535,65535,0,0,0,0,1,'Your Enhance: Throat Bite was successful on %t!','Your Enhance: Throat Bite fades.','',1,0,'',0,'You cast Enhance: Throat Bite on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670474,1384377910,0,1),
(1001170,2828215184,4,0,'Enhance: Thunderbolt','Improves the critical damage and hastens the casting and reuse speed of Thunderbolt.',233,65535,315,0,0,0,0,1,'Your Enhance: Thunderbolt was successful on %t!','Your Enhance: Thunderbolt fades.','',1,0,'',0,'You cast Enhance: Thunderbolt on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670474,1384377830,0,1),
(1001171,1820937063,4,0,'Enhance: Thunderclap','Improves the damage of Thunderclap. At ranks 5 and 10, Thunderclap gains additional damage if the target is within 25 meters and 15 meters of the sorcerer respectively.',878,65535,315,0,0,0,0,1,'Your Enhance: Thunderclap was successful on %t!','Your Enhance: Thunderclap fades.','',1,0,'',0,'You cast Enhance: Thunderclap on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670474,1384377899,0,1),
(1001172,520300816,4,0,'Enhance: Thunderous Overture','Increases the damage and hastens the casting speed of Thunderous Overture and its upgrades.',263,65535,313,0,0,0,0,1,'Your Enhance: Thunderous Overture was successful on %t!','Your Enhance: Thunderous Overture fades.','',1,0,'',0,'You cast Enhance: Thunderous Overture on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670474,1384377908,0,1),
(1001173,1220763681,4,0,'Enhance: Thuri''s Doleful Thrust','Increases the amount healed by Thuri''s Doleful Thrust and its upgrades.',338,65535,315,0,0,0,0,1,'Your Enhance: Thuri''s Doleful Thrust was successful on %t!','Your Enhance: Thuri''s Doleful Thrust fades.','',1,0,'',0,'You cast Enhance: Thuri''s Doleful Thrust on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670474,1384377907,0,1),
(1001174,223694326,4,0,'Enhance: Tormenting Conversion','Improves the casting and reuse speed of Tormenting Conversion and its upgrades.',11,65535,65535,0,0,0,0,1,'Your Enhance: Tormenting Conversion was successful on %t!','Your Enhance: Tormenting Conversion fades.','',1,0,'',0,'You cast Enhance: Tormenting Conversion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670474,1384377830,0,1),
(1001175,3336223095,4,0,'Enhance: Torture','Improves the mitigation reduction and hastens the reuse speed of Torture.',310,65535,315,0,0,0,0,1,'Your Enhance: Torture was successful on %t!','Your Enhance: Torture fades.','',1,0,'',0,'You cast Enhance: Torture on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670474,1384377911,0,1),
(1001176,343019273,4,0,'Enhance: Tower of Stone','Reduces the power cost and hastens the reuse speed of Tower of Stone.',508,65535,317,0,0,0,0,1,'Your Enhance: Tower of Stone was successful on %t!','Your Enhance: Tower of Stone fades.','',1,0,'',0,'You cast Enhance: Tower of Stone on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670474,1384377903,0,1),
(1001177,3640231240,4,0,'Enhance: Tranquil Vision','Tranquil Vision and its upgrades cause your targeted ally to transfer some of the hatred that enemies have towards you instead of them. If placed on a Fighter ally, some of your hate is instead transferred to that Fighter ally.',332,65535,316,0,0,0,0,1,'Your Enhance: Tranquil Vision was successful on %t!','Your Enhance: Tranquil Vision fades.','',1,0,'',0,'You cast Enhance: Tranquil Vision on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670474,1384377902,0,1),
(1001178,2853170841,4,0,'Enhance: Tranquility','Improves the critical healing of Tranquil Healing and hastens the reuse speed of Tranquility.',488,65535,316,0,0,0,0,1,'Your Enhance: Tranquility was successful on %t!','Your Enhance: Tranquility fades.','',1,0,'',0,'You cast Enhance: Tranquility on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670474,1384377836,0,1),
(1001179,761596929,4,0,'Enhance: Transfer Life','Transfer Life and its upgrades gain additional healing.',487,65535,316,0,0,0,0,1,'Your Enhance: Transfer Life was successful on %t!','Your Enhance: Transfer Life fades.','',1,0,'',0,'You cast Enhance: Transfer Life on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670474,1384377907,0,1),
(1001180,111533100,4,0,'Enhance: Triple Shot','Increases damage and hastens the casting speed of Triple Shot and its upgrades.',361,65535,315,0,0,0,0,1,'Your Enhance: Triple Shot was successful on %t!','Your Enhance: Triple Shot fades.','',1,0,'',0,'You cast Enhance: Triple Shot on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670474,1384377907,0,1),
(1001181,980079119,4,0,'Enhance: Tsunami','Improves the reuse speed of Tsunami and improves the amount of Riposte Damage while Tsunami is active.',88,65535,65535,0,0,0,0,1,'Your Enhance: Tsunami was successful on %t!','Your Enhance: Tsunami fades.','',1,0,'',0,'You cast Enhance: Tsunami on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670474,1384377912,0,1),
(1001182,3354076510,4,0,'Enhance: Tunare''s Grace','Increases the radius and cure amounts of Tunare''s Grace and the duration of Fury of the Storm. The final rank adds an additional damage trigger to Fury of the Storm.',497,65535,314,0,0,0,0,1,'Your Enhance: Tunare''s Grace was successful on %t!','Your Enhance: Tunare''s Grace fades.','',1,0,'',0,'You cast Enhance: Tunare''s Grace on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670475,1384377912,0,1),
(1001183,2787001020,4,0,'Enhance: Turgur Poison','Increases the effectiveness of Turgur poisons.',259,65535,317,0,0,0,0,1,'Your Enhance: Turgur Poison was successful on %t!','Your Enhance: Turgur Poison fades.','',1,0,'',0,'You cast Enhance: Turgur Poison on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670476,1384377900,0,1),
(1001184,4253456798,4,0,'Enhance: Ultraviolet Beam','Improves the critical damage and hastens the reuse speed and reduces the power cost of Ultraviolet Beam and its upgrades.',161,65535,315,0,0,0,0,1,'Your Enhance: Ultraviolet Beam was successful on %t!','Your Enhance: Ultraviolet Beam fades.','',1,0,'',0,'You cast Enhance: Ultraviolet Beam on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670476,1384377909,0,1),
(1001185,338162976,4,0,'Enhance: Umbral Trap','Umbral Trap costs less power and is less likely to be resisted by your enemies.',196,65535,312,0,0,0,0,1,'Your Enhance: Umbral Trap was successful on %t!','Your Enhance: Umbral Trap fades.','',1,0,'',0,'You cast Enhance: Umbral Trap on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670476,1384377834,0,1),
(1001186,1202888282,4,0,'Enhance: Unbridled Rage','Improves the damage of Unbridled Rage.',11,65535,65535,0,0,0,0,1,'Your Enhance: Unbridled Rage was successful on %t!','Your Enhance: Unbridled Rage fades.','',1,0,'',0,'You cast Enhance: Unbridled Rage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670476,1384377907,0,1),
(1001187,4287442741,4,0,'Enhance: Uncontrolled Rampage','Improves the damage of Uncontrolled Rampage.',11,65535,65535,0,0,0,0,1,'Your Enhance: Uncontrolled Rampage was successful on %t!','Your Enhance: Uncontrolled Rampage fades.','',1,0,'',0,'You cast Enhance: Uncontrolled Rampage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670476,1384377831,0,1),
(1001188,676230721,4,0,'Enhance: Undead Horde','Summons additional minions when Undead Horde is cast.',248,65535,312,0,0,0,0,1,'Your Enhance: Undead Horde was successful on %t!','Your Enhance: Undead Horde fades.','',1,0,'',0,'You cast Enhance: Undead Horde on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670476,1384377906,0,1),
(1001189,826278266,4,0,'Enhance: Undergrowth','Improves the agility reduction and hastens the casting speed of Undergrowth.',308,65535,312,0,0,0,0,1,'Your Enhance: Undergrowth was successful on %t!','Your Enhance: Undergrowth fades.','',1,0,'',0,'You cast Enhance: Undergrowth on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670476,1384377906,0,1),
(1001190,2801136799,4,0,'Enhance: Unholy Blessing','Improves the healing done by Unholy Blessing and its upgrades.',469,65535,316,0,0,0,0,1,'Your Enhance: Unholy Blessing was successful on %t!','Your Enhance: Unholy Blessing fades.','',1,0,'',0,'You cast Enhance: Unholy Blessing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670476,1384377834,0,1),
(1001191,870213629,4,0,'Enhance: Unswerving Hammer','Increases the duration of Unswerving Hammer.',129,65535,65535,0,0,0,0,1,'Your Enhance: Unswerving Hammer was successful on %t!','Your Enhance: Unswerving Hammer fades.','',1,0,'',0,'You cast Enhance: Unswerving Hammer on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670476,1384377909,0,1),
(1001192,1197310725,4,0,'Enhance: Unyielding Benediction','Improves the trigger chance of Unyielding Benediction and its upgrades.',220,65535,316,0,0,0,0,1,'Your Enhance: Unyielding Benediction was successful on %t!','Your Enhance: Unyielding Benediction fades.','',1,0,'',0,'You cast Enhance: Unyielding Benediction on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670476,1384377913,0,1),
(1001193,3417487978,4,0,'Enhance: Unyielding Will','',496,65535,317,0,0,0,0,1,'Your Enhance: Unyielding Will was successful on %t!','Your Enhance: Unyielding Will fades.','',1,0,'',0,'You cast Enhance: Unyielding Will on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670476,1384377833,0,1),
(1001194,4202458661,4,0,'Enhance: Unyielding Will','Hastens the reuse speed of Unyielding Will. This also increases the duration of Unyielding Will before and after a death prevention trigger.',496,65535,317,0,0,0,0,1,'Your Enhance: Unyielding Will was successful on %t!','Your Enhance: Unyielding Will fades.','',1,0,'',0,'You cast Enhance: Unyielding Will on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670476,1384377918,0,1),
(1001195,994833445,4,0,'Enhance: Uppercut','Increases the damage of Uppercut and its upgrades.',344,65535,315,0,0,0,0,1,'Your Enhance: Uppercut was successful on %t!','Your Enhance: Uppercut fades.','',1,0,'',0,'You cast Enhance: Uppercut on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670476,1384377908,0,1),
(1001196,3003163031,4,0,'Enhance: Ursine Avatar','Adds a trigger percentage at dealing additional slashing damage with every melee hit.',241,65535,317,0,0,0,0,1,'Your Enhance: Ursine Avatar was successful on %t!','Your Enhance: Ursine Avatar fades.','',1,0,'',0,'You cast Enhance: Ursine Avatar on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670476,1384377834,0,1),
(1001197,393018558,4,0,'Enhance: Vacuum Field','Vacuum Field and its upgrades become more effective at reducing enemies'' noxious resistances.',261,65535,312,0,0,0,0,1,'Your Enhance: Vacuum Field was successful on %t!','Your Enhance: Vacuum Field fades.','',1,0,'',0,'You cast Enhance: Vacuum Field on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670476,1384377901,0,1),
(1001198,1324602188,4,0,'Enhance: Vector of Life','Improves the radius of Vector of Life.',914,65535,314,0,0,0,0,1,'Your Enhance: Vector of Life was successful on %t!','Your Enhance: Vector of Life fades.','',1,0,'',0,'You cast Enhance: Vector of Life on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670476,1384377912,0,1),
(1001199,2307074834,4,0,'Enhance: Vehement Skin','Reduces the power cost and improves the reuse speed of Vehement Skin.',484,65535,317,0,0,0,0,1,'Your Enhance: Vehement Skin was successful on %t!','Your Enhance: Vehement Skin fades.','',1,0,'',0,'You cast Enhance: Vehement Skin on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670477,1384377909,0,1),
(1001200,2073040727,4,0,'Enhance: Vengeance','Increases the trigger count, damage and duration of Vengeance and its higher level upgrades.',221,65535,315,0,0,0,0,1,'Your Enhance: Vengeance was successful on %t!','Your Enhance: Vengeance fades.','',1,0,'',0,'You cast Enhance: Vengeance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670477,1384377905,0,1),
(1001201,3635473543,4,0,'Enhance: Vengeful Arrow','Improves the damage amount of Vengeful Arrow.',382,65535,315,0,0,0,0,1,'Your Enhance: Vengeful Arrow was successful on %t!','Your Enhance: Vengeful Arrow fades.','',1,0,'',0,'You cast Enhance: Vengeful Arrow on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670477,1384377907,0,1),
(1001202,827861099,4,0,'Enhance: Venom Spray','Improves the damage of Venom Spray.',11,65535,65535,0,0,0,0,1,'Your Enhance: Venom Spray was successful on %t!','Your Enhance: Venom Spray fades.','',1,0,'',0,'You cast Enhance: Venom Spray on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670478,1384377905,0,1),
(1001203,856080163,4,0,'Enhance: Verdant Whisper','Verdant Whisper provides a heal over time when it successfully cures an effect.',747,65535,314,0,0,0,0,1,'Your Enhance: Verdant Whisper was successful on %t!','Your Enhance: Verdant Whisper fades.','',1,0,'',0,'You cast Enhance: Verdant Whisper on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670478,1384377903,0,1),
(1001204,2619882064,4,0,'Enhance: Verdict','Adds an additional effect on Verdict that reduces the hit points of the target when they reach a certain health threshold.',129,65535,65535,0,0,0,0,1,'Your Enhance: Verdict was successful on %t!','Your Enhance: Verdict fades.','',1,0,'',0,'You cast Enhance: Verdict on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670478,1384377900,0,1),
(1001205,2773079395,4,0,'Enhance: Verlien''s Keen of Despair','Verlien''s Keen of Despair and its upgrades become more effective at reducing disease resistance.',308,65535,315,0,0,0,0,1,'Your Enhance: Verlien''s Keen of Despair was successful on %t!','Your Enhance: Verlien''s Keen of Despair fades.','',1,0,'',0,'You cast Enhance: Verlien''s Keen of Despair on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670478,1384377918,0,1),
(1001206,553603544,4,0,'Enhance: Vicious Charge','Improves the damage of Vicious Charge.',11,65535,65535,0,0,0,0,1,'Your Enhance: Vicious Charge was successful on %t!','Your Enhance: Vicious Charge fades.','',1,0,'',0,'You cast Enhance: Vicious Charge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670478,1384377909,0,1),
(1001207,3654683641,4,0,'Enhance: Vicious Feasting','Improves the damage and heal amount of Vicious Feasting.',11,65535,65535,0,0,0,0,1,'Your Enhance: Vicious Feasting was successful on %t!','Your Enhance: Vicious Feasting fades.','',1,0,'',0,'You cast Enhance: Vicious Feasting on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670478,1384377913,0,1),
(1001208,262229945,4,0,'Enhance: Vicious Talons','Improves the damage of Vicious Talons.',11,65535,65535,0,0,0,0,1,'Your Enhance: Vicious Talons was successful on %t!','Your Enhance: Vicious Talons fades.','',1,0,'',0,'You cast Enhance: Vicious Talons on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670478,1384377899,0,1),
(1001209,1595315290,4,0,'Enhance: Vine Net','Opponents hit by your Vine Net will have their noxious and elemental resistances reduced even further.',308,65535,315,0,0,0,0,1,'Your Enhance: Vine Net was successful on %t!','Your Enhance: Vine Net fades.','',1,0,'',0,'You cast Enhance: Vine Net on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670478,1384377912,0,1),
(1001210,2757295333,4,0,'Enhance: Viscerate','Viscerate and its upgrades become more effective, reducing opponents'' agility further.',381,65535,315,0,0,0,0,1,'Your Enhance: Viscerate was successful on %t!','Your Enhance: Viscerate fades.','',1,0,'',0,'You cast Enhance: Viscerate on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670478,1384377901,0,1),
(1001211,3068362364,4,0,'Enhance: Vision of Madness','Improves the reuse speed of your Vision of Madness. While Madness is active, the Berserker will take less damage.',492,65535,317,0,0,0,0,1,'Your Enhance: Vision of Madness was successful on %t!','Your Enhance: Vision of Madness fades.','',1,0,'',0,'You cast Enhance: Vision of Madness on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670478,1384377903,0,1),
(1001212,3706953724,4,0,'Enhance: Vital Transfer','Increases the power restored by Vital Transfer and its upgrades.',11,65535,65535,0,0,0,0,1,'Your Enhance: Vital Transfer was successful on %t!','Your Enhance: Vital Transfer fades.','',1,0,'',0,'You cast Enhance: Vital Transfer on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670479,1384377831,0,1),
(1001213,3964136645,4,0,'Enhance: Vitality Poisons','Your Vitality Breach poisons both do more damage to opponents and transfer more health to you.',258,65535,315,0,0,0,0,1,'Your Enhance: Vitality Poisons was successful on %t!','Your Enhance: Vitality Poisons fades.','',1,0,'',0,'You cast Enhance: Vitality Poisons on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670479,1384377905,0,1),
(1001214,1621365208,4,0,'Enhance: Voice of the Ancestors','Improves the reuse speed and radius of Voice of the Ancestors.',471,65535,314,0,0,0,0,1,'Your Enhance: Voice of the Ancestors was successful on %t!','Your Enhance: Voice of the Ancestors fades.','',1,0,'',0,'You cast Enhance: Voice of the Ancestors on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670479,1384377840,0,1),
(1001215,1416636731,4,0,'Enhance: Wall of Rage','Increases the duration of Wall of Rage and its upgrades.',184,65535,317,0,0,0,0,1,'Your Enhance: Wall of Rage was successful on %t!','Your Enhance: Wall of Rage fades.','',1,0,'',0,'You cast Enhance: Wall of Rage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670479,1384377902,0,1),
(1001216,3360817857,4,0,'Enhance: War Cry','Increases the trigger chance of War Cry and its upgrades.',11,65535,65535,0,0,0,0,1,'Your Enhance: War Cry was successful on %t!','Your Enhance: War Cry fades.','',1,0,'',0,'You cast Enhance: War Cry on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670479,1384377830,0,1),
(1001217,1082979079,4,0,'Enhance: Warden of the Forest','Increases the mitigation provided by Warden of the Forest and its upgrades.',226,65535,317,0,0,0,0,1,'Your Enhance: Warden of the Forest was successful on %t!','Your Enhance: Warden of the Forest fades.','',1,0,'',0,'You cast Enhance: Warden of the Forest on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670479,1384377907,0,1),
(1001218,3669869256,4,0,'Enhance: Warring Deities','Improves the critical damage and hastens the casting and reuse speed and reduces the power cost of Warring Deities and its upgrades.',471,65535,315,0,0,0,0,1,'Your Enhance: Warring Deities was successful on %t!','Your Enhance: Warring Deities fades.','',1,0,'',0,'You cast Enhance: Warring Deities on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670479,1384377907,0,1),
(1001219,2847735670,4,0,'Enhance: Warring Restoration','Improves the heal amount of Warring Restoration.',11,65535,65535,0,0,0,0,1,'Your Enhance: Warring Restoration was successful on %t!','Your Enhance: Warring Restoration fades.','',1,0,'',0,'You cast Enhance: Warring Restoration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670479,1384377900,0,1),
(1001220,730444008,4,1,'Enhance: Weakness Duration','Weaknesses cast by the warder will have their durations extended.',226,65535,317,0,0,0,1,1,'Your Enhance: Weakness Duration was successful on %t!','Your Enhance: Weakness Duration fades.','',1,0,'',0,'You cast Enhance: Weakness Duration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670480,1384377901,0,1),
(1001221,3052217675,4,1,'Enhance: Weakness Reuse','Improves the frequency that the beastlord''s warder can trigger the Weakness effect.',241,65535,317,0,0,0,1,1,'Your Enhance: Weakness Reuse was successful on %t!','Your Enhance: Weakness Reuse fades.','',1,0,'',0,'You cast Enhance: Weakness Reuse on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670480,1384377903,0,1),
(1001222,643589101,4,0,'Enhance: Weapon Counter','Improves the reuse speed and critical damage of Weapon Counter.',307,65535,317,0,0,0,0,1,'Your Enhance: Weapon Counter was successful on %t!','Your Enhance: Weapon Counter fades.','',1,0,'',0,'You cast Enhance: Weapon Counter on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670480,1384377912,0,1),
(1001223,3725445681,4,0,'Enhance: Weighted Charge','Improves the damage of Weighted Charge.',11,65535,65535,0,0,0,0,1,'Your Enhance: Weighted Charge was successful on %t!','Your Enhance: Weighted Charge fades.','',1,0,'',0,'You cast Enhance: Weighted Charge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670480,1384377911,0,1),
(1001224,1683498422,4,0,'Enhance: Wild Charge','Improves the damage of Wild Charge.',11,65535,65535,0,0,0,0,1,'Your Enhance: Wild Charge was successful on %t!','Your Enhance: Wild Charge fades.','',1,0,'',0,'You cast Enhance: Wild Charge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670480,1384377838,0,1),
(1001225,528985863,4,0,'Enhance: Wild Snapping','Improves the damage of Wild Snapping.',11,65535,65535,0,0,0,0,1,'Your Enhance: Wild Snapping was successful on %t!','Your Enhance: Wild Snapping fades.','',1,0,'',0,'You cast Enhance: Wild Snapping on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670480,1384377899,0,1),
(1001226,870096420,4,0,'Enhance: Will of the Heavens','',11,65535,65535,0,0,0,0,1,'Your Enhance: Will of the Heavens was successful on %t!','Your Enhance: Will of the Heavens fades.','',1,0,'',0,'You cast Enhance: Will of the Heavens on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670480,1384377836,0,1),
(1001227,3669965585,4,0,'Enhance: Will of the Heavens','Improves the reuse speed of Will of the Heavens. Additionally, the final rank will allow Will of the Heavens to cure Trauma effects.',476,65535,317,0,0,0,0,1,'Your Enhance: Will of the Heavens was successful on %t!','Your Enhance: Will of the Heavens fades.','',1,0,'',0,'You cast Enhance: Will of the Heavens on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670480,1384377908,0,1),
(1001228,1179070956,4,0,'Enhance: Willow Wisp','Improves the reuse speed of Willow Wisp and its upgrades. The final rank adds a hate position reduction.',157,65535,313,0,0,0,0,1,'Your Enhance: Willow Wisp was successful on %t!','Your Enhance: Willow Wisp fades.','',1,0,'',0,'You cast Enhance: Willow Wisp on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670480,1384377906,0,1),
(1001229,336004634,4,0,'Enhance: Winds of Velious','Hastens the effects of Winds of Velious, causing its damage to occur faster.',511,65535,315,0,0,0,0,1,'Your Enhance: Winds of Velious was successful on %t!','Your Enhance: Winds of Velious fades.','',1,0,'',0,'You cast Enhance: Winds of Velious on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670481,1384377903,0,1),
(1001230,2073954144,4,0,'Enhance: Wing Beat','Improves the damage of Wing Beast.',11,65535,65535,0,0,0,0,1,'Your Enhance: Wing Beat was successful on %t!','Your Enhance: Wing Beat fades.','',1,0,'',0,'You cast Enhance: Wing Beat on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670481,1384377831,0,1),
(1001231,1591899364,4,0,'Enhance: Wrath of Nature','Improves the reuse speed and reduces the duration of Wrath of Nature, speeding up how fast the damage occurs. The final rank adds an additional tick.',878,65535,65535,0,0,0,0,1,'Your Enhance: Wrath of Nature was successful on %t!','Your Enhance: Wrath of Nature fades.','',1,0,'',0,'You cast Enhance: Wrath of Nature on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670481,1384377905,0,1),
(1001232,4096143996,4,0,'Enhance: Zander''s Choral Rebuff','Zander''s Choral Rebuff becomes more effective at reducing opponents'' spell resistances.',471,65535,312,0,0,0,0,1,'Your Enhance: Zander''s Choral Rebuff was successful on %t!','Your Enhance: Zander''s Choral Rebuff fades.','',1,0,'',0,'You cast Enhance: Zander''s Choral Rebuff on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670481,1384377908,0,1),
(1001233,3114810005,4,0,'Enhanced Attacks','Improves the warder''s attack speed and Multi-Attack Chance.',11,65535,65535,0,0,0,0,1,'Your Enhanced Attacks was successful on %t!','Your Enhanced Attacks fades.','',1,0,'',0,'You cast Enhanced Attacks on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670481,1384377839,0,1),
(1001234,3780139331,4,0,'Enhanced Attacks','Improves the warder''s attack speed and Multi-Attack Chance.',11,65535,65535,0,0,0,0,1,'Your Enhanced Attacks was successful on %t!','Your Enhanced Attacks fades.','',1,0,'',0,'You cast Enhanced Attacks on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670481,1384377902,0,1),
(1001235,4033933457,4,0,'Enhanced Attacks','Improves the warder''s attack speed and Multi-Attack Chance.',11,65535,65535,0,0,0,0,1,'Your Enhanced Attacks was successful on %t!','Your Enhanced Attacks fades.','',1,0,'',0,'You cast Enhanced Attacks on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670481,1384377839,0,1),
(1001236,2453861424,4,0,'Enhanced Attacks','Improves the warder''s attack speed and Multi-Attack Chance.',11,65535,65535,0,0,0,0,1,'Your Enhanced Attacks was successful on %t!','Your Enhanced Attacks fades.','',1,0,'',0,'You cast Enhanced Attacks on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670481,1384377838,0,1),
(1001237,4252744438,4,0,'Enhanced Attacks','Improves the warder''s attack speed and Multi-Attack Chance.',11,65535,65535,0,0,0,0,1,'Your Enhanced Attacks was successful on %t!','Your Enhanced Attacks fades.','',1,0,'',0,'You cast Enhanced Attacks on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670481,1384377838,0,1),
(1001238,2276845214,4,0,'Enhanced Attacks','Improves the warder''s attack speed and Multi-Attack Chance.',11,65535,65535,0,0,0,0,1,'Your Enhanced Attacks was successful on %t!','Your Enhanced Attacks fades.','',1,0,'',0,'You cast Enhanced Attacks on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670481,1384377916,0,1),
(1001239,3443626944,4,0,'Enhanced Attacks','Improves the warder''s attack speed and Multi-Attack Chance.',11,65535,65535,0,0,0,0,1,'Your Enhanced Attacks was successful on %t!','Your Enhanced Attacks fades.','',1,0,'',0,'You cast Enhanced Attacks on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670481,1384377916,0,1),
(1001240,3068970349,4,0,'Enhanced Attacks','Improves the warder''s attack speed and Multi-Attack Chance.',11,65535,65535,0,0,0,0,1,'Your Enhanced Attacks was successful on %t!','Your Enhanced Attacks fades.','',1,0,'',0,'You cast Enhanced Attacks on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670481,1384377913,0,1),
(1001241,3571222540,4,0,'Enhanced Attacks','Improves the warder''s attack speed and Multi-Attack Chance.',11,65535,65535,0,0,0,0,1,'Your Enhanced Attacks was successful on %t!','Your Enhanced Attacks fades.','',1,0,'',0,'You cast Enhanced Attacks on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670481,1384377910,0,1),
(1001242,192144929,4,0,'Enhanced Attacks','Improves the warder''s attack speed and Multi-Attack Chance.',11,65535,65535,0,0,0,0,1,'Your Enhanced Attacks was successful on %t!','Your Enhanced Attacks fades.','',1,0,'',0,'You cast Enhanced Attacks on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670481,1384377838,0,1),
(1001243,1830490939,4,0,'Enhanced Attacks','Improves the warder''s attack speed and Multi-Attack Chance.',11,65535,65535,0,0,0,0,1,'Your Enhanced Attacks was successful on %t!','Your Enhanced Attacks fades.','',1,0,'',0,'You cast Enhanced Attacks on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670481,1384377905,0,1),
(1001244,4053585410,4,0,'Enhanced Attacks','Improves the warder''s attack speed and Multi-Attack Chance.',11,65535,65535,0,0,0,0,1,'Your Enhanced Attacks was successful on %t!','Your Enhanced Attacks fades.','',1,0,'',0,'You cast Enhanced Attacks on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670481,1384377906,0,1),
(1001245,1690820317,4,0,'Enhanced Attacks','Improves the warder''s attack speed and Multi-Attack Chance.',11,65535,65535,0,0,0,0,1,'Your Enhanced Attacks was successful on %t!','Your Enhanced Attacks fades.','',1,0,'',0,'You cast Enhanced Attacks on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670482,1384377917,0,1),
(1001246,1069965583,4,1,'Enhanced Blazing Shot','Lowers the base reuse time of Blazing Shot.',273,65535,315,0,0,0,1,1,'Your Enhanced Blazing Shot was successful on %t!','Your Enhanced Blazing Shot fades.','',1,0,'',0,'You cast Enhanced Blazing Shot on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670485,1384377915,0,1),
(1001247,1376650380,4,0,'Enhanced Cascade','Lowers the base reuse of Seeking Cascade.',11,65535,316,0,0,0,0,1,'Your Enhanced Cascade was successful on %t!','Your Enhanced Cascade fades.','',1,0,'',0,'You cast Enhanced Cascade on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670485,1384377899,0,1),
(1001248,668254910,4,1,'Enhanced Chaos','Lowers the base reuse time of Chaotic Blade.',381,65535,315,0,0,0,1,1,'Your Enhanced Chaos was successful on %t!','Your Enhanced Chaos fades.','',1,0,'',0,'You cast Enhanced Chaos on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670485,1384377907,0,1),
(1001249,2558880201,4,1,'Enhanced Charge','Lowers the base reuse time of Defender''s Charge.',929,65535,315,0,0,0,1,1,'Your Enhanced Charge was successful on %t!','Your Enhanced Charge fades.','',1,0,'',0,'You cast Enhanced Charge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670485,1384377838,0,1),
(1001250,755314119,4,1,'Enhanced Concentration','The mystic has a chance to be able to cast while moving when they cast their primary wards.',557,65535,65535,0,0,0,1,1,'Your Enhanced Concentration was successful on %t!','Your Enhanced Concentration fades.','',1,0,'',0,'You cast Enhanced Concentration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670485,1384377905,0,1),
(1001251,156556844,4,0,'Enhanced Dissipation','Increases the amount of Dissonance removed when using Dissipate. Improves the base casting time of Dissipation.',228,65535,317,0,0,0,0,1,'Your Enhanced Dissipation was successful on %t!','Your Enhanced Dissipation fades.','',1,0,'',0,'You cast Enhanced Dissipation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670485,1384377831,0,1),
(1001252,186497772,4,0,'Enhanced Harvestable Tracking','',777,65535,317,0,0,0,0,1,'Your Enhanced Harvestable Tracking was successful on %t!','Your Enhanced Harvestable Tracking fades.','',1,0,'',0,'You cast Enhanced Harvestable Tracking on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670485,1384377902,0,1),
(1001253,1304825979,4,1,'Enhanced Intellect','Your increased knowledge allows you to increase your power pool by a small amount.',24,65535,317,0,0,0,1,0,'Your Enhanced Intellect was successful on %t!','Your Enhanced Intellect fades.','',0,1,'Spells/Traits/EnhancedIntellectEuridite.lua',0,'You cast Enhanced Intellect on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670485,1384378109,0,1),
(1001254,1958830708,4,1,'Enhanced Intellect','Through intense study, you gain additional intelligence that increases with your level.',597,65535,317,0,0,0,1,0,'Your Enhanced Intellect was successful on %t!','Your Enhanced Intellect fades.','',0,1,'Spells/Traits/EnhancedIntellect.lua',0,'You cast Enhanced Intellect on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670485,1384378110,0,1),
(1001255,1717560559,4,1,'Enhanced Intensity','Lowers the base reuse time of Feral Intensity.',883,65535,315,0,0,0,1,1,'Your Enhanced Intensity was successful on %t!','Your Enhanced Intensity fades.','',1,0,'',0,'You cast Enhanced Intensity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670485,1384377910,0,1),
(1001256,506798149,4,0,'Enhanced Mind','Increases your character''s maximum power',796,65535,318,0,0,0,1,0,'Your Enhanced Mind was successful on %t!','Your Enhanced Mind fades.','',0,1,'Spells/AA/EnhancedMind.lua',0,'You cast Enhanced Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670485,1384377838,0,1),
(1001257,4062531708,4,0,'Enhanced Minion Control','',777,65535,317,0,0,0,0,1,'Your Enhanced Minion Control was successful on %t!','Your Enhanced Minion Control fades.','',1,0,'',0,'You cast Enhanced Minion Control on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670485,1384377908,0,1),
(1001258,758516412,4,1,'Enhanced Nightblade','Lowers the base reuse time of Nightblade.',838,65535,315,0,0,0,1,1,'Your Enhanced Nightblade was successful on %t!','Your Enhanced Nightblade fades.','',1,0,'',0,'You cast Enhanced Nightblade on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670485,1384377899,0,1),
(1001259,3623017192,4,1,'Enhanced Noxious Bolt','Lowers the base reuse time of Noxious Bolt.',833,65535,315,0,0,0,1,1,'Your Enhanced Noxious Bolt was successful on %t!','Your Enhanced Noxious Bolt fades.','',1,0,'',0,'You cast Enhanced Noxious Bolt on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670485,1384377838,0,1),
(1001260,570400319,4,1,'Enhanced Perception','Lowers the base reuse time of Ralissk''s Perception.',928,65535,312,2898101972,0,0,1,1,'Your Enhanced Perception was successful on %t!','Your Enhanced Perception fades.','',1,0,'',0,'You cast Enhanced Perception on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670485,1384377899,0,1),
(1001261,1618262126,4,1,'Enhanced Reaping','Lowers the base reuse time of Reaper''s Mist.',261,65535,313,0,0,0,1,1,'Your Enhanced Reaping was successful on %t!','Your Enhanced Reaping fades.','',1,0,'',0,'You cast Enhanced Reaping on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670485,1384377905,0,1),
(1001262,865550792,4,0,'Enhanced Repairs','Increases the effectiveness of the channeler''s Slot 1 and 2 Conduits.',244,65535,317,0,0,0,0,1,'Your Enhanced Repairs was successful on %t!','Your Enhanced Repairs fades.','',1,0,'',0,'You cast Enhanced Repairs on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670485,1384377899,0,1),
(1001263,2786539256,4,1,'Enhanced Resonation','Lowers the base reuse time of Echoing Howl.',798,65535,313,0,0,0,1,1,'Your Enhanced Resonation was successful on %t!','Your Enhanced Resonation fades.','',1,0,'',0,'You cast Enhanced Resonation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670485,1384377904,0,1),
(1001264,2872824655,4,1,'Enhanced Reverberation','Lowers the base reuse time of Reverberation.',798,65535,313,0,0,0,1,1,'Your Enhanced Reverberation was successful on %t!','Your Enhanced Reverberation fades.','',1,0,'',0,'You cast Enhanced Reverberation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670485,1384377916,0,1),
(1001265,4281009256,4,1,'Enhanced Saga','Lowers the base reuse time of Saga of Bloodshed.',862,65535,313,0,0,0,1,1,'Your Enhanced Saga was successful on %t!','Your Enhanced Saga fades.','',1,0,'',0,'You cast Enhanced Saga on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670485,1384377839,0,1),
(1001266,2019957727,4,1,'Enhanced Salvo','Lowers the base reuse time of Rapid Salvo.',361,65535,313,0,0,0,1,1,'Your Enhanced Salvo was successful on %t!','Your Enhanced Salvo fades.','',1,0,'',0,'You cast Enhanced Salvo on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670485,1384377839,0,1),
(1001267,847290373,4,1,'Enhanced Storm','Lowers the base reuse time of Stormbearer''s Fury.',852,65535,313,0,0,0,1,1,'Your Enhanced Storm was successful on %t!','Your Enhanced Storm fades.','',1,0,'',0,'You cast Enhanced Storm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670485,1384377902,0,1),
(1001268,3460591315,4,1,'Enlightened','Years of meditation have revealed many truths to you.  This trait reflects the benefits of your introspection by increasing your Wisdom by 4.',4,65535,65535,0,0,0,1,0,'Your Enlightened was successful on %t!','Your Enlightened fades.','',0,0,'Spells/Enlightened.lua',0,'You cast Enlightened on %t.',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1384670485,1384378109,0,0),
(1001269,316390822,4,1,'Entropic Perception','Following Rot Flesh, the necromancer''s group have their threat adjusted by a percentage of the magical damage they inflict.',208,65535,315,0,0,0,1,1,'Your Entropic Perception was successful on %t!','Your Entropic Perception fades.','',1,0,'',0,'You cast Entropic Perception on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670485,1384377904,0,1),
(1001270,2905835501,4,1,'Environmental Adaptability','Increases your resistance to elemental based attacks.',274,65535,313,0,0,0,0,0,'Your Environmental Adaptability was successful on %t!','Your Environmental Adaptability fades.','',0,1,'Spells/Traits/EnvironmentalAdaptability.lua',0,'You cast Environmental Adaptability on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,0,0,0,0,'Unset',1384670485,1384378109,0,1),
(1001271,4120654745,4,1,'Erollisi''s Heartseeker','Nature''s Focus will grant the group a chance to inflict additional piercing damage with every attack.',808,65535,314,0,0,0,1,1,'Your Erollisi''s Heartseeker was successful on %t!','Your Erollisi''s Heartseeker fades.','',1,0,'',0,'You cast Erollisi''s Heartseeker on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670485,1384377839,0,1),
(1001272,1775354961,4,0,'Esoteric Study','Grants the high elf additional skill in scribing.',400,65535,65535,0,0,0,0,0,'Your Esoteric Study was successful on %t!','Your Esoteric Study fades.','',0,1,'Spells/Traits/EsotericStudy.lua',188,'You cast Esoteric Study on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670485,1384378109,0,1),
(1001273,689129217,4,0,'Essence Recovery','Lowers the internal cooldown of Essence Revival.',205,65535,317,0,0,0,0,1,'Your Essence Recovery was successful on %t!','Your Essence Recovery fades.','',1,0,'',0,'You cast Essence Recovery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670485,1384377905,0,1),
(1001274,756830296,4,0,'Essence Revival','When the target of Construct''s Interception or Overloaded Interception falls in combat, the shaper will instantly revive them.',205,65535,317,0,0,0,0,1,'Your Essence Revival was successful on %t!','Your Essence Revival fades.','',1,0,'',0,'You cast Essence Revival on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670487,1384377830,0,1),
(1001275,510924281,4,0,'Essence Siphoning','Essence Siphoning adds a component to Siphon Strength that absorbs a small amount of Potency.',89,65535,315,0,0,0,0,1,'Your Essence Siphoning was successful on %t!','Your Essence Siphoning fades.','',1,0,'',0,'You cast Essence Siphoning on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670487,1384377903,0,1),
(1001276,391388801,4,0,'Essence of Hatred','Allows the sorcerer to transfer additional hate to their target.',243,65535,316,0,0,0,0,1,'Your Essence of Hatred was successful on %t!','Your Essence of Hatred fades.','',1,0,'',0,'You cast Essence of Hatred on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670487,1384377837,0,1),
(1001277,214759927,4,0,'Essence of the Stormcaller','Improves the base and critical damage of the fury''s magical damage based spells.',884,65535,65535,0,0,0,0,1,'Your Essence of the Stormcaller was successful on %t!','Your Essence of the Stormcaller fades.','',1,0,'',0,'You cast Essence of the Stormcaller on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670487,1384377836,0,1),
(1001278,2837856973,4,1,'Eternal Learning','Through intense study, you gain additional intelligence that increases with your level.',269,65535,65535,0,0,0,1,1,'Your Eternal Learning was successful on %t!','Your Eternal Learning fades.','',1,0,'',0,'You cast Eternal Learning on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670487,1384377823,0,1),
(1001279,4264741489,4,1,'Eternal Rest','Improves the trigger chance and tick amount of Graverot.',696,65535,317,0,0,0,1,1,'Your Eternal Rest was successful on %t!','Your Eternal Rest fades.','',1,0,'',0,'You cast Eternal Rest on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670487,1384377914,0,1),
(1001280,3475317818,4,1,'Eternal Youth','While out of combat, your power will regenerate faster than normal.',627,65535,65535,0,0,0,1,1,'Your Eternal Youth was successful on %t!','Your Eternal Youth fades.','',1,0,'',0,'You cast Eternal Youth on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670487,1384377823,0,1),
(1001281,2525217892,4,1,'Ether Assault','Improves the damage of Ether Balance. This applies before potency.',160,65535,314,0,0,0,1,1,'Your Ether Assault was successful on %t!','Your Ether Assault fades.','',1,0,'',0,'You cast Ether Assault on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670487,1384377838,0,1),
(1001282,104651253,4,1,'Ether Flow','Improves the amount of power restored with Ether Balance.',31,65535,314,0,0,0,1,1,'Your Ether Flow was successful on %t!','Your Ether Flow fades.','',1,0,'',0,'You cast Ether Flow on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670487,1384377916,0,1),
(1001283,136691475,4,1,'Ethereal Souls','Improves the Crit Bonus of Spiritual Dominion.',272,65535,314,0,0,0,1,1,'Your Ethereal Souls was successful on %t!','Your Ethereal Souls fades.','',1,0,'',0,'You cast Ethereal Souls on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670487,1384377902,0,1),
(1001284,615529690,4,0,'Ethereal Weaponry','Grants the shaman additional weapon damage.',867,65535,65535,0,0,0,0,1,'Your Ethereal Weaponry was successful on %t!','Your Ethereal Weaponry fades.','',1,0,'',0,'You cast Ethereal Weaponry on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670487,1384377912,0,1),
(1001285,1255430311,4,0,'Ethernere Resilience','Reduces the damage taken by the summoner''s pet.',931,65535,65535,0,0,0,0,1,'Your Ethernere Resilience was successful on %t!','Your Ethernere Resilience fades.','',1,0,'',0,'You cast Ethernere Resilience on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670487,1384377831,0,1),
(1001286,3783587058,4,1,'Etherwave','Increases the trigger count of Ether Balance.',826,65535,314,0,0,0,1,1,'Your Etherwave was successful on %t!','Your Etherwave fades.','',1,0,'',0,'You cast Etherwave on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670487,1384377897,0,1),
(1001287,744431462,4,0,'Evading Awareness','Improves the trigger chance of Ignorant Bliss and the rogue''s triggered threat reduction ability.',259,65535,317,0,0,0,0,1,'Your Evading Awareness was successful on %t!','Your Evading Awareness fades.','',1,0,'',0,'You cast Evading Awareness on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670487,1384377913,0,1),
(1001288,4054689359,4,1,'Excellence','Your wisdom allows you to increase the durability of items while tradeskilling.',422,65535,65535,0,0,0,1,0,'Your Excellence was successful on %t!','Your Excellence fades.','',0,1,'Spells/Traits/Excellence.lua',0,'You cast Excellence on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670487,1384378110,0,1),
(1001289,3287401271,4,0,'Excessive Bleeding','For each Bleeding ability active on your opponent, their maximum health is reduced.',327,65535,65535,0,0,0,0,1,'Your Excessive Bleeding was successful on %t!','Your Excessive Bleeding fades.','',1,0,'',0,'You cast Excessive Bleeding on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670487,1384377911,0,1),
(1001290,4220920549,4,0,'Executioner''s Anger','Increases the Executioner''s hate gained by all enemies.',655,65535,65535,0,0,0,0,1,'Your Executioner''s Anger was successful on %t!','Your Executioner''s Anger fades.','',1,0,'',0,'You cast Executioner''s Anger on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670487,1384377830,0,1),
(1001291,323991485,4,0,'Executioner''s Fortification','Adds mitigation to Executioner''s Fury.',190,65535,65535,0,0,0,0,1,'Your Executioner''s Fortification was successful on %t!','Your Executioner''s Fortification fades.','',1,0,'',0,'You cast Executioner''s Fortification on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670487,1384377912,0,1),
(1001292,2358317683,4,0,'Executioner''s Fury','Anytime the Executioner is under 50% health, they gain additional chances at critical melee, additional taunt bonus, and all combat arts deal more damage.',610,65535,65535,0,0,0,0,1,'Your Executioner''s Fury was successful on %t!','Your Executioner''s Fury fades.','',1,0,'',0,'You cast Executioner''s Fury on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670487,1384377830,0,1),
(1001293,2348602986,4,0,'Executioner''s Strength','Increases the Executioner''s strength by 4 for each rank.',665,65535,65535,0,0,0,0,1,'Your Executioner''s Strength was successful on %t!','Your Executioner''s Strength fades.','',1,0,'',0,'You cast Executioner''s Strength on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670487,1384377905,0,1),
(1001294,3393592665,4,0,'Exorcist''s Concentration','Increases all of the Exorcist''s casting skills.',542,65535,65535,0,0,0,0,1,'Your Exorcist''s Concentration was successful on %t!','Your Exorcist''s Concentration fades.','',1,0,'Spells/AA/ExorcistsConcentration.lua',0,'You cast Exorcist''s Concentration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670487,1384377830,0,1),
(1001295,3123505622,4,0,'Exorcist''s Wisdom','',184,65535,65535,0,0,0,0,1,'Your Exorcist''s Wisdom was successful on %t!','Your Exorcist''s Wisdom fades.','',1,0,'',0,'You cast Exorcist''s Wisdom on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377910,0,1),
(1001296,523802587,4,1,'Exotic Infusion','Allows the beastlord to tame an exotic warder. The warder spell is added to the beastlord''s knowledge book and takes the appearance of the targeted creature. Using this ability on the same type of creature updates the appearance of the associated warder. Tame Exotic Warder can only be used on specific creature types. This ability also allows the beastlord to summon Exotic Warders and use Exotic Primal abilities.',11,65535,65535,0,0,0,1,1,'Your Exotic Infusion was successful on %t!','Your Exotic Infusion fades.','',1,0,'',0,'You cast Exotic Infusion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377902,0,1),
(1001297,2212797102,4,0,'Experimental Preservatives','Greatly increases the artisan''s food and drink duration.',809,65535,317,0,0,0,0,1,'Your Experimental Preservatives was successful on %t!','Your Experimental Preservatives fades.','',1,0,'',0,'You cast Experimental Preservatives on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377899,0,1),
(1001298,4118491095,4,1,'Experimental Technique','While tradeskilling, you will gain an additional chance to have a successful round.\n',270,65535,317,0,0,0,1,0,'Your Experimental Technique was successful on %t!','Your Experimental Technique fades.','',0,1,'Spells/Traits/ExperimentalTechnique.lua',0,'You cast Experimental Technique on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670489,1384378110,0,1),
(1001299,34370435,4,0,'Experimentation','Allows the artisan to experiment on an item.  Experimentation can either add a proc, add a decoration, or boost the stats of an item.  Higher ranks of this ability increase the total amount of times you can experiment on an item.  Additionally, higher ranks of this ability will improve your experimentation reaction arts.',896,65535,317,0,0,0,0,1,'Your Experimentation was successful on %t!','Your Experimentation fades.','',1,0,'',0,'You cast Experimentation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377839,0,1),
(1001300,447950008,4,1,'Expert Chemistry','Improves the duration of all tradeskilled potions by 20 percent.',845,65535,317,0,0,0,1,1,'Your Expert Chemistry was successful on %t!','Your Expert Chemistry fades.','',1,0,'',0,'You cast Expert Chemistry on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670489,1384378109,0,1),
(1001301,666810288,4,0,'Expertise','Increases Potency.',852,65535,65535,0,0,0,0,0,'Your Expertise was successful on %t!','Your Expertise fades.','',1,0,'Spells/AA/Expertise.lua',0,'You cast Expertise on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377910,0,1),
(1001302,3931995775,4,0,'Exposed Weaknesses','Grants the warder a new ability that inflicts damage and impairs physical, elemental and noxious mitigation.',11,65535,65535,0,0,0,0,1,'Your Exposed Weaknesses was successful on %t!','Your Exposed Weaknesses fades.','',1,0,'',0,'You cast Exposed Weaknesses on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377905,0,1),
(1001303,3258833814,4,0,'Exposed Weaknesses','Grants the warder a new ability that inflicts damage and impairs physical, elemental and noxious mitigation.',11,65535,65535,0,0,0,0,1,'Your Exposed Weaknesses was successful on %t!','Your Exposed Weaknesses fades.','',1,0,'',0,'You cast Exposed Weaknesses on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377912,0,1),
(1001304,1150655078,4,0,'Exposed Weaknesses','Grants the warder a new ability that inflicts damage and impairs physical, elemental and noxious mitigation.',11,65535,65535,0,0,0,0,1,'Your Exposed Weaknesses was successful on %t!','Your Exposed Weaknesses fades.','',1,0,'',0,'You cast Exposed Weaknesses on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377907,0,1),
(1001305,3129472757,4,0,'Exposed Weaknesses','Grants the warder a new ability that inflicts damage and impairs physical, elemental and noxious mitigation.',11,65535,65535,0,0,0,0,1,'Your Exposed Weaknesses was successful on %t!','Your Exposed Weaknesses fades.','',1,0,'',0,'You cast Exposed Weaknesses on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377911,0,1),
(1001306,2508277688,4,0,'Exposed Weaknesses','Grants the warder a new ability that inflicts damage and impairs physical, elemental and noxious mitigation.',11,65535,65535,0,0,0,0,1,'Your Exposed Weaknesses was successful on %t!','Your Exposed Weaknesses fades.','',1,0,'',0,'You cast Exposed Weaknesses on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377899,0,1),
(1001307,2765644875,4,0,'Exposed Weaknesses','Grants the warder a new ability that inflicts damage and impairs physical, elemental and noxious mitigation.',11,65535,65535,0,0,0,0,1,'Your Exposed Weaknesses was successful on %t!','Your Exposed Weaknesses fades.','',1,0,'',0,'You cast Exposed Weaknesses on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377897,0,1),
(1001308,3995865365,4,0,'Exposed Weaknesses','Grants the warder a new ability that inflicts damage and impairs physical, elemental and noxious mitigation.',11,65535,65535,0,0,0,0,1,'Your Exposed Weaknesses was successful on %t!','Your Exposed Weaknesses fades.','',1,0,'',0,'You cast Exposed Weaknesses on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377899,0,1),
(1001309,290619384,4,0,'Exposed Weaknesses','Grants the warder a new ability that inflicts damage and impairs physical, elemental and noxious mitigation.',11,65535,65535,0,0,0,0,1,'Your Exposed Weaknesses was successful on %t!','Your Exposed Weaknesses fades.','',1,0,'',0,'You cast Exposed Weaknesses on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377904,0,1),
(1001310,3576942089,4,0,'Exposed Weaknesses','Grants the warder a new ability that inflicts damage and impairs physical, elemental and noxious mitigation.',11,65535,65535,0,0,0,0,1,'Your Exposed Weaknesses was successful on %t!','Your Exposed Weaknesses fades.','',1,0,'',0,'You cast Exposed Weaknesses on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377839,0,1),
(1001311,3506793491,4,0,'Exposed Weaknesses','Grants the warder a new ability that inflicts damage and impairs physical, elemental and noxious mitigation.',11,65535,65535,0,0,0,0,1,'Your Exposed Weaknesses was successful on %t!','Your Exposed Weaknesses fades.','',1,0,'',0,'You cast Exposed Weaknesses on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377908,0,1),
(1001312,2596649024,4,0,'Exposed Weaknesses','Grants the warder a new ability that inflicts damage and impairs physical, elemental and noxious mitigation.',11,65535,65535,0,0,0,0,1,'Your Exposed Weaknesses was successful on %t!','Your Exposed Weaknesses fades.','',1,0,'',0,'You cast Exposed Weaknesses on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377838,0,1),
(1001313,60806257,4,0,'Exposed Weaknesses','Grants the warder a new ability that inflicts damage and impairs physical, elemental and noxious mitigation.',11,65535,65535,0,0,0,0,1,'Your Exposed Weaknesses was successful on %t!','Your Exposed Weaknesses fades.','',1,0,'',0,'You cast Exposed Weaknesses on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377904,0,1),
(1001314,3082470201,4,0,'Exposed Weaknesses','Grants the warder a new ability that inflicts damage and impairs physical, elemental and noxious mitigation.',11,65535,65535,0,0,0,0,1,'Your Exposed Weaknesses was successful on %t!','Your Exposed Weaknesses fades.','',1,0,'',0,'You cast Exposed Weaknesses on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377918,0,1),
(1001315,3700615621,4,0,'Exposed Weaknesses','Grants the warder a new ability that inflicts damage and impairs physical, elemental and noxious mitigation.',11,65535,65535,0,0,0,0,1,'Your Exposed Weaknesses was successful on %t!','Your Exposed Weaknesses fades.','',1,0,'',0,'You cast Exposed Weaknesses on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377914,0,1),
(1001316,199356719,4,0,'Exposed Weaknesses','Grants the warder a new ability that inflicts damage and impairs physical, elemental and noxious mitigation.',11,65535,65535,0,0,0,0,1,'Your Exposed Weaknesses was successful on %t!','Your Exposed Weaknesses fades.','',1,0,'',0,'You cast Exposed Weaknesses on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377910,0,1),
(1001317,524816126,4,0,'Exposed Weaknesses','Grants the warder a new ability that inflicts damage and impairs physical, elemental and noxious mitigation.',11,65535,65535,0,0,0,0,1,'Your Exposed Weaknesses was successful on %t!','Your Exposed Weaknesses fades.','',1,0,'',0,'You cast Exposed Weaknesses on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377910,0,1),
(1001318,3270466617,4,0,'Exposed Weaknesses','Grants the warder a new ability that inflicts damage and impairs physical, elemental and noxious mitigation.',11,65535,65535,0,0,0,0,1,'Your Exposed Weaknesses was successful on %t!','Your Exposed Weaknesses fades.','',1,0,'',0,'You cast Exposed Weaknesses on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377838,0,1),
(1001319,1614406395,4,0,'Exposed Weaknesses','Grants the warder a new ability that inflicts damage and impairs physical, elemental and noxious mitigation.',11,65535,65535,0,0,0,0,1,'Your Exposed Weaknesses was successful on %t!','Your Exposed Weaknesses fades.','',1,0,'',0,'You cast Exposed Weaknesses on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377905,0,1),
(1001320,4278861957,4,0,'Exposed Weaknesses','Grants the warder a new ability that inflicts damage and impairs physical, elemental and noxious mitigation.',11,65535,65535,0,0,0,0,1,'Your Exposed Weaknesses was successful on %t!','Your Exposed Weaknesses fades.','',1,0,'',0,'You cast Exposed Weaknesses on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377899,0,1),
(1001321,462322673,4,0,'Expunger','Improves the duration and damage of Plaguebringer and Hailstorm.',896,65535,65535,0,0,0,0,1,'Your Expunger was successful on %t!','Your Expunger fades.','',1,0,'',0,'You cast Expunger on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377906,0,1),
(1001322,3433361118,4,1,'Extended March','Your divine skills allow you to purify drinks, allowing them to last longer than normal.',131,65535,65535,0,0,0,1,1,'Your Extended March was successful on %t!','Your Extended March fades.','',1,0,'',0,'You cast Extended March on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670489,1384378109,0,1),
(1001323,1304879127,4,0,'Extended Reflexes','Increases the duration of Dragoon''s Reflexes.',560,65535,65535,0,0,0,0,1,'Your Extended Reflexes was successful on %t!','Your Extended Reflexes fades.','',1,0,'',0,'You cast Extended Reflexes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377908,0,1),
(1001324,2622240061,4,0,'Extension','Increases the range and hit chance of all ranged attacks.',300,65535,65535,0,0,0,0,1,'Your Extension was successful on %t!','Your Extension fades.','',1,0,'',0,'You cast Extension on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377900,0,1),
(1001325,4116943009,4,1,'Extra Decay','Improves the duration of Rot Flesh.',259,65535,315,0,0,0,1,1,'Your Extra Decay was successful on %t!','Your Extra Decay fades.','',1,0,'',0,'You cast Extra Decay on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377912,0,1),
(1001326,3886029501,4,1,'Extra Pitch','Improves the maximum increments of Flaming Weapons. The final rank doubles the amount of increments gained when using Blazing Shot.',276,65535,315,0,0,0,1,1,'Your Extra Pitch was successful on %t!','Your Extra Pitch fades.','',1,0,'',0,'You cast Extra Pitch on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377838,0,1),
(1001327,1544221405,4,0,'Facile Grace','Increases the Arbiter''s casting speed.',597,65535,65535,0,0,0,0,0,'Your Facile Grace was successful on %t!','Your Facile Grace fades.','',0,1,'Spells/AA/FacileGrace.lua',0,'You cast Facile Grace on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377830,0,1),
(1001328,3385116827,4,1,'Faith''s Aura','Faith will apply a weaker version of itself to non-fighters in the paladin''s group. The damage is attributed to the paladin.',619,65535,316,0,0,0,1,1,'Your Faith''s Aura was successful on %t!','Your Faith''s Aura fades.','',1,0,'',0,'You cast Faith''s Aura on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670489,1384377912,0,1),
(1001329,2616143529,4,1,'Faithful Protection','The paladin''s single target profession heal spells will trigger a small amount of avoidance to the target of the heal. These effects can stack.',17,65535,65535,0,0,0,1,1,'Your Faithful Protection was successful on %t!','Your Faithful Protection fades.','',1,0,'',0,'You cast Faithful Protection on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670491,1384377912,0,1),
(1001330,3200514061,4,1,'Faithful Retaliation','Grants three triggers of damage to each member of the paladin''s group after Faith expires. The damage is based on the amount reflected.',635,65535,317,0,0,0,1,1,'Your Faithful Retaliation was successful on %t!','Your Faithful Retaliation fades.','',1,0,'',0,'You cast Faithful Retaliation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670491,1384377838,0,1),
(1001331,2226884658,4,1,'Fanatic''s Fervor','Fanatic''s Inspiration and Radiance have a chance to finish the reuse of Chilling Invigoration.',928,65535,317,0,0,0,1,1,'Your Fanatic''s Fervor was successful on %t!','Your Fanatic''s Fervor fades.','',1,0,'',0,'You cast Fanatic''s Fervor on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670491,1384377910,0,1),
(1001332,1944280723,4,1,'Fanatic''s Rejection','Fanatic''s Protection has a chance to apply a Stoneskin to the target if they are at low health or fall to low health while Fanatic''s Protection is active.',872,65535,316,0,0,0,1,1,'Your Fanatic''s Rejection was successful on %t!','Your Fanatic''s Rejection fades.','',1,0,'',0,'You cast Fanatic''s Rejection on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670491,1384377901,0,1),
(1001333,3814474498,4,1,'Fanatic''s Retribution','Fanatic''s Protection will apply an augmentation that reflects physical damage. Can only trigger 5 times.',897,65535,316,0,0,0,1,1,'Your Fanatic''s Retribution was successful on %t!','Your Fanatic''s Retribution fades.','',1,0,'',0,'You cast Fanatic''s Retribution on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670491,1384377842,0,1),
(1001334,877241871,4,0,'Fanatical Devotion','A critical attack will grant the inquisitor''s group a chance to proc additional divine damage for a short duration.',864,65535,65535,0,0,0,0,1,'Your Fanatical Devotion was successful on %t!','Your Fanatical Devotion fades.','',1,0,'',0,'You cast Fanatical Devotion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670491,1384377908,0,1),
(1001335,3416695879,4,0,'Fanatical Endurance','Increases the stamina benefit from the Fanatic''s Faith line of spells.',245,65535,314,0,0,0,0,1,'Your Fanatical Endurance was successful on %t!','Your Fanatical Endurance fades.','',1,0,'',0,'You cast Fanatical Endurance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670491,1384377911,0,1),
(1001336,2489021332,4,1,'Fanatical Grace','Fanatic''s Protection will restore power to the target ally''s group when damage is taken.',83,65535,316,0,0,0,1,1,'Your Fanatical Grace was successful on %t!','Your Fanatical Grace fades.','',1,0,'',0,'You cast Fanatical Grace on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670491,1384377904,0,1),
(1001337,3608879194,4,0,'Fast Channel','Increases the base casting speed of Slot 3 Conduits.',11,65535,316,0,0,0,0,1,'Your Fast Channel was successful on %t!','Your Fast Channel fades.','',1,0,'',0,'You cast Fast Channel on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670491,1384377903,0,1),
(1001338,1713957560,4,1,'Fast Hands','Lowers the base reuse time of Blinding Dust.',803,65535,313,0,0,0,1,1,'Your Fast Hands was successful on %t!','Your Fast Hands fades.','',1,0,'',0,'You cast Fast Hands on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670491,1384377906,0,1),
(1001339,1341957141,4,1,'Fast Twitched','Reduces the power required initially by sprint and increases your overall speed while sprinting.',356,65535,317,0,0,0,1,1,'Your Fast Twitched was successful on %t!','Your Fast Twitched fades.','',1,0,'',0,'You cast Fast Twitched on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1588990395,1384378109,0,1),
(1001340,985669031,4,0,'Fatal Accuracy','Improves the warder''s damage when a combat art strikes critically.',11,65535,65535,0,0,0,0,1,'Your Fatal Accuracy was successful on %t!','Your Fatal Accuracy fades.','',1,0,'',0,'You cast Fatal Accuracy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670491,1384377908,0,1),
(1001341,2773025053,4,0,'Fatal Accuracy','Improves the warder''s damage when a combat art strikes critically.',11,65535,65535,0,0,0,0,1,'Your Fatal Accuracy was successful on %t!','Your Fatal Accuracy fades.','',1,0,'',0,'You cast Fatal Accuracy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670491,1384377899,0,1),
(1001342,3846554790,4,0,'Fatal Accuracy','Improves the warder''s damage when a combat art strikes critically.',11,65535,65535,0,0,0,0,1,'Your Fatal Accuracy was successful on %t!','Your Fatal Accuracy fades.','',1,0,'',0,'You cast Fatal Accuracy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670491,1384377841,0,1),
(1001343,2051458547,4,0,'Fatal Accuracy','Improves the warder''s damage when a combat art strikes critically.',11,65535,65535,0,0,0,0,1,'Your Fatal Accuracy was successful on %t!','Your Fatal Accuracy fades.','',1,0,'',0,'You cast Fatal Accuracy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670491,1384377904,0,1),
(1001344,3925913269,4,0,'Fatal Accuracy','Improves the warder''s damage when a combat art strikes critically.',11,65535,65535,0,0,0,0,1,'Your Fatal Accuracy was successful on %t!','Your Fatal Accuracy fades.','',1,0,'',0,'You cast Fatal Accuracy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670491,1384377912,0,1),
(1001345,771381725,4,0,'Fatal Accuracy','Improves the warder''s damage when a combat art strikes critically.',11,65535,65535,0,0,0,0,1,'Your Fatal Accuracy was successful on %t!','Your Fatal Accuracy fades.','',1,0,'',0,'You cast Fatal Accuracy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670491,1384377907,0,1),
(1001346,1443363621,4,0,'Fatal Accuracy','Improves the warder''s damage when a combat art strikes critically.',11,65535,65535,0,0,0,0,1,'Your Fatal Accuracy was successful on %t!','Your Fatal Accuracy fades.','',1,0,'',0,'You cast Fatal Accuracy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670491,1384377839,0,1),
(1001347,1350253195,4,0,'Fatal Accuracy','Improves the warder''s damage when a combat art strikes critically.',11,65535,65535,0,0,0,0,1,'Your Fatal Accuracy was successful on %t!','Your Fatal Accuracy fades.','',1,0,'',0,'You cast Fatal Accuracy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670491,1384377908,0,1),
(1001348,32215902,4,0,'Fatal Accuracy','Improves the warder''s damage when a combat art strikes critically.',11,65535,65535,0,0,0,0,1,'Your Fatal Accuracy was successful on %t!','Your Fatal Accuracy fades.','',1,0,'',0,'You cast Fatal Accuracy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670491,1384377907,0,1),
(1001349,1260381696,4,0,'Fatal Accuracy','Improves the warder''s damage when a combat art strikes critically.',11,65535,65535,0,0,0,0,1,'Your Fatal Accuracy was successful on %t!','Your Fatal Accuracy fades.','',1,0,'',0,'You cast Fatal Accuracy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670491,1384377907,0,1),
(1001350,1963080203,4,0,'Fatal Accuracy','Improves the warder''s damage when a combat art strikes critically.',11,65535,65535,0,0,0,0,1,'Your Fatal Accuracy was successful on %t!','Your Fatal Accuracy fades.','',1,0,'',0,'You cast Fatal Accuracy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670491,1384377904,0,1),
(1001351,3405593057,4,0,'Fatal Accuracy','Improves the warder''s damage when a combat art strikes critically.',11,65535,65535,0,0,0,0,1,'Your Fatal Accuracy was successful on %t!','Your Fatal Accuracy fades.','',1,0,'',0,'You cast Fatal Accuracy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670491,1384377908,0,1),
(1001352,1923843000,4,0,'Fatal Accuracy','Improves the warder''s damage when a combat art strikes critically.',11,65535,65535,0,0,0,0,1,'Your Fatal Accuracy was successful on %t!','Your Fatal Accuracy fades.','',1,0,'',0,'You cast Fatal Accuracy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670491,1384377911,0,1),
(1001353,1366745764,4,0,'Fatal Combination','Fatal Combination triggers when the predator uses a ranged combat art and a melee combat art close together. It inflicts additional damage on the target.',904,65535,317,0,0,0,0,1,'Your Fatal Combination was successful on %t!','Your Fatal Combination fades.','',1,0,'',0,'You cast Fatal Combination on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670493,1384377838,0,1),
(1001354,248902342,4,1,'Fatal Concealer','The assassin gains additional potency from Multi-Attack Chance.',341,65535,317,0,0,0,1,1,'Your Fatal Concealer was successful on %t!','Your Fatal Concealer fades.','',1,0,'',0,'You cast Fatal Concealer on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670493,1384377901,0,1),
(1001355,1239433712,4,0,'Favorable Wind','Increases the brawler''s movement speed. This also increases the brawler''s strength and stamina by 4 points per rank.',557,65535,65535,0,0,0,0,0,'Your Favorable Wind was successful on %t!','Your Favorable Wind fades.','',0,1,'Spells/AA/FavorableWind.lua',0,'You cast Favorable Wind on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670493,1384377912,0,1),
(1001356,3187164168,4,1,'Faydark Champion''s Agility','Grants an increase to overall agility.  The amount of agility gained will increase as you level.',649,65535,65535,0,0,0,1,0,'Your Faydark Champion''s Agility was successful on %t!','Your Faydark Champion''s Agility fades.','',0,1,'Spells/Traits/FaydarkChampionsAgility.lua',0,'You cast Faydark Champion''s Agility on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670493,1384378110,0,1),
(1001357,3130992685,4,0,'Faydark''s Elixir','The Nature''s Elixir line will do additional healing and critical for more.',468,65535,316,0,0,0,0,1,'Your Faydark''s Elixir was successful on %t!','Your Faydark''s Elixir fades.','',1,0,'',0,'You cast Faydark''s Elixir on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670493,1384377838,0,1),
(1001358,3289567107,4,0,'Faydark''s Protection','Faydark''s Protection grants the ranger additional innate physical mitigation.',809,65535,317,0,0,0,0,0,'Your Faydark''s Protection was successful on %t!','Your Faydark''s Protection fades.','',0,1,'Spells/AA/FaydarksProtection.lua',0,'You cast Faydark''s Protection on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670493,1384377911,0,1),
(1001359,1879843347,4,0,'Faydarks''s Awakening','Improves the base heal amount of Awakening.',155,65535,314,0,0,0,0,1,'Your Faydarks''s Awakening was successful on %t!','Your Faydarks''s Awakening fades.','',1,0,'',0,'You cast Faydarks''s Awakening on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670493,1384377903,0,1),
(1001360,371540565,4,0,'Faydwer Fashions','Wood elves are experts at tailoring and gain an additional chance to have a successful tradeskill round.',12,65535,65535,0,0,0,0,1,'Your Faydwer Fashions was successful on %t!','Your Faydwer Fashions fades.','',1,0,'',0,'You cast Faydwer Fashions on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670493,1384377823,0,1),
(1001361,2664618031,4,0,'Fearless Stand','The beastlord gains an innate chance to riposte attacks from the front. Attacks from other directions have a chance to be parried.',509,65535,317,0,0,0,0,1,'Your Fearless Stand was successful on %t!','Your Fearless Stand fades.','',1,0,'',0,'You cast Fearless Stand on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670493,1384377839,0,1),
(1001362,1877096862,4,0,'Featherfall','Although the wings of the Fae don''t offer the full flight advantages of other creatures, with training the Fae can use them to slow their descent when falling. Featherfall is inactive while on horseback.',300,65535,65535,0,0,0,0,0,'Your Featherfall was successful on %t!','Your Featherfall fades.','',0,0,'Spells/Featherfall.lua',0,'You cast Featherfall on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670493,1384378109,0,1),
(1001363,1657682889,4,0,'Feeble Minded','The Intimidation line will also debuff the target''s intelligence.',241,65535,315,0,0,0,0,1,'Your Feeble Minded was successful on %t!','Your Feeble Minded fades.','',1,0,'',0,'You cast Feeble Minded on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670493,1384377911,0,1),
(1001364,4160271260,4,0,'Feline Grace','Like their cat cousins, kerra always manage to land softly.  Feline Grace grants all kerra access to the safefall skill.',334,65535,314,0,0,0,0,0,'Your Feline Grace was successful on %t!','Your Feline Grace fades.','',0,0,'Spells/FelineGrace.lua',0,'You cast Feline Grace on %t.',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1384670495,1384378109,0,0),
(1001365,3077557753,4,0,'Feline Reflexes','Improves the reuse speed of the beastlord.',334,65535,65535,0,0,0,0,0,'Your Feline Reflexes was successful on %t!','Your Feline Reflexes fades.','',0,1,'Spells/AA/FelineReflexes.lua',0,'You cast Feline Reflexes on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377897,0,1),
(1001366,4168493564,4,0,'Fencer''s Wisdom','Increases the Fencer''s wisdom by 8 for each rank.',585,65535,65535,0,0,0,0,1,'Your Fencer''s Wisdom was successful on %t!','Your Fencer''s Wisdom fades.','',1,0,'',0,'You cast Fencer''s Wisdom on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377830,0,1),
(1001367,2262986865,4,0,'Fencing Expertise','The swashbuckler uses their expertise with swords to do additional damage when they riposte their target.',824,65535,65535,0,0,0,0,1,'Your Fencing Expertise was successful on %t!','Your Fencing Expertise fades.','',1,0,'',0,'You cast Fencing Expertise on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377838,0,1),
(1001368,4211022443,4,1,'Fennin''s Destruction','Blazing Avatar has a chance to finish the cooldown on Elemental Blast.',273,65535,317,0,0,0,1,1,'Your Fennin''s Destruction was successful on %t!','Your Fennin''s Destruction fades.','',1,0,'',0,'You cast Fennin''s Destruction on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377912,0,1),
(1001369,2838938586,4,0,'Feral Charge','This Feral Primal inflicts moderate damage to the target and the beastlord lunges to their enemy if they are out of melee range. This ability equips in the sixth primal slot.',928,65535,315,0,0,0,0,1,'Your Feral Charge was successful on %t!','Your Feral Charge fades.','',1,0,'',0,'You cast Feral Charge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377910,0,1),
(1001370,2197400384,4,0,'Feral Charge','This Feral Primal inflicts moderate damage to the target and the beastlord lunges to their enemy if they are out of melee range. This ability equips in the sixth primal slot.',928,65535,315,0,0,0,0,1,'Your Feral Charge was successful on %t!','Your Feral Charge fades.','',1,0,'',0,'You cast Feral Charge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377909,0,1),
(1001371,1884025758,4,0,'Feral Charge','This Feral Primal inflicts moderate damage to the target and the beastlord lunges to their enemy if they are out of melee range. This ability equips in the sixth primal slot.',928,65535,315,0,0,0,0,1,'Your Feral Charge was successful on %t!','Your Feral Charge fades.','',1,0,'',0,'You cast Feral Charge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377909,0,1),
(1001372,2994584408,4,0,'Feral Charge','This Feral Primal inflicts moderate damage to the target and the beastlord lunges to their enemy if they are out of melee range. This ability equips in the sixth primal slot.',928,65535,315,0,0,0,0,1,'Your Feral Charge was successful on %t!','Your Feral Charge fades.','',1,0,'',0,'You cast Feral Charge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377904,0,1),
(1001373,4169780742,4,0,'Feral Charge','This Feral Primal inflicts moderate damage to the target and the beastlord lunges to their enemy if they are out of melee range. This ability equips in the sixth primal slot.',928,65535,315,0,0,0,0,1,'Your Feral Charge was successful on %t!','Your Feral Charge fades.','',1,0,'',0,'You cast Feral Charge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377838,0,1),
(1001374,3858097607,4,0,'Feral Charge','This Feral Primal inflicts moderate damage to the target and the beastlord lunges to their enemy if they are out of melee range. This ability equips in the sixth primal slot.',928,65535,315,0,0,0,0,1,'Your Feral Charge was successful on %t!','Your Feral Charge fades.','',1,0,'',0,'You cast Feral Charge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377838,0,1),
(1001375,180667711,4,0,'Feral Charge','This Feral Primal inflicts moderate damage to the target and the beastlord lunges to their enemy if they are out of melee range. This ability equips in the sixth primal slot.',928,65535,315,0,0,0,0,1,'Your Feral Charge was successful on %t!','Your Feral Charge fades.','',1,0,'',0,'You cast Feral Charge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377839,0,1),
(1001376,2657907163,4,0,'Feral Charge','This Feral Primal inflicts moderate damage to the target and the beastlord lunges to their enemy if they are out of melee range. This ability equips in the sixth primal slot.',928,65535,315,0,0,0,0,1,'Your Feral Charge was successful on %t!','Your Feral Charge fades.','',1,0,'',0,'You cast Feral Charge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377840,0,1),
(1001377,1736155447,4,0,'Feral Charge','This Feral Primal inflicts moderate damage to the target and the beastlord lunges to their enemy if they are out of melee range. This ability equips in the sixth primal slot.',928,65535,315,0,0,0,0,1,'Your Feral Charge was successful on %t!','Your Feral Charge fades.','',1,0,'',0,'You cast Feral Charge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377900,0,1),
(1001378,2319572283,4,0,'Feral Charge','This Feral Primal inflicts moderate damage to the target and the beastlord lunges to their enemy if they are out of melee range. This ability equips in the sixth primal slot.',928,65535,315,0,0,0,0,1,'Your Feral Charge was successful on %t!','Your Feral Charge fades.','',1,0,'',0,'You cast Feral Charge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377905,0,1),
(1001379,4147850242,4,0,'Feral Charge','This Feral Primal inflicts moderate damage to the target and the beastlord lunges to their enemy if they are out of melee range. This ability equips in the sixth primal slot.',928,65535,315,0,0,0,0,1,'Your Feral Charge was successful on %t!','Your Feral Charge fades.','',1,0,'',0,'You cast Feral Charge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377909,0,1),
(1001380,3385912821,4,0,'Feral Charge','This Feral Primal inflicts moderate damage to the target and the beastlord lunges to their enemy if they are out of melee range. This ability equips in the sixth primal slot.',928,65535,315,0,0,0,0,1,'Your Feral Charge was successful on %t!','Your Feral Charge fades.','',1,0,'',0,'You cast Feral Charge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377899,0,1),
(1001381,4086445635,4,0,'Feral Charge','This Feral Primal inflicts moderate damage to the target and the beastlord lunges to their enemy if they are out of melee range. This ability equips in the sixth primal slot.',928,65535,315,0,0,0,0,1,'Your Feral Charge was successful on %t!','Your Feral Charge fades.','',1,0,'',0,'You cast Feral Charge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377838,0,1),
(1001382,2212276337,4,0,'Feral Charge','This Feral Primal inflicts moderate damage to the target and the beastlord lunges to their enemy if they are out of melee range. This ability equips in the sixth primal slot.',928,65535,315,0,0,0,0,1,'Your Feral Charge was successful on %t!','Your Feral Charge fades.','',1,0,'',0,'You cast Feral Charge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377914,0,1),
(1001383,2762032652,4,0,'Feral Charge','This Feral Primal inflicts moderate damage to the target and the beastlord lunges to their enemy if they are out of melee range. This ability equips in the sixth primal slot.',928,65535,315,0,0,0,0,1,'Your Feral Charge was successful on %t!','Your Feral Charge fades.','',1,0,'',0,'You cast Feral Charge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377912,0,1),
(1001384,2790642653,4,0,'Feral Charge','This Feral Primal inflicts moderate damage to the target and the beastlord lunges to their enemy if they are out of melee range. This ability equips in the sixth primal slot.',928,65535,315,0,0,0,0,1,'Your Feral Charge was successful on %t!','Your Feral Charge fades.','',1,0,'',0,'You cast Feral Charge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377912,0,1),
(1001385,3798733560,4,0,'Feral Charge','This Feral Primal inflicts moderate damage to the target and the beastlord lunges to their enemy if they are out of melee range. This ability equips in the sixth primal slot.',928,65535,315,0,0,0,0,1,'Your Feral Charge was successful on %t!','Your Feral Charge fades.','',1,0,'',0,'You cast Feral Charge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377909,0,1),
(1001386,64003496,4,0,'Feral Charge','This Feral Primal inflicts moderate damage to the target and the beastlord lunges to their enemy if they are out of melee range. This ability equips in the sixth primal slot.',928,65535,315,0,0,0,0,1,'Your Feral Charge was successful on %t!','Your Feral Charge fades.','',1,0,'',0,'You cast Feral Charge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377906,0,1),
(1001387,3331592717,4,0,'Feral Charge','This Feral Primal inflicts moderate damage to the target and the beastlord lunges to their enemy if they are out of melee range. This ability equips in the sixth primal slot.',928,65535,315,0,0,0,0,1,'Your Feral Charge was successful on %t!','Your Feral Charge fades.','',1,0,'',0,'You cast Feral Charge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377905,0,1),
(1001388,2389897935,4,1,'Feral Claws','The beastlord gains additional potency from attack speed.',335,65535,317,0,0,0,1,1,'Your Feral Claws was successful on %t!','Your Feral Claws fades.','',1,0,'',0,'You cast Feral Claws on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377914,0,1),
(1001389,3986868213,4,1,'Feral Lord','The beastlord''s Feral Rampage effect will last longer.',190,65535,65535,0,0,0,1,1,'Your Feral Lord was successful on %t!','Your Feral Lord fades.','',1,0,'',0,'You cast Feral Lord on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377911,0,1),
(1001390,722437004,4,0,'Feral Reach','Improves the radius and recovery speed of the beastlord''s abilities.',126,65535,65535,0,0,0,0,1,'Your Feral Reach was successful on %t!','Your Feral Reach fades.','',1,0,'',0,'You cast Feral Reach on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377834,0,1),
(1001391,4283851698,4,0,'Feral Roar','Improves the Multi-Attack Chance granted by Feral Stance.',868,65535,317,0,0,0,0,1,'Your Feral Roar was successful on %t!','Your Feral Roar fades.','',1,0,'',0,'You cast Feral Roar on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377831,0,1),
(1001392,290980510,4,1,'Feral Rush','Improves the damage and critical damage of Rush.',330,65535,315,0,0,0,1,1,'Your Feral Rush was successful on %t!','Your Feral Rush fades.','',1,0,'',0,'You cast Feral Rush on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377840,0,1),
(1001393,2050873052,4,1,'Feral Savagery','The beastlord gains additional savagery while using Feral Advantages.',931,65535,317,0,0,0,1,1,'Your Feral Savagery was successful on %t!','Your Feral Savagery fades.','',1,0,'',0,'You cast Feral Savagery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377903,0,1),
(1001394,1369899713,4,1,'Feral Whirl','Feral Intensity gains an additional trigger that inflicts damage to additional targets surrounding the beastlord.',296,65535,315,0,0,0,1,1,'Your Feral Whirl was successful on %t!','Your Feral Whirl fades.','',1,0,'',0,'You cast Feral Whirl on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377841,0,1),
(1001395,671480187,4,1,'Ferocity','Primals that equip in slot 3 have a chance to finish the reuse of Primals that equip in slot 4.',815,65535,317,0,0,0,1,1,'Your Ferocity was successful on %t!','Your Ferocity fades.','',1,0,'',0,'You cast Ferocity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377908,0,1),
(1001396,2660023274,4,1,'Ferocity of Spirits','Grants the mystic a chance to gain an incremental Crit Bonus augmentation. This ability increments to 3 and does not refresh the duration once at rank 3.',513,65535,317,0,0,0,1,1,'Your Ferocity of Spirits was successful on %t!','Your Ferocity of Spirits fades.','',1,0,'',0,'You cast Ferocity of Spirits on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377913,0,1),
(1001397,3091280381,4,0,'Fervor of Faith','Increases the Sentry''s chance at critical damage.',649,65535,65535,0,0,0,0,0,'Your Fervor of Faith was successful on %t!','Your Fervor of Faith fades.','',0,1,'Spells/AA/FervorofFaith.lua',0,'You cast Fervor of Faith on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377916,0,1),
(1001398,3747333823,4,1,'Fervor of Marr','Frogloks take pride in creating intricate armor.  \r\n\r\n+5 Metalworking',413,65535,65535,0,0,0,1,0,'Your Fervor of Marr was successful on %t!','Your Fervor of Marr fades.','',0,1,'Spells/FervorofMarr.lua',0,'You cast Fervor of Marr on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670495,1384378109,0,0),
(1001399,3751081065,4,1,'Field Commander','When using hostile actions, the fighter has a chance to grant the group additional damage when they attack. The duration of this effect improves with higher ranks.',920,65535,313,0,0,0,1,1,'Your Field Commander was successful on %t!','Your Field Commander fades.','',1,0,'',0,'You cast Field Commander on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377911,0,1),
(1001400,2356678165,4,1,'Field Repairs','You gain a slight improvement to your chance to succeed and gain additional durability while tradeskilling.',417,65535,65535,0,0,0,1,0,'Your Field Repairs was successful on %t!','Your Field Repairs fades.','',0,1,'Spells/Traits/FieldRepairs.lua',0,'You cast Field Repairs on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670495,1384377823,0,1),
(1001401,511606224,4,0,'Fierce Roar','Using taunts will increase the fighter''s health.',795,65535,317,0,0,0,0,1,'Your Fierce Roar was successful on %t!','Your Fierce Roar fades.','',1,0,'',0,'You cast Fierce Roar on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377833,0,1),
(1001402,325099226,4,0,'Fiery Blast','The wizard stores up extra energy and then releases it in a single fiery blast at their target. The damage done by this spell is based on the amount of damage the wizard deals while Fiery Blast is active.',276,65535,315,0,0,0,0,1,'Your Fiery Blast was successful on %t!','Your Fiery Blast fades.','',1,0,'',0,'You cast Fiery Blast on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377838,0,1),
(1001403,1835122636,4,0,'Fight Through Death','This ability increases the maximum health of the guardian when Unyielding Will triggers.  In addition, the final rank removes the death penalty.',496,65535,317,0,0,0,0,1,'Your Fight Through Death was successful on %t!','Your Fight Through Death fades.','',1,0,'',0,'You cast Fight Through Death on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377838,0,1),
(1001404,2504306896,4,1,'Final Blow','Increases the effectiveness of Fatal Followup.',337,65535,315,0,0,0,1,1,'Your Final Blow was successful on %t!','Your Final Blow fades.','',1,0,'',0,'You cast Final Blow on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377839,0,1),
(1001405,2360971405,4,0,'Final Hope','When the priest falls to extremely low health, all enemies nearby them will take divine damage and their non-priest group members will be healed.',88,65535,317,0,0,0,0,1,'Your Final Hope was successful on %t!','Your Final Hope fades.','',1,0,'',0,'You cast Final Hope on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670495,1384377900,0,1),
(1001406,1530960664,4,1,'Final Rampage','Berserker Onslaught, Bloodbath and Utter Destruction have a chance to finish the cooldown of Rampage.',190,65535,65535,0,0,0,1,1,'Your Final Rampage was successful on %t!','Your Final Rampage fades.','',1,0,'',0,'You cast Final Rampage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670497,1384377902,0,1),
(1001407,530534799,4,1,'Final Territory','Doubles the damage of Divine Territory.',926,65535,313,0,0,0,1,1,'Your Final Territory was successful on %t!','Your Final Territory fades.','',1,0,'',0,'You cast Final Territory on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670497,1384377838,0,1),
(1001408,98267378,4,1,'Final Verdict','Improves the health restrictions of Verdict.',129,65535,317,0,0,0,1,1,'Your Final Verdict was successful on %t!','Your Final Verdict fades.','',1,0,'',0,'You cast Final Verdict on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670497,1384377907,0,1),
(1001409,621247972,4,1,'Finest Creations','Adds additional durability to every tradeskill round.\n',418,65535,65535,0,0,0,1,0,'Your Finest Creations was successful on %t!','Your Finest Creations fades.','',0,1,'Spells/Traits/FinestCreations.lua',0,'You cast Finest Creations on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670497,1384378109,0,1),
(1001410,2279581053,4,0,'Finest Robes Around','Reduces the power cost of using the tailor reaction arts.',417,65535,65535,0,0,0,0,1,'Your Finest Robes Around was successful on %t!','Your Finest Robes Around fades.','',1,0,'',0,'You cast Finest Robes Around on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670497,1384378109,0,1),
(1001411,893874923,4,1,'Fire Chains','When Incineration hits 3 increments, the wizard''s group will inflict additional damage.',242,65535,315,0,0,0,1,1,'Your Fire Chains was successful on %t!','Your Fire Chains fades.','',1,0,'',0,'You cast Fire Chains on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670497,1384377839,0,1),
(1001412,3010232092,4,1,'Fireborn','Flame is your kin.  This trait instills in you an innate protection.  Elemental damage taken is decreased by 3 percent vs opponents your level.  ',149,65535,65535,0,0,0,1,0,'Your Fireborn was successful on %t!','Your Fireborn fades.','',0,1,'Spells/Fireborn.lua',0,'You cast Fireborn on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670497,1384378109,0,0),
(1001413,2819889089,4,0,'Fireshape','While Surge of Ro is active, all offensive cold and magic based spells are considered heat based.',221,65535,317,0,0,0,0,1,'Your Fireshape was successful on %t!','Your Fireshape fades.','',1,0,'',0,'You cast Fireshape on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670497,1384377831,0,1),
(1001414,3078200482,4,0,'Fists of Fury','Fists of Fury increases the base damage of the One Hundred Hand Punch line of abilities.',330,65535,315,0,0,0,0,1,'Your Fists of Fury was successful on %t!','Your Fists of Fury fades.','',1,0,'',0,'You cast Fists of Fury on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670497,1384377913,0,1),
(1001415,762675137,4,0,'Fitness','Increases the Archer''s movement speed.',557,65535,65535,0,0,0,0,0,'Your Fitness was successful on %t!','Your Fitness fades.','',0,1,'Spells/AA/Fitness.lua',0,'You cast Fitness on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670497,1384377907,0,1),
(1001416,1718835896,4,0,'Flamboyant Swashbuckling','The Dashing Swathe line will do additional damage and critical for more.',380,65535,313,0,0,0,0,1,'Your Flamboyant Swashbuckling was successful on %t!','Your Flamboyant Swashbuckling fades.','',1,0,'',0,'You cast Flamboyant Swashbuckling on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670497,1384377918,0,1),
(1001417,2660281006,4,0,'Flanking Chorus','Improves the damage done by the bard''s flank attack.  Also grants them an additional chance to inflict critical damage.',377,65535,315,0,0,0,0,1,'Your Flanking Chorus was successful on %t!','Your Flanking Chorus fades.','',1,0,'',0,'You cast Flanking Chorus on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670497,1384377904,0,1),
(1001418,3001463271,4,1,'Flash of Insight','Your increased knowledge allows you to increase your power pool by a small amount.',272,65535,314,0,0,0,1,0,'Your Flash of Insight was successful on %t!','Your Flash of Insight fades.','',0,1,'Spells/Traits/FlashofInsight.lua',0,'You cast Flash of Insight on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670497,1384378110,0,0),
(1001419,1157019050,4,0,'Flash of Power','Flash of Power draws agility from the target and grants it to the swashbuckler temporarily when the swashbuckler uses Viscerate.',381,65535,315,0,0,0,0,1,'Your Flash of Power was successful on %t!','Your Flash of Power fades.','',1,0,'',0,'You cast Flash of Power on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670497,1384377912,0,1),
(1001420,3564503425,4,1,'Flawless Reaction','The inquisitor''s high level reactive heals have a chance to have increased triggers.',180,65535,317,0,0,0,1,1,'Your Flawless Reaction was successful on %t!','Your Flawless Reaction fades.','',1,0,'',0,'You cast Flawless Reaction on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670497,1384377916,0,1),
(1001421,2746544578,4,1,'Fleet Footed','Grants an increase to overall agility.  The amount of agility gained will increase as you level.',301,65535,315,0,0,0,0,0,'Your Fleet Footed was successful on %t!','Your Fleet Footed fades.','',0,1,'Spells/Traits/FleetFooted.lua',0,'You cast Fleet Footed on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670497,1384378110,0,1),
(1001422,308479505,4,1,'Flexible','Your body is supple and bends easily.  This trait lessens the effects of Physical blows by 3 percent.',48,65535,65535,0,0,0,1,0,'Your Flexible was successful on %t!','Your Flexible fades.','',0,1,'Spells/Flexible.lua',0,'You cast Flexible on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670497,1384377887,0,0),
(1001423,2521673873,4,1,'Flickering Flames','Flameshield will transfer some threat from the conjuror to the target and improve their uncontested dodge chance and weapon damage bonus.',274,65535,316,0,0,0,1,1,'Your Flickering Flames was successful on %t!','Your Flickering Flames fades.','',1,0,'',0,'You cast Flickering Flames on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670497,1384377910,0,1),
(1001424,1707015540,4,0,'Flurry','Increases the chance to Flurry with every melee attack.',337,65535,65535,0,0,0,0,1,'Your Flurry was successful on %t!','Your Flurry fades.','',1,0,'',0,'You cast Flurry on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670497,1384377906,0,1),
(1001425,1454855526,4,0,'Flurry of Arrows','Improves the base damage and critical damage of Stream of Arrows and its upgrades.',299,65535,313,0,0,0,0,1,'Your Flurry of Arrows was successful on %t!','Your Flurry of Arrows fades.','',1,0,'',0,'You cast Flurry of Arrows on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670497,1384377909,0,1),
(1001426,2119429818,4,0,'Focus of Defense','Focus of Restoration will also increase the channeler''s maximum health and grant them a chance to dodge attacks.',155,65535,317,0,0,0,0,1,'Your Focus of Defense was successful on %t!','Your Focus of Defense fades.','',1,0,'',0,'You cast Focus of Defense on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670497,1384377914,0,1),
(1001427,1080316236,4,1,'Focus of Tunare','Grants the player increased casting speed to both beneficial and hostile spells.',367,65535,65535,0,0,0,1,0,'Your Focus of Tunare was successful on %t!','Your Focus of Tunare fades.','',0,1,'Spells/Traits/FocusofTunare.lua',0,'You cast Focus of Tunare on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670497,1384378109,0,1),
(1001428,3851905376,4,1,'Focus of Warfare','Your skills in fighting have increased your ability to absorb physical blows.',858,65535,65535,0,0,0,0,0,'Your Focus of Warfare was successful on %t!','Your Focus of Warfare fades.','',0,1,'Spells/Traits/FocusofWarfare.lua',0,'You cast Focus of Warfare on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670497,1384378110,0,1),
(1001429,4092191734,4,1,'Focus of the Valorous','Your devotion to the study of the divine arts increases your power pool slightly.',245,65535,314,0,0,0,1,0,'Your Focus of the Valorous was successful on %t!','Your Focus of the Valorous fades.','',0,1,'Spells/Traits/FocusoftheValorous.lua',0,'You cast Focus of the Valorous on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670497,1384378109,0,1),
(1001430,3973622925,4,0,'Focus: Absolute Corruption','Improves the casting speed and number of ticks of Absolute Corruption. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',238,65535,312,0,0,0,0,1,'Your Focus: Absolute Corruption was successful on %t!','Your Focus: Absolute Corruption fades.','',1,0,'',0,'You cast Focus: Absolute Corruption on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670497,1384377887,0,1),
(1001431,1491135727,4,0,'Focus: Absolution (Damage)','Improves the damage of Absolution. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',257,65535,312,0,0,0,0,1,'Your Focus: Absolution (Damage) was successful on %t!','Your Focus: Absolution (Damage) fades.','',1,0,'',0,'You cast Focus: Absolution (Damage) on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670497,1384377893,0,1),
(1001432,4164570757,4,0,'Focus: Absolution (Speed)','Improves the critical damage bonus, reuse and casting speeds of Absolution. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',257,65535,312,0,0,0,0,1,'Your Focus: Absolution (Speed) was successful on %t!','Your Focus: Absolution (Speed) fades.','',1,0,'',0,'You cast Focus: Absolution (Speed) on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670497,1384377888,0,1),
(1001433,2205266277,4,0,'Focus: Act of War','Removes the concentration from Act of War and increases its trigger chance. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',242,65535,314,0,0,0,0,1,'Your Focus: Act of War was successful on %t!','Your Focus: Act of War fades.','',1,0,'',0,'You cast Focus: Act of War on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670497,1384377887,0,1),
(1001434,3923896073,4,0,'Focus: Aegolism','Improves the effects of Aegolism. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',153,65535,316,0,0,0,0,1,'Your Focus: Aegolism was successful on %t!','Your Focus: Aegolism fades.','',1,0,'',0,'You cast Focus: Aegolism on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670497,1384291138,0,1),
(1001435,844280125,4,0,'Focus: Alin''s Serene Serenade','Improves the hate gain reduction of Alin''s Serene Serenade. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',488,65535,314,0,0,0,0,1,'Your Focus: Alin''s Serene Serenade was successful on %t!','Your Focus: Alin''s Serene Serenade fades.','',1,0,'',0,'You cast Focus: Alin''s Serene Serenade on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670497,1384377887,0,1),
(1001436,2609160973,4,0,'Focus: Alleviation','Improves the heal amount of Alleviation. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',293,65535,314,0,0,0,0,1,'Your Focus: Alleviation was successful on %t!','Your Focus: Alleviation fades.','',1,0,'',0,'You cast Focus: Alleviation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670497,1384377887,0,1),
(1001437,3426077895,4,0,'Focus: Amends','Improves the hate transfer of Amends. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',246,65535,316,0,0,0,0,1,'Your Focus: Amends was successful on %t!','Your Focus: Amends fades.','',1,0,'',0,'You cast Focus: Amends on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670497,1384377889,0,1),
(1001438,2524846777,4,0,'Focus: Ancestral Sentry','Improves the reuse and casting times of Ancestral Sentry. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',74,65535,313,0,0,0,0,1,'Your Focus: Ancestral Sentry was successful on %t!','Your Focus: Ancestral Sentry fades.','',1,0,'',0,'You cast Focus: Ancestral Sentry on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377887,0,1),
(1001439,117975360,4,0,'Focus: Ancient Shroud','Adds a small heal to Ancient Shroud. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',194,65535,316,0,0,0,0,1,'Your Focus: Ancient Shroud was successful on %t!','Your Focus: Ancient Shroud fades.','',1,0,'',0,'You cast Focus: Ancient Shroud on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377887,0,1),
(1001440,2582430892,4,0,'Focus: Ancient Wrath','Improves the reuse and critical damage bonus of Ancient Wrath. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',471,65535,313,0,0,0,0,1,'Your Focus: Ancient Wrath was successful on %t!','Your Focus: Ancient Wrath fades.','',1,0,'',0,'You cast Focus: Ancient Wrath on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384367297,0,1),
(1001441,1999956690,4,0,'Focus: Apocalypse','Improves the reuse and critical damage bonus of Apocalypse. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',258,65535,312,0,0,0,0,1,'Your Focus: Apocalypse was successful on %t!','Your Focus: Apocalypse fades.','',1,0,'',0,'You cast Focus: Apocalypse on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377888,0,1),
(1001442,3337420588,4,0,'Focus: Archer''s Fury','Adds a wounding effect to Quick Shot that decreases in damage each tick. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',362,65535,317,0,0,0,0,1,'Your Focus: Archer''s Fury was successful on %t!','Your Focus: Archer''s Fury fades.','',1,0,'',0,'You cast Focus: Archer''s Fury on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384367297,0,1),
(1001443,3374717997,4,0,'Focus: Aria of Magic (Concentration)','Removes the concentration cost from Aria of Magic. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',39,65535,314,0,0,0,0,1,'Your Focus: Aria of Magic (Concentration) was successful on %t!','Your Focus: Aria of Magic (Concentration) fades.','',1,0,'',0,'You cast Focus: Aria of Magic (Concentration) on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377887,0,1),
(1001444,2378247145,4,0,'Focus: Aria of Magic (Trigger Chance)','Improves the trigger chance of Aria of Magic. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',39,65535,314,0,0,0,0,1,'Your Focus: Aria of Magic (Trigger Chance) was successful on %t!','Your Focus: Aria of Magic (Trigger Chance) fades.','',1,0,'',0,'You cast Focus: Aria of Magic (Trigger Chance) on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377887,0,1),
(1001445,3965114318,4,0,'Focus: Assassinate','Enhances the reuse and critical damage of Assassinate. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',371,65535,315,0,0,0,0,1,'Your Focus: Assassinate was successful on %t!','Your Focus: Assassinate fades.','',1,0,'',0,'You cast Focus: Assassinate on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377888,0,1),
(1001446,1631957017,4,0,'Focus: Assault','Assault will generate additional threat. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',343,65535,313,0,0,0,0,1,'Your Focus: Assault was successful on %t!','Your Focus: Assault fades.','',1,0,'',0,'You cast Focus: Assault on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384291135,0,1),
(1001447,820580771,4,0,'Focus: Asylum','Improves the arcane mitigation reduction of Asylum. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',476,65535,315,0,0,0,0,1,'Your Focus: Asylum was successful on %t!','Your Focus: Asylum fades.','',1,0,'',0,'You cast Focus: Asylum on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377889,0,1),
(1001448,2965114779,4,0,'Focus: Autumn''s Kiss','Improves the heal amount of Autumn''s Kiss. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',189,65535,314,0,0,0,0,1,'Your Focus: Autumn''s Kiss was successful on %t!','Your Focus: Autumn''s Kiss fades.','',1,0,'',0,'You cast Focus: Autumn''s Kiss on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377887,0,1),
(1001449,3550583567,4,0,'Focus: Ball of Fire','Improves the damage of Ball of Fire. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',242,65535,315,0,0,0,0,1,'Your Focus: Ball of Fire was successful on %t!','Your Focus: Ball of Fire fades.','',1,0,'',0,'You cast Focus: Ball of Fire on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377889,0,1),
(1001450,148304722,4,0,'Focus: Barrage','Improves the casting speed and critical damage of Barrage. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',361,65535,313,0,0,0,0,1,'Your Focus: Barrage was successful on %t!','Your Focus: Barrage fades.','',1,0,'',0,'You cast Focus: Barrage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377889,0,1),
(1001451,4240561454,4,0,'Focus: Bash','Using Bash will increase the guardian''s chance to block attacks. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',297,65535,315,0,0,0,0,1,'Your Focus: Bash was successful on %t!','Your Focus: Bash fades.','',1,0,'',0,'You cast Focus: Bash on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377887,0,1),
(1001452,367142438,4,0,'Focus: Battery and Assault','Improves the damage and accuracy of Battery and Assault. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',296,65535,315,0,0,0,0,1,'Your Focus: Battery and Assault was successful on %t!','Your Focus: Battery and Assault fades.','',1,0,'',0,'You cast Focus: Battery and Assault on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384367306,0,1),
(1001453,3109962158,4,0,'Focus: Battle Cry','Improves the amount of Flurry granted by Battle Cry. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',819,65535,316,0,0,0,0,1,'Your Focus: Battle Cry was successful on %t!','Your Focus: Battle Cry fades.','',1,0,'',0,'You cast Focus: Battle Cry on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377887,0,1),
(1001454,2266846773,4,0,'Focus: Battle Cry','Improves the duration of Battle Cry. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',295,65535,314,0,0,0,0,1,'Your Focus: Battle Cry was successful on %t!','Your Focus: Battle Cry fades.','',1,0,'',0,'You cast Focus: Battle Cry on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377887,0,1),
(1001455,224648355,4,0,'Focus: Battle Fury','Battle Fury will reduce the reuse time of all spells when it triggers. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',326,65535,316,0,0,0,0,1,'Your Focus: Battle Fury was successful on %t!','Your Focus: Battle Fury fades.','',1,0,'',0,'You cast Focus: Battle Fury on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377887,0,1),
(1001456,177775326,4,0,'Focus: Battle Tactics','Improves the stamina granted by Battle Tactics. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',358,65535,314,0,0,0,0,1,'Your Focus: Battle Tactics was successful on %t!','Your Focus: Battle Tactics fades.','',1,0,'',0,'You cast Focus: Battle Tactics on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377887,0,1),
(1001457,3867473237,4,0,'Focus: Befuddle','Befuddle will reduce the brigand''s threat generation. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',260,65535,317,0,0,0,0,1,'Your Focus: Befuddle was successful on %t!','Your Focus: Befuddle fades.','',1,0,'',0,'You cast Focus: Befuddle on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377887,0,1),
(1001458,3066233446,4,0,'Focus: Berserk','Adds weapon skills and Crit Bonus to Berserk. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',356,65535,317,0,0,0,0,1,'Your Focus: Berserk was successful on %t!','Your Focus: Berserk fades.','',1,0,'',0,'You cast Focus: Berserk on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384367296,0,1),
(1001459,956699462,4,0,'Focus: Black Jack','Improves the reuse and critical damage bonus of Black Jack. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',365,65535,315,0,0,0,0,1,'Your Focus: Black Jack was successful on %t!','Your Focus: Black Jack fades.','',1,0,'',0,'You cast Focus: Black Jack on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377887,0,1),
(1001460,1665898825,4,0,'Focus: Blackguard','Blackguard will increase the brigand''s armor mitigation. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',225,65535,317,0,0,0,0,1,'Your Focus: Blackguard was successful on %t!','Your Focus: Blackguard fades.','',1,0,'',0,'You cast Focus: Blackguard on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384367296,0,1),
(1001461,2065633566,4,0,'Focus: Bladeweaver','Bladeweaver will increase the swashbuckler''s maximum health. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',304,65535,317,0,0,0,0,1,'Your Focus: Bladeweaver was successful on %t!','Your Focus: Bladeweaver fades.','',1,0,'',0,'You cast Focus: Bladeweaver on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377887,0,1),
(1001462,370133778,4,0,'Focus: Blood Rage','Improves the trigger chance of Blood Rage. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',190,65535,317,0,0,0,0,1,'Your Focus: Blood Rage was successful on %t!','Your Focus: Blood Rage fades.','',1,0,'',0,'You cast Focus: Blood Rage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377887,0,1),
(1001463,929568677,4,0,'Focus: Bloodcloud','Improves the damage of Bloodcloud. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',207,65535,313,0,0,0,0,1,'Your Focus: Bloodcloud was successful on %t!','Your Focus: Bloodcloud fades.','',1,0,'',0,'You cast Focus: Bloodcloud on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377887,0,1),
(1001464,2153505936,4,0,'Focus: Bloodcoil','Improves the damage of Bloodcoil. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',197,65535,315,0,0,0,0,1,'Your Focus: Bloodcoil was successful on %t!','Your Focus: Bloodcoil fades.','',1,0,'',0,'You cast Focus: Bloodcoil on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377887,0,1),
(1001465,274669720,4,0,'Focus: Bloodletter','Adds an additional trigger to Bloodletter. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',496,65535,314,0,0,0,0,1,'Your Focus: Bloodletter was successful on %t!','Your Focus: Bloodletter fades.','',1,0,'',0,'You cast Focus: Bloodletter on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377890,0,1),
(1001466,1397354279,4,0,'Focus: Bob and Weave','Improves the reuse and power cost of Bob and Weave. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',854,65535,317,0,0,0,0,1,'Your Focus: Bob and Weave was successful on %t!','Your Focus: Bob and Weave fades.','',1,0,'',0,'You cast Focus: Bob and Weave on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377887,0,1),
(1001467,2528047764,4,0,'Focus: Bob and Weave','Bob and Weave will increase the bruiser''s maximum health. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',332,65535,317,0,0,0,0,1,'Your Focus: Bob and Weave was successful on %t!','Your Focus: Bob and Weave fades.','',1,0,'',0,'You cast Focus: Bob and Weave on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377887,0,1),
(1001468,3352511233,4,0,'Focus: Bolster','Improves the duration of Bolster. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',16,65535,316,0,0,0,0,1,'Your Focus: Bolster was successful on %t!','Your Focus: Bolster fades.','',1,0,'',0,'You cast Focus: Bolster on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384291124,0,1),
(1001469,2639656076,4,0,'Focus: Bonechiller Venom','Improves the accuracy of Bonechiller Venom. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',799,65535,315,0,0,0,0,1,'Your Focus: Bonechiller Venom was successful on %t!','Your Focus: Bonechiller Venom fades.','',1,0,'',0,'You cast Focus: Bonechiller Venom on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384291135,0,1),
(1001470,4138183605,4,0,'Focus: Boon of the Damned','Improves the hate transfer of Boon of the Damned. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',243,65535,316,0,0,0,0,1,'Your Focus: Boon of the Damned was successful on %t!','Your Focus: Boon of the Damned fades.','',1,0,'',0,'You cast Focus: Boon of the Damned on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377888,0,1),
(1001471,390073832,4,0,'Focus: Breeze','Breeze will improve the casting speed of the group when active. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',475,65535,314,0,0,0,0,1,'Your Focus: Breeze was successful on %t!','Your Focus: Breeze fades.','',1,0,'',0,'You cast Focus: Breeze on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384291139,0,1),
(1001472,3515179777,4,0,'Focus: Cacophony of Blades','Improves the damage and reuse of Cacophony of Blades. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',225,65535,314,0,0,0,0,1,'Your Focus: Cacophony of Blades was successful on %t!','Your Focus: Cacophony of Blades fades.','',1,0,'',0,'You cast Focus: Cacophony of Blades on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377887,0,1),
(1001473,1696296770,4,0,'Focus: Call to Arms','Call to Arms will grant a small amount of accuracy. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',184,65535,314,0,0,0,0,1,'Your Focus: Call to Arms was successful on %t!','Your Focus: Call to Arms fades.','',1,0,'',0,'You cast Focus: Call to Arms on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377887,0,1),
(1001474,3243951974,4,0,'Focus: Caress Feedback','Adds a small heal to Caress Feedback. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',257,65535,317,0,0,0,0,1,'Your Focus: Caress Feedback was successful on %t!','Your Focus: Caress Feedback fades.','',1,0,'',0,'You cast Focus: Caress Feedback on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377887,0,1),
(1001475,1622126199,4,0,'Focus: Cheap Shot','Improves the reuse speed of Cheap Shot.',217,65535,315,0,0,0,0,1,'Your Focus: Cheap Shot was successful on %t!','Your Focus: Cheap Shot fades.','',1,0,'',0,'You cast Focus: Cheap Shot on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670499,1384377916,0,1),
(1001476,1103878840,4,0,'Focus: Chilling Claws','Improves the damage of Chilling Claws. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',820,65535,314,0,0,0,0,1,'Your Focus: Chilling Claws was successful on %t!','Your Focus: Chilling Claws fades.','',1,0,'',0,'You cast Focus: Chilling Claws on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384367296,0,1),
(1001477,1614526433,4,0,'Focus: Chromatic Shower','Improves the damage of Chromatic Shower. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',266,65535,312,0,0,0,0,1,'Your Focus: Chromatic Shower was successful on %t!','Your Focus: Chromatic Shower fades.','',1,0,'',0,'You cast Focus: Chromatic Shower on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377887,0,1),
(1001478,4122655060,4,0,'Focus: Conduits','Reduces the amount of dissonance generated by non-debuff Conduits that equip in slots 4 through 8. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',5,65535,317,0,0,0,0,1,'Your Focus: Conduits was successful on %t!','Your Focus: Conduits fades.','',1,0,'',0,'You cast Focus: Conduits on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377887,0,1),
(1001479,1349139394,4,0,'Focus: Construct''s Sacrifice','Reduces the health cost of Construct''s Sacrifice. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',908,65535,317,0,0,0,0,1,'Your Focus: Construct''s Sacrifice was successful on %t!','Your Focus: Construct''s Sacrifice fades.','',1,0,'',0,'You cast Focus: Construct''s Sacrifice on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377889,0,1),
(1001480,892663811,4,0,'Focus: Consumption','Improves the reuse of Consumption. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',259,65535,317,0,0,0,0,1,'Your Focus: Consumption was successful on %t!','Your Focus: Consumption fades.','',1,0,'',0,'You cast Focus: Consumption on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377887,0,1),
(1001481,1633553128,4,0,'Focus: Controlled Rage','Improves the block chance granted by Controlled Rage. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',218,65535,317,0,0,0,0,1,'Your Focus: Controlled Rage was successful on %t!','Your Focus: Controlled Rage fades.','',1,0,'',0,'You cast Focus: Controlled Rage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384367296,0,1),
(1001482,3838795534,4,0,'Focus: Converge','Improves the hate transfer of Converge. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',243,65535,316,0,0,0,0,1,'Your Focus: Converge was successful on %t!','Your Focus: Converge fades.','',1,0,'',0,'You cast Focus: Converge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377888,0,1),
(1001483,884072548,4,0,'Focus: Convert Ally','Improves the heal of Convert Ally. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',183,65535,317,0,0,0,0,1,'Your Focus: Convert Ally was successful on %t!','Your Focus: Convert Ally fades.','',1,0,'',0,'You cast Focus: Convert Ally on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384367297,0,1),
(1001484,3477170324,4,0,'Focus: Crescent Strike','Improves the reuse and damage of Crescent Strike. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',343,65535,313,0,0,0,0,1,'Your Focus: Crescent Strike was successful on %t!','Your Focus: Crescent Strike fades.','',1,0,'',0,'You cast Focus: Crescent Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384377887,0,1),
(1001485,3417219948,4,0,'Focus: Critical Damage','Increases the size of critical hits. This ability also passively increases combat regeneration, health and power, magical resistances and attributes.',213,65535,317,0,0,0,0,1,'Your Focus: Critical Damage was successful on %t!','Your Focus: Critical Damage fades.','',1,0,'',0,'You cast Focus: Critical Damage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384367307,0,1),
(1001486,2346939847,4,0,'Focus: Cry of the Warrior','Improves the reuse and removes the power cost of Cry of the Warrior. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',920,65535,315,0,0,0,0,1,'Your Focus: Cry of the Warrior was successful on %t!','Your Focus: Cry of the Warrior fades.','',1,0,'',0,'You cast Focus: Cry of the Warrior on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670499,1384367306,0,1),
(1001487,3334750500,4,0,'Focus: Crystal Blast','Improves the damage of Crystal Blast. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',161,65535,315,0,0,0,0,1,'Your Focus: Crystal Blast was successful on %t!','Your Focus: Crystal Blast fades.','',1,0,'',0,'You cast Focus: Crystal Blast on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377890,0,1),
(1001488,1060604197,4,0,'Focus: Cunning Defense','Adds an additional effect to Cunning Defense that increases mitigation. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',218,65535,317,0,0,0,0,1,'Your Focus: Cunning Defense was successful on %t!','Your Focus: Cunning Defense fades.','',1,0,'',0,'You cast Focus: Cunning Defense on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377890,0,1),
(1001489,3746158034,4,0,'Focus: Curse of Shielding','Improves the ward amount of Curse of Shielding. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',267,65535,315,0,0,0,0,1,'Your Focus: Curse of Shielding was successful on %t!','Your Focus: Curse of Shielding fades.','',1,0,'',0,'You cast Focus: Curse of Shielding on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377887,0,1),
(1001490,2919736352,4,0,'Focus: Daelis'' Dance of Blades','Daelis'' Dance of Blades will increase the troubador''s maximum health. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',304,65535,317,0,0,0,0,1,'Your Focus: Daelis'' Dance of Blades was successful on %t!','Your Focus: Daelis'' Dance of Blades fades.','',1,0,'',0,'You cast Focus: Daelis'' Dance of Blades on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377887,0,1),
(1001491,3395717060,4,0,'Focus: Dark Pact','Adds accuracy and resistibility to Dark Pact. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',236,65535,314,0,0,0,0,1,'Your Focus: Dark Pact was successful on %t!','Your Focus: Dark Pact fades.','',1,0,'',0,'You cast Focus: Dark Pact on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377888,0,1),
(1001492,4141727370,4,0,'Focus: Dashing Swathe','Improves the reuse and critical damage bonus of Dashing Swathe. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',380,65535,313,0,0,0,0,1,'Your Focus: Dashing Swathe was successful on %t!','Your Focus: Dashing Swathe fades.','',1,0,'',0,'You cast Focus: Dashing Swathe on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377887,0,1),
(1001493,511321511,4,0,'Focus: Dead Calm','Improves the trigger chance of Dead Calm. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',206,65535,314,0,0,0,0,1,'Your Focus: Dead Calm was successful on %t!','Your Focus: Dead Calm fades.','',1,0,'',0,'You cast Focus: Dead Calm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377887,0,1),
(1001494,1352722091,4,0,'Focus: Death March','Adds damage reduction to On the March. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',206,65535,314,0,0,0,0,1,'Your Focus: Death March was successful on %t!','Your Focus: Death March fades.','',1,0,'',0,'You cast Focus: Death March on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377889,0,1),
(1001495,3064306770,4,0,'Focus: Death Swarm','Improves the damage of Death Swarm. Additionally, Death Swarm reduces critical chance of the target. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',369,65535,315,0,0,0,0,1,'Your Focus: Death Swarm was successful on %t!','Your Focus: Death Swarm fades.','',1,0,'',0,'You cast Focus: Death Swarm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384367305,0,1),
(1001496,1017435489,4,0,'Focus: Death''s Door','Death''s Door will increase the dirge''s maximum health. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',205,65535,317,0,0,0,0,1,'Your Focus: Death''s Door was successful on %t!','Your Focus: Death''s Door fades.','',1,0,'',0,'You cast Focus: Death''s Door on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377890,0,1),
(1001497,3554507092,4,0,'Focus: Debilitate','Improves the damage and reuse of Debilitate. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',186,65535,315,0,0,0,0,1,'Your Focus: Debilitate was successful on %t!','Your Focus: Debilitate fades.','',1,0,'',0,'You cast Focus: Debilitate on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377887,0,1),
(1001498,2275812414,4,0,'Focus: Defensive Minded','Improves the duration of Defensive Minded. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',834,65535,317,0,0,0,0,1,'Your Focus: Defensive Minded was successful on %t!','Your Focus: Defensive Minded fades.','',1,0,'',0,'You cast Focus: Defensive Minded on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384367306,0,1),
(1001499,1037434623,4,0,'Focus: Destructive Rage','Increase the Damage Per Second granted by Destructive Rage. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',496,65535,314,0,0,0,0,1,'Your Focus: Destructive Rage was successful on %t!','Your Focus: Destructive Rage fades.','',1,0,'',0,'You cast Focus: Destructive Rage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384367296,0,1),
(1001500,317461818,4,0,'Focus: Destructive Rampage','Improves the effects of Destructive Rampage. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',893,65535,314,0,0,0,0,1,'Your Focus: Destructive Rampage was successful on %t!','Your Focus: Destructive Rampage fades.','',1,0,'',0,'You cast Focus: Destructive Rampage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384367297,0,1),
(1001501,176047836,4,0,'Focus: Devour Vitae','Devour Vitae will now affect the target encounter. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',249,65535,315,0,0,0,0,1,'Your Focus: Devour Vitae was successful on %t!','Your Focus: Devour Vitae fades.','',1,0,'',0,'You cast Focus: Devour Vitae on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377887,0,1),
(1001502,634135182,4,0,'Focus: Dexterous Sonata','Improves the amount of Crit Bonus granted by Dexterous Sonata. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',813,65535,314,0,0,0,0,1,'Your Focus: Dexterous Sonata was successful on %t!','Your Focus: Dexterous Sonata fades.','',1,0,'',0,'You cast Focus: Dexterous Sonata on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377887,0,1),
(1001503,2925640142,4,0,'Focus: Dispatch','Improves the duration of Dispatch. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',472,65535,315,0,0,0,0,1,'Your Focus: Dispatch was successful on %t!','Your Focus: Dispatch fades.','',1,0,'',0,'You cast Focus: Dispatch on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384367306,0,1),
(1001504,237400542,4,0,'Focus: Divine Favor','Improves the duration and reuse of Divine Favor. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',219,65535,317,0,0,0,0,1,'Your Focus: Divine Favor was successful on %t!','Your Focus: Divine Favor fades.','',1,0,'',0,'You cast Focus: Divine Favor on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377887,0,1),
(1001505,2196465179,4,0,'Focus: Divine Inspiration','Improves the trigger chance of Divine Inspiration. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',184,65535,314,0,0,0,0,1,'Your Focus: Divine Inspiration was successful on %t!','Your Focus: Divine Inspiration fades.','',1,0,'',0,'You cast Focus: Divine Inspiration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377887,0,1),
(1001506,2226955980,4,0,'Focus: Doppelganger','Improves the reuse of Doppelganger. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',12,65535,316,0,0,0,0,1,'Your Focus: Doppelganger was successful on %t!','Your Focus: Doppelganger fades.','',1,0,'',0,'You cast Focus: Doppelganger on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377887,0,1),
(1001507,712483385,4,0,'Focus: Elemental Toxicity','Improves the duration of Elemental Toxicity. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',481,65535,314,0,0,0,0,1,'Your Focus: Elemental Toxicity was successful on %t!','Your Focus: Elemental Toxicity fades.','',1,0,'',0,'You cast Focus: Elemental Toxicity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377892,0,1),
(1001508,4163406624,4,0,'Focus: Elixir of Resuscitation','Improves the range and casting time of Elixir of Resuscitation. Elixir of Resuscitation no longer causes resurrection sickness. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',210,65535,316,0,0,0,0,1,'Your Focus: Elixir of Resuscitation was successful on %t!','Your Focus: Elixir of Resuscitation fades.','',1,0,'',0,'You cast Focus: Elixir of Resuscitation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377887,0,1),
(1001509,2970914391,4,0,'Focus: Enfeebling Whirl','Improves the damage of Enfeebling Whirl. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',826,65535,313,0,0,0,0,1,'Your Focus: Enfeebling Whirl was successful on %t!','Your Focus: Enfeebling Whirl fades.','',1,0,'',0,'You cast Focus: Enfeebling Whirl on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377887,0,1),
(1001510,4173718287,4,0,'Focus: Enraging Demeanor (Potency)','Enraging Demeanor increases the target''s potency. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',294,65535,316,0,0,0,0,1,'Your Focus: Enraging Demeanor (Potency) was successful on %t!','Your Focus: Enraging Demeanor (Potency) fades.','',1,0,'',0,'You cast Focus: Enraging Demeanor (Potency) on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377889,0,1),
(1001511,1485867506,4,0,'Focus: Enraging Demeanor (Transfer)','Improves the hate transfer of Enraging Demeanor. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',294,65535,316,0,0,0,0,1,'Your Focus: Enraging Demeanor (Transfer) was successful on %t!','Your Focus: Enraging Demeanor (Transfer) fades.','',1,0,'',0,'You cast Focus: Enraging Demeanor (Transfer) on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377887,0,1),
(1001512,2535086479,4,0,'Focus: Explosive Arrow','Increases the damage of Explosive Arrow. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',811,65535,315,0,0,0,0,1,'Your Focus: Explosive Arrow was successful on %t!','Your Focus: Explosive Arrow fades.','',1,0,'',0,'You cast Focus: Explosive Arrow on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377887,0,1),
(1001513,2698011019,4,0,'Focus: Eye Shot','Improves the reuse and Crit Bonus of Eye Shot. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',346,65535,315,0,0,0,0,1,'Your Focus: Eye Shot was successful on %t!','Your Focus: Eye Shot fades.','',1,0,'',0,'You cast Focus: Eye Shot on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377887,0,1),
(1001514,933113729,4,0,'Focus: Fanatical Healing','Improves the reuse time and critical heal bonus of Fanatical Healing. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',468,65535,316,0,0,0,0,1,'Your Focus: Fanatical Healing was successful on %t!','Your Focus: Fanatical Healing fades.','',1,0,'',0,'You cast Focus: Fanatical Healing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377889,0,1),
(1001515,3901006010,4,0,'Focus: Fanaticism','Fanaticism will grant Damage Per Second to the group. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',295,65535,314,0,0,0,0,1,'Your Focus: Fanaticism was successful on %t!','Your Focus: Fanaticism fades.','',1,0,'',0,'You cast Focus: Fanaticism on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377887,0,1),
(1001516,3710438138,4,0,'Focus: Fancy Footwork','Fancy Footwork will increase the swashbuckler''s armor mitigation. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',225,65535,317,0,0,0,0,1,'Your Focus: Fancy Footwork was successful on %t!','Your Focus: Fancy Footwork fades.','',1,0,'',0,'You cast Focus: Fancy Footwork on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377890,0,1),
(1001517,255415048,4,0,'Focus: Fatal Followup','Improves the damage of Fatal Followup. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',337,65535,315,0,0,0,0,1,'Your Focus: Fatal Followup was successful on %t!','Your Focus: Fatal Followup fades.','',1,0,'',0,'You cast Focus: Fatal Followup on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377888,0,1),
(1001518,2887339638,4,0,'Focus: Feral Stance','Increases the amount of weapon skills added by Feral Stance. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',868,65535,317,0,0,0,0,1,'Your Focus: Feral Stance was successful on %t!','Your Focus: Feral Stance fades.','',1,0,'',0,'You cast Focus: Feral Stance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377887,0,1),
(1001519,3015145778,4,0,'Focus: Fiery Annihilation','Improves the damage of Fiery Annihilation. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',273,65535,315,0,0,0,0,1,'Your Focus: Fiery Annihilation was successful on %t!','Your Focus: Fiery Annihilation fades.','',1,0,'',0,'You cast Focus: Fiery Annihilation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377887,0,1),
(1001520,2319719423,4,0,'Focus: Five Rings','Improves the damage of Five Rings. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',330,65535,315,0,0,0,0,1,'Your Focus: Five Rings was successful on %t!','Your Focus: Five Rings fades.','',1,0,'',0,'You cast Focus: Five Rings on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384367297,0,1),
(1001521,2056996266,4,0,'Focus: Flash of Brilliance','Flash of Brilliance will increase the other primary attributes. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',209,65535,314,0,0,0,0,1,'Your Focus: Flash of Brilliance was successful on %t!','Your Focus: Flash of Brilliance fades.','',1,0,'',0,'You cast Focus: Flash of Brilliance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377887,0,1),
(1001522,910337440,4,0,'Focus: Flash of Steel','Improves the damage of Flash of Steel. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',338,65535,315,0,0,0,0,1,'Your Focus: Flash of Steel was successful on %t!','Your Focus: Flash of Steel fades.','',1,0,'',0,'You cast Focus: Flash of Steel on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377888,0,1),
(1001523,4237435542,4,0,'Focus: Flurry of Blades','Improves the damage of Flurry of Blades. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',383,65535,315,0,0,0,0,1,'Your Focus: Flurry of Blades was successful on %t!','Your Focus: Flurry of Blades fades.','',1,0,'',0,'You cast Focus: Flurry of Blades on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377887,0,1),
(1001524,1311719987,4,0,'Focus: Focus Aim','Improves the duration of Focus Aim. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',342,65535,317,0,0,0,0,1,'Your Focus: Focus Aim was successful on %t!','Your Focus: Focus Aim fades.','',1,0,'',0,'You cast Focus: Focus Aim on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377889,0,1),
(1001525,2352553411,4,0,'Focus: Focused Intervention','Adds additional triggers to Focused Intervention. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',300,65535,316,0,0,0,0,1,'Your Focus: Focused Intervention was successful on %t!','Your Focus: Focused Intervention fades.','',1,0,'',0,'You cast Focus: Focused Intervention on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377887,0,1),
(1001526,3496116995,4,0,'Focus: Fusion','Improves the reuse and critical damage bonus of Fusion. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',85,65535,313,0,0,0,0,1,'Your Focus: Fusion was successful on %t!','Your Focus: Fusion fades.','',1,0,'',0,'You cast Focus: Fusion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384291139,0,1),
(1001527,1012526958,4,0,'Focus: Geotic Rune','Improves the mitigation of Geotic Rune. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',483,65535,314,0,0,0,0,1,'Your Focus: Geotic Rune was successful on %t!','Your Focus: Geotic Rune fades.','',1,0,'',0,'You cast Focus: Geotic Rune on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377887,0,1),
(1001528,797979795,4,0,'Focus: Glacial Lance','Improves the damage of Glacial Lance. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',377,65535,315,0,0,0,0,1,'Your Focus: Glacial Lance was successful on %t!','Your Focus: Glacial Lance fades.','',1,0,'',0,'You cast Focus: Glacial Lance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377887,0,1),
(1001529,2360580233,4,0,'Focus: Grave Sacrament','Improves the reuse and critical damage bonus of Grave Sacrament. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',237,65535,313,0,0,0,0,1,'Your Focus: Grave Sacrament was successful on %t!','Your Focus: Grave Sacrament fades.','',1,0,'',0,'You cast Focus: Grave Sacrament on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384367297,0,1),
(1001530,730856525,4,0,'Focus: Grim Harbinger','Improves the trigger chance of Grim Harbinger. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',470,65535,317,0,0,0,0,1,'Your Focus: Grim Harbinger was successful on %t!','Your Focus: Grim Harbinger fades.','',1,0,'',0,'You cast Focus: Grim Harbinger on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377887,0,1),
(1001531,1705908629,4,0,'Focus: Hail Storm','Improves the damage of Hail Storm. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',902,65535,315,0,0,0,0,1,'Your Focus: Hail Storm was successful on %t!','Your Focus: Hail Storm fades.','',1,0,'',0,'You cast Focus: Hail Storm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377888,0,1),
(1001532,2887973670,4,0,'Focus: Harbinger','Adds a regenerating ward to Harbinger. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',272,65535,316,0,0,0,0,1,'Your Focus: Harbinger was successful on %t!','Your Focus: Harbinger fades.','',1,0,'',0,'You cast Focus: Harbinger on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377891,0,1),
(1001533,947313136,4,0,'Focus: Harm Touch','Improves the reuse and critical damage bonus of Harm Touch. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',247,65535,315,0,0,0,0,1,'Your Focus: Harm Touch was successful on %t!','Your Focus: Harm Touch fades.','',1,0,'',0,'You cast Focus: Harm Touch on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377887,0,1),
(1001534,4219101112,4,0,'Focus: Harvest Mana','Improves the power restoration of Harvest Mana. Harvest Mana will no longer stifle the wizard. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',254,65535,317,0,0,0,0,1,'Your Focus: Harvest Mana was successful on %t!','Your Focus: Harvest Mana fades.','',1,0,'',0,'You cast Focus: Harvest Mana on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384367307,0,1),
(1001535,697704247,4,0,'Focus: Healstorm','Improves the heal amount of Healstorm. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',189,65535,314,0,0,0,0,1,'Your Focus: Healstorm was successful on %t!','Your Focus: Healstorm fades.','',1,0,'',0,'You cast Focus: Healstorm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377887,0,1),
(1001536,1131738097,4,0,'Focus: Hibernation','Reduces the duration and reuse of Hibernation. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',155,65535,314,0,0,0,0,1,'Your Focus: Hibernation was successful on %t!','Your Focus: Hibernation fades.','',1,0,'',0,'You cast Focus: Hibernation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670502,1384377890,0,1),
(1001537,2314979283,4,0,'Focus: Hidden Openings','Improves the damage of Hidden Openings. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',855,65535,315,0,0,0,0,1,'Your Focus: Hidden Openings was successful on %t!','Your Focus: Hidden Openings fades.','',1,0,'',0,'You cast Focus: Hidden Openings on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377889,0,1),
(1001538,2310999898,4,0,'Focus: Holy Armor','Improves the health granted by Holy Armor. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',146,65535,314,0,0,0,0,1,'Your Focus: Holy Armor was successful on %t!','Your Focus: Holy Armor fades.','',1,0,'',0,'You cast Focus: Holy Armor on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377890,0,1),
(1001539,2998334578,4,0,'Focus: Holy Intercession','Adds additional triggers to Holy Intercession. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',180,65535,314,0,0,0,0,1,'Your Focus: Holy Intercession was successful on %t!','Your Focus: Holy Intercession fades.','',1,0,'',0,'You cast Focus: Holy Intercession on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384367340,0,1),
(1001540,2909179216,4,0,'Focus: Hostage','Improves the damage and trigger count of Hostage. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',245,65535,315,0,0,0,0,1,'Your Focus: Hostage was successful on %t!','Your Focus: Hostage fades.','',1,0,'',0,'You cast Focus: Hostage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377887,0,1),
(1001541,2573701086,4,0,'Focus: Hunter''s Instinct','Hunter''s Instinct will increase maximum health. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',191,65535,317,0,0,0,0,1,'Your Focus: Hunter''s Instinct was successful on %t!','Your Focus: Hunter''s Instinct fades.','',1,0,'',0,'You cast Focus: Hunter''s Instinct on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384367297,0,1),
(1001542,1890924444,4,0,'Focus: Ice Comet (Damage)','Improves the damage of Ice Comet. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',252,65535,315,0,0,0,0,1,'Your Focus: Ice Comet (Damage) was successful on %t!','Your Focus: Ice Comet (Damage) fades.','',1,0,'',0,'You cast Focus: Ice Comet (Damage) on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377888,0,1),
(1001543,824064984,4,0,'Focus: Ice Comet (Reuse)','Improves the reuse and critical damage bonus of Ice Comet. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',252,65535,315,0,0,0,0,1,'Your Focus: Ice Comet (Reuse) was successful on %t!','Your Focus: Ice Comet (Reuse) fades.','',1,0,'',0,'You cast Focus: Ice Comet (Reuse) on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384367317,0,1),
(1001544,424656893,4,0,'Focus: Ice Storm','Improves the damage of Ice Storm. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',169,65535,312,0,0,0,0,1,'Your Focus: Ice Storm was successful on %t!','Your Focus: Ice Storm fades.','',1,0,'',0,'You cast Focus: Ice Storm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377887,0,1),
(1001545,2416338569,4,0,'Focus: Iceshield','Iceshield will increase the target''s Block Chance. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',253,65535,316,0,0,0,0,1,'Your Focus: Iceshield was successful on %t!','Your Focus: Iceshield fades.','',1,0,'',0,'You cast Focus: Iceshield on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377888,0,1),
(1001546,1489233019,4,0,'Focus: Ignore Pain','Improves the reuse and heal amount of Ignore Pain. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',345,65535,317,0,0,0,0,1,'Your Focus: Ignore Pain was successful on %t!','Your Focus: Ignore Pain fades.','',1,0,'',0,'You cast Focus: Ignore Pain on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377887,0,1),
(1001547,3844127184,4,0,'Focus: Impairments','Improves the effects of Aura of Crippling, Interfering Noise and Weapon Dissonance. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',160,65535,315,0,0,0,0,1,'Your Focus: Impairments was successful on %t!','Your Focus: Impairments fades.','',1,0,'',0,'You cast Focus: Impairments on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377889,0,1),
(1001548,1326037385,4,0,'Focus: Inner Calm','Inner Calm will increase the monk''s maximum health. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',332,65535,317,0,0,0,0,1,'Your Focus: Inner Calm was successful on %t!','Your Focus: Inner Calm fades.','',1,0,'',0,'You cast Focus: Inner Calm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377887,0,1),
(1001549,3604153274,4,0,'Focus: Inner Focus','Improves the reuse and power cost of Inner Focus. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',857,65535,317,0,0,0,0,1,'Your Focus: Inner Focus was successful on %t!','Your Focus: Inner Focus fades.','',1,0,'',0,'You cast Focus: Inner Focus on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377887,0,1),
(1001550,2114221460,4,0,'Focus: Inquest','Inquest grants a small amount of Doublecast and Flurry to the target. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',472,65535,316,0,0,0,0,1,'Your Focus: Inquest was successful on %t!','Your Focus: Inquest fades.','',1,0,'',0,'You cast Focus: Inquest on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377893,0,1),
(1001551,4278376373,4,0,'Focus: Inspired Daring','Improves the damage of Inspired Daring. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',337,65535,317,0,0,0,0,1,'Your Focus: Inspired Daring was successful on %t!','Your Focus: Inspired Daring fades.','',1,0,'',0,'You cast Focus: Inspired Daring on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384367307,0,1),
(1001552,4097245127,4,0,'Focus: Instinct','Instinct will grant accuracy and Damage Per Second. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',241,65535,316,0,0,0,0,1,'Your Focus: Instinct was successful on %t!','Your Focus: Instinct fades.','',1,0,'',0,'You cast Focus: Instinct on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377887,0,1),
(1001553,183624389,4,0,'Focus: Intellectual Remedy','Intellectual Remedy will now grant additional Crit Bonus and apply to the entire raid. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',913,65535,314,0,0,0,0,1,'Your Focus: Intellectual Remedy was successful on %t!','Your Focus: Intellectual Remedy fades.','',1,0,'',0,'You cast Focus: Intellectual Remedy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384291137,0,1),
(1001554,2604167377,4,0,'Focus: Jeering Onslaught','Improves the damage of Jeering Onslaught. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',841,65535,313,0,0,0,0,1,'Your Focus: Jeering Onslaught was successful on %t!','Your Focus: Jeering Onslaught fades.','',1,0,'',0,'You cast Focus: Jeering Onslaught on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377889,0,1),
(1001555,711996801,4,0,'Focus: Jester''s Cap','Jester''s Cap will increase the target''s Crit Bonus. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',492,65535,317,0,0,0,0,1,'Your Focus: Jester''s Cap was successful on %t!','Your Focus: Jester''s Cap fades.','',1,0,'',0,'You cast Focus: Jester''s Cap on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377887,0,1),
(1001556,281747272,4,0,'Focus: Judgment','Improves the damage of Judgment. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',213,65535,315,0,0,0,0,1,'Your Focus: Judgment was successful on %t!','Your Focus: Judgment fades.','',1,0,'',0,'You cast Focus: Judgment on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377887,0,1),
(1001557,343908886,4,0,'Focus: Lamenting Soul','Improves the damage per second reduction of Lamenting Soul. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',268,65535,315,0,0,0,0,1,'Your Focus: Lamenting Soul was successful on %t!','Your Focus: Lamenting Soul fades.','',1,0,'',0,'You cast Focus: Lamenting Soul on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377890,0,1),
(1001558,3918722336,4,0,'Focus: Lay on Hands','Improves the reuse and duration of Lay on Hands. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',209,65535,316,0,0,0,0,1,'Your Focus: Lay on Hands was successful on %t!','Your Focus: Lay on Hands fades.','',1,0,'',0,'You cast Focus: Lay on Hands on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377890,0,1),
(1001559,1582150936,4,0,'Focus: Lethargy','Improves the effects of Lethary. Lethary will reduce the targets'' chance to critically hit. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',246,65535,312,0,0,0,0,1,'Your Focus: Lethargy was successful on %t!','Your Focus: Lethargy fades.','',1,0,'',0,'You cast Focus: Lethargy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377887,0,1),
(1001560,4220861355,4,0,'Focus: Lich','Improves the damage and heal of Lich. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',240,65535,317,0,0,0,0,1,'Your Focus: Lich was successful on %t!','Your Focus: Lich fades.','',1,0,'',0,'You cast Focus: Lich on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377887,0,1),
(1001561,4283136904,4,0,'Focus: Lucidity','Improves the amount of intelligence granted by Lucidity. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',211,65535,316,0,0,0,0,1,'Your Focus: Lucidity was successful on %t!','Your Focus: Lucidity fades.','',1,0,'',0,'You cast Focus: Lucidity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377887,0,1),
(1001562,1208101291,4,0,'Focus: Magi''s Shielding','Magi''s Shielding increases the mage''s maximum health. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',163,65535,317,0,0,0,0,1,'Your Focus: Magi''s Shielding was successful on %t!','Your Focus: Magi''s Shielding fades.','',1,0,'',0,'You cast Focus: Magi''s Shielding on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384367297,0,1),
(1001563,509420850,4,0,'Focus: Mail of Frost','Improves the reuse of Mail of Frost. When Mail of Frost is active, the wizard''s threat generation is reduced. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',253,65535,317,0,0,0,0,1,'Your Focus: Mail of Frost was successful on %t!','Your Focus: Mail of Frost fades.','',1,0,'',0,'You cast Focus: Mail of Frost on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377888,0,1),
(1001564,1407798266,4,0,'Focus: Malevolent Diatribe','Improves the trigger count of Malevolent Diatribe. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',180,65535,314,0,0,0,0,1,'Your Focus: Malevolent Diatribe was successful on %t!','Your Focus: Malevolent Diatribe fades.','',1,0,'',0,'You cast Focus: Malevolent Diatribe on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384367297,0,1),
(1001565,1507661022,4,0,'Focus: Mark of Nobility','Mark of Nobility will improve the accuracy of the target. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',492,65535,315,0,0,0,0,1,'Your Focus: Mark of Nobility was successful on %t!','Your Focus: Mark of Nobility fades.','',1,0,'',0,'You cast Focus: Mark of Nobility on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377890,0,1),
(1001566,3263828133,4,0,'Focus: Masked Strike','Improves the damage of Masked Strike. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',377,65535,315,0,0,0,0,1,'Your Focus: Masked Strike was successful on %t!','Your Focus: Masked Strike fades.','',1,0,'',0,'You cast Focus: Masked Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377890,0,1),
(1001567,901966467,4,0,'Focus: Mend','Improves the heal amount and reuse of Mend. Mend also grants the target additional block chance. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',158,65535,316,0,0,0,0,1,'Your Focus: Mend was successful on %t!','Your Focus: Mend fades.','',1,0,'',0,'You cast Focus: Mend on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377889,0,1),
(1001568,4096861205,4,0,'Focus: Minion Health','Increases the health of the necromancer''s pet. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',335,65535,317,0,0,0,0,1,'Your Focus: Minion Health was successful on %t!','Your Focus: Minion Health fades.','',1,0,'',0,'You cast Focus: Minion Health on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377887,0,1),
(1001569,4229637394,4,0,'Focus: Miracle Shot','Miracle Shot will reduce threat priority. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',342,65535,315,0,0,0,0,1,'Your Focus: Miracle Shot was successful on %t!','Your Focus: Miracle Shot fades.','',1,0,'',0,'You cast Focus: Miracle Shot on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377887,0,1),
(1001570,2698772733,4,0,'Focus: Mortal Blade','Enhances the reuse and critical damage bonus of Mortal Blade. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',381,65535,315,0,0,0,0,1,'Your Focus: Mortal Blade was successful on %t!','Your Focus: Mortal Blade fades.','',1,0,'',0,'You cast Focus: Mortal Blade on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377890,0,1),
(1001571,2752801114,4,0,'Focus: Murderous Design','Improves the hate transfer of Murderous Design. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',370,65535,316,0,0,0,0,1,'Your Focus: Murderous Design was successful on %t!','Your Focus: Murderous Design fades.','',1,0,'',0,'You cast Focus: Murderous Design on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384367307,0,1),
(1001572,1970941145,4,0,'Focus: Mutilate','Improves the damage of Mutilate and grants an additional damage effect that applies to the target encounter. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',327,65535,315,0,0,0,0,1,'Your Focus: Mutilate was successful on %t!','Your Focus: Mutilate fades.','',1,0,'',0,'You cast Focus: Mutilate on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377887,0,1),
(1001573,3918433429,4,0,'Focus: Nature''s Embrace','Improves the reuse and critical heal amount of Nature''s Embrace. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',468,65535,316,0,0,0,0,1,'Your Focus: Nature''s Embrace was successful on %t!','Your Focus: Nature''s Embrace fades.','',1,0,'',0,'You cast Focus: Nature''s Embrace on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377887,0,1),
(1001574,2072211922,4,0,'Focus: Noxious Enfeeblement','Improves the accuracy of Noxious Enfeeblement. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',803,65535,315,0,0,0,0,1,'Your Focus: Noxious Enfeeblement was successful on %t!','Your Focus: Noxious Enfeeblement fades.','',1,0,'',0,'You cast Focus: Noxious Enfeeblement on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377887,0,1),
(1001575,1246247839,4,0,'Focus: Nullmail','Improves the reuse of Nullmail. While active, Nullmail will reduce the warlock''s threat generation. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',358,65535,317,0,0,0,0,1,'Your Focus: Nullmail was successful on %t!','Your Focus: Nullmail fades.','',1,0,'',0,'You cast Focus: Nullmail on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384367306,0,1),
(1001576,876925004,4,0,'Focus: One Hundred Hand Punch','Improves the damage of One Hundred Hand Punch. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',330,65535,315,0,0,0,0,1,'Your Focus: One Hundred Hand Punch was successful on %t!','Your Focus: One Hundred Hand Punch fades.','',1,0,'',0,'You cast Focus: One Hundred Hand Punch on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377887,0,1),
(1001577,2171950564,4,0,'Focus: Oration of Sacrifice','Removes the penalty and increases the heal of Oration of Sacrifice. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',487,65535,316,0,0,0,0,1,'Your Focus: Oration of Sacrifice was successful on %t!','Your Focus: Oration of Sacrifice fades.','',1,0,'',0,'You cast Focus: Oration of Sacrifice on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377887,0,1),
(1001578,3656116780,4,0,'Focus: Pandemic','Improves the damage of Pandemic. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',169,65535,312,0,0,0,0,1,'Your Focus: Pandemic was successful on %t!','Your Focus: Pandemic fades.','',1,0,'',0,'You cast Focus: Pandemic on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384367297,0,1),
(1001579,657559623,4,0,'Focus: Paralyzing Strike','Adds a threat priority reduction to Paralyzing Strike. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',264,65535,315,0,0,0,0,1,'Your Focus: Paralyzing Strike was successful on %t!','Your Focus: Paralyzing Strike fades.','',1,0,'',0,'You cast Focus: Paralyzing Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384367307,0,1),
(1001580,2163380407,4,0,'Focus: Peace of Mind','Improves the duration of Peace of Mind. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',916,65535,314,0,0,0,0,1,'Your Focus: Peace of Mind was successful on %t!','Your Focus: Peace of Mind fades.','',1,0,'',0,'You cast Focus: Peace of Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377892,0,1),
(1001581,344071096,4,0,'Focus: Perfect Shrill','Improves the damage of Perfect Shrill. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',171,65535,315,0,0,0,0,1,'Your Focus: Perfect Shrill was successful on %t!','Your Focus: Perfect Shrill fades.','',1,0,'',0,'You cast Focus: Perfect Shrill on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377887,0,1),
(1001582,2006996610,4,0,'Focus: Perfection of the Maestro','Improves the damage of Perfection of the Maestro. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',328,65535,314,0,0,0,0,1,'Your Focus: Perfection of the Maestro was successful on %t!','Your Focus: Perfection of the Maestro fades.','',1,0,'',0,'You cast Focus: Perfection of the Maestro on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377887,0,1),
(1001583,2698920052,4,0,'Focus: Photosynthesis','Adds an additional tick to Photosynthesis. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',191,65535,316,0,0,0,0,1,'Your Focus: Photosynthesis was successful on %t!','Your Focus: Photosynthesis fades.','',1,0,'',0,'You cast Focus: Photosynthesis on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377887,0,1),
(1001584,3758907832,4,0,'Focus: Plaguebringer','Improves the damage of Plaguebringer. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',899,65535,315,0,0,0,0,1,'Your Focus: Plaguebringer was successful on %t!','Your Focus: Plaguebringer fades.','',1,0,'',0,'You cast Focus: Plaguebringer on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377888,0,1),
(1001585,1524681519,4,0,'Focus: Plane Shift','Adds potency to Plane Shift and improves its reuse. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',267,65535,317,0,0,0,0,1,'Your Focus: Plane Shift was successful on %t!','Your Focus: Plane Shift fades.','',1,0,'',0,'You cast Focus: Plane Shift on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384367310,0,1),
(1001586,362978611,4,0,'Focus: Potency','Increases the damage of all abilities. This ability also passively increases combat regeneration, health and power, magical resistances and attributes.',29,65535,317,0,0,0,0,1,'Your Focus: Potency was successful on %t!','Your Focus: Potency fades.','',1,0,'',0,'You cast Focus: Potency on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670504,1384377887,0,1),
(1001587,2785921677,4,0,'Focus: Prayer of Healing','Improves the heal amount of Prayer of Healing. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',158,65535,314,0,0,0,0,1,'Your Focus: Prayer of Healing was successful on %t!','Your Focus: Prayer of Healing fades.','',1,0,'',0,'You cast Focus: Prayer of Healing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377887,0,1),
(1001588,561205499,4,0,'Focus: Primal Reflexes','Improves the hate gain reduction of Primal Reflexes. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',232,65535,317,0,0,0,0,1,'Your Focus: Primal Reflexes was successful on %t!','Your Focus: Primal Reflexes fades.','',1,0,'',0,'You cast Focus: Primal Reflexes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377891,0,1),
(1001589,751700392,4,0,'Focus: Prismatic Chaos','Adds triggers to Prismatic Chaos. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',266,65535,316,0,0,0,0,1,'Your Focus: Prismatic Chaos was successful on %t!','Your Focus: Prismatic Chaos fades.','',1,0,'',0,'You cast Focus: Prismatic Chaos on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384367297,0,1),
(1001590,2837768682,4,0,'Focus: Prophetic Ward','Improves the ward amount of Prophetic Ward. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',245,65535,314,0,0,0,0,1,'Your Focus: Prophetic Ward was successful on %t!','Your Focus: Prophetic Ward fades.','',1,0,'',0,'You cast Focus: Prophetic Ward on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377900,0,1),
(1001591,2370299661,4,0,'Focus: Quick Swipe','Improves the amount of Damage per Second and Attack Speed reduced by Quick Swipe. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',349,65535,315,0,0,0,0,1,'Your Focus: Quick Swipe was successful on %t!','Your Focus: Quick Swipe fades.','',1,0,'',0,'You cast Focus: Quick Swipe on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377887,0,1),
(1001592,1837961420,4,0,'Focus: Rampage','Increases the trigger count of Rampage. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',380,65535,317,0,0,0,0,1,'Your Focus: Rampage was successful on %t!','Your Focus: Rampage fades.','',1,0,'',0,'You cast Focus: Rampage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377889,0,1),
(1001593,2232862578,4,0,'Focus: Reaver','Improves the heal amount of Reaver. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',240,65535,317,0,0,0,0,1,'Your Focus: Reaver was successful on %t!','Your Focus: Reaver fades.','',1,0,'',0,'You cast Focus: Reaver on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377887,0,1),
(1001594,2318858341,4,0,'Focus: Refusal of Atonement','Improves the reuse and critical damage bonus of Refusal of Atonement. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',472,65535,315,0,0,0,0,1,'Your Focus: Refusal of Atonement was successful on %t!','Your Focus: Refusal of Atonement fades.','',1,0,'',0,'You cast Focus: Refusal of Atonement on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377887,0,1),
(1001595,3591113043,4,0,'Focus: Regrowth','Regrowth gains an additional tick. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',191,65535,316,0,0,0,0,1,'Your Focus: Regrowth was successful on %t!','Your Focus: Regrowth fades.','',1,0,'',0,'You cast Focus: Regrowth on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377887,0,1),
(1001596,3610370445,4,0,'Focus: Repentance','Adds an additional trigger to Repentance. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',213,65535,315,0,0,0,0,1,'Your Focus: Repentance was successful on %t!','Your Focus: Repentance fades.','',1,0,'',0,'You cast Focus: Repentance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384367297,0,1),
(1001597,1319890883,4,0,'Focus: Restoration','Improves the reuse and critical heal amount of Restoration. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',468,65535,316,0,0,0,0,1,'Your Focus: Restoration was successful on %t!','Your Focus: Restoration fades.','',1,0,'',0,'You cast Focus: Restoration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377889,0,1),
(1001598,219980765,4,0,'Focus: Riana''s Relentless Tune','Removes the concentration cost from Riana''s Relentless Tune. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',174,65535,314,0,0,0,0,1,'Your Focus: Riana''s Relentless Tune was successful on %t!','Your Focus: Riana''s Relentless Tune fades.','',1,0,'',0,'You cast Focus: Riana''s Relentless Tune on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377887,0,1),
(1001599,491414805,4,0,'Focus: Rift','Improves the reuse and critical damage bonus of Rift. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',508,65535,313,0,0,0,0,1,'Your Focus: Rift was successful on %t!','Your Focus: Rift fades.','',1,0,'',0,'You cast Focus: Rift on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377888,0,1),
(1001600,1226097488,4,0,'Focus: Rising Dragon','Improves the duration and damage of Rising Dragon. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',368,65535,315,0,0,0,0,1,'Your Focus: Rising Dragon was successful on %t!','Your Focus: Rising Dragon fades.','',1,0,'',0,'You cast Focus: Rising Dragon on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377887,0,1),
(1001601,2075742608,4,0,'Focus: Ritual Healing','Improves the heal and health increase of Ritual Healing. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',468,65535,316,0,0,0,0,1,'Your Focus: Ritual Healing was successful on %t!','Your Focus: Ritual Healing fades.','',1,0,'',0,'You cast Focus: Ritual Healing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377888,0,1),
(1001602,446690490,4,0,'Focus: Rock Skin','Improves the duration and reuse of Rock Skin. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',329,65535,317,0,0,0,0,1,'Your Focus: Rock Skin was successful on %t!','Your Focus: Rock Skin fades.','',1,0,'',0,'You cast Focus: Rock Skin on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384291124,0,1),
(1001603,3305994617,4,0,'Focus: Runic Armor','Improves the physical mitigation granted by Runic Armor. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',146,65535,314,0,0,0,0,1,'Your Focus: Runic Armor was successful on %t!','Your Focus: Runic Armor fades.','',1,0,'',0,'You cast Focus: Runic Armor on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377889,0,1),
(1001604,1210726239,4,0,'Focus: Rush','Improves the damage of Rush. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',330,65535,315,0,0,0,0,1,'Your Focus: Rush was successful on %t!','Your Focus: Rush fades.','',1,0,'',0,'You cast Focus: Rush on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384367296,0,1),
(1001605,866751514,4,0,'Focus: Sacrifice','Improves the reuse and duration of Sacrifice. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',206,65535,317,0,0,0,0,1,'Your Focus: Sacrifice was successful on %t!','Your Focus: Sacrifice fades.','',1,0,'',0,'You cast Focus: Sacrifice on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377887,0,1),
(1001606,3565864682,4,0,'Focus: Sacrificial Restoration','Improves the heal amount of Sacrificial Restoration. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',468,65535,316,0,0,0,0,1,'Your Focus: Sacrificial Restoration was successful on %t!','Your Focus: Sacrificial Restoration fades.','',1,0,'',0,'You cast Focus: Sacrificial Restoration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377887,0,1),
(1001607,4208552997,4,0,'Focus: Salubrious Invocation','Increases the potency of Salubrious Invocation. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',293,65535,314,0,0,0,0,1,'Your Focus: Salubrious Invocation was successful on %t!','Your Focus: Salubrious Invocation fades.','',1,0,'',0,'You cast Focus: Salubrious Invocation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384291138,0,1),
(1001608,745356442,4,0,'Focus: Sanctuary','Improves the reuse of Sanctuary. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',506,65535,314,0,0,0,0,1,'Your Focus: Sanctuary was successful on %t!','Your Focus: Sanctuary fades.','',1,0,'',0,'You cast Focus: Sanctuary on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377887,0,1),
(1001609,3306278132,4,0,'Focus: Sanctuary of Darkness','Improves the duration of Sanctuary of Darkness. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',370,65535,317,0,0,0,0,1,'Your Focus: Sanctuary of Darkness was successful on %t!','Your Focus: Sanctuary of Darkness fades.','',1,0,'',0,'You cast Focus: Sanctuary of Darkness on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377887,0,1),
(1001610,2572304357,4,0,'Focus: Sandstorm','Improves the block chance granted by Sandstorm. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',509,65535,314,0,0,0,0,1,'Your Focus: Sandstorm was successful on %t!','Your Focus: Sandstorm fades.','',1,0,'',0,'You cast Focus: Sandstorm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377887,0,1),
(1001611,3703599395,4,0,'Focus: Savage Assault','Improves the damage of Savage Assault. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',330,65535,313,0,0,0,0,1,'Your Focus: Savage Assault was successful on %t!','Your Focus: Savage Assault fades.','',1,0,'',0,'You cast Focus: Savage Assault on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377887,0,1),
(1001612,756117695,4,0,'Focus: Savage Blaze','Improves the duration and tick amount of Savage Blaze. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',273,65535,317,0,0,0,0,1,'Your Focus: Savage Blaze was successful on %t!','Your Focus: Savage Blaze fades.','',1,0,'',0,'You cast Focus: Savage Blaze on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384367296,0,1),
(1001613,2188551055,4,0,'Focus: Savage Ruin','Savage Ruin grants additional maximum health. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',244,65535,317,0,0,0,0,1,'Your Focus: Savage Ruin was successful on %t!','Your Focus: Savage Ruin fades.','',1,0,'',0,'You cast Focus: Savage Ruin on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377887,0,1),
(1001614,2018194034,4,0,'Focus: Savante','Savante will reduce the power cost of spells even further. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',262,65535,314,0,0,0,0,1,'Your Focus: Savante was successful on %t!','Your Focus: Savante fades.','',1,0,'',0,'You cast Focus: Savante on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377887,0,1),
(1001615,2027459289,4,0,'Focus: Scream of Death','Improves the reuse and critical damage bonus of Scream of Death. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',268,65535,315,0,0,0,0,1,'Your Focus: Scream of Death was successful on %t!','Your Focus: Scream of Death fades.','',1,0,'',0,'You cast Focus: Scream of Death on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384367304,0,1),
(1001616,1480384260,4,0,'Focus: Sentinel Strike','Improves the damage and threat amount of Sentinel Strike. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',833,65535,315,0,0,0,0,1,'Your Focus: Sentinel Strike was successful on %t!','Your Focus: Sentinel Strike fades.','',1,0,'',0,'You cast Focus: Sentinel Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377887,0,1),
(1001617,741551255,4,0,'Focus: Sentry Watch','Adds additional triggers to Sentry Watch. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',329,65535,314,0,0,0,0,1,'Your Focus: Sentry Watch was successful on %t!','Your Focus: Sentry Watch fades.','',1,0,'',0,'You cast Focus: Sentry Watch on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384367297,0,1),
(1001618,28677391,4,0,'Focus: Shattered Earth','Improves the reuse and critical damage bonus of Shattered Earth. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',508,65535,312,0,0,0,0,1,'Your Focus: Shattered Earth was successful on %t!','Your Focus: Shattered Earth fades.','',1,0,'',0,'You cast Focus: Shattered Earth on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384367308,0,1),
(1001619,3010476033,4,0,'Focus: Shock Wave','Improves the reuse and critical damage bonus of Shock Wave. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',268,65535,313,0,0,0,0,1,'Your Focus: Shock Wave was successful on %t!','Your Focus: Shock Wave fades.','',1,0,'',0,'You cast Focus: Shock Wave on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377887,0,1),
(1001620,1049374736,4,0,'Focus: Shroud of Armor','Improves the physical mitigation granted by Shroud of Armor. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',146,65535,314,0,0,0,0,1,'Your Focus: Shroud of Armor was successful on %t!','Your Focus: Shroud of Armor fades.','',1,0,'',0,'You cast Focus: Shroud of Armor on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377887,0,1),
(1001621,2221473843,4,0,'Focus: Shroud of Bertoxxulous','Improves the damage of Shroud of Bertoxxulous. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',261,65535,316,0,0,0,0,1,'Your Focus: Shroud of Bertoxxulous was successful on %t!','Your Focus: Shroud of Bertoxxulous fades.','',1,0,'',0,'You cast Focus: Shroud of Bertoxxulous on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377890,0,1),
(1001622,179028625,4,0,'Focus: Shrug Off','Shrug Off will grant the target Extra Riposte Chance. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',294,65535,316,0,0,0,0,1,'Your Focus: Shrug Off was successful on %t!','Your Focus: Shrug Off fades.','',1,0,'',0,'You cast Focus: Shrug Off on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377890,0,1),
(1001623,215995312,4,0,'Focus: Sigil of Heroism','Sigil of Heroism will grant additional mitigation while active. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',489,65535,314,0,0,0,0,1,'Your Focus: Sigil of Heroism was successful on %t!','Your Focus: Sigil of Heroism fades.','',1,0,'',0,'You cast Focus: Sigil of Heroism on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377887,0,1),
(1001624,4171396446,4,0,'Focus: Smoldering Fists','Improves the trigger chance of Smoldering Fists. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',275,65535,317,0,0,0,0,1,'Your Focus: Smoldering Fists was successful on %t!','Your Focus: Smoldering Fists fades.','',1,0,'',0,'You cast Focus: Smoldering Fists on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384291123,0,1),
(1001625,269794275,4,0,'Focus: Songster''s Luck','Songster''s Luck will grant increased accuracy to the group. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',87,65535,314,0,0,0,0,1,'Your Focus: Songster''s Luck was successful on %t!','Your Focus: Songster''s Luck fades.','',1,0,'',0,'You cast Focus: Songster''s Luck on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377887,0,1),
(1001626,2895101621,4,0,'Focus: Soulrot','Improves the damage of Soulrot. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',161,65535,315,0,0,0,0,1,'Your Focus: Soulrot was successful on %t!','Your Focus: Soulrot fades.','',1,0,'',0,'You cast Focus: Soulrot on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384367297,0,1),
(1001627,1799413931,4,0,'Focus: Speed','Increases in combat movement speed. This ability also passively increases combat regeneration, health and power, magical resistances and attributes.',90,65535,317,0,0,0,0,1,'Your Focus: Speed was successful on %t!','Your Focus: Speed fades.','',1,0,'',0,'You cast Focus: Speed on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377890,0,1),
(1001628,378651022,4,0,'Focus: Spinechiller Blood','Improves the duration of Spinechiller Blood. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',227,65535,315,0,0,0,0,1,'Your Focus: Spinechiller Blood was successful on %t!','Your Focus: Spinechiller Blood fades.','',1,0,'',0,'You cast Focus: Spinechiller Blood on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384367296,0,1),
(1001629,338149907,4,0,'Focus: Spiritual Stance','Spiritual Stance will improve armor mitigation. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',799,65535,317,0,0,0,0,1,'Your Focus: Spiritual Stance was successful on %t!','Your Focus: Spiritual Stance fades.','',1,0,'',0,'You cast Focus: Spiritual Stance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377887,0,1),
(1001630,643176606,4,0,'Focus: Spurious Bravado','Swaps the hate gain to hate reduction and improves the trigger chance of Spurious Bravado. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',184,65535,317,0,0,0,0,1,'Your Focus: Spurious Bravado was successful on %t!','Your Focus: Spurious Bravado fades.','',1,0,'',0,'You cast Focus: Spurious Bravado on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377890,0,1),
(1001631,1367402015,4,0,'Focus: Stalwart','Reduces the chance of being stunned. This ability also passively increases combat regeneration, health and power, magical resistances and attributes.',16,65535,317,0,0,0,0,0,'Your Focus: Stalwart was successful on %t!','Your Focus: Stalwart fades.','',1,0,'Spells/FocusStalwart.lua',0,'You cast Focus: Stalwart on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1389665848,1384367307,0,1),
(1001632,3139016211,4,0,'Focus: Stances','Adds additional effects to some of the monk''s stances. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',195,65535,317,0,0,0,0,1,'Your Focus: Stances was successful on %t!','Your Focus: Stances fades.','',1,0,'',0,'You cast Focus: Stances on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377887,0,1),
(1001633,3332374873,4,0,'Focus: Stances','All priest stances will grant Crit Bonus. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',782,65535,317,0,0,0,0,1,'Your Focus: Stances was successful on %t!','Your Focus: Stances fades.','',1,0,'',0,'You cast Focus: Stances on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377887,0,1),
(1001634,1600545935,4,0,'Focus: Stances','Adds additional effects to some of the bruiser''s stances. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',294,65535,317,0,0,0,0,1,'Your Focus: Stances was successful on %t!','Your Focus: Stances fades.','',1,0,'',0,'You cast Focus: Stances on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377899,0,1),
(1001635,2026417153,4,0,'Focus: Stoneskin','Improves the reuse and recovery of Stoneskin. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',329,65535,317,0,0,0,0,1,'Your Focus: Stoneskin was successful on %t!','Your Focus: Stoneskin fades.','',1,0,'',0,'You cast Focus: Stoneskin on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377887,0,1),
(1001636,724484572,4,0,'Focus: Storm of Arrows','Improves the damage of Storm of Arrows. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',363,65535,312,0,0,0,0,1,'Your Focus: Storm of Arrows was successful on %t!','Your Focus: Storm of Arrows fades.','',1,0,'',0,'You cast Focus: Storm of Arrows on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670506,1384377887,0,1),
(1001637,2767690851,4,0,'Focus: Street Smarts','Street Smarts will increase the brigand''s maximum health. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',294,65535,317,0,0,0,0,1,'Your Focus: Street Smarts was successful on %t!','Your Focus: Street Smarts fades.','',1,0,'',0,'You cast Focus: Street Smarts on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384377889,0,1),
(1001638,2279346787,4,0,'Focus: Sucker Punch','Improves the damage of Sucker Punch. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',349,65535,315,0,0,0,0,1,'Your Focus: Sucker Punch was successful on %t!','Your Focus: Sucker Punch fades.','',1,0,'',0,'You cast Focus: Sucker Punch on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384367308,0,1),
(1001639,2752348408,4,0,'Focus: Survival Instincts','Survival Instincts will grant increased mitigation. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',307,65535,317,0,0,0,0,1,'Your Focus: Survival Instincts was successful on %t!','Your Focus: Survival Instincts fades.','',1,0,'',0,'You cast Focus: Survival Instincts on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384377892,0,1),
(1001640,1249033163,4,0,'Focus: Swarthy Deception','Improves the hate transfer of Swarthy Deception. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',289,65535,316,0,0,0,0,1,'Your Focus: Swarthy Deception was successful on %t!','Your Focus: Swarthy Deception fades.','',1,0,'',0,'You cast Focus: Swarthy Deception on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384377887,0,1),
(1001641,1085512866,4,0,'Focus: Synergism (Crit Bonus)','Improves the damage of Synergism. Additionally, Synergism will grant Crit Bonus to the target. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',264,65535,316,0,0,0,0,1,'Your Focus: Synergism (Crit Bonus) was successful on %t!','Your Focus: Synergism (Crit Bonus) fades.','',1,0,'',0,'You cast Focus: Synergism (Crit Bonus) on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384377887,0,1),
(1001642,1821885656,4,0,'Focus: Synergism (Damage)','Improves the damage of Synergism. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',264,65535,316,0,0,0,0,1,'Your Focus: Synergism (Damage) was successful on %t!','Your Focus: Synergism (Damage) fades.','',1,0,'',0,'You cast Focus: Synergism (Damage) on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384377887,0,1),
(1001643,2931484899,4,0,'Focus: Tap Veins','Improves the heal amount of Tap Veins. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',249,65535,313,0,0,0,0,1,'Your Focus: Tap Veins was successful on %t!','Your Focus: Tap Veins fades.','',1,0,'',0,'You cast Focus: Tap Veins on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384377887,0,1),
(1001644,1310033247,4,0,'Focus: Taunting Blow','Improves the damage and threat of Taunting Blow. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',326,65535,315,0,0,0,0,1,'Your Focus: Taunting Blow was successful on %t!','Your Focus: Taunting Blow fades.','',1,0,'',0,'You cast Focus: Taunting Blow on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384367297,0,1),
(1001645,1749422790,4,0,'Focus: Tenacity','Improves the effects of Tenacity and makes it apply to the entire group. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',471,65535,316,0,0,0,0,1,'Your Focus: Tenacity was successful on %t!','Your Focus: Tenacity fades.','',1,0,'',0,'You cast Focus: Tenacity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384367297,0,1),
(1001646,3944460990,4,0,'Focus: Tendrils of Horror','Adds Extra Riposte Chance to the target of Tendrils of Horror. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',261,65535,316,0,0,0,0,1,'Your Focus: Tendrils of Horror was successful on %t!','Your Focus: Tendrils of Horror fades.','',1,0,'',0,'You cast Focus: Tendrils of Horror on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384291123,0,1),
(1001647,1489069292,4,0,'Focus: Thieves Guild','Thieves Guild will grant casting speed to the target. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',753,65535,316,0,0,0,0,1,'Your Focus: Thieves Guild was successful on %t!','Your Focus: Thieves Guild fades.','',1,0,'',0,'You cast Focus: Thieves Guild on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384377887,0,1),
(1001648,726475002,4,0,'Focus: Thieving Essence','Improves the reuse and critical damage bonus of Thieving Essence. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',815,65535,315,0,0,0,0,1,'Your Focus: Thieving Essence was successful on %t!','Your Focus: Thieving Essence fades.','',1,0,'',0,'You cast Focus: Thieving Essence on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384377887,0,1),
(1001649,3250484850,4,0,'Focus: Thorncoat','Thorncoat will grant additional physical mitigation. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',188,65535,316,0,0,0,0,1,'Your Focus: Thorncoat was successful on %t!','Your Focus: Thorncoat fades.','',1,0,'',0,'You cast Focus: Thorncoat on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384377887,0,1),
(1001650,1059916239,4,0,'Focus: Thornskin','Thornskin will grant additional physical mitigation to the target. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',188,65535,316,0,0,0,0,1,'Your Focus: Thornskin was successful on %t!','Your Focus: Thornskin fades.','',1,0,'',0,'You cast Focus: Thornskin on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384377889,0,1),
(1001651,1940428544,4,0,'Focus: Thunderbolt','Improves the damage of Thunderbolt. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',233,65535,315,0,0,0,0,1,'Your Focus: Thunderbolt was successful on %t!','Your Focus: Thunderbolt fades.','',1,0,'',0,'You cast Focus: Thunderbolt on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384367307,0,1),
(1001652,2754100577,4,0,'Focus: Thunderous Overture','Improves the damage of Thunderous Overture. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',263,65535,313,0,0,0,0,1,'Your Focus: Thunderous Overture was successful on %t!','Your Focus: Thunderous Overture fades.','',1,0,'',0,'You cast Focus: Thunderous Overture on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384377887,0,1),
(1001653,1224836135,4,0,'Focus: Torpor','Torpor gains an additional tick and has its penalties reduced. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',218,65535,316,0,0,0,0,1,'Your Focus: Torpor was successful on %t!','Your Focus: Torpor fades.','',1,0,'',0,'You cast Focus: Torpor on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384377889,0,1),
(1001654,4105611750,4,0,'Focus: Touch of the Nightshade','Improves the damage and heal amounts of Touch of the Nightshade. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',808,65535,315,0,0,0,0,1,'Your Focus: Touch of the Nightshade was successful on %t!','Your Focus: Touch of the Nightshade fades.','',1,0,'',0,'You cast Focus: Touch of the Nightshade on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384377888,0,1),
(1001655,3684203673,4,0,'Focus: Tranquil Vision','Tranquil Vision will apply Extra Riposte Chance to the target. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',332,65535,316,0,0,0,0,1,'Your Focus: Tranquil Vision was successful on %t!','Your Focus: Tranquil Vision fades.','',1,0,'',0,'You cast Focus: Tranquil Vision on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384377887,0,1),
(1001656,947029377,4,0,'Focus: Tranquility','Adds an additional tick to Tranquility. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',488,65535,316,0,0,0,0,1,'Your Focus: Tranquility was successful on %t!','Your Focus: Tranquility fades.','',1,0,'',0,'You cast Focus: Tranquility on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384377887,0,1),
(1001657,2283634885,4,0,'Focus: Transcendence','Improves the heal amount and casting speed of Transcendence. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',293,65535,314,0,0,0,0,1,'Your Focus: Transcendence was successful on %t!','Your Focus: Transcendence fades.','',1,0,'',0,'You cast Focus: Transcendence on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384377889,0,1),
(1001658,867795293,4,0,'Focus: Triple Shot','Improves the damage and hit rate of Triple Shot. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',361,65535,315,0,0,0,0,1,'Your Focus: Triple Shot was successful on %t!','Your Focus: Triple Shot fades.','',1,0,'',0,'You cast Focus: Triple Shot on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384291124,0,1),
(1001659,3362800886,4,0,'Focus: Unholy Covenant','Unholy Covenant will reduce incoming magical damage. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',208,65535,314,0,0,0,0,1,'Your Focus: Unholy Covenant was successful on %t!','Your Focus: Unholy Covenant fades.','',1,0,'',0,'You cast Focus: Unholy Covenant on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384367297,0,1),
(1001660,789315176,4,0,'Focus: Unholy Hunger','Improves the trigger chance of Unholy Hunger. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',184,65535,314,0,0,0,0,1,'Your Focus: Unholy Hunger was successful on %t!','Your Focus: Unholy Hunger fades.','',1,0,'',0,'You cast Focus: Unholy Hunger on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384377887,0,1),
(1001661,47967189,4,0,'Focus: Unrestricted','Reduces the effects of snares. This ability also passively increases combat regeneration, health and power, magical resistances and attributes.',82,65535,317,0,0,0,0,1,'Your Focus: Unrestricted was successful on %t!','Your Focus: Unrestricted fades.','',1,0,'',0,'You cast Focus: Unrestricted on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384377890,0,1),
(1001662,678882690,4,0,'Focus: Untamed Regeneration','Improves the heal amount of Untamed Regeneration. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',293,65535,314,0,0,0,0,1,'Your Focus: Untamed Regeneration was successful on %t!','Your Focus: Untamed Regeneration fades.','',1,0,'',0,'You cast Focus: Untamed Regeneration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384367306,0,1),
(1001663,2364680900,4,0,'Focus: Unyielding Benediction','Improves the trigger chance of Unyielding Benediction. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',220,65535,316,0,0,0,0,1,'Your Focus: Unyielding Benediction was successful on %t!','Your Focus: Unyielding Benediction fades.','',1,0,'',0,'You cast Focus: Unyielding Benediction on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384377887,0,1),
(1001664,2566283146,4,0,'Focus: Upbeat Tempo','Improves the amount of ticks granted to spells by Upbeat Tempo. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',818,65535,316,0,0,0,0,1,'Your Focus: Upbeat Tempo was successful on %t!','Your Focus: Upbeat Tempo fades.','',1,0,'',0,'You cast Focus: Upbeat Tempo on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384377887,0,1),
(1001665,3924333189,4,0,'Focus: Vector of Life','Improves the cast time and Crit Bonus of Vector of Life. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',914,65535,314,0,0,0,0,1,'Your Focus: Vector of Life was successful on %t!','Your Focus: Vector of Life fades.','',1,0,'',0,'You cast Focus: Vector of Life on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384367308,0,1),
(1001666,1780000520,4,0,'Focus: Vehemence','Improves the stamina granted by Vehemence. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',184,65535,314,0,0,0,0,1,'Your Focus: Vehemence was successful on %t!','Your Focus: Vehemence fades.','',1,0,'',0,'You cast Focus: Vehemence on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384377887,0,1),
(1001667,2577421050,4,0,'Focus: Velocity','Velocity will increase the target''s Crit Bonus. This ability also passively increases combat regeneration, health and power, magical resistances, intelligence and stamina.',271,65535,316,0,0,0,0,1,'Your Focus: Velocity was successful on %t!','Your Focus: Velocity fades.','',1,0,'',0,'You cast Focus: Velocity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384291137,0,1),
(1001668,1084825768,4,0,'Focus: Vengeful Arrow','Increases the potency of Vengeful Arrow. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',382,65535,315,0,0,0,0,1,'Your Focus: Vengeful Arrow was successful on %t!','Your Focus: Vengeful Arrow fades.','',1,0,'',0,'You cast Focus: Vengeful Arrow on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384367308,0,1),
(1001669,1739647121,4,0,'Focus: Villainy','Villainy now increases maximum health. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',243,65535,317,0,0,0,0,1,'Your Focus: Villainy was successful on %t!','Your Focus: Villainy fades.','',1,0,'',0,'You cast Focus: Villainy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384367306,0,1),
(1001670,3651236587,4,0,'Focus: Voice of the Ancestors','Improves the reuse and power cost of Voice of the Ancestors. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',471,65535,314,0,0,0,0,1,'Your Focus: Voice of the Ancestors was successful on %t!','Your Focus: Voice of the Ancestors fades.','',1,0,'',0,'You cast Focus: Voice of the Ancestors on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384377890,0,1),
(1001671,4261100017,4,0,'Focus: Wail of the Banshee','Improves the damage over time component of Wail of the Banshee. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',207,65535,312,0,0,0,0,1,'Your Focus: Wail of the Banshee was successful on %t!','Your Focus: Wail of the Banshee fades.','',1,0,'',0,'You cast Focus: Wail of the Banshee on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384367305,0,1),
(1001672,279553554,4,0,'Focus: Wall of Force','Improves the reuse and power cost of Wall of Force. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',840,65535,317,0,0,0,0,1,'Your Focus: Wall of Force was successful on %t!','Your Focus: Wall of Force fades.','',1,0,'',0,'You cast Focus: Wall of Force on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384367307,0,1),
(1001673,2028987932,4,0,'Focus: Wall of Rage','Improves the mitigation granted by Wall of Rage. This ability also passively increases combat regeneration, health and power, magical resistances, strength and stamina.',184,65535,317,0,0,0,0,1,'Your Focus: Wall of Rage was successful on %t!','Your Focus: Wall of Rage fades.','',1,0,'',0,'You cast Focus: Wall of Rage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384377893,0,1),
(1001674,1606749437,4,0,'Focus: Ward of the Untamed','Improves the ward of Ward of the Untamed. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',228,65535,314,0,0,0,0,1,'Your Focus: Ward of the Untamed was successful on %t!','Your Focus: Ward of the Untamed fades.','',1,0,'',0,'You cast Focus: Ward of the Untamed on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384367307,0,1),
(1001675,1019861069,4,0,'Focus: Will to Survive','Improves the damage and reuse of Will to Survive. This ability also passively increases combat regeneration, health and power, magical resistances, agility and stamina.',808,65535,315,0,0,0,0,1,'Your Focus: Will to Survive was successful on %t!','Your Focus: Will to Survive fades.','',1,0,'',0,'You cast Focus: Will to Survive on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384377889,0,1),
(1001676,4102162931,4,0,'Focus: Winds of Healing','Improves the heal amount of Winds of Healing. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',293,65535,314,0,0,0,0,1,'Your Focus: Winds of Healing was successful on %t!','Your Focus: Winds of Healing fades.','',1,0,'',0,'You cast Focus: Winds of Healing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384377888,0,1),
(1001677,2004742583,4,0,'Focus: Word of Redemption','Improves the reuse and critical heal amount of Word of Redemption. This ability also passively increases combat regeneration, health and power, magical resistances, wisdom and stamina.',293,65535,314,0,0,0,0,1,'Your Focus: Word of Redemption was successful on %t!','Your Focus: Word of Redemption fades.','',1,0,'',0,'You cast Focus: Word of Redemption on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670508,1384377887,0,1),
(1001678,3104056365,4,1,'Focused','Your foes tremble at your considerable might! This trait expands your available energy by increasing your total Power by 2.5 percent.',201,65535,65535,0,0,0,0,0,'Your Focused was successful on %t!','Your Focused fades.','',0,0,'Spells/Focused.lua',0,'You cast Focused on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670508,1384378109,0,0),
(1001679,820461153,4,1,'Focused Apocalypse','Apocalypse has a chance to finish the reuse of Focused Casting.',258,65535,317,0,0,0,1,1,'Your Focused Apocalypse was successful on %t!','Your Focused Apocalypse fades.','',1,0,'',0,'You cast Focused Apocalypse on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670508,1384377910,0,1),
(1001680,942074087,4,0,'Focused Attacks','The group portion of the Focus Aim line will gain additional skill bonuses.',342,65535,317,0,0,0,0,1,'Your Focused Attacks was successful on %t!','Your Focused Attacks fades.','',1,0,'',0,'You cast Focused Attacks on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670508,1384377838,0,1),
(1001681,2673416005,4,0,'Focused Catalyst','Reduces the recast time of Catalyst and reduces resistibility while Catalyst is active.',216,65535,65535,0,0,0,0,1,'Your Focused Catalyst was successful on %t!','Your Focused Catalyst fades.','',1,0,'',0,'You cast Focused Catalyst on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670508,1384377831,0,1),
(1001682,633260968,4,1,'Focused Determination','Your devotion to physical endeavors has granted you additional stamina.  This additional stamina increases as you level.',374,65535,318,0,0,0,1,0,'Your Focused Determination was successful on %t!','Your Focused Determination fades.','',0,1,'Spells/Traits/FocusedDetermination.lua',0,'You cast Focused Determination on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670510,1384377823,0,1),
(1001683,1411070083,4,0,'Focused Disciple','Reduces the casting and reuse speed of heart and shard summoning spells.',496,65535,316,0,0,0,0,1,'Your Focused Disciple was successful on %t!','Your Focused Disciple fades.','',1,0,'',0,'You cast Focused Disciple on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670510,1384377907,0,1),
(1001684,1687432269,4,0,'Focused Followup','If all of the Five Rings attacks land the monk will followup with a larger direct damage hit.',330,65535,315,0,0,0,0,1,'Your Focused Followup was successful on %t!','Your Focused Followup fades.','',1,0,'',0,'You cast Focused Followup on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670510,1384377831,0,1),
(1001685,3086825578,4,1,'Focused Prowess','Grants a small amount of normalized healing and damage which scales with level.',480,65535,317,0,0,0,1,0,'Your Focused Prowess was successful on %t!','Your Focused Prowess fades.','',0,1,'Spells/Traits/FocusedProwess.lua',0,'You cast Focused Prowess on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670510,1384377823,0,1),
(1001686,363757148,4,0,'Focused Rift','Lowers the reuse time of Truespirit Rift.',11,65535,316,0,0,0,0,1,'Your Focused Rift was successful on %t!','Your Focused Rift fades.','',1,0,'',0,'You cast Focused Rift on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670510,1384377903,0,1),
(1001687,1444853068,4,1,'For Justice','Divine Justice will automatically increase or reduce threat to the targets the paladin is attacking by a percentage of the damage the paladin inflicts. It increases by default, and reduces when the paladin has Recklessness active.',874,65535,313,0,0,0,1,1,'Your For Justice was successful on %t!','Your For Justice fades.','',1,0,'',0,'You cast For Justice on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670510,1384377909,0,1),
(1001688,2959410558,4,0,'Force','Destruction through the use of brute force. This trait makes you more powerful by bestowing 4 Strength.',89,65535,65535,0,0,0,0,1,'Your Force was successful on %t!','Your Force fades.','',1,0,'',0,'You cast Force on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670510,1384378109,0,1),
(1001689,2914699784,4,1,'Force of Intellect','Enhances Intellectual Remedy so that it has a ward and increases the trigger count fo reactive heals and update count of beneficial spells.',913,65535,314,0,0,0,1,1,'Your Force of Intellect was successful on %t!','Your Force of Intellect fades.','',1,0,'',0,'You cast Force of Intellect on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670510,1384377839,0,1),
(1001690,2927792683,4,0,'Force of Nature','Improves the damage of the Warden''s auto-attack.',679,65535,65535,0,0,0,0,1,'Your Force of Nature was successful on %t!','Your Force of Nature fades.','',1,0,'',0,'You cast Force of Nature on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670510,1384377909,0,1),
(1001691,3718891275,4,1,'Forced Concussion','Black Jack has a chance to finish the reuse of Mercy or Anger.',340,65535,317,0,0,0,1,1,'Your Forced Concussion was successful on %t!','Your Forced Concussion fades.','',1,0,'',0,'You cast Forced Concussion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670510,1384377909,0,1),
(1001692,2833266353,4,1,'Forced Confessions','Adds additional damage to Interrogation as the target''s health drops.',160,65535,315,0,0,0,1,1,'Your Forced Confessions was successful on %t!','Your Forced Confessions fades.','',1,0,'',0,'You cast Forced Confessions on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670510,1384377917,0,1),
(1001693,3232078694,4,0,'Forced Following','Improves the reuse time on Holy Ground.',755,65535,313,0,0,0,0,1,'Your Forced Following was successful on %t!','Your Forced Following fades.','',1,0,'',0,'You cast Forced Following on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670510,1384377918,0,1),
(1001694,1028197045,4,0,'Forced Submission','Adds additional defensive based skill reductions to the Forced Obedience line of spells.',225,65535,312,1829443087,0,0,0,2,'Your Forced Submission was successful on %t!','Your Forced Submission fades.','',1,0,'',0,'You cast Forced Submission on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670510,1384377918,0,1),
(1001695,2814383945,4,0,'Forest Knowledge','Fae are natural residents of the forest, and have mastered conservative use of the trees they use in their crafting. Enhancement, permanently placed upon you, which increases your Fletching skill by 5.     ',187,65535,65535,0,0,0,0,0,'Your Forest Knowledge was successful on %t!','Your Forest Knowledge fades.','',0,1,'Spells/Traits/ForestKnowledge.lua',0,'You cast Forest Knowledge on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670510,1384378110,0,1),
(1001696,1617400626,4,1,'Forest Navigation','Increases your out of combat run speed.',356,65535,317,0,0,0,1,0,'Your Forest Navigation was successful on %t!','Your Forest Navigation fades.','',0,1,'Spells/Traits/ForestNavigation.lua',0,'You cast Forest Navigation on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670510,1384378110,0,1),
(1001697,2506835391,4,1,'Forge Invention','Tinkering may be their specialty, but the gnomes also excel at creating fine weapons.  \r\n\r\n+5 Metalworking',427,65535,65535,0,0,0,1,1,'Your Forge Invention was successful on %t!','Your Forge Invention fades.','',0,1,'Spells/ForgeInvention.lua',0,'You cast Forge Invention on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670510,1384377823,0,0),
(1001698,3340923161,4,0,'Formation','The Mercenary is always prepared for battle. They gain increased health, physical resists, shield block, and if they are in their defensive stance, they can increase hate with enemies that strike the Mercenary.',543,65535,65535,0,0,0,0,1,'Your Formation was successful on %t!','Your Formation fades.','',1,0,'',0,'You cast Formation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670510,1384377911,0,1),
(1001699,1612654801,4,1,'Formidable Training','Not only are you skilled in attacking, you gain an additional chance to block with a shield or deflect an attack.',243,65535,317,0,0,0,1,0,'Your Formidable Training was successful on %t!','Your Formidable Training fades.','',0,1,'Spells/Traits/FormidableTraining.lua',0,'You cast Formidable Training on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670510,1384378109,0,1),
(1001700,591200377,4,1,'Fortune of the Feerrott','You gain a slight improvement to your chance to succeed and gain additional durability while tradeskilling.',493,65535,317,0,0,0,1,0,'Your Fortune of the Feerrott was successful on %t!','Your Fortune of the Feerrott fades.','',0,1,'Spells/Traits/FortuneoftheFeerrott.lua',0,'You cast Fortune of the Feerrott on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670510,1384378109,0,1),
(1001701,3509423084,4,0,'Forward Stance','Improves Recklessness and the fighter''s offensive stance.',849,65535,317,0,0,0,0,1,'Your Forward Stance was successful on %t!','Your Forward Stance fades.','',1,0,'',0,'You cast Forward Stance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670510,1384377912,0,1),
(1001702,4211215589,4,1,'Freeze Soul','Flames of Velious will inflict additional damage as the target''s health drops. Additionally, the base reuse time of Flames of Velious is reduced.',228,65535,315,0,0,0,1,1,'Your Freeze Soul was successful on %t!','Your Freeze Soul fades.','',1,0,'',0,'You cast Freeze Soul on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670510,1384377839,0,1),
(1001703,720613645,4,1,'Frenzied Berserker','Chaos has a chance to finish the cooldown of Battle Frenzy.',295,65535,317,0,0,0,1,1,'Your Frenzied Berserker was successful on %t!','Your Frenzied Berserker fades.','',1,0,'',0,'You cast Frenzied Berserker on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670510,1384377902,0,1),
(1001704,2402619888,4,1,'Frightening Speed','Increases the out of combat run speed of the vampire.',90,65535,317,0,0,0,1,0,'Your Frightening Speed was successful on %t!','Your Frightening Speed fades.','',0,0,'Spells/FrighteningSpeed.lua',0,'You cast Frightening Speed on %t.',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1384670510,1384378109,0,1);
INSERT INTO `spells` VALUES
(1001705,853009573,4,1,'Frigid Claws','Increases the trigger chance of Chilling Claws.',820,65535,314,0,0,0,1,1,'Your Frigid Claws was successful on %t!','Your Frigid Claws fades.','',1,0,'',0,'You cast Frigid Claws on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670510,1384377902,0,1),
(1001706,2197927092,4,1,'Frostborn','You are a child of winter. This trait instills in you an innate protection.  Elemental damage taken is decreased by 3 percent vs opponents your level.  ',149,65535,65535,0,0,0,1,0,'Your Frostborn was successful on %t!','Your Frostborn fades.','',0,1,'Spells/Frostborn.lua',0,'You cast Frostborn on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670510,1384378109,0,0),
(1001707,2642745905,4,0,'Frostborn','You are a child of winter. This trait instills in you an innate protection.  Elemental damage taken is decreased by 3 percent vs opponents your level.  ',48,65535,65535,0,0,0,0,1,'Your Frostborn was successful on %t!','Your Frostborn fades.','',1,0,'',0,'You cast Frostborn on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670510,1384377887,0,1),
(1001708,446405763,4,1,'Frosted Ales','Your divine skills allow you to purify drinks, allowing them to last longer than normal.',131,65535,65535,0,0,0,1,1,'Your Frosted Ales was successful on %t!','Your Frosted Ales fades.','',1,0,'',0,'You cast Frosted Ales on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670510,1384378110,0,1),
(1001709,2146299394,4,0,'Frostsword','Adds an additional effect to Frigid Gift and its upgrades which can be triggered by melee attacks.',229,65535,314,0,0,0,0,1,'Your Frostsword was successful on %t!','Your Frostsword fades.','',1,0,'',0,'You cast Frostsword on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670510,1384377916,0,1),
(1001710,782115636,4,1,'Frozen Burst','Flames of Velious will inflict additional damage as the target''s health drops. Additionally, the base reuse time of Flames of Velious is reduced.',228,65535,315,0,0,0,1,1,'Your Frozen Burst was successful on %t!','Your Frozen Burst fades.','',1,0,'',0,'You cast Frozen Burst on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670510,1384377842,0,1),
(1001711,4066518983,4,0,'Frozen Companionship','Improves the duration of Savagery Freeze.',328,65535,317,0,0,0,0,1,'Your Frozen Companionship was successful on %t!','Your Frozen Companionship fades.','',1,0,'',0,'You cast Frozen Companionship on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670510,1384377899,0,1),
(1001712,1317023298,4,0,'Frozen Limbs','Adds a strength reduction component to the Frostbite line of spells.',229,65535,315,0,0,0,0,1,'Your Frozen Limbs was successful on %t!','Your Frozen Limbs fades.','',1,0,'',0,'You cast Frozen Limbs on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670510,1384377908,0,1),
(1001713,3682520877,4,1,'Frozen Solid','Builds charges of Frozen Solid on the caster when using damage spells.',256,65535,317,0,0,0,1,1,'Your Frozen Solid was successful on %t!','Your Frozen Solid fades.','',1,0,'',0,'You cast Frozen Solid on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670510,1384377838,0,1),
(1001714,3253092364,4,1,'Frozen Thoughts','E''Ci''s Frozen Wrath has a chance to finish the reuse of Fusion.',256,65535,317,0,0,0,1,1,'Your Frozen Thoughts was successful on %t!','Your Frozen Thoughts fades.','',1,0,'',0,'You cast Frozen Thoughts on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670510,1384377914,0,1),
(1001715,883892701,4,1,'Frozen in Place','Increases your base defense and disruption skills.',566,65535,65535,0,0,0,1,1,'Your Frozen in Place was successful on %t!','Your Frozen in Place fades.','',1,0,'',0,'You cast Frozen in Place on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670510,1384377875,0,1),
(1001716,3077134083,4,1,'Full Moon','Enhances Bolster to improve movement speed and Crit Bonus. Additionally, Bolster shapeshifts the target into a werewolf and grants a lifetap on attacks.',231,65535,316,0,0,0,1,1,'Your Full Moon was successful on %t!','Your Full Moon fades.','',1,0,'',0,'You cast Full Moon on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670510,1384377839,0,1),
(1001717,785925611,4,1,'Fur Coat','Increases your resistance to physical based attacks.',668,65535,318,0,0,0,0,0,'Your Fur Coat was successful on %t!','Your Fur Coat fades.','',0,1,'Spells/Traits/FurCoat.lua',0,'You cast Fur Coat on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670512,1384378109,0,1),
(1001718,2446263246,4,0,'Fury of the Archer','Improves the base damage of Quick Shot found on Archer''s Fury and its upgrades.',362,65535,317,0,0,0,0,1,'Your Fury of the Archer was successful on %t!','Your Fury of the Archer fades.','',1,0,'',0,'You cast Fury of the Archer on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670512,1384377831,0,1),
(1001719,134128121,4,0,'Fury of the Elements','Grants a spell to the conjuror''s pet that deals heat damage to the target.',276,65535,315,0,0,0,0,1,'Your Fury of the Elements was successful on %t!','Your Fury of the Elements fades.','',1,0,'',0,'You cast Fury of the Elements on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670512,1384377902,0,1),
(1001720,3539484398,4,1,'Fury of the Wild','Makes Primal Fury apply to the group.',326,65535,314,0,0,0,1,1,'Your Fury of the Wild was successful on %t!','Your Fury of the Wild fades.','',1,0,'',0,'You cast Fury of the Wild on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670512,1384377904,0,1),
(1001721,640166660,4,0,'Gallantry','Improves threat amount of the crusader''s taunt abilities.',289,65535,315,0,0,0,0,1,'Your Gallantry was successful on %t!','Your Gallantry fades.','',1,0,'',0,'You cast Gallantry on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670512,1384377901,0,1),
(1001722,2408704172,4,1,'Gang Up','Improves the effects of Ruthless Cunning and Deceit. At rank two, Ruthless Cunning will apply to the brigand''s group. At rank three, Deceit will also apply to the brigand''s group.',383,65535,314,0,0,0,1,1,'Your Gang Up was successful on %t!','Your Gang Up fades.','',1,0,'',0,'You cast Gang Up on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670512,1384377838,0,1),
(1001723,349653478,4,1,'Gather Mana','Allows you to recover power faster while out of combat.',269,65535,314,0,0,0,1,0,'Your Gather Mana was successful on %t!','Your Gather Mana fades.','',0,1,'Spells/Traits/GatherMana.lua',0,'You cast Gather Mana on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670512,1384378110,0,1),
(1001724,3875415128,4,1,'Gathering Mana','While out of combat, your power will regenerate faster than normal.',480,65535,316,0,0,0,1,0,'Your Gathering Mana was successful on %t!','Your Gathering Mana fades.','',0,1,'Spells/Traits/GatheringMana.lua',0,'You cast Gathering Mana on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670512,1384378110,0,1),
(1001725,1174059812,4,1,'Gearing Up','While tradeskilling, you will progress through creating an item faster than normal.\n',420,65535,65535,0,0,0,1,1,'Your Gearing Up was successful on %t!','Your Gearing Up fades.','',1,0,'',0,'You cast Gearing Up on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670512,1384377875,0,1),
(1001726,4147891821,4,0,'Gemcrafting Excellence','Increases the halfling''s skill in artificing.',421,65535,65535,0,0,0,0,0,'Your Gemcrafting Excellence was successful on %t!','Your Gemcrafting Excellence fades.','',0,1,'Spells/Traits/GemcraftingExcellence.lua',0,'You cast Gemcrafting Excellence on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670512,1384378109,0,1),
(1001727,338439455,4,1,'Geomancer','Enhances the conjuror''s stoneskin effects, increasing the trigger chance of Runes of Geomancy and adding triggers to Stoneskin and Stoneskins at higher ranks. Additionally, this removes the stun from Sacrifice.',329,65535,317,0,0,0,1,1,'Your Geomancer was successful on %t!','Your Geomancer fades.','',1,0,'',0,'You cast Geomancer on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670512,1384377908,0,1),
(1001728,1155644588,4,1,'Geomantic Alacrity','Stoneskin and Stoneskins have a chance to finish the cooldown on Elemental Barrier.',203,65535,65535,0,0,0,1,1,'Your Geomantic Alacrity was successful on %t!','Your Geomantic Alacrity fades.','',1,0,'',0,'You cast Geomantic Alacrity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670512,1384377912,0,1),
(1001729,1055965726,4,0,'Gibe','Increases the amount of hate gained by the Insolence line of combat arts.  In addition, the reuse of the combat art will be reduced.',295,65535,313,2663054519,0,0,0,1,'Your Gibe was successful on %t!','Your Gibe fades.','',1,0,'',0,'You cast Gibe on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670512,1384377906,0,1),
(1001730,1450026699,4,1,'Gift of Tunare','Increases the base hit points by 2 percent while also increasing the base power pool by 1%.',187,65535,65535,0,0,0,1,0,'Your Gift of Tunare was successful on %t!','Your Gift of Tunare fades.','',0,1,'Spells/Traits/GiftofTunare.lua',0,'You cast Gift of Tunare on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,'Unset',1384670512,1384378109,0,1),
(1001731,3727160157,4,1,'Gift of the Faydark','As part of their elven heritage, Half Elves are skilled woodworkers.  They receive a bonus to their fletching skill.',306,65535,65535,0,0,0,1,1,'','','',0,1,'Spells/GiftoftheFaydark.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670512,1384378109,0,0),
(1001732,2402030575,4,0,'Gift of the Faydark','Skilled in the arts of woodworking, wood elves use less power while fletching.',187,65535,65535,0,0,0,0,1,'Your Gift of the Faydark was successful on %t!','Your Gift of the Faydark fades.','',1,0,'',0,'You cast Gift of the Faydark on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670512,1384378109,0,1),
(1001733,3220596207,4,0,'Gift of the Land','Living off the land has taught the kerra how to mix together a variety of natural substances into potions.  This knowledge increases the Chemistry by 5.',402,65535,65535,0,0,0,1,1,'Your Gift of the Land was successful on %t!','Your Gift of the Land fades.','',0,1,'Spells/GiftoftheLand.lua',0,'You cast Gift of the Land on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670512,1384377823,0,0),
(1001734,4040725995,4,1,'Gilding of Felwithe','Grants the high elf additional skill in jewelcrafting.',421,65535,65535,0,0,0,1,0,'Your Gilding of Felwithe was successful on %t!','Your Gilding of Felwithe fades.','',0,1,'Spells/Traits/GildingofFelwithe.lua',0,'You cast Gilding of Felwithe on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670512,1384378109,0,0),
(1001735,3325508928,2,0,'Gills','Allows the froglok to hold their breath underwater for long durations of time.',632,65535,65535,0,0,0,0,0,'Your Gills was successful on %t!','Your Gills fades.','',1,0,'Spells/Traditions/Gills.lua',123,'You cast Gills on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670512,1345682767,0,1),
(1001736,527643726,4,1,'Glacial Might','Grants an increase to overall strength.  The amount of strength gained will increase as you level.',79,65535,65535,0,0,0,1,1,'Your Glacial Might was successful on %t!','Your Glacial Might fades.','',1,0,'',0,'You cast Glacial Might on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670512,1384377875,0,1),
(1001737,4191025939,4,0,'Gladiator''s Finesse','The Gladiator gains increased Damage Per Second.',574,65535,313,0,0,0,0,0,'Your Gladiator''s Finesse was successful on %t!','Your Gladiator''s Finesse fades.','',0,1,'Spells/AA/GladiatorsFinesse.lua',0,'You cast Gladiator''s Finesse on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670512,1384377830,0,1),
(1001738,4075723016,4,0,'Gladiator''s Frenzy','Improves the base and critical damage of the Frenzy line of combat arts.',383,65535,315,0,0,0,0,1,'Your Gladiator''s Frenzy was successful on %t!','Your Gladiator''s Frenzy fades.','',1,0,'',0,'You cast Gladiator''s Frenzy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670512,1384377831,0,1),
(1001739,848313070,4,0,'Gladiator''s Rage','Improves the shield effectiveness, parry and defense of the Controlled Rage line of skills.',218,65535,317,0,0,0,0,1,'Your Gladiator''s Rage was successful on %t!','Your Gladiator''s Rage fades.','',1,0,'',0,'You cast Gladiator''s Rage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670512,1384377831,0,1),
(1001740,1739157168,4,0,'Gladiator''s Revenge','The Gladiator gains additional effectiveness from their shield.',657,65535,65535,0,0,0,0,0,'Your Gladiator''s Revenge was successful on %t!','Your Gladiator''s Revenge fades.','',0,1,'Spells/AA/GladiatorsRevenge.lua',0,'You cast Gladiator''s Revenge on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670512,1384377830,0,1),
(1001741,398694975,4,0,'Gladiator''s Stamina','Increases the Gladiator''s stamina by 5 for each rank.',565,65535,65535,0,0,0,0,1,'Your Gladiator''s Stamina was successful on %t!','Your Gladiator''s Stamina fades.','',1,0,'',0,'You cast Gladiator''s Stamina on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670512,1384377830,0,1),
(1001742,2070226067,4,0,'Gnomish Ingenuity','Increases the gnome''s skill in sculpting.',410,65535,317,0,0,0,0,0,'Your Gnomish Ingenuity was successful on %t!','Your Gnomish Ingenuity fades.','',0,1,'Spells/Traits/GnomishIngenuity.lua',0,'You cast Gnomish Ingenuity on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670512,1384378110,0,1),
(1001743,3273583773,4,1,'Good Blocking','Not only are you skilled in attacking, you gain an additional chance to block with a shield or deflect an attack.',834,65535,317,0,0,0,1,0,'Your Good Blocking was successful on %t!','Your Good Blocking fades.','',0,1,'Spells/Traits/GoodBlocking.lua',0,'You cast Good Blocking on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670512,1384378109,0,1),
(1001744,4036319222,4,0,'Gouging Strikes','Improves the base damage of the Gouge line of combat arts.',346,65535,315,0,0,0,0,1,'Your Gouging Strikes was successful on %t!','Your Gouging Strikes fades.','',1,0,'',0,'You cast Gouging Strikes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670512,1384377838,0,1),
(1001745,1864359575,4,1,'Grace of Fear','Your practice of combat gives you additional skill in defense, parry and deflection.',160,65535,317,0,0,0,1,0,'Your Grace of Fear was successful on %t!','Your Grace of Fear fades.','',0,1,'Spells/Traits/GraceofFear.lua',0,'You cast Grace of Fear on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670512,1384378109,0,1),
(1001746,4209772583,4,0,'Graceful Assembly','Vampires are extremely graceful creatures, giving them increased skill in all tradeskill professions.',403,65535,65535,0,0,0,0,1,'Your Graceful Assembly was successful on %t!','Your Graceful Assembly fades.','',1,0,'',0,'You cast Graceful Assembly on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670512,1384378109,0,1),
(1001747,236236054,4,1,'Graceful Landing','Your ability to land gracefully is extraordinary, reducing the damage you take from falls.',370,65535,65535,0,0,0,1,1,'Your Graceful Landing was successful on %t!','Your Graceful Landing fades.','',1,0,'',0,'You cast Graceful Landing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670512,1384377823,0,1),
(1001748,120710283,4,0,'Grand Illusion','The illusionist gains additional Potency from Crit Bonus.',271,65535,65535,0,0,0,0,1,'Your Grand Illusion was successful on %t!','Your Grand Illusion fades.','',1,0,'',0,'You cast Grand Illusion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670512,1384377838,0,1),
(1001749,2139831042,4,0,'Grandmaster''s Design','Increases the artisan''s critical success rate.',34,65535,317,0,0,0,0,0,'Your Grandmaster''s Design was successful on %t!','Your Grandmaster''s Design fades.','',0,1,'Spells/AA/GrandmastersDesign.lua',0,'You cast Grandmaster''s Design on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670512,1384377908,0,1),
(1001750,2212093349,4,0,'Grandmaster''s Will','Further increases the artisan''s durability gain.',27,65535,317,0,0,0,0,0,'Your Grandmaster''s Will was successful on %t!','Your Grandmaster''s Will fades.','',0,1,'Spells/AA/GrandmastersWill.lua',0,'You cast Grandmaster''s Will on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670512,1384377901,0,1),
(1001751,1099978216,4,1,'Grave Echo','Lowers the base reuse times of Cadence of Destruction, Rhythmic Overture and Victorious Concerto.',602,65535,314,0,0,0,1,1,'Your Grave Echo was successful on %t!','Your Grave Echo fades.','',1,0,'',0,'You cast Grave Echo on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670514,1384377904,0,1),
(1001752,3240875733,4,1,'Gravecaller''s Expertise','The necromancer gains additional Crit Bonus from Potency.',928,65535,317,0,0,0,1,1,'Your Gravecaller''s Expertise was successful on %t!','Your Gravecaller''s Expertise fades.','',1,0,'',0,'You cast Gravecaller''s Expertise on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670514,1384377900,0,1),
(1001753,924685673,4,0,'Gravitated Healing','An additional effect is added to Gravitas which improves the reuse speed of beneficial spells.',10,65535,65535,0,0,0,0,1,'Your Gravitated Healing was successful on %t!','Your Gravitated Healing fades.','',1,0,'',0,'You cast Gravitated Healing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670514,1384377910,0,1),
(1001754,619107637,4,0,'Great Bear''s Charge','Improves the beastlord''s movement speed.',634,65535,65535,0,0,0,0,0,'Your Great Bear''s Charge was successful on %t!','Your Great Bear''s Charge fades.','',0,1,'Spells/AA/GreatBearsCharge.lua',0,'You cast Great Bear''s Charge on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670514,1384377833,0,1),
(1001755,1516813988,4,0,'Guardian''s Phalanx','Reduces the recast time of Block and Tower of Stone.',563,65535,317,0,0,0,0,1,'Your Guardian''s Phalanx was successful on %t!','Your Guardian''s Phalanx fades.','',1,0,'',0,'You cast Guardian''s Phalanx on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670514,1384377838,0,1),
(1001756,2358242327,4,0,'Guardian''s Will','Grants an additional mitigation gain to Hunker Down and its upgrades.  It will also make the guardian''s shield more effective while the spell is active.',294,65535,317,0,0,0,0,1,'Your Guardian''s Will was successful on %t!','Your Guardian''s Will fades.','',1,0,'',0,'You cast Guardian''s Will on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670514,1384377902,0,1),
(1001757,1975417959,4,1,'Guidance of Marr','Your pursuit of divine magic allows you to cast beneficial spells faster.',837,65535,317,0,0,0,1,1,'Your Guidance of Marr was successful on %t!','Your Guidance of Marr fades.','',1,0,'',0,'You cast Guidance of Marr on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670514,1384378154,0,1),
(1001758,3797536096,4,0,'Halasian Artistry','Reduces the power cost of the barbarian''s carpentry reaction events.',411,65535,65535,0,0,0,0,1,'Your Halasian Artistry was successful on %t!','Your Halasian Artistry fades.','',1,0,'',0,'You cast Halasian Artistry on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670514,1384378109,0,1),
(1001759,1187557939,4,0,'Halcyon','Your carefree nature has earned you an increase in energy. This trait increases the reserves you have by increasing your total Power by 2.5 percent.',201,65535,65535,0,0,0,0,1,'Your Halcyon was successful on %t!','Your Halcyon fades.','',1,0,'',0,'You cast Halcyon on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670514,1384377823,0,1),
(1001760,2840439162,4,0,'Halfling Feast','Halflings love to savor their meals, giving them improved duration to all food.',151,65535,65535,0,0,0,0,0,'Your Halfling Feast was successful on %t!','Your Halfling Feast fades.','',1,0,'Spells/HalflingFeast.lua',0,'You cast Halfling Feast on %t.',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1384670514,1384377875,0,1),
(1001761,3488438666,4,0,'Harbinger''s Ballad','Allegro gains an additional effect which improves the reuse speed of spells, combat arts and abilities.',568,65535,65535,0,0,0,0,1,'Your Harbinger''s Ballad was successful on %t!','Your Harbinger''s Ballad fades.','',1,0,'',0,'You cast Harbinger''s Ballad on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670514,1384377909,0,1),
(1001762,1576703685,4,0,'Harbinger''s Chorus','Harbinger''s Chorus improves the critical modifiers of Don''t Kill The Messenger.',174,65535,65535,0,0,0,0,1,'Your Harbinger''s Chorus was successful on %t!','Your Harbinger''s Chorus fades.','',1,0,'',0,'You cast Harbinger''s Chorus on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670514,1384377910,0,1),
(1001763,3542990994,4,0,'Harbinger''s Sonnet','Increases the movement speed of Selo''s Accelerando and its upgrades. It also adds an in-combat movement increase.',304,65535,314,0,0,0,0,1,'Your Harbinger''s Sonnet was successful on %t!','Your Harbinger''s Sonnet fades.','',1,0,'',0,'You cast Harbinger''s Sonnet on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670514,1384377907,0,1),
(1001764,1025745342,4,0,'Harbinger''s Wisdom','Increases the Harbinger''s wisdom by 8 for each rank.',585,65535,65535,0,0,0,0,1,'Your Harbinger''s Wisdom was successful on %t!','Your Harbinger''s Wisdom fades.','',1,0,'',0,'You cast Harbinger''s Wisdom on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670514,1384377833,0,1),
(1001765,178032300,4,0,'Hardened','Your skin and will have been hardened from ages of combat. This trait grants you added protection against Physical attacks by 3 percent.',147,65535,65535,0,0,0,0,1,'Your Hardened was successful on %t!','Your Hardened fades.','',1,0,'',0,'You cast Hardened on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670514,1384378109,0,1),
(1001766,405217056,4,1,'Hardened Scales','A magical barrier surrounds you, increasing your resistance to elemental attacks.',274,65535,314,0,0,0,0,0,'Your Hardened Scales was successful on %t!','Your Hardened Scales fades.','',0,1,'Spells/Traits/HardenedScales.lua',0,'You cast Hardened Scales on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670514,1384378109,0,1),
(1001767,2825164214,4,0,'Hardened Skin','Through years of training the bruiser''s skin becomes battle hardened giving them additional mitigation.',858,65535,65535,0,0,0,0,1,'Your Hardened Skin was successful on %t!','Your Hardened Skin fades.','',1,0,'',0,'You cast Hardened Skin on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670514,1384377913,0,1),
(1001768,3482626153,4,1,'Hardy','This trait instills in you an innate protection.  Poison damage taken is decreased by 3 percent vs opponents your level.  ',148,65535,65535,0,0,0,1,0,'Your Hardy was successful on %t!','Your Hardy fades.','',0,0,'Spells/Hardy.lua',0,'You cast Hardy on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670514,1384377823,0,0),
(1001769,1898005982,4,0,'Harmony of the Grove','Improves the heal amount and critical amount for the Photosynthesis and Regrowth line of spells.',191,65535,316,0,0,0,0,1,'Your Harmony of the Grove was successful on %t!','Your Harmony of the Grove fades.','',1,0,'',0,'You cast Harmony of the Grove on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670514,1384377920,0,1),
(1001770,738351202,4,1,'Haste Mastery','The warden gains additional crit bonus from attack speed.',41,65535,65535,0,0,0,1,1,'Your Haste Mastery was successful on %t!','Your Haste Mastery fades.','',1,0,'',0,'You cast Haste Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670514,1384377899,0,1),
(1001771,4208417199,4,1,'Hastened Faith','Lowers the base reuse time of Faith.',863,65535,316,0,0,0,1,1,'Your Hastened Faith was successful on %t!','Your Hastened Faith fades.','',1,0,'',0,'You cast Hastened Faith on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670514,1384377915,0,1),
(1001772,3356065970,4,1,'Hastened Flourish','Lowers the base reuse time of Dashing Flourish.',929,65535,313,0,0,0,1,1,'Your Hastened Flourish was successful on %t!','Your Hastened Flourish fades.','',1,0,'',0,'You cast Hastened Flourish on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670514,1384377908,0,1),
(1001773,326141392,4,0,'Hastened Gathering','Reduces the casting time of all harvesting spells by .25 seconds.',187,65535,65535,0,0,0,0,0,'Your Hastened Gathering was successful on %t!','Your Hastened Gathering fades.','',1,0,'Spells/HastenedGathering.lua',0,'You cast Hastened Gathering on %t.',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1384670514,1384378109,0,1),
(1001774,4024167280,4,1,'Hastened Illusion','Lowers the base reuse time of Chromatic Illusion.',861,65535,313,0,0,0,1,1,'Your Hastened Illusion was successful on %t!','Your Hastened Illusion fades.','',1,0,'',0,'You cast Hastened Illusion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670514,1384377909,0,1),
(1001775,945761056,4,1,'Hastened Interrogation','Grants increased run speed and resistance to snares following the use of Interrogation. The final rank grants immunity to roots.',82,65535,315,0,0,0,1,1,'Your Hastened Interrogation was successful on %t!','Your Hastened Interrogation fades.','',1,0,'',0,'You cast Hastened Interrogation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670514,1384377897,0,1),
(1001776,1988607479,4,1,'Hastened Leap','Lowers the base reuse time of Martial Leap.',854,65535,316,0,0,0,1,1,'Your Hastened Leap was successful on %t!','Your Hastened Leap fades.','',1,0,'',0,'You cast Hastened Leap on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670514,1384377840,0,1),
(1001777,1217475841,4,0,'Hastened Mana','Improves the reuse speed of Mana Cloak. The final rank adds a trigger.',195,65535,314,0,0,0,0,1,'Your Hastened Mana was successful on %t!','Your Hastened Mana fades.','',1,0,'',0,'You cast Hastened Mana on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670514,1384377908,0,1),
(1001778,3824787830,4,0,'Hastened Mana Flow','Hastened Mana Flow reduces the duration of Mana Flow allowing your targets to receive their power earlier.',580,65535,65535,0,0,0,0,1,'Your Hastened Mana Flow was successful on %t!','Your Hastened Mana Flow fades.','',1,0,'',0,'You cast Hastened Mana Flow on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670514,1384377901,0,1),
(1001779,4287921493,4,0,'Hastened Poisoning','Improves the damage of the Putrefy line exponentially.',197,65535,315,0,0,0,0,1,'Your Hastened Poisoning was successful on %t!','Your Hastened Poisoning fades.','',1,0,'',0,'You cast Hastened Poisoning on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670516,1384377899,0,1),
(1001780,3096149688,4,1,'Hastened Resiliance','Lowers the base reuse time of Rampager''s Resiliance.',636,65535,317,0,0,0,1,1,'Your Hastened Resiliance was successful on %t!','Your Hastened Resiliance fades.','',1,0,'',0,'You cast Hastened Resiliance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670516,1384377838,0,1),
(1001781,175237535,4,0,'Hastened Reusability','Improves the reuse speed of the predator''s combat arts.',859,65535,65535,0,0,0,0,0,'Your Hastened Reusability was successful on %t!','Your Hastened Reusability fades.','',0,1,'Spells/AA/HastenedReusability.lua',0,'You cast Hastened Reusability on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670516,1384377907,0,1),
(1001782,3588918448,4,0,'Hastened Reuse','Adds a reuse speed bonus to the Destructive Rage line of group buffs.',496,65535,314,0,0,0,0,1,'Your Hastened Reuse was successful on %t!','Your Hastened Reuse fades.','',1,0,'',0,'You cast Hastened Reuse on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670516,1384377904,0,1),
(1001783,1777911078,4,1,'Hastened Study','Increases your power regeneration rate while out of combat.',397,65535,65535,0,0,0,1,0,'Your Hastened Study was successful on %t!','Your Hastened Study fades.','',0,1,'Spells/Traits/HastenedStudy.lua',0,'You cast Hastened Study on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670516,1384378109,0,1),
(1001784,1287213576,4,1,'Hastened Windblade','Lowers the base reuse time of Windblade.',470,65535,314,0,0,0,1,1,'Your Hastened Windblade was successful on %t!','Your Hastened Windblade fades.','',1,0,'',0,'You cast Hastened Windblade on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670516,1384377833,0,1),
(1001785,2734829216,4,1,'Hasty Decisions','Improves your hostile casting speed.',367,65535,65535,0,0,0,1,0,'Your Hasty Decisions was successful on %t!','Your Hasty Decisions fades.','',0,1,'Spells/Traits/HastyDecisions.lua',0,'You cast Hasty Decisions on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670516,1384378109,0,1),
(1001786,434521437,4,0,'Hateful Assault','Hateful Assault improves the damage and taunt amount of the Taunting Assault line of skills.',326,65535,312,0,0,0,0,1,'Your Hateful Assault was successful on %t!','Your Hateful Assault fades.','',1,0,'',0,'You cast Hateful Assault on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670516,1384377907,0,1),
(1001787,2351859943,4,1,'Hateful Defiance','The bruiser gains additional Crit Bonus from Potency.',358,65535,315,0,0,0,1,1,'Your Hateful Defiance was successful on %t!','Your Hateful Defiance fades.','',1,0,'',0,'You cast Hateful Defiance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670516,1384377839,0,1),
(1001788,3410635496,4,1,'Hateful Mind','Your increased knowledge allows you to increase your power pool by a small amount.',24,65535,65535,0,0,0,1,0,'Your Hateful Mind was successful on %t!','Your Hateful Mind fades.','',0,1,'Spells/Traits/HatefulMind.lua',0,'You cast Hateful Mind on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670516,1384378109,0,1),
(1001789,3293104591,4,0,'Hateful Respite','Reduces the recast time of threat and hate position reduction spells.  Also any threat reduction on a spell will be improved.',579,65535,65535,0,0,0,0,1,'Your Hateful Respite was successful on %t!','Your Hateful Respite fades.','',1,0,'',0,'You cast Hateful Respite on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670516,1384377912,0,1),
(1001790,2750598336,4,0,'Hawk Eye','Reduces the base casting times of Barrage and Vengeful Arrow.',11,65535,316,0,0,0,0,1,'Your Hawk Eye was successful on %t!','Your Hawk Eye fades.','',1,0,'',0,'You cast Hawk Eye on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670516,1384377901,0,1),
(1001791,2461440883,4,1,'Healing Grace','Your study into the divine arts grants you additional skill with abilities requiring ministration.',181,65535,316,0,0,0,1,0,'Your Healing Grace was successful on %t!','Your Healing Grace fades.','',0,1,'Spells/Traits/HealingGrace.lua',0,'You cast Healing Grace on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670516,1384378110,0,1),
(1001792,2358805759,4,1,'Healing Touch','Your study into the divine arts grants you additional skill with abilities requiring ministration.',180,65535,65535,2581053277,0,0,1,0,'Your Healing Touch was successful on %t!','Your Healing Touch fades.','',0,1,'Spells/Traits/HealingTouch.lua',0,'You cast Healing Touch on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670516,1384377823,0,1),
(1001793,3473144778,4,0,'Healing Winds','The Healstorm line of heals will do additional health over time and critical for more.',189,65535,314,0,0,0,0,1,'Your Healing Winds was successful on %t!','Your Healing Winds fades.','',1,0,'',0,'You cast Healing Winds on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670516,1384377838,0,1),
(1001794,1197778958,4,1,'Healthy','Others marvel at your recuperative ability. This trait improves the rate at which your Health recovers by 5.',497,65535,65535,0,0,0,1,0,'Your Healthy was successful on %t!','Your Healthy fades.','',0,0,'Spells/Healthy.lua',0,'You cast Healthy on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670516,1384377823,0,0),
(1001795,959293175,4,0,'Heartseeker','Vengeful Arrow will inflict bonus damage as the target''s health falls.',11,65535,316,0,0,0,0,1,'Your Heartseeker was successful on %t!','Your Heartseeker fades.','',1,0,'',0,'You cast Heartseeker on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670516,1384377910,0,1),
(1001796,1372275213,4,1,'Heartstopper','The swashbuckler gains additional Potency from Attack Speed.',808,65535,65535,0,0,0,1,1,'Your Heartstopper was successful on %t!','Your Heartstopper fades.','',1,0,'',0,'You cast Heartstopper on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670516,1384377908,0,1),
(1001797,1330933673,4,1,'Hearty Constitution','Your devotion to physical endeavors has granted you additional stamina.  This additional stamina increases as you level.',185,65535,65535,0,0,0,1,0,'Your Hearty Constitution was successful on %t!','Your Hearty Constitution fades.','',0,1,'Spells/Traits/HeartyConstitution.lua',0,'You cast Hearty Constitution on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,'Unset',1384670516,1384378109,0,1),
(1001798,1674658577,4,0,'Hearty Constitution','Increases your character''s maximum health.',795,65535,318,0,0,0,0,0,'Your Hearty Constitution was successful on %t!','Your Hearty Constitution fades.','',0,1,'Spells/AA/HeartyConstitution.lua',0,'You cast Hearty Constitution on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670516,1384377902,0,1),
(1001799,746931105,4,0,'Heat Mastery','From focused studies, the wizard gains additional base and critical damage to heat based spells.',901,65535,65535,0,0,0,0,1,'Your Heat Mastery was successful on %t!','Your Heat Mastery fades.','',1,0,'',0,'You cast Heat Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670516,1384377903,0,1),
(1001800,710713671,4,0,'Help for the Merciful','Adds an additional effect to the Beg for Mercy line allowing the brigand to avoid attacks for the target of the spell.',468,65535,316,0,0,0,0,1,'Your Help for the Merciful was successful on %t!','Your Help for the Merciful fades.','',1,0,'',0,'You cast Help for the Merciful on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670516,1384377915,0,1),
(1001801,682456455,4,1,'Helpful Spirits','Ancestral Support will heal the target when it triggers.',31,65535,314,0,0,0,1,1,'Your Helpful Spirits was successful on %t!','Your Helpful Spirits fades.','',1,0,'',0,'You cast Helpful Spirits on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670516,1384377907,0,1),
(1001802,2092813336,4,0,'Helpful Winds','Improves the duration of Nature''s Focus on Focus Aim.',342,65535,317,0,0,0,0,1,'Your Helpful Winds was successful on %t!','Your Helpful Winds fades.','',1,0,'',0,'You cast Helpful Winds on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670516,1384377910,0,1),
(1001803,915120290,4,1,'Hendi''s Fortitude','Your study into the divine arts grants you additional skill with abilities requiring ministration.',468,65535,65535,0,0,0,1,0,'Your Hendi''s Fortitude was successful on %t!','Your Hendi''s Fortitude fades.','',0,1,'Spells/Traits/HendisFortitude.lua',0,'You cast Hendi''s Fortitude on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670516,1384378109,0,1),
(1001804,1774016244,4,0,'Herbal Expertise','Basic single target cure spells have reduced casting and recovery times, and cost less power.',562,65535,65535,0,0,0,0,1,'Your Herbal Expertise was successful on %t!','Your Herbal Expertise fades.','',1,0,'',0,'You cast Herbal Expertise on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670516,1384377902,0,1),
(1001805,2958686243,4,0,'Herbal Remedy','When Cure successfully removes a hostile impairment, Herbal Remedy will apply a small heal over time to soothe your ally''s wounds.',147,65535,316,0,0,0,0,1,'Your Herbal Remedy was successful on %t!','Your Herbal Remedy fades.','',1,0,'',0,'You cast Herbal Remedy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670516,1384377909,0,1),
(1001806,2506030582,4,1,'Herbology','Grants the barbarian additional skill in Alchemy.',188,65535,65535,0,0,0,1,0,'Your Herbology was successful on %t!','Your Herbology fades.','',0,1,'Spells/Traits/Herbology.lua',0,'You cast Herbology on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670516,1384377823,0,0),
(1001807,3985178116,4,1,'Heretic''s Demise','Heretic''s Doom has a chance to finish the reuse of Smite Heretic.',367,65535,317,1829443087,0,0,1,1,'Your Heretic''s Demise was successful on %t!','Your Heretic''s Demise fades.','',1,0,'',0,'You cast Heretic''s Demise on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670516,1384377839,0,1),
(1001808,2583774932,4,0,'Heroic Leadership','Improves the recast of Sigil of Heroism.',489,65535,314,0,0,0,0,1,'Your Heroic Leadership was successful on %t!','Your Heroic Leadership fades.','',1,0,'',0,'You cast Heroic Leadership on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670518,1384377831,0,1),
(1001809,2417704021,4,0,'Hidden Adversary','Hidden Adversary improves the hate reduction of the Rogue''s Shadow Slip line of abilities.',370,65535,315,0,0,0,0,1,'Your Hidden Adversary was successful on %t!','Your Hidden Adversary fades.','',1,0,'',0,'You cast Hidden Adversary on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670518,1384377904,0,1),
(1001810,1182113994,4,0,'Hidden Embers','Improves the damage and critical damage multiplier of the Emberstrike line.',482,65535,315,0,0,0,0,1,'Your Hidden Embers was successful on %t!','Your Hidden Embers fades.','',1,0,'',0,'You cast Hidden Embers on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670518,1384377831,0,1),
(1001811,1669691748,4,1,'Hidden Salvo','Following the use of Rapid Salvo, the ranger''s threat with their target will be reduced by a percentage of the damage they inflict.',606,65535,313,0,0,0,1,1,'Your Hidden Salvo was successful on %t!','Your Hidden Salvo fades.','',1,0,'',0,'You cast Hidden Salvo on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670518,1384377921,0,1),
(1001812,2810662483,4,1,'Hidden Tricks','A magical barrier surrounds you, increasing your resistance to elemental attacks.',229,65535,65535,0,0,0,0,0,'Your Hidden Tricks was successful on %t!','Your Hidden Tricks fades.','',0,1,'Spells/Traits/HiddenTricks.lua',0,'You cast Hidden Tricks on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670518,1384378109,0,1),
(1001813,2549382428,4,0,'Hierophant Movement','Increases the Hierophant''s movement speed.',557,65535,313,0,0,0,0,0,'Your Hierophant Movement was successful on %t!','Your Hierophant Movement fades.','',0,1,'Spells/AA/HierophantMovement.lua',0,'You cast Hierophant Movement on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670518,1384377912,0,1),
(1001814,160491711,4,0,'Hierophant Obfuscation','The Hierophant can outright avoid some hostile spells.',542,65535,313,0,0,0,0,1,'Your Hierophant Obfuscation was successful on %t!','Your Hierophant Obfuscation fades.','',1,0,'',0,'You cast Hierophant Obfuscation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670518,1384377903,0,1),
(1001815,3194503209,4,0,'Hierophant''s Protection','The Aspect of the Forest and Lucidity lines will gain additional stamina.',211,65535,316,0,0,0,0,1,'Your Hierophant''s Protection was successful on %t!','Your Hierophant''s Protection fades.','',1,0,'',0,'You cast Hierophant''s Protection on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670518,1384377902,0,1),
(1001816,2046434352,4,0,'Hierophant''s Wisdom','',634,65535,65535,0,0,0,0,0,'Your Hierophant''s Wisdom was successful on %t!','Your Hierophant''s Wisdom fades.','',0,1,'Spells/AA/HierophantsWisdom.lua',0,'You cast Hierophant''s Wisdom on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670518,1384377908,0,1),
(1001817,3021830441,4,0,'Hierophantic Regeneration','This ability improves the amount of healing done by the Hierophantic Genesis line of spells while reducing power cost.',487,65535,316,0,0,0,0,1,'Your Hierophantic Regeneration was successful on %t!','Your Hierophantic Regeneration fades.','',1,0,'',0,'You cast Hierophantic Regeneration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670518,1384377903,0,1),
(1001818,473741378,4,0,'High Frequency','Improves the shaper''s Dissonance Dissipation when they are above 40% Dissonance.',126,65535,317,0,0,0,0,1,'Your High Frequency was successful on %t!','Your High Frequency fades.','',1,0,'',0,'You cast High Frequency on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670518,1384377830,0,1),
(1001819,1414719261,4,1,'High Priest''s Guidance','Increases your skills with ministration and defense.',183,65535,65535,0,0,0,1,0,'Your High Priest''s Guidance was successful on %t!','Your High Priest''s Guidance fades.','',0,1,'Spells/Traits/HighPriestsGuidance.lua',0,'You cast High Priest''s Guidance on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670518,1384378109,0,1),
(1001820,485342437,4,0,'High Quality Materials','Using the best materials increases the percentage of durability gained while crafting. Additionally, the duration of food and drinks is improved.',874,65535,317,0,0,0,0,1,'Your High Quality Materials was successful on %t!','Your High Quality Materials fades.','',1,0,'',0,'You cast High Quality Materials on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670518,1384377899,0,1),
(1001821,2198151312,4,0,'Higher Ground','Increases the Cavalier''s defense skill. The Cavalier has a chance to become immune to some interrupt effects for a short duration after every melee attack.',572,65535,65535,0,0,0,0,1,'Your Higher Ground was successful on %t!','Your Higher Ground fades.','',1,0,'',0,'You cast Higher Ground on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670518,1384377901,0,1),
(1001822,2197611029,4,1,'Highwayman''s Advance','The brigand gains a chance to inflict additional damage and impair the damage per second and attack speed of their target while attacking.',302,65535,317,0,0,0,1,1,'Your Highwayman''s Advance was successful on %t!','Your Highwayman''s Advance fades.','',1,0,'',0,'You cast Highwayman''s Advance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670518,1384377904,0,1),
(1001823,1751613009,4,1,'Hold Strong','Your practice of combat gives you additional skill in defense, parry and deflection.',847,65535,318,0,0,0,1,0,'Your Hold Strong was successful on %t!','Your Hold Strong fades.','',0,1,'Spells/Traits/HoldStrong.lua',0,'You cast Hold Strong on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670518,1384378109,0,1),
(1001824,3408051994,4,1,'Holy Alacrity','Holy Aid has a chance to finish the cooldown of Devout Sacrament. Additionally, Lay on Hands will apply a single trigger of stoneskin to the target and the caster. If the target is the caster, only one trigger is applied.',181,65535,65535,0,0,0,1,1,'Your Holy Alacrity was successful on %t!','Your Holy Alacrity fades.','',1,0,'',0,'You cast Holy Alacrity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670518,1384377913,0,1),
(1001825,1850765660,4,0,'Holy Arbitration','Allows the templar to use Divine Arbitration on another group and lowers the recast time of the spell.',757,65535,314,0,0,0,0,1,'Your Holy Arbitration was successful on %t!','Your Holy Arbitration fades.','',1,0,'',0,'You cast Holy Arbitration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670518,1384377905,0,1),
(1001826,3473359967,4,1,'Holy Army','Increases the group''s potency when Sanctify loses an increment. This effect can increment up to 10 times.',516,65535,316,0,0,0,1,1,'Your Holy Army was successful on %t!','Your Holy Army fades.','',1,0,'',0,'You cast Holy Army on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670518,1384377901,0,1),
(1001827,1297015338,4,0,'Holy Avenger','Reduces resistibility of hostile spells.',919,65535,315,0,0,0,0,1,'Your Holy Avenger was successful on %t!','Your Holy Avenger fades.','',1,0,'',0,'You cast Holy Avenger on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670518,1384377899,0,1),
(1001828,3954084360,4,1,'Holy Guide','Lowers the base reuse time of Divine Guidance.',800,65535,314,0,0,0,1,1,'Your Holy Guide was successful on %t!','Your Holy Guide fades.','',1,0,'',0,'You cast Holy Guide on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670520,1384377911,0,1),
(1001829,3631402961,4,1,'Holy Knight''s Conviction','Single target and encounter profession divine damage spells have a chance to finish the cooldown of Lay on Hands.',871,65535,65535,0,0,0,1,1,'Your Holy Knight''s Conviction was successful on %t!','Your Holy Knight''s Conviction fades.','',1,0,'',0,'You cast Holy Knight''s Conviction on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670520,1384377838,0,1),
(1001830,1141968876,4,0,'Holy Prayers','Increases the base heal amount of Lay on Hands and its upgrades.',209,65535,316,0,0,0,0,1,'Your Holy Prayers was successful on %t!','Your Holy Prayers fades.','',1,0,'',0,'You cast Holy Prayers on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670520,1384377902,0,1),
(1001831,2774181944,4,0,'Holy Protector','Adds a magical damage reduction effect to Holy Armor.',146,65535,314,0,0,0,0,1,'Your Holy Protector was successful on %t!','Your Holy Protector fades.','',1,0,'',0,'You cast Holy Protector on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670520,1384377911,0,1),
(1001832,3679419776,4,1,'Holy Reinforcement','Increases the duration and lowers the reuse of Holy Shield.',588,65535,65535,0,0,0,1,1,'Your Holy Reinforcement was successful on %t!','Your Holy Reinforcement fades.','',1,0,'',0,'You cast Holy Reinforcement on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670520,1384377904,0,1),
(1001833,4048048680,4,1,'Honor of Insight','Your devotion to the study of the divine arts increases your power pool slightly.',581,65535,65535,0,0,0,1,0,'Your Honor of Insight was successful on %t!','Your Honor of Insight fades.','',0,1,'Spells/Traits/HonorofInsight.lua',0,'You cast Honor of Insight on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670520,1384378110,0,1),
(1001834,3374073384,4,1,'Hostile Energy','Adds an effect to Energizing Aura that whenever the illusionist is in combat, they will strike an enemy who is within 10 meters of them with mental damage.',211,65535,314,0,0,0,1,1,'Your Hostile Energy was successful on %t!','Your Hostile Energy fades.','',1,0,'',0,'You cast Hostile Energy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670520,1384377914,0,1),
(1001835,544749911,4,0,'Hostile Rift','Enemies that enter the Truespirit Rift will take poison damage.',11,65535,316,0,0,0,0,1,'Your Hostile Rift was successful on %t!','Your Hostile Rift fades.','',1,0,'',0,'You cast Hostile Rift on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670520,1384377839,0,1),
(1001836,1667299897,4,0,'Howling Fists','The monk gains additional Crit Bonus from Attack Speed.',856,65535,317,0,0,0,0,1,'Your Howling Fists was successful on %t!','Your Howling Fists fades.','',1,0,'',0,'You cast Howling Fists on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670520,1384377900,0,1),
(1001837,2872017911,4,0,'Hunter''s Accuracy','Improves the amount of agility granted by the Predator''s self buffs.',801,65535,317,0,0,0,0,1,'Your Hunter''s Accuracy was successful on %t!','Your Hunter''s Accuracy fades.','',1,0,'',0,'You cast Hunter''s Accuracy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670520,1384377912,0,1),
(1001838,2791330821,4,0,'Hunter''s Call','Adds an additional effect to Primal Fury and its upgrades which adds potency to the triggered effect.',326,65535,316,0,0,0,0,1,'Your Hunter''s Call was successful on %t!','Your Hunter''s Call fades.','',1,0,'',0,'You cast Hunter''s Call on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670520,1384377911,0,1),
(1001839,1717279267,4,0,'Hunter''s Stamina','Increases the Hunter''s stamina by 6 for each rank.',565,65535,65535,0,0,0,0,1,'Your Hunter''s Stamina was successful on %t!','Your Hunter''s Stamina fades.','',1,0,'',0,'You cast Hunter''s Stamina on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670520,1384377833,0,1),
(1001840,2039012205,4,0,'Huntmaster''s Vitality','Improves the amount of stamina granted by the Master of the Hunt line of spells.',203,65535,314,0,0,0,0,1,'Your Huntmaster''s Vitality was successful on %t!','Your Huntmaster''s Vitality fades.','',1,0,'',0,'You cast Huntmaster''s Vitality on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670520,1384377838,0,1),
(1001841,2156056024,4,1,'Hygenic','Plague and illness are for the weak. This trait instills in you an innate protection.  Disease damage taken is decreased by 3 percent vs opponents your level.   ',148,65535,65535,0,0,0,1,0,'Your Hygienic was successful on %t!','Your Hygienic fades.','',0,0,'Spells/Hygienic.lua',0,'You cast Hygienic on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670520,1384377823,0,0),
(1001842,1602828042,4,0,'Hypothetical Experimentation','Reduces the power cost of using the Tinkerer reaction arts.',755,65535,318,0,0,0,0,1,'Your Hypothetical Experimentation was successful on %t!','Your Hypothetical Experimentation fades.','',1,0,'',0,'You cast Hypothetical Experimentation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670520,1384378110,0,1),
(1001843,2172607237,4,1,'Iced Anger','Frozen Solid will automatically reduce threat to the targets the wizard is attacking by a percentage of the damage the wizard inflicts.',253,65535,315,0,0,0,1,1,'Your Iced Anger was successful on %t!','Your Iced Anger fades.','',1,0,'',0,'You cast Iced Anger on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670520,1384377904,0,1),
(1001844,2849406454,4,0,'Iceshape','While Frigid Gift is active, all offensive heat and magic based spells are considered cold based.',507,65535,314,0,0,0,0,1,'Your Iceshape was successful on %t!','Your Iceshape fades.','',1,0,'',0,'You cast Iceshape on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670520,1384377831,0,1),
(1001845,3515911404,4,1,'Icewater Armor','Applies a damage shield to the target of Clearwater Current.',253,65535,316,0,0,0,1,1,'Your Icewater Armor was successful on %t!','Your Icewater Armor fades.','',1,0,'',0,'You cast Icewater Armor on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670520,1384377908,0,1),
(1001846,1641771641,4,0,'Icicle Flurry','The Ice Spears line of spells will increase in damage exponentially for its damage over time ticks.',505,65535,315,0,0,0,0,1,'Your Icicle Flurry was successful on %t!','Your Icicle Flurry fades.','',1,0,'',0,'You cast Icicle Flurry on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670520,1384377914,0,1),
(1001847,2227156622,4,0,'Icicle Lash','Increases the damage done by Ice Lash when triggered by Frigid Gift and its upgrades.',229,65535,314,0,0,0,0,1,'Your Icicle Lash was successful on %t!','Your Icicle Lash fades.','',1,0,'',0,'You cast Icicle Lash on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670520,1384377911,0,1),
(1001848,3160760656,4,0,'Idolic Axe','Increases the Avenger''s hate gained by all enemies.',655,65535,65535,0,0,0,0,0,'Your Idolic Axe was successful on %t!','Your Idolic Axe fades.','',0,1,'Spells/AA/IdolicAxe.lua',0,'You cast Idolic Axe on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670520,1384377907,0,1),
(1001849,4141843195,4,0,'Ignorance is Bliss','Improves the hate reduction amount of the Ignorant Bliss poisons.',278,65535,317,0,0,0,0,1,'Your Ignorance is Bliss was successful on %t!','Your Ignorance is Bliss fades.','',1,0,'',0,'You cast Ignorance is Bliss on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670520,1384377836,0,1),
(1001850,305069632,4,1,'Illuminate','Flash of Brilliance will greatly reduce the group''s resistibility of all spells.',78,65535,314,0,0,0,1,1,'Your Illuminate was successful on %t!','Your Illuminate fades.','',1,0,'',0,'You cast Illuminate on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670520,1384377906,0,1),
(1001851,1664293545,4,0,'Illusion of Hatred','Improves the amount of hate gained or reduced when using Sleight of Hand.',921,65535,65535,0,0,0,0,1,'Your Illusion of Hatred was successful on %t!','Your Illusion of Hatred fades.','',1,0,'',0,'You cast Illusion of Hatred on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670521,1384377831,0,1),
(1001852,2627774109,4,1,'Illusionist''s Gifts','Enhances the illusionist''s augmentations so they are effective for scouts and fighters. Rank 1 adds Strength, Agility and Weapon Skills to Flash of Brilliance. Rank 2 adds Strength and Agility to Rune of Thought. Rank 3 allows Synergism to trigger when a combat art is used.',272,65535,65535,0,0,0,1,1,'Your Illusionist''s Gifts was successful on %t!','Your Illusionist''s Gifts fades.','',1,0,'',0,'You cast Illusionist''s Gifts on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670521,1384377834,0,1),
(1001853,4208300978,4,1,'Illusory Energies','Increases the amount of power restored by Mystic Illusion.',57,65535,313,0,0,0,1,1,'Your Illusory Energies was successful on %t!','Your Illusory Energies fades.','',1,0,'',0,'You cast Illusory Energies on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670521,1384377912,0,1),
(1001854,2839734596,4,0,'Imbued Claws of Ice','The target of Chilling Claws will gain a small amount of Potency.',820,65535,314,0,0,0,0,1,'Your Imbued Claws of Ice was successful on %t!','Your Imbued Claws of Ice fades.','',1,0,'',0,'You cast Imbued Claws of Ice on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670521,1384377909,0,1),
(1001855,116316473,4,1,'Imbued Reverberation','Increases the base power amount and base damage amount of Energetic Reverberation. This applies before potency.',799,65535,313,0,0,0,1,1,'Your Imbued Reverberation was successful on %t!','Your Imbued Reverberation fades.','',1,0,'',0,'You cast Imbued Reverberation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670523,1384377907,0,1),
(1001856,3095734874,4,0,'Impaling Stab','Increases the initial damage of Impale while also reducing the duration making the damage updates occur faster.',376,65535,315,0,0,0,0,1,'Your Impaling Stab was successful on %t!','Your Impaling Stab fades.','',1,0,'',0,'You cast Impaling Stab on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670523,1384377908,0,1),
(1001857,269764900,4,0,'Impatience','The scout regenerates their health and power quickly when out of combat.',128,65535,317,0,0,0,0,1,'Your Impatience was successful on %t!','Your Impatience fades.','',1,0,'',0,'You cast Impatience on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670523,1384377910,0,1),
(1001858,4149655097,4,0,'Impatience','The mage regenerates their health and power quickly when out of combat.',128,65535,317,0,0,0,0,1,'Your Impatience was successful on %t!','Your Impatience fades.','',1,0,'',0,'You cast Impatience on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670523,1384377899,0,1),
(1001859,3518138284,4,0,'Impenetrable Chains','Improves the bonuses of the Blackguard and Fancy Footwork lines and gives them additional physical mitigation gains.',225,65535,317,0,0,0,0,1,'Your Impenetrable Chains was successful on %t!','Your Impenetrable Chains fades.','',1,0,'',0,'You cast Impenetrable Chains on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670523,1384377914,0,1),
(1001860,2169117701,4,1,'Improved Mind Control','Lowers the base reuse time of Mind Control.',855,65535,316,0,0,0,1,1,'Your Improved Mind Control was successful on %t!','Your Improved Mind Control fades.','',1,0,'',0,'You cast Improved Mind Control on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670523,1384377908,0,1),
(1001861,783712268,4,1,'Improved Protection','Lowers the base reuse time of Fanatic''s Protection.',16,65535,316,0,0,0,1,1,'Your Improved Protection was successful on %t!','Your Improved Protection fades.','',1,0,'',0,'You cast Improved Protection on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670523,1384377904,0,1),
(1001862,3735327259,4,0,'Improved Reflexes','Reduces the recast time of Bladedance.',588,65535,65535,0,0,0,0,1,'Your Improved Reflexes was successful on %t!','Your Improved Reflexes fades.','',1,0,'',0,'You cast Improved Reflexes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670523,1384377913,0,1),
(1001863,1363656615,4,1,'Improved Rot','Lowers the base reuse time of Rot Flesh.',803,65535,315,0,0,0,1,1,'Your Improved Rot was successful on %t!','Your Improved Rot fades.','',1,0,'',0,'You cast Improved Rot on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670523,1384377903,0,1),
(1001864,1100366877,4,1,'Improved Sanctify','Lowers the base reuse time of Sanctify.',16,65535,316,0,0,0,1,1,'Your Improved Sanctify was successful on %t!','Your Improved Sanctify fades.','',1,0,'',0,'You cast Improved Sanctify on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670523,1384377841,0,1),
(1001865,2317435516,4,0,'Improved Sorcery','Increases the base and critical damage of certain types of spells, based on the mage''s class.',85,65535,317,0,0,0,0,1,'Your Improved Sorcery was successful on %t!','Your Improved Sorcery fades.','',1,0,'',0,'You cast Improved Sorcery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670523,1384377899,0,1),
(1001866,1108438488,4,0,'Increased Velocity','Makes Velocity a group wide spell.',271,65535,316,0,0,0,0,1,'Your Increased Velocity was successful on %t!','Your Increased Velocity fades.','',1,0,'',0,'You cast Increased Velocity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670523,1384377911,0,1),
(1001867,2892405882,4,1,'Infected by the Sound','Increases the group''s potency when they take damage while Bagpipe Solo is active.',184,65535,314,0,0,0,1,1,'Your Infected by the Sound was successful on %t!','Your Infected by the Sound fades.','',1,0,'',0,'You cast Infected by the Sound on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670523,1384377839,0,1),
(1001868,3778338080,4,1,'Infectious Dissonance','Additional damage will be applied to Victorious Concerto based on the amount of damage received while Exuberant Encore is active.',812,65535,316,0,0,0,1,1,'Your Infectious Dissonance was successful on %t!','Your Infectious Dissonance fades.','',1,0,'',0,'You cast Infectious Dissonance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670523,1384377841,0,1),
(1001869,2772885681,4,0,'Infectious Sting','Improves the damage of Infectious Sting.',11,65535,65535,0,0,0,0,1,'Your Infectious Sting was successful on %t!','Your Infectious Sting fades.','',1,0,'',0,'You cast Infectious Sting on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670523,1384377904,0,1),
(1001870,3729119698,4,1,'Infused Blood','Spinechiller Blood will also reduce the target''s maximum health by a small amount.',227,65535,315,0,0,0,1,1,'Your Infused Blood was successful on %t!','Your Infused Blood fades.','',1,0,'',0,'You cast Infused Blood on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670523,1384377903,0,1),
(1001871,1195794055,4,0,'Infusion of Spirit','Increases the stamina granted by Spirit of the Mammoth.',352,65535,314,0,0,0,0,1,'Your Infusion of Spirit was successful on %t!','Your Infusion of Spirit fades.','',1,0,'',0,'You cast Infusion of Spirit on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670523,1384377900,0,1),
(1001872,3751616090,4,1,'Ingenious Trades','Your knowledge of the arts grants you an additional chance to succeed while tradeskilling.',422,65535,65535,0,0,0,1,0,'Your Ingenious Trades was successful on %t!','Your Ingenious Trades fades.','',0,1,'Spells/Traits/IngeniousTrades.lua',0,'You cast Ingenious Trades on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670523,1384378109,0,1),
(1001873,3868893308,4,1,'Inner Focus','Increases your mana pool by a small percentage.',54,65535,317,0,0,0,1,0,'Your Inner Focus was successful on %t!','Your Inner Focus fades.','',0,1,'Spells/Traits/InnerFocus.lua',0,'You cast Inner Focus on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670523,1384378109,0,1),
(1001874,321150190,4,0,'Innothule''s Blessing','Grants the troll increased out of combat health regeneration.',245,65535,65535,0,0,0,0,0,'Your Innothule''s Blessing was successful on %t!','Your Innothule''s Blessing fades.','',1,0,'Spells/InnothulesBlessing.lua',0,'You cast Innothule''s Blessing on %t.',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1384670523,1384378109,0,1),
(1001875,2624120352,4,0,'Innovative Insoles','Increases the Artisan''s Ground and Mount Speed.',304,65535,317,0,0,0,0,0,'Your Innovative Insoles was successful on %t!','Your Innovative Insoles fades.','',0,1,'Spells/AA/InnovativeInsoles.lua',0,'You cast Innovative Insoles on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670523,1384377903,0,1),
(1001876,3527528487,4,0,'Insect''s Might','Improves the duration of Insect''s Might.',11,65535,65535,0,0,0,0,1,'Your Insect''s Might was successful on %t!','Your Insect''s Might fades.','',1,0,'',0,'You cast Insect''s Might on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670525,1384377906,0,1),
(1001877,3909689254,4,0,'Insidious Strike','Improves the base and critical damage of the Sneak Attack and Masked Strike lines.',377,65535,315,0,0,0,0,1,'Your Insidious Strike was successful on %t!','Your Insidious Strike fades.','',1,0,'',0,'You cast Insidious Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670525,1384377920,0,1),
(1001878,71882450,4,1,'Insight','Your devotion to the gods allows you to have increased wisdom.  The amount of wisdom will increase as you gain levels.',40,65535,65535,2898101972,0,0,1,0,'Your Insight was successful on %t!','Your Insight fades.','',0,1,'Spells/Traits/Insight.lua',0,'You cast Insight on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670525,1384378109,0,1),
(1001879,2814175133,4,1,'Insightful','You have traveled far and wide. This trait aids your journey to enlightenment by increasing your Wisdom by 4.',4,65535,65535,0,0,0,1,0,'Your Insightful was successful on %t!','Your Insightful fades.','',0,0,'Spells/Insightful.lua',0,'You cast Insightful on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670525,1384378109,0,0),
(1001880,2665563276,4,0,'Insolent Cry','Increases the threat provided by Insolence.',295,65535,313,0,0,0,0,1,'Your Insolent Cry was successful on %t!','Your Insolent Cry fades.','',1,0,'',0,'You cast Insolent Cry on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670525,1384377838,0,1),
(1001881,4156311993,4,1,'Inspiration','Lung Puncture has a chance to finish the reuse of Inspired Daring.',337,65535,317,0,0,0,1,1,'Your Inspiration was successful on %t!','Your Inspiration fades.','',1,0,'',0,'You cast Inspiration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670525,1384377912,0,1),
(1001882,1809633945,4,0,'Inspired Renewal','Increases the Deacon''s critical chance.',562,65535,65535,0,0,0,0,0,'Your Inspired Renewal was successful on %t!','Your Inspired Renewal fades.','',0,1,'Spells/AA/InspiredRenewal.lua',0,'You cast Inspired Renewal on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670525,1384377917,0,1),
(1001883,2010098176,4,0,'Instantaneous Cure','Removes the cast time and reduces the base reuse time of Cure Magic.',150,65535,317,0,0,0,0,1,'Your Instantaneous Cure was successful on %t!','Your Instantaneous Cure fades.','',1,0,'',0,'You cast Instantaneous Cure on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670525,1384377901,0,1),
(1001884,3195302905,4,1,'Instruments of the Underfoot','The ratonga gains an additional 5 points of skill for weaponsmithing.',428,65535,65535,0,0,0,1,0,'Your Instruments of the Underfoot was successful on %t!','Your Instruments of the Underfoot fades.','',0,1,'Spells/Traits/InstrumentsoftheUnderfoot.lua',0,'You cast Instruments of the Underfoot on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670525,1384378109,0,0),
(1001885,2765628214,4,1,'Intellect of the Sage','Grants an increase to overall intelligence.  The amount of intelligence gained will increase as you level.',796,65535,314,0,0,0,1,0,'Your Intellect of the Sage was successful on %t!','Your Intellect of the Sage fades.','',0,1,'Spells/Traits/IntellectoftheSage.lua',0,'You cast Intellect of the Sage on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670525,1384378109,0,1),
(1001886,957106273,4,1,'Intellectual Studies','Grants an increase to overall intelligence.  The amount of intelligence gained will increase as you level.',403,65535,65535,0,0,0,1,0,'Your Intellectual Studies was successful on %t!','Your Intellectual Studies fades.','',0,1,'Spells/Traits/IntellectualStudies.lua',0,'You cast Intellectual Studies on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670525,1384378109,0,1),
(1001887,2207308274,4,0,'Intelligent','Spells are the result of the smartest individuals. This trait enhances your knowledge by increasing your Intelligence by 4.',42,65535,65535,0,0,0,0,1,'Your Intelligent was successful on %t!','Your Intelligent fades.','',1,0,'',0,'You cast Intelligent on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670525,1384378109,0,1),
(1001888,1816379596,4,1,'Intelligent Designs','Grants an increase to overall intelligence.  The amount of intelligence gained will increase as you level.',590,65535,65535,0,0,0,1,0,'Your Intelligent Designs was successful on %t!','Your Intelligent Designs fades.','',0,1,'Spells/Traits/IntelligentDesigns.lua',0,'You cast Intelligent Designs on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670525,1384378109,0,1),
(1001889,3021042317,4,1,'Intensified Carnage','Adds additional damage to Carnage if the assassin is behind or flanking their target.',808,65535,317,0,0,0,1,1,'Your Intensified Carnage was successful on %t!','Your Intensified Carnage fades.','',1,0,'',0,'You cast Intensified Carnage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670525,1384377911,0,1),
(1001890,1054617164,4,1,'Intent','Your mind is an impenetrable fortress! This trait instills in you an innate protection.  Mental damage taken is decreased by 3 percent vs opponents your level.  ',150,65535,65535,0,0,0,1,0,'Your Intent was successful on %t!','Your Intent fades.','',0,0,'Spells/Intent.lua',0,'You cast Intent on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670525,1384377823,0,0),
(1001891,2175045703,4,0,'Intent Smiting','The priest''s offensive stance will improve their ability damage and Multi-Attack Chance further.',511,65535,317,0,0,0,0,1,'Your Intent Smiting was successful on %t!','Your Intent Smiting fades.','',1,0,'',0,'You cast Intent Smiting on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670525,1384377839,0,1),
(1001892,1904374537,4,0,'Intercepting Blades','Increases the Blademaster''s parry skill.',661,65535,65535,0,0,0,0,0,'Your Intercepting Blades was successful on %t!','Your Intercepting Blades fades.','',0,1,'Spells/AA/InterceptingBlades.lua',0,'You cast Intercepting Blades on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670525,1384377909,0,1),
(1001893,2539457356,4,0,'Interception Regeneration','Construct''s Interception and Overloaded Interception will passively heal the target or group, respectively.',11,65535,316,0,0,0,0,1,'Your Interception Regeneration was successful on %t!','Your Interception Regeneration fades.','',1,0,'',0,'You cast Interception Regeneration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670525,1384377902,0,1),
(1001894,3993430436,4,0,'Intimidation','Improves the accuracy of Sneering Assault. The final rank makes it so it cannot be blocked, parried or riposted.',836,65535,317,0,0,0,0,1,'Your Intimidation was successful on %t!','Your Intimidation fades.','',1,0,'',0,'You cast Intimidation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670525,1384377916,0,1),
(1001895,3483562355,4,0,'Intoxicating Notes','Grants the bard a low damage proc which triggers off of attacks.',174,65535,65535,0,0,0,0,1,'Your Intoxicating Notes was successful on %t!','Your Intoxicating Notes fades.','',1,0,'',0,'You cast Intoxicating Notes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670525,1384377916,0,1),
(1001896,597221337,4,0,'Intrepid','Your fearless nature has instilled upon you faster recuperation. This trait improves the rate at which your Health recovers by 5.',497,65535,65535,0,0,0,0,1,'Your Intrepid was successful on %t!','Your Intrepid fades.','',1,0,'',0,'You cast Intrepid on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670525,1384378110,0,1),
(1001897,2837496779,4,0,'Intricate Creations','Grants the half elf additional skill with Carpentry.',410,65535,65535,0,0,0,0,1,'Your Intricate Creations was successful on %t!','Your Intricate Creations fades.','',1,0,'',0,'You cast Intricate Creations on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670525,1384378109,0,1),
(1001898,1379730255,4,0,'Intricate Designs','Reduces the power cost of using the woodworker reaction arts.',409,65535,65535,0,0,0,0,1,'Your Intricate Designs was successful on %t!','Your Intricate Designs fades.','',1,0,'',0,'You cast Intricate Designs on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670525,1384378109,0,1),
(1001899,2734775085,4,0,'Intromission Mastery','Intromission Mastery improves the amount of power fed  to the target by the Mana Intromission and Mana Trickle line of spells.',480,65535,316,0,0,0,0,1,'Your Intromission Mastery was successful on %t!','Your Intromission Mastery fades.','',1,0,'',0,'You cast Intromission Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670525,1384377910,0,1),
(1001900,2212732252,4,1,'Invigorate','The priest''s heals have a chance to increase the target''s flurry chance and doublecast chance.',913,65535,65535,0,0,0,1,1,'Your Invigorate was successful on %t!','Your Invigorate fades.','',1,0,'',0,'You cast Invigorate on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670525,1384377912,0,1),
(1001901,774829977,4,1,'Invigorating Ballad','Enhances the troubador''s defensive songs. Rank 1 allows Rejuvenating Celebration to increase maximum health by a percentage. Rank 2 allows Requiem of Reflection to increase the amount of health the group receives when healed. Rank 3 allows Graceful Avoidance to cost no concentration and increase the group''s chance to dodge attacks.',497,65535,65535,0,0,0,1,1,'Your Invigorating Ballad was successful on %t!','Your Invigorating Ballad fades.','',1,0,'',0,'You cast Invigorating Ballad on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670527,1384377902,0,1),
(1001902,981900128,4,0,'Invigorating Cascade','Using Seeking Cascade will increase the channeler''s Crit Bonus and Maximum Health.',11,65535,316,0,0,0,0,1,'Your Invigorating Cascade was successful on %t!','Your Invigorating Cascade fades.','',1,0,'',0,'You cast Invigorating Cascade on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670527,1384377840,0,1),
(1001903,1605795672,4,1,'Invoker''s Finesse','The illusionist gains additional Crit Bonus from Potency.',570,65535,65535,0,0,0,1,1,'Your Invoker''s Finesse was successful on %t!','Your Invoker''s Finesse fades.','',1,0,'',0,'You cast Invoker''s Finesse on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670527,1384377913,0,1),
(1001904,1576175456,4,0,'Invoker''s Strength','Increases the Invoker''s strength by 8 points per rank of this ability.',2,65535,65535,0,0,0,0,1,'Your Invoker''s Strength was successful on %t!','Your Invoker''s Strength fades.','',1,0,'',0,'You cast Invoker''s Strength on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670527,1384377830,0,1),
(1001905,66640538,4,1,'Ireful Will','While out of combat, your power will regenerate faster than normal.',627,65535,65535,0,0,0,1,0,'Your Ireful Will was successful on %t!','Your Ireful Will fades.','',0,1,'Spells/Traits/IrefulWill.lua',0,'You cast Ireful Will on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670527,1384378109,0,1),
(1001906,1001979946,4,1,'Jester''s Ruse','Jester''s Cap will grant the target a chance to inflict additional damage when attacking.',492,65535,316,0,0,0,1,1,'Your Jester''s Ruse was successful on %t!','Your Jester''s Ruse fades.','',1,0,'',0,'You cast Jester''s Ruse on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670527,1384377839,0,1),
(1001907,4068334829,4,1,'Jumjum Regimen','Increases the base hit points by 3%.',358,65535,65535,0,0,0,1,0,'Your Jumjum Regimen was successful on %t!','Your Jumjum Regimen fades.','',0,1,'Spells/Traits/JumjumRegimen.lua',0,'You cast Jumjum Regimen on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670527,1384378109,0,0),
(1001908,4032795095,4,1,'Kaldrahir''s Accuracy','Improves the animalist''s crushing, slashing, piercing and ranged skills, improving their chance to strike their target.',330,65535,317,0,0,0,1,0,'Your Kaldrahir''s Accuracy was successful on %t!','Your Kaldrahir''s Accuracy fades.','',0,1,'Spells/AA/KaldrahirsAccuracy.lua',0,'You cast Kaldrahir''s Accuracy on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670527,1384377909,0,1),
(1001909,1315737820,4,1,'Keen Thoughts','Increases your mana pool by a small percentage.',853,65535,317,0,0,0,1,1,'Your Keen Thoughts was successful on %t!','Your Keen Thoughts fades.','',1,0,'',0,'You cast Keen Thoughts on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670527,1384377877,0,1),
(1001910,3197672466,4,1,'Keep ''em Comin''','Increases the duration of all tradeskill based drinks.',131,65535,65535,0,0,0,1,1,'Your Keep ''em Comin'' was successful on %t!','Your Keep ''em Comin'' fades.','',1,0,'',0,'You cast Keep ''em Comin'' on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670527,1384377883,0,1),
(1001911,443064059,4,0,'Keeper of the Forest','As inhabitants of the forest, wood elves take less time to gather and forest.',191,65535,65535,0,0,0,0,0,'Your Keeper of the Forest was successful on %t!','Your Keeper of the Forest fades.','',1,0,'Spells/KeeperoftheForest.lua',0,'You cast Keeper of the Forest on %t.',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1384670527,1384377823,0,1),
(1001912,4175510253,4,1,'Kejaan''s Inspiration','Grants an increase to overall strength.  The amount of strength gained will increase as you level.',2,65535,65535,0,0,0,1,0,'Your Kejaan''s Inspiration was successful on %t!','Your Kejaan''s Inspiration fades.','',0,1,'Spells/Traits/KejaansInspiration.lua',0,'You cast Kejaan''s Inspiration on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670527,1384378109,0,1),
(1001913,2665634842,4,1,'Kerra Speed','Increases your out of combat run speed.',356,65535,317,0,0,0,1,0,'Your Kerra Speed was successful on %t!','Your Kerra Speed fades.','',0,1,'Spells/Traits/KerraSpeed.lua',0,'You cast Kerra Speed on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670527,1384378109,0,1),
(1001914,4286188290,4,1,'Kidney Slice','The Kidney Stab line of skills will gain additional damage and also do more damage when it criticals.',377,65535,315,0,0,0,1,1,'Your Kidney Slice was successful on %t!','Your Kidney Slice fades.','',1,0,'',0,'You cast Kidney Slice on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670527,1384377907,0,1),
(1001915,3341712154,4,0,'Killing Blow','Grants the assassin an innate chance to outright kill enemies who are low on health.  The amount of health left to strike a killing blow depends on the difficulty of the creature and varies from 2 to 10 percent of its health.',804,65535,65535,0,0,0,0,1,'Your Killing Blow was successful on %t!','Your Killing Blow fades.','',1,0,'',0,'You cast Killing Blow on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670527,1384377921,0,1),
(1001916,853942655,4,0,'Killing Fury','When the assassin strikes a hit to an enemy that is lower than 30% health, they have a chance to trigger a short duration improvement to combat art damage and additional bonus to critical attacks.',275,65535,318,0,0,0,0,1,'Your Killing Fury was successful on %t!','Your Killing Fury fades.','',1,0,'',0,'You cast Killing Fury on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670527,1384377899,0,1),
(1001917,3001325901,4,0,'Killing Spree','Increases the damage of Area of Effect profession combat arts along with the Alternate Advancements Arrow Barrage and Shadow Step.',815,65535,313,0,0,0,0,1,'Your Killing Spree was successful on %t!','Your Killing Spree fades.','',1,0,'',0,'You cast Killing Spree on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670527,1384377838,0,1),
(1001918,289014077,4,0,'Kindred Restoration','Adds an additional group heal on termination of the Umbral Warding and Carrion Warding  line of spells.',192,65535,314,0,0,0,0,1,'Your Kindred Restoration was successful on %t!','Your Kindred Restoration fades.','',1,0,'',0,'You cast Kindred Restoration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670527,1384377908,0,1),
(1001919,425252629,4,0,'Kinetic Absorption','When taking damage, the mage has a chance to restore some health.',183,65535,317,0,0,0,0,1,'Your Kinetic Absorption was successful on %t!','Your Kinetic Absorption fades.','',1,0,'',0,'You cast Kinetic Absorption on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670527,1384377911,0,1),
(1001920,1851778947,4,0,'Kinetic Assault','When casting damage spells, the mage will have a chance to stun their target.',234,65535,315,0,0,0,0,1,'Your Kinetic Assault was successful on %t!','Your Kinetic Assault fades.','',1,0,'',0,'You cast Kinetic Assault on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670527,1384377901,0,1),
(1001921,3389019569,4,1,'Kinetic Avoidance','All hate that the Kineticist accrues with enemies is reduced, allowing the Kineticist to get away with causing more damage without attracting the attention of enemies.',556,65535,65535,0,0,0,0,0,'Your Kinetic Avoidance was successful on %t!','Your Kinetic Avoidance fades.','',0,1,'Spells/AA/KineticAvoidance.lua',0,'You cast Kinetic Avoidance on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,1,0,0,'Unset',1384670527,1384377901,0,1),
(1001922,1415888914,4,1,'Kinetic Evasion','Increases the Kineticist''s defense skill.',543,65535,65535,0,0,0,0,0,'Your Kinetic Evasion was successful on %t!','Your Kinetic Evasion fades.','',0,1,'Spells/AA/KineticEvasion.lua',0,'You cast Kinetic Evasion on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,1,0,0,'Unset',1384670527,1384377899,0,1),
(1001923,3127550270,4,0,'Kineticist''s Intelligence','Increases the Kineticist''s intelligence by 4 points per rank of this ability.',595,65535,65535,0,0,0,0,0,'Your Kineticist''s Intelligence was successful on %t!','Your Kineticist''s Intelligence fades.','',1,0,'Spells/AA/KineticistsIntelligence.lua',0,'You cast Kineticist''s Intelligence on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670529,1384377910,0,1),
(1001924,3435488150,4,0,'Knight''s Counter','Grants the paladin a chance to strikethrough a target''s defenses, bash on a successful shield block and an improved chance to riposte when the paladin parries.',846,65535,65535,0,0,0,0,1,'Your Knight''s Counter was successful on %t!','Your Knight''s Counter fades.','',1,0,'',0,'You cast Knight''s Counter on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670529,1384377914,0,1),
(1001925,1770526561,4,0,'Knight''s Leadership','Improves the base heals, taunts and damage provided by Fearless Morale.',268,65535,65535,0,0,0,0,1,'Your Knight''s Leadership was successful on %t!','Your Knight''s Leadership fades.','',1,0,'',0,'You cast Knight''s Leadership on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670529,1384377900,0,1),
(1001926,3604516771,4,0,'Knight''s Defense','When a shield is equipped the crusader''s weapon will do additional damage.',844,65535,65535,0,0,0,0,1,'Your Knight''s Stance was successful on %t!','Your Knight''s Stance fades.','',1,0,'',0,'You cast Knight''s Stance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670529,1384377915,0,1),
(1001927,4047206070,4,0,'Knight''s Wisdom','Increases the Knight''s wisdom by 6 for each rank.',585,65535,65535,0,0,0,0,1,'Your Knight''s Wisdom was successful on %t!','Your Knight''s Wisdom fades.','',1,0,'',0,'You cast Knight''s Wisdom on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670529,1384377833,0,1),
(1001928,3425454730,4,0,'Known Enemy','The scout will gain increased potency and crit bonus following the use of Sinister Strike.',366,65535,315,0,0,0,0,1,'Your Known Enemy was successful on %t!','Your Known Enemy fades.','',1,0,'',0,'You cast Known Enemy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670529,1384377912,0,1),
(1001929,2594223321,4,1,'Kruzz''s Luck','You gain a slight improvement to your chance to succeed and gain additional durability while tradeskilling.',401,65535,65535,0,0,0,1,0,'Your Kruzz''s Luck was successful on %t!','Your Kruzz''s Luck fades.','',0,1,'Spells/Traits/KruzzsLuck.lua',0,'You cast Kruzz''s Luck on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670529,1384378110,0,1),
(1001930,867737782,4,0,'Kudzu','After any hostile spell strikes an enemy, Kudzu snares their movement speed for a short duration, with a chance of rooting them in place.',6,65535,65535,0,0,0,0,1,'Your Kudzu was successful on %t!','Your Kudzu fades.','',1,0,'',0,'You cast Kudzu on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670529,1384377902,0,1),
(1001931,1461798215,4,1,'Lamentation','The dirge gains a chance to steal life from their target while attacking.',171,65535,317,0,0,0,1,1,'Your Lamentation was successful on %t!','Your Lamentation fades.','',1,0,'',0,'You cast Lamentation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670529,1384377838,0,1),
(1001932,3273319001,4,1,'Last One Standing','Your devotion to physical endeavors has granted you additional stamina.  This additional stamina increases as you level.',184,65535,317,0,0,0,1,0,'Your Last One Standing was successful on %t!','Your Last One Standing fades.','',0,1,'Spells/Traits/LastOneStanding.lua',0,'You cast Last One Standing on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670529,1384378110,0,1),
(1001933,1136504159,4,1,'Last Second Hop','Your increased stamina allows you to absorb damage from falling more readily.',304,65535,314,0,0,0,1,0,'Your Last Second Hop was successful on %t!','Your Last Second Hop fades.','',0,1,'Spells/Traits/LastSecondHop.lua',0,'You cast Last Second Hop on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670529,1384377823,0,1),
(1001934,1769557318,4,0,'Last Stand','When falling to low health, the caster will take reduced damage for a short duration.',885,65535,317,0,0,0,0,1,'Your Last Stand was successful on %t!','Your Last Stand fades.','',1,0,'',0,'You cast Last Stand on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670529,1384377907,0,1),
(1001935,1431668233,4,1,'Lasting Weakness','Improves the duration of Seafury Thrust.',376,65535,315,0,0,0,1,1,'Your Lasting Weakness was successful on %t!','Your Lasting Weakness fades.','',1,0,'',0,'You cast Lasting Weakness on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670529,1384377897,0,1),
(1001936,4145928421,4,0,'Layered Scales','The fighter''s defensive stance increases Worn Armor Mitigation by a higher amount.',858,65535,317,0,0,0,0,0,'Your Layered Scales was successful on %t!','Your Layered Scales fades.','',0,1,'Spells/AA/LayeredScales.lua',0,'You cast Layered Scales on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670529,1384377913,0,1),
(1001937,3749507440,4,0,'Leaping Shadows','Grants additional damage and improves the critical multiplier of the Ranger''s Blade line.',339,65535,315,0,0,0,0,1,'Your Leaping Shadows was successful on %t!','Your Leaping Shadows fades.','',1,0,'',0,'You cast Leaping Shadows on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670529,1384377900,0,1),
(1001938,1410313048,4,1,'Leather Skin','Increases your resistance to physical based attacks.',329,65535,318,0,0,0,0,0,'Your Leather Skin was successful on %t!','Your Leather Skin fades.','',0,1,'Spells/Traits/LeatherSkin.lua',0,'You cast Leather Skin on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670529,1384378109,0,1),
(1001939,3522348041,4,0,'Leech Touch','Harm Touch and its upgrades gain the ability to leech your enemies'' life back into you.',247,65535,315,0,0,0,0,1,'Your Leech Touch was successful on %t!','Your Leech Touch fades.','',1,0,'',0,'You cast Leech Touch on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670529,1384377901,0,1),
(1001940,2067535880,4,1,'Legacy of Brell','Increases the base hit points by 2 percent while also increasing the base power pool by 1%.',288,65535,314,0,0,0,1,0,'Your Legacy of Brell was successful on %t!','Your Legacy of Brell fades.','',1,1,'Spells/Traits/LegacyofBrell.lua',0,'You cast Legacy of Brell on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670529,1384377823,0,1),
(1001941,635916575,4,1,'Legacy of Brell','While tradeskilling, you will have a higher chance to complete a successful round.',411,65535,65535,0,0,0,1,1,'Your Legacy of Brell was successful on %t!','Your Legacy of Brell fades.','',1,0,'',0,'You cast Legacy of Brell on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670529,1384377875,0,1),
(1001942,993857596,4,1,'Legacy of the Shissar','+3% Max Power',238,65535,314,0,0,0,1,0,'Your Legacy of the Shissar was successful on %t!','Your Legacy of the Shissar fades.','',0,1,'Spells/Traits/LegacyoftheShissar.lua',0,'You cast Legacy of the Shissar on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670529,1384378109,0,0),
(1001943,855477170,4,0,'Legendary Craftsmanship','Coldain are used to working in harsh, icy conditions and as a result, coldain armorers gain additional durability with every tradeskill round.',418,65535,65535,0,0,0,0,1,'Your Legendary Craftsmanship was successful on %t!','Your Legendary Craftsmanship fades.','',1,0,'',0,'You cast Legendary Craftsmanship on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670529,1384377875,0,1),
(1001944,3346055637,4,1,'Legendary Tenacity','Your devotion to the study of the divine arts increases your power pool slightly.',608,65535,317,0,0,0,1,0,'Your Legendary Tenacity was successful on %t!','Your Legendary Tenacity fades.','',0,1,'Spells/Traits/LegendaryTenacity.lua',0,'You cast Legendary Tenacity on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670529,1384377823,0,1),
(1001945,1908963413,4,1,'Legion''s Quartermaster','Your knowledge of the arts grants you an additional chance to succeed while tradeskilling.',415,65535,65535,0,0,0,1,0,'Your Legion''s Quartermaster was successful on %t!','Your Legion''s Quartermaster fades.','',0,1,'Spells/Traits/LegionsQuartermaster.lua',0,'You cast Legion''s Quartermaster on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670529,1384378110,0,1),
(1001946,3400426933,4,0,'Legionnaire''s Focus','Grants the crusader a chance to Doublecast.',516,65535,317,0,0,0,0,0,'Your Legionnaire''s Focus was successful on %t!','Your Legionnaire''s Focus fades.','',0,1,'Spells/AA/LegionnairesFocus.lua',0,'You cast Legionnaire''s Focus on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670529,1384377901,0,1),
(1001947,1471688681,4,1,'Legionnaire''s Focus','Your increased knowledge allows you to increase your power pool by a small amount.',584,65535,65535,0,0,0,1,0,'Your Legionnaire''s Focus was successful on %t!','Your Legionnaire''s Focus fades.','',0,1,'Spells/Traits/LegionnairesFocus.lua',0,'You cast Legionnaire''s Focus on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670529,1384378109,0,1),
(1001948,3334714574,4,0,'Legionnaire''s Intelligence','Increases the Legionnaire''s intelligence by 8 for each rank.',566,65535,65535,0,0,0,0,1,'Your Legionnaire''s Intelligence was successful on %t!','Your Legionnaire''s Intelligence fades.','',1,0,'',0,'You cast Legionnaire''s Intelligence on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670531,1384377830,0,1),
(1001949,3064545345,4,0,'Legionnaire''s Mercy','Increases the Legionnaire''s spell resistance and the amount of heals received. Legionnaire''s Mercy does not increase the size of wards.',562,65535,65535,0,0,0,0,1,'Your Legionnaire''s Mercy was successful on %t!','Your Legionnaire''s Mercy fades.','',1,0,'',0,'You cast Legionnaire''s Mercy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670531,1384377900,0,1),
(1001950,684578274,4,0,'Legionnaire''s Wrath','Increases the damage of the Legionnaire''s hostile spells.',568,65535,65535,0,0,0,0,1,'Your Legionnaire''s Wrath was successful on %t!','Your Legionnaire''s Wrath fades.','',1,0,'',0,'You cast Legionnaire''s Wrath on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670531,1384377903,0,1),
(1001951,2381759811,4,1,'Life Reap','Improves the heal amount and potency granted by Reaping.',928,65535,313,0,0,0,1,1,'Your Life Reap was successful on %t!','Your Life Reap fades.','',1,0,'',0,'You cast Life Reap on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670531,1384377915,0,1),
(1001952,1803696079,4,1,'Lightbringer''s Protection','Divine runes protect you and allow you to resist arcane attacks better.',470,65535,317,0,0,0,0,0,'Your Lightbringer''s Protection was successful on %t!','Your Lightbringer''s Protection fades.','',0,1,'Spells/Traits/LightbringersProtection.lua',0,'You cast Lightbringer''s Protection on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670531,1384378109,0,1),
(1001953,252816699,4,1,'Lightning Aura','Adds an effect to Force of Nature that whenever the target takes damage, the fury has a chance to gain an incremental augmentation that increases their potency. Increments up to 14 times.',233,65535,316,0,0,0,1,1,'Your Lightning Aura was successful on %t!','Your Lightning Aura fades.','',1,0,'',0,'You cast Lightning Aura on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670531,1384377899,0,1),
(1001954,3383809692,4,0,'Lightning Reflexes','Increases Ability Reuse Speed.',14,65535,65535,0,0,0,0,0,'Your Lightning Reflexes was successful on %t!','Your Lightning Reflexes fades.','',1,0,'Spells/AA/LightningReflexes.lua',0,'You cast Lightning Reflexes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670531,1384377907,0,1),
(1001955,3227094846,4,1,'Lingering Flames','When Firelord triggers, the conjuror will gain additional damage on their next attacks.',481,65535,317,0,0,0,1,1,'Your Lingering Flames was successful on %t!','Your Lingering Flames fades.','',1,0,'',0,'You cast Lingering Flames on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670531,1384377901,0,1),
(1001956,3025241303,4,1,'Liquid Movement','Improves the trigger chance and update amount of Waveform.',866,65535,317,0,0,0,1,1,'Your Liquid Movement was successful on %t!','Your Liquid Movement fades.','',1,0,'',0,'You cast Liquid Movement on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670531,1384377915,0,1),
(1001957,3494911225,4,0,'Litany of Combat','Grants additional spells which increase spell damage, increase melee damage or buffs the priest''s pet.  These spells will suspend while the priest is in their healing based stances.',11,65535,65535,0,0,0,0,1,'Your Litany of Combat was successful on %t!','Your Litany of Combat fades.','',1,0,'',0,'You cast Litany of Combat on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670531,1384377902,0,1),
(1001958,414040573,4,0,'Litany of Destruction','Improves the effects of Litany of Combat.',243,65535,317,0,0,0,0,1,'Your Litany of Destruction was successful on %t!','Your Litany of Destruction fades.','',1,0,'',0,'You cast Litany of Destruction on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670531,1384377903,0,1),
(1001959,3172725335,4,0,'Lively','Your recovery speed is prodigious! This trait improves the rate at which your Health recovers by 5.',497,65535,65535,0,0,0,0,1,'Your Lively was successful on %t!','Your Lively fades.','',1,0,'',0,'You cast Lively on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670531,1384378109,0,1),
(1001960,1737575352,4,1,'Lord of Arcana','The wizard gains additional Crit Bonus from Potency.',24,65535,65535,0,0,0,1,1,'Your Lord of Arcana was successful on %t!','Your Lord of Arcana fades.','',1,0,'',0,'You cast Lord of Arcana on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670531,1384377907,0,1),
(1001961,1085335406,4,1,'Low Blow','Enhances the brigand''s single target mitigation impairing attacks to do additional damage.',470,65535,315,1519965519,0,0,1,1,'Your Low Blow was successful on %t!','Your Low Blow fades.','',1,0,'',0,'You cast Low Blow on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670531,1384377907,0,1),
(1001962,1024061598,4,1,'Lucid','You are able to regain your mental composure at a moment''s notice.  This trait adds to your mental focus and allows you to recover 5 more Power than normal.',185,65535,65535,0,0,0,1,0,'Your Lucid was successful on %t!','Your Lucid fades.','',0,1,'Spells/Lucid.lua',0,'You cast Lucid on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670531,1384378109,0,0),
(1001963,3628956785,4,1,'Luck of the Wild','Increases the trigger chance of all of the warden''s spells.',480,65535,317,0,0,0,1,1,'Your Luck of the Wild was successful on %t!','Your Luck of the Wild fades.','',1,0,'',0,'You cast Luck of the Wild on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670531,1384377913,0,1),
(1001964,4149672690,4,0,'Lunar Spirits','Improves the speed that Oberon refreshes and reduces the power cost.',199,65535,316,0,0,0,0,1,'Your Lunar Spirits was successful on %t!','Your Lunar Spirits fades.','',1,0,'',0,'You cast Lunar Spirits on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670531,1384377904,0,1),
(1001965,3485336796,4,0,'Lunging Immobilization','Improves the base damage and reuse time of Immobilizing Lunge and its upgrades.',376,65535,315,0,0,0,0,1,'Your Lunging Immobilization was successful on %t!','Your Lunging Immobilization fades.','',1,0,'',0,'You cast Lunging Immobilization on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670531,1384377916,0,1),
(1001966,3807955183,4,0,'Lyrical Mastery','The troubador gains additional mastery to their spell based attacks causing them to do additional base and critical damage.',817,65535,65535,0,0,0,0,1,'Your Lyrical Mastery was successful on %t!','Your Lyrical Mastery fades.','',1,0,'',0,'You cast Lyrical Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670531,1384377838,0,1),
(1001967,3531895697,4,0,'Macabre','Deathly Pallor will have an improved recast time.',206,65535,317,0,0,0,0,1,'Your Macabre was successful on %t!','Your Macabre fades.','',1,0,'',0,'You cast Macabre on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670531,1384377910,0,1),
(1001968,1726206015,4,0,'Magic Mastery','Magic Mastery allows all of the conjuror''s magical attacks to do improved base and critical damage.',895,65535,65535,0,0,0,0,1,'Your Magic Mastery was successful on %t!','Your Magic Mastery fades.','',1,0,'',0,'You cast Magic Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670531,1384377897,0,1),
(1001969,660438855,4,1,'Magic of the Arasai','Your increased knowledge allows you to increase your power pool by a small amount.',39,65535,65535,0,0,0,1,0,'Your Magic of the Arasai was successful on %t!','Your Magic of the Arasai fades.','',0,1,'Spells/Traits/MagicoftheArasai.lua',0,'You cast Magic of the Arasai on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670531,1384378109,0,1),
(1001970,1363618596,4,1,'Magic of the Fae','Your devotion to the study of the divine arts increases your power pool slightly.',24,65535,65535,0,0,0,1,0,'Your Magic of the Fae was successful on %t!','Your Magic of the Fae fades.','',0,1,'Spells/Traits/MagicoftheFae.lua',0,'You cast Magic of the Fae on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670531,1384377823,0,1),
(1001971,2995904337,4,1,'Magic? Pah!','Divine runes protect you and allow you to resist arcane attacks better.',831,65535,318,0,0,0,0,0,'Your Magic? Pah! was successful on %t!','Your Magic? Pah! fades.','',0,1,'Spells/Traits/MagicPah.lua',0,'You cast Magic? Pah! on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670531,1384378110,0,1),
(1001972,1704521097,4,0,'Magical Pact','Improves the reuse of Bloodletter and reduces the amount of health taken from the Shadowknight''s raid.',496,65535,314,0,0,0,0,1,'Your Magical Pact was successful on %t!','Your Magical Pact fades.','',1,0,'',0,'You cast Magical Pact on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670533,1384377905,0,1),
(1001973,2626963618,4,1,'Magical Protection','Increases your resistance to arcane based attacks.',629,65535,65535,0,0,0,0,0,'Your Magical Protection was successful on %t!','Your Magical Protection fades.','',0,1,'Spells/Traits/MagicalProtection.lua',0,'You cast Magical Protection on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670533,1384377823,0,1),
(1001974,1053378291,4,0,'Magical Teachings','Fae have a tradition of passing their knowledge of magic through the generations. Enhancement, permanently placed upon you, which increases your Scribing skill by 5.',419,65535,65535,0,0,0,0,0,'Your Magical Teachings was successful on %t!','Your Magical Teachings fades.','',0,1,'Spells/Traits/MagicalTeachings.lua',187,'You cast Magical Teachings on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670533,1384378110,0,1),
(1001975,2597490516,4,0,'Magician''s Aptitude','Increases the pet''s combat art and spell hit rates.',895,65535,65535,0,0,0,0,1,'Your Magician''s Aptitude was successful on %t!','Your Magician''s Aptitude fades.','',1,0,'',0,'You cast Magician''s Aptitude on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670533,1384377904,0,1),
(1001976,1613786190,4,0,'Magician''s Intelligence','Increases the Magician''s intelligence by 4 for each rank.',473,65535,65535,0,0,0,0,0,'Your Magician''s Intelligence was successful on %t!','Your Magician''s Intelligence fades.','',0,1,'Spells/AA/MagiciansIntelligence.lua',0,'You cast Magician''s Intelligence on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670533,1384377906,0,1),
(1001977,3683165493,4,0,'Magmatic Incapacitation','Improves the stun duration of the Magma Chamber line of spells.',160,65535,315,0,0,0,0,1,'Your Magmatic Incapacitation was successful on %t!','Your Magmatic Incapacitation fades.','',1,0,'',0,'You cast Magmatic Incapacitation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670533,1384377913,0,1),
(1001978,1475106618,4,0,'Majestic Casting','Improves the cast time of the priest''s group ward, reactive, heal over time or Repair Conduits before other casting speed modifications.',619,65535,317,0,0,0,0,1,'Your Majestic Casting was successful on %t!','Your Majestic Casting fades.','',1,0,'',0,'You cast Majestic Casting on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670533,1384377909,0,1),
(1001979,3911590616,4,0,'Malevolent Protection','The shadowknight gets a chance to damage their attacker or heal themselves when they successfully block an attack.  In addition to the damage, they will gain additional hate with the attacker.',849,65535,65535,0,0,0,0,1,'Your Malevolent Protection was successful on %t!','Your Malevolent Protection fades.','',1,0,'',0,'You cast Malevolent Protection on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670533,1384377897,0,1),
(1001980,2085587858,4,0,'Malevolent Tormenting','Death March gains an additional effect which increases the amount of hate taunt spells generate for the shadowknight.',206,65535,314,0,0,0,0,1,'Your Malevolent Tormenting was successful on %t!','Your Malevolent Tormenting fades.','',1,0,'',0,'You cast Malevolent Tormenting on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670533,1384377909,0,1),
(1001981,3783019214,4,1,'Malicious Velocity','Increases the out of combat run speed of the dark elf.',90,65535,317,0,0,0,0,0,'Your Malicious Velocity was successful on %t!','Your Malicious Velocity fades.','',0,1,'Spells/MaliciousVelocity.lua',0,'You cast Malicious Velocity on %t.',4,0,0,0,1,0,0,0,1,0,1,0,0,0,0,1,0,0,0,'Unset',1590026372,1384378109,0,1),
(1001982,3429709614,4,1,'Mana Mastery','',341,65535,65535,0,0,0,1,1,'Your Mana Mastery was successful on %t!','Your Mana Mastery fades.','',1,0,'',0,'You cast Mana Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670533,1384377912,0,1),
(1001983,1013336674,4,1,'Manaspine','Mana Cloak now inflicts damage when triggered.',195,65535,314,0,0,0,1,1,'Your Manaspine was successful on %t!','Your Manaspine fades.','',1,0,'',0,'You cast Manaspine on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670533,1384377909,0,1),
(1001984,732767980,4,1,'Manaspine','Mana Cloak now inflicts damage when triggered.',195,65535,314,0,0,0,1,1,'Your Manaspine was successful on %t!','Your Manaspine fades.','',1,0,'',0,'You cast Manaspine on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670533,1384377907,0,1),
(1001985,3445756939,4,1,'Maniacal Madness','Your devotion to the study of the divine arts increases your power pool slightly.',645,65535,65535,0,0,0,1,0,'Your Maniacal Madness was successful on %t!','Your Maniacal Madness fades.','',0,1,'Spells/Traits/ManiacalMadness.lua',0,'You cast Maniacal Madness on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670533,1384378110,0,1),
(1001986,872775811,4,0,'Mantis Bolt','Grants the Mantis Master a chance at an additional piercing attack with every successful hit in combat.',691,65535,65535,0,0,0,0,1,'Your Mantis Bolt was successful on %t!','Your Mantis Bolt fades.','',1,0,'',0,'You cast Mantis Bolt on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670533,1384377899,0,1),
(1001987,623779657,4,0,'Mantis Mastery','Increases the duration of Mantis Leap.',627,65535,65535,0,0,0,0,1,'Your Mantis Mastery was successful on %t!','Your Mantis Mastery fades.','',1,0,'',0,'You cast Mantis Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670533,1384377903,0,1),
(1001988,3658211759,4,0,'Mantis Stamina','Increases the Mantis Master''s stamina by 6 for each rank.',565,65535,65535,0,0,0,0,1,'Your Mantis Stamina was successful on %t!','Your Mantis Stamina fades.','',1,0,'',0,'You cast Mantis Stamina on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670534,1384377833,0,1),
(1001989,3673482493,4,0,'Marisha Kur''s Combat Prowess','Marisha Kur''s Blessing will grant Crit Bonus to the channeler''s group.',146,65535,314,0,0,0,0,1,'Your Marisha Kur''s Combat Prowess was successful on %t!','Your Marisha Kur''s Combat Prowess fades.','',1,0,'',0,'You cast Marisha Kur''s Combat Prowess on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670534,1384377916,0,1),
(1001990,1291152503,4,0,'Marisha Kur''s Protective Instinct','The beastlord''s warder will take less damage from incoming attacks.',232,65535,316,0,0,0,0,1,'Your Marisha Kur''s Protective Instinct was successful on %t!','Your Marisha Kur''s Protective Instinct fades.','',1,0,'',0,'You cast Marisha Kur''s Protective Instinct on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670534,1384377902,0,1),
(1001991,2170712058,4,0,'Mark of the Assassin','Improves the damage of the Death Mark line and adds additional critical damage.',366,65535,315,0,0,0,0,1,'Your Mark of the Assassin was successful on %t!','Your Mark of the Assassin fades.','',1,0,'',0,'You cast Mark of the Assassin on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670534,1384377908,0,1),
(1001992,2110745536,4,1,'Marr''s Insight','Your devotion to the gods allows you to have increased wisdom.  The amount of wisdom will increase as you gain levels.',236,65535,314,0,0,0,1,0,'Your Marr''s Insight was successful on %t!','Your Marr''s Insight fades.','',0,1,'Spells/Traits/MarrsInsight.lua',0,'You cast Marr''s Insight on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670534,1384378110,0,1),
(1001993,2231715900,4,1,'Marr''s Rejuvenation','Increases the froglok''s out of combat health regeneration.',180,65535,316,0,0,0,1,0,'Your Marr''s Rejuvenation was successful on %t!','Your Marr''s Rejuvenation fades.','',0,0,'Spells/MarrsRejuvenation.lua',0,'You cast Marr''s Rejuvenation on %t.',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1384670535,1384378109,0,1),
(1001994,1794022228,4,1,'Marshal''s Skill','Agile races gain an additional chance to double attack with melee and ranged weapons.',378,65535,315,0,0,0,1,0,'Your Marshal''s Skill was successful on %t!','Your Marshal''s Skill fades.','',0,1,'Spells/Traits/MarshalsSkill.lua',0,'You cast Marshal''s Skill on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670535,1384378109,0,1),
(1001995,2492377128,4,1,'Martial Justice','Improves the effects of Martial Retaliation.',7,65535,316,0,0,0,1,1,'Your Martial Justice was successful on %t!','Your Martial Justice fades.','',1,0,'',0,'You cast Martial Justice on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670535,1384377913,0,1),
(1001996,3817445566,4,1,'Martial Resiliance','Adds a damage threshold to Martial Retaliation.',840,65535,316,0,0,0,1,1,'Your Martial Resiliance was successful on %t!','Your Martial Resiliance fades.','',1,0,'',0,'You cast Martial Resiliance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670535,1384377908,0,1),
(1001997,3759514959,4,1,'Martial Retaliation','Whenever the bruiser attacks, they will have a chance to build an increment of Martial Retaliation, which increases their riposte chance and maximum health. Taking damage has a chance to remove an increment. This spell increments up to 10 times.',851,65535,317,0,0,0,1,1,'Your Martial Retaliation was successful on %t!','Your Martial Retaliation fades.','',1,0,'',0,'You cast Martial Retaliation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670535,1384377912,0,1),
(1001998,23414997,4,0,'Mass Production','Enables the artisan to craft multiple items at a time.  Higher tiers of this ability increase the maximum crafting quantity.  Conservation of Mass does not apply when Mass Producing, and Mass Produced items will not count for quest updates.',31,65535,317,0,0,0,0,1,'Your Mass Production was successful on %t!','Your Mass Production fades.','',1,0,'',0,'You cast Mass Production on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670535,1384377839,0,1),
(1001999,3592442847,4,0,'Master of Ceremonies','Improves the base and critical damage of Ceremonial Blade and its upgrades.',366,65535,315,0,0,0,0,1,'Your Master of Ceremonies was successful on %t!','Your Master of Ceremonies fades.','',1,0,'',0,'You cast Master of Ceremonies on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670536,1384377836,0,1),
(1002000,1690985925,4,1,'Master of the Shadows','Skilled in the art of stealth and evasion, you will move 15% faster while stealthed or invisible.',341,65535,65535,0,0,0,1,0,'Your Master of the Shadows was successful on %t!','Your Master of the Shadows fades.','',0,1,'Spells/Traits/MasteroftheShadows.lua',0,'You cast Master of the Shadows on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670536,1384378109,0,1),
(1002001,1875195126,4,0,'Master of the Tumpy Tonic','Dwarves love a good meal and some fine drinks.  Their love for food and drink grant them extra skill while provisioning.',151,65535,65535,0,0,0,0,0,'Your Master of the Tumpy Tonic was successful on %t!','Your Master of the Tumpy Tonic fades.','',0,1,'Spells/Traits/MasteroftheTumpyTonic.lua',0,'You cast Master of the Tumpy Tonic on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,'Unset',1384670536,1384378109,0,1),
(1002002,3743748889,4,1,'Mastered Interception','Lowers the base reuse time of Champion''s Interception.',858,65535,314,0,0,0,1,1,'Your Mastered Interception was successful on %t!','Your Mastered Interception fades.','',1,0,'',0,'You cast Mastered Interception on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670536,1384377833,0,1),
(1002003,1309526908,4,1,'Masterful Sorcery','Your proficiency with magical attacks grants you additional skill in disruption and subjugation.',367,65535,65535,0,0,0,1,0,'Your Masterful Sorcery was successful on %t!','Your Masterful Sorcery fades.','',0,1,'Spells/Traits/MasterfulSorcery.lua',0,'You cast Masterful Sorcery on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670536,1384377823,0,1),
(1002004,3436393066,4,1,'Mechanical Vambraces','Grants an increase to overall agility.  The amount of agility gained will increase as you level.',79,65535,65535,0,0,0,1,0,'Your Mechanical Vambraces was successful on %t!','Your Mechanical Vambraces fades.','',0,1,'Spells/Traits/MechanicalVambraces.lua',0,'You cast Mechanical Vambraces on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670536,1384378109,0,1),
(1002005,3502274129,4,1,'Mechanized Pierces','Increases your skills with piercing and ranged based weapons.',366,65535,315,0,0,0,1,0,'Your Mechanized Pierces was successful on %t!','Your Mechanized Pierces fades.','',0,1,'Spells/Traits/MechanizedPierces.lua',0,'You cast Mechanized Pierces on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670536,1384378109,0,1),
(1002006,1877228963,4,1,'Meditative Contemplation','Increases your power regeneration rate while out of combat.',853,65535,65535,0,0,0,1,0,'Your Meditative Contemplation was successful on %t!','Your Meditative Contemplation fades.','',0,1,'Spells/Traits/MeditativeContemplation.lua',0,'You cast Meditative Contemplation on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670536,1384378109,0,1),
(1002007,4081972073,4,0,'Meditative Mending','When hit by a physical attack for over 40% of their health the monk will heal themselves.  Increased levels of Meditative Mending improve the amount the monk heals.',853,65535,65535,0,0,0,0,1,'Your Meditative Mending was successful on %t!','Your Meditative Mending fades.','',1,0,'',0,'You cast Meditative Mending on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670536,1384377900,0,1),
(1002008,3706707177,4,1,'Meditative State','Increases your mana pool by a small percentage.',853,65535,317,0,0,0,1,0,'Your Meditative State was successful on %t!','Your Meditative State fades.','',0,1,'Spells/Traits/MeditativeState.lua',0,'You cast Meditative State on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670536,1384378109,0,1),
(1002009,2772678708,4,1,'Memories of Guk','Your practice of combat gives you additional skill in defense, parry and deflection.',307,65535,317,0,0,0,1,0,'Your Memories of Guk was successful on %t!','Your Memories of Guk fades.','',0,1,'Spells/Traits/MemoriesofGuk.lua',0,'You cast Memories of Guk on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670536,1384378110,0,1),
(1002010,150517452,4,1,'Mender of the Mire','Gives the troll who specializes in making armor a bonus to skill.\r\n\r\n+5 Metalshaping',427,65535,65535,0,0,0,1,1,'Your Mender of the Mire was successful on %t!','Your Mender of the Mire fades.','',0,1,'Spells/MenderoftheMire.lua',0,'You cast Mender of the Mire on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670536,1384378110,0,0),
(1002011,1980350281,4,0,'Mending Spirit','Improves the reuse speed of Mend and its upgrades.',158,65535,316,3343700951,0,0,0,1,'Your Mending Spirit was successful on %t!','Your Mending Spirit fades.','',1,0,'',0,'You cast Mending Spirit on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670536,1384377831,0,1),
(1002012,2873826264,4,0,'Mental Acuity','Adds critical bonus to Freehand Sorcery.',654,65535,65535,0,0,0,0,1,'Your Mental Acuity was successful on %t!','Your Mental Acuity fades.','',1,0,'',0,'You cast Mental Acuity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670536,1384377907,0,1),
(1002013,3526889506,4,0,'Mental Awareness','Improves the amount of power returned by the Mana Cloak line of spells and reduces the power cost of spells while Mana Cloak is active.',195,65535,314,0,0,0,0,1,'Your Mental Awareness was successful on %t!','Your Mental Awareness fades.','',1,0,'',0,'You cast Mental Awareness on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670536,1384377908,0,1),
(1002014,2591260652,4,0,'Mental Blast','Shock Wave and its upgrades will do improved base and critical damage.',268,65535,313,0,0,0,0,1,'Your Mental Blast was successful on %t!','Your Mental Blast fades.','',1,0,'',0,'You cast Mental Blast on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670536,1384377901,0,1),
(1002015,3312864597,4,1,'Mental Breach','While out of combat, your power will regenerate faster than normal.',24,65535,65535,0,0,0,1,0,'Your Mental Breach was successful on %t!','Your Mental Breach fades.','',0,1,'Spells/Traits/MentalBreach.lua',0,'You cast Mental Breach on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670536,1384378109,0,1),
(1002016,1931977293,4,0,'Mental Chaos','Mental Chaos improves the base number of ticks and casting speed while reducing the power cost of the Chaos Anthem line of spells.',160,65535,312,0,0,0,0,1,'Your Mental Chaos was successful on %t!','Your Mental Chaos fades.','',1,0,'',0,'You cast Mental Chaos on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670536,1384377831,0,1),
(1002017,291790739,4,1,'Mental Domination','Increases your skills with disruption and subjugation.',246,65535,317,0,0,0,1,0,'Your Mental Domination was successful on %t!','Your Mental Domination fades.','',0,1,'Spells/Traits/MentalDomination.lua',0,'You cast Mental Domination on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670536,1384378109,0,1),
(1002018,954768554,4,0,'Mental Focus','After years of study, the illusionist becomes so focused while casting that their damage spells hit for increased base damage and can critical for more than normal.',892,65535,65535,0,0,0,0,1,'Your Mental Focus was successful on %t!','Your Mental Focus fades.','',1,0,'',0,'You cast Mental Focus on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670536,1384377831,0,1),
(1002019,2120634484,4,1,'Mental Infusion','Mind Control gains an additional trigger that restores power to the target when they attack.',277,65535,316,0,0,0,1,1,'Your Mental Infusion was successful on %t!','Your Mental Infusion fades.','',1,0,'',0,'You cast Mental Infusion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670536,1384377839,0,1),
(1002020,2283465545,4,0,'Mental Recovery','Improves the recovery time of the sorcerer between casting individual spells.',367,65535,65535,0,0,0,0,0,'Your Mental Recovery was successful on %t!','Your Mental Recovery fades.','',0,1,'Spells/AA/MentalRecovery.lua',0,'You cast Mental Recovery on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670536,1384377915,0,1),
(1002021,316474670,4,0,'Mental Retaliation','When taking damage, the priest''s attacker will have their damage per second and attack speed reduced.',645,65535,317,0,0,0,0,1,'Your Mental Retaliation was successful on %t!','Your Mental Retaliation fades.','',1,0,'',0,'You cast Mental Retaliation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670536,1384377832,0,1),
(1002022,4241712130,4,0,'Mental Strength','When taking damage, the priest has a chance to become immune to interrupts for a short duration.',128,65535,317,0,0,0,0,1,'Your Mental Strength was successful on %t!','Your Mental Strength fades.','',1,0,'',0,'You cast Mental Strength on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670538,1384377918,0,1),
(1002023,1771230177,4,0,'Mental Torment','Brainshock and Brainburst lines of spells will do additional base and critical damage.',168,65535,315,0,0,0,0,1,'Your Mental Torment was successful on %t!','Your Mental Torment fades.','',1,0,'',0,'You cast Mental Torment on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670538,1384377838,0,1),
(1002024,3157407685,4,1,'Mental Trauma','Adds additional damage to Mindbend, Stupefy and Cannibalize Thoughts.',172,65535,315,0,0,0,1,1,'Your Mental Trauma was successful on %t!','Your Mental Trauma fades.','',1,0,'',0,'You cast Mental Trauma on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670538,1384377838,0,1),
(1002025,3356097873,4,0,'Mental and Physical Focus','Improves the channeler''s ranged, focus, disruption and subjugation skills and reduces their chance for spells to be resisted.',476,65535,317,0,0,0,0,1,'Your Mental and Physical Focus was successful on %t!','Your Mental and Physical Focus fades.','',1,0,'',0,'You cast Mental and Physical Focus on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670538,1384377830,0,1),
(1002026,708204595,4,1,'Merciless','Improves your hostile casting speed.',367,65535,65535,0,0,0,1,0,'Your Merciless was successful on %t!','Your Merciless fades.','',0,1,'Spells/Traits/Merciless.lua',0,'You cast Merciless on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670538,1384378109,0,1),
(1002027,40718522,4,1,'Meticulous Craftsmanship','Your wisdom allows you to increase the durability of items while tradeskilling.',420,65535,65535,0,0,0,1,0,'Your Meticulous Craftsmanship was successful on %t!','Your Meticulous Craftsmanship fades.','',0,1,'Spells/Traits/MeticulousCraftsmanship.lua',0,'You cast Meticulous Craftsmanship on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670538,1384378109,0,1),
(1002028,3088110722,4,1,'Miasma','Dark Pact will allow group members to inflict additional disease damage when attacking.',236,65535,314,3467160477,0,0,1,1,'Your Miasma was successful on %t!','Your Miasma fades.','',1,0,'',0,'You cast Miasma on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670538,1384377909,0,1),
(1002029,208170424,4,1,'Midday Snack','Your devotion to the study of the divine arts increases your power pool slightly.',54,65535,65535,0,0,0,1,0,'Your Midday Snack was successful on %t!','Your Midday Snack fades.','',0,1,'Spells/Traits/MiddaySnack.lua',0,'You cast Midday Snack on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670538,1384378109,0,1),
(1002030,2683494709,4,1,'Might of the Leatherfoot','Increases your skills with piercing and ranged based weapons.',307,65535,317,0,0,0,1,0,'Your Might of the Leatherfoot was successful on %t!','Your Might of the Leatherfoot fades.','',0,1,'Spells/Traits/MightoftheLeatherfoot.lua',0,'You cast Might of the Leatherfoot on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670538,1384378109,0,1),
(1002031,4007218661,4,1,'Mind Jolt','Mind Control gains an additional trigger that deals bonus damage when the target attacks. This damage is attributed to the coercer.',152,65535,316,287643040,0,0,1,1,'Your Mind Jolt was successful on %t!','Your Mind Jolt fades.','',1,0,'',0,'You cast Mind Jolt on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670538,1384377842,0,1),
(1002032,77345187,4,1,'Mind Mastery','Improves the ward amount of Manaward, makes it cast instantly and reduces the base reuse speed.',48,65535,316,0,0,0,1,1,'Your Mind Mastery was successful on %t!','Your Mind Mastery fades.','',1,0,'',0,'You cast Mind Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670538,1384377916,0,1),
(1002033,2581495155,4,1,'Mind Over Matter','Mind Control gains an additional trigger that restores health to the target when they attack.',24,65535,316,0,0,0,1,1,'Your Mind Over Matter was successful on %t!','Your Mind Over Matter fades.','',1,0,'',0,'You cast Mind Over Matter on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670538,1384377902,0,1),
(1002034,2713777953,4,1,'Mind Over Matter','Increases your skills with ministration and defense.',474,65535,65535,0,0,0,1,0,'Your Mind Over Matter was successful on %t!','Your Mind Over Matter fades.','',0,1,'Spells/Traits/MindOverMatter.lua',0,'You cast Mind Over Matter on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670538,1384377823,0,1),
(1002035,1977435271,4,0,'Mind Over Matter','Mind over Matter numbs the bruiser from pain by increasing their physical mitigation while Bruising Spirit or one of its upgrades is active.',358,65535,317,0,0,0,0,1,'Your Mind Over Matter was successful on %t!','Your Mind Over Matter fades.','',1,0,'',0,'You cast Mind Over Matter on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670538,1384377913,0,1),
(1002036,3928945655,4,0,'Mind Tap','Mind Tap improves the base damage and casting speed of the Tap Essence line of spells.',201,65535,312,0,0,0,0,1,'Your Mind Tap was successful on %t!','Your Mind Tap fades.','',1,0,'',0,'You cast Mind Tap on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670538,1384377904,0,1),
(1002037,68307894,4,0,'Mining Expertise','Dwarves are more efficient at mining from all their years spent in the mines around Butcherblock.',33,65535,65535,0,0,0,0,0,'Your Mining Expertise was successful on %t!','Your Mining Expertise fades.','',1,0,'Spells/MiningExpertise.lua',0,'You cast Mining Expertise on %t.',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1384670538,1384378109,0,1),
(1002038,4194339820,4,0,'Minion''s Adeptness','Grants the necromancer''s pet additional base increase to spells, combat arts, auto-attack and taunts.',895,65535,317,0,0,0,0,1,'Your Minion''s Adeptness was successful on %t!','Your Minion''s Adeptness fades.','',1,0,'',0,'You cast Minion''s Adeptness on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670538,1384377913,0,1),
(1002039,3966734255,4,0,'Minion''s Attention','The Animist''s pet has a chance to increase their threat position with each attack if they''re a fighter or reduce their threat position if they''re not a fighter.',655,65535,65535,0,0,0,0,1,'Your Minion''s Attention was successful on %t!','Your Minion''s Attention fades.','',1,0,'',0,'You cast Minion''s Attention on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670538,1384377899,0,1),
(1002040,2502782421,4,0,'Minion''s Constitution','Increases the hitpoints of the summoner''s pet.',903,65535,65535,0,0,0,0,3,'Your Minion''s Constitution was successful on %t!','Your Minion''s Constitution fades.','',1,0,'',0,'You cast Minion''s Constitution on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670538,1384377902,0,1),
(1002041,539032708,4,0,'Minion''s Critical Strike','Grants the summoner''s pet a chance to critically strike.',904,65535,65535,0,0,0,0,1,'Your Minion''s Critical Strike was successful on %t!','Your Minion''s Critical Strike fades.','',1,0,'',0,'You cast Minion''s Critical Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670538,1384377897,0,1),
(1002042,3820937308,4,0,'Minion''s Mark','Adds an additional spell to the summoner''s pet which does a medium amount of magic damage while also reducing the target''s mitigation to magic based attacks.',908,65535,317,0,0,0,0,1,'Your Minion''s Mark was successful on %t!','Your Minion''s Mark fades.','',1,0,'',0,'You cast Minion''s Mark on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670538,1384377838,0,1),
(1002043,1236782696,4,0,'Minion''s Pact','Minion''s Pact improves the noxious debuff amount found on the Necromantic Pact line.',479,65535,317,0,0,0,0,1,'Your Minion''s Pact was successful on %t!','Your Minion''s Pact fades.','',1,0,'',0,'You cast Minion''s Pact on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670538,1384377901,0,1),
(1002044,3568356612,4,0,'Minion''s Power','Improves the Crit Bonus of the summoner''s minion.',921,65535,65535,0,0,0,0,1,'Your Minion''s Power was successful on %t!','Your Minion''s Power fades.','',1,0,'',0,'You cast Minion''s Power on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670538,1384377909,0,1),
(1002045,2526510671,4,0,'Minion''s Protection','Minion''s Protection gives the pet a chance to parry incoming attacks.',894,65535,65535,0,0,0,0,1,'Your Minion''s Protection was successful on %t!','Your Minion''s Protection fades.','',1,0,'',0,'You cast Minion''s Protection on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670538,1384377900,0,1),
(1002046,1661590102,4,0,'Minion''s Soulstealing','Grants the necromancer''s pet an additional spell which does Noxious damage while also stealing some of the target''s strength, agility and intelligence.',908,65535,315,0,0,0,0,1,'Your Minion''s Soulstealing was successful on %t!','Your Minion''s Soulstealing fades.','',1,0,'',0,'You cast Minion''s Soulstealing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670538,1384377913,0,1),
(1002047,2386431330,4,0,'Minion''s Uproar','Increases casting and combat skills for the Magician''s pet.',582,65535,65535,0,0,0,0,1,'Your Minion''s Uproar was successful on %t!','Your Minion''s Uproar fades.','',1,0,'',0,'You cast Minion''s Uproar on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670538,1384377909,0,1),
(1002048,4065584274,4,0,'Minstrel''s Aria','The Minstrel''s songs that increase group combat skills or casting technique have their values increased.',648,65535,65535,0,0,0,0,1,'Your Minstrel''s Aria was successful on %t!','Your Minstrel''s Aria fades.','',1,0,'',0,'You cast Minstrel''s Aria on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670540,1384377830,0,1),
(1002049,475891134,4,0,'Minstrel''s Intelligence','Increases the Minstrel''s intelligence by 7 for each rank.',566,65535,65535,0,0,0,0,1,'Your Minstrel''s Intelligence was successful on %t!','Your Minstrel''s Intelligence fades.','',1,0,'',0,'You cast Minstrel''s Intelligence on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670540,1384377830,0,1),
(1002050,1815572785,4,0,'Minstrel''s Melody','The Minstrel''s passive songs that increase group attack speed or Multi-Attack Chance have their values increased.',541,65535,65535,0,0,0,0,1,'Your Minstrel''s Melody was successful on %t!','Your Minstrel''s Melody fades.','',1,0,'',0,'You cast Minstrel''s Melody on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670540,1384377830,0,1),
(1002051,1629647555,4,0,'Mithril Ringmaking','Reduces the power cost of using the jeweler reaction arts.',421,65535,317,0,0,0,0,1,'Your Mithril Ringmaking was successful on %t!','Your Mithril Ringmaking fades.','',1,0,'',0,'You cast Mithril Ringmaking on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670540,1384378110,0,1),
(1002052,1782883027,4,0,'Mitigating Blows','Increases the physical mitigation of Mountain Stance and its upgrades.  In addition, the final rank will remove the stun penalty.',329,65535,317,0,0,0,0,1,'Your Mitigating Blows was successful on %t!','Your Mitigating Blows fades.','',1,0,'',0,'You cast Mitigating Blows on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670540,1384377902,0,1),
(1002053,3351254096,4,0,'Mitigating Rift','Truespirit Rift will reduce incoming damage to all allies who stand inside of it.',11,65535,316,0,0,0,0,1,'Your Mitigating Rift was successful on %t!','Your Mitigating Rift fades.','',1,0,'',0,'You cast Mitigating Rift on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670540,1384377913,0,1),
(1002054,3105635468,4,0,'Mobile Assault','As long as the shaper keeps moving, they will gain increased damage.',659,65535,317,0,0,0,0,1,'Your Mobile Assault was successful on %t!','Your Mobile Assault fades.','',1,0,'',0,'You cast Mobile Assault on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670540,1384377833,0,1),
(1002055,4060158494,4,0,'Moderate Frequency','Improves the shaper''s Dissonance Dissipation when they are between 40% and 80% Dissonance.',126,65535,317,0,0,0,0,1,'Your Moderate Frequency was successful on %t!','Your Moderate Frequency fades.','',1,0,'',0,'You cast Moderate Frequency on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670540,1384377830,0,1),
(1002056,2133550433,4,0,'Monkey Agility','Increases the Monkey Guru''s agility by 5 for each rank.',564,65535,65535,0,0,0,0,1,'Your Monkey Agility was successful on %t!','Your Monkey Agility fades.','',1,0,'',0,'You cast Monkey Agility on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670540,1384377833,0,1),
(1002057,255955438,4,0,'Monkey Dodge','Increases the Monkey Guru''s defense.',653,65535,65535,0,0,0,0,0,'Your Monkey Dodge was successful on %t!','Your Monkey Dodge fades.','',0,1,'Spells/AA/MonkeyDodge.lua',0,'You cast Monkey Dodge on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670540,1384377832,0,1),
(1002058,2148440967,4,0,'Monkey Wisdom','Reduces the recast time of Altruism. The final rank adds an additional trigger.',667,65535,65535,0,0,0,0,1,'Your Monkey Wisdom was successful on %t!','Your Monkey Wisdom fades.','',1,0,'',0,'You cast Monkey Wisdom on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670540,1384377911,0,1),
(1002059,750905574,4,0,'Mooshga''s Tutelage','Reduces the power cost of using the provisioner reaction arts.',425,65535,65535,0,0,0,0,1,'Your Mooshga''s Tutelage was successful on %t!','Your Mooshga''s Tutelage fades.','',1,0,'',0,'You cast Mooshga''s Tutelage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670540,1384378110,0,1),
(1002060,1171795856,4,1,'More Glue','Your wisdom allows you to increase the durability of items while tradeskilling.',406,65535,65535,0,0,0,1,0,'Your More Glue was successful on %t!','Your More Glue fades.','',0,1,'Spells/Traits/MoreGlue.lua',0,'You cast More Glue on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670540,1384378154,0,1),
(1002061,3316898588,4,0,'Motion Aim','Improves the Weapon Damage Bonus granted by Mobile Assault.',659,65535,317,0,0,0,0,1,'Your Motion Aim was successful on %t!','Your Motion Aim fades.','',1,0,'',0,'You cast Motion Aim on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670540,1384377907,0,1),
(1002062,3568919097,4,1,'Multi-Attack Mastery','The mystic gains additional Crit Bonus from Damage Per Second.',44,65535,65535,0,0,0,1,1,'Your Multi-Attack Mastery was successful on %t!','Your Multi-Attack Mastery fades.','',1,0,'',0,'You cast Multi-Attack Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670540,1384377911,0,1),
(1002063,1953570536,4,0,'Multitalented','Increases the casting speed of all harvesting abilities.',34,65535,65535,0,0,0,0,0,'Your Multitalented was successful on %t!','Your Multitalented fades.','',1,0,'Spells/Traditions/Multitalented.lua',0,'You cast Multitalented on %t.',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1384670540,1384378116,0,1),
(1002064,3314098531,4,1,'Murderous Intent','In Plain Sight has a chance to finish the cooldown on Assassinate.',338,65535,317,2711101135,0,0,1,1,'Your Murderous Intent was successful on %t!','Your Murderous Intent fades.','',1,0,'',0,'You cast Murderous Intent on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670540,1384377906,0,1),
(1002065,1771832908,4,0,'Murderous Intentions','Improves the base damage and critical damage of the Murderous Rake line of combat arts.',384,65535,315,0,0,0,0,1,'Your Murderous Intentions was successful on %t!','Your Murderous Intentions fades.','',1,0,'',0,'You cast Murderous Intentions on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670540,1384377902,0,1),
(1002066,2119503394,4,1,'Murrar Shar''s Guidance','Increases your chance to double attack while also improving your casting speed.',856,65535,313,0,0,0,1,0,'Your Murrar Shar''s Guidance was successful on %t!','Your Murrar Shar''s Guidance fades.','',0,1,'Spells/Traits/MurrarSharsGuidance.lua',0,'You cast Murrar Shar''s Guidance on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670540,1384377823,0,1),
(1002067,2891024686,4,1,'Muscular','Your enemies tremble before your might!  This trait increases your physique by granting 4 additional Strength.',89,65535,65535,0,0,0,1,0,'Your Muscular was successful on %t!','Your Muscular fades.','',0,0,'Spells/Muscular.lua',0,'You cast Muscular on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670540,1384378109,0,0),
(1002068,526052004,4,0,'Mystic Ritual','Ritual of Alacrity will gain triggered effects that ward when casting heals and inflict damage when attacking.',799,65535,316,0,0,0,0,1,'Your Mystic Ritual was successful on %t!','Your Mystic Ritual fades.','',1,0,'',0,'You cast Mystic Ritual on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670540,1384377908,0,1),
(1002069,1216156630,4,1,'Mystical Force','The coercer gains additional Crit Bonus from Potency.',88,65535,65535,0,0,0,1,0,'Your Mystical Force was successful on %t!','Your Mystical Force fades.','',0,1,'',0,'You cast Mystical Force on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670540,1384377838,0,1),
(1002070,2784522106,4,1,'Mystical Heat','When Incineration hits 3 increments, the wizard will gain some power and Manaburn''s base reuse and casting times will be reduced.',221,65535,315,0,0,0,1,1,'Your Mystical Heat was successful on %t!','Your Mystical Heat fades.','',1,0,'',0,'You cast Mystical Heat on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670540,1384377838,0,1),
(1002071,4177158395,4,1,'Mystical Leadership','When casting hostile spells, the mage has a chance to increase the group''s chance to Doublecast.',17,65535,65535,0,0,0,1,1,'Your Mystical Leadership was successful on %t!','Your Mystical Leadership fades.','',1,0,'',0,'You cast Mystical Leadership on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670540,1384377838,0,1),
(1002072,2186979026,4,1,'Nap Time','Allows you to recover power faster while out of combat.',45,65535,65535,0,0,0,1,0,'Your Nap Time was successful on %t!','Your Nap Time fades.','',0,1,'Spells/Traits/NapTime.lua',0,'You cast Nap Time on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670540,1384378109,0,1),
(1002073,892029606,4,1,'Natural Athlete','Reduces the power required initially by sprint and increases your overall speed while sprinting.',303,65535,317,0,0,0,1,1,'Your Natural Athlete was successful on %t!','Your Natural Athlete fades.','',1,0,'',0,'You cast Natural Athlete on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670540,1384378109,0,1),
(1002074,2094751258,4,0,'Natural Boon','The Naturalist''s attacks have a chance to heal the group with every successful attack.',24,65535,313,0,0,0,0,1,'Your Natural Boon was successful on %t!','Your Natural Boon fades.','',1,0,'',0,'You cast Natural Boon on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670540,1384377907,0,1),
(1002075,1152357034,4,0,'Natural Instinct','Natural Instinct passively improves the animalist''s accuracy and strikethrough.',555,65535,65535,1400160844,0,0,0,1,'Your Natural Instinct was successful on %t!','Your Natural Instinct fades.','',1,0,'',0,'You cast Natural Instinct on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670542,1384377899,0,1),
(1002076,4224950633,4,0,'Natural Instincts','Increases the melee accuracy of the druid.',8,65535,314,0,0,0,0,0,'Your Natural Instincts was successful on %t!','Your Natural Instincts fades.','',0,1,'Spells/AA/NaturalInstincts.lua',0,'You cast Natural Instincts on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670542,1384377913,0,1),
(1002077,1489016000,4,1,'Natural Irritants','Following the use of Blinding Dust, the brigands raid will automatically reduce their threat by a percentage of the damage they inflict.',191,65535,313,0,0,0,1,1,'Your Natural Irritants was successful on %t!','Your Natural Irritants fades.','',1,0,'',0,'You cast Natural Irritants on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670542,1384377900,0,1),
(1002078,702891122,4,0,'Natural Presence','Enhances the druid''s heal stance with additional effects.',889,65535,317,0,0,0,0,1,'Your Natural Presence was successful on %t!','Your Natural Presence fades.','',1,0,'',0,'You cast Natural Presence on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670542,1384377897,0,1),
(1002079,2534550807,4,1,'Natural Progression','While tradeskilling, you will progress through creating an item faster than normal.\n',401,65535,65535,0,0,0,1,0,'Your Natural Progression was successful on %t!','Your Natural Progression fades.','',0,1,'Spells/Traits/NaturalProgression.lua',0,'You cast Natural Progression on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670542,1384378109,0,1),
(1002080,597064087,4,0,'Natural Restoration','Autumn''s Kiss and its upgrades will have a shorter casting time.  In addition, the overtime component will heal for more.',189,65535,314,0,0,0,0,1,'Your Natural Restoration was successful on %t!','Your Natural Restoration fades.','',1,0,'',0,'You cast Natural Restoration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670542,1384377899,0,1),
(1002081,212970133,4,0,'Naturalist''s Strength','Increases the Naturalist''s strength by 8 for each rank.',576,65535,313,0,0,0,0,1,'Your Naturalist''s Strength was successful on %t!','Your Naturalist''s Strength fades.','',1,0,'',0,'You cast Naturalist''s Strength on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670542,1384377830,0,1),
(1002082,491386913,4,0,'Nature''s Storm','Improves the damage and critical amount to the Frostbite and Thunderbolt lines of spells.',229,65535,315,0,0,0,0,1,'Your Nature''s Storm was successful on %t!','Your Nature''s Storm fades.','',1,0,'',0,'You cast Nature''s Storm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670542,1384377836,0,1),
(1002083,498176910,4,0,'Nature''s Swarm','Improves the base and over time damage of Death Swarm.',369,65535,315,0,0,0,0,1,'Your Nature''s Swarm was successful on %t!','Your Nature''s Swarm fades.','',1,0,'',0,'You cast Nature''s Swarm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670542,1384377912,0,1),
(1002084,1393134642,4,1,'Necrotic Armor','Greatly reduces damage to the necromancer''s pet.',164,65535,317,0,0,0,1,1,'Your Necrotic Armor was successful on %t!','Your Necrotic Armor fades.','',1,0,'',0,'You cast Necrotic Armor on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670542,1384377838,0,1),
(1002085,1854789600,4,1,'Necrotic Compression','Graverot will reduce the target''s chance to strike multiple enemies with their auto-attack.',553,65535,317,0,0,0,1,1,'Your Necrotic Compression was successful on %t!','Your Necrotic Compression fades.','',1,0,'',0,'You cast Necrotic Compression on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670542,1384377900,0,1),
(1002086,3997716720,4,0,'Neriak Precision','The keen eyes and geological knowledge of the Arasai make them experts when dealing with Gems.  Enhancement, permanently placed upon you, which increases your Jewelcrafting skill by 5.',419,65535,65535,0,0,0,0,0,'Your Neriak Precision was successful on %t!','Your Neriak Precision fades.','',0,1,'Spells/Traits/NeriakPrecision.lua',187,'You cast Neriak Precision on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670542,1384378109,0,1),
(1002087,1011855627,4,0,'Nerve Poison','Improves the damage of Nerve Poison.',11,65535,65535,0,0,0,0,1,'Your Nerve Poison was successful on %t!','Your Nerve Poison fades.','',1,0,'',0,'You cast Nerve Poison on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670542,1384377908,0,1),
(1002088,2151481083,4,1,'Niami''s Tutelage','The halflings love to make feasts just as much as they enjoy eating all the food.  +5 Artistry',424,65535,65535,0,0,0,1,1,'Your Niami''s Tutelage was successful on %t!','Your Niami''s Tutelage fades.','',0,1,'Spells/NiamisTutelage.lua',0,'You cast Niami''s Tutelage on %t.',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1384670542,1384378109,0,0),
(1002089,2335734864,4,1,'Nightblade''s Intensity','When the assassin uses stealth attacks, they will gain increments of Nightblade''s Intensity. Once Nightblade''s Intensity reaches 12 increments, the assassin will have their potency increased by 20% of their base potency.',804,65535,317,0,0,0,1,1,'Your Nightblade''s Intensity was successful on %t!','Your Nightblade''s Intensity fades.','',1,0,'',0,'You cast Nightblade''s Intensity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670542,1384377838,0,1),
(1002090,699303118,4,0,'Nightshade''s Intelligence','Increases the Nightshade''s intelligence by 7 for each rank.',566,65535,65535,0,0,0,0,1,'Your Nightshade''s Intelligence was successful on %t!','Your Nightshade''s Intelligence fades.','',1,0,'',0,'You cast Nightshade''s Intelligence on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670542,1384377833,0,1),
(1002091,1674365478,4,1,'Nimble','An enemy can''t hurt you if it can''t hit you! This trait heightens your reflexes by increasing your Agility by 4.',90,65535,65535,0,0,0,1,0,'Your Nimble was successful on %t!','Your Nimble fades.','',0,0,'Spells/Nimble.lua',0,'You cast Nimble on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670542,1384378109,0,0),
(1002092,2926723608,4,1,'Nimble Paws','Increases your base defense and disruption skills.',335,65535,317,0,0,0,1,0,'Your Nimble Paws was successful on %t!','Your Nimble Paws fades.','',0,1,'Spells/Traits/NimblePaws.lua',0,'You cast Nimble Paws on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670542,1384377823,0,1),
(1002093,3128854961,4,1,'Nimble Striking','Increases your chance to double attack while also improving your casting speed.',470,65535,317,0,0,0,1,0,'Your Nimble Striking was successful on %t!','Your Nimble Striking fades.','',0,1,'Spells/Traits/NimbleStriking.lua',0,'You cast Nimble Striking on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670542,1384378110,0,1),
(1002094,364041739,4,1,'Nobility of Faith','Your study into the divine arts grants you additional skill with abilities requiring ministration.',468,65535,317,0,0,0,1,0,'Your Nobility of Faith was successful on %t!','Your Nobility of Faith fades.','',0,1,'Spells/Traits/NobilityofFaith.lua',0,'You cast Nobility of Faith on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670542,1384378109,0,1),
(1002095,1096599664,4,1,'Noble Crafting','You gain a slight improvement to your chance to succeed and gain additional durability while tradeskilling.',398,65535,65535,0,0,0,1,0,'Your Noble Crafting was successful on %t!','Your Noble Crafting fades.','',0,1,'Spells/Traits/NobleCrafting.lua',0,'You cast Noble Crafting on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670542,1384378109,0,1),
(1002096,4090530189,4,1,'Noble Gallop','Increases your speed while mounted by 5 percent.',558,65535,65535,0,0,0,1,0,'Your Noble Gallop was successful on %t!','Your Noble Gallop fades.','',0,1,'Spells/Traits/NobleGallop.lua',0,'You cast Noble Gallop on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670542,1384378109,0,1),
(1002097,1095302694,4,1,'Nomadic Healing','Allows you to recover power faster while out of combat.',468,65535,318,0,0,0,1,0,'Your Nomadic Healing was successful on %t!','Your Nomadic Healing fades.','',0,1,'Spells/Traits/NomadicHealing.lua',0,'You cast Nomadic Healing on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670542,1384378109,0,1),
(1002098,3802765032,4,1,'Noxious Attunement','Gift of Bertoxxulous will gain an additional chance to apply extra poison damage when the warlock attacks. This can trigger off of any spell rather than just poison spells.',919,65535,317,0,0,0,1,1,'Your Noxious Attunement was successful on %t!','Your Noxious Attunement fades.','',1,0,'',0,'You cast Noxious Attunement on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670542,1384377842,0,1),
(1002099,3115230082,4,0,'Noxious Breath','Noxious Breath increases the noxious mitigation reduction of the Vacuum Field line of spells.',261,65535,312,0,0,0,0,1,'Your Noxious Breath was successful on %t!','Your Noxious Breath fades.','',1,0,'',0,'You cast Noxious Breath on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670542,1384377831,0,1),
(1002100,2158544599,4,0,'Noxious Debilitation','Increases the potency of Necromantic Pact.',193,65535,315,0,0,0,0,1,'Your Noxious Debilitation was successful on %t!','Your Noxious Debilitation fades.','',1,0,'',0,'You cast Noxious Debilitation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670544,1384377902,0,1),
(1002101,2341198016,4,0,'Noxious Shroud','Adds a crit bonus component to Shroud of Armor.',146,65535,314,0,0,0,0,1,'Your Noxious Shroud was successful on %t!','Your Noxious Shroud fades.','',1,0,'',0,'You cast Noxious Shroud on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670544,1384377904,0,1),
(1002102,4256971120,4,1,'Noxious Spellslinger','Lowers the base casting speeds of Apocalypse and Distortion.',224,65535,315,0,0,0,1,1,'Your Noxious Spellslinger was successful on %t!','Your Noxious Spellslinger fades.','',1,0,'',0,'You cast Noxious Spellslinger on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670544,1384377908,0,1),
(1002103,364994615,4,0,'Noxious Toxin','Adds a debuff to poisons which reduces the noxious mitigation of the target.',378,65535,315,0,0,0,0,1,'Your Noxious Toxin was successful on %t!','Your Noxious Toxin fades.','',1,0,'',0,'You cast Noxious Toxin on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670544,1384377907,0,1),
(1002104,66433920,4,0,'Numbing Blows','Numbing Blows increases the amount of mitigation leather armor grants.',858,65535,65535,0,0,0,0,0,'Your Numbing Blows was successful on %t!','Your Numbing Blows fades.','',0,1,'Spells/AA/NumbingBlows.lua',0,'You cast Numbing Blows on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670544,1384377910,0,1),
(1002105,1005739233,4,1,'Nurturing Devotion','When the beastlord attacks, they have a chance to trigger a heal on their warder.',45,65535,65535,0,0,0,1,1,'Your Nurturing Devotion was successful on %t!','Your Nurturing Devotion fades.','',1,0,'',0,'You cast Nurturing Devotion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670544,1384377909,0,1),
(1002106,543463894,4,0,'Obfuscation','The Prowler''s Stealth and Stalk abilities have their casting speed and reuse speed improved. Combat art damage on the following attack made from stealth is also improved.',542,65535,65535,0,0,0,0,1,'Your Obfuscation was successful on %t!','Your Obfuscation fades.','',1,0,'',0,'You cast Obfuscation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670544,1384377918,0,1),
(1002107,3106423709,4,1,'Occult Energy','Using Occult Bolt will grant the group improved duration of their beneficial effects. Does not apply to heals over time.',208,65535,315,0,0,0,1,1,'Your Occult Energy was successful on %t!','Your Occult Energy fades.','',1,0,'',0,'You cast Occult Energy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670544,1384377916,0,1),
(1002108,3277239361,4,1,'Ocean''s Onslaught','Adds additional damage to Waveform if the monk is behind or flanking their target.',275,65535,317,0,0,0,1,1,'Your Ocean''s Onslaught was successful on %t!','Your Ocean''s Onslaught fades.','',1,0,'',0,'You cast Ocean''s Onslaught on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670544,1384377839,0,1),
(1002109,866461202,4,0,'Offensive Onslaught','Offensive Onslaught improves the intelligence, attack speed and skill bonuses of the pet''s offensive stances.',484,65535,317,0,0,0,0,1,'Your Offensive Onslaught was successful on %t!','Your Offensive Onslaught fades.','',1,0,'',0,'You cast Offensive Onslaught on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670544,1384377836,0,1),
(1002110,2361761367,4,0,'Offensive Prowess','Offensive Prowess increases the skill bonuses of the fighter''s offensive stance.',307,65535,317,0,0,0,0,1,'Your Offensive Prowess was successful on %t!','Your Offensive Prowess fades.','',1,0,'',0,'You cast Offensive Prowess on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670544,1384377908,0,1),
(1002111,4043263776,4,0,'Offensive Prowess','Improves the skill bonuses of the scout''s offensive stances and songs.',829,65535,65535,0,0,0,0,1,'Your Offensive Prowess was successful on %t!','Your Offensive Prowess fades.','',1,0,'',0,'You cast Offensive Prowess on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670544,1384377831,0,1),
(1002112,975280902,4,1,'Offensively Skilled','Increases your chance to double attack while also improving your casting speed.',649,65535,65535,0,0,0,1,0,'Your Offensively Skilled was successful on %t!','Your Offensively Skilled fades.','',0,1,'Spells/Traits/OffensivelySkilled.lua',0,'You cast Offensively Skilled on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670544,1384378109,0,1),
(1002113,3199764198,4,1,'Oggokian Durability','Your wisdom allows you to increase the durability of items while tradeskilling.',79,65535,65535,0,0,0,1,0,'Your Oggokian Durability was successful on %t!','Your Oggokian Durability fades.','',0,1,'Spells/Traits/OggokianDurability.lua',0,'You cast Oggokian Durability on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670544,1384377823,0,1),
(1002114,3612860819,4,1,'Oggokian Stubbornness','Divine runes protect you and allow you to resist arcane attacks better.',170,65535,317,0,0,0,0,0,'Your Oggokian Stubbornness was successful on %t!','Your Oggokian Stubbornness fades.','',0,1,'Spells/Traits/OggokianStubbornness.lua',0,'You cast Oggokian Stubbornness on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670544,1384378109,0,1),
(1002115,1539758192,4,1,'Oggokian Trade','As skilled weaponsmiths, the ogre uses less power when creating items of their profession.',661,65535,65535,0,0,0,1,1,'Your Oggokian Trade was successful on %t!','Your Oggokian Trade fades.','',1,0,'',0,'You cast Oggokian Trade on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670544,1384378109,0,1),
(1002116,562854880,4,0,'One Foot in the Grave','Improves the reuse speed and damage of Death Blow and its upgrades.',205,65535,315,0,0,0,0,1,'Your One Foot in the Grave was successful on %t!','Your One Foot in the Grave fades.','',1,0,'',0,'You cast One Foot in the Grave on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670544,1384377902,0,1),
(1002117,3909337766,4,1,'Only the Finest Ingredients','Increases the duration of all tradeskill based foods.',130,65535,65535,0,0,0,1,1,'Your Only the Finest Ingredients was successful on %t!','Your Only the Finest Ingredients fades.','',1,0,'',0,'You cast Only the Finest Ingredients on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670544,1384377823,0,1),
(1002118,3761732377,4,0,'Onslaught','Ranged attacks have a chance to inflict additional damage.',825,65535,317,0,0,0,0,1,'Your Onslaught was successful on %t!','Your Onslaught fades.','',1,0,'',0,'You cast Onslaught on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670544,1384377831,0,1),
(1002119,2605669143,4,0,'Opening Volley','Open Volley has a chance to trigger a temporary buff that improves combat art damage when their target is over 80 percent health.',811,65535,65535,0,0,0,0,1,'Your Opening Volley was successful on %t!','Your Opening Volley fades.','',1,0,'',0,'You cast Opening Volley on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670544,1384377899,0,1),
(1002120,2955231631,4,0,'Opportunistic Cover','The Mercenary gains increased Multi-Attack Chance.',657,65535,65535,0,0,0,0,0,'Your Opportunistic Cover was successful on %t!','Your Opportunistic Cover fades.','',0,1,'Spells/AA/OpportunisticCover.lua',0,'You cast Opportunistic Cover on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670544,1384377900,0,1),
(1002121,2271692783,4,1,'Optimum Dosage','Improves the duration of all tradeskilled potions by 20 percent.',845,65535,65535,0,0,0,1,1,'Your Optimum Dosage was successful on %t!','Your Optimum Dosage fades.','',1,0,'',0,'You cast Optimum Dosage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670546,1384377823,0,1),
(1002122,3694168870,4,1,'Outnumbered','Increases the fighter''s attributes when they are fighting multiple enemies.',855,65535,317,0,0,0,1,1,'Your Outnumbered was successful on %t!','Your Outnumbered fades.','',1,0,'',0,'You cast Outnumbered on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670546,1384377833,0,1),
(1002123,1129417904,4,0,'Outward Tranquility','The monk will gain additional protection from spell based attacks.',194,65535,317,0,0,0,0,1,'Your Outward Tranquility was successful on %t!','Your Outward Tranquility fades.','',1,0,'',0,'You cast Outward Tranquility on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670546,1384377907,0,1),
(1002124,2965371568,4,1,'Overflowing Mana','Mana Cloak has a chance to finish the reuse of Channeled Focus.',22,65535,314,0,0,0,1,1,'Your Overflowing Mana was successful on %t!','Your Overflowing Mana fades.','',1,0,'',0,'You cast Overflowing Mana on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670546,1384377839,0,1),
(1002125,1414717411,4,1,'Overgrowing Spines','Regrowth and Sylvan Touch have a chance to finish the reuse of Porcupine.',187,65535,317,0,0,0,1,1,'Your Overgrowing Spines was successful on %t!','Your Overgrowing Spines fades.','',1,0,'',0,'You cast Overgrowing Spines on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670546,1384377840,0,1),
(1002126,1230499675,4,0,'Overgrowth','Enhances Regrowth to restore additional health over time to the nearest two allies.',191,16,316,0,0,0,0,1,'Your Overgrowth was successful on %t!','Your Overgrowth fades.','',1,0,'',0,'You cast Overgrowth on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670546,1384377900,0,1),
(1002127,1785368099,4,1,'Overpowering Illusion','Increases the damage of Chromatic Illusion. This applies before potency.',614,65535,313,0,0,0,1,1,'Your Overpowering Illusion was successful on %t!','Your Overpowering Illusion fades.','',1,0,'',0,'You cast Overpowering Illusion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670546,1384377904,0,1),
(1002128,730717104,4,0,'Overwhelming Arms','When the cleric makes a critical melee or spell weapon attack, they have a chance to get a short duration spell which gives them a chance to flurry.',921,65535,65535,0,0,0,0,1,'Your Overwhelming Arms was successful on %t!','Your Overwhelming Arms fades.','',1,0,'',0,'You cast Overwhelming Arms on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670546,1384377900,0,1),
(1002129,4194141744,4,0,'Pack Spirit','Increases the heal amount of Back into the Fray and its upgrades.',155,65535,316,0,0,0,0,1,'Your Pack Spirit was successful on %t!','Your Pack Spirit fades.','',1,0,'',0,'You cast Pack Spirit on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670546,1384377906,0,1),
(1002130,2270732609,4,1,'Pack''s Ferocity','Pack''s Ferocity grants the animalist a chance to strike multiple targets with their Auto-Attack.',275,65535,317,0,0,0,1,1,'Your Pack''s Ferocity was successful on %t!','Your Pack''s Ferocity fades.','',1,0,'',0,'You cast Pack''s Ferocity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670546,1384377833,0,1),
(1002131,887467434,4,1,'Pack''s Instinct','Makes Instinct apply to the group.',634,65535,314,0,0,0,1,1,'Your Pack''s Instinct was successful on %t!','Your Pack''s Instinct fades.','',1,0,'',0,'You cast Pack''s Instinct on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670546,1384377903,0,1),
(1002132,3262015358,4,0,'Pact of the Faithful','Increases the Arbiter''s spell damage.',568,65535,65535,0,0,0,0,1,'Your Pact of the Faithful was successful on %t!','Your Pact of the Faithful fades.','',1,0,'',0,'You cast Pact of the Faithful on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670546,1384377903,0,1),
(1002133,3684576903,4,0,'Pact with the Iceclad Pirates','Increases the coldain''s skill in tinkering.',863,65535,316,0,0,0,0,1,'Your Pact with the Iceclad Pirates was successful on %t!','Your Pact with the Iceclad Pirates fades.','',1,0,'',0,'You cast Pact with the Iceclad Pirates on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670546,1384377875,0,1),
(1002134,1198676802,4,1,'Painbreaker','Ignore Pain has a chance to finish the cooldown on Rock Skin.',345,65535,317,0,0,0,1,1,'Your Painbreaker was successful on %t!','Your Painbreaker fades.','',1,0,'',0,'You cast Painbreaker on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670546,1384377839,0,1),
(1002135,1603609074,4,1,'Paladin''s Shield Training','Not only are you skilled in attacking, you gain an additional chance to block with a shield or deflect an attack.',839,65535,65535,0,0,0,1,0,'Your Paladin''s Shield Training was successful on %t!','Your Paladin''s Shield Training fades.','',0,1,'Spells/Traits/PaladinsShieldTraining.lua',0,'You cast Paladin''s Shield Training on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670546,1384377823,0,1),
(1002136,425626436,4,0,'Plague','Maelstrom will critical for more damage and health.',212,65535,312,0,0,0,0,1,'Your Pandemic was successful on %t!','Your Pandemic fades.','',1,0,'',0,'You cast Pandemic on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1585108662,1384377899,0,1),
(1002137,422948673,4,1,'Pants Patcher','+5 Tailoring',417,65535,65535,0,0,0,1,1,'Your Pants Patcher was successful on %t!','Your Pants Patcher fades.','',0,1,'Spells/PantsPatcher.lua',0,'You cast Pants Patcher on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670546,1384378109,0,0),
(1002138,1454415464,4,1,'Paralytic Venom','Coats the scouts weapons with a paralytic agent, reducing the target''s potency.',381,65535,315,0,0,0,1,1,'Your Paralytic Venom was successful on %t!','Your Paralytic Venom fades.','',1,0,'',0,'You cast Paralytic Venom on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670546,1384377838,0,1),
(1002139,972073789,4,0,'Parry','Increases the Slayer''s parry skill.',661,65535,65535,0,0,0,0,0,'Your Parry was successful on %t!','Your Parry fades.','',0,1,'Spells/AA/Parry.lua',0,'You cast Parry on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670546,1384377830,0,1),
(1002140,1851763528,4,0,'Passive Protection','Improves the casting time, base protection and heal amount of Torpor and its upgrades.',218,65535,316,0,0,0,0,1,'Your Passive Protection was successful on %t!','Your Passive Protection fades.','',1,0,'',0,'You cast Passive Protection on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670546,1384377912,0,1),
(1002141,3088214038,4,1,'Past''s Vengeance','Ancestral Support will gain a chance to inflict magic damage to enemies.',87,65535,314,0,0,0,1,1,'Your Past''s Vengeance was successful on %t!','Your Past''s Vengeance fades.','',1,0,'',0,'You cast Past''s Vengeance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670546,1384377915,0,1),
(1002142,2480206355,4,1,'Peaceful Assault','Reduces the base reuse time of Peace of Mind, makes it cast instantly and while active, Peace of Mind will let Stupefy cast instantly.',916,65535,314,0,0,0,1,1,'Your Peaceful Assault was successful on %t!','Your Peaceful Assault fades.','',1,0,'',0,'You cast Peaceful Assault on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670546,1384377839,0,1),
(1002143,4281142169,4,0,'Peaceful Deception','Reduces the reuse time of Peel while also granting additional hate gain.',325,65535,315,0,0,0,0,1,'Your Peaceful Deception was successful on %t!','Your Peaceful Deception fades.','',1,0,'',0,'You cast Peaceful Deception on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670546,1384377913,0,1),
(1002144,3422804322,4,0,'Peaceful Hostility','The Peaceful Link line of spells will gain an additional chance to trigger and gains a Crit Bonus component.',269,65535,316,0,0,0,0,1,'Your Peaceful Hostility was successful on %t!','Your Peaceful Hostility fades.','',1,0,'',0,'You cast Peaceful Hostility on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670548,1384377839,0,1),
(1002145,2745559109,4,0,'Bestowal of Vitae','Improves the health stamina of the Holy Armor and Symbol of Marzin line of spells.',680,65535,65535,3341842907,0,0,0,1,'Your Penance was successful on %t!','Your Penance fades.','',1,0,'',0,'You cast Penance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670548,1384377915,0,1),
(1002146,188248894,4,0,'Perceptive','Perception helps to see the truth. This trait increases your Wisdom by 4.',4,65535,65535,0,0,0,0,1,'Your Perceptive was successful on %t!','Your Perceptive fades.','',1,0,'',0,'You cast Perceptive on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670548,1384378109,0,1),
(1002147,1885682405,4,0,'Perceptor''s Bodyguard','Your pet''s maximum health is increased.',646,65535,65535,0,0,0,0,1,'Your Perceptor''s Bodyguard was successful on %t!','Your Perceptor''s Bodyguard fades.','',1,0,'',0,'You cast Perceptor''s Bodyguard on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670548,1384377904,0,1),
(1002148,3372562712,4,0,'Perceptor''s Defense','Adds mitigation to Unflinching Servant.',856,65535,65535,0,0,0,0,1,'Your Perceptor''s Defense was successful on %t!','Your Perceptor''s Defense fades.','',1,0,'',0,'You cast Perceptor''s Defense on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670548,1384377908,0,1),
(1002149,3993087814,4,0,'Perceptor''s Parry','Allows the Perceptor''s pet to protect themselves from melee attacks by improving their ability to parry attacks.',295,65535,315,0,0,0,0,3,'Your Perceptor''s Parry was successful on %t!','Your Perceptor''s Parry fades.','',1,0,'',0,'You cast Perceptor''s Parry on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670548,1384377910,0,1),
(1002150,1035882,4,0,'Perceptor''s Stamina','Increases the Perceptor''s stamina by 7 per rank.',565,65535,65535,0,0,0,0,1,'Your Perceptor''s Stamina was successful on %t!','Your Perceptor''s Stamina fades.','',1,0,'',0,'You cast Perceptor''s Stamina on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670548,1384377833,0,1),
(1002151,3337250517,4,1,'Perfect Balance','Lowers the base reuse time of Ether Balance.',869,65535,314,0,0,0,1,1,'Your Perfect Balance was successful on %t!','Your Perfect Balance fades.','',1,0,'',0,'You cast Perfect Balance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670548,1384377914,0,1),
(1002152,644993586,4,0,'Perfect Evasion','Perfect Evasion triggers when Evade is used and grants the predator a short term immunity to Area of Effect abilities and a drastic increase to their ability to riposte attacks.',278,65535,65535,0,0,0,0,1,'Your Perfect Evasion was successful on %t!','Your Perfect Evasion fades.','',1,0,'',0,'You cast Perfect Evasion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670548,1384377908,0,1),
(1002153,3149285084,4,0,'Perfect Form','Improves the rogue''s Auto-Attack damage.',835,65535,65535,0,0,0,0,0,'Your Perfect Form was successful on %t!','Your Perfect Form fades.','',0,1,'Spells/AA/PerfectForm.lua',0,'You cast Perfect Form on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670548,1384377913,0,1),
(1002154,1586523802,4,1,'Perfect Influx','Improves the damage of Noxious Influx. This applies before potency.',250,65535,315,0,0,0,1,1,'Your Perfect Influx was successful on %t!','Your Perfect Influx fades.','',1,0,'',0,'You cast Perfect Influx on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670548,1384377838,0,1),
(1002155,3216036259,4,1,'Perfect Timing','The inquisitor''s high level reactive damage spells have a chance to have increased triggers.',326,65535,65535,0,0,0,1,1,'Your Perfect Timing was successful on %t!','Your Perfect Timing fades.','',1,0,'',0,'You cast Perfect Timing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670548,1384377915,0,1),
(1002156,163357636,4,1,'Perfected Inquest','Inquest will grant additional power to the group.',472,65535,314,0,0,0,1,1,'Your Perfected Inquest was successful on %t!','Your Perfected Inquest fades.','',1,0,'',0,'You cast Perfected Inquest on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670548,1384377840,0,1),
(1002157,2564937276,4,0,'Perfectionist','The Blademaster''s attack-based combat arts that require a reuse time of greater than 2 minutes have their reuse timers reduced and damage increased.',635,65535,65535,0,0,0,0,1,'Your Perfectionist was successful on %t!','Your Perfectionist fades.','',1,0,'',0,'You cast Perfectionist on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670548,1384377905,0,1),
(1002158,2831627724,4,1,'Periodic Mastery','The conjuror''s damage over time effects deal additional damage.',511,65535,315,0,0,0,1,1,'Your Periodic Mastery was successful on %t!','Your Periodic Mastery fades.','',1,0,'',0,'You cast Periodic Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670548,1384377911,0,1),
(1002159,161348011,4,0,'Perpetual Motion','Perpetual Motion increases the duration of all the Perpetuality triggered effects by a small amount.',622,65535,65535,0,0,0,0,1,'Your Perpetual Motion was successful on %t!','Your Perpetual Motion fades.','',1,0,'',0,'You cast Perpetual Motion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670548,1384377906,0,1),
(1002160,2869627733,4,0,'Perpetuality','Perpetuality triggers after the Chronomancer casts a spell, increasing the casting speed of the Chronomancer. If the Chronomancer casts another spell in succession, it speeds up their casting speed even further. The maximum Perpetuality bonuses that can stack together is 5.',622,65535,65535,0,0,0,0,1,'Your Perpetuality was successful on %t!','Your Perpetuality fades.','',1,0,'',0,'You cast Perpetuality on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670548,1384377900,0,1),
(1002161,3344025696,4,1,'Personae Wall','Greatly reduces damage to the illusionist''s reflection.',473,65535,317,0,0,0,1,1,'Your Personae Wall was successful on %t!','Your Personae Wall fades.','',1,0,'',0,'You cast Personae Wall on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670548,1384377902,0,1),
(1002162,2097402519,4,0,'Personae''s Gift','Personae''s Gift grants the Personae Reflection improved spell damage, spell reuse and weapon damage.',473,65535,317,0,0,0,0,1,'Your Personae''s Gift was successful on %t!','Your Personae''s Gift fades.','',1,0,'',0,'You cast Personae''s Gift on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670548,1384377831,0,1),
(1002163,572667461,4,0,'Pet Weapon Mastery','The summoner''s pets are granted improved weapons.',905,65535,65535,0,0,0,0,1,'Your Pet Weapon Mastery was successful on %t!','Your Pet Weapon Mastery fades.','',1,0,'',0,'You cast Pet Weapon Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670548,1384377903,0,1),
(1002164,1284273147,4,0,'Pet of the Gods','Improves the casting speed and bonuses of your deity pet.',799,65535,319,0,0,0,0,1,'Your Pet of the Gods was successful on %t!','Your Pet of the Gods fades.','',1,0,'',0,'You cast Pet of the Gods on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670548,1384377906,0,1),
(1002165,659291676,4,0,'Phalanx','Improves the shield effectiveness of the crusader.',843,65535,65535,0,0,0,0,1,'Your Phalanx was successful on %t!','Your Phalanx fades.','',1,0,'',0,'You cast Phalanx on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670548,1384377901,0,1),
(1002166,2757529257,4,1,'Phytochromatic Alacrity','Photosynthesis and Sylvan Touch have a chance to finish the reuse of Heirophantic Genesis.',187,65535,65535,0,0,0,1,1,'Your Phytochromatic Alacrity was successful on %t!','Your Phytochromatic Alacrity fades.','',1,0,'',0,'You cast Phytochromatic Alacrity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670548,1384377920,0,1),
(1002167,3109666321,4,1,'Phytochromatic Restoration','Enhances Photosynthesis to restore additional health over time to the nearest two allies.',191,16,316,0,0,0,1,1,'Your Phytochromatic Restoration was successful on %t!','Your Phytochromatic Restoration fades.','',1,0,'',0,'You cast Phytochromatic Restoration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670548,1384377911,0,1),
(1002168,2913466103,4,0,'Pick Pocket','This achievement grants an attempt to pickpocket humanoid targets when performing certain combat arts that have a stealth or rear-only positional requirement. This achievement also grants an ability to steal coin quietly while stealthed. This ability also grants 4 agility and stamina passively per rank.',567,65535,65535,0,0,0,0,1,'Your Pick Pocket was successful on %t!','Your Pick Pocket fades.','',1,0,'',0,'You cast Pick Pocket on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670548,1384377903,0,1),
(1002169,1930255699,4,1,'Piercing Arrows','Increases your skills with piercing and ranged based weapons.',363,65535,318,0,0,0,1,0,'Your Piercing Arrows was successful on %t!','Your Piercing Arrows fades.','',0,1,'Spells/Traits/PiercingArrows.lua',0,'You cast Piercing Arrows on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670550,1384378110,0,1),
(1002170,909816224,4,0,'Piercing Blows','Improves the amount of damage inflicted when the shaper inflicts critical damage.',263,65535,317,0,0,0,0,1,'Your Piercing Criticals was successful on %t!','Your Piercing Criticals fades.','',1,0,'',0,'You cast Piercing Criticals on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670550,1384377907,0,1),
(1002171,1911155119,4,1,'Piercing Reverberation','Adds an additional strike to Reverberation. The damage of the extra hit improves with rank.',171,65535,313,0,0,0,1,1,'Your Piercing Reverberation was successful on %t!','Your Piercing Reverberation fades.','',1,0,'',0,'You cast Piercing Reverberation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670550,1384377907,0,1),
(1002172,840660791,4,1,'Pinpoint Puncture','Greatly increases the damage of Lung Puncture. Additionally, Lung Puncture grants the swashbuckler increased Multi-Attack Chance and attack speed while active.',376,40,315,0,0,0,1,1,'Your Pinpoint Puncture was successful on %t!','Your Pinpoint Puncture fades.','',1,0,'',0,'You cast Pinpoint Puncture on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670550,1384377903,0,1),
(1002173,1445285607,4,0,'Pirate Swipe','Improves the reuse time of Traumatic Swipe and also improves its chance to hit.',193,65535,65535,0,0,0,0,1,'Your Pirate Swipe was successful on %t!','Your Pirate Swipe fades.','',1,0,'',0,'You cast Pirate Swipe on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670550,1384377907,0,1),
(1002174,1701786062,4,0,'Pirate''s Agility','Increases the Pirate''s agility by 5 for each rank.',567,65535,65535,0,0,0,0,0,'Your Pirate''s Agility was successful on %t!','Your Pirate''s Agility fades.','',0,1,'Spells/AA/PiratesAgility.lua',0,'You cast Pirate''s Agility on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670550,1384377906,0,1),
(1002175,974504341,4,1,'Pirate''s Fancy','Enhances the swashbuckler''s profession area of effect attacks to do additional damage.',380,65535,313,0,0,0,1,1,'Your Pirate''s Fancy was successful on %t!','Your Pirate''s Fancy fades.','',1,0,'',0,'You cast Pirate''s Fancy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670550,1384377840,0,1),
(1002176,1125298575,4,1,'Pirate''s Retaliation','Applies an additional effect to all targets hit by Dashing Flourish. This effect deals bonus damage to the enemy and another target when the enemy attacks.',263,65535,313,0,0,0,1,1,'Your Pirate''s Retaliation was successful on %t!','Your Pirate''s Retaliation fades.','',1,0,'',0,'You cast Pirate''s Retaliation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670550,1384377838,0,1),
(1002177,2406084828,4,1,'Pirate''s Spin','The swashbuckler gains a chance to inflict damage and impair damage per second to the target encounter while attacking.',296,65535,317,0,0,0,1,1,'Your Pirate''s Spin was successful on %t!','Your Pirate''s Spin fades.','',1,0,'',0,'You cast Pirate''s Spin on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670550,1384377915,0,1),
(1002178,4138470467,4,1,'Pirate''s Swordplay','The swashbuckler gains two increments of Pirate''s Swordplay for each target struck by Lucky Gambit. While active, the swashbuckler will inflict additional damage with each attack. This can increment up to 16 times.',383,65535,317,0,0,0,1,1,'Your Pirate''s Swordplay was successful on %t!','Your Pirate''s Swordplay fades.','',1,0,'',0,'You cast Pirate''s Swordplay on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670550,1384377904,0,1),
(1002179,3287472244,4,1,'Pixie Dust','Skilled in the art of poisoning foes, tradeskilled poisons will gain a 25 percent increase to the number of times they trigger.',258,65535,315,0,0,0,1,1,'Your Pixie Dust was successful on %t!','Your Pixie Dust fades.','',1,0,'',0,'You cast Pixie Dust on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670550,1384378110,0,1),
(1002180,3561136201,4,1,'Pixie Dust','Skilled in the art of poisoning foes, tradeskilled poisons will gain a 25 percent increase to the number of times they trigger.',258,65535,315,0,0,0,1,1,'Your Pixie Dust was successful on %t!','Your Pixie Dust fades.','',1,0,'',0,'You cast Pixie Dust on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670550,1384378109,0,1),
(1002181,3859233885,4,1,'Plagued Reality','Plaguebringer has a chance to finish the reuse of Focused Casting.',279,65535,65535,0,0,0,1,1,'Your Plagued Reality was successful on %t!','Your Plagued Reality fades.','',1,0,'',0,'You cast Plagued Reality on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670550,1384377901,0,1),
(1002182,2526033365,4,1,'Plaguelord','The warlock gains gains additional Crit Bonus from Potency.',240,65535,65535,0,0,0,1,0,'Your Plaguelord was successful on %t!','Your Plaguelord fades.','',1,0,'',0,'You cast Plaguelord on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670550,1384377902,0,1),
(1002183,864827640,4,1,'Planar Armor','Greatly reduces damage to the conjuror''s pet.',163,65535,317,0,0,0,1,1,'Your Planar Armor was successful on %t!','Your Planar Armor fades.','',1,0,'',0,'You cast Planar Armor on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670550,1384377839,0,1),
(1002184,1552421343,4,1,'Planar Conjurations','The conjuror gains additional Crit Bonus from Potency.',41,65535,65535,0,0,0,1,1,'Your Planar Conjurations was successful on %t!','Your Planar Conjurations fades.','',1,0,'',0,'You cast Planar Conjurations on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670550,1384377903,0,1),
(1002185,235430698,4,1,'Planar Dampening','When Planar Wrack reaches 5 increments, the conjuror''s group has a chance to get a single shared trigger of Stoneskin.',924,65535,317,0,0,0,1,1,'Your Planar Dampening was successful on %t!','Your Planar Dampening fades.','',1,0,'',0,'You cast Planar Dampening on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670550,1384377838,0,1),
(1002186,2411556617,4,1,'Planar Dominator','The conjuror gains additional Potency from Crit Bonus.',20,65535,65535,0,0,0,1,1,'Your Planar Dominator was successful on %t!','Your Planar Dominator fades.','',1,0,'',0,'You cast Planar Dominator on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670550,1384377904,0,1),
(1002187,2662825659,4,1,'Planar Infusion','Improves the trigger chance and tick amount of Planar Wrack.',42,65535,317,0,0,0,1,1,'Your Planar Infusion was successful on %t!','Your Planar Infusion fades.','',1,0,'',0,'You cast Planar Infusion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670550,1384377900,0,1),
(1002188,2398281166,4,0,'Plank Walker','Improves the base damage and trigger chance of the achievement skill Avast Ye.',581,65535,65535,0,0,0,0,1,'Your Plank Walker was successful on %t!','Your Plank Walker fades.','',1,0,'',0,'You cast Plank Walker on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670550,1384377912,0,1),
(1002189,957817207,4,1,'Point Blank','',363,36,317,0,0,0,1,1,'Your Point Blank was successful on %t!','Your Point Blank fades.','',1,0,'',0,'You cast Point Blank on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670550,1384378116,0,1),
(1002190,2319899407,4,1,'Point Blank','',363,36,317,0,0,0,1,1,'Your Point Blank was successful on %t!','Your Point Blank fades.','',1,0,'',0,'You cast Point Blank on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670550,1384378116,0,1),
(1002191,3289832180,4,0,'Poise','Increases the Archer''s casting speed on all combat arts.',692,65535,65535,0,0,0,0,0,'Your Poise was successful on %t!','Your Poise fades.','',0,1,'Spells/AA/Poise.lua',0,'You cast Poise on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670550,1384377833,0,1),
(1002192,4005953731,4,1,'Poised in Shadows','Nightblade will grant an incremental effect that reduces incoming damage to the assassin. This effect increments to a maximum of 3.',333,65535,315,0,0,0,1,1,'Your Poised in Shadows was successful on %t!','Your Poised in Shadows fades.','',1,0,'',0,'You cast Poised in Shadows on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670550,1384377838,0,1),
(1002193,2592847372,4,0,'Poison Arrow','Using Vengeful Arrow will apply an impairment to the target that reduces their noxious mitigation.',382,65535,315,0,0,0,0,1,'Your Poison Arrow was successful on %t!','Your Poison Arrow fades.','',1,0,'',0,'You cast Poison Arrow on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670550,1384377905,0,1),
(1002194,2366812277,4,0,'Poison Concoction','Applies a homemade poison on the Wayfarer''s weapons, granting a chance to cause poison damage over-time on a successful hit.',693,65535,65535,0,0,0,0,1,'Your Poison Concoction was successful on %t!','Your Poison Concoction fades.','',1,0,'',0,'You cast Poison Concoction on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670550,1384377904,0,1),
(1002195,3238264977,4,1,'Poison Crafter','Those dark elves who choose Alchemy as a tradeskill profession will gain an additional durability increase while crafting.',753,65535,317,0,0,0,1,1,'Your Poison Crafter was successful on %t!','Your Poison Crafter fades.','',1,0,'',0,'You cast Poison Crafter on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670550,1384377823,0,1),
(1002196,1203069502,4,1,'Poison Expertise','Skilled in the art of poisoning foes, tradeskilled poisons will gain a 25 percent increase to the number of times they trigger.',258,65535,315,0,0,0,1,1,'Your Poison Expertise was successful on %t!','Your Poison Expertise fades.','',1,0,'',0,'You cast Poison Expertise on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670550,1384378109,0,1),
(1002197,2714567979,4,1,'Poison Expertise','Skilled in the art of poisoning foes, tradeskilled poisons will gain a 25 percent increase to the number of times they trigger.',258,65535,317,0,0,0,1,1,'Your Poison Expertise was successful on %t!','Your Poison Expertise fades.','',1,0,'',0,'You cast Poison Expertise on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670550,1384378109,0,1),
(1002198,137186365,4,0,'Poison Mastery','Improves the base damage of poisons.',822,65535,318,0,0,0,0,1,'Your Poison Mastery was successful on %t!','Your Poison Mastery fades.','',1,0,'',0,'You cast Poison Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377906,0,1),
(1002199,2010900566,4,0,'Poison Mastery','A master of poisons, the warlock gains additional damage to all poison based spells and reduces their duration allowing the damage to apply faster.',898,65535,65535,0,0,0,0,1,'Your Poison Mastery was successful on %t!','Your Poison Mastery fades.','',1,0,'',0,'You cast Poison Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377831,0,1),
(1002200,1336381353,4,0,'Poison Mastery','The rogue will do additional damage with all tradeskill based poisons.',822,65535,65535,0,0,0,0,1,'Your Poison Mastery was successful on %t!','Your Poison Mastery fades.','',1,0,'',0,'You cast Poison Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377900,0,1),
(1002201,662512195,4,1,'Poison Play','Ratonga are skilled at creating vile poisons to kill their enemies.  \r\n\r\n+5 Chemistry',402,65535,65535,0,0,0,1,1,'Your Poison Play was successful on %t!','Your Poison Play fades.','',0,1,'Spells/PoisonPlay.lua',0,'You cast Poison Play on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670552,1384378109,0,0),
(1002202,801612886,4,1,'Poisoned Powder','Adds additional strikes to Blinding Dust.',494,65535,313,0,0,0,1,1,'Your Poisoned Powder was successful on %t!','Your Poisoned Powder fades.','',1,0,'',0,'You cast Poisoned Powder on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377912,0,1),
(1002203,3685491682,4,0,'Poisonous Aura','Poisonous Aura increases the damage done by Shroud of Bertoxxulous and its upgrades.',261,65535,316,0,0,0,0,1,'Your Poisonous Aura was successful on %t!','Your Poisonous Aura fades.','',1,0,'',0,'You cast Poisonous Aura on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377831,0,1),
(1002204,3690668799,4,1,'Poisonous Plants','Skilled in the art of poisoning foes, tradeskilled poisons will gain a 25 percent increase to the number of times they trigger.',258,65535,315,0,0,0,1,1,'Your Poisonous Plants was successful on %t!','Your Poisonous Plants fades.','',1,0,'',0,'You cast Poisonous Plants on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670552,1384378109,0,1),
(1002205,1580025867,4,0,'Pooling Blood','Pooling Blood improves the amount of health and unconscious hit points the shadowknight gains from Pools of Blood.',496,65535,65535,0,0,0,0,1,'Your Pooling Blood was successful on %t!','Your Pooling Blood fades.','',1,0,'',0,'You cast Pooling Blood on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377902,0,1),
(1002206,3575370878,4,0,'Pools of Blood','Improves maximum health and while on the brink of death, your bleeding slows dramatically.',496,65535,65535,0,0,0,0,1,'Your Pools of Blood was successful on %t!','Your Pools of Blood fades.','',1,0,'',0,'You cast Pools of Blood on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377902,0,1),
(1002207,2783476036,4,0,'Positional Mastery','The brigand gains additional mastery to positional attacks, granting them additional damage and allowing them to critical for more.',814,65535,65535,0,0,0,0,1,'Your Positional Mastery was successful on %t!','Your Positional Mastery fades.','',1,0,'',0,'You cast Positional Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377910,0,1),
(1002208,1333651337,4,0,'Potency','Increases the trigger chance of all poisons.',378,65535,65535,0,0,0,0,1,'Your Potency was successful on %t!','Your Potency fades.','',1,0,'',0,'You cast Potency on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377834,0,1),
(1002209,1284137548,4,0,'Potent Invocations','The channeler gains additional Potency based on their current Potency.',11,65535,316,0,0,0,0,1,'Your Potent Invocations was successful on %t!','Your Potent Invocations fades.','',1,0,'',0,'You cast Potent Invocations on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377908,0,1),
(1002210,3063181265,4,1,'Potent Medium','The mystic gains additional Potency based on their current Potency.',26,65535,65535,0,0,0,1,1,'Your Potent Medium was successful on %t!','Your Potent Medium fades.','',1,0,'',0,'You cast Potent Medium on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377839,0,1),
(1002211,3695898678,4,1,'Potent Medium','The defiler gains additional Potency based on their current Potency.',60,65535,65535,0,0,0,1,1,'Your Potent Medium was successful on %t!','Your Potent Medium fades.','',1,0,'',0,'You cast Potent Medium on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377902,0,1),
(1002212,3141497101,4,0,'Potent Protector','The templar gains additional Potency based on their current Potency.',897,65535,317,0,0,0,0,1,'Your Potent Protector was successful on %t!','Your Potent Protector fades.','',1,0,'',0,'You cast Potent Protector on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377911,0,1),
(1002213,1340556183,4,1,'Potent Protector','The inquisitor gains additional Potency based on their current Potency.',654,65535,65535,0,0,0,1,1,'Your Potent Protector was successful on %t!','Your Potent Protector fades.','',1,0,'',0,'You cast Potent Protector on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377842,0,1),
(1002214,1862294796,4,1,'Potent Restorer','The warden gains additional Potency based on their current Potency.',272,65535,65535,0,0,0,1,1,'Your Potent Restorer was successful on %t!','Your Potent Restorer fades.','',1,0,'',0,'You cast Potent Restorer on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377902,0,1),
(1002215,2668497990,4,1,'Potent Restorer','The fury gains additional Potency based on their current Potency.',482,65535,317,0,0,0,1,1,'Your Potent Restorer was successful on %t!','Your Potent Restorer fades.','',1,0,'',0,'You cast Potent Restorer on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377909,0,1),
(1002216,633558453,4,0,'Potent Toxins','Improves the potency of Intoxication.',822,65535,65535,0,0,0,0,1,'Your Potent Toxins was successful on %t!','Your Potent Toxins fades.','',1,0,'',0,'You cast Potent Toxins on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377899,0,1),
(1002217,3429725843,4,1,'Potent Venom','Increases the damage of Thug''s Poison. This effect applies before potency.',279,65535,313,0,0,0,1,1,'Your Potent Venom was successful on %t!','Your Potent Venom fades.','',1,0,'',0,'You cast Potent Venom on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377838,0,1),
(1002218,4248277164,4,0,'Power Stance','The berserker gains additional Potency from Multi-Attack Chance.',329,65535,317,0,0,0,0,1,'Your Power Stance was successful on %t!','Your Power Stance fades.','',1,0,'',0,'You cast Power Stance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377913,0,1),
(1002219,2721074013,4,0,'Power Through','When the scout is damaged highly, they will reduce incoming damage for a short duration.',837,65535,317,0,0,0,0,1,'Your Power Through was successful on %t!','Your Power Through fades.','',1,0,'',0,'You cast Power Through on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377833,0,1),
(1002220,3448074240,4,0,'Power of the Great Bear','Whenever the beastlord uses an advantage, they have a chance to gain increased auto-attack damage for a short duration.',198,65535,65535,0,0,0,0,1,'Your Power of the Great Bear was successful on %t!','Your Power of the Great Bear fades.','',1,0,'',0,'You cast Power of the Great Bear on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377918,0,1),
(1002221,3699662470,4,1,'Powerful','Your body is a force of nature!  This trait bestows 4 Strength.',89,65535,65535,0,0,0,1,0,'Your Powerful was successful on %t!','Your Powerful fades.','',0,1,'Spells/Powerful.lua',0,'You cast Powerful on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670552,1384378109,0,0),
(1002222,730659084,4,0,'Powerful Body','Improves the warder''s potency.',11,65535,65535,0,0,0,0,1,'Your Powerful Body was successful on %t!','Your Powerful Body fades.','',1,0,'',0,'You cast Powerful Body on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377836,0,1),
(1002223,3373395427,4,0,'Powerful Body','Improves the warder''s potency.',11,65535,65535,0,0,0,0,1,'Your Powerful Body was successful on %t!','Your Powerful Body fades.','',1,0,'',0,'You cast Powerful Body on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377906,0,1),
(1002224,1921141442,4,0,'Powerful Body','Improves the warder''s potency.',11,65535,65535,0,0,0,0,1,'Your Powerful Body was successful on %t!','Your Powerful Body fades.','',1,0,'',0,'You cast Powerful Body on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377905,0,1),
(1002225,1408126527,4,0,'Powerful Body','Improves the warder''s potency.',11,65535,65535,0,0,0,0,1,'Your Powerful Body was successful on %t!','Your Powerful Body fades.','',1,0,'',0,'You cast Powerful Body on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377915,0,1),
(1002226,181078744,4,0,'Powerful Body','Improves the warder''s potency.',11,65535,65535,0,0,0,0,1,'Your Powerful Body was successful on %t!','Your Powerful Body fades.','',1,0,'',0,'You cast Powerful Body on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377901,0,1),
(1002227,1032193098,4,0,'Powerful Body','Improves the warder''s potency.',11,65535,65535,0,0,0,0,1,'Your Powerful Body was successful on %t!','Your Powerful Body fades.','',1,0,'',0,'You cast Powerful Body on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377904,0,1),
(1002228,955922073,4,0,'Powerful Body','Improves the warder''s potency.',11,65535,65535,0,0,0,0,1,'Your Powerful Body was successful on %t!','Your Powerful Body fades.','',1,0,'',0,'You cast Powerful Body on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377899,0,1),
(1002229,658878300,4,0,'Powerful Body','Improves the warder''s potency.',11,65535,65535,0,0,0,0,1,'Your Powerful Body was successful on %t!','Your Powerful Body fades.','',1,0,'',0,'You cast Powerful Body on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377905,0,1),
(1002230,2571569141,4,0,'Powerful Body','Improves the warder''s potency.',11,65535,65535,0,0,0,0,1,'Your Powerful Body was successful on %t!','Your Powerful Body fades.','',1,0,'',0,'You cast Powerful Body on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377903,0,1),
(1002231,72536593,4,0,'Powerful Body','Improves the warder''s potency.',11,65535,65535,0,0,0,0,1,'Your Powerful Body was successful on %t!','Your Powerful Body fades.','',1,0,'',0,'You cast Powerful Body on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377911,0,1),
(1002232,2029750437,4,0,'Powerful Body','Improves the warder''s potency.',11,65535,65535,0,0,0,0,1,'Your Powerful Body was successful on %t!','Your Powerful Body fades.','',1,0,'',0,'You cast Powerful Body on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377838,0,1),
(1002233,675485842,4,0,'Powerful Body','Improves the warder''s potency.',11,65535,65535,0,0,0,0,1,'Your Powerful Body was successful on %t!','Your Powerful Body fades.','',1,0,'',0,'You cast Powerful Body on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377909,0,1),
(1002234,243377206,4,0,'Powerful Body','Improves the warder''s potency.',11,65535,65535,0,0,0,0,1,'Your Powerful Body was successful on %t!','Your Powerful Body fades.','',1,0,'',0,'You cast Powerful Body on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377907,0,1),
(1002235,1379024054,4,0,'Powerful Body','Improves the warder''s potency.',11,65535,65535,0,0,0,0,1,'Your Powerful Body was successful on %t!','Your Powerful Body fades.','',1,0,'',0,'You cast Powerful Body on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377831,0,1),
(1002236,1554690503,4,0,'Powerful Body','Improves the warder''s potency.',11,65535,65535,0,0,0,0,1,'Your Powerful Body was successful on %t!','Your Powerful Body fades.','',1,0,'',0,'You cast Powerful Body on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377916,0,1),
(1002237,1656188364,4,0,'Powerful Body','Improves the warder''s potency.',11,65535,65535,0,0,0,0,1,'Your Powerful Body was successful on %t!','Your Powerful Body fades.','',1,0,'',0,'You cast Powerful Body on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377839,0,1),
(1002238,123506446,4,0,'Powerful Body','Improves the warder''s potency.',11,65535,65535,0,0,0,0,1,'Your Powerful Body was successful on %t!','Your Powerful Body fades.','',1,0,'',0,'You cast Powerful Body on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377915,0,1),
(1002239,2349873423,4,0,'Powerful Body','Improves the warder''s potency.',11,65535,65535,0,0,0,0,1,'Your Powerful Body was successful on %t!','Your Powerful Body fades.','',1,0,'',0,'You cast Powerful Body on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377904,0,1),
(1002240,65656769,4,0,'Powerful Body','Improves the warder''s potency.',11,65535,65535,0,0,0,0,1,'Your Powerful Body was successful on %t!','Your Powerful Body fades.','',1,0,'',0,'You cast Powerful Body on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670552,1384377831,0,1),
(1002241,873824537,4,1,'Powerful Flourish','Greatly improves the damage of Dashing Flourish. This applies before potency.',824,65535,313,0,0,0,1,1,'Your Powerful Flourish was successful on %t!','Your Powerful Flourish fades.','',1,0,'',0,'You cast Powerful Flourish on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670556,1384377900,0,1),
(1002242,760999928,4,1,'Powerful Invoking','The warlock gains additional Potency from Crit Bonus.',627,65535,65535,0,0,0,1,1,'Your Powerful Invoking was successful on %t!','Your Powerful Invoking fades.','',1,0,'',0,'You cast Powerful Invoking on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670556,1384377902,0,1),
(1002243,2221083689,4,1,'Powerful Rampage','Destructive Rampage will increase the group''s potency by a percentage of their base potency.',926,65535,314,0,0,0,1,1,'Your Powerful Rampage was successful on %t!','Your Powerful Rampage fades.','',1,0,'',0,'You cast Powerful Rampage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670556,1384377839,0,1),
(1002244,3824642217,4,1,'Powerful Rhythm','Rhythmic Overture has a chance to finish the reuse of Sinister Strike and Scream of Death.',171,65535,317,0,0,0,1,1,'Your Powerful Rhythm was successful on %t!','Your Powerful Rhythm fades.','',1,0,'',0,'You cast Powerful Rhythm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670556,1384377902,0,1),
(1002245,1272885629,4,1,'Powerful Solo','Bagpipe Solo will also restore a percentage of the damage taken as power. Additionally, Bagpipe Solo will grant some power to the group when it applies.',277,65535,314,0,0,0,1,1,'Your Powerful Solo was successful on %t!','Your Powerful Solo fades.','',1,0,'',0,'You cast Powerful Solo on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670556,1384377907,0,1),
(1002246,2702174862,4,1,'Practiced Tinkering','Your knowledge of the arts grants you an additional chance to succeed while tradeskilling.',420,65535,65535,0,0,0,1,0,'Your Practiced Tinkering was successful on %t!','Your Practiced Tinkering fades.','',0,1,'Spells/Traits/PracticedTinkering.lua',0,'You cast Practiced Tinkering on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670556,1384377823,0,1),
(1002247,1124056001,4,0,'Prayer of Healing','Improves the priest''s primary single target heal line and grants additional critical heal amount.',158,65535,316,0,0,0,0,1,'Your Prayer of Healing was successful on %t!','Your Prayer of Healing fades.','',1,0,'',0,'You cast Prayer of Healing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670556,1384377906,0,1),
(1002248,2829944515,4,0,'Precise Blades','Rhythm Blade gains an additional component which increases the bard''s accuracy and reduces the chance a spell can be resisted.',51,65535,65535,0,0,0,0,1,'Your Precise Blades was successful on %t!','Your Precise Blades fades.','',1,0,'',0,'You cast Precise Blades on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670556,1384377916,0,1),
(1002249,662219055,4,0,'Precision','Increases the shaper''s auto-attack damage.',232,65535,317,0,0,0,0,0,'Your Precision was successful on %t!','Your Precision fades.','',0,1,'Spells/AA/Precision.lua',0,'You cast Precision on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670556,1384377908,0,1),
(1002250,832466717,4,0,'Precision Striking','Combat arts which have a reuse of 30 seconds or more gain additional damage.  In addition, these skills will critical for more.',825,65535,65535,0,0,0,0,1,'Your Precision Striking was successful on %t!','Your Precision Striking fades.','',1,0,'',0,'You cast Precision Striking on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670556,1384377838,0,1),
(1002251,4024886954,4,0,'Precision of Blades','Increases the Blademaster''s chances at critical melee damage.',581,65535,65535,0,0,0,0,0,'Your Precision of Blades was successful on %t!','Your Precision of Blades fades.','',0,1,'Spells/AA/PrecisionofBlades.lua',0,'You cast Precision of Blades on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670556,1384377899,0,1),
(1002252,4084808092,4,0,'Predatory Stamina','Improves the maximum hitpoints of the predator.',800,65535,65535,0,0,0,0,0,'Your Predatory Stamina was successful on %t!','Your Predatory Stamina fades.','',0,1,'Spells/AA/PredatoryStamina.lua',0,'You cast Predatory Stamina on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670556,1384377911,0,1),
(1002253,3743930593,4,1,'Prehensile Tail','While tradeskilling, you will progress through creating an item faster than normal.\n',308,65535,65535,0,0,0,1,0,'Your Prehensile Tail was successful on %t!','Your Prehensile Tail fades.','',0,1,'Spells/Traits/PrehensileTail.lua',0,'You cast Prehensile Tail on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670556,1384378109,0,1),
(1002254,3756459559,4,1,'Prepared Defenses','The group will gain a ward if the target hit by Interrogation is below 50% health.',253,65535,315,0,0,0,1,1,'Your Prepared Defenses was successful on %t!','Your Prepared Defenses fades.','',1,0,'',0,'You cast Prepared Defenses on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670556,1384377913,0,1),
(1002255,93986601,4,0,'Presence of Mind','Improves the warder''s maximum power.',11,65535,65535,0,0,0,0,1,'Your Presence of Mind was successful on %t!','Your Presence of Mind fades.','',1,0,'',0,'You cast Presence of Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670558,1384377841,0,1),
(1002256,3371750031,4,0,'Presence of Mind','Improves the warder''s maximum power.',11,65535,65535,0,0,0,0,1,'Your Presence of Mind was successful on %t!','Your Presence of Mind fades.','',1,0,'',0,'You cast Presence of Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670558,1384377907,0,1),
(1002257,2778651765,4,0,'Presence of Mind','Improves the warder''s maximum power.',11,65535,65535,0,0,0,0,1,'Your Presence of Mind was successful on %t!','Your Presence of Mind fades.','',1,0,'',0,'You cast Presence of Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670558,1384377908,0,1),
(1002258,2415964505,4,0,'Presence of Mind','Improves the warder''s maximum power.',11,65535,65535,0,0,0,0,1,'Your Presence of Mind was successful on %t!','Your Presence of Mind fades.','',1,0,'',0,'You cast Presence of Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670558,1384377899,0,1),
(1002259,2478629750,4,0,'Presence of Mind','Improves the warder''s maximum power.',11,65535,65535,0,0,0,0,1,'Your Presence of Mind was successful on %t!','Your Presence of Mind fades.','',1,0,'',0,'You cast Presence of Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670558,1384377912,0,1),
(1002260,38616646,4,0,'Presence of Mind','Improves the warder''s maximum power.',11,65535,65535,0,0,0,0,1,'Your Presence of Mind was successful on %t!','Your Presence of Mind fades.','',1,0,'',0,'You cast Presence of Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670558,1384377840,0,1),
(1002261,3422575787,4,0,'Presence of Mind','Improves the warder''s maximum power.',11,65535,65535,0,0,0,0,1,'Your Presence of Mind was successful on %t!','Your Presence of Mind fades.','',1,0,'',0,'You cast Presence of Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670558,1384377838,0,1),
(1002262,3572842870,4,0,'Presence of Mind','Improves the warder''s maximum power.',11,65535,65535,0,0,0,0,1,'Your Presence of Mind was successful on %t!','Your Presence of Mind fades.','',1,0,'',0,'You cast Presence of Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670558,1384377917,0,1),
(1002263,3247954301,4,0,'Presence of Mind','Improves the warder''s maximum power.',11,65535,65535,0,0,0,0,1,'Your Presence of Mind was successful on %t!','Your Presence of Mind fades.','',1,0,'',0,'You cast Presence of Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670558,1384377908,0,1),
(1002264,2921164114,4,0,'Presence of Mind','Improves the warder''s maximum power.',11,65535,65535,0,0,0,0,1,'Your Presence of Mind was successful on %t!','Your Presence of Mind fades.','',1,0,'',0,'You cast Presence of Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670558,1384377902,0,1),
(1002265,2386301878,4,0,'Presence of Mind','Improves the warder''s maximum power.',11,65535,65535,0,0,0,0,1,'Your Presence of Mind was successful on %t!','Your Presence of Mind fades.','',1,0,'',0,'You cast Presence of Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670558,1384377838,0,1),
(1002266,4228438922,4,0,'Presence of Mind','Improves the warder''s maximum power.',11,65535,65535,0,0,0,0,1,'Your Presence of Mind was successful on %t!','Your Presence of Mind fades.','',1,0,'',0,'You cast Presence of Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670558,1384377917,0,1),
(1002267,1552664986,4,0,'Presence of Mind','Improves the warder''s maximum power.',11,65535,65535,0,0,0,0,1,'Your Presence of Mind was successful on %t!','Your Presence of Mind fades.','',1,0,'',0,'You cast Presence of Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670558,1384377839,0,1),
(1002268,3840481292,4,0,'Presence of Mind','Improves the warder''s maximum power.',11,65535,65535,0,0,0,0,1,'Your Presence of Mind was successful on %t!','Your Presence of Mind fades.','',1,0,'',0,'You cast Presence of Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670558,1384377906,0,1),
(1002269,3779317512,4,0,'Presence of Mind','Improves the warder''s maximum power.',11,65535,65535,0,0,0,0,1,'Your Presence of Mind was successful on %t!','Your Presence of Mind fades.','',1,0,'',0,'You cast Presence of Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670558,1384377917,0,1),
(1002270,1870699750,4,0,'Presence of Mind','Improves the warder''s maximum power.',11,65535,65535,0,0,0,0,1,'Your Presence of Mind was successful on %t!','Your Presence of Mind fades.','',1,0,'',0,'You cast Presence of Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670558,1384377901,0,1),
(1002271,2607492428,4,0,'Presence of Mind','Improves the warder''s maximum power.',11,65535,65535,0,0,0,0,1,'Your Presence of Mind was successful on %t!','Your Presence of Mind fades.','',1,0,'',0,'You cast Presence of Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670558,1384377905,0,1),
(1002272,2672053921,4,0,'Presence of Mind','Improves the warder''s maximum power.',11,65535,65535,0,0,0,0,1,'Your Presence of Mind was successful on %t!','Your Presence of Mind fades.','',1,0,'',0,'You cast Presence of Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670558,1384377905,0,1),
(1002273,2167579880,4,0,'Presence of Mind','Improves the warder''s maximum power.',11,65535,65535,0,0,0,0,1,'Your Presence of Mind was successful on %t!','Your Presence of Mind fades.','',1,0,'',0,'You cast Presence of Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670558,1384377838,0,1),
(1002274,1710996589,4,1,'Presumed Brilliance','Through intense study, you gain additional intelligence that increases with your level.',269,65535,65535,0,0,0,1,0,'Your Presumed Brilliance was successful on %t!','Your Presumed Brilliance fades.','',0,1,'Spells/Traits/PresumedBrilliance.lua',0,'You cast Presumed Brilliance on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670560,1384378109,0,1),
(1002275,3225975514,4,0,'Primal Rage','Adds an effect to the Instinct line of spells which gives the target a chance to add or reduce their hate with their current target on a successful melee or ranged attack.',241,65535,316,0,0,0,0,1,'Your Primal Rage was successful on %t!','Your Primal Rage fades.','',1,0,'',0,'You cast Primal Rage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670560,1384377909,0,1),
(1002276,3861107606,4,0,'Primal Strength','Improves the potency of the beastlord''s abilities.',81,65535,65535,0,0,0,0,0,'Your Primal Strength was successful on %t!','Your Primal Strength fades.','',0,1,'Spells/AA/PrimalStrength.lua',0,'You cast Primal Strength on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670560,1384377838,0,1),
(1002277,4218493508,4,1,'Primality','',112,65535,317,0,0,0,1,1,'Your Primality was successful on %t!','Your Primality fades.','',1,0,'',0,'You cast Primality on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670560,1384378116,0,1),
(1002278,1202321788,4,1,'Pristine','Your obsessive cleanliness has lessened the chance you will succumb to illness.  This trait instills in you an innate protection.  Noxious damage taken is decreased by 3 percent vs opponents your level.  ',148,65535,65535,0,0,0,1,0,'Your Pristine was successful on %t!','Your Pristine fades.','',0,1,'Spells/Pristine.lua',0,'You cast Pristine on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670560,1384378109,0,0),
(1002279,4088834492,4,1,'Pristine Work','Your wisdom allows you to increase the durability of items while tradeskilling.',420,65535,65535,0,0,0,1,0,'Your Pristine Work was successful on %t!','Your Pristine Work fades.','',0,1,'Spells/Traits/PristineWork.lua',0,'You cast Pristine Work on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670560,1384378110,0,1),
(1002280,2779059523,2,0,'Proficient Swimmer','Iksar are skilled swimmers and are able to spend long periods of time underwater without needing to take a breath of air.',632,65535,65535,0,0,0,0,0,'Your Proficient Swimmer was successful on %t!','Your Proficient Swimmer fades.','',1,0,'Spells/ProficientSwimmer.lua',123,'You cast Proficient Swimmer on %t.',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',1384670562,1384378109,0,1),
(1002281,2523103215,4,1,'Proficient Swipe','Increases your skills with crushing and slashing based weapons.',844,65535,65535,0,0,0,1,0,'Your Proficient Swipe was successful on %t!','Your Proficient Swipe fades.','',0,1,'Spells/Traits/ProficientSwipe.lua',0,'You cast Proficient Swipe on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670562,1384377823,0,1),
(1002282,3649755936,4,0,'Profound Focus','Reduces the power cost of using the sage reaction arts.',159,65535,317,0,0,0,0,1,'Your Profound Focus was successful on %t!','Your Profound Focus fades.','',1,0,'',0,'You cast Profound Focus on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670562,1384377823,0,1),
(1002283,2650188625,4,0,'Prolonged Elixirs','Improves the duration of all tradeskilled potions.',11,65535,65535,0,0,0,0,1,'Your Prolonged Elixirs was successful on %t!','Your Prolonged Elixirs fades.','',1,0,'',0,'You cast Prolonged Elixirs on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670562,1384377838,0,1),
(1002284,637311439,4,0,'Proper Invocation','Increases the potency and crit bonus of Salubrious Invocation.',293,65535,314,0,0,0,0,1,'Your Proper Invocation was successful on %t!','Your Proper Invocation fades.','',1,0,'',0,'You cast Proper Invocation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670562,1384377918,0,1),
(1002285,3001920270,4,1,'Proper Stance','Following Seafury Thrust, the swashbuckler''s group have their threat adjusted by a percentage of the physical damage they inflict.',90,65535,315,0,0,0,1,1,'Your Proper Stance was successful on %t!','Your Proper Stance fades.','',1,0,'',0,'You cast Proper Stance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670562,1384377842,0,1),
(1002286,4198713307,4,0,'Prophet''s Strength','Increases the Prophet''s strength by 8 for each rank.',576,65535,65535,0,0,0,0,1,'Your Prophet''s Strength was successful on %t!','Your Prophet''s Strength fades.','',1,0,'',0,'You cast Prophet''s Strength on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670562,1384377833,0,1),
(1002287,2906043028,4,0,'Prophetic Ailment','Improves the damage and critical amount of the mystic''s disease based spells.',879,65535,65535,0,0,0,0,1,'Your Prophetic Ailment was successful on %t!','Your Prophetic Ailment fades.','',1,0,'',0,'You cast Prophetic Ailment on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670562,1384377831,0,1),
(1002288,3430629927,4,0,'Prophetic Protection','Increases the base warding amount of Deathward.  In addition, it adds a short duration damage reduction effect to Deathward.',259,65535,316,0,0,0,0,1,'Your Prophetic Protection was successful on %t!','Your Prophetic Protection fades.','',1,0,'',0,'You cast Prophetic Protection on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670562,1384377836,0,1),
(1002289,360245022,4,0,'Prophetic Spirit','Adds additional protection to the Ancient Shroud and Ancestral Ward line of spells.  These spells will also critical for more.',194,65535,316,0,0,0,0,1,'Your Prophetic Spirit was successful on %t!','Your Prophetic Spirit fades.','',1,0,'',0,'You cast Prophetic Spirit on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670562,1384377903,0,1),
(1002290,1733798261,4,1,'Protecting Stance','The guardian''s temporary mitigation augmentations reduce additional damage.',870,65535,317,0,0,0,1,1,'Your Protecting Stance was successful on %t!','Your Protecting Stance fades.','',1,0,'',0,'You cast Protecting Stance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670562,1384377839,0,1),
(1002291,3903422524,4,1,'Protective Aura','While Force of Nature is active, the target will take reduced magical damage.',278,65535,316,0,0,0,1,1,'Your Protective Aura was successful on %t!','Your Protective Aura fades.','',1,0,'',0,'You cast Protective Aura on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670562,1384377838,0,1),
(1002292,3370159611,4,1,'Protective Eyewear','A magical barrier surrounds you, increasing your resistance to elemental attacks.',60,65535,65535,0,0,0,0,0,'Your Protective Eyewear was successful on %t!','Your Protective Eyewear fades.','',0,1,'Spells/Traits/ProtectiveEyewear.lua',0,'You cast Protective Eyewear on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670562,1384378110,0,1),
(1002293,583308165,4,0,'Protective Prayer','Improves the mitigation of the priest''s primary physical mitigation buff.',146,65535,314,0,0,0,0,0,'Your Protective Prayer was successful on %t!','Your Protective Prayer fades.','',0,1,'',0,'You cast Protective Prayer on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670562,1384377903,0,1),
(1002294,2769913006,4,1,'Protective Skin','Your increased stamina allows you to absorb damage from falling more readily.',484,65535,317,0,0,0,1,0,'Your Protective Skin was successful on %t!','Your Protective Skin fades.','',0,1,'Spells/Traits/ProtectiveSkin.lua',0,'You cast Protective Skin on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670562,1384378109,0,1),
(1002295,3197543128,4,0,'Protector''s Agility','Increases the Protector''s agility by 7 for each rank.',564,65535,65535,0,0,0,0,1,'Your Protector''s Agility was successful on %t!','Your Protector''s Agility fades.','',1,0,'',0,'You cast Protector''s Agility on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670562,1384377830,0,1),
(1002296,932853958,4,1,'Protector''s Will','Battle Cry has a chance to finish the cooldown of Defensive Minded.',295,65535,317,0,0,0,1,1,'Your Protector''s Will was successful on %t!','Your Protector''s Will fades.','',1,0,'',0,'You cast Protector''s Will on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670562,1384377910,0,1),
(1002297,3187674229,4,0,'Prowler''s Cunning','Increases the Prowler''s defense skill.',647,65535,65535,0,0,0,0,0,'Your Prowler''s Cunning was successful on %t!','Your Prowler''s Cunning fades.','',0,1,'Spells/AA/ProwlersCunning.lua',0,'You cast Prowler''s Cunning on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670562,1384377833,0,1),
(1002298,1343122777,4,0,'Prowler''s Wisdom','Increases the Prowler''s wisdom by 8 for each rank.',585,65535,65535,0,0,0,0,1,'Your Prowler''s Wisdom was successful on %t!','Your Prowler''s Wisdom fades.','',1,0,'',0,'You cast Prowler''s Wisdom on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670562,1384377833,0,1),
(1002299,1547961522,4,0,'Psychic Blast','The coercer has become adept at mental attacks through their devout study.  As a result their spells will do additional base and critical damage.',912,65535,65535,0,0,0,0,1,'Your Psychic Blast was successful on %t!','Your Psychic Blast fades.','',1,0,'',0,'You cast Psychic Blast on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670562,1384377900,0,1),
(1002300,1093653054,4,0,'Pulverizing Arrows','The ranger fires a barrage of arrows into the air, raining down upon the target encounter.',811,65535,65535,0,0,0,0,1,'Your Pulverizing Arrows was successful on %t!','Your Pulverizing Arrows fades.','',1,0,'',0,'You cast Pulverizing Arrows on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670562,1384377831,0,1),
(1002301,114021014,4,1,'Puncture Wounds','Increases your skills with piercing and ranged based weapons.',381,65535,65535,0,0,0,1,1,'Your Puncture Wounds was successful on %t!','Your Puncture Wounds fades.','',1,0,'',0,'You cast Puncture Wounds on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670562,1384377823,0,1),
(1002302,2696000901,4,0,'Punctured Lung','Improves the base damage of the Lung Puncture line of combat arts.',376,65535,315,0,0,0,0,1,'Your Punctured Lung was successful on %t!','Your Punctured Lung fades.','',1,0,'',0,'You cast Punctured Lung on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670562,1384377831,0,1),
(1002303,3140188700,4,0,'Punishing Evasion','Evade will inflict some damage to the target. This damage is considered spell damage.',278,65535,315,0,0,0,0,1,'Your Punishing Evasion was successful on %t!','Your Punishing Evasion fades.','',1,0,'',0,'You cast Punishing Evasion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670562,1384377833,0,1),
(1002304,3945728710,4,0,'Punishment','For each Punishment spell that triggers on an enemy, that enemy is forced to heal the nearest of the Inquisitor''s allies.',160,65535,317,0,0,0,0,1,'Your Punishment was successful on %t!','Your Punishment fades.','',1,0,'',0,'You cast Punishment on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670562,1384377915,0,1),
(1002305,1655861666,4,1,'Pure Fanaticism','Improves the damage of Fanatical Devotion and allows it to trigger when the Inquisitor casts heal spells. You must have Fanatical Devotion for this spell to trigger.',864,65535,314,0,0,0,1,1,'Your Pure Fanaticism was successful on %t!','Your Pure Fanaticism fades.','',1,0,'',0,'You cast Pure Fanaticism on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670562,1384377899,0,1),
(1002306,3424945054,4,0,'Pure Serenity','Reduces the recast of Serenity. The final point in this ability adds an immunity to stifles.',243,65535,65535,0,0,0,0,1,'Your Pure Serenity was successful on %t!','Your Pure Serenity fades.','',1,0,'',0,'You cast Pure Serenity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670562,1384377836,0,1),
(1002307,186198232,4,1,'Purewater','Lowers the base reuse time of Clearwater Current.',881,65535,316,0,0,0,1,1,'Your Purewater was successful on %t!','Your Purewater fades.','',1,0,'',0,'You cast Purewater on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670562,1384377913,0,1),
(1002308,2704215470,4,0,'Purging of Sins','Improves the base and critical healing of Malevolent Diatribe.',180,65535,314,0,0,0,0,1,'Your Purging of Sins was successful on %t!','Your Purging of Sins fades.','',1,0,'',0,'You cast Purging of Sins on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670562,1384377902,0,1),
(1002309,3087037641,4,1,'Purification','Sanctify will apply a damage shield to the target.',190,65535,316,0,0,0,1,1,'Your Purification was successful on %t!','Your Purification fades.','',1,0,'',0,'You cast Purification on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670562,1384377912,0,1),
(1002310,1991943179,4,0,'Purity','Your purity instills in you an innate protection to poisons. Noxious damage taken is decreased by 3 percent vs opponents your level.  ',148,65535,65535,0,0,0,0,1,'Your Purity was successful on %t!','Your Purity fades.','',1,0,'',0,'You cast Purity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670564,1384378109,0,1),
(1002311,166157140,4,1,'Pursuit of Knowledge','Grants an increase to overall wisdom.  The amount of wisdom gained will increase as you level.',583,65535,65535,0,0,0,1,0,'Your Pursuit of Knowledge was successful on %t!','Your Pursuit of Knowledge fades.','',0,1,'Spells/Traits/PursuitofKnowledge.lua',0,'You cast Pursuit of Knowledge on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670564,1384377823,0,1),
(1002312,1477267755,4,0,'Pursuit of the Arcane','Dark Elves are particularly adept at creating spells allowing them to use less power with their reaction arts.',159,65535,317,0,0,0,0,1,'Your Pursuit of the Arcane was successful on %t!','Your Pursuit of the Arcane fades.','',1,0,'',0,'You cast Pursuit of the Arcane on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670564,1384378109,0,1),
(1002313,4082095020,4,1,'Putrid Hide','Your skills in fighting have increased your ability to absorb physical blows.',261,65535,65535,0,0,0,0,0,'Your Putrid Hide was successful on %t!','Your Putrid Hide fades.','',0,1,'Spells/Traits/PutridHide.lua',0,'You cast Putrid Hide on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670564,1384378110,0,1),
(1002314,2369121593,4,1,'Quick Assembly','While tradeskilling, you will progress through creating an item faster than normal.\n',420,65535,65535,0,0,0,1,0,'Your Quick Assembly was successful on %t!','Your Quick Assembly fades.','',0,1,'Spells/Traits/QuickAssembly.lua',0,'You cast Quick Assembly on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670564,1384377823,0,1),
(1002315,1910106181,4,1,'Quick Banishing','Improves your hostile casting speed.',367,65535,65535,0,0,0,1,0,'Your Quick Banishing was successful on %t!','Your Quick Banishing fades.','',0,1,'Spells/Traits/QuickBanishing.lua',0,'You cast Quick Banishing on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670564,1384378110,0,1),
(1002316,6317971,4,1,'Quick Getaway','Reduces the power required initially by sprint and increases your overall speed while sprinting.',303,65535,317,0,0,0,1,1,'Your Quick Getaway was successful on %t!','Your Quick Getaway fades.','',1,0,'',0,'You cast Quick Getaway on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670564,1384377823,0,1),
(1002317,2078198975,4,1,'Quick Hands','The brigand gains additional Crit Bonus from Damage Per Second.',158,65535,317,0,0,0,1,1,'Your Quick Hands was successful on %t!','Your Quick Hands fades.','',1,0,'',0,'You cast Quick Hands on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670564,1384377904,0,1),
(1002318,2003261189,4,1,'Quick Recovery','Increases your out of combat health regeneration amount.  This ability will scale up in value as you level.',487,65535,317,0,0,0,1,0,'Your Quick Recovery was successful on %t!','Your Quick Recovery fades.','',0,1,'Spells/Traits/QuickRecovery.lua',0,'You cast Quick Recovery on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670564,1384378110,0,1),
(1002319,956011651,4,1,'Quick Recuperation','Increases your out of combat health regeneration amount.  This ability will scale up in value as you level.',608,65535,317,0,0,0,1,0,'Your Quick Recuperation was successful on %t!','Your Quick Recuperation fades.','',0,1,'Spells/Traits/QuickRecuperation.lua',0,'You cast Quick Recuperation on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670564,1384378109,0,1),
(1002320,2891612073,4,0,'Quick Regeneration','The fighter regenerates their health and power quickly when out of combat.',128,65535,317,0,0,0,0,1,'Your Quick Regeneration was successful on %t!','Your Quick Regeneration fades.','',1,0,'',0,'You cast Quick Regeneration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670564,1384377832,0,1),
(1002321,1380507433,4,0,'Quick Tactics','Increases the casting speed of all of the scout''s abilities.',820,65535,317,0,0,0,0,0,'Your Quick Tactics was successful on %t!','Your Quick Tactics fades.','',0,1,'Spells/AA/QuickTactics.lua',0,'You cast Quick Tactics on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670564,1384377913,0,1),
(1002322,601817930,4,1,'Quick Thinking','Grants an increase to overall intelligence.  The amount of intelligence gained will increase as you level.',24,65535,65535,0,0,0,1,0,'Your Quick Thinking was successful on %t!','Your Quick Thinking fades.','',0,1,'Spells/Traits/QuickThinking.lua',0,'You cast Quick Thinking on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670564,1384377823,0,1),
(1002323,1393505238,4,1,'Quick Thinking','Your pursuit of divine magic allows you to cast beneficial spells faster.',922,65535,318,0,0,0,1,1,'Your Quick Thinking was successful on %t!','Your Quick Thinking fades.','',1,0,'',0,'You cast Quick Thinking on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670564,1384378109,0,1),
(1002324,4056835272,4,0,'Quickening','Hastens the duration of class damage over time abilities. For channeler, this will adjust the base casting time of their damaging Conduits.',168,65535,317,0,0,0,0,1,'Your Quickening was successful on %t!','Your Quickening fades.','',1,0,'',0,'You cast Quickening on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670564,1384377911,0,1),
(1002325,1314416645,4,0,'Quickening','Increases the Spellblade''s chance at auto-attacks striking twice, increases auto-attack speed and damage.',673,65535,65535,0,0,0,0,0,'Your Quickening was successful on %t!','Your Quickening fades.','',0,1,'Spells/AA/EnchanterQuickening.lua',0,'You cast Quickening on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670564,1384377902,0,1),
(1002326,3832717119,4,1,'Quiet Storm','Increases your chance to critical while also granting additional chance to block or deflect an attack.',511,65535,317,0,0,0,1,0,'Your Quiet Storm was successful on %t!','Your Quiet Storm fades.','',0,1,'Spells/Traits/QuietStorm.lua',0,'You cast Quiet Storm on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670564,1384378109,0,1),
(1002327,3732819934,4,1,'Quit Sittin'' Around','Allows you to recover power faster while out of combat.',422,65535,65535,0,0,0,1,0,'Your Quit Sittin'' Around was successful on %t!','Your Quit Sittin'' Around fades.','',0,1,'Spells/Traits/QuitSittinAround.lua',0,'You cast Quit Sittin'' Around on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670564,1384377823,0,1),
(1002328,489696347,4,1,'Rabbit Punch','Adds additional damage to Pulverize if the bruiser is behind or flanking their target. The bonus damage is single target.',275,65535,317,0,0,0,1,1,'Your Rabbit Punch was successful on %t!','Your Rabbit Punch fades.','',1,0,'',0,'You cast Rabbit Punch on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670564,1384377839,0,1),
(1002329,925269223,4,1,'Rabid Decimation','Savage Ruin will increase the beastlord''s Crit Bonus by a small amount.',244,65535,317,0,0,0,1,0,'Your Rabid Decimation was successful on %t!','Your Rabid Decimation fades.','',0,1,'Spells/AA/RabidDecimation.lua',0,'You cast Rabid Decimation on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670564,1384377902,0,1),
(1002330,993873620,4,0,'Rabid Hostility','Improves the shaman''s casting speed of hostile spells.',928,65535,65535,0,0,0,0,0,'Your Rabid Hostility was successful on %t!','Your Rabid Hostility fades.','',0,1,'Spells/AA/RabidHostility.lua',0,'You cast Rabid Hostility on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670564,1384377838,0,1),
(1002331,3626561184,4,1,'Rage Face','Increases the amount of time the berserker has to strike the death blow. At rank three, the berserker will gain a short duration stoneskin after Rampager''s Resilience triggers.',928,65535,317,0,0,0,1,1,'Your Rage Face was successful on %t!','Your Rage Face fades.','',1,0,'',0,'You cast Rage Face on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670564,1384377913,0,1),
(1002332,2050891966,4,1,'Ragebarrier','The berserker''s temporary mitigation augmentations reduce additional damage.',184,65535,317,0,0,0,1,1,'Your Ragebarrier was successful on %t!','Your Ragebarrier fades.','',1,0,'',0,'You cast Ragebarrier on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670564,1384377917,0,1),
(1002333,1093636477,4,1,'Raging Current','Improves the duration of Clearwater Current.',879,65535,316,0,0,0,1,1,'Your Raging Current was successful on %t!','Your Raging Current fades.','',1,0,'',0,'You cast Raging Current on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670564,1384377906,0,1),
(1002334,2855896817,4,0,'Rain','Improves the damage of Seeking Cascade.',11,65535,316,0,0,0,0,1,'Your Rain was successful on %t!','Your Rain fades.','',1,0,'',0,'You cast Rain on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670564,1384377902,0,1),
(1002335,2196974033,4,0,'Rain of Colors','The Chromatic Shower line of spells gains additional base damage.',266,65535,312,0,0,0,0,1,'Your Rain of Colors was successful on %t!','Your Rain of Colors fades.','',1,0,'',0,'You cast Rain of Colors on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670564,1384377909,0,1),
(1002336,3717800164,4,1,'Raining Attacks','Increases the channeler''s AE Auto Attack Chance.',89,65535,317,0,0,0,1,0,'Your Raining Attacks was successful on %t!','Your Raining Attacks fades.','',1,1,'Spells/AA/RainingAttacks.lua',0,'You cast Raining Attacks on %t.',4,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670566,1384377912,0,1),
(1002337,1441556907,4,1,'Ralissk''s Alacrity','Improves the beastlord''s casting speed.',269,65535,65535,0,0,0,1,0,'Your Ralissk''s Alacrity was successful on %t!','Your Ralissk''s Alacrity fades.','',0,1,'Spells/AA/RalissksAlacrity.lua',0,'You cast Ralissk''s Alacrity on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670566,1384377917,0,1),
(1002338,1112423793,4,1,'Rallos Zek''s Blessing','Your extra stamina allows you to gain additional hitpoints.',724,65535,317,0,0,0,1,0,'Your Rallos Zek''s Blessing was successful on %t!','Your Rallos Zek''s Blessing fades.','',0,1,'Spells/Traits/RallosZeksBlessing.lua',0,'You cast Rallos Zek''s Blessing on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670566,1384378109,0,1),
(1002339,3340922941,4,1,'Rallosian Army Training','Your practice of combat gives you additional skill in defense, parry and deflection.',309,65535,65535,0,0,0,1,0,'Your Rallosian Army Training was successful on %t!','Your Rallosian Army Training fades.','',0,1,'Spells/Traits/RallosianArmyTraining.lua',0,'You cast Rallosian Army Training on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670566,1384378109,0,1),
(1002340,3268381130,4,0,'Rallosian Readiness','Ogres are adept at creating a variety of armors and gain additional Metalshaping skill.',358,65535,65535,0,0,0,0,0,'Your Rallosian Readiness was successful on %t!','Your Rallosian Readiness fades.','',0,1,'Spells/Traits/RallosianReadiness.lua',0,'You cast Rallosian Readiness on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,'Unset',1384670566,1384378109,0,1),
(1002341,1118162113,4,1,'Rallosian Reflexes','Your pursuit of divine magic allows you to cast beneficial spells faster.',158,65535,65535,0,0,0,1,1,'Your Rallosian Reflexes was successful on %t!','Your Rallosian Reflexes fades.','',1,0,'',0,'You cast Rallosian Reflexes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670566,1384377823,0,1),
(1002342,2317057460,4,0,'Rally to Combat','This ability improves the duration of Reinforcement.',325,65535,317,0,0,0,0,1,'Your Rally to Combat was successful on %t!','Your Rally to Combat fades.','',1,0,'',0,'You cast Rally to Combat on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670566,1384377913,0,1),
(1002343,421451039,4,0,'Rallying Cry','Adds additional combat art and spell damage to the Bloodlust and Call to Arms lines of group buffs.',184,65535,314,1124719197,0,0,0,1,'Your Rallying Cry was successful on %t!','Your Rallying Cry fades.','',1,0,'',0,'You cast Rallying Cry on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670566,1384377902,0,1),
(1002344,4263127048,4,0,'Rallying Drive','The scout has a chance to cure impairments on his or herself when attacking.',147,65535,317,0,0,0,0,1,'Your Rallying Drive was successful on %t!','Your Rallying Drive fades.','',1,0,'',0,'You cast Rallying Drive on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670566,1384377908,0,1),
(1002345,158905535,4,1,'Rampager','The berserker''s area of effect abilities do additional damage.',343,65535,313,0,0,0,1,1,'Your Rampager was successful on %t!','Your Rampager fades.','',1,0,'',0,'You cast Rampager on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670566,1384377910,0,1),
(1002346,1924311002,4,1,'Rampager''s Grit','When the berserker drops below 75%, 50% and 25% health thresholds, they get damage reduction for a short duration. This increments up to 3 times and each threshold can only trigger once every 15 seconds. Additional increments increase the amount of damage reduced and do not refresh the duration.',849,65535,317,0,0,0,1,1,'Your Rampager''s Grit was successful on %t!','Your Rampager''s Grit fades.','',1,0,'',0,'You cast Rampager''s Grit on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670566,1384377902,0,1),
(1002347,2939149878,4,1,'Rampager''s Vitality','Increases the berserker''s health and riposte chance following Rampager''s Resilience triggering.',80,65535,317,0,0,0,1,1,'Your Rampager''s Vitality was successful on %t!','Your Rampager''s Vitality fades.','',1,0,'',0,'You cast Rampager''s Vitality on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670566,1384377910,0,1),
(1002348,1217917745,4,1,'Rampaging Vengeance','Following Rampaging Resiliance''s application, the berserker gets increased weapon damage.',275,65535,317,0,0,0,1,1,'Your Rampaging Vengeance was successful on %t!','Your Rampaging Vengeance fades.','',1,0,'',0,'You cast Rampaging Vengeance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670566,1384377899,0,1),
(1002349,1792603588,4,0,'Rancorous Spite','Increases the base and critical damage of the Malice line of spells.',213,65535,315,0,0,0,0,1,'Your Rancorous Spite was successful on %t!','Your Rancorous Spite fades.','',1,0,'',0,'You cast Rancorous Spite on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670566,1384377831,0,1),
(1002350,2761435700,4,0,'Ranged Mastery','As a master of Archery, the Ranger gains additional damage to all profession based ranged attacks.  In addition to the higher damage, they will gain additional damage when they critical with a ranged combat art.',810,65535,65535,0,0,0,0,1,'Your Ranged Mastery was successful on %t!','Your Ranged Mastery fades.','',1,0,'',0,'You cast Ranged Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670566,1384377907,0,1),
(1002351,2465647592,4,1,'Ranger''s Assault','Explosive Arrow has a chance to finish the reuse of Arrow Barrage.',362,65535,65535,0,0,0,1,1,'Your Ranger''s Assault was successful on %t!','Your Ranger''s Assault fades.','',1,0,'',0,'You cast Ranger''s Assault on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670566,1384377908,0,1),
(1002352,2218611811,4,1,'Rapid Fire','Adds additional piercing damage to Repeated Salvo.',684,65535,313,0,0,0,1,1,'Your Rapid Fire was successful on %t!','Your Rapid Fire fades.','',1,0,'',0,'You cast Rapid Fire on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670566,1384377903,0,1),
(1002353,2807931184,4,0,'Rapid Manufacturing','Improves the rate at which you gain progress while crafting.',864,65535,317,0,0,0,0,0,'Your Rapid Manufacturing was successful on %t!','Your Rapid Manufacturing fades.','',0,1,'Spells/AA/RapidManufacturing.lua',0,'You cast Rapid Manufacturing on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670566,1384377913,0,1),
(1002354,2209468023,4,1,'Ration Water','Your divine skills allow you to purify drinks, allowing them to last longer than normal.',131,65535,65535,0,0,0,1,1,'Your Ration Water was successful on %t!','Your Ration Water fades.','',1,0,'',0,'You cast Ration Water on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670566,1384378109,0,1),
(1002355,3589149461,4,1,'Ratonga Reflexes','Agile races gain an additional chance to double attack with melee and ranged weapons.',366,65535,315,0,0,0,1,0,'Your Ratonga Reflexes was successful on %t!','Your Ratonga Reflexes fades.','',0,1,'Spells/Traits/RatongaReflexes.lua',0,'You cast Ratonga Reflexes on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670566,1384378110,0,1),
(1002356,1274059579,4,0,'Reach','Increases melee attack range on all autoattacks and combat arts.',87,65535,65535,0,0,0,0,0,'Your Reach was successful on %t!','Your Reach fades.','',0,1,'',0,'You cast Reach on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670566,1384377834,0,1),
(1002357,3441527292,4,0,'Reach','Increases melee attack range on all autoattacks and combat arts.',11,65535,65535,0,0,0,0,1,'Your Reach was successful on %t!','Your Reach fades.','',1,0,'',0,'You cast Reach on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670566,1384377913,0,1),
(1002358,2649378919,4,0,'Reach of Faith','Increases the range and radius of all your spells.',211,65535,65535,0,0,0,0,1,'Your Reach of Faith was successful on %t!','Your Reach of Faith fades.','',1,0,'',0,'You cast Reach of Faith on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670566,1384377901,0,1),
(1002359,1680810832,4,0,'Reaction','The mage''s procs will have increased trigger chance.',818,65535,317,0,0,0,0,1,'Your Reaction was successful on %t!','Your Reaction fades.','',1,0,'',0,'You cast Reaction on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670566,1384377916,0,1),
(1002360,2422050710,4,0,'Reactionary Shaping','Improves the duration of Shaper''s Reaction. The final rank of this ability lowers the internal cooldown.',298,65535,316,0,0,0,0,1,'Your Reactionary Shaping was successful on %t!','Your Reactionary Shaping fades.','',1,0,'',0,'You cast Reactionary Shaping on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670566,1384377831,0,1),
(1002361,1783556164,4,1,'Reaper''s Grasp','Adds additional disease damage to Reaping.',238,65535,313,0,0,0,1,1,'Your Reaper''s Grasp was successful on %t!','Your Reaper''s Grasp fades.','',1,0,'',0,'You cast Reaper''s Grasp on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670566,1384377834,0,1),
(1002362,949376444,4,0,'Rebuked Prowess','Adds a small DPS reduction to the Mark of Divinity line of spells.',492,65535,315,0,0,0,0,1,'Your Rebuked Prowess was successful on %t!','Your Rebuked Prowess fades.','',1,0,'',0,'You cast Rebuked Prowess on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670568,1384377910,0,1),
(1002363,924892715,4,1,'Recondite','Your soul is shrouded in arcane mystery. This trait instills in you an innate protection.  Arcane damage taken is decreased by 3 percent vs opponents your level.  ',150,65535,65535,0,0,0,1,0,'Your Recondite was successful on %t!','Your Recondite fades.','',0,1,'Spells/Recondite.lua',0,'You cast Recondite on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670568,1384378109,0,0),
(1002364,3741823884,4,0,'Refining Speed','',777,65535,317,0,0,0,0,0,'Your Refining Speed was successful on %t!','Your Refining Speed fades.','',0,1,'',0,'You cast Refining Speed on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670568,1384377909,0,1),
(1002365,2961005482,4,1,'Reflexive Landing','Your increased stamina allows you to absorb damage from falling more readily.',304,65535,317,0,0,0,1,0,'Your Reflexive Landing was successful on %t!','Your Reflexive Landing fades.','',0,1,'Spells/Traits/ReflexiveLanding.lua',0,'You cast Reflexive Landing on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670568,1384378109,0,1),
(1002366,2882372782,4,0,'Reformation','',497,65535,65535,0,0,0,0,1,'Your Reformation was successful on %t!','Your Reformation fades.','',1,0,'',0,'You cast Reformation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670568,1384377836,0,1),
(1002367,2946397131,4,1,'Rejection','Enhances Healing Fate, Involuntary Gift and Mark of Divinity to reduce the target''s potency and max health while active.',73,65535,65535,0,0,0,1,1,'Your Rejection was successful on %t!','Your Rejection fades.','',1,0,'',0,'You cast Rejection on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670568,1384377834,0,1),
(1002368,1324850091,4,0,'Relentless Assault','The Slayer''s recovery and reuse time speeds are improved.',272,65535,65535,0,0,0,0,0,'Your Relentless Assault was successful on %t!','Your Relentless Assault fades.','',0,1,'Spells/AA/RelentlessAssault.lua',0,'You cast Relentless Assault on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670568,1384377901,0,1),
(1002369,2503011449,4,0,'Relentless Punches','Increases the brawler''s Damage Per Second.',670,65535,65535,0,0,0,0,0,'Your Relentless Punches was successful on %t!','Your Relentless Punches fades.','',0,1,'Spells/AA/RelentlessPunches.lua',0,'You cast Relentless Punches on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670568,1384377904,0,1),
(1002370,376981712,4,0,'Remarkable Mobility','The Fencer gains increased Damage Per Second.',688,65535,65535,0,0,0,0,0,'Your Remarkable Mobility was successful on %t!','Your Remarkable Mobility fades.','',0,1,'Spells/AA/RemarkableMobility.lua',0,'You cast Remarkable Mobility on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670568,1384377830,0,1),
(1002371,302183940,4,1,'Remedial Will','Increases your resistance to noxious based attacks.',259,65535,65535,0,0,0,0,0,'Your Remedial Will was successful on %t!','Your Remedial Will fades.','',0,1,'Spells/Traits/RemedialWill.lua',0,'You cast Remedial Will on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670568,1384378109,0,1),
(1002372,3994206742,4,1,'Repeated Lightning','Increases the amount of times Stormbearer''s Fury inflicts damage.',152,65535,313,0,0,0,1,1,'Your Repeated Lightning was successful on %t!','Your Repeated Lightning fades.','',1,0,'',0,'You cast Repeated Lightning on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670568,1384377909,0,1),
(1002373,3993639010,4,1,'Repeated Shockwave','Stupefy has a chance to finish the reuse of Shock Wave. Shock Wave''s damage is also improved.',202,65535,317,0,0,0,1,1,'Your Repeated Shockwave was successful on %t!','Your Repeated Shockwave fades.','',1,0,'',0,'You cast Repeated Shockwave on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670568,1384377910,0,1),
(1002374,3065007608,4,0,'Repeated Stabbing','Halves the recovery time after using any combat art, allowing the Assassin to chain combat arts faster than before.',301,65535,65535,0,0,0,0,1,'Your Repeated Stabbing was successful on %t!','Your Repeated Stabbing fades.','',1,0,'',0,'You cast Repeated Stabbing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670568,1384377915,0,1),
(1002375,3288303457,4,0,'Reptilian Ancestry','As descendants of reptiles, the iksar gain innate regeneration while out of combat.',238,65535,65535,0,0,0,0,0,'Your Reptilian Ancestry was successful on %t!','Your Reptilian Ancestry fades.','',1,0,'Spells/ReptilianAncestry.lua',0,'You cast Reptilian Ancestry on %t.',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1384670568,1384378109,0,1),
(1002376,482467488,4,1,'Reptilian Grace','The iksar will gain the skill safefall.',304,65535,65535,0,0,0,1,0,'Your Reptilian Grace was successful on %t!','Your Reptilian Grace fades.','',1,0,'Spells/ReptilianGrace.lua',0,'You cast Reptilian Grace on %t.',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1384670568,1384378109,0,1),
(1002377,479512092,4,0,'Resilience','Increases the amount of heals that the crusader receives. Resilience does not increase the size of wards.',637,65535,65535,0,0,0,0,1,'Your Resilience was successful on %t!','Your Resilience fades.','',1,0,'',0,'You cast Resilience on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670568,1384377836,0,1),
(1002378,1528717390,4,1,'Resilience of the Underfoot','Your increased knowledge allows you to increase your power pool by a small amount.',796,65535,65535,0,0,0,1,0,'Your Resilience of the Underfoot was successful on %t!','Your Resilience of the Underfoot fades.','',0,1,'Spells/Traits/ResilienceoftheUnderfoot.lua',0,'You cast Resilience of the Underfoot on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670568,1384378109,0,1),
(1002379,1342910731,4,1,'Resilient','This trait grants you added defense against piercing attacks by 3 percent.',149,65535,65535,0,0,0,1,0,'Your Resilient was successful on %t!','Your Resilient fades.','',0,1,'Spells/Resilient.lua',0,'You cast Resilient on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670568,1384378109,0,0),
(1002380,4127431754,4,0,'Resilient Materials','Using the most resilient materials increases the amount of durability gained while crafting.',869,65535,317,0,0,0,0,0,'Your Resilient Materials was successful on %t!','Your Resilient Materials fades.','',0,1,'Spells/AA/ResilientMaterials.lua',0,'You cast Resilient Materials on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670568,1384377901,0,1),
(1002381,1949411595,4,1,'Resilient Mind','Your devotion to the study of the divine arts increases your power pool slightly.',474,65535,65535,0,0,0,1,0,'Your Resilient Mind was successful on %t!','Your Resilient Mind fades.','',0,1,'Spells/Traits/ResilientMind.lua',0,'You cast Resilient Mind on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670568,1384377823,0,1),
(1002382,4199266035,4,0,'Resist Break','The mage has a chance to increase incoming damage to their damage type when using damage spells.',160,65535,315,0,0,0,0,1,'Your Resist Break was successful on %t!','Your Resist Break fades.','',1,0,'',0,'You cast Resist Break on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670568,1384377905,0,1),
(1002383,1662027616,4,1,'Resistant','The results of one too many blows to the head have made you more tolerant of trauma.  This trait instills in you an innate protection.  Physical damage taken is decreased by 3 percent vs opponents your level.  ',147,65535,65535,0,0,0,1,0,'Your Resistant was successful on %t!','Your Resistant fades.','',0,0,'Spells/Resistant.lua',0,'You cast Resistant on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670568,1384377823,0,0),
(1002384,3934151182,4,1,'Resolute','You are physically indomitable.  This trait adds to your natural endurance and grants you 4 Stamina.',655,65535,65535,0,0,0,1,0,'Your Resolute was successful on %t!','Your Resolute fades.','',0,1,'Spells/Resolute.lua',0,'You cast Resolute on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670568,1384378109,0,0),
(1002385,4049782599,4,0,'Resonating Concerto','Additional effects which improve the radius and resistibility of spells are added to Resonance.',582,65535,65535,0,0,0,0,1,'Your Resonating Concerto was successful on %t!','Your Resonating Concerto fades.','',1,0,'',0,'You cast Resonating Concerto on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670568,1384377917,0,1),
(1002386,2898099557,4,0,'Respite','Respite is an addition to Sever Hate that greatly reduces the target''s hate gain for a short duration. The final rank grants the target immunity to Area of Effect abilities.',542,65535,65535,0,0,0,0,1,'Your Respite was successful on %t!','Your Respite fades.','',1,0,'',0,'You cast Respite on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670568,1384377910,0,1),
(1002387,2116491113,4,0,'Restorative Healing','Improves the cast time and heal amount for the Word of Redemption line of spells.',293,65535,314,0,0,0,0,1,'Your Restorative Healing was successful on %t!','Your Restorative Healing fades.','',1,0,'',0,'You cast Restorative Healing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670568,1384377838,0,1),
(1002388,477911257,4,1,'Restore','Allows you to recover power faster while out of combat.',46,65535,65535,0,0,0,1,0,'Your Restore was successful on %t!','Your Restore fades.','',0,1,'Spells/Traits/Restore.lua',0,'You cast Restore on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670570,1384378110,0,1),
(1002389,536811864,4,1,'Restoring Breeze','Grants Windblade an additional trigger that heals the target. Higher ranks of this ability improve the trigger chance.',211,65535,314,0,0,0,1,1,'Your Restoring Breeze was successful on %t!','Your Restoring Breeze fades.','',1,0,'',0,'You cast Restoring Breeze on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670570,1384377909,0,1),
(1002390,3403982742,4,1,'Restoring Devotion','Reduces the base reuse of Devoted Resolve to 20 seconds.',150,65535,317,0,0,0,1,1,'Your Restoring Devotion was successful on %t!','Your Restoring Devotion fades.','',1,0,'',0,'You cast Restoring Devotion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670570,1384377839,0,1),
(1002391,3329026397,4,1,'Restoring Devotion','Reduces the base reuse of Devoted Resolve to 10 seconds.',150,65535,314,0,0,0,1,1,'Your Restoring Devotion was successful on %t!','Your Restoring Devotion fades.','',1,0,'',0,'You cast Restoring Devotion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670570,1384377838,0,1),
(1002392,1833056667,4,0,'Restoring Soul','The warder gains a chance to restore some of their health when attacking.',11,65535,65535,0,0,0,0,1,'Your Restoring Soul was successful on %t!','Your Restoring Soul fades.','',1,0,'',0,'You cast Restoring Soul on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670570,1384377831,0,1),
(1002393,1239502098,4,0,'Restoring Soul','The warder gains a chance to restore some of their health when attacking.',11,65535,65535,0,0,0,0,1,'Your Restoring Soul was successful on %t!','Your Restoring Soul fades.','',1,0,'',0,'You cast Restoring Soul on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670570,1384377908,0,1),
(1002394,1954016555,4,0,'Restoring Soul','The warder gains a chance to restore some of their health when attacking.',11,65535,65535,0,0,0,0,1,'Your Restoring Soul was successful on %t!','Your Restoring Soul fades.','',1,0,'',0,'You cast Restoring Soul on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670570,1384377912,0,1),
(1002395,1555461096,4,0,'Restoring Soul','The warder gains a chance to restore some of their health when attacking.',11,65535,65535,0,0,0,0,1,'Your Restoring Soul was successful on %t!','Your Restoring Soul fades.','',1,0,'',0,'You cast Restoring Soul on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670570,1384377905,0,1),
(1002396,1515505783,4,0,'Restoring Soul','The warder gains a chance to restore some of their health when attacking.',11,65535,65535,0,0,0,0,1,'Your Restoring Soul was successful on %t!','Your Restoring Soul fades.','',1,0,'',0,'You cast Restoring Soul on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670570,1384377831,0,1),
(1002397,972404199,4,0,'Restoring Soul','The warder gains a chance to restore some of their health when attacking.',11,65535,65535,0,0,0,0,1,'Your Restoring Soul was successful on %t!','Your Restoring Soul fades.','',1,0,'',0,'You cast Restoring Soul on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670570,1384377831,0,1),
(1002398,2044750077,4,0,'Restoring Soul','The warder gains a chance to restore some of their health when attacking.',11,65535,65535,0,0,0,0,1,'Your Restoring Soul was successful on %t!','Your Restoring Soul fades.','',1,0,'',0,'You cast Restoring Soul on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670570,1384377831,0,1),
(1002399,1112809093,4,0,'Resurgent Counter','The fighter has a chance to cure impairments on his or herself when attacking.',147,65535,317,0,0,0,0,1,'Your Resurgent Counter was successful on %t!','Your Resurgent Counter fades.','',1,0,'',0,'You cast Resurgent Counter on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670570,1384377833,0,1),
(1002400,3236856182,4,0,'Resurrection Cycles','Hastens the reuse speed of your resurrection spells.',11,65535,65535,0,0,0,0,1,'Your Resurrection Cycles was successful on %t!','Your Resurrection Cycles fades.','',1,0,'',0,'You cast Resurrection Cycles on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670570,1384377833,0,1),
(1002401,1508364492,4,0,'Resurrection Efficiency','Reduces the power cost of your resurrection spells and hastens their reuse times.',210,65535,317,0,0,0,0,1,'Your Resurrection Efficiency was successful on %t!','Your Resurrection Efficiency fades.','',1,0,'',0,'You cast Resurrection Efficiency on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670570,1384377907,0,1),
(1002402,2961470969,4,0,'Resurrection Haste','Hastens the casting speed of your resurrection spells.',11,65535,65535,0,0,0,0,1,'Your Resurrection Haste was successful on %t!','Your Resurrection Haste fades.','',1,0,'',0,'You cast Resurrection Haste on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670570,1384377833,0,1),
(1002403,3347268975,4,0,'Resurrection Range','Increases the casting speed, range and radius of all resurrection spells.',77,65535,65535,0,0,0,0,1,'Your Resurrection Range was successful on %t!','Your Resurrection Range fades.','',1,0,'',0,'You cast Resurrection Range on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670570,1384377833,0,1),
(1002404,1586107605,4,0,'Resurrection Restoration','Increases the health and power restoration of all resurrection spells.',156,65535,317,0,0,0,0,1,'Your Resurrection Restoration was successful on %t!','Your Resurrection Restoration fades.','',1,0,'',0,'You cast Resurrection Restoration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670570,1384377913,0,1),
(1002405,993186267,4,0,'Retribution','Enhances the cleric''s offensive stance with additional effects.',913,65535,65535,0,0,0,0,1,'Your Retribution was successful on %t!','Your Retribution fades.','',1,0,'',0,'You cast Retribution on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670570,1384377836,0,1),
(1002406,2454509351,4,1,'Retribution Sphere','The guardian''s critical damage will be increased whenever Guardian Sphere triggers.',11,65535,65535,0,0,0,1,1,'Your Retribution Sphere was successful on %t!','Your Retribution Sphere fades.','',1,0,'',0,'You cast Retribution Sphere on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670572,1384377916,0,1),
(1002407,1475078569,4,1,'Retribution of the Protector','Guardian Sphere''s triggers have a chance to finish the cooldown of the guardian''s single target impairment attacks.',11,65535,65535,0,0,0,1,1,'Your Retribution of the Protector was successful on %t!','Your Retribution of the Protector fades.','',1,0,'',0,'You cast Retribution of the Protector on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670572,1384377899,0,1),
(1002408,1660051888,4,1,'Return to Formation','While out of combat, your power will regenerate faster than normal.',211,65535,314,0,0,0,1,0,'Your Return to Formation was successful on %t!','Your Return to Formation fades.','',0,1,'Spells/Traits/ReturntoFormation.lua',0,'You cast Return to Formation on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670572,1384377823,0,1),
(1002409,361151917,4,0,'Reversal','Gives the guardian a chance to hit the target when it successfully parries, blocks or deflects an attack.',832,65535,65535,0,0,0,0,1,'Your Reversal was successful on %t!','Your Reversal fades.','',1,0,'',0,'You cast Reversal on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670572,1384377909,0,1),
(1002410,3901219679,4,0,'Reversal','Greatly improves the bruiser''s riposte damage and chance to riposte instead of parry.',307,65535,317,0,0,0,0,1,'Your Reversal was successful on %t!','Your Reversal fades.','',1,0,'',0,'You cast Reversal on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670572,1384377838,0,1),
(1002411,3907413209,4,0,'Reversal of Fortune','Adds additional hate gain to Reversal.',575,65535,65535,0,0,0,0,1,'Your Reversal of Fortune was successful on %t!','Your Reversal of Fortune fades.','',1,0,'',0,'You cast Reversal of Fortune on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670572,1384377901,0,1),
(1002412,1467943361,4,0,'Rift Redirection','Following the cast of Truespirit Rift, the channeler has a chance for their next Healing Barrage to have no reuse time.',11,65535,316,0,0,0,0,1,'Your Rift Redirection was successful on %t!','Your Rift Redirection fades.','',1,0,'',0,'You cast Rift Redirection on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670572,1384377838,0,1),
(1002413,2441122718,4,0,'Righteous Avenger','Improves the threat amount of Righteousness.',235,65535,312,0,0,0,0,1,'Your Righteous Avenger was successful on %t!','Your Righteous Avenger fades.','',1,0,'',0,'You cast Righteous Avenger on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670572,1384377913,0,1),
(1002414,1676495714,4,0,'Rigid','Intense battles have given you the ability to hold yourself rigid against the onslaught. This trait grants you added protection against Physical attacks by 3 percent.',147,65535,65535,0,0,0,0,1,'Your Rigid was successful on %t!','Your Rigid fades.','',1,0,'',0,'You cast Rigid on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670572,1384378109,0,1),
(1002415,2187108327,4,0,'Riposte Mastery','This ability grants the fighter an additional damage on a successful riposte.',835,65535,65535,0,0,0,0,1,'Your Riposte Mastery was successful on %t!','Your Riposte Mastery fades.','',1,0,'',0,'You cast Riposte Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670572,1384377908,0,1),
(1002416,1479929657,4,0,'Ritual of Magic','Increases the Ritualist''s ordination, subjugation, and disruption skills.',597,65535,65535,0,0,0,0,1,'Your Ritual of Magic was successful on %t!','Your Ritual of Magic fades.','',1,0,'',0,'You cast Ritual of Magic on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670572,1384377900,0,1),
(1002417,3327228570,4,0,'Ritual of Mind','Improves the Ritualist''s reuse speed.',590,65535,65535,0,0,0,0,0,'Your Ritual of Mind was successful on %t!','Your Ritual of Mind fades.','',0,1,'Spells/AA/RitualofMind.lua',0,'You cast Ritual of Mind on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670572,1384377912,0,1),
(1002418,3057356309,4,0,'Ritualist''s Wisdom','',578,65535,65535,0,0,0,0,0,'Your Ritualist''s Wisdom was successful on %t!','Your Ritualist''s Wisdom fades.','',0,1,'Spells/AA/RitualistsWisdom.lua',0,'You cast Ritualist''s Wisdom on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670572,1384377901,0,1),
(1002419,3145447315,4,1,'Rivervale''s Protection','Divine runes protect you and allow you to resist arcane attacks better.',154,65535,65535,0,0,0,0,0,'Your Rivervale''s Protection was successful on %t!','Your Rivervale''s Protection fades.','',0,1,'Spells/Traits/RivervalesProtection.lua',0,'You cast Rivervale''s Protection on %t.',4,0,0,0,1,0,0,0,1,0,0,0,1,0,0,1,0,0,0,'Unset',1384670572,1384378109,0,1),
(1002420,3539951596,4,1,'Ro''s Power','Increases the base damage of Incineration. This applies before potency.',510,65535,315,0,0,0,1,1,'Your Ro''s Power was successful on %t!','Your Ro''s Power fades.','',1,0,'',0,'You cast Ro''s Power on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670572,1384377912,0,1),
(1002421,2874281858,4,0,'Robust','Your robust nature increases your endurance. This trait makes you more durable by increasing your total Health pool by 2.5 percent.',249,65535,65535,0,0,0,0,1,'Your Robust was successful on %t!','Your Robust fades.','',1,0,'',0,'You cast Robust on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670572,1384378109,0,1),
(1002422,4174926496,4,0,'Robust Bulwark','Battle Cry and Chaos will provide increased maximum health while active.',295,65535,314,0,0,0,0,1,'Your Robust Bulwark was successful on %t!','Your Robust Bulwark fades.','',1,0,'',0,'You cast Robust Bulwark on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670572,1384377831,0,1),
(1002423,462645470,4,1,'Robust Might','Increases your resistance to physical based attacks.',184,65535,317,0,0,0,0,0,'Your Robust Might was successful on %t!','Your Robust Might fades.','',0,1,'Spells/Traits/RobustMight.lua',0,'You cast Robust Might on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670572,1384378109,0,1),
(1002424,703245070,4,1,'Rock Thrower','In order to keep up with the large amount of weapons and armor used by Ogres they have gained some extra proficiency at mining.',485,65535,65535,0,0,0,1,0,'Your Rock Thrower was successful on %t!','Your Rock Thrower fades.','',1,0,'Spells/Traditions/RockThrower.lua',0,'You cast Rock Thrower on %t.',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1384670572,1345682748,0,1),
(1002425,923789873,4,0,'Rogue''s Flurry','Improves the base and critical damage of the Rogue''s Snap of the Wrist and Battery and Assault line of skills.',296,65535,315,0,0,0,0,1,'Your Rogue''s Flurry was successful on %t!','Your Rogue''s Flurry fades.','',1,0,'',0,'You cast Rogue''s Flurry on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670572,1384377831,0,1),
(1002426,766753853,4,0,'Root Mastery','Improves the duration and resistibility of the mage''s single target root spell.',166,65535,315,0,0,0,0,1,'Your Root Mastery was successful on %t!','Your Root Mastery fades.','',1,0,'',0,'You cast Root Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670574,1384377897,0,1),
(1002427,998403614,4,1,'Rooted Mind','Your proficiency with magical attacks grants you additional skill in disruption and subjugation.',478,65535,317,0,0,0,1,0,'Your Rooted Mind was successful on %t!','Your Rooted Mind fades.','',0,1,'Spells/Traits/RootedMind.lua',0,'You cast Rooted Mind on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670574,1384378110,0,1),
(1002428,895808198,4,1,'Rotting Flesh','The necromancer''s damage over time effects deal additional damage.',169,65535,312,0,0,0,1,1,'Your Rotting Flesh was successful on %t!','Your Rotting Flesh fades.','',1,0,'',0,'You cast Rotting Flesh on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670574,1384377839,0,1),
(1002429,2147452506,4,0,'Rub the Mud Off','Increases the troll''s skill in jewelcrafting.',421,65535,65535,0,0,0,0,0,'Your Rub the Mud Off was successful on %t!','Your Rub the Mud Off fades.','',0,1,'Spells/Traits/RubtheMudOff.lua',0,'You cast Rub the Mud Off on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670574,1384378110,0,1),
(1002430,4194073981,4,1,'Rugged Fortitude','Increases the base amount of health by a small percentage.',374,65535,317,0,0,0,1,0,'Your Rugged Fortitude was successful on %t!','Your Rugged Fortitude fades.','',0,1,'Spells/Traits/RuggedFortitude.lua',0,'You cast Rugged Fortitude on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670574,1384378110,0,1),
(1002431,424654667,4,0,'Rugged Shielding','Improves the mitigation bonuses found on Street Smarts.',294,65535,317,0,0,0,0,1,'Your Rugged Shielding was successful on %t!','Your Rugged Shielding fades.','',1,0,'',0,'You cast Rugged Shielding on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670574,1384377908,0,1),
(1002432,970008092,4,1,'Ruggedness','Increases the base amount of health by a small percentage.',43,65535,65535,0,0,0,1,0,'Your Ruggedness was successful on %t!','Your Ruggedness fades.','',0,1,'Spells/Traits/Ruggedness.lua',0,'You cast Ruggedness on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670574,1384378109,0,1),
(1002433,2897441030,4,0,'Ruination','Increases the trigger chance of Savage Ruin.',244,65535,317,0,0,0,0,1,'Your Ruination was successful on %t!','Your Ruination fades.','',1,0,'',0,'You cast Ruination on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670574,1384377839,0,1),
(1002434,3167068277,4,0,'Ruinous Strike','This achievement increases the base damage inflicted by Ruin and its upgrades.',336,65535,315,0,0,0,0,1,'Your Ruinous Strike was successful on %t!','Your Ruinous Strike fades.','',1,0,'',0,'You cast Ruinous Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670574,1384377912,0,1),
(1002435,758804359,4,0,'Runic Barrier','Absorbs a portion of physical damage done to the sorcerer.',245,65535,314,0,0,0,0,1,'Your Runic Barrier was successful on %t!','Your Runic Barrier fades.','',1,0,'',0,'You cast Runic Barrier on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670574,1384377906,0,1),
(1002436,380375752,4,0,'Runic Barrier','A barrier of runes that protects the illusionist by increasing their physical mitigation slightly.',891,65535,65535,0,0,0,0,1,'Your Runic Barrier was successful on %t!','Your Runic Barrier fades.','',1,0,'',0,'You cast Runic Barrier on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670574,1384377902,0,1),
(1002437,466445571,4,0,'Runic Protection','Adds some additional mitigation to Magi''s Shielding.',163,65535,317,0,0,0,0,1,'Your Runic Protection was successful on %t!','Your Runic Protection fades.','',1,0,'',0,'You cast Runic Protection on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670574,1384377903,0,1),
(1002438,1584890160,4,1,'Ruthless Riposte','The rogue will do additional damage when parrying incoming attacks.',289,65535,315,0,0,0,1,1,'Your Ruthless Riposte was successful on %t!','Your Ruthless Riposte fades.','',1,0,'',0,'You cast Ruthless Riposte on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670574,1384377905,0,1),
(1002439,1033912194,4,1,'Sacrificial Barrier','Oration of Sacrifice will now prevent damage to the target.',172,65535,65535,0,0,0,1,1,'Your Sacrificial Barrier was successful on %t!','Your Sacrificial Barrier fades.','',1,0,'',0,'You cast Sacrificial Barrier on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670574,1384377909,0,1),
(1002440,1722182560,4,0,'Sacrificial Lamb','Improves the healing potential and reduces the duration of Sacrifice and its upgrades.',206,65535,317,0,0,0,0,1,'Your Sacrificial Lamb was successful on %t!','Your Sacrificial Lamb fades.','',1,0,'',0,'You cast Sacrificial Lamb on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670574,1384377914,0,1),
(1002441,1817772329,4,0,'Sacrificial Oration','Improves the base heal amount of the Oration of Sacrifice line of spells.  Maxing out the points in this will also remove the stifle penalty but increases the health cost of the spell.',487,65535,316,0,0,0,0,1,'Your Sacrificial Oration was successful on %t!','Your Sacrificial Oration fades.','',1,0,'',0,'You cast Sacrificial Oration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670574,1384377913,0,1),
(1002442,3130948378,4,0,'Sacrificial Prayers','Improves the casting speed, base and critical heal amounts of the Sacrificial Restoration line of spells.',468,65535,316,0,0,0,0,1,'Your Sacrificial Prayers was successful on %t!','Your Sacrificial Prayers fades.','',1,0,'',0,'You cast Sacrificial Prayers on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670574,1384377838,0,1),
(1002443,2416148696,4,1,'Saga of the Ages','Increases the damage of Saga of Bloodshed. This applies before potency.',269,65535,313,0,0,0,1,1,'Your Saga of the Ages was successful on %t!','Your Saga of the Ages fades.','',1,0,'',0,'You cast Saga of the Ages on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670574,1384377908,0,1),
(1002444,2167359148,4,0,'Sagacity','Through practiced spellcasting techniques, the Sage is much more efficient with magical energies than the average Sorcerer.',269,65535,65535,0,0,0,0,1,'Your Sagacity was successful on %t!','Your Sagacity fades.','',1,0,'',0,'You cast Sagacity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670574,1384377900,0,1),
(1002445,2252505781,4,0,'Sage''s Wisdom','Increases the Sage''s wisdom by 5 points per rank of this ability.',585,65535,65535,0,0,0,0,1,'Your Sage''s Wisdom was successful on %t!','Your Sage''s Wisdom fades.','',1,0,'',0,'You cast Sage''s Wisdom on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670574,1384377830,0,1),
(1002446,1644361175,4,0,'Sailwind','The Pirate''s casting speed is increased and recovery times are reduced, allowing them to use their abilities in succession faster than before.',643,65535,65535,0,0,0,0,0,'Your Sailwind was successful on %t!','Your Sailwind fades.','',0,1,'Spells/AA/Sailwind.lua',0,'You cast Sailwind on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670574,1384377899,0,1),
(1002447,1831301020,4,0,'Salvaging Speed','',777,65535,317,0,0,0,0,1,'Your Salvaging Speed was successful on %t!','Your Salvaging Speed fades.','',1,0,'',0,'You cast Salvaging Speed on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670574,1384377834,0,1),
(1002448,2322944982,4,1,'Sandstorm Mastery','Blinding Sands'' triggers have a chance to clear the reuse of certain offensive abilities.',244,65535,317,0,0,0,1,1,'Your Sandstorm Mastery was successful on %t!','Your Sandstorm Mastery fades.','',1,0,'',0,'You cast Sandstorm Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670574,1384377900,0,1),
(1002449,533422533,4,0,'Sanitary','Your sanitary nature has instilled upon you a resistance to disease. Noxious damage taken is decreased by 3 percent vs opponents your level.  ',148,65535,65535,0,0,0,0,1,'Your Sanitary was successful on %t!','Your Sanitary fades.','',1,0,'',0,'You cast Sanitary on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670574,1384378109,0,1),
(1002450,478730479,4,0,'Sapling Knowledge','Reduces the power cost of using the tailor reaction arts.',417,65535,65535,0,0,0,0,1,'Your Sapling Knowledge was successful on %t!','Your Sapling Knowledge fades.','',1,0,'',0,'You cast Sapling Knowledge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670574,1384378110,0,1),
(1002451,82904903,4,1,'Sathirian Legacy','Through intense study, you gain additional intelligence that increases with your level.',279,65535,313,0,0,0,1,0,'Your Sathirian Legacy was successful on %t!','Your Sathirian Legacy fades.','',0,1,'Spells/Traits/SathirianLegacy.lua',0,'You cast Sathirian Legacy on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670574,1384378109,0,1),
(1002452,2645707654,4,1,'Savage Soul','Passively increases the maximum amount of Savagery the beastlord can store by one level.',875,65535,65535,0,0,0,1,1,'Your Savage Soul was successful on %t!','Your Savage Soul fades.','',1,0,'',0,'You cast Savage Soul on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670574,1384377900,0,1),
(1002453,2096127952,4,0,'Savant''s Channel','Savants are highly skilled in channeling harmful chaotic energy.',626,65535,65535,0,0,0,0,0,'Your Savant''s Channel was successful on %t!','Your Savant''s Channel fades.','',0,1,'Spells/AA/SavantsChannel.lua',0,'You cast Savant''s Channel on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670574,1384377908,0,1),
(1002454,3801401971,4,0,'Savant''s Insight','Whenever the Savant receives damage, there is a chance that the Savant reactively becomes immune to spellcasting interruption for a few seconds.',582,65535,65535,0,0,0,0,1,'Your Savant''s Insight was successful on %t!','Your Savant''s Insight fades.','',1,0,'',0,'You cast Savant''s Insight on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670575,1384377830,0,1),
(1002455,211463007,4,0,'Savant''s Intelligence','Increases the Savant''s intelligence by 4 per rank.',18,65535,65535,0,0,0,0,1,'Your Savant''s Intelligence was successful on %t!','Your Savant''s Intelligence fades.','',1,0,'',0,'You cast Savant''s Intelligence on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670575,1384377899,0,1),
(1002456,552298412,4,0,'Saving Grace','Improves the heal, ward and additional effects of the priest''s class death prevention ability. The final rank grants an extra trigger to the priest''s primary death prevention ability.',175,65535,317,0,0,0,0,1,'Your Saving Grace was successful on %t!','Your Saving Grace fades.','',1,0,'',0,'You cast Saving Grace on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670575,1384377897,0,1),
(1002457,1892976273,4,0,'Saving Grace','Adds additional hate positions to the Rescue skill.',355,65535,315,0,0,0,0,1,'Your Saving Grace was successful on %t!','Your Saving Grace fades.','',1,0,'',0,'You cast Saving Grace on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670575,1384377831,0,1),
(1002458,893795282,4,1,'Savvy','Life on the street has refined your ability to think quickly. This trait gives you an edge over the competition by increasing your Intelligence by 4.',42,65535,65535,0,0,0,1,0,'Your Savvy was successful on %t!','Your Savvy fades.','',0,0,'Spells/Savvy.lua',0,'You cast Savvy on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670576,1384378109,0,0),
(1002459,1165145152,4,0,'Scale Barrier','When the mage is damaged highly, they will reduce incoming damage for a short duration.',837,65535,317,0,0,0,0,1,'Your Scale Barrier was successful on %t!','Your Scale Barrier fades.','',1,0,'',0,'You cast Scale Barrier on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670576,1384377902,0,1),
(1002460,316695991,4,0,'Scalesmith','Reduces the power cost of using the armorer reaction arts.',411,65535,65535,0,0,0,0,1,'Your Scalesmith was successful on %t!','Your Scalesmith fades.','',1,0,'',0,'You cast Scalesmith on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670576,1384378109,0,1),
(1002461,2978436646,4,0,'Scholarly Pursuit','Sages will gain additional progress with every tradeskill round.',422,65535,65535,0,0,0,0,1,'Your Scholarly Pursuit was successful on %t!','Your Scholarly Pursuit fades.','',1,0,'',0,'You cast Scholarly Pursuit on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670576,1384378110,0,1),
(1002462,547688250,4,1,'Screechwall','Veil of Notes allows the dirge to cast Sonic Barrier on themselves, regardless of their health value. Additionally, resurrection spells have a chance to finish the cooldown on Veil of Notes.',487,65535,316,0,0,0,1,1,'Your Screechwall was successful on %t!','Your Screechwall fades.','',1,0,'',0,'You cast Screechwall on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670576,1384377839,0,1),
(1002463,827697043,4,0,'Scribings of the Pious','Increases the froglok''s skill in scribing.',159,65535,317,0,0,0,0,0,'Your Scribings of the Pious was successful on %t!','Your Scribings of the Pious fades.','',0,1,'Spells/Traits/ScribingsofthePious.lua',0,'You cast Scribings of the Pious on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670576,1384378109,0,1),
(1002464,408576665,4,0,'Seal of Faith','Increases the effectiveness of the priest''s shield.',872,65535,65535,0,0,0,0,0,'Your Seal of Faith was successful on %t!','Your Seal of Faith fades.','',0,1,'Spells/AA/SealofFaith.lua',0,'You cast Seal of Faith on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670576,1384377915,0,1),
(1002465,2372260309,4,0,'Seasoned Harvesting','Increases your ability to get a bonus rare harvest.  This also grants the ability to track harvesting nodes.',777,65535,317,0,0,0,0,1,'Your Seasoned Harvesting was successful on %t!','Your Seasoned Harvesting fades.','',1,0,'',0,'You cast Seasoned Harvesting on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670576,1384377839,0,1),
(1002466,1762938469,4,0,'Seasoned Harvesting','Increases your ability to get a bonus rare harvest.  This also grants the ability to track harvesting nodes.  Higher ranks of this ability lower the cooldown on the Track Harvestables ability.',777,65535,317,0,0,0,0,1,'Your Seasoned Harvesting was successful on %t!','Your Seasoned Harvesting fades.','',1,0,'',0,'You cast Seasoned Harvesting on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670576,1384377907,0,1),
(1002467,2542115121,4,0,'Seasoned Veteran','Increases the Demolisher''s Multi-Attack Chance.',670,65535,65535,0,0,0,0,0,'Your Seasoned Veteran was successful on %t!','Your Seasoned Veteran fades.','',1,0,'Spells/AA/SeasonedVeteran.lua',0,'You cast Seasoned Veteran on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670576,1384377830,0,1),
(1002468,3317143349,4,1,'Secrets of the Underfoot','Skilled in the art of poisoning foes, tradeskilled poisons will gain a 25 percent increase to the number of times they trigger.',258,65535,315,0,0,0,1,1,'Your Secrets of the Underfoot was successful on %t!','Your Secrets of the Underfoot fades.','',1,0,'',0,'You cast Secrets of the Underfoot on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670576,1384377823,0,1),
(1002469,3039436706,4,0,'Secular Protection','Improves the mitigation amounts of the Symbol of Marzin, Fanatic''s Faith, Noxious Efflux, Ancestral Mettle, Essence of the Great Bear, Marisha Kur''s Blessing and Master of the Hunt spell lines.',245,65535,314,0,0,0,0,1,'Your Secular Protection was successful on %t!','Your Secular Protection fades.','',1,0,'',0,'You cast Secular Protection on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670576,1384377839,0,1),
(1002470,2078484757,4,1,'Self-Coercion','The coercer gains additional Potency from Crit Bonus.',57,65535,65535,0,0,0,1,1,'Your Self-Coercion was successful on %t!','Your Self-Coercion fades.','',1,0,'',0,'You cast Self-Coercion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670576,1384377905,0,1),
(1002471,2895715857,4,0,'Self-Sufficient','Coldain often find themselves without contact to the outside world and must rely on nobody else. As a result, all coldain gain additional skill in all tradeskill professions.',41,65535,65535,0,0,0,0,1,'Your Self-Sufficient was successful on %t!','Your Self-Sufficient fades.','',1,0,'',0,'You cast Self-Sufficient on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670576,1384377875,0,1),
(1002472,3831516975,4,0,'Selo''s Rousing Concerto','Grants additional movement speed bonuses to Selo''s Accelerando',304,65535,314,0,0,0,0,1,'Your Selo''s Rousing Concerto was successful on %t!','Your Selo''s Rousing Concerto fades.','',1,0,'',0,'You cast Selo''s Rousing Concerto on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670576,1384377908,0,1),
(1002473,493731509,4,1,'Sensory Overload','Adds additional mental damage to Mystic Illusion.',216,65535,313,0,0,0,1,1,'Your Sensory Overload was successful on %t!','Your Sensory Overload fades.','',1,0,'',0,'You cast Sensory Overload on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670576,1384377903,0,1),
(1002474,2672142243,4,0,'Sentry''s Aura','Improves the duration of Divine Aura.',198,65535,65535,0,0,0,0,1,'Your Sentry''s Aura was successful on %t!','Your Sentry''s Aura fades.','',1,0,'',0,'You cast Sentry''s Aura on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670576,1384377912,0,1),
(1002475,640001118,4,0,'Sentry''s Bulwark','Increases the Sentry''s maximum health.',581,65535,65535,0,0,0,0,0,'Your Sentry''s Bulwark was successful on %t!','Your Sentry''s Bulwark fades.','',0,1,'Spells/AA/SentrysBulwark.lua',0,'You cast Sentry''s Bulwark on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670577,1384377900,0,1),
(1002476,1448038609,4,0,'Sentry''s Stamina','Increases the Sentry''s stamina by 5 for each rank.',565,65535,65535,0,0,0,0,1,'Your Sentry''s Stamina was successful on %t!','Your Sentry''s Stamina fades.','',1,0,'',0,'You cast Sentry''s Stamina on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670577,1384377830,0,1),
(1002477,1885577896,4,1,'Seraph''s Alacrity','Seraph''s Restoration and Radiance have a chance to finish the reuse of True Faith.',859,65535,317,0,0,0,1,1,'Your Seraph''s Alacrity was successful on %t!','Your Seraph''s Alacrity fades.','',1,0,'',0,'You cast Seraph''s Alacrity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670577,1384377905,0,1),
(1002478,3628834749,4,0,'Serene','Your serenity has allowed you to come to peace with the universe. This trait increases the reserves you have by increasing your total Power by 2.5 percent.',201,65535,65535,0,0,0,0,1,'Your Serene was successful on %t!','Your Serene fades.','',1,0,'',0,'You cast Serene on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670577,1384377823,0,1),
(1002479,955572947,4,1,'Serene Energy','Blocking will ward the monk for a small amount of damage.',881,65535,317,0,0,0,1,1,'Your Serene Energy was successful on %t!','Your Serene Energy fades.','',1,0,'',0,'You cast Serene Energy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670577,1384377838,0,1),
(1002480,578175777,4,0,'Serene Focus','Increases the Serenicist''s critical chance.',596,65535,65535,0,0,0,0,0,'Your Serene Focus was successful on %t!','Your Serene Focus fades.','',0,1,'Spells/AA/SereneFocus.lua',0,'You cast Serene Focus on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670577,1384377830,0,1),
(1002481,3155351170,4,0,'Serene Knowledge','Every time the Serenicist casts a beneficial spell, it has a chance to grant immunity to most forms of stun, interrupt, and knockdown for a short duration.',622,65535,65535,0,0,0,0,1,'Your Serene Knowledge was successful on %t!','Your Serene Knowledge fades.','',1,0,'',0,'You cast Serene Knowledge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670577,1384377911,0,1),
(1002482,2536496682,4,1,'Serene Motions','Improves the base damage before modifications of Frozen Palm, Arctic Talon and Striking Cobra. Additionally, whenever one of these combat arts is used, the monk will gain increased attack speed and weapon skills for a short duration.',335,65535,317,0,0,0,1,1,'Your Serene Motions was successful on %t!','Your Serene Motions fades.','',1,0,'',0,'You cast Serene Motions on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670578,1384377900,0,1),
(1002483,1377613742,4,0,'Serenicist''s Stamina','Increases the Serenicist''s stamina by 5 for each rank.',565,65535,65535,0,0,0,0,1,'Your Serenicist''s Stamina was successful on %t!','Your Serenicist''s Stamina fades.','',1,0,'',0,'You cast Serenicist''s Stamina on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670578,1384377833,0,1),
(1002484,459079728,4,0,'Servant''s Aid','Improves the base healing of Heal Servant and its upgrades.',487,65535,317,0,0,0,0,1,'Your Servant''s Aid was successful on %t!','Your Servant''s Aid fades.','',1,0,'',0,'You cast Servant''s Aid on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670578,1384377897,0,1),
(1002485,4122494778,4,0,'Severe Judgment','Increases the Deacon''s damage in melee combat.',649,65535,65535,0,0,0,0,0,'Your Severe Judgment was successful on %t!','Your Severe Judgment fades.','',0,1,'Spells/AA/SevereJudgment.lua',0,'You cast Severe Judgment on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670578,1384377910,0,1),
(1002486,3909229203,4,0,'Shadow Reaction','Using Shadow Escape will grant the channeler a triggered effect that heals their group or damages their enemies, based on which ability is used following the use of Shadow Escape.',11,65535,316,0,0,0,0,1,'Your Shadow Reaction was successful on %t!','Your Shadow Reaction fades.','',1,0,'',0,'You cast Shadow Reaction on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670578,1384377912,0,1),
(1002487,3842917679,4,1,'Shadow Stalker','Skilled in the art of stealth and evasion, you will move 15% faster while stealthed or invisible.',165,65535,65535,0,0,0,1,0,'Your Shadow Stalker was successful on %t!','Your Shadow Stalker fades.','',0,1,'Spells/Traits/ShadowStalker.lua',0,'You cast Shadow Stalker on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670578,1384377823,0,1),
(1002488,3397387326,4,0,'Shadow Step','Gives the mage additional run speed while invisible.',165,65535,65535,0,0,0,0,1,'Your Shadow Step was successful on %t!','Your Shadow Step fades.','',1,0,'',0,'You cast Shadow Step on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670578,1384377831,0,1),
(1002489,3665010581,4,0,'Shadow Trap','Adds an additional debuff component to Umbral Trap which reduces the encounters attack speed.',196,65535,312,0,0,0,0,1,'Your Shadow Trap was successful on %t!','Your Shadow Trap fades.','',1,0,'',0,'You cast Shadow Trap on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670578,1384377912,0,1),
(1002490,3985409690,4,0,'Shadow Trap','Increases the radius and duration of Shadow Bind.',364,65535,313,0,0,0,0,1,'Your Shadow Trap was successful on %t!','Your Shadow Trap fades.','',1,0,'',0,'You cast Shadow Trap on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670578,1384377904,0,1),
(1002491,1761095382,4,0,'Shadow Walker','Grants the scout additional movement speed while stealthed.',830,65535,65535,0,0,0,0,0,'Your Shadow Walker was successful on %t!','Your Shadow Walker fades.','',0,1,'Spells/AA/ShadowWalker.lua',0,'You cast Shadow Walker on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670578,1384377831,0,1),
(1002492,1314505103,4,1,'Shadow Wall','The shadowknight gains additional Potency from Crit Bonus.',847,65535,65535,0,0,0,1,1,'Your Shadow Wall was successful on %t!','Your Shadow Wall fades.','',1,0,'',0,'You cast Shadow Wall on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670578,1384377905,0,1),
(1002493,2661360180,4,1,'Shadowlurker','Skilled in the art of stealth and evasion, you will move 15% faster while stealthed or invisible.',341,65535,318,0,0,0,1,0,'Your Shadowlurker was successful on %t!','Your Shadowlurker fades.','',0,1,'Spells/Traits/Shadowlurker.lua',0,'You cast Shadowlurker on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670578,1384378109,0,1),
(1002494,3577183179,4,0,'Shake Off','Increases the physical mitigation of the scout.',358,65535,317,0,0,0,0,0,'Your Shake Off was successful on %t!','Your Shake Off fades.','',0,1,'Spells/AA/ShakeOff.lua',0,'You cast Shake Off on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670578,1384377907,0,1),
(1002495,3695767443,4,1,'Shamanistic Fasting','Increases the duration of all tradeskill based foods.',130,65535,65535,0,0,0,1,1,'Your Shamanistic Fasting was successful on %t!','Your Shamanistic Fasting fades.','',1,0,'',0,'You cast Shamanistic Fasting on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670578,1384378109,0,1),
(1002496,860021474,4,0,'Shaper''s Reaction','When the target of Construct''s Interception takes a high damage hit, they will receive a short duration damage reduction.',298,65535,316,0,0,0,0,1,'Your Shaper''s Reaction was successful on %t!','Your Shaper''s Reaction fades.','',1,0,'',0,'You cast Shaper''s Reaction on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670578,1384377908,0,1),
(1002497,781497720,4,0,'Shaper''s Wisdom','',228,65535,317,0,0,0,0,1,'Your Shaper''s Wisdom was successful on %t!','Your Shaper''s Wisdom fades.','',1,0,'',0,'You cast Shaper''s Wisdom on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670578,1384377913,0,1),
(1002498,2676291363,4,0,'Shapeshift','Grants the Druid the ability to shapechange into one of three animal forms they can select from in their abilities. This also adds physical mitigation along with 4 wisdom and stamina passively per point spent.',241,65535,317,0,0,0,0,1,'Your Shapeshift was successful on %t!','Your Shapeshift fades.','',1,0,'',0,'You cast Shapeshift on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670579,1384377903,0,1),
(1002499,487847036,4,0,'Sharp','A sharp mind makes a powerful spell. This trait enhances your knowledge by increasing your Intelligence by 4.',42,65535,65535,0,0,0,0,1,'Your Sharp was successful on %t!','Your Sharp fades.','',1,0,'',0,'You cast Sharp on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670579,1384378154,0,1),
(1002500,4073291193,4,1,'Sharp-witted','Increases your skills with piercing and ranged based weapons.',381,65535,65535,0,0,0,1,0,'Your Sharp-witted was successful on %t!','Your Sharp-witted fades.','',0,1,'Spells/Traits/Sharpwitted.lua',0,'You cast Sharp-witted on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670579,1384378109,0,1),
(1002501,1541346523,4,1,'Sharpshooter','The ranger gains additional Crit Bonus from attack speed.',360,65535,65535,0,0,0,1,1,'Your Sharpshooter was successful on %t!','Your Sharpshooter fades.','',1,0,'',0,'You cast Sharpshooter on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670579,1384377903,0,1),
(1002502,4116651383,4,0,'Shield Shaping','Improves the shaper''s chance to block and parry.',300,65535,317,0,0,0,0,0,'Your Shield Shaping was successful on %t!','Your Shield Shaping fades.','',0,1,'Spells/AA/ShieldShaping.lua',0,'You cast Shield Shaping on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670579,1384377905,0,1),
(1002503,1620895744,4,0,'Shield Slam','Improves the damage and hit bonus of the Shield Bash and Body Check line of skills.',297,65535,315,0,0,0,0,1,'Your Shield Slam was successful on %t!','Your Shield Slam fades.','',1,0,'',0,'You cast Shield Slam on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670579,1384377912,0,1),
(1002504,524717122,4,1,'Shield of Bark','Divine runes protect you and allow you to resist arcane attacks better.',297,65535,317,0,0,0,0,0,'Your Shield of Bark was successful on %t!','Your Shield of Bark fades.','',0,1,'Spells/Traits/ShieldofBark.lua',0,'You cast Shield of Bark on %t.',4,0,0,0,1,0,0,0,1,0,0,0,1,0,0,1,0,0,0,'Unset',1579069536,1384377823,0,1),
(1002505,3804728704,4,0,'Shield of Bones','The necromancer''s pet gets a small chance to block any incoming melee attack.',917,65535,65535,0,0,0,0,1,'Your Shield of Bones was successful on %t!','Your Shield of Bones fades.','',1,0,'',0,'You cast Shield of Bones on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670580,1384377903,0,1),
(1002506,3059863933,4,0,'Shield of Icicles','Improves the base damage of the Ice Shield line of spells.',253,65535,316,0,0,0,0,1,'Your Shield of Icicles was successful on %t!','Your Shield of Icicles fades.','',1,0,'',0,'You cast Shield of Icicles on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670580,1384377902,0,1),
(1002507,4278012514,4,1,'Shield of Nature','Increases your resistance to noxious based attacks.',191,65535,318,0,0,0,0,0,'Your Shield of Nature was successful on %t!','Your Shield of Nature fades.','',0,1,'Spells/Traits/ShieldofNature.lua',0,'You cast Shield of Nature on %t.',4,0,0,0,1,0,0,0,1,0,0,0,1,0,0,1,0,0,0,'Unset',1384670580,1384378109,0,1),
(1002508,94643718,4,0,'Shield of Runes','Shield of Runes reduces the amount of physical damage done to the coercer.',911,65535,65535,0,0,0,0,1,'Your Shield of Runes was successful on %t!','Your Shield of Runes fades.','',1,0,'',0,'You cast Shield of Runes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670580,1384377910,0,1),
(1002509,2216664445,4,0,'Shift Momentum','Increases the Spellshifter''s movement speed.',557,65535,65535,0,0,0,0,0,'Your Shift Momentum was successful on %t!','Your Shift Momentum fades.','',0,1,'Spells/AA/ShiftMomentum.lua',0,'You cast Shift Momentum on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670580,1384377912,0,1),
(1002510,3825894189,4,0,'Shocking Rays','Prismatic Chaos and its upgrades will do additional base and critical damage.',266,65535,316,0,0,0,0,1,'Your Shocking Rays was successful on %t!','Your Shocking Rays fades.','',1,0,'',0,'You cast Shocking Rays on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670580,1384377904,0,1),
(1002511,597066698,4,1,'Short But Strong','Your extra stamina allows you to gain additional hitpoints.',326,65535,317,0,0,0,1,0,'Your Short But Strong was successful on %t!','Your Short But Strong fades.','',0,1,'Spells/Traits/ShortButStrong.lua',0,'You cast Short But Strong on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670580,1384377823,0,1),
(1002512,3547714608,4,0,'Shot of Adrenaline','Shot of Adrenaline reduces the recast and power reduction of the ability Adrenaline.',16,65535,317,0,0,0,0,1,'Your Shot of Adrenaline was successful on %t!','Your Shot of Adrenaline fades.','',1,0,'',0,'You cast Shot of Adrenaline on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670580,1384377901,0,1),
(1002513,4180103109,4,0,'Shrieking Cry','Improves the damage done by the Perfect Shrill and Luda''s Nefarious Wail line of spells.  Also grants them an additional chance to inflict critical damage.',171,65535,315,0,0,0,0,1,'Your Shrieking Cry was successful on %t!','Your Shrieking Cry fades.','',1,0,'',0,'You cast Shrieking Cry on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670580,1384377912,0,1),
(1002514,3786410666,4,0,'Shroud of Hate','Adds a threat component to Shroud of Bertoxxulous.',261,65535,316,0,0,0,0,1,'Your Shroud of Hate was successful on %t!','Your Shroud of Hate fades.','',1,0,'',0,'You cast Shroud of Hate on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670580,1384377902,0,1),
(1002515,553388465,4,1,'Shrug it Off','Increases your out of combat health regeneration amount.  This ability will scale up in value as you level.',608,65535,317,0,0,0,1,1,'Your Shrug it Off was successful on %t!','Your Shrug it Off fades.','',1,0,'',0,'You cast Shrug it Off on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670580,1384377877,0,1),
(1002516,955997448,4,0,'Silence','Silence improves the base damage done by the Silent Palm line of abilities.',293,65535,315,0,0,0,0,1,'Your Silence was successful on %t!','Your Silence fades.','',1,0,'',0,'You cast Silence on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'DoT',1384670580,1384377909,0,1),
(1002517,531829181,4,0,'Silent Thoughts','Grants the enchanter additional base and critical damage to their Silence and Speechless lines of spells.',495,65535,315,0,0,0,0,1,'Your Silent Thoughts was successful on %t!','Your Silent Thoughts fades.','',1,0,'',0,'You cast Silent Thoughts on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670580,1384377839,0,1),
(1002518,1642975472,4,0,'Simple Minded','Increases the base damage and reduces the duration of Simple Minds and its upgrades.',169,65535,312,0,0,0,0,1,'Your Simple Minded was successful on %t!','Your Simple Minded fades.','',1,0,'',0,'You cast Simple Minded on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670581,1384377836,0,1),
(1002519,3904985946,4,0,'Siphon Essence','Increases the base damage of harm touch and the heal amount added by the achievement Leech Touch.',247,65535,315,0,0,0,0,1,'Your Siphon Essence was successful on %t!','Your Siphon Essence fades.','',1,0,'',0,'You cast Siphon Essence on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670581,1384377902,0,1),
(1002520,2983151374,4,1,'Siphoning Requiem','The dirge''s impairments that affect encounters will siphon a portion of what they impair back to the dirge''s group. Mitigation impairments will grant the group a triggered effect instead of mitigation.',207,65535,312,0,0,0,1,1,'Your Siphoning Requiem was successful on %t!','Your Siphoning Requiem fades.','',1,0,'',0,'You cast Siphoning Requiem on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670581,1384377838,0,1),
(1002521,3059130648,4,0,'Skald''s Defense','Increases the Skald''s blocking ability and damage per second.',575,65535,65535,0,0,0,0,0,'Your Skald''s Defense was successful on %t!','Your Skald''s Defense fades.','',0,1,'Spells/AA/SkaldsDefense.lua',0,'You cast Skald''s Defense on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670581,1384377833,0,1),
(1002522,1482211380,4,0,'Skald''s Stamina','Increases the Skald''s stamina by 6 for each rank.',565,65535,65535,0,0,0,0,1,'Your Skald''s Stamina was successful on %t!','Your Skald''s Stamina fades.','',1,0,'',0,'You cast Skald''s Stamina on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670581,1384377830,0,1),
(1002523,2953676454,4,0,'Skald''s Striking','Improves the Damage Per Second of Fortissimo.',670,65535,65535,0,0,0,0,1,'Your Skald''s Striking was successful on %t!','Your Skald''s Striking fades.','',1,0,'',0,'You cast Skald''s Striking on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670581,1384377902,0,1),
(1002524,1038142509,4,1,'Skilled Artistry','While tradeskilling, you will have a higher chance to complete a successful round.',411,65535,65535,0,0,0,1,0,'Your Skilled Artistry was successful on %t!','Your Skilled Artistry fades.','',0,1,'Spells/Traits/SkilledArtistry.lua',0,'You cast Skilled Artistry on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670581,1384377823,0,1),
(1002525,1316416883,4,0,'Skilled Deception','Improves the transfer amount of Swarthy Deception.',289,65535,316,0,0,0,0,1,'Your Skilled Deception was successful on %t!','Your Skilled Deception fades.','',1,0,'',0,'You cast Skilled Deception on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670581,1384377915,0,1),
(1002526,3526255110,4,1,'Skilled Defender','Your practice of combat gives you additional skill in defense, parry and deflection.',856,65535,65535,0,0,0,1,0,'Your Skilled Defender was successful on %t!','Your Skilled Defender fades.','',0,1,'Spells/Traits/SkilledDefender.lua',0,'You cast Skilled Defender on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670582,1384378109,0,1),
(1002527,1756316800,4,1,'Skillful Creations','While tradeskilling, you will gain an additional chance to have a successful round.\n',396,65535,65535,0,0,0,1,0,'Your Skillful Creations was successful on %t!','Your Skillful Creations fades.','',0,1,'Spells/Traits/SkillfulCreations.lua',189,'You cast Skillful Creations on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670582,1384378109,0,1),
(1002528,1350177493,4,0,'Skillful Paws','Reduces the power cost of the ratonga''s carpentry reaction arts.',410,65535,65535,0,0,0,0,1,'Your Skillful Paws was successful on %t!','Your Skillful Paws fades.','',1,0,'',0,'You cast Skillful Paws on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670582,1384378109,0,1),
(1002529,2853354296,4,1,'Skillful Triumph','Your knowledge of the arts grants you an additional chance to succeed while tradeskilling.',420,65535,65535,0,0,0,1,0,'Your Skillful Triumph was successful on %t!','Your Skillful Triumph fades.','',0,1,'Spells/Traits/SkillfulTriumph.lua',0,'You cast Skillful Triumph on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670582,1384377823,0,1),
(1002530,756295827,4,0,'Skin Like Wood','Sylvan Bloom will gain a small ward which protects the warden''s ally from physical attacks.',158,65535,316,0,0,0,0,1,'Your Skin Like Wood was successful on %t!','Your Skin Like Wood fades.','',1,0,'',0,'You cast Skin Like Wood on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670582,1384377909,0,1),
(1002531,2792673339,4,0,'Slayer''s Furor','Improves the reuse time of the warrior.',913,65535,65535,0,0,0,0,0,'Your Slayer''s Furor was successful on %t!','Your Slayer''s Furor fades.','',1,0,'Spells/AA/SlayersFuror.lua',0,'You cast Slayer''s Furor on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670582,1384377903,0,1),
(1002532,1234853810,4,0,'Slayer''s Intelligence','Increases the Slayer''s intelligence by 8 for each rank.',566,65535,65535,0,0,0,0,1,'Your Slayer''s Intelligence was successful on %t!','Your Slayer''s Intelligence fades.','',1,0,'',0,'You cast Slayer''s Intelligence on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670582,1384377830,0,1),
(1002533,2811510430,4,1,'Slayer''s Speed','Increases the Slayer''s attack speed.',673,65535,65535,0,0,0,0,0,'Your Slayer''s Speed was successful on %t!','Your Slayer''s Speed fades.','',0,1,'Spells/AA/SlayersSpeed.lua',0,'You cast Slayer''s Speed on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670582,1384377830,0,1),
(1002534,1784941611,4,0,'Slice and Dice','Improves the physical mitigation reduction of Flurry of Blades.',383,65535,315,0,0,0,0,1,'Your Slice and Dice was successful on %t!','Your Slice and Dice fades.','',1,0,'',0,'You cast Slice and Dice on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670582,1384377906,0,1),
(1002535,682864389,4,1,'Slippery Hide','Your skills in fighting have increased your ability to absorb physical blows.',294,65535,65535,0,0,0,0,0,'Your Slippery Hide was successful on %t!','Your Slippery Hide fades.','',0,1,'Spells/Traits/SlipperyHide.lua',0,'You cast Slippery Hide on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670582,1384378109,0,1),
(1002536,64229485,4,1,'Slow Metabolism','Your knowledge of the arcane arts helps to increase the duration of tradeskilled potions.',845,65535,317,0,0,0,1,1,'Your Slow Metabolism was successful on %t!','Your Slow Metabolism fades.','',1,0,'',0,'You cast Slow Metabolism on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670582,1384378109,0,1),
(1002537,500560223,4,1,'Smite Infidel','Lay on Hands will apply a large triggered damage effect to the paladin.',209,65535,317,0,0,0,1,1,'Your Smite Infidel was successful on %t!','Your Smite Infidel fades.','',1,0,'',0,'You cast Smite Infidel on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670582,1384377899,0,1),
(1002538,2866230855,4,0,'Smite Wrath','All damage spells do additional damage.',224,65535,65535,0,0,0,0,1,'Your Smite Wrath was successful on %t!','Your Smite Wrath fades.','',1,0,'',0,'You cast Smite Wrath on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670582,1384377903,0,1),
(1002539,2795438368,4,1,'Smoked Meats','Increases the duration of all tradeskill based foods.',130,65535,65535,0,0,0,1,1,'Your Smoked Meats was successful on %t!','Your Smoked Meats fades.','',1,0,'',0,'You cast Smoked Meats on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670582,1384378154,0,1),
(1002540,4236941433,4,0,'Snap Channel','Vengeful Arrow has a chance to make the next active Slot 5, 6, 7 or 8 Conduit use no Dissonance.',11,65535,316,0,0,0,0,1,'Your Snap Channel was successful on %t!','Your Snap Channel fades.','',1,0,'',0,'You cast Snap Channel on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670582,1384377909,0,1),
(1002541,2918437995,4,0,'Sniper''s Eye','Increases the channeler''s accuracy and strikethrough.',820,65535,317,0,0,0,0,1,'Your Sniper''s Eye was successful on %t!','Your Sniper''s Eye fades.','',1,0,'',0,'You cast Sniper''s Eye on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670582,1384377913,0,1),
(1002542,237338825,4,0,'Snow Blindness','Snow Blindness increases the damage and duration of the Arctic Talon line.  This means the target will not be able to auto attack for a longer period of time.',335,65535,315,0,0,0,0,1,'Your Snow Blindness was successful on %t!','Your Snow Blindness fades.','',1,0,'',0,'You cast Snow Blindness on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670582,1384377901,0,1),
(1002543,3311836273,4,1,'Snow Rhino''s Power','Increases the weapon damage bonus of the group when the mystic enters Ferocity of Spirits with two spell increments. Cannot trigger more than once every 30 seconds.',326,65535,317,0,0,0,1,1,'Your Snow Rhino''s Power was successful on %t!','Your Snow Rhino''s Power fades.','',1,0,'',0,'You cast Snow Rhino''s Power on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670582,1384377838,0,1),
(1002544,693569886,4,1,'Soft Landings','Your increased stamina allows you to absorb damage from falling more readily.',90,65535,65535,0,0,0,1,0,'Your Soft Landings was successful on %t!','Your Soft Landings fades.','',0,1,'Spells/Traits/SoftLandings.lua',0,'You cast Soft Landings on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670582,1384378110,0,1),
(1002545,3856921764,4,1,'Soldiers of Tunare''s Alacrity','Your pursuit of divine magic allows you to cast beneficial spells faster.',367,65535,65535,0,0,0,1,1,'Your Soldiers of Tunare''s Alacrity was successful on %t!','Your Soldiers of Tunare''s Alacrity fades.','',1,0,'',0,'You cast Soldiers of Tunare''s Alacrity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670582,1384378110,0,1),
(1002546,968838176,4,1,'Solid Armor','Reduces the amount of damage the warder receives.',11,65535,65535,0,0,0,1,1,'Your Solid Armor was successful on %t!','Your Solid Armor fades.','',1,0,'',0,'You cast Solid Armor on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670583,1384377831,0,1),
(1002547,3025840475,4,1,'Solid Armor','Reduces the amount of damage the warder receives.',11,65535,65535,0,0,0,1,1,'Your Solid Armor was successful on %t!','Your Solid Armor fades.','',1,0,'',0,'You cast Solid Armor on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670583,1384377831,0,1),
(1002548,1729586580,4,1,'Solid Armor','Reduces the amount of damage the warder receives.',11,65535,65535,0,0,0,1,1,'Your Solid Armor was successful on %t!','Your Solid Armor fades.','',1,0,'',0,'You cast Solid Armor on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670583,1384377900,0,1),
(1002549,2926224590,4,1,'Solid Armor','Reduces the amount of damage the warder receives.',11,65535,65535,0,0,0,1,1,'Your Solid Armor was successful on %t!','Your Solid Armor fades.','',1,0,'',0,'You cast Solid Armor on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670583,1384377904,0,1),
(1002550,1773660582,4,1,'Solid Armor','Reduces the amount of damage the warder receives.',11,65535,65535,0,0,0,1,1,'Your Solid Armor was successful on %t!','Your Solid Armor fades.','',1,0,'',0,'You cast Solid Armor on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670583,1384377906,0,1),
(1002551,875088374,4,1,'Solid Armor','Reduces the amount of damage the warder receives.',11,65535,65535,0,0,0,1,1,'Your Solid Armor was successful on %t!','Your Solid Armor fades.','',1,0,'',0,'You cast Solid Armor on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670583,1384377914,0,1),
(1002552,1916820334,4,1,'Solid Armor','Reduces the amount of damage the warder receives.',11,65535,65535,0,0,0,1,1,'Your Solid Armor was successful on %t!','Your Solid Armor fades.','',1,0,'',0,'You cast Solid Armor on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670583,1384377907,0,1),
(1002553,710781544,4,1,'Solid Ice','Increases your resistance to physical based attacks.',329,65535,318,0,0,0,1,1,'Your Solid Ice was successful on %t!','Your Solid Ice fades.','',1,0,'',0,'You cast Solid Ice on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670584,1384377877,0,1),
(1002554,1676039826,4,1,'Song of Conservation','Energizing Ballad restores more power over time. Additionally, it reduces the amount of power abilities cost.',172,65535,65535,0,0,0,1,1,'Your Song of Conservation was successful on %t!','Your Song of Conservation fades.','',1,0,'',0,'You cast Song of Conservation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670584,1384377913,0,1),
(1002555,3959020703,4,1,'Songhowler','The dirge gains additional Crit Bonus from Multi-Attack Chance.',246,65535,317,0,0,0,1,1,'Your Songhowler was successful on %t!','Your Songhowler fades.','',1,0,'',0,'You cast Songhowler on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670584,1384377902,0,1),
(1002556,1885904521,4,1,'Songhowler','Enhances certain dirge defensive songs to have additional effects.',208,65535,314,0,0,0,1,1,'Your Songhowler was successful on %t!','Your Songhowler fades.','',1,0,'',0,'You cast Songhowler on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670584,1384377904,0,1),
(1002557,3049239951,4,1,'Songweaver','The troubador gains additional Crit Bonus from Damage Per Second.',173,65535,65535,0,0,0,1,1,'Your Songweaver was successful on %t!','Your Songweaver fades.','',1,0,'',0,'You cast Songweaver on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670584,1384377907,0,1),
(1002558,4196008708,4,1,'Sonic Howl','Adds an additional strike to Echoing Howl. The damage of the extra hit improves with rank.',295,65535,313,0,0,0,1,1,'Your Sonic Howl was successful on %t!','Your Sonic Howl fades.','',1,0,'',0,'You cast Sonic Howl on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670584,1384377912,0,1),
(1002559,1618918827,4,0,'Sonic Reaction','When taking damage, the scout has a chance to get a short duration speed boost.',90,65535,317,0,0,0,0,1,'Your Sonic Reaction was successful on %t!','Your Sonic Reaction fades.','',1,0,'',0,'You cast Sonic Reaction on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670584,1384377902,0,1),
(1002560,151188127,4,0,'Soothing Mind','Soothing Mind enhances Amnesia and its upgrades by removing hostile spells on the target.',262,65535,315,0,0,0,0,1,'Your Soothing Mind was successful on %t!','Your Soothing Mind fades.','',1,0,'',0,'You cast Soothing Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670584,1384377902,0,1),
(1002561,1897020234,4,0,'Sorcerer''s Shielding','Adds an additional component to Magi''s Shielding which reduces the damage done to the sorcerer.',163,65535,317,0,0,0,0,1,'Your Sorcerer''s Shielding was successful on %t!','Your Sorcerer''s Shielding fades.','',1,0,'',0,'You cast Sorcerer''s Shielding on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670584,1384377836,0,1),
(1002562,453614376,4,0,'Sorcery Mastery','The sorcerer gains additional mastery to the Ice Comet and Apocalypse line of spells.',909,65535,65535,0,0,0,0,1,'Your Sorcery Mastery was successful on %t!','Your Sorcery Mastery fades.','',1,0,'',0,'You cast Sorcery Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670584,1384377897,0,1),
(1002563,1619590292,4,0,'Soul Corruption','Adds an additional intelligence debuff to the Smite Corruption line of spells.',159,65535,315,0,0,0,0,1,'Your Soul Corruption was successful on %t!','Your Soul Corruption fades.','',1,0,'',0,'You cast Soul Corruption on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670584,1384377831,0,1),
(1002564,2223701942,4,0,'Soul Corruption','Increased the base damage of the Defile line of spells while also reducing its duration causing the damage to apply faster.',279,65535,313,0,0,0,0,1,'Your Soul Corruption was successful on %t!','Your Soul Corruption fades.','',1,0,'',0,'You cast Soul Corruption on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670584,1384377899,0,1),
(1002565,491378898,4,1,'Soul Reaper','Increases the damage of Reaper''s Mist. This applies before potency.',247,65535,313,0,0,0,1,1,'Your Soul Reaper was successful on %t!','Your Soul Reaper fades.','',1,0,'',0,'You cast Soul Reaper on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670585,1384377900,0,1),
(1002566,698099347,4,1,'Soul Resonation','Lowers the base reuse times of Cadence of Destruction, Rhythmic Overture and Victorious Concerto.',31,65535,317,0,0,0,1,1,'Your Soul Resonation was successful on %t!','Your Soul Resonation fades.','',1,0,'',0,'You cast Soul Resonation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670585,1384377905,0,1),
(1002567,2110386907,4,0,'Soul Siphon','Improves the power return on Dark Siphoning.  The duration is also reduced causing the damage and power returns to happen faster.',207,65535,312,0,0,0,0,1,'Your Soul Siphon was successful on %t!','Your Soul Siphon fades.','',1,0,'',3704,'You cast Soul Siphon on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670585,1384377839,0,1),
(1002568,2888175875,4,0,'Soul Sonata','The troubador''s impairments that affect encounters will siphon a portion of what they impair back to the troubador''s group. Mitigation impairments will grant the group a triggered effect instead of mitigation.',471,65535,312,0,0,0,0,1,'Your Soul Sonata was successful on %t!','Your Soul Sonata fades.','',1,0,'',0,'You cast Soul Sonata on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377839,0,1),
(1002569,3311095868,4,0,'Soulbreath','This Spiritual Primal restores health to the group and improves their Crit Bonus. This ability equips in the fifth primal slot.',863,65535,314,0,0,0,0,1,'Your Soulbreath was successful on %t!','Your Soulbreath fades.','',1,0,'',0,'You cast Soulbreath on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377899,0,1),
(1002570,3384947393,4,0,'Soulbreath','This Spiritual Primal restores health to the group and improves their Crit Bonus. This ability equips in the fifth primal slot.',863,65535,314,0,0,0,0,1,'Your Soulbreath was successful on %t!','Your Soulbreath fades.','',1,0,'',0,'You cast Soulbreath on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377839,0,1),
(1002571,515781016,4,0,'Soulbreath','This Spiritual Primal restores health to the group and improves their Crit Bonus. This ability equips in the fifth primal slot.',863,65535,314,0,0,0,0,1,'Your Soulbreath was successful on %t!','Your Soulbreath fades.','',1,0,'',0,'You cast Soulbreath on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377908,0,1),
(1002572,2426189218,4,0,'Soulbreath','This Spiritual Primal restores health to the group and improves their Crit Bonus. This ability equips in the fifth primal slot.',863,65535,314,0,0,0,0,1,'Your Soulbreath was successful on %t!','Your Soulbreath fades.','',1,0,'',0,'You cast Soulbreath on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377904,0,1),
(1002573,803672683,4,0,'Soulbreath','This Spiritual Primal restores health to the group and improves their Crit Bonus. This ability equips in the fifth primal slot.',863,65535,314,0,0,0,0,1,'Your Soulbreath was successful on %t!','Your Soulbreath fades.','',1,0,'',0,'You cast Soulbreath on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377833,0,1),
(1002574,3304021819,4,0,'Soulbreath','This Spiritual Primal restores health to the group and improves their Crit Bonus. This ability equips in the fifth primal slot.',863,65535,314,0,0,0,0,1,'Your Soulbreath was successful on %t!','Your Soulbreath fades.','',1,0,'',0,'You cast Soulbreath on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377904,0,1),
(1002575,1695770421,4,0,'Soulbreath','This Spiritual Primal restores health to the group and improves their Crit Bonus. This ability equips in the fifth primal slot.',863,65535,314,0,0,0,0,1,'Your Soulbreath was successful on %t!','Your Soulbreath fades.','',1,0,'',0,'You cast Soulbreath on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377833,0,1),
(1002576,578648879,4,0,'Soulbreath','This Spiritual Primal restores health to the group and improves their Crit Bonus. This ability equips in the fifth primal slot.',863,65535,314,0,0,0,0,1,'Your Soulbreath was successful on %t!','Your Soulbreath fades.','',1,0,'',0,'You cast Soulbreath on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377900,0,1),
(1002577,301649504,4,0,'Soulbreath','This Spiritual Primal restores health to the group and improves their Crit Bonus. This ability equips in the fifth primal slot.',863,65535,314,0,0,0,0,1,'Your Soulbreath was successful on %t!','Your Soulbreath fades.','',1,0,'',0,'You cast Soulbreath on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377839,0,1),
(1002578,2715417543,4,0,'Soulbreath','This Spiritual Primal restores health to the group and improves their Crit Bonus. This ability equips in the fifth primal slot.',863,65535,314,0,0,0,0,1,'Your Soulbreath was successful on %t!','Your Soulbreath fades.','',1,0,'',0,'You cast Soulbreath on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377909,0,1),
(1002579,2890825233,4,0,'Soulbreath','This Spiritual Primal restores health to the group and improves their Crit Bonus. This ability equips in the fifth primal slot.',863,65535,314,0,0,0,0,1,'Your Soulbreath was successful on %t!','Your Soulbreath fades.','',1,0,'',0,'You cast Soulbreath on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377839,0,1),
(1002580,1305035731,4,0,'Soulbreath','This Spiritual Primal restores health to the group and improves their Crit Bonus. This ability equips in the fifth primal slot.',863,65535,314,0,0,0,0,1,'Your Soulbreath was successful on %t!','Your Soulbreath fades.','',1,0,'',0,'You cast Soulbreath on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377839,0,1),
(1002581,805629585,4,0,'Soulbreath','This Spiritual Primal restores health to the group and improves their Crit Bonus. This ability equips in the fifth primal slot.',863,65535,314,0,0,0,0,1,'Your Soulbreath was successful on %t!','Your Soulbreath fades.','',1,0,'',0,'You cast Soulbreath on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377833,0,1),
(1002582,1224912310,4,0,'Soulbreath','This Spiritual Primal restores health to the group and improves their Crit Bonus. This ability equips in the fifth primal slot.',863,65535,314,0,0,0,0,1,'Your Soulbreath was successful on %t!','Your Soulbreath fades.','',1,0,'',0,'You cast Soulbreath on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377841,0,1),
(1002583,31037500,4,0,'Soulbreath','This Spiritual Primal restores health to the group and improves their Crit Bonus. This ability equips in the fifth primal slot.',863,65535,314,0,0,0,0,1,'Your Soulbreath was successful on %t!','Your Soulbreath fades.','',1,0,'',0,'You cast Soulbreath on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377899,0,1),
(1002584,796766181,4,0,'Soulbreath','This Spiritual Primal restores health to the group and improves their Crit Bonus. This ability equips in the fifth primal slot.',863,65535,314,0,0,0,0,1,'Your Soulbreath was successful on %t!','Your Soulbreath fades.','',1,0,'',0,'You cast Soulbreath on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377908,0,1),
(1002585,3518521793,4,0,'Soulbreath','This Spiritual Primal restores health to the group and improves their Crit Bonus. This ability equips in the fifth primal slot.',863,65535,314,0,0,0,0,1,'Your Soulbreath was successful on %t!','Your Soulbreath fades.','',1,0,'',0,'You cast Soulbreath on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377897,0,1),
(1002586,3791071393,4,0,'Soulbreath','This Spiritual Primal restores health to the group and improves their Crit Bonus. This ability equips in the fifth primal slot.',863,65535,314,0,0,0,0,1,'Your Soulbreath was successful on %t!','Your Soulbreath fades.','',1,0,'',0,'You cast Soulbreath on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377840,0,1),
(1002587,1872009514,4,0,'Soulbreath','This Spiritual Primal restores health to the group and improves their Crit Bonus. This ability equips in the fifth primal slot.',863,65535,314,0,0,0,0,1,'Your Soulbreath was successful on %t!','Your Soulbreath fades.','',1,0,'',0,'You cast Soulbreath on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377905,0,1),
(1002588,2734416879,4,1,'Soulripper','Lifetap now applies its heal and damage two times.',247,65535,317,0,0,0,1,1,'Your Soulripper was successful on %t!','Your Soulripper fades.','',1,0,'',0,'You cast Soulripper on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377906,0,1),
(1002589,652461350,4,1,'Soulstarved Wraiths','Lowers the base reuse time of Wraithwall.',881,65535,316,0,0,0,1,1,'Your Soulstarved Wraiths was successful on %t!','Your Soulstarved Wraiths fades.','',1,0,'',0,'You cast Soulstarved Wraiths on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377899,0,1),
(1002590,1704757402,4,1,'Soulsucker','When casting hostile spells, necromancer has a chance to siphon life from the target encounter to the group.',919,65535,315,0,0,0,1,1,'Your Soulsucker was successful on %t!','Your Soulsucker fades.','',1,0,'',0,'You cast Soulsucker on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377907,0,1),
(1002591,2231702058,4,1,'Soulsucking Faith','Single target lifetap abilities have a chance to finish the cooldown of Blood Siphon.',247,65535,317,0,0,0,1,1,'Your Soulsucking Faith was successful on %t!','Your Soulsucking Faith fades.','',1,0,'',0,'You cast Soulsucking Faith on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377909,0,1),
(1002592,2128832042,4,1,'Soultap','Tap Essence has a chance to chance to finish the reuse of Energizing Ballad.',201,65535,317,0,0,0,1,1,'Your Soultap was successful on %t!','Your Soultap fades.','',1,0,'',0,'You cast Soultap on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377913,0,1),
(1002593,3987562853,4,0,'Soultap','Accelerated Decay increases the speed of the necromancer''s damage over time abilities, adding two ticks to all of their spells.',267,65535,315,0,0,0,0,1,'Your Soultap was successful on %t!','Your Soultap fades.','',1,0,'',0,'You cast Soultap on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377831,0,1),
(1002594,3586687897,4,1,'Soultear','Single target lifetap abilities and abilities that can be modified to have a lifetap now also apply increase mitigation for a short duration when applied.',175,65535,65535,0,0,0,1,1,'Your Soultear was successful on %t!','Your Soultear fades.','',1,0,'',0,'You cast Soultear on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377916,0,1),
(1002595,3163063411,4,1,'Soultemper','Wraithwall will apply an extremely fast regenerating ward to the target.',237,65535,317,0,0,0,1,1,'Your Soultemper was successful on %t!','Your Soultemper fades.','',1,0,'',0,'You cast Soultemper on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377916,0,1),
(1002596,2625549399,4,1,'Sound Vortex','Lowers the base reuse time and removes the casting time of Abhorrent Verse.',817,65535,316,0,0,0,1,1,'Your Sound Vortex was successful on %t!','Your Sound Vortex fades.','',1,0,'',0,'You cast Sound Vortex on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377906,0,1),
(1002597,756228794,4,1,'Speedy Paws','Improves your hostile casting speed.',335,65535,317,0,0,0,1,0,'Your Speedy Paws was successful on %t!','Your Speedy Paws fades.','',0,1,'Spells/Traits/SpeedyPaws.lua',0,'You cast Speedy Paws on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670586,1384378110,0,1),
(1002598,3664963260,4,0,'Speedy Summons','',777,65535,317,0,0,0,0,1,'Your Speedy Summons was successful on %t!','Your Speedy Summons fades.','',1,0,'',0,'You cast Speedy Summons on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377902,0,1),
(1002599,764965871,4,0,'Spell Expertise','Grants the Invoker an improved chance to critical hit with offensive spells.',568,65535,65535,0,0,0,0,0,'Your Spell Expertise was successful on %t!','Your Spell Expertise fades.','',1,0,'Spells/AA/SpellExpertise.lua',0,'You cast Spell Expertise on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377902,0,1),
(1002600,861665314,4,0,'Spell Reach','Increases the range and radius of all of your spells.',540,65535,65535,0,0,0,0,1,'Your Spell Reach was successful on %t!','Your Spell Reach fades.','',1,0,'',0,'You cast Spell Reach on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377907,0,1),
(1002601,3311457467,4,0,'Spellbinder''s Mastery','Improves the base casting speed of Master''s Strike.',152,65535,315,0,0,0,0,1,'Your Spellbinder''s Mastery was successful on %t!','Your Spellbinder''s Mastery fades.','',1,0,'',0,'You cast Spellbinder''s Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377911,0,1),
(1002602,2986412897,4,0,'Spellblade''s Enchantment','Improves the haste and Multi-Attack Chance of the enchanter''s Velocity and Rapidity lines.',300,65535,316,0,0,0,0,1,'Your Spellblade''s Enchantment was successful on %t!','Your Spellblade''s Enchantment fades.','',1,0,'',0,'You cast Spellblade''s Enchantment on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377836,0,1),
(1002603,3493658022,4,0,'Spellblade''s Reflexes','Grants the Spellblade increased piercing and crushing skill and a chance to riposte melee attacks. Attack range is also increased.',579,65535,65535,0,0,0,0,1,'Your Spellblade''s Reflexes was successful on %t!','Your Spellblade''s Reflexes fades.','',1,0,'',0,'You cast Spellblade''s Reflexes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377833,0,1),
(1002604,1043504266,4,0,'Spellblade''s Strength','Increases the Spellblade''s strength by 8 per rank.',576,65535,65535,0,0,0,0,1,'Your Spellblade''s Strength was successful on %t!','Your Spellblade''s Strength fades.','',1,0,'',0,'You cast Spellblade''s Strength on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377834,0,1),
(1002605,444270814,4,0,'Spellshaping','Increases the Spellshifter''s casting speed.',626,65535,65535,0,0,0,0,0,'Your Spellshaping was successful on %t!','Your Spellshaping fades.','',0,1,'Spells/AA/Spellshaping.lua',0,'You cast Spellshaping on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670586,1384377899,0,1),
(1002606,1779563601,4,0,'Spellshifter''s Agility','Increases the Spellshifter''s agility by 6 points per rank of this ability.',564,65535,65535,0,0,0,0,1,'Your Spellshifter''s Agility was successful on %t!','Your Spellshifter''s Agility fades.','',1,0,'',0,'You cast Spellshifter''s Agility on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670587,1384377830,0,1),
(1002607,1836857416,4,0,'Spellshifting','All of the Spellshifter''s abilities refresh faster than normal.',627,65535,65535,0,0,0,0,0,'Your Spellshifting was successful on %t!','Your Spellshifting fades.','',0,1,'Spells/AA/Spellshifting.lua',0,'You cast Spellshifting on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670587,1384377904,0,1),
(1002608,1460631229,4,1,'Sphere of Defense','Reduces the base reuse of  Guardian Sphere.',842,65535,314,0,0,0,1,1,'Your Sphere of Defense was successful on %t!','Your Sphere of Defense fades.','',1,0,'',0,'You cast Sphere of Defense on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670587,1384377838,0,1),
(1002609,1158716106,4,1,'Spiked Shoes','Your proficiency with magical attacks grants you additional skill in disruption and subjugation.',383,65535,65535,0,0,0,1,0,'Your Spiked Shoes was successful on %t!','Your Spiked Shoes fades.','',0,1,'Spells/Traits/SpikedShoes.lua',0,'You cast Spiked Shoes on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670587,1384378109,0,1),
(1002610,2287031076,4,0,'Spinechilling Agony','Improves the damage and critical damage of Spinechiller Blood.',227,65535,315,0,0,0,0,1,'Your Spinechilling Agony was successful on %t!','Your Spinechilling Agony fades.','',1,0,'',0,'You cast Spinechilling Agony on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670587,1384377906,0,1),
(1002611,2132971397,4,1,'Spirit Domination','As Spiritual Dominion increments, Ancient Shroud, Deathward and Death Cries will cast faster.',357,65535,314,0,0,0,1,1,'Your Spirit Domination was successful on %t!','Your Spirit Domination fades.','',1,0,'',0,'You cast Spirit Domination on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670588,1384377910,0,1),
(1002612,4233268073,4,1,'Spirit Drain','Grants the warder a new ability that allows them to absorb health from the target encounter and heal the group.',11,65535,65535,0,0,0,1,1,'Your Spirit Drain was successful on %t!','Your Spirit Drain fades.','',1,0,'',0,'You cast Spirit Drain on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670588,1384377906,0,1),
(1002613,953622049,4,1,'Spirit Drain','Grants the warder a new ability that allows them to absorb health from the target encounter and heal the group.',11,65535,65535,0,0,0,1,1,'Your Spirit Drain was successful on %t!','Your Spirit Drain fades.','',1,0,'',0,'You cast Spirit Drain on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670588,1384377905,0,1),
(1002614,2409505506,4,1,'Spirit Drain','Grants the warder a new ability that allows them to absorb health from the target encounter and heal the group.',11,65535,65535,0,0,0,1,1,'Your Spirit Drain was successful on %t!','Your Spirit Drain fades.','',1,0,'',0,'You cast Spirit Drain on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670588,1384377908,0,1),
(1002615,3291504084,4,1,'Spirit Drain','Grants the warder a new ability that allows them to absorb health from the target encounter and heal the group.',11,65535,65535,0,0,0,1,1,'Your Spirit Drain was successful on %t!','Your Spirit Drain fades.','',1,0,'',0,'You cast Spirit Drain on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670588,1384377831,0,1),
(1002616,1692751941,4,1,'Spirit Drain','Grants the warder a new ability that allows them to absorb health from the target encounter and heal the group.',11,65535,65535,0,0,0,1,1,'Your Spirit Drain was successful on %t!','Your Spirit Drain fades.','',1,0,'',0,'You cast Spirit Drain on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670588,1384377902,0,1),
(1002617,1769135507,4,1,'Spirit Drain','Grants the warder a new ability that allows them to absorb health from the target encounter and heal the group.',11,65535,65535,0,0,0,1,1,'Your Spirit Drain was successful on %t!','Your Spirit Drain fades.','',1,0,'',0,'You cast Spirit Drain on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670588,1384377831,0,1),
(1002618,763371739,4,1,'Spirit Drain','Grants the warder a new ability that allows them to absorb health from the target encounter and heal the group.',11,65535,65535,0,0,0,1,1,'Your Spirit Drain was successful on %t!','Your Spirit Drain fades.','',1,0,'',0,'You cast Spirit Drain on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670588,1384377903,0,1),
(1002619,1327801394,4,0,'Spirit and Body','Increases Maximum Health and Power.',249,65535,65535,0,0,0,0,0,'Your Spirit and Body was successful on %t!','Your Spirit and Body fades.','',1,0,'Spells/AA/SpiritandBody.lua',0,'You cast Spirit and Body on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670588,1384377916,0,1),
(1002620,3078738385,4,0,'Spirit of Druidism','Grants the druid a chance to apply a small ward and increase the group''s Ability Modifier and Casting Speed following any successful attack.',868,65535,317,0,0,0,0,1,'Your Spirit of Druidism was successful on %t!','Your Spirit of Druidism fades.','',1,0,'',0,'You cast Spirit of Druidism on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670588,1384377911,0,1),
(1002621,1544074010,4,0,'Spirit of Restoration','When the beastlord is in Feral Rampage or Spirituality, their warder will regenerate power over time. Additionally, using Advantages will make the beastlord''s warder immune to indirect area of effect abilities for a short duration.',15,65535,65535,0,0,0,0,1,'Your Spirit of Restoration was successful on %t!','Your Spirit of Restoration fades.','',1,0,'',0,'You cast Spirit of Restoration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670588,1384377899,0,1),
(1002622,1196197992,4,1,'Spirit of Savagery','Improves the amount of Savagery gained from Savage Spirit.',855,65535,317,0,0,0,1,1,'Your Spirit of Savagery was successful on %t!','Your Spirit of Savagery fades.','',1,0,'',0,'You cast Spirit of Savagery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670588,1384377909,0,1),
(1002623,378809983,4,1,'Spirit of Vah Kerrath','Grants an increase to overall intelligence.  The amount of intelligence gained will increase as you level.',237,65535,314,0,0,0,1,0,'Your Spirit of Vah Kerrath was successful on %t!','Your Spirit of Vah Kerrath fades.','',0,1,'Spells/Traits/SpiritofVahKerrath.lua',0,'You cast Spirit of Vah Kerrath on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670588,1384378109,0,1),
(1002624,4253646372,4,0,'Spirit of the Ancients','Grants the Ancestral Sentry additional health and mitigation for physical attacks.  In addition, the recast time of Ancestral Sentry will be reduced.',74,65535,65535,0,0,0,0,1,'Your Spirit of the Ancients was successful on %t!','Your Spirit of the Ancients fades.','',1,0,'',0,'You cast Spirit of the Ancients on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670588,1384377831,0,1),
(1002625,2944735461,4,0,'Spirit of the Underworld','Adds additional strength and agility components while increasing the stamina and intelligence of Teachings of the Underworld.',159,65535,314,0,0,0,0,1,'Your Spirit of the Underworld was successful on %t!','Your Spirit of the Underworld fades.','',1,0,'',0,'You cast Spirit of the Underworld on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670588,1384377838,0,1),
(1002626,131658974,4,1,'Spirit''s Reinforcement','Greatly increases maximum health of the beastlord''s warder.',43,65535,317,0,0,0,1,1,'Your Spirit''s Reinforcement was successful on %t!','Your Spirit''s Reinforcement fades.','',1,0,'',0,'You cast Spirit''s Reinforcement on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670588,1384377904,0,1),
(1002627,2560270978,4,1,'Spiritarmor','Spiritual Dominion grants increased mitigation to the group. The effect is multiplied by the amount of increments of Spiritual Dominion.',153,65535,314,0,0,0,1,1,'Your Spiritarmor was successful on %t!','Your Spiritarmor fades.','',1,0,'',0,'You cast Spiritarmor on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670588,1384377905,0,1),
(1002628,553010730,4,1,'Spiritblade','The mystic''s temporary augmentations will apply an effect that triggers extra damage.',16,65535,65535,0,0,0,1,1,'Your Spiritblade was successful on %t!','Your Spiritblade fades.','',1,0,'',0,'You cast Spiritblade on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670588,1384377899,0,1),
(1002629,519237486,4,1,'Spiritrealm','Improves the range and radius of the defiler''s beneficial and impairment spells.',83,65535,65535,0,0,0,1,1,'Your Spiritrealm was successful on %t!','Your Spiritrealm fades.','',1,0,'',0,'You cast Spiritrealm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670588,1384377909,0,1),
(1002630,1926130061,4,1,'Spirits of Midnight','Bolster has a chance to finish the reuse of Oberon.',199,65535,317,0,0,0,1,1,'Your Spirits of Midnight was successful on %t!','Your Spirits of Midnight fades.','',1,0,'',0,'You cast Spirits of Midnight on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670588,1384377907,0,1),
(1002631,3296720237,4,0,'Spiritual Arrows','The shaper has a chance to heal their group whenever they land a ranged attack.',53,65535,317,0,0,0,0,1,'Your Spiritual Arrows was successful on %t!','Your Spiritual Arrows fades.','',1,0,'',0,'You cast Spiritual Arrows on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670588,1384377910,0,1),
(1002632,469366875,4,1,'Spiritual Boon','Increases the base amount of health by a small percentage.',356,65535,317,0,0,0,1,0,'Your Spiritual Boon was successful on %t!','Your Spiritual Boon fades.','',0,1,'Spells/Traits/SpiritualBoon.lua',0,'You cast Spiritual Boon on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670588,1384378109,0,1),
(1002633,4247684034,4,0,'Spiritual Foresight','Grants the Prophet''s spirit companion immunity to area effect abilities that do not directly target them. Every time the spirit companion strikes an enemy in combat, there is a chance that nearby group members can also avoid area effect abilities for a short duration, causing less harm to them.',579,65535,65535,0,0,0,0,1,'Your Spiritual Foresight was successful on %t!','Your Spiritual Foresight fades.','',1,0,'',0,'You cast Spiritual Foresight on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670588,1384377900,0,1),
(1002634,3643734509,4,0,'Spiritual Leadership','As a chieftain of the tribe, shamans provide spiritual leadership.  This leadership allows the chieftain to protect their group when they go into Tribal Rage.',589,65535,65535,0,0,0,0,1,'Your Spiritual Leadership was successful on %t!','Your Spiritual Leadership fades.','',1,0,'',0,'You cast Spiritual Leadership on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670588,1384377906,0,1),
(1002635,2927780146,4,1,'Spiritual Mastery','The beastlord''s Spirituality effect will last longer.',655,65535,65535,0,0,0,1,1,'Your Spiritual Mastery was successful on %t!','Your Spiritual Mastery fades.','',1,0,'',0,'You cast Spiritual Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670588,1384377838,0,1),
(1002636,3366231788,4,1,'Spiritual Medium','Makes Ancestral Avatar apply to the group.',243,65535,314,0,0,0,1,1,'Your Spiritual Medium was successful on %t!','Your Spiritual Medium fades.','',1,0,'',0,'You cast Spiritual Medium on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670588,1384377911,0,1),
(1002637,1630729745,4,0,'Spiritual Resolution','Improves the amount of mitigation granted by Spiritual Stance.',799,65535,317,0,0,0,0,1,'Your Spiritual Resolution was successful on %t!','Your Spiritual Resolution fades.','',1,0,'',0,'You cast Spiritual Resolution on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670589,1384377901,0,1),
(1002638,1271752619,4,1,'Spiritual Restoration','The warder has a chance to restore their power when attacking.',11,65535,65535,0,0,0,1,1,'Your Spiritual Restoration was successful on %t!','Your Spiritual Restoration fades.','',1,0,'',0,'You cast Spiritual Restoration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670590,1384377831,0,1),
(1002639,2676145747,4,1,'Spiritual Restoration','The warder has a chance to restore their power when attacking.',11,65535,65535,0,0,0,1,1,'Your Spiritual Restoration was successful on %t!','Your Spiritual Restoration fades.','',1,0,'',0,'You cast Spiritual Restoration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670590,1384377908,0,1),
(1002640,2998713176,4,1,'Spiritual Restoration','The warder has a chance to restore their power when attacking.',11,65535,65535,0,0,0,1,1,'Your Spiritual Restoration was successful on %t!','Your Spiritual Restoration fades.','',1,0,'',0,'You cast Spiritual Restoration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670590,1384377902,0,1),
(1002641,3207282318,4,1,'Spiritual Restoration','The warder has a chance to restore their power when attacking.',11,65535,65535,0,0,0,1,1,'Your Spiritual Restoration was successful on %t!','Your Spiritual Restoration fades.','',1,0,'',0,'You cast Spiritual Restoration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670590,1384377831,0,1),
(1002642,2189447845,4,1,'Spiritual Restoration','The warder has a chance to restore their power when attacking.',11,65535,65535,0,0,0,1,1,'Your Spiritual Restoration was successful on %t!','Your Spiritual Restoration fades.','',1,0,'',0,'You cast Spiritual Restoration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670590,1384377831,0,1),
(1002643,760477921,4,1,'Spiritual Restoration','The warder has a chance to restore their power when attacking.',11,65535,65535,0,0,0,1,1,'Your Spiritual Restoration was successful on %t!','Your Spiritual Restoration fades.','',1,0,'',0,'You cast Spiritual Restoration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670590,1384377831,0,1),
(1002644,1587173713,4,1,'Spiritual Restoration','The warder has a chance to restore their power when attacking.',11,65535,65535,0,0,0,1,1,'Your Spiritual Restoration was successful on %t!','Your Spiritual Restoration fades.','',1,0,'',0,'You cast Spiritual Restoration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670590,1384377900,0,1),
(1002645,2353559569,4,0,'Spiritual Salvation','Improves the heal and critical amount of the Transcendence line of spells.',293,65535,314,0,0,0,0,1,'Your Spiritual Salvation was successful on %t!','Your Spiritual Salvation fades.','',1,0,'',0,'You cast Spiritual Salvation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670590,1384377910,0,1),
(1002646,3813326905,4,1,'Spiritual Savagery','The beastlord gains additional savagery while using Spiritual Advantages.',352,65535,317,0,0,0,1,1,'Your Spiritual Savagery was successful on %t!','Your Spiritual Savagery fades.','',1,0,'',0,'You cast Spiritual Savagery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670590,1384377908,0,1),
(1002647,2188195517,4,0,'Spiritual Seal','Enhances the Abhorrent Seal line of spells by allowing them to debuff additional strength, agility and wisdom.',236,65535,315,3343700951,0,0,0,1,'Your Spiritual Seal was successful on %t!','Your Spiritual Seal fades.','',1,0,'',0,'You cast Spiritual Seal on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1585195302,1384377908,0,1),
(1002648,1472643429,4,1,'Spiritual Stability','Immunization allows the target to cast while moving and makes them immune to knockbacks.',90,65535,316,0,0,0,1,1,'Your Spiritual Stability was successful on %t!','Your Spiritual Stability fades.','',1,0,'',0,'You cast Spiritual Stability on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670590,1384377838,0,1),
(1002649,157748735,4,0,'Spiritual Storm','Adds additional damage and causes the Fuliginous Whip and Glacial Flames lines to critical for more.',239,65535,315,0,0,0,0,1,'Your Spiritual Storm was successful on %t!','Your Spiritual Storm fades.','',1,0,'',0,'You cast Spiritual Storm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670590,1384377903,0,1),
(1002650,3387953486,4,1,'Spirituality','',111,65535,317,0,0,0,1,1,'Your Spirituality was successful on %t!','Your Spirituality fades.','',1,0,'',0,'You cast Spirituality on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670590,1384378116,0,1),
(1002651,2554511674,4,1,'Spirituality','Divine runes protect you and allow you to resist arcane attacks better.',183,65535,317,0,0,0,0,0,'Your Spirituality was successful on %t!','Your Spirituality fades.','',0,1,'Spells/Traits/Spirituality.lua',0,'You cast Spirituality on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670590,1384377823,0,1),
(1002652,2805448725,4,0,'Spirituality','Improves the effectiveness of certain types of impairments.',755,65535,317,0,0,0,0,1,'Your Spirituality was successful on %t!','Your Spirituality fades.','',1,0,'',0,'You cast Spirituality on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670590,1384377904,0,1),
(1002653,1550419201,4,0,'Split Channeling','Increases the Doublecast Chance of the caster. The final point adds a trigger to Iceshield, Aura of the Void, Theorems, Prismatic Chaos, Destructive Mind, Hostage and Spell Curse.',876,65535,317,0,0,0,0,0,'Your Split Channeling was successful on %t!','Your Split Channeling fades.','',0,1,'Spells/AA/SplitChanneling.lua',0,'You cast Split Channeling on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670590,1384377902,0,1),
(1002654,2177199002,4,1,'Spontaneous Metamorphosis','You to gain additional hitpoints.',218,65535,65535,0,0,0,1,0,'Your Spontaneous Metamorphosis was successful on %t!','Your Spontaneous Metamorphosis fades.','',0,1,'Spells/Traits/SpontaneousMetamorphosis.lua',0,'You cast Spontaneous Metamorphosis on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670592,1384378109,0,0),
(1002655,3773555756,4,1,'Sprint into Battle','',303,65535,317,0,0,0,1,0,'Your Sprint into Battle was successful on %t!','Your Sprint into Battle fades.','',0,0,'Spells/SprintintoBattle.lua',0,'You cast Sprint into Battle on %t.',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1384670592,1384378109,0,0),
(1002656,1021296975,4,1,'Spry','Not getting hit is the best armor of all!  This trait raises your reflexes by expanding your Agility pool by 4.',90,65535,65535,0,0,0,1,0,'Your Spry was successful on %t!','Your Spry fades.','',0,0,'Spells/Spry.lua',0,'You cast Spry on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670592,1384377823,0,0),
(1002657,4095780065,4,0,'Square in the Back','The swashbuckler has mastered their styles of fighting, allowing them additional bonuses while using their temporary effects.',11,65535,65535,0,0,0,0,1,'Your Square in the Back was successful on %t!','Your Square in the Back fades.','',1,0,'',0,'You cast Square in the Back on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670592,1384377831,0,1),
(1002658,2304960464,4,0,'Stabbed in the Back','The rogue strikes the same spot on the target with each combat art, granting them additional damage with each attack for up to 8 triggers.',11,65535,65535,0,0,0,0,1,'Your Stabbed in the Back was successful on %t!','Your Stabbed in the Back fades.','',1,0,'',0,'You cast Stabbed in the Back on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670592,1384377831,0,1),
(1002659,144849480,4,1,'Stabby','Increases your skills with piercing and ranged based weapons.',310,65535,315,0,0,0,1,0,'Your Stabby was successful on %t!','Your Stabby fades.','',0,1,'Spells/Traits/Stabby.lua',0,'You cast Stabby on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670592,1384378110,0,1),
(1002660,2927561511,4,1,'Stalwart','You recover easily from even the most grievous wounds.  This trait increases the rate at which you regain Health by 5.',497,65535,65535,0,0,0,1,0,'Your Stalwart was successful on %t!','Your Stalwart fades.','',0,1,'Spells/Stalwart.lua',0,'You cast Stalwart on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670592,1384378109,0,0),
(1002661,1088232990,4,1,'Stalwart Aura','When healed, the fighter has a chance to reduce all incoming damage for a short duration. With higher ranks, the trigger chance and trigger reuse are improved.',175,65535,65535,0,0,0,1,1,'Your Stalwart Aura was successful on %t!','Your Stalwart Aura fades.','',1,0,'',0,'You cast Stalwart Aura on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670592,1384377910,0,1),
(1002662,3326336540,4,1,'Stalwart Conviction','Passively increases the amount of health gained from stamina.',43,65535,317,0,0,0,1,1,'Your Stalwart Conviction was successful on %t!','Your Stalwart Conviction fades.','',1,0,'',0,'You cast Stalwart Conviction on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670592,1384377913,0,1),
(1002663,4240894819,4,1,'Stalwart Wall','The guardian gains additional Crit Bonus from Potency.',146,65535,317,0,0,0,1,1,'Your Stalwart Wall was successful on %t!','Your Stalwart Wall fades.','',1,0,'',0,'You cast Stalwart Wall on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670592,1384377908,0,1),
(1002664,2186816993,4,0,'Stamina Shape','Increases the shaper''s maximum health and ranged skill.',497,65535,317,0,0,0,0,0,'Your Stamina Shape was successful on %t!','Your Stamina Shape fades.','',0,1,'',0,'You cast Stamina Shape on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670592,1384377905,0,1),
(1002665,2129017860,4,0,'Stance Mastery','Penalties associated with primary offensive and defensive stances are removed, as well as your Hunker abilities.',695,65535,65535,0,0,0,0,1,'Your Stance Mastery was successful on %t!','Your Stance Mastery fades.','',1,0,'',0,'You cast Stance Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670592,1384377903,0,1),
(1002666,3459252131,4,0,'Steadfast','As long as the Bishop remains in place, they are immune to interruptions, and sometimes stifles.',619,65535,65535,0,0,0,0,1,'Your Steadfast was successful on %t!','Your Steadfast fades.','',1,0,'',0,'You cast Steadfast on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670592,1384377830,0,1),
(1002667,1612135583,4,1,'Steadfast Defender','Not only are you skilled in attacking, you gain an additional chance to block with a shield or deflect an attack.',834,65535,65535,0,0,0,1,0,'Your Steadfast Defender was successful on %t!','Your Steadfast Defender fades.','',0,1,'Spells/Traits/SteadfastDefender.lua',0,'You cast Steadfast Defender on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670592,1384378109,0,1),
(1002668,2108831943,4,0,'Steadfast Resolve','Steadfast Resolve enhances Steadfast by increasing the duration you are immune to stifle and interrupt effects. The final rank of this ability increases the chance of stifle immunity applying to 100%.',619,65535,65535,0,0,0,0,1,'Your Steadfast Resolve was successful on %t!','Your Steadfast Resolve fades.','',1,0,'',0,'You cast Steadfast Resolve on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670592,1384377838,0,1),
(1002669,1919321868,4,0,'Steady Hands','Increases the artisan''s durability gain.',468,65535,317,0,0,0,0,0,'Your Steady Hands was successful on %t!','Your Steady Hands fades.','',0,1,'Spells/AA/SteadyHands.lua',0,'You cast Steady Hands on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670592,1384377902,0,1),
(1002670,2846580372,4,0,'Stealth Mastery','Improves the damage of all stealth based attacks by 10 percent and adds additional critical damage.',807,65535,318,0,0,0,0,1,'Your Stealth Mastery was successful on %t!','Your Stealth Mastery fades.','',1,0,'',0,'You cast Stealth Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670592,1384377903,0,1),
(1002671,2675709565,4,1,'Stealthy Acrobatics','Skilled in the art of stealth and evasion, you will move 15% faster while stealthed or invisible.',341,65535,317,0,0,0,1,0,'Your Stealthy Acrobatics was successful on %t!','Your Stealthy Acrobatics fades.','',0,1,'Spells/Traits/StealthyAcrobatics.lua',0,'You cast Stealthy Acrobatics on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670592,1384378110,0,1),
(1002672,3338922516,4,1,'Stealthy Acrobatics','Skilled in the art of stealth and evasion, you will move 15% faster while stealthed or invisible.',165,65535,317,0,0,0,1,0,'Your Stealthy Acrobatics was successful on %t!','Your Stealthy Acrobatics fades.','',0,1,'Spells/Traits/StealthyAcrobatics.lua',0,'You cast Stealthy Acrobatics on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670592,1384378109,0,1),
(1002673,1910887906,4,0,'Stealthy Ambush','Increases the base damage of Bump and reduces the recast.',567,65535,65535,0,0,0,0,1,'Your Stealthy Ambush was successful on %t!','Your Stealthy Ambush fades.','',1,0,'',0,'You cast Stealthy Ambush on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670592,1384377838,0,1),
(1002674,2941349201,4,0,'Stealthy Avoidance','Coming out of Stalk, this fools the enemy for a short duration allowing you to greatly reduce incoming damage for a short duration.',830,65535,65535,0,0,0,0,1,'Your Stealthy Avoidance was successful on %t!','Your Stealthy Avoidance fades.','',1,0,'',0,'You cast Stealthy Avoidance on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670592,1384377918,0,1),
(1002675,1328087653,4,0,'Stealthy Strike','The Night Strike line will do additional base and critical damage.',301,65535,315,0,0,0,0,1,'Your Stealthy Strike was successful on %t!','Your Stealthy Strike fades.','',1,0,'',0,'You cast Stealthy Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670592,1384377899,0,1),
(1002676,49254958,4,0,'Stealthy Surprise','The assassin strikes with a deadly poison, moving quickly to their target if they are outside of 10 meters.',165,65535,65535,0,0,0,0,1,'Your Stealthy Surprise was successful on %t!','Your Stealthy Surprise fades.','',1,0,'',0,'You cast Stealthy Surprise on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670592,1384377836,0,1),
(1002677,1483289872,4,1,'Steelsing','The troubador gains additional potency from attack speed.',636,65535,317,0,0,0,1,1,'Your Steelsing was successful on %t!','Your Steelsing fades.','',1,0,'',0,'You cast Steelsing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670592,1384377902,0,1),
(1002678,2469909299,4,0,'Stench of Blood','The Bloodcloud line of spells gets an additional bonus to the radius and base damage.  In addition, it gets a slight recast bonus.',207,65535,313,0,0,0,0,1,'Your Stench of Blood was successful on %t!','Your Stench of Blood fades.','',1,0,'',0,'You cast Stench of Blood on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670592,1384377907,0,1),
(1002679,619616582,4,1,'Stifling Assault','Waveform will reduce the attack speed of the target with each increment.',351,65535,317,0,0,0,1,1,'Your Stifling Assault was successful on %t!','Your Stifling Assault fades.','',1,0,'',0,'You cast Stifling Assault on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670592,1384377899,0,1),
(1002680,478999817,4,1,'Storm Call','Raging Whirlwind has a chance to finish the reuse of Call of Storms.',126,65535,65535,0,0,0,1,1,'Your Storm Call was successful on %t!','Your Storm Call fades.','',1,0,'',0,'You cast Storm Call on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670592,1384377907,0,1),
(1002681,326559193,4,1,'Storm of Tunare','Grants the druid an additional group cure spell. Grants group members a damage effect when cured.',11,65535,65535,0,0,0,1,1,'Your Storm of Tunare was successful on %t!','Your Storm of Tunare fades.','',1,0,'',0,'You cast Storm of Tunare on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670592,1384377831,0,1),
(1002682,2125324167,4,1,'Stormbarrier','Casting Stormbearer''s Fury will increase the fury''s maximum health and potency.',161,65535,313,0,0,0,1,1,'Your Stormbarrier was successful on %t!','Your Stormbarrier fades.','',1,0,'',0,'You cast Stormbarrier on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670592,1384377902,0,1),
(1002683,1320475310,4,1,'Stormbringer''s Detonation','The fury''s damage over time effects cause additional damage to surrounding targets when their effects expire.',612,65535,312,0,0,0,1,1,'Your Stormbringer''s Detonation was successful on %t!','Your Stormbringer''s Detonation fades.','',1,0,'',0,'You cast Stormbringer''s Detonation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670592,1384377838,0,1),
(1002684,309431952,4,0,'Stormcaller''s Control','Increases the Stormcaller''s base spell damage.',630,65535,65535,0,0,0,0,1,'Your Stormcaller''s Control was successful on %t!','Your Stormcaller''s Control fades.','',1,0,'',0,'You cast Stormcaller''s Control on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670592,1384377833,0,1),
(1002685,4236242876,4,0,'Stormcaller''s Intelligence','Increases the Stormcaller''s intelligence by 6 for each rank.',566,65535,313,0,0,0,0,1,'Your Stormcaller''s Intelligence was successful on %t!','Your Stormcaller''s Intelligence fades.','',1,0,'',0,'You cast Stormcaller''s Intelligence on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670594,1384377833,0,1),
(1002686,1691127403,4,1,'Stormcaller''s Renewal','Grants the Stormcaller a chance to heal the group on each hostile spell.',191,65535,314,0,0,0,1,1,'Your Stormcaller''s Renewal was successful on %t!','Your Stormcaller''s Renewal fades.','',1,0,'',0,'You cast Stormcaller''s Renewal on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670594,1384377838,0,1),
(1002687,90182736,4,1,'Stormlord','Energy Vortex will reduce the base cast time of Starnova and remove its power cost. Casting Starnova while Energy Vortex is active will restore power to the fury.',550,65535,313,0,0,0,1,1,'Your Stormlord was successful on %t!','Your Stormlord fades.','',1,0,'',0,'You cast Stormlord on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670594,1384377839,0,1),
(1002688,2350193459,4,0,'Stormvision','Increases the Stormcaller''s Focus, Ordination, and Disruption skills.',568,65535,313,0,0,0,0,1,'Your Stormvision was successful on %t!','Your Stormvision fades.','',1,0,'',0,'You cast Stormvision on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670594,1384377905,0,1),
(1002689,1286893302,4,1,'Stout','Any wound is but a scratch and pain means little to you.  This trait makes you more durable by increasing your total Health pool by 2.5 percent.',249,65535,65535,0,0,0,1,0,'Your Stout was successful on %t!','Your Stout fades.','',0,1,'Spells/Stout.lua',0,'You cast Stout on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670594,1384378109,0,0),
(1002690,1275049151,4,1,'Stout Defense','Not only are you skilled in attacking, you gain an additional chance to block with a shield or deflect an attack.',840,65535,318,0,0,0,1,0,'Your Stout Defense was successful on %t!','Your Stout Defense fades.','',0,1,'Spells/Traits/StoutDefense.lua',0,'You cast Stout Defense on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670594,1384377823,0,1),
(1002691,2798395249,4,0,'Stout Warder','Improves the warder''s maximum health.',11,65535,65535,0,0,0,0,1,'Your Stout Warder was successful on %t!','Your Stout Warder fades.','',1,0,'',0,'You cast Stout Warder on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670594,1384377906,0,1),
(1002692,380483009,4,0,'Stout Warder','Improves the warder''s maximum health.',11,65535,65535,0,0,0,0,1,'Your Stout Warder was successful on %t!','Your Stout Warder fades.','',1,0,'',0,'You cast Stout Warder on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670594,1384377904,0,1),
(1002693,1098298464,4,0,'Stout Warder','Improves the warder''s maximum health.',11,65535,65535,0,0,0,0,1,'Your Stout Warder was successful on %t!','Your Stout Warder fades.','',1,0,'',0,'You cast Stout Warder on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670594,1384377913,0,1),
(1002694,3714140636,4,0,'Stout Warder','Improves the warder''s maximum health.',11,65535,65535,0,0,0,0,1,'Your Stout Warder was successful on %t!','Your Stout Warder fades.','',1,0,'',0,'You cast Stout Warder on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670594,1384377906,0,1),
(1002695,3963120175,4,0,'Stout Warder','Improves the warder''s maximum health.',11,65535,65535,0,0,0,0,1,'Your Stout Warder was successful on %t!','Your Stout Warder fades.','',1,0,'',0,'You cast Stout Warder on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670594,1384377907,0,1),
(1002696,3046966730,4,0,'Stout Warder','Improves the warder''s maximum health.',11,65535,65535,0,0,0,0,1,'Your Stout Warder was successful on %t!','Your Stout Warder fades.','',1,0,'',0,'You cast Stout Warder on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670594,1384377838,0,1),
(1002697,2136624201,4,0,'Stout Warder','Improves the warder''s maximum health.',11,65535,65535,0,0,0,0,1,'Your Stout Warder was successful on %t!','Your Stout Warder fades.','',1,0,'',0,'You cast Stout Warder on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670594,1384377902,0,1),
(1002698,3853918005,4,0,'Stout Warder','Improves the warder''s maximum health.',11,65535,65535,0,0,0,0,1,'Your Stout Warder was successful on %t!','Your Stout Warder fades.','',1,0,'',0,'You cast Stout Warder on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670594,1384377901,0,1),
(1002699,3419429559,4,0,'Stout Warder','Improves the warder''s maximum health.',11,65535,65535,0,0,0,0,1,'Your Stout Warder was successful on %t!','Your Stout Warder fades.','',1,0,'',0,'You cast Stout Warder on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670594,1384377838,0,1),
(1002700,3525686820,4,0,'Stout Warder','Improves the warder''s maximum health.',11,65535,65535,0,0,0,0,1,'Your Stout Warder was successful on %t!','Your Stout Warder fades.','',1,0,'',0,'You cast Stout Warder on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670594,1384377836,0,1),
(1002701,838978908,4,0,'Stout Warder','Improves the warder''s maximum health.',11,65535,65535,0,0,0,0,1,'Your Stout Warder was successful on %t!','Your Stout Warder fades.','',1,0,'',0,'You cast Stout Warder on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670594,1384377903,0,1),
(1002702,2697607984,4,0,'Stout Warder','Improves the warder''s maximum health.',11,65535,65535,0,0,0,0,1,'Your Stout Warder was successful on %t!','Your Stout Warder fades.','',1,0,'',0,'You cast Stout Warder on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670594,1384377907,0,1),
(1002703,2355066998,4,0,'Stout Warder','Improves the warder''s maximum health.',11,65535,65535,0,0,0,0,1,'Your Stout Warder was successful on %t!','Your Stout Warder fades.','',1,0,'',0,'You cast Stout Warder on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670594,1384377836,0,1),
(1002704,1131040863,4,0,'Stout Warder','Improves the warder''s maximum health.',11,65535,65535,0,0,0,0,1,'Your Stout Warder was successful on %t!','Your Stout Warder fades.','',1,0,'',0,'You cast Stout Warder on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670594,1384377836,0,1),
(1002705,2758042187,4,0,'Stout Warder','Improves the warder''s maximum health.',11,65535,65535,0,0,0,0,1,'Your Stout Warder was successful on %t!','Your Stout Warder fades.','',1,0,'',0,'You cast Stout Warder on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670594,1384377909,0,1),
(1002706,2995103926,4,0,'Stout Warder','Improves the warder''s maximum health.',11,65535,65535,0,0,0,0,1,'Your Stout Warder was successful on %t!','Your Stout Warder fades.','',1,0,'',0,'You cast Stout Warder on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670594,1384377836,0,1),
(1002707,1334157133,4,0,'Stout Warder','Improves the warder''s maximum health.',11,65535,65535,0,0,0,0,1,'Your Stout Warder was successful on %t!','Your Stout Warder fades.','',1,0,'',0,'You cast Stout Warder on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670594,1384377912,0,1),
(1002708,2177432992,4,0,'Stout Warder','Improves the warder''s maximum health.',11,65535,65535,0,0,0,0,1,'Your Stout Warder was successful on %t!','Your Stout Warder fades.','',1,0,'',0,'You cast Stout Warder on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670594,1384377897,0,1),
(1002709,2329794034,4,0,'Stout Warder','Improves the warder''s maximum health.',11,65535,65535,0,0,0,0,1,'Your Stout Warder was successful on %t!','Your Stout Warder fades.','',1,0,'',0,'You cast Stout Warder on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670594,1384377899,0,1),
(1002710,1504464419,4,1,'Stouthearted','Grants an increase to overall stamina.  The amount of stamina gained will increase as you level.',16,65535,65535,0,0,0,1,1,'Your Stouthearted was successful on %t!','Your Stouthearted fades.','',1,0,'',0,'You cast Stouthearted on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670599,1384377875,0,1),
(1002711,1516680283,4,0,'Strategic Assault','Adds additional damage and decreases the casting time of the Assault line of skills.',343,65535,313,0,0,0,0,1,'Your Strategic Assault was successful on %t!','Your Strategic Assault fades.','',1,0,'',0,'You cast Strategic Assault on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670599,1384377912,0,1),
(1002712,1059318464,4,0,'Strength Within','Increases the fighter''s strength.',23,65535,317,0,0,0,0,0,'Your Strength Within was successful on %t!','Your Strength Within fades.','',1,0,'Spells/AA/StrengthWithin.lua',0,'You cast Strength Within on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670599,1384377907,0,1),
(1002713,2279443404,4,0,'Strength in Combat','Increases the base combat art damage of the Inquisitor.',79,65535,65535,0,0,0,0,1,'Your Strength in Combat was successful on %t!','Your Strength in Combat fades.','',1,0,'',0,'You cast Strength in Combat on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670599,1384377836,0,1),
(1002714,1885502471,4,0,'Strength of Mind','Grants the fighter a chance to resist certain control effects.',294,65535,317,0,0,0,0,1,'Your Strength of Mind was successful on %t!','Your Strength of Mind fades.','',1,0,'',0,'You cast Strength of Mind on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670599,1384377910,0,1),
(1002715,2667049027,4,0,'Strength of the Elements','Improves base auto-attack, damage, taunts and heals of the Conjuror''s pet.',895,65535,65535,0,0,0,0,1,'Your Strength of the Elements was successful on %t!','Your Strength of the Elements fades.','',1,0,'',0,'You cast Strength of the Elements on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670599,1384377907,0,1),
(1002716,1456568137,4,0,'Strengthened Links','Adds additional physical mitigation to defensive based stances and defensive skill bonus songs.',828,65535,65535,0,0,0,0,1,'Your Strengthened Links was successful on %t!','Your Strengthened Links fades.','',1,0,'',0,'You cast Strengthened Links on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670599,1384377831,0,1),
(1002717,1770944162,4,1,'Stride','Increases the run speed of the Sarnak by an additional 5%.',90,65535,317,0,0,0,1,0,'Your Stride was successful on %t!','Your Stride fades.','',1,0,'Spells/Stride.lua',0,'You cast Stride on %t.',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1384670599,1384378109,0,1),
(1002718,2943016734,4,0,'Strike of the Arch Bishop','Adds an additional damage, critical chance and critical amount to the Divine Strike line of spells.',607,65535,65535,0,0,0,0,1,'Your Strike of the Arch Bishop was successful on %t!','Your Strike of the Arch Bishop fades.','',1,0,'',0,'You cast Strike of the Arch Bishop on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670599,1384377903,0,1),
(1002719,1116487864,4,0,'Strike of the Mage','Improves the base and critical damage of the Solar Flare, Dissolve, Crystal Blast, Soulrot, Hemorrhage, and Ultraviolet Beam lines of spells.',161,65535,315,0,0,0,0,1,'Your Strike of the Mage was successful on %t!','Your Strike of the Mage fades.','',1,0,'',0,'You cast Strike of the Mage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670599,1384377831,0,1),
(1002720,786835696,4,0,'Strong','Strength to destroy your enemies! This trait makes you more powerful by bestowing 4 Strength.',89,65535,65535,0,0,0,0,1,'Your Strong was successful on %t!','Your Strong fades.','',1,0,'',0,'You cast Strong on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670599,1384378109,0,1),
(1002721,3541271222,4,1,'Strong Additives','Your knowledge of the arcane arts helps to increase the duration of tradeskilled potions.',845,65535,65535,0,0,0,1,1,'Your Strong Additives was successful on %t!','Your Strong Additives fades.','',1,0,'',0,'You cast Strong Additives on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670599,1384378109,0,1),
(1002722,2910942818,4,1,'Strong Additives','Your knowledge of the arcane arts helps to increase the duration of tradeskilled potions.',845,65535,65535,0,0,0,1,1,'Your Strong Additives was successful on %t!','Your Strong Additives fades.','',1,0,'',0,'You cast Strong Additives on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670599,1384378109,0,1),
(1002723,2335950247,4,1,'Strong Blood','Increases your resistance to noxious based attacks.',259,65535,65535,0,0,0,0,0,'Your Strong Blood was successful on %t!','Your Strong Blood fades.','',0,1,'Spells/Traits/StrongBlood.lua',0,'You cast Strong Blood on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670599,1384378109,0,1),
(1002724,3923110073,4,0,'Strong Hearted','Improves the beastlord''s maximum health.',497,65535,65535,0,0,0,0,0,'Your Strong Hearted was successful on %t!','Your Strong Hearted fades.','',0,1,'Spells/AA/StrongHearted.lua',0,'You cast Strong Hearted on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670599,1384377833,0,1),
(1002725,3095210281,4,1,'Stubborn, But Wise','Your devotion to the gods allows you to have increased wisdom.  The amount of wisdom will increase as you gain levels.',294,65535,317,0,0,0,1,0,'Your Stubborn, But Wise was successful on %t!','Your Stubborn, But Wise fades.','',0,1,'Spells/Traits/StubbornButWise.lua',0,'You cast Stubborn, But Wise on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670599,1384377823,0,1),
(1002726,2126496925,4,1,'Stubborness','Your practice of combat gives you additional skill in defense, parry and deflection.',294,65535,65535,0,0,0,1,0,'Your Stubborness was successful on %t!','Your Stubborness fades.','',0,1,'Spells/Traits/Stubborness.lua',0,'You cast Stubborness on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670599,1384378109,0,1),
(1002727,1952352049,4,0,'Low Blow','The Stunning Blow series of combat arts gains additional damage and will critical for more.',291,65535,315,1519965519,0,0,0,1,'Your Stunning Blow was successful on %t!','Your Stunning Blow fades.','',1,1,'',0,'You cast Stunning Blow on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670599,1384377899,0,1),
(1002728,1448873409,4,0,'Stunning Lullaby','Stunning Lullaby adds a short duration stun to the target when Lullaby wears off.',477,65535,315,0,0,0,0,1,'Your Stunning Lullaby was successful on %t!','Your Stunning Lullaby fades.','',1,0,'',0,'You cast Stunning Lullaby on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670599,1384377909,0,1),
(1002729,2454664204,4,0,'Stunning Mesmerization','Adds a short stun to the end of the enchanter''s primary mesmerize spell.',477,65535,315,0,0,0,0,1,'Your Stunning Mesmerization was successful on %t!','Your Stunning Mesmerization fades.','',1,0,'',0,'You cast Stunning Mesmerization on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670599,1384377904,0,1),
(1002730,224565744,4,1,'Sturdy','Your durability is the stuff of legend. This trait makes you more robust by increasing your total Health pool by 2.5 percent.',249,65535,65535,0,0,0,0,0,'Your Sturdy was successful on %t!','Your Sturdy fades.','',0,0,'Spells/Sturdy.lua',0,'You cast Sturdy on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670601,1384378109,0,0),
(1002731,2595112385,4,1,'Sturdy Bones','Your increased stamina allows you to absorb damage from falling more readily.',304,65535,317,0,0,0,1,0,'Your Sturdy Bones was successful on %t!','Your Sturdy Bones fades.','',0,1,'Spells/Traits/SturdyBones.lua',0,'You cast Sturdy Bones on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670601,1384378109,0,1),
(1002732,4285037315,4,1,'Sturdy Feet','Your increased stamina allows you to absorb damage from falling more readily.',304,65535,317,0,0,0,1,0,'Your Sturdy Feet was successful on %t!','Your Sturdy Feet fades.','',0,1,'Spells/Traits/SturdyFeet.lua',0,'You cast Sturdy Feet on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670601,1384378109,0,1),
(1002733,420251402,4,1,'Sturdy Provoker','Attacking has a chance to finish the cooldown on Mountain Stance.',329,65535,317,0,0,0,1,1,'Your Sturdy Provoker was successful on %t!','Your Sturdy Provoker fades.','',1,0,'',0,'You cast Sturdy Provoker on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670601,1384377917,0,1),
(1002734,972052205,4,0,'Sturdy Scales','Increases the physical mitigation of the priest.',358,65535,317,0,0,0,0,0,'Your Sturdy Scales was successful on %t!','Your Sturdy Scales fades.','',0,1,'Spells/AA/SturdyScales.lua',0,'You cast Sturdy Scales on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670601,1384377905,0,1),
(1002735,4263394980,4,1,'Style and Presence','Perfect Shrill has a chance to finish the reuse of Painful Lamentations.',171,65535,65535,0,0,0,1,1,'Your Style and Presence was successful on %t!','Your Style and Presence fades.','',1,0,'',0,'You cast Style and Presence on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670601,1384377900,0,1),
(1002736,487148014,4,0,'Subtle Movements','Improves the damage and accuracy of Evasive Maneuvers.',831,65535,315,0,0,0,0,1,'Your Subtle Movements was successful on %t!','Your Subtle Movements fades.','',1,0,'',0,'You cast Subtle Movements on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670601,1384377833,0,1),
(1002737,909185602,4,1,'Successful Creations','You gain a slight improvement to your chance to succeed and gain additional durability while tradeskilling.',420,65535,65535,0,0,0,1,0,'Your Successful Creations was successful on %t!','Your Successful Creations fades.','',0,1,'Spells/Traits/SuccessfulCreations.lua',0,'You cast Successful Creations on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670601,1384377823,0,1),
(1002738,105715334,4,0,'Summon Crafting Stations','Grants the ability to summon mobile crafting stations.  Higher ranks of this ability lower the cooldown on the station summons.',561,65535,317,0,0,0,0,1,'Your Summon Crafting Stations was successful on %t!','Your Summon Crafting Stations fades.','',1,0,'',0,'You cast Summon Crafting Stations on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670601,1384377834,0,1),
(1002739,678429434,4,0,'Summon Familiar','Summon Familiar grants the player three familiar spells.  The familiars are non combat but grant small benefits to the sorcerer. This ability also grants 4 intelligence and stamina passively per rank.',595,65535,317,0,0,0,0,0,'Your Summon Familiar was successful on %t!','Your Summon Familiar fades.','',1,0,'Spells/AA/SummonFamiliar.lua',0,'You cast Summon Familiar on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670601,1384377905,0,1),
(1002740,3208735355,4,0,'Summoner''s Soothing','The summoner will gain hate at a slower rate than normal.',906,65535,65535,0,0,0,0,1,'Your Summoner''s Soothing was successful on %t!','Your Summoner''s Soothing fades.','',1,0,'',0,'You cast Summoner''s Soothing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670601,1384377837,0,1),
(1002741,4103151386,4,1,'Sunwall','The warden''s primary heals over time grant the target increased mitigation.',278,65535,65535,0,0,0,1,1,'Your Sunwall was successful on %t!','Your Sunwall fades.','',1,0,'',0,'You cast Sunwall on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670601,1384377912,0,1),
(1002742,4208231963,4,0,'Supercharge','Using Barrage and Vengeful Arrow will build increments and increase the amount healed by Healing Arrow.',859,65535,317,0,0,0,0,1,'Your Supercharge was successful on %t!','Your Supercharge fades.','',1,0,'',0,'You cast Supercharge on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670601,1384377897,0,1),
(1002743,1666613823,4,0,'Superheated','Improves the damage dealt by Fiery Blast.',276,65535,315,0,0,0,0,1,'Your Superheated was successful on %t!','Your Superheated fades.','',1,0,'',0,'You cast Superheated on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670601,1384377903,0,1),
(1002744,1557742993,4,1,'Supernatural Speed','Agile races gain an additional chance to double attack with melee and ranged weapons.',844,65535,65535,0,0,0,1,1,'Your Supernatural Speed was successful on %t!','Your Supernatural Speed fades.','',1,0,'',0,'You cast Supernatural Speed on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670601,1384378110,0,1),
(1002745,372338348,4,1,'Surrounding Attacks','Grants the Hunter an increased chance at attacking up to 4 enemies surrounding the Hunter with every auto-attack attempt.',649,65535,65535,0,0,0,1,1,'Your Surrounding Attacks was successful on %t!','Your Surrounding Attacks fades.','',1,0,'',0,'You cast Surrounding Attacks on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670601,1384377834,0,1),
(1002746,1879148507,4,1,'Sustained Sustenance','Increases the duration of tradeskilled drinks by a small amount.',131,65535,65535,0,0,0,1,0,'Your Sustained Sustenance was successful on %t!','Your Sustained Sustenance fades.','',1,0,'Spells/SustainedSustenance.lua',0,'You cast Sustained Sustenance on %t.',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1384670601,1384378109,0,1),
(1002747,935610280,4,1,'Swamp Water','Your divine skills allow you to purify drinks, allowing them to last longer than normal.',131,65535,65535,0,0,0,1,1,'Your Swamp Water was successful on %t!','Your Swamp Water fades.','',1,0,'',0,'You cast Swamp Water on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670601,1384378110,0,1),
(1002748,3694875041,4,0,'Swarthy Expertise','The swashbuckler has mastered their styles of fighting, allowing them additional bonuses while using their temporary effects.',927,65535,65535,0,0,0,0,1,'Your Swarthy Expertise was successful on %t!','Your Swarthy Expertise fades.','',1,0,'',0,'You cast Swarthy Expertise on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670601,1384377909,0,1),
(1002749,2867487405,4,0,'Swift Creation','Improves the rate at which you gain progress while crafting.',11,65535,65535,0,0,0,0,1,'Your Swift Creation was successful on %t!','Your Swift Creation fades.','',1,0,'',0,'You cast Swift Creation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670601,1384377836,0,1),
(1002750,1666142671,4,0,'Swift Creation','Improves the rate at which you gain progress while crafting.',798,65535,317,0,0,0,0,0,'Your Swift Creation was successful on %t!','Your Swift Creation fades.','',0,1,'Spells/AA/SwiftCreation.lua',0,'You cast Swift Creation on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670601,1384377839,0,1),
(1002751,4221905391,4,0,'Swift Journey','Allows you to move faster while on a mount.',793,65535,318,0,0,0,0,0,'Your Swift Journey was successful on %t!','Your Swift Journey fades.','',0,1,'Spells/AA/SwiftJourney.lua',0,'You cast Swift Journey on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670601,1384377836,0,1),
(1002752,314705027,4,1,'Swift Recovery','While out of combat, your power will regenerate faster than normal.',45,65535,65535,0,0,0,1,0,'Your Swift Recovery was successful on %t!','Your Swift Recovery fades.','',0,1,'Spells/Traits/SwiftRecovery.lua',0,'You cast Swift Recovery on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670601,1384378109,0,1),
(1002753,3971828236,4,1,'Swift Scamper','While tradeskilling, you will progress through creating an item faster than normal.\n',420,65535,317,0,0,0,1,0,'Your Swift Scamper was successful on %t!','Your Swift Scamper fades.','',0,1,'Spells/Traditions/SwiftScamper.lua',0,'You cast Swift Scamper on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670601,1384377823,0,1),
(1002754,2451853114,4,1,'Swift Scurry','Increases the avoidance of the ratonga by an additional 2%.',90,65535,317,0,0,0,1,0,'Your Swift Scurry was successful on %t!','Your Swift Scurry fades.','',0,0,'Spells/SwiftScurry.lua',0,'You cast Swift Scurry on %t.',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1384670601,1384377823,0,1),
(1002755,4070204518,4,0,'Swift Strides','Increases your base run speed while out of combat.',794,65535,317,0,0,0,0,0,'Your Swift Strides was successful on %t!','Your Swift Strides fades.','',0,1,'Spells/AA/SwiftStrides.lua',0,'You cast Swift Strides on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670603,1384377917,0,1),
(1002756,671284067,4,1,'Swift Swings','Agile races gain an additional chance to double attack with melee and ranged weapons.',302,65535,317,0,0,0,1,0,'Your Swift Swings was successful on %t!','Your Swift Swings fades.','',0,1,'Spells/Traits/SwiftSwings.lua',0,'You cast Swift Swings on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670603,1384378109,0,1),
(1002757,4172297810,4,1,'Swift Swings','Agile races gain an additional chance to double attack with melee and ranged weapons.',307,65535,317,0,0,0,1,0,'Your Swift Swings was successful on %t!','Your Swift Swings fades.','',0,1,'Spells/Traits/SwiftSwings.lua',0,'You cast Swift Swings on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670603,1384377823,0,1),
(1002758,2466933629,4,1,'Swift Swings','Agile races gain an additional chance to double attack with melee and ranged weapons.',470,65535,317,0,0,0,1,0,'Your Swift Swings was successful on %t!','Your Swift Swings fades.','',0,1,'Spells/Traits/SwiftSwings.lua',0,'You cast Swift Swings on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670603,1384378110,0,1),
(1002759,3987398468,4,0,'Swift Voices','Allegro will also grant recovery time to the group.',568,65535,65535,0,0,0,0,1,'Your Swift Voices was successful on %t!','Your Swift Voices fades.','',1,0,'',0,'You cast Swift Voices on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670603,1384377905,0,1),
(1002760,2205015117,4,0,'Swift Wings','Increases the scout''s agility.',608,65535,317,0,0,0,0,0,'Your Swift Wings was successful on %t!','Your Swift Wings fades.','',0,1,'Spells/AA/SwiftWings.lua',0,'You cast Swift Wings on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670603,1384377833,0,1),
(1002761,3523672213,4,0,'Swift Wings','Increases the duration of Crane Flock.',344,65535,314,0,0,0,0,1,'Your Swift Wings was successful on %t!','Your Swift Wings fades.','',1,0,'',0,'You cast Swift Wings on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670603,1384377910,0,1),
(1002762,4165768335,4,0,'Swinging Strike','Swinging Strike adds additional base and critical damage to the Overpower, Rupture, Faith Strike, Painbringer, Pummel, and Waking Dragon line of combat arts.',302,65535,315,0,0,0,0,1,'Your Swinging Strike was successful on %t!','Your Swinging Strike fades.','',1,0,'',0,'You cast Swinging Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670603,1384377899,0,1),
(1002763,946239910,4,0,'Swiping Blades','Improves the trigger chance of Whirling Blades and its upgrades.  This also increases the damage inflicted by Swipe.',296,65535,317,0,0,0,0,1,'Your Swiping Blades was successful on %t!','Your Swiping Blades fades.','',1,0,'',0,'You cast Swiping Blades on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670603,1384377904,0,1),
(1002764,1818082613,4,0,'Symbiotic Bond','Improves the siphon and transfer amounts of Symbiosis.',581,65535,65535,0,0,0,0,1,'Your Symbiotic Bond was successful on %t!','Your Symbiotic Bond fades.','',1,0,'',0,'You cast Symbiotic Bond on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670603,1384377907,0,1),
(1002765,2667699574,4,0,'Systematic Conservation','Refunds a portion of a recipes build components upon recipe completion.',45,65535,317,0,0,0,0,1,'Your Systematic Conservation was successful on %t!','Your Systematic Conservation fades.','',1,0,'',0,'You cast Systematic Conservation on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670603,1384377839,0,1),
(1002766,3178858397,4,0,'Tactical Precision','Tactical Precision adds additional effects to the brawler''s Calm Tranquility and Brutality lines of raid wide buffs.  These effects give the raid additional accuracy and a lower chance for spells to be resisted.',328,65535,314,0,0,0,0,1,'Your Tactical Precision was successful on %t!','Your Tactical Precision fades.','',1,0,'',0,'You cast Tactical Precision on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670603,1384377910,0,1),
(1002767,3447454560,4,0,'Tactical Wisdom','Tactical Wisdom improves the warrior''s stances to include mitigation and accuracy.',41,65535,65535,0,0,0,0,1,'Your Tactical Wisdom was successful on %t!','Your Tactical Wisdom fades.','',1,0,'',0,'You cast Tactical Wisdom on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670603,1384377909,0,1),
(1002768,3145056190,4,0,'Tainted Heals','For every Manipulation spell you cast, your pet is healed.',180,65535,65535,0,0,0,0,1,'Your Tainted Heals was successful on %t!','Your Tainted Heals fades.','',1,0,'',0,'You cast Tainted Heals on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670603,1384377834,0,1),
(1002769,2693314782,4,1,'Tasty Brew','Your divine skills allow you to purify drinks, allowing them to last longer than normal.',131,65535,65535,0,0,0,1,1,'Your Tasty Brew was successful on %t!','Your Tasty Brew fades.','',1,0,'',0,'You cast Tasty Brew on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670603,1384378109,0,1),
(1002770,2609926329,4,1,'Tasty Things','Trolls are actually quite skilled at making food, resulting in their meals having a longer lasting duration.',131,65535,65535,0,0,0,1,0,'Your Tasty Things was successful on %t!','Your Tasty Things fades.','',1,0,'Spells/TastyThings.lua',0,'You cast Tasty Things on %t.',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1384670603,1384377823,0,1),
(1002771,4234180544,4,1,'Teachings of Bayle','Increases your base defense and disruption skills.',566,65535,65535,0,0,0,1,0,'Your Teachings of Bayle was successful on %t!','Your Teachings of Bayle fades.','',0,1,'Spells/Traits/TeachingsofBayle.lua',0,'You cast Teachings of Bayle on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670603,1384378109,0,1),
(1002772,2177586650,4,0,'Teachings of Brell','Reduces the power cost of using the sage reaction arts.',159,65535,317,0,0,0,0,1,'Your Teachings of Brell was successful on %t!','Your Teachings of Brell fades.','',1,0,'',0,'You cast Teachings of Brell on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670603,1384378109,0,1),
(1002773,3254264155,4,1,'Teachings of the Frostreavers','Increases your skills with crushing and slashing based weapons.',470,65535,317,0,0,0,1,1,'Your Teachings of the Frostreavers was successful on %t!','Your Teachings of the Frostreavers fades.','',1,0,'',0,'You cast Teachings of the Frostreavers on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670603,1384377877,0,1),
(1002774,3578117675,4,0,'Teamwork','The Cabalist''s scout pet will increase the group''s Damage Per Second, the mage pet will increase the group''s Potency, the fighter pet will grant a chance to reduce incoming damage and the priest pet will increase the group''s maximum health.',557,65535,65535,0,0,0,0,1,'Your Teamwork was successful on %t!','Your Teamwork fades.','',1,0,'',0,'You cast Teamwork on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670603,1384377901,0,1),
(1002775,3093498334,4,0,'Technician','Reduces the Dissonance cost of Slot 1 and 2 Conduits.',27,65535,317,0,0,0,0,1,'Your Technician was successful on %t!','Your Technician fades.','',1,0,'',0,'You cast Technician on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670603,1384377910,0,1),
(1002776,2286479019,4,0,'Tempest of the Elements','Adds an elemental debuff to the Tempest line of spells.',511,65535,315,0,0,0,0,1,'Your Tempest of the Elements was successful on %t!','Your Tempest of the Elements fades.','',1,0,'',0,'You cast Tempest of the Elements on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670603,1384377906,0,1),
(1002777,3878569683,4,0,'Templar''s Restoration','Improves the heal and critical amount of the Restoration line of spells.',468,65535,316,0,0,0,0,1,'Your Templar''s Restoration was successful on %t!','Your Templar''s Restoration fades.','',1,0,'',0,'You cast Templar''s Restoration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670603,1384377902,0,1),
(1002778,2468278724,4,0,'Tendon Slice','Adds additional offensive debuffing to the Torture line.',310,65535,315,0,0,0,0,1,'Your Tendon Slice was successful on %t!','Your Tendon Slice fades.','',1,0,'',0,'You cast Tendon Slice on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670603,1384377918,0,1),
(1002779,20980725,4,1,'Tenet of Takish''Hiz','Increases your resistance to arcane based attacks.',185,65535,65535,0,0,0,1,0,'Your Tenet of Takish''Hiz was successful on %t!','Your Tenet of Takish''Hiz fades.','',0,1,'Spells/Traits/TenetofTakishHiz.lua',0,'You cast Tenet of Takish''Hiz on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670603,1384378109,0,0),
(1002780,2604719187,4,0,'Tenure','Increases the duration of all your attack-based combat arts and poisons.',223,65535,65535,0,0,0,0,1,'Your Tenure was successful on %t!','Your Tenure fades.','',1,0,'',0,'You cast Tenure on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670605,1384377833,0,1),
(1002781,434582052,4,1,'Terrain Negotiation','Increases the run speed of the wood elf by an additional 5%.',90,65535,317,0,0,0,1,0,'Your Terrain Negotiation was successful on %t!','Your Terrain Negotiation fades.','',0,0,'Spells/TerrainNegotiation.lua',0,'You cast Terrain Negotiation on %t.',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1579070555,1384377823,0,1),
(1002782,124079249,4,0,'Terrify','When the fighter falls below 50% health, they will reduce the damage dealt by nearby enemies.',204,65535,313,0,0,0,0,1,'Your Terrify was successful on %t!','Your Terrify fades.','',1,0,'',0,'You cast Terrify on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670605,1384377901,0,1),
(1002783,565576905,4,1,'The Might of Bristlebane','Grants an increase to overall agility.  The amount of agility gained will increase as you level.',841,65535,65535,0,0,0,1,0,'Your The Might of Bristlebane was successful on %t!','Your The Might of Bristlebane fades.','',0,1,'Spells/Traits/TheMightofBristlebane.lua',0,'You cast The Might of Bristlebane on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670605,1384378109,0,1),
(1002784,4029358596,4,1,'Theoretical Improvements','Grants a small amount of normalized healing and damage which scales with level.',88,65535,65535,0,0,0,1,0,'Your Theoretical Improvements was successful on %t!','Your Theoretical Improvements fades.','',0,1,'Spells/Traits/TheoreticalImprovements.lua',0,'You cast Theoretical Improvements on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670605,1384378109,0,1),
(1002785,1953571666,4,1,'Theorical Improvements','Your increased knowledge allows to restore power faster while fighting in combat.',53,65535,65535,0,0,0,1,0,'Your Theorical Improvements was successful on %t!','Your Theorical Improvements fades.','',0,1,'Spells/Traits/TheoricalImprovements.lua',0,'You cast Theorical Improvements on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670605,1384377823,0,1),
(1002786,2431303493,4,0,'Theurgist''s Strength','Increases the Theurgist''s strength by 8 for each rank.',2,65535,65535,0,0,0,0,1,'Your Theurgist''s Strength was successful on %t!','Your Theurgist''s Strength fades.','',1,0,'',0,'You cast Theurgist''s Strength on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670605,1384377833,0,1),
(1002787,2128928361,4,0,'Theurgistic Prowess','Theurgists command mystical forces like no other. Theurgistic Prowess increases the casting skills of the summoner.',624,65535,65535,0,0,0,0,1,'Your Theurgistic Prowess was successful on %t!','Your Theurgistic Prowess fades.','',1,0,'',0,'You cast Theurgistic Prowess on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670605,1384377833,0,1),
(1002788,3035397809,4,0,'Thief''s Intelligence','Increases the Thief''s intelligence by 7 for each rank.',566,65535,65535,0,0,0,0,1,'Your Thief''s Intelligence was successful on %t!','Your Thief''s Intelligence fades.','',1,0,'',0,'You cast Thief''s Intelligence on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670605,1384377833,0,1),
(1002789,3196170572,4,0,'Thieving Ways','Grants all ratonga skill in disarming traps on treasure chests.',375,65535,65535,0,0,0,0,0,'Your Thieving Ways was successful on %t!','Your Thieving Ways fades.','',1,0,'Spells/ThievingWays.lua',0,'You cast Thieving Ways on %t.',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1384670605,1384378109,0,1),
(1002790,3643284939,4,0,'Thirst for Blood','When the beastlord strikes a target that is lower than 30% health, they will inflict more damage.',883,65535,317,0,0,0,0,1,'Your Thirst for Blood was successful on %t!','Your Thirst for Blood fades.','',1,0,'',0,'You cast Thirst for Blood on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670605,1384377902,0,1),
(1002791,3327076896,4,1,'Thoughts of Felwithe','Your increased knowledge allows to restore power faster while fighting in combat.',40,65535,65535,0,0,0,1,0,'Your Thoughts of Felwithe was successful on %t!','Your Thoughts of Felwithe fades.','',0,1,'Spells/Traits/ThoughtsofFelwithe.lua',0,'You cast Thoughts of Felwithe on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670605,1384378109,0,1),
(1002792,12361033,4,1,'Thrill of Combat','Improves the Crit Bonus that Saga grants to the group.',497,65535,313,0,0,0,1,1,'Your Thrill of Combat was successful on %t!','Your Thrill of Combat fades.','',1,0,'',0,'You cast Thrill of Combat on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670605,1384377903,0,1),
(1002793,3676415352,4,1,'Thug''s Power','The brigand gains additional potency from Multi-Attack Chance.',294,65535,317,0,0,0,1,1,'Your Thug''s Power was successful on %t!','Your Thug''s Power fades.','',1,0,'',0,'You cast Thug''s Power on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670605,1384377913,0,1),
(1002794,936163136,4,0,'Thunderous Strike','Improves the damage of the Lightning Palm and Lightning Fists lines of combat arts.',233,65535,317,0,0,0,0,1,'Your Thunderous Strike was successful on %t!','Your Thunderous Strike fades.','',1,0,'',0,'You cast Thunderous Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670605,1384377903,0,1),
(1002795,3817729154,4,0,'Tiger Reflexes','Grants the brawler a small chance to Flurry.',81,65535,65535,0,0,0,0,0,'Your Tiger Reflexes was successful on %t!','Your Tiger Reflexes fades.','',0,1,'Spells/AA/TigerReflexes.lua',0,'You cast Tiger Reflexes on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670605,1384377836,0,1),
(1002796,2067696981,4,0,'Tiger Strength','Increases the Tiger Sifu''s strength by 4 for each rank.',557,65535,65535,0,0,0,0,0,'Your Tiger Strength was successful on %t!','Your Tiger Strength fades.','',0,1,'Spells/AA/TigerStrength.lua',0,'You cast Tiger Strength on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670605,1384377910,0,1),
(1002797,654259285,4,0,'Timber Shaper','Grants the kerra additional skill in fletching.',410,65535,65535,0,0,0,1,0,'Your Timber Shaper was successful on %t!','Your Timber Shaper fades.','',0,1,'Spells/Traits/TimberShaper.lua',0,'You cast Timber Shaper on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670605,1384378109,0,0),
(1002798,4190205164,4,1,'Time Rampage','Destructive Rampage has a chance to finish the reuse of Time Warp.',893,65535,317,0,0,0,1,1,'Your Time Rampage was successful on %t!','Your Time Rampage fades.','',1,0,'',0,'You cast Time Rampage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670605,1384377904,0,1),
(1002799,887031317,4,1,'Tinkered Focus','While tradeskilling, you will progress through creating an item faster than normal.\n',422,65535,65535,0,0,0,1,0,'Your Tinkered Focus was successful on %t!','Your Tinkered Focus fades.','',0,1,'Spells/Traits/TinkeredFocus.lua',0,'You cast Tinkered Focus on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670605,1384377823,0,1),
(1002800,2189097466,4,1,'Tinkered Lockpicks','Gnomes will gain the skill to disarm traps.',567,65535,65535,0,0,0,1,0,'Your Tinkered Lockpicks was successful on %t!','Your Tinkered Lockpicks fades.','',1,0,'Spells/Traditions/TinkeredLockpicks.lua',0,'You cast Tinkered Lockpicks on %t.',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1384670605,1384378116,0,1),
(1002801,1359016552,4,1,'Tiny Stings','Increases your skills with piercing and ranged based weapons.',383,65535,315,0,0,0,1,0,'Your Tiny Stings was successful on %t!','Your Tiny Stings fades.','',0,1,'Spells/Traits/TinyStings.lua',0,'You cast Tiny Stings on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670605,1384378110,0,1),
(1002802,159321601,4,1,'Tiny Stings','Increases your skills with piercing and ranged based weapons.',383,65535,315,0,0,0,1,0,'Your Tiny Stings was successful on %t!','Your Tiny Stings fades.','',0,1,'Spells/Traits/TinyStings.lua',0,'You cast Tiny Stings on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670605,1384378110,0,1),
(1002803,1476081959,4,1,'Tireless','Reduces the power required initially by sprint and increases your overall speed while sprinting.',356,65535,317,0,0,0,1,1,'Your Tireless was successful on %t!','Your Tireless fades.','',1,0,'',0,'You cast Tireless on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670605,1384377877,0,1),
(1002804,2302016231,4,1,'Tomb Burst','Improves the damage of Graverot. This applies before potency.',238,65535,317,0,0,0,1,1,'Your Tomb Burst was successful on %t!','Your Tomb Burst fades.','',1,0,'',0,'You cast Tomb Burst on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670605,1384377838,0,1),
(1002805,2513897489,4,1,'Tools of Fear','Your proficiency with magical attacks grants you additional skill in disruption and subjugation.',899,65535,315,0,0,0,1,0,'Your Tools of Fear was successful on %t!','Your Tools of Fear fades.','',0,1,'Spells/Traits/ToolsofFear.lua',0,'You cast Tools of Fear on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670605,1384377823,0,1),
(1002806,4007466232,4,0,'Total Madness','This ability improves the duration and update amount of Vision of Madness. The final ranks improve the heal amount.',492,65535,317,0,0,0,0,1,'Your Total Madness was successful on %t!','Your Total Madness fades.','',1,0,'',0,'You cast Total Madness on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670605,1384377905,0,1),
(1002807,1315372945,4,1,'Tough','Thousands of battles have toughed your skin with scars.  This trait grants you added protection against Physical attacks by 3 percent.',147,65535,65535,0,0,0,1,0,'Your Tough was successful on %t!','Your Tough fades.','',0,1,'Spells/Tough.lua',0,'You cast Tough on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670605,1384378109,0,0),
(1002808,3807365542,4,1,'Tough Scales','Your skills in fighting have increased your ability to absorb physical blows.',329,65535,318,0,0,0,0,0,'Your Tough Scales was successful on %t!','Your Tough Scales fades.','',0,1,'Spells/Traits/ToughScales.lua',0,'You cast Tough Scales on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670605,1384377823,0,1),
(1002809,2421334072,4,1,'Toxic Aura','Builds charges of Toxic Aura on the caster when using damage spells.',898,65535,317,0,0,0,1,1,'Your Toxic Aura was successful on %t!','Your Toxic Aura fades.','',1,0,'',0,'You cast Toxic Aura on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670605,1384377909,0,1),
(1002810,949346365,4,1,'Toxic Confusion','Toxic Aura will automatically reduce threat to the targets the warlock is attacking by a percentage of the damage the warlock inflicts.',261,65535,315,0,0,0,1,1,'Your Toxic Confusion was successful on %t!','Your Toxic Confusion fades.','',1,0,'',0,'You cast Toxic Confusion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670605,1384377902,0,1),
(1002811,1506046017,4,0,'Toxic Expertise','The Nightshade gains additional damage when using crafted poisons.',631,65535,65535,0,0,0,0,1,'Your Toxic Expertise was successful on %t!','Your Toxic Expertise fades.','',1,0,'',0,'You cast Toxic Expertise on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670605,1384377899,0,1),
(1002812,2010610493,4,1,'Toxic Finesse','Skilled in the art of poisoning foes, tradeskilled poisons will gain a 25 percent increase to the number of times they trigger.',804,65535,317,0,0,0,1,1,'Your Toxic Finesse was successful on %t!','Your Toxic Finesse fades.','',1,0,'',0,'You cast Toxic Finesse on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670607,1384378110,0,1),
(1002813,2134469256,4,1,'Toxic Intimacy','Increases your resistance to noxious based attacks.',259,65535,65535,0,0,0,0,0,'Your Toxic Intimacy was successful on %t!','Your Toxic Intimacy fades.','',0,1,'Spells/Traits/ToxicIntimacy.lua',0,'You cast Toxic Intimacy on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670607,1384378109,0,1),
(1002814,2223970608,4,1,'Toxic Protection','Increases your resistance to noxious based attacks.',259,65535,313,0,0,0,0,0,'Your Toxic Protection was successful on %t!','Your Toxic Protection fades.','',0,1,'Spells/Traits/ToxicProtection.lua',0,'You cast Toxic Protection on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670607,1384378110,0,1),
(1002815,3706774873,4,1,'Toxic Protection','Increases your resistance to noxious based attacks.',259,65535,314,0,0,0,0,0,'Your Toxic Protection was successful on %t!','Your Toxic Protection fades.','',0,1,'Spells/Traits/ToxicProtection.lua',0,'You cast Toxic Protection on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670607,1384377823,0,1),
(1002816,1563451744,4,1,'Toxic Protection','Increases your resistance to noxious based attacks.',259,65535,314,0,0,0,0,0,'Your Toxic Protection was successful on %t!','Your Toxic Protection fades.','',0,1,'Spells/Traits/ToxicProtection.lua',0,'You cast Toxic Protection on %t.',4,0,0,0,1,0,0,0,1,0,0,0,1,0,0,1,0,0,0,'Unset',1384670607,1384377823,0,1),
(1002817,154875619,4,0,'Toxic Tunes','The dirge creates a wall of sound around their target, preventing damage for a short number of hits. The target must be below 50% health for Sonic Barrier to take effect.',11,65535,65535,0,0,0,0,1,'Your Toxic Tunes was successful on %t!','Your Toxic Tunes fades.','',1,0,'',0,'You cast Toxic Tunes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670607,1384377838,0,1),
(1002818,4096821581,4,0,'Tracking','Druids will gain use of the tracking skill.',11,65535,65535,1468243427,0,0,0,1,'Your Tracking was successful on %t!','Your Tracking fades.','',1,0,'',0,'You cast Tracking on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670607,1384377839,0,1),
(1002819,2332077779,4,1,'Trained Focus','You gain a slight improvement to your chance to succeed and gain additional durability while tradeskilling.',422,65535,65535,0,0,0,1,0,'Your Trained Focus was successful on %t!','Your Trained Focus fades.','',0,1,'Spells/Traits/TrainedFocus.lua',0,'You cast Trained Focus on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670607,1384377823,0,1),
(1002820,1845813978,4,1,'Training Techniques','Increases your speed while mounted by 5 percent.',558,65535,65535,0,0,0,1,0,'Your Training Techniques was successful on %t!','Your Training Techniques fades.','',0,1,'Spells/Traits/TrainingTechniques.lua',0,'You cast Training Techniques on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670607,1384378109,0,1),
(1002821,2268873398,4,0,'Trakanon''s Alacrity','When taking damage, the mage has a chance to get a short duration speed boost.',90,65535,317,0,0,0,0,1,'Your Trakanon''s Alacrity was successful on %t!','Your Trakanon''s Alacrity fades.','',1,0,'',0,'You cast Trakanon''s Alacrity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670607,1384377903,0,1),
(1002822,492942643,4,1,'Trample','The Cavalier''s auto-attacks have a chance at attacking up to 4 nearby enemies surrounding the Cavalier.',573,65535,65535,0,0,0,1,1,'Your Trample was successful on %t!','Your Trample fades.','',1,0,'',0,'You cast Trample on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670607,1384377904,0,1),
(1002823,426427028,4,1,'Tranquil Constitution','Passively increases the amount of health gained from stamina.',43,65535,317,0,0,0,1,1,'Your Tranquil Constitution was successful on %t!','Your Tranquil Constitution fades.','',1,0,'',0,'You cast Tranquil Constitution on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670607,1384377907,0,1),
(1002824,1967875487,4,0,'Tranquil Forewarning','All of the brawler''s taunt skills will add additional hate.',289,65535,317,0,0,0,0,1,'Your Tranquil Forewarning was successful on %t!','Your Tranquil Forewarning fades.','',1,0,'',0,'You cast Tranquil Forewarning on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670607,1384377907,0,1),
(1002825,3528479919,4,1,'Tranquil Power','The monk gains additional Potency from Crit Bonus.',841,65535,317,0,0,0,1,1,'Your Tranquil Power was successful on %t!','Your Tranquil Power fades.','',1,0,'',0,'You cast Tranquil Power on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670607,1384377903,0,1),
(1002826,1367511741,4,0,'Transcendent','Your resilience against magical attacks surpasses ordinary limits! Arcane damage taken is decreased by 3 percent vs opponents your level.  ',150,65535,65535,0,0,0,0,1,'Your Transcendent was successful on %t!','Your Transcendent fades.','',1,0,'',0,'You cast Transcendent on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670607,1384378109,0,1),
(1002827,2000748874,4,0,'Transmography','Arasai have mastered the use of dark techniques that allow them to be experts at transmuting. Enhancement, permanently placed upon you, which increases your Transmuting skill by 5.     ',187,65535,65535,0,0,0,0,0,'Your Transmography was successful on %t!','Your Transmography fades.','',0,1,'Spells/Traits/Transmography.lua',0,'You cast Transmography on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670607,1384378109,0,1),
(1002828,2363685475,4,0,'Transmutations','High elves are one of the nobler races and enjoy creating beautiful and intricate items.  As a result they use less power while transmuting.',420,65535,65535,0,0,0,0,0,'Your Transmutations was successful on %t!','Your Transmutations fades.','',0,0,'Spells/Transmutations.lua',0,'You cast Transmutations on %t.',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1384670607,1384377882,0,1),
(1002829,3538141920,4,0,'Tribal Frenzy','Improves the stamina and power gain of the Harbinger and Premonition lines.',245,65535,316,0,0,0,0,1,'Your Tribal Frenzy was successful on %t!','Your Tribal Frenzy fades.','',1,0,'',0,'You cast Tribal Frenzy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670607,1384377836,0,1),
(1002830,880091140,4,1,'Tribal Knowledge','Increases your mana pool by a small percentage.',583,65535,65535,0,0,0,1,0,'Your Tribal Knowledge was successful on %t!','Your Tribal Knowledge fades.','',0,1,'Spells/Traits/TribalKnowledge.lua',0,'You cast Tribal Knowledge on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670607,1384378109,0,1),
(1002831,3147489964,4,0,'Tribal Rage','Grants the Chieftain chances to become enraged in combat, increasing attack speed and damage.',589,65535,65535,0,0,0,0,1,'Your Tribal Rage was successful on %t!','Your Tribal Rage fades.','',1,0,'',0,'You cast Tribal Rage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670607,1384377899,0,1),
(1002832,1096386025,4,0,'Tribal Rituals','Increases the duration of Ritual of Alacrity.',619,65535,65535,0,0,0,0,1,'Your Tribal Rituals was successful on %t!','Your Tribal Rituals fades.','',1,0,'',0,'You cast Tribal Rituals on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670607,1384377908,0,1),
(1002833,1567504621,4,1,'Tribal Strength','Your extra stamina allows you to gain additional hitpoints.',224,65535,317,0,0,0,1,0,'Your Tribal Strength was successful on %t!','Your Tribal Strength fades.','',0,1,'Spells/Traits/TribalStrength.lua',0,'You cast Tribal Strength on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670607,1384378110,0,1),
(1002834,3561601549,4,0,'Trim Reaver','By neatly harvesting you increase your chances of finding rare items.',263,65535,317,0,0,0,0,0,'Your Trim Reaver was successful on %t!','Your Trim Reaver fades.','',0,1,'Spells/AA/TrimReaver.lua',0,'You cast Trim Reaver on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670607,1384377912,0,1),
(1002835,2448549750,4,1,'Troll Gourmet','Their creations might not be tasty to some of the other races but the trolls love to cook nevertheless. Trolls gain additional skill in provisioning.',424,65535,65535,0,0,0,1,0,'Your Troll Gourmet was successful on %t!','Your Troll Gourmet fades.','',0,1,'Spells/Traits/TrollGourmet.lua',0,'You cast Troll Gourmet on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670607,1384378110,0,0),
(1002836,3037339700,4,0,'True Bewilderment','Improves the damage and resistibility of Arcane Bewilderment.',831,65535,315,0,0,0,0,1,'Your True Bewilderment was successful on %t!','Your True Bewilderment fades.','',1,0,'',0,'You cast True Bewilderment on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670607,1384377903,0,1),
(1002837,67745714,4,1,'True Calm','Outward Calm becomes a regenerating ward.',194,65535,65535,0,0,0,1,1,'Your True Calm was successful on %t!','Your True Calm fades.','',1,0,'',0,'You cast True Calm on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670607,1384377834,0,1),
(1002838,434119746,4,1,'Trueshot''s Aura','Agile races gain an additional chance to double attack with melee and ranged weapons.',361,65535,65535,0,0,0,1,0,'Your Trueshot''s Aura was successful on %t!','Your Trueshot''s Aura fades.','',0,1,'Spells/Traits/TrueshotsAura.lua',0,'You cast Trueshot''s Aura on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670607,1384378110,0,1),
(1002839,2342220820,4,1,'Truespirit Energy','Grants the beastlord the chance to do additional damage to the target if they are in Feral Stance. In Spiritual Stance, the beastlord deals damage to the target encounter and heals their allies.',881,65535,317,0,0,0,1,1,'Your Truespirit Energy was successful on %t!','Your Truespirit Energy fades.','',1,0,'',0,'You cast Truespirit Energy on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670607,1384377901,0,1),
(1002840,58910646,4,0,'Truespirit Reach','Improves the radius and range of beneficial spells.',468,65535,317,0,0,0,0,1,'Your Truespirit Reach was successful on %t!','Your Truespirit Reach fades.','',1,0,'',0,'You cast Truespirit Reach on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670607,1384377912,0,1),
(1002841,3952894166,4,0,'Truespirit Strike','This Spiritual Primal inflicts moderate damage to the target encounter and increases the group''s Multi-Attack Chance. This ability equips in the sixth primal slot.',904,65535,312,0,0,0,0,1,'Your Truespirit Strike was successful on %t!','Your Truespirit Strike fades.','',1,0,'',0,'You cast Truespirit Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377839,0,1),
(1002842,1355506555,4,0,'Truespirit Strike','This Spiritual Primal inflicts moderate damage to the target encounter and increases the group''s Multi-Attack Chance. This ability equips in the sixth primal slot.',904,65535,312,0,0,0,0,1,'Your Truespirit Strike was successful on %t!','Your Truespirit Strike fades.','',1,0,'',0,'You cast Truespirit Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377841,0,1),
(1002843,3895811332,4,0,'Truespirit Strike','This Spiritual Primal inflicts moderate damage to the target encounter and increases the group''s Multi-Attack Chance. This ability equips in the sixth primal slot.',904,65535,312,0,0,0,0,1,'Your Truespirit Strike was successful on %t!','Your Truespirit Strike fades.','',1,0,'',0,'You cast Truespirit Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377906,0,1),
(1002844,4105390753,4,0,'Truespirit Strike','This Spiritual Primal inflicts moderate damage to the target encounter and increases the group''s Multi-Attack Chance. This ability equips in the sixth primal slot.',904,65535,312,0,0,0,0,1,'Your Truespirit Strike was successful on %t!','Your Truespirit Strike fades.','',1,0,'',0,'You cast Truespirit Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377840,0,1),
(1002845,3559597522,4,0,'Truespirit Strike','This Spiritual Primal inflicts moderate damage to the target encounter and increases the group''s Multi-Attack Chance. This ability equips in the sixth primal slot.',904,65535,312,0,0,0,0,1,'Your Truespirit Strike was successful on %t!','Your Truespirit Strike fades.','',1,0,'',0,'You cast Truespirit Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377839,0,1),
(1002846,160027220,4,0,'Truespirit Strike','This Spiritual Primal inflicts moderate damage to the target encounter and increases the group''s Multi-Attack Chance. This ability equips in the sixth primal slot.',904,65535,312,0,0,0,0,1,'Your Truespirit Strike was successful on %t!','Your Truespirit Strike fades.','',1,0,'',0,'You cast Truespirit Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377921,0,1),
(1002847,2707953032,4,0,'Truespirit Strike','This Spiritual Primal inflicts moderate damage to the target encounter and increases the group''s Multi-Attack Chance. This ability equips in the sixth primal slot.',904,65535,312,0,0,0,0,1,'Your Truespirit Strike was successful on %t!','Your Truespirit Strike fades.','',1,0,'',0,'You cast Truespirit Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377902,0,1),
(1002848,1182393068,4,0,'Truespirit Strike','This Spiritual Primal inflicts moderate damage to the target encounter and increases the group''s Multi-Attack Chance. This ability equips in the sixth primal slot.',904,65535,312,0,0,0,0,1,'Your Truespirit Strike was successful on %t!','Your Truespirit Strike fades.','',1,0,'',0,'You cast Truespirit Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377903,0,1),
(1002849,3909151620,4,0,'Truespirit Strike','This Spiritual Primal inflicts moderate damage to the target encounter and increases the group''s Multi-Attack Chance. This ability equips in the sixth primal slot.',904,65535,312,0,0,0,0,1,'Your Truespirit Strike was successful on %t!','Your Truespirit Strike fades.','',1,0,'',0,'You cast Truespirit Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377902,0,1),
(1002850,3293189350,4,0,'Truespirit Strike','This Spiritual Primal inflicts moderate damage to the target encounter and increases the group''s Multi-Attack Chance. This ability equips in the sixth primal slot.',904,65535,312,0,0,0,0,1,'Your Truespirit Strike was successful on %t!','Your Truespirit Strike fades.','',1,0,'',0,'You cast Truespirit Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377912,0,1),
(1002851,3347950165,4,0,'Truespirit Strike','This Spiritual Primal inflicts moderate damage to the target encounter and increases the group''s Multi-Attack Chance. This ability equips in the sixth primal slot.',904,65535,312,0,0,0,0,1,'Your Truespirit Strike was successful on %t!','Your Truespirit Strike fades.','',1,0,'',0,'You cast Truespirit Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377910,0,1),
(1002852,2419144315,4,0,'Truespirit Strike','This Spiritual Primal inflicts moderate damage to the target encounter and increases the group''s Multi-Attack Chance. This ability equips in the sixth primal slot.',904,65535,312,0,0,0,0,1,'Your Truespirit Strike was successful on %t!','Your Truespirit Strike fades.','',1,0,'',0,'You cast Truespirit Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377912,0,1),
(1002853,2708778815,4,0,'Truespirit Strike','This Spiritual Primal inflicts moderate damage to the target encounter and increases the group''s Multi-Attack Chance. This ability equips in the sixth primal slot.',904,65535,312,0,0,0,0,1,'Your Truespirit Strike was successful on %t!','Your Truespirit Strike fades.','',1,0,'',0,'You cast Truespirit Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377907,0,1),
(1002854,659392873,4,0,'Truespirit Strike','This Spiritual Primal inflicts moderate damage to the target encounter and increases the group''s Multi-Attack Chance. This ability equips in the sixth primal slot.',904,65535,312,0,0,0,0,1,'Your Truespirit Strike was successful on %t!','Your Truespirit Strike fades.','',1,0,'',0,'You cast Truespirit Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377902,0,1),
(1002855,718933183,4,0,'Truespirit Strike','This Spiritual Primal inflicts moderate damage to the target encounter and increases the group''s Multi-Attack Chance. This ability equips in the sixth primal slot.',904,65535,312,0,0,0,0,1,'Your Truespirit Strike was successful on %t!','Your Truespirit Strike fades.','',1,0,'',0,'You cast Truespirit Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377901,0,1),
(1002856,3491705404,4,0,'Truespirit Strike','This Spiritual Primal inflicts moderate damage to the target encounter and increases the group''s Multi-Attack Chance. This ability equips in the sixth primal slot.',904,65535,312,0,0,0,0,1,'Your Truespirit Strike was successful on %t!','Your Truespirit Strike fades.','',1,0,'',0,'You cast Truespirit Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377902,0,1),
(1002857,4251083774,4,0,'Truespirit Strike','This Spiritual Primal inflicts moderate damage to the target encounter and increases the group''s Multi-Attack Chance. This ability equips in the sixth primal slot.',904,65535,312,0,0,0,0,1,'Your Truespirit Strike was successful on %t!','Your Truespirit Strike fades.','',1,0,'',0,'You cast Truespirit Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377910,0,1),
(1002858,3147767086,4,0,'Truespirit Strike','This Spiritual Primal inflicts moderate damage to the target encounter and increases the group''s Multi-Attack Chance. This ability equips in the sixth primal slot.',904,65535,312,0,0,0,0,1,'Your Truespirit Strike was successful on %t!','Your Truespirit Strike fades.','',1,0,'',0,'You cast Truespirit Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377839,0,1),
(1002859,2675296643,4,0,'Truespirit Strike','This Spiritual Primal inflicts moderate damage to the target encounter and increases the group''s Multi-Attack Chance. This ability equips in the sixth primal slot.',904,65535,312,0,0,0,0,1,'Your Truespirit Strike was successful on %t!','Your Truespirit Strike fades.','',1,0,'',0,'You cast Truespirit Strike on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377917,0,1),
(1002860,2711084077,4,1,'Truespirit''s Ferocity','When the beastlord uses advantages, they will gain increments of Ferocity. Once Ferocity reaches 10 increments, the beastlord will have their potency increased by 20% of their base potency.',479,65535,317,0,0,0,1,1,'Your Truespirit''s Ferocity was successful on %t!','Your Truespirit''s Ferocity fades.','',1,0,'',0,'You cast Truespirit''s Ferocity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377917,0,1),
(1002861,2682186895,4,1,'Truespirit''s Understanding','Using Primal attacks will inflict additional damage to the target if the beastlord is in Feral Stance and additional damage to the encounter while healing the group if the beastlord is in Spiritual Stance.',262,65535,317,0,0,0,1,1,'Your Truespirit''s Understanding was successful on %t!','Your Truespirit''s Understanding fades.','',1,0,'',0,'You cast Truespirit''s Understanding on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377907,0,1),
(1002862,145128515,4,1,'Tunare''s Guidance','Your devotion to the gods allows you to have increased wisdom.  The amount of wisdom will increase as you gain levels.',566,65535,65535,0,0,0,1,0,'Your Tunare''s Guidance was successful on %t!','Your Tunare''s Guidance fades.','',0,1,'Spells/Traits/TunaresGuidance.lua',0,'You cast Tunare''s Guidance on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670609,1384378110,0,1),
(1002863,3141474963,4,0,'Tunare''s Protection','Adds a short duration immunity to area of effect spells to Rebirth.',7,65535,65535,0,0,0,0,1,'Your Tunare''s Protection was successful on %t!','Your Tunare''s Protection fades.','',1,0,'',0,'You cast Tunare''s Protection on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377908,0,1),
(1002864,3909448617,4,0,'Tunare''s Touch','Reduces the casting time of Back into the Fray.',180,65535,316,0,0,0,0,1,'Your Tunare''s Touch was successful on %t!','Your Tunare''s Touch fades.','',1,0,'',0,'You cast Tunare''s Touch on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377908,0,1),
(1002865,3951532316,4,0,'Tundra Endurance','Living in the tundra of Everfrost for many generations has improved the barbarian''s endurance.  Their superior endurance allows them to run slightly faster than normal.',277,65535,65535,0,0,0,0,0,'Your Tundra Endurance was successful on %t!','Your Tundra Endurance fades.','',1,0,'Spells/TundraEndurance.lua',0,'You cast Tundra Endurance on %t.',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1384670609,1384378109,0,1),
(1002866,1608414519,4,1,'Tundra Ruggedness','Your skills in fighting have increased your ability to absorb physical blows.',16,65535,317,0,0,0,0,0,'Your Tundra Ruggedness was successful on %t!','Your Tundra Ruggedness fades.','',0,1,'Spells/Traits/TundraRuggedness.lua',0,'You cast Tundra Ruggedness on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670609,1384378109,0,1),
(1002867,2475426374,4,1,'Tundracrossing','Increases your out of combat run speed.',794,65535,317,0,0,0,1,1,'Your Tundracrossing was successful on %t!','Your Tundracrossing fades.','',1,0,'',0,'You cast Tundracrossing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670609,1384377878,0,1),
(1002868,3532968166,4,1,'Twiddy''s Artistry','Your wisdom allows you to increase the durability of items while tradeskilling.',420,65535,65535,0,0,0,1,0,'Your Twiddy''s Artistry was successful on %t!','Your Twiddy''s Artistry fades.','',0,1,'Spells/Traits/TwiddysArtistry.lua',0,'You cast Twiddy''s Artistry on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670609,1384378109,0,1),
(1002869,2079166833,4,1,'Twiddy''s Insight','While tradeskilling, you will progress through creating an item faster than normal.\n',356,65535,317,0,0,0,1,0,'Your Twiddy''s Insight was successful on %t!','Your Twiddy''s Insight fades.','',0,1,'Spells/Traits/TwiddysInsight.lua',0,'You cast Twiddy''s Insight on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670609,1384378109,0,1),
(1002870,575846047,4,1,'Twisting Blade','Adds additional strikes to Seafury Thrust.',924,65535,315,0,0,0,1,1,'Your Twisting Blade was successful on %t!','Your Twisting Blade fades.','',1,0,'',0,'You cast Twisting Blade on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377833,0,1),
(1002871,3055497158,4,1,'U''lla''s Toughness','Feral Intensity will grant an incremental effect that reduces incoming damage to the beastlord. This effect increments to a maximum of 3.',793,65535,315,0,0,0,1,1,'Your U''lla''s Toughness was successful on %t!','Your U''lla''s Toughness fades.','',1,0,'',0,'You cast U''lla''s Toughness on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377910,0,1),
(1002872,2226658187,4,1,'Unabate','Unabate applies to both you and your primary pet. Spells and abilities are more difficult to outright resist, and Combat Arts have increased chances to hit.\n',257,65535,65535,0,0,0,1,1,'Your Unabate was successful on %t!','Your Unabate fades.','',1,0,'',0,'You cast Unabate on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377910,0,1),
(1002873,1517775866,4,1,'Unbreakable','',190,65535,65535,0,0,0,1,1,'Your Unbreakable was successful on %t!','Your Unbreakable fades.','',1,0,'',0,'You cast Unbreakable on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377909,0,1),
(1002874,2055159342,4,1,'Uncommon Insight','Your devotion to the gods allows you to have increased wisdom.  The amount of wisdom will increase as you gain levels.',641,65535,65535,0,0,0,1,0,'Your Uncommon Insight was successful on %t!','Your Uncommon Insight fades.','',0,1,'Spells/Traits/UncommonInsight.lua',0,'You cast Uncommon Insight on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670609,1384377823,0,1),
(1002875,367501915,4,1,'Undead Resilience','A magical barrier surrounds you, increasing your resistance to elemental attacks.',507,65535,65535,0,0,0,0,0,'Your Undead Resilience was successful on %t!','Your Undead Resilience fades.','',0,1,'Spells/Traits/UndeadResilience.lua',0,'You cast Undead Resilience on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670609,1384378109,0,1),
(1002876,166852937,4,1,'Under Cover of the Vale','Skilled in the art of stealth and evasion, you will move 15% faster while stealthed or invisible.',165,65535,317,0,0,0,1,0,'Your Under Cover of the Vale was successful on %t!','Your Under Cover of the Vale fades.','',0,1,'Spells/Traits/UnderCoveroftheVale.lua',0,'You cast Under Cover of the Vale on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670609,1384378109,0,1),
(1002877,3805586130,4,1,'Unflinching Focus','While tradeskilling, you will progress through creating an item faster than normal.\n',184,65535,65535,0,0,0,1,1,'Your Unflinching Focus was successful on %t!','Your Unflinching Focus fades.','',1,0,'',0,'You cast Unflinching Focus on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670609,1384378109,0,1),
(1002878,1557590761,4,0,'Unholy Absorption','The shadowknight will take less damage from attacks.',21,65535,65535,0,0,0,0,1,'Your Unholy Absorption was successful on %t!','Your Unholy Absorption fades.','',1,0,'',0,'You cast Unholy Absorption on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377913,0,1),
(1002879,1255753519,4,0,'Unholy Concentration','Unholy Concentration increases the Shadowknight''s chance to strikethrough a successful avoidance check.',870,65535,65535,0,0,0,0,1,'Your Unholy Concentration was successful on %t!','Your Unholy Concentration fades.','',1,0,'',0,'You cast Unholy Concentration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377905,0,1),
(1002880,1201489440,4,1,'Unholy Mana','Restores power to the shadowknight when their power falls below 10%.',914,65535,317,0,0,0,1,1,'Your Unholy Mana was successful on %t!','Your Unholy Mana fades.','',1,0,'',0,'You cast Unholy Mana on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377834,0,1),
(1002881,2960301713,4,1,'Unholy Protector','Passively increases the amount of health gained from stamina.',43,65535,317,0,0,0,1,1,'Your Unholy Protector was successful on %t!','Your Unholy Protector fades.','',1,0,'',0,'You cast Unholy Protector on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377911,0,1),
(1002882,368427187,4,0,'Unholy Sacrament','Improves the threat and damage amounts of Grave Sacrament.',803,65535,314,0,0,0,0,1,'Your Unholy Sacrament was successful on %t!','Your Unholy Sacrament fades.','',1,0,'',0,'You cast Unholy Sacrament on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377902,0,1),
(1002883,3748947273,4,0,'Unholy Voracity','Unholy hunger and its upgrades will improve the casting time and reuse speed of the shadowknight''s allies.',184,65535,314,0,0,0,0,1,'Your Unholy Voracity was successful on %t!','Your Unholy Voracity fades.','',1,0,'',0,'You cast Unholy Voracity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377918,0,1),
(1002884,2863556203,4,0,'Uninterruptable Actions','Improves the trigger chance and duration of Savant''s Insight.',582,65535,65535,0,0,0,0,1,'Your Uninterruptable Actions was successful on %t!','Your Uninterruptable Actions fades.','',1,0,'',0,'You cast Uninterruptable Actions on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670609,1384377908,0,1),
(1002885,2705817443,4,0,'United Strength','The fighter''s avoidance share will increase the damage of their melee attacks.',298,65535,316,0,0,0,0,1,'Your United Strength was successful on %t!','Your United Strength fades.','',1,0,'',0,'You cast United Strength on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670610,1384377901,0,1),
(1002886,2424555390,4,1,'Unleash Chaos','Wreak Havoc has a chance to finish the reuse of Sniper Shot.',496,65535,317,0,0,0,1,1,'Your Unleash Chaos was successful on %t!','Your Unleash Chaos fades.','',1,0,'',0,'You cast Unleash Chaos on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670611,1384377838,0,1),
(1002887,3421698275,4,0,'Unnatural Health','Increases the maximum health of the channeler.',882,65535,317,0,0,0,0,1,'Your Unnatural Health was successful on %t!','Your Unnatural Health fades.','',1,0,'',0,'You cast Unnatural Health on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670611,1384377831,0,1),
(1002888,2876554387,4,0,'Unrivaled Focus','Grants the brawler a passive ability to reduce incoming damage for a short duration after taking damage. This can only trigger once every 10 seconds.',840,65535,65535,0,0,0,0,1,'Your Unrivaled Focus was successful on %t!','Your Unrivaled Focus fades.','',1,0,'',0,'You cast Unrivaled Focus on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670611,1384377908,0,1),
(1002889,1119686698,4,1,'Unsettling Howl','Grants the animalist a chance to resist Stun based effects.',883,65535,65535,0,0,0,1,1,'Your Unsettling Howl was successful on %t!','Your Unsettling Howl fades.','',1,0,'',0,'You cast Unsettling Howl on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670611,1384377910,0,1),
(1002890,165743762,4,0,'Unshakeable','Increases the Demolisher''s physical damage resistance.',681,65535,65535,0,0,0,0,0,'Your Unshakeable was successful on %t!','Your Unshakeable fades.','',1,0,'Spells/AA/Unshakeable.lua',0,'You cast Unshakeable on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670611,1384377911,0,1),
(1002891,3541074270,4,1,'Unstoppable','The berserker instantly breaks out of certain control effects once per minute each. The berserker will be immune to those control effects for a short duration.',815,65535,317,0,0,0,1,1,'Your Unstoppable was successful on %t!','Your Unstoppable fades.','',1,0,'',0,'You cast Unstoppable on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670611,1384377902,0,1),
(1002892,1746110672,4,1,'Unstoppable','Increases the base amount of health by a small percentage.',43,65535,65535,0,0,0,1,1,'Your Unstoppable was successful on %t!','Your Unstoppable fades.','',1,0,'',0,'You cast Unstoppable on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670611,1384377877,0,1),
(1002893,715065470,4,1,'Unstoppable Wall','Avoiding attacks while Defensive Minded is active will grant the guardian the ability to absorb the next attack.',840,65535,65535,0,0,0,1,1,'Your Unstoppable Wall was successful on %t!','Your Unstoppable Wall fades.','',1,0,'',0,'You cast Unstoppable Wall on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670611,1384377912,0,1),
(1002894,210578200,4,0,'Unstoppable Will','Increases the amount of Crit Bonus granted by Juggernaut.',506,65535,317,0,0,0,0,1,'Your Unstoppable Will was successful on %t!','Your Unstoppable Will fades.','',1,0,'',0,'You cast Unstoppable Will on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670611,1384377916,0,1),
(1002895,1904984241,4,1,'Unstopping Encore','Increases the duration of Exuberant Encore.',278,65535,316,0,0,0,1,1,'Your Unstopping Encore was successful on %t!','Your Unstopping Encore fades.','',1,0,'',0,'You cast Unstopping Encore on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670611,1384377908,0,1),
(1002896,4045584580,4,0,'Untainted','You have an uncanny ability to avoid noxious substances. Noxious damage taken is decreased by 3 percent vs opponents your level.  ',148,65535,65535,0,0,0,0,1,'Your Untainted was successful on %t!','Your Untainted fades.','',1,0,'',0,'You cast Untainted on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670611,1384378109,0,1),
(1002897,236167202,4,0,'Untamed Winds','Improves the initial base and critical heal amount for the Winds of Healing and the Untamed Regeneration lines of spells.',293,65535,314,0,0,0,0,1,'Your Untamed Winds was successful on %t!','Your Untamed Winds fades.','',1,0,'',0,'You cast Untamed Winds on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670611,1384377901,0,1),
(1002898,3106459445,4,0,'Unwavering Resolve','Increases the Bishop''s focus skill and maximum health.',584,65535,65535,0,0,0,0,0,'Your Unwavering Resolve was successful on %t!','Your Unwavering Resolve fades.','',0,1,'Spells/AA/UnwaveringResolve.lua',0,'You cast Unwavering Resolve on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670611,1384377902,0,1),
(1002899,2365887075,4,0,'Unyielding','Your unyielding nature has made you a wall against physical attacks. This trait grants you added protection against Physical attacks by 3 percent.',147,65535,65535,0,0,0,0,1,'Your Unyielding was successful on %t!','Your Unyielding fades.','',1,0,'',0,'You cast Unyielding on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670611,1384378109,0,1),
(1002900,383127037,4,1,'Unyielding Determination','While tradeskilling, you will progress through creating an item faster than normal.\n',184,65535,65535,0,0,0,1,0,'Your Unyielding Determination was successful on %t!','Your Unyielding Determination fades.','',0,1,'Spells/Traits/UnyieldingDetermination.lua',0,'You cast Unyielding Determination on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670611,1384377823,0,1),
(1002901,3552820695,4,1,'Unyielding Faith','Increases the duration of Stonewall.',847,65535,317,0,0,0,1,1,'Your Unyielding Faith was successful on %t!','Your Unyielding Faith fades.','',1,0,'',0,'You cast Unyielding Faith on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670611,1384377908,0,1),
(1002902,3780572222,4,1,'Uplifting Uproar','Grants an incremental potency increase to the troubador''s group when using Reverberation. This effect can increment up to 15 times.',173,65535,313,0,0,0,1,1,'Your Uplifting Uproar was successful on %t!','Your Uplifting Uproar fades.','',1,0,'',0,'You cast Uplifting Uproar on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670611,1384377913,0,1),
(1002903,629472998,4,1,'Urban Sprawl','Increases the reuse speed of any of the city recall spells.',230,65535,317,0,0,0,1,0,'Your Urban Sprawl was successful on %t!','Your Urban Sprawl fades.','',1,0,'Spells/Traditions/UrbanSprawl.lua',0,'You cast Urban Sprawl on %t.',4,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',1384670611,1384378109,0,1),
(1002904,2604353797,4,0,'Valor in Battle','Improves the damage done by the Blessed Weapon and Grim Harbinger lines of skills.',470,65535,317,0,0,0,0,1,'Your Valor in Battle was successful on %t!','Your Valor in Battle fades.','',1,0,'',0,'You cast Valor in Battle on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670611,1384377912,0,1),
(1002905,299113930,4,1,'Vampiric Reflexes','Grants an increase to overall agility.  The amount of agility gained will increase as you level.',370,65535,317,0,0,0,1,1,'Your Vampiric Reflexes was successful on %t!','Your Vampiric Reflexes fades.','',1,0,'',0,'You cast Vampiric Reflexes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670611,1384378110,0,1),
(1002906,748318665,4,1,'Vampiric Will','Your increased knowledge allows you to increase your power pool by a small amount.',24,65535,65535,0,0,0,1,1,'Your Vampiric Will was successful on %t!','Your Vampiric Will fades.','',1,0,'',0,'You cast Vampiric Will on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670611,1384377823,0,1),
(1002907,1724347906,4,1,'Velium Chill','Frozen Solid will reduce the casting time of E''Ci''s Frozen Wrath and Blast of Devastation as it increments.',155,65535,315,0,0,0,1,1,'Your Velium Chill was successful on %t!','Your Velium Chill fades.','',1,0,'',0,'You cast Velium Chill on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670611,1384377902,0,1),
(1002908,2341791040,4,1,'Velium-Infused Skin','Increases your resistance to elemental based attacks.',253,65535,313,0,0,0,1,1,'Your Velium-Infused Skin was successful on %t!','Your Velium-Infused Skin fades.','',1,0,'',0,'You cast Velium-Infused Skin on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670612,1384377877,0,1),
(1002909,3499453912,4,1,'Verified Hypotheses','Adds additional durability to every tradeskill round.\n',900,65535,318,0,0,0,1,0,'Your Verified Hypotheses was successful on %t!','Your Verified Hypotheses fades.','',0,1,'Spells/Traits/VerifiedHypotheses.lua',0,'You cast Verified Hypotheses on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670612,1384378110,0,1),
(1002910,2199521770,4,0,'Veteran''s Shielding','Improves the mitigation bonuses of the warrior''s defensive stances.',329,65535,317,0,0,0,0,1,'Your Veteran''s Shielding was successful on %t!','Your Veteran''s Shielding fades.','',1,0,'',0,'You cast Veteran''s Shielding on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670612,1384377836,0,1),
(1002911,2300385438,4,0,'Vicious Counter','The scout has a chance to stun enemies that attack them.',234,65535,317,0,0,0,0,1,'Your Vicious Counter was successful on %t!','Your Vicious Counter fades.','',1,0,'',0,'You cast Vicious Counter on %t.',4,0,0,0,1,0,0,4,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670612,1384377899,0,1),
(1002912,4033547174,4,0,'Vicious Stabbing','Improves the base melee damage multiplier of the predator.',807,65535,65535,0,0,0,0,1,'Your Vicious Stabbing was successful on %t!','Your Vicious Stabbing fades.','',1,0,'',0,'You cast Vicious Stabbing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670617,1384377831,0,1),
(1002913,2114574445,4,0,'Victorious Concerto','Rhythmic Overture monitors the bard''s damage over a short duration. Once the overture has been completed, the bard may cast Victorious Concerto which adds a portion of that damage as an additional effect to the group. Additional ranks improve the damage amount. This Alternate Advancement grants two abilities.',11,65535,65535,0,0,0,0,1,'Your Victorious Concerto was successful on %t!','Your Victorious Concerto fades.','',1,0,'',0,'You cast Victorious Concerto on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670617,1384377836,0,1),
(1002914,2223846733,4,1,'Victory','Not only are you skilled in attacking, you gain an additional chance to block with a shield or deflect an attack.',608,65535,317,0,0,0,1,0,'Your Victory was successful on %t!','Your Victory fades.','',0,1,'Spells/Traits/Victory.lua',0,'You cast Victory on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670617,1384378109,0,1),
(1002915,3011989898,4,1,'Vigor','Primals that equip in slot 2 have a chance to finish the reuse of Primals that equip in slot 1.',334,65535,317,3282420779,0,0,1,1,'Your Vigor was successful on %t!','Your Vigor fades.','',1,0,'',0,'You cast Vigor on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670617,1384377911,0,1),
(1002916,4073323791,4,0,'Vigorous','This trait reinforces your vigorous nature through 4 extra Stamina.',655,65535,65535,0,0,0,0,1,'Your Vigorous was successful on %t!','Your Vigorous fades.','',1,0,'',0,'You cast Vigorous on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670617,1384378109,0,1),
(1002917,2153755784,4,0,'Vile Recovery','Vile Recovery reduces the recast timer of Divine Recovery.',635,65535,65535,0,0,0,0,1,'Your Vile Recovery was successful on %t!','Your Vile Recovery fades.','',1,0,'',0,'You cast Vile Recovery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670617,1384377831,0,1),
(1002918,597109408,4,0,'Vile Runes','Increases the casting speed of the Carrion Warding line while also increasing the base heal amount.',192,65535,314,0,0,0,0,1,'Your Vile Runes was successful on %t!','Your Vile Runes fades.','',1,0,'',0,'You cast Vile Runes on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670617,1384377906,0,1),
(1002919,2777196229,4,0,'Viral Infection','The Darksong Blade line will have a shorter duration so that the overtime damage occurs faster.  In addition to the shorter duration, it will do additional damage.',366,65535,315,0,0,0,0,1,'Your Viral Infection was successful on %t!','Your Viral Infection fades.','',1,0,'',0,'You cast Viral Infection on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670617,1384377902,0,1),
(1002920,3134469755,4,0,'Virulence','Increases the Blighter''s base spell damage.',651,65535,65535,0,0,0,0,1,'Your Virulence was successful on %t!','Your Virulence fades.','',1,0,'',0,'You cast Virulence on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670617,1384377907,0,1),
(1002921,1277511044,4,0,'Virulent Mist','Improves the damage of Virulent Mist.',11,65535,65535,0,0,0,0,1,'Your Virulent Mist was successful on %t!','Your Virulent Mist fades.','',1,0,'',0,'You cast Virulent Mist on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670617,1384377839,0,1),
(1002922,968418367,4,0,'Viscerating Stab','Improves the base damage of the Viscerate line of combat arts.',381,65535,315,0,0,0,0,1,'Your Viscerating Stab was successful on %t!','Your Viscerating Stab fades.','',1,0,'',0,'You cast Viscerating Stab on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670617,1384377906,0,1),
(1002923,977986891,4,1,'Visionary','Truth is your temple.  This trait imbues you with extensive patience and maturity thus increasing your Wisdom by 4.',4,65535,65535,0,0,0,1,0,'Your Visionary was successful on %t!','Your Visionary fades.','',0,1,'Spells/Visionary.lua',0,'You cast Visionary on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670617,1384377823,0,0),
(1002924,1816842369,4,0,'Vital','This trait reinforces your vital nature through 4 extra Stamina.',655,65535,65535,0,0,0,0,1,'Your Vital was successful on %t!','Your Vital fades.','',1,0,'',0,'You cast Vital on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670617,1384378109,0,1),
(1002925,1557293826,4,1,'Vital Weakness','Causes Thug''s Poison to increase incoming physical damage to the target. This effect does not increase with increments.',376,65535,317,0,0,0,1,1,'Your Vital Weakness was successful on %t!','Your Vital Weakness fades.','',1,0,'',0,'You cast Vital Weakness on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670617,1384377838,0,1),
(1002926,3737253951,4,1,'Vitality of the Feir''Dal','Your devotion to the study of the divine arts increases your power pool slightly.',57,65535,65535,0,0,0,1,0,'Your Vitality of the Feir''Dal was successful on %t!','Your Vitality of the Feir''Dal fades.','',0,1,'Spells/Traits/VitalityoftheFeirDal.lua',0,'You cast Vitality of the Feir''Dal on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670617,1384377823,0,0),
(1002927,1013393636,4,0,'Vitality of the Great Bear','Increases the health granted by Essence of the Great Bear and adds a block chance component.',203,65535,314,0,0,0,0,1,'Your Vitality of the Great Bear was successful on %t!','Your Vitality of the Great Bear fades.','',1,0,'',0,'You cast Vitality of the Great Bear on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670617,1384377908,0,1),
(1002928,2828618630,4,1,'Vitality of the Swamp','Allows you to recover power faster while out of combat.',279,65535,313,0,0,0,1,0,'Your Vitality of the Swamp was successful on %t!','Your Vitality of the Swamp fades.','',0,1,'Spells/Traits/VitalityoftheSwamp.lua',0,'You cast Vitality of the Swamp on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670617,1384378109,0,1),
(1002929,3066736110,4,1,'Void Retribution','When Negative Void is active, the warlock''s spells will have a chance to inflict extra disease damage. Additionally, Negative Void increases the damage of the altered spells even further.',258,65535,65535,0,0,0,1,1,'Your Void Retribution was successful on %t!','Your Void Retribution fades.','',1,0,'',0,'You cast Void Retribution on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670617,1384377910,0,1),
(1002930,2042869132,4,0,'Void Tempest','This achievement improves the base damage of Storming Tempest while also reducing its duration.',14,65535,65535,0,0,0,0,1,'Your Void Tempest was successful on %t!','Your Void Tempest fades.','',1,0,'',0,'You cast Void Tempest on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670617,1384377904,0,1),
(1002931,200765254,4,0,'Volatile Magic','The Savant''s spell damage is 15% more powerful than normal.',568,65535,65535,0,0,0,0,0,'Your Volatile Magic was successful on %t!','Your Volatile Magic fades.','',0,1,'Spells/AA/VolatileMagic.lua',0,'You cast Volatile Magic on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670617,1384377904,0,1),
(1002932,67687029,4,1,'Walk it Off','Your increased stamina allows you to absorb damage from falling more readily.',82,65535,65535,0,0,0,1,0,'Your Walk it Off was successful on %t!','Your Walk it Off fades.','',0,1,'Spells/Traits/WalkitOff.lua',0,'You cast Walk it Off on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670617,1384378110,0,1),
(1002933,4241852576,4,1,'Wall of Ice','Increases your chance to critical while also granting additional chance to block or deflect an attack.',842,65535,314,0,0,0,1,1,'Your Wall of Ice was successful on %t!','Your Wall of Ice fades.','',1,0,'',0,'You cast Wall of Ice on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670617,1384377877,0,1),
(1002934,1756646757,4,0,'Ward of Rage','Grants War Cry a chance to trigger a small ward.',243,65535,314,0,0,0,0,1,'Your Ward of Rage was successful on %t!','Your Ward of Rage fades.','',1,0,'',0,'You cast Ward of Rage on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670617,1384377905,0,1),
(1002935,580722299,4,0,'Warlock''s Gift','The warlock gains additional damage to the Gift of Bertoxxulous line of spells.',627,65535,317,0,0,0,0,1,'Your Warlock''s Gift was successful on %t!','Your Warlock''s Gift fades.','',1,0,'',0,'You cast Warlock''s Gift on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670617,1384377897,0,1),
(1002936,23261963,4,1,'Warm Blooded','Withstand even the harshest winter. This trait instills in you an innate protection.  Cold damage taken is decreased by 3 percent vs opponents your level.',149,65535,65535,0,0,0,1,0,'Your Warm Blooded was successful on %t!','Your Warm Blooded fades.','',0,0,'Spells/WarmBlooded.lua',0,'You cast Warm Blooded on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670617,1384378109,0,0),
(1002937,3807381621,4,0,'Warm Blooded','A small heat debuff is added to the Immolation line of spells.',482,65535,315,0,0,0,0,1,'Your Warm Blooded was successful on %t!','Your Warm Blooded fades.','',1,0,'',0,'You cast Warm Blooded on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670617,1384377838,0,1),
(1002938,1237391033,4,1,'Waterfall','Mountain Stance and Body Like Mountain will restore a small amount of incoming melee damage to the monk. Additionally, Body Like Mountain snares instead of roots. The snare will decrease with higher ranks of this ability.',294,65535,317,0,0,0,1,1,'Your Waterfall was successful on %t!','Your Waterfall fades.','',1,0,'',0,'You cast Waterfall on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670619,1384377901,0,1),
(1002939,4252517626,4,0,'Wayfarer''s Agility','Increases the Wayfarer''s agility by 5 for each rank.',173,65535,65535,0,0,0,0,0,'Your Wayfarer''s Agility was successful on %t!','Your Wayfarer''s Agility fades.','',0,1,'Spells/AA/WayfarersAgility.lua',0,'You cast Wayfarer''s Agility on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670619,1384377905,0,1),
(1002940,326510038,4,0,'Wayfarer''s Watch','Increases the Wayfarer''s parry skill and grants a chance at avoiding non-direct area effects.',661,65535,65535,0,0,0,0,1,'Your Wayfarer''s Watch was successful on %t!','Your Wayfarer''s Watch fades.','',1,0,'',0,'You cast Wayfarer''s Watch on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670619,1384377830,0,1),
(1002941,2045259693,4,0,'Weakened Will','Grants the inquisitor the ability to debuff the target''s wisdom when the Deny line of spells is used.',193,65535,315,0,0,0,0,1,'Your Weakened Will was successful on %t!','Your Weakened Will fades.','',1,0,'',0,'You cast Weakened Will on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670619,1384377831,0,1),
(1002942,1010346481,4,0,'Weakness Detection','Exploit Weakness grants an innate 5% chance to trigger on any attack that deals direct damage and lasts for 6 seconds. Once Weakness Detected has been applied, the predator can then use Exploit Weakness to inflict massive melee damage. This ability will do only minor damage if used when Weakness is not on the target.',928,65535,317,0,0,0,0,1,'Your Weakness Detection was successful on %t!','Your Weakness Detection fades.','',1,0,'',0,'You cast Weakness Detection on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670619,1384377836,0,1),
(1002943,3004295778,4,0,'Weapon Expertise','Increases the Archer''s critical damage.',685,65535,65535,0,0,0,0,0,'Your Weapon Expertise was successful on %t!','Your Weapon Expertise fades.','',0,1,'Spells/AA/WeaponExpertisePred.lua',0,'You cast Weapon Expertise on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670619,1384377914,0,1),
(1002944,1710405446,4,0,'Weapon Expertise','Increases the Executioner''s chance at critical melee damage.',647,65535,65535,0,0,0,0,0,'Your Weapon Expertise was successful on %t!','Your Weapon Expertise fades.','',0,1,'Spells/AA/WeaponExpertise.lua',0,'You cast Weapon Expertise on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670619,1384377830,0,1),
(1002945,4140590412,4,0,'Weapon Forger','Dwarves are known as some of the finest weapon makers on Norrath.  As a result of their skill they gain additional durability while weaponsmithing.',336,65535,65535,0,0,0,0,1,'Your Weapon Forger was successful on %t!','Your Weapon Forger fades.','',1,0,'',0,'You cast Weapon Forger on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1384670619,1384378109,0,1),
(1002946,1596723751,4,0,'Weapon Mastery','Increases the mystic''s offensive melee skills, grants a chance to parry melee attacks, and improves their summoned spirit companion.',307,65535,65535,0,0,0,0,1,'Your Weapon Mastery was successful on %t!','Your Weapon Mastery fades.','',1,0,'',0,'You cast Weapon Mastery on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670619,1384377830,0,1),
(1002947,122918626,4,0,'Weapon Production','Sarnak have a rich history of producing weaponry efficiently to supply the Sarnak ranks. Enhancement, permanently placed upon you, which reduces the power cost of all tradeskill arts related to Weaponsmithing by 10%',419,65535,65535,0,0,0,0,1,'Your Weapon Production was successful on %t!','Your Weapon Production fades.','',1,0,'',187,'You cast Weapon Production on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670619,1384378110,0,1),
(1002948,3933237626,4,0,'Weathered','Your weathered skin grants you an innate resistance to the elements. Elemental damage taken is decreased by 3 percent vs opponents your level.',149,65535,65535,0,0,0,0,1,'Your Weathered was successful on %t!','Your Weathered fades.','',1,0,'',0,'You cast Weathered on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670619,1384378109,0,1),
(1002949,728675735,4,0,'Weave','Increases the spell casting skills of the mage.',159,65535,317,0,0,0,0,0,'Your Weave was successful on %t!','Your Weave fades.','',0,1,'Spells/AA/Weave.lua',0,'You cast Weave on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670619,1384377908,0,1),
(1002950,1709659425,4,1,'Whipstitch','Grants the iksar a bonus to tailoring',417,65535,65535,0,0,0,1,0,'Your Whipstitch was successful on %t!','Your Whipstitch fades.','',0,1,'Spells/Whipstitch.lua',0,'You cast Whipstitch on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670619,1384378109,0,0),
(1002951,3474282624,4,1,'Whispers of the Past','Ancestral Support will make the group immune to certain control effects.',45,65535,314,0,0,0,1,1,'Your Whispers of the Past was successful on %t!','Your Whispers of the Past fades.','',1,0,'',0,'You cast Whispers of the Past on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670619,1384377911,0,1),
(1002952,585019766,4,1,'White Wolf''s Howl','When the first increment of Ferocity of Spirits is gained, the mystic gains a short duration augmentation that improves the size of their wards. This effect applies before potency. Cannot trigger more than once every 30 seconds.',8,65535,317,0,0,0,1,1,'Your White Wolf''s Howl was successful on %t!','Your White Wolf''s Howl fades.','',1,0,'',0,'You cast White Wolf''s Howl on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670619,1384377900,0,1),
(1002953,1780957282,4,0,'Wicked Wailing','The base damage and casting speed of Luda''s Nefarious Wail are improved.',171,65535,315,0,0,0,0,1,'Your Wicked Wailing was successful on %t!','Your Wicked Wailing fades.','',1,0,'',0,'You cast Wicked Wailing on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670619,1384377909,0,1),
(1002954,3520860931,4,1,'Wide Swings','Grants the enchanter a chance to strike multiple enemies with every melee auto-attack.',89,65535,65535,0,0,0,1,0,'Your Wide Swings was successful on %t!','Your Wide Swings fades.','',0,1,'Spells/AA/WideSwings.lua',0,'You cast Wide Swings on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670619,1384377907,0,1),
(1002955,712464738,4,1,'Wiggling Whiskers','Your proficiency with magical attacks grants you additional skill in disruption and subjugation.',480,65535,317,0,0,0,1,0,'Your Wiggling Whiskers was successful on %t!','Your Wiggling Whiskers fades.','',0,1,'Spells/Traits/WigglingWhiskers.lua',0,'You cast Wiggling Whiskers on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670619,1384378110,0,1),
(1002956,3766504394,4,0,'Wild Channeling','Increases the Theurgist''s chances at critical spell damage.',568,65535,65535,0,0,0,0,0,'Your Wild Channeling was successful on %t!','Your Wild Channeling fades.','',0,1,'Spells/AA/WildChanneling.lua',0,'You cast Wild Channeling on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670620,1384377899,0,1),
(1002957,3804220345,4,0,'Wild Ferocity','Increases the Naturalist''s Damage Per Second.',649,65535,65535,0,0,0,0,0,'Your Wild Ferocity was successful on %t!','Your Wild Ferocity fades.','',0,1,'Spells/AA/WildFerocity.lua',0,'You cast Wild Ferocity on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670621,1384377830,0,1),
(1002958,1761871696,4,1,'Wild Protection','Adds a small damage reduction component to the druid''s primary heal over time spells.',232,65535,317,0,0,0,1,1,'Your Wild Protection was successful on %t!','Your Wild Protection fades.','',1,0,'',0,'You cast Wild Protection on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670621,1384377907,0,1),
(1002959,2270611439,4,0,'Wild Regeneration','Increases the healing of the initial tick and lowers the duration of the Animalist''s single target and group heal over time spells allowing the healing updates to occur in shorter time intervals. ',609,65535,65535,0,0,0,0,1,'Your Wild Regeneration was successful on %t!','Your Wild Regeneration fades.','',1,0,'',0,'You cast Wild Regeneration on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670621,1384377912,0,1),
(1002960,3769382392,4,1,'Will of the Archlord','Your extra stamina allows you to gain additional hitpoints.',859,65535,65535,0,0,0,1,0,'Your Will of the Archlord was successful on %t!','Your Will of the Archlord fades.','',0,1,'Spells/Traits/WilloftheArchlord.lua',0,'You cast Will of the Archlord on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670621,1384378109,0,1),
(1002961,2004618495,4,1,'Will of the Champion','Reduces the base cast time of Champion''s Interception and increases its duration.',42,65535,314,0,0,0,1,1,'Your Will of the Champion was successful on %t!','Your Will of the Champion fades.','',1,0,'',0,'You cast Will of the Champion on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670621,1384377899,0,1),
(1002962,3508477159,4,1,'Willed','Nothing can divert you from your purpose.  This trait instills in you an innate protection.  Arcane damage taken is decreased by 3 percent vs opponents your level.  ',150,65535,65535,0,0,0,1,0,'Your Willed was successful on %t!','Your Willed fades.','',0,1,'Spells/Willed.lua',0,'You cast Willed on %t.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',1384670621,1384378109,0,0),
(1002963,3624850176,4,1,'Willful Persistence','Your knowledge of the arcane arts helps to increase the duration of tradeskilled potions.',845,65535,65535,0,0,0,1,1,'Your Willful Persistence was successful on %t!','Your Willful Persistence fades.','',1,0,'',0,'You cast Willful Persistence on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670621,1384378109,0,1),
(1002964,1049577299,4,1,'Winds of Destruction','Winds of Retribution gains a chance to trigger from attacks.',169,65535,316,0,0,0,1,1,'Your Winds of Destruction was successful on %t!','Your Winds of Destruction fades.','',1,0,'',0,'You cast Winds of Destruction on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670621,1384377897,0,1),
(1002965,947814972,4,1,'Winds of Retribution','Whenever the monk avoids an attack, they will havce a chance to gain one of three possible defensive bonuses.',267,65535,316,0,0,0,1,1,'Your Winds of Retribution was successful on %t!','Your Winds of Retribution fades.','',1,0,'',0,'You cast Winds of Retribution on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670621,1384377907,0,1),
(1002966,1233680325,4,1,'Winds of Serenity','Increases the trigger chance of Winds of Retribution.',636,65535,316,0,0,0,1,1,'Your Winds of Serenity was successful on %t!','Your Winds of Serenity fades.','',1,0,'',0,'You cast Winds of Serenity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670621,1384377907,0,1),
(1002967,585849149,4,1,'Wisdom Keeper','Slows the natural loss of Savagery when out of combat.',78,65535,65535,0,0,0,1,1,'Your Wisdom Keeper was successful on %t!','Your Wisdom Keeper fades.','',1,0,'',0,'You cast Wisdom Keeper on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670621,1384377901,0,1),
(1002968,3466210673,4,1,'Wisdom of Experience','Your devotion to the gods allows you to have increased wisdom.  The amount of wisdom will increase as you gain levels.',42,65535,65535,0,0,0,1,0,'Your Wisdom of Experience was successful on %t!','Your Wisdom of Experience fades.','',0,1,'Spells/Traits/WisdomofExperience.lua',0,'You cast Wisdom of Experience on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670621,1384378109,0,1),
(1002969,3831087141,4,1,'Wisdom of Rivervale','Your devotion to the gods allows you to have increased wisdom.  The amount of wisdom will increase as you gain levels.',42,65535,65535,0,0,0,1,0,'Your Wisdom of Rivervale was successful on %t!','Your Wisdom of Rivervale fades.','',0,1,'Spells/Traits/WisdomofRivervale.lua',0,'You cast Wisdom of Rivervale on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670621,1384378109,0,1),
(1002970,659265745,4,1,'Wisdom of the Ages','Your devotion to the gods allows you to have increased wisdom.  The amount of wisdom will increase as you gain levels.',41,65535,65535,0,0,0,1,0,'Your Wisdom of the Ages was successful on %t!','Your Wisdom of the Ages fades.','',0,1,'Spells/Traits/WisdomoftheAges.lua',0,'You cast Wisdom of the Ages on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670621,1384378109,0,1),
(1002971,498556063,4,1,'Wisdom of the Chokidai','Adds an additional hit to Ralissk''s Perception.',917,65535,312,0,0,0,1,1,'Your Wisdom of the Chokidai was successful on %t!','Your Wisdom of the Chokidai fades.','',1,0,'',0,'You cast Wisdom of the Chokidai on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670621,1384377901,0,1),
(1002972,1926508305,4,1,'Wisdom of the Old Oak','Your devotion to the gods allows you to have increased wisdom.  The amount of wisdom will increase as you gain levels.',191,65535,316,0,0,0,0,0,'Your Wisdom of the Old Oak was successful on %t!','Your Wisdom of the Old Oak fades.','',0,1,'Spells/Traits/WisdomoftheOldOak.lua',0,'You cast Wisdom of the Old Oak on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670621,1384378110,0,1),
(1002973,2512084656,4,0,'Wise','Fools rush in where angels fear to tread. This trait increases your Wisdom by 4.',4,65535,65535,0,0,0,0,1,'Your Wise was successful on %t!','Your Wise fades.','',1,0,'',0,'You cast Wise on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670621,1384378109,0,1),
(1002974,2081324323,4,1,'Witchdoctor''s Herbal Recipe','Reduces the reuse speed of the Witchdoctor''s group cure.',747,65535,314,0,0,0,1,1,'Your Witchdoctor''s Herbal Recipe was successful on %t!','Your Witchdoctor''s Herbal Recipe fades.','',1,0,'',0,'You cast Witchdoctor''s Herbal Recipe on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670621,1384377902,0,1),
(1002975,433562235,4,0,'Witchdoctor''s Stamina','Increases the Witchdoctor''s stamina by 5 for each rank.',565,65535,65535,0,0,0,0,1,'Your Witchdoctor''s Stamina was successful on %t!','Your Witchdoctor''s Stamina fades.','',1,0,'',0,'You cast Witchdoctor''s Stamina on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670621,1384377833,0,1),
(1002976,1856314036,4,1,'Woodland Regeneration','Allows you to recover power faster while out of combat.',40,65535,65535,0,0,0,1,0,'Your Woodland Regeneration was successful on %t!','Your Woodland Regeneration fades.','',0,1,'Spells/Traits/WoodlandRegeneration.lua',0,'You cast Woodland Regeneration on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670621,1384377823,0,1),
(1002977,3866239230,4,1,'Words of Honor','Your study into the divine arts grants you additional skill with abilities requiring ministration.',185,65535,316,0,0,0,1,0,'Your Words of Honor was successful on %t!','Your Words of Honor fades.','',0,1,'Spells/Traits/WordsofHonor.lua',0,'You cast Words of Honor on %t.',4,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384670622,1384377823,0,1),
(1002978,1529915764,4,1,'Wraith Howl','Increases the health threshold of Wraithwall.',868,65535,316,0,0,0,1,1,'Your Wraith Howl was successful on %t!','Your Wraith Howl fades.','',1,0,'',0,'You cast Wraith Howl on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670622,1384377904,0,1),
(1002979,1998522156,4,1,'Wrapped in Flames','Blazing Shot will grant an incremental effect that reduces incoming damage to the group. This effect increments to a maximum of 3. Each player gets their own increments.',274,65535,315,0,0,0,1,1,'Your Wrapped in Flames was successful on %t!','Your Wrapped in Flames fades.','',1,0,'',0,'You cast Wrapped in Flames on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670622,1384377903,0,1),
(1002980,2661207995,4,0,'Wrath of Bertoxulous','This ability grants the warlock an innate ability to infect their enemies with a dormant disease with every hostile spell. Dark Incubation has a 5% chance to trigger and lasts for 12 seconds. Once the target is infected, the warlock will be able to cast Dark Aggravation, dealing substantial damage to the target and surrounding enemies.',11,65535,65535,0,0,0,0,1,'Your Wrath of Bertoxulous was successful on %t!','Your Wrath of Bertoxulous fades.','',1,0,'',0,'You cast Wrath of Bertoxulous on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670622,1384377838,0,1),
(1002981,3527391944,4,1,'Wrath of Divinity','Some of the templar''s impairement spells will grant them an incremental effect that allows them to inflict additional damage when casting damage spells. This effect increments to 3.',169,65535,315,0,0,0,1,1,'Your Wrath of Divinity was successful on %t!','Your Wrath of Divinity fades.','',1,0,'',0,'You cast Wrath of Divinity on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670622,1384377902,0,1),
(1002982,516674566,4,0,'Wrath of the Undead Servant','Grants the necromancer''s pet a life draining melee or spell attack depending on the pet''s class.',919,65535,317,0,0,0,0,1,'Your Wrath of the Undead Servant was successful on %t!','Your Wrath of the Undead Servant fades.','',1,0,'',0,'You cast Wrath of the Undead Servant on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670622,1384377908,0,1),
(1002983,1708799416,4,0,'Wuoshi''s Barrier','When casting heals, the priest has a chance to become immune to taunts and gains a damage shield.',17,65535,317,0,0,0,0,1,'Your Wuoshi''s Barrier was successful on %t!','Your Wuoshi''s Barrier fades.','',1,0,'',0,'You cast Wuoshi''s Barrier on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670622,1384377905,0,1),
(1002984,1179817733,4,1,'Zealotry of Marr','Frogloks are master weaponsmiths. +5 Metalshaping',427,65535,65535,0,0,0,1,0,'Your Zealotry of Marr was successful on %t!','Your Zealotry of Marr fades.','',0,1,'Spells/ZealotryofMarr.lua',0,'You cast Zealotry of Marr on %t.',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',1384670623,1384378109,0,0),
(1002985,2351088537,4,1,'Zealous Defender','Passively increases the amount of health gained from stamina.',43,65535,317,0,0,0,1,1,'Your Zealous Defender was successful on %t!','Your Zealous Defender fades.','',1,0,'',0,'You cast Zealous Defender on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670623,1384377905,0,1),
(1002986,1939469055,4,1,'Zealous Power','Removes the power cost of Consecrate and allows Consecrate to restore power to the paladin with each pulse.',914,65535,317,0,0,0,1,1,'Your Zealous Power was successful on %t!','Your Zealous Power fades.','',1,0,'',0,'You cast Zealous Power on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670623,1384377906,0,1),
(1002987,1619826878,4,1,'gold rush controller','',11,65535,65535,0,0,0,1,1,'Your gold rush controller was successful on %t!','Your gold rush controller fades.','',1,0,'',0,'You cast gold rush controller on %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670623,1384378116,0,1),
(1002988,0,4,0,'Brawler Class','Brawler Class innate attribute buff.',2,65535,65535,1408356869,0,45,0,0,'Brawler Class successful.','Brawler Class cancelled.','',0,0,'Spells/Commoner/BrawlerClass.lua',0,'Brawler Class casting.',4,0,0,0,1,0,0,0,0,2550401,1,0,1,0,0,0,0,0,0,'Unset',1694878420,0,0,0),
(1002989,0,4,0,'Warrior Class','Warrior Class innate attribute buff.',2,65535,65535,0,0,0,0,0,'Warrior Class successful.','Warrior Class cancelled.','',0,0,'Spells/Commoner/WarriorClass.lua',0,'Warrior Class casting.',4,0,0,0,1,0,0,0,0,2550401,1,0,1,0,0,0,0,0,0,'Unset',1694880372,0,0,0),
(1002990,0,4,0,'Crusader Class','Crusader Class innate attribute buff.',2,65535,65535,0,0,0,0,0,'Crusader Class successful.','Crusader Class cancelled.','',0,0,'Spells/Commoner/CrusaderClass.lua',0,'Crusader Class casting.',4,0,0,0,1,0,0,0,0,2550401,1,0,1,0,0,0,0,0,0,'Unset',1694880474,0,0,0),
(1002991,0,2,0,'Tend Wounds','+5% HP regen, +2 STR',211,65535,317,0,0,0,0,0,'','','',1,0,'Spells/Commoner/TendWounds.lua',258,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',1714745851,0,0,1),
(1002992,0,2,0,'Ayr''Dal Assault','Attacks deal additional slashing damage.',296,65535,317,0,0,0,0,0,'','','',1,0,'Spells/Commoner/AyrDalAssault.lua',0,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',1714746269,0,0,1),
(2000000,3499298312,1,0,'Acceleration Strike','If Acceleration Strike hits an enemy, and is followed soon thereafter by 3 more combat arts or by letting the 24 seconds expire, the Slayer''s attack, casting, and recovery speed increases for a limited duration. Higher ranks increase the duration of the bonuses.',656,65535,315,0,0,0,0,1,'Your Acceleration Strike was successful on %t!','Your Acceleration Strike fades.','',0,1,'',3331,'You cast Acceleration Strike on %t.',1,0,0,1,0,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670712,1384377904,0,0),
(2000001,2696014994,1,0,'Advance Warning','Your reflexes are heightened to near clairvoyance.  When used in time, this ability protects your group from area effects, as long as they aren''t the direct target of the effect.  If the caster enters PVP combat, the duration of this effect will be reduced.',491,65535,314,0,0,0,0,2,'Your Advance Warning was successful on %t!','Your Advance Warning fades.','',0,0,'Spells/AA/AdvanceWarning.lua',3500,'You cast Advance Warning on %t.',1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670712,1384377912,0,0),
(2000002,420765299,1,0,'Aggressor''s Power','Increases the caster''s Crit Bonus by a percentage of their base Crit Bonus.',89,65535,317,0,0,0,0,0,'Your Aggressor''s Power was successful on %t!','Your Aggressor''s Power fades.','',0,0,'',3718,'You cast Aggressor''s Power on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670712,1384377904,0,0),
(2000003,1184698603,1,1,'Alternate: Mongoose Stance','As an alternative to Dragon Rage, this stance has a chance of reducing your enemies'' hate towards you on a successful strike.',554,65535,317,0,0,0,1,0,'Your Alternate: Mongoose Stance was successful on %t!','Your Alternate: Mongoose Stance fades.','',0,0,'',3301,'You cast Alternate: Mongoose Stance on %t.',1,0,0,1,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670712,1384377911,0,0),
(2000004,1040507552,1,1,'Alternate: Shiftiness','As an alternative to Manhandle, your attacks have a chance of reducing the target''s hate toward you while in this stance.',278,65535,317,0,0,0,1,1,'Your Alternate: Shiftiness was successful on %t!','Your Alternate: Shiftiness fades.','',0,0,'',0,'You cast Alternate: Shiftiness on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670712,1384377830,0,0),
(2000005,2690276017,1,1,'Alternate: Siphon Armament','You draw upon the defenses of a fighter ally, effectively borrowing a portion of their mitigation.',153,65535,316,0,0,0,1,1,'Your Alternate: Siphon Armament was successful on %t!','Your Alternate: Siphon Armament fades.','',0,0,'',3324,'You cast Alternate: Siphon Armament on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670712,1384377900,0,0),
(2000006,2017894776,1,1,'Altruism','Prevents an ally from death, instead causing them to feign death. Your hate positions by that encounter is increased twice.',667,65535,65535,0,0,0,1,1,'Your Altruism was successful on %t!','Your Altruism fades.','',0,0,'',3277,'You cast Altruism on %t.',1,1,1,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670712,1384377832,0,0),
(2000007,4078480875,1,0,'Ambidexterous Casting','A melee attack that can be executed while casting a spell. It interrupts the target if it strikes.',658,65535,65535,0,0,0,0,1,'Your Ambidexterous Casting was successful on %t!','Your Ambidexterous Casting fades.','',0,0,'Spells/AA/AmbidexterousCasting.lua',3120,'You cast Ambidexterous Casting on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670713,1384377911,0,0),
(2000008,2915583604,1,0,'Amphibian Consumption','',504,65535,315,0,0,0,0,1,'Your Amphibian Consumption was successful on %t!','Your Amphibian Consumption fades.','',0,0,'',0,'You cast Amphibian Consumption on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670714,1384367310,0,0),
(2000009,1346120408,1,0,'Ankle Bite','',373,65535,315,0,0,0,0,1,'Your Ankle Bite was successful on %t!','Your Ankle Bite fades.','',0,0,'',0,'You cast Ankle Bite on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670715,1384377900,0,0),
(2000010,1102675311,1,0,'Aquatic Regeneration','',185,65535,314,0,0,0,0,1,'Your Aquatic Regeneration was successful on %t!','Your Aquatic Regeneration fades.','',0,0,'',0,'You cast Aquatic Regeneration on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670715,1384377900,0,0),
(2000011,2216361282,1,0,'Arcane Affliction','',168,65535,315,0,0,0,0,1,'Your Arcane Affliction was successful on %t!','Your Arcane Affliction fades.','',0,0,'',0,'You cast Arcane Affliction on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670715,1384377894,0,0),
(2000012,2781865393,1,0,'Arrow Barrage','The ranger fires a barrage of arrows into the air, raining down upon the target encounter.',811,65535,312,0,0,0,0,1,'Your Arrow Barrage was successful on %t!','Your Arrow Barrage fades.','',0,0,'',3482,'You cast Arrow Barrage on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670719,1384377831,0,0),
(2000013,3861001435,1,0,'Baton Flurry','A melee attack that speeds up the Monkey Guru''s recovery time for a short duration.',608,65535,65535,0,0,0,0,1,'Your Baton Flurry was successful on %t!','Your Baton Flurry fades.','',0,1,'',3278,'You cast Baton Flurry on %t.',1,0,0,1,0,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670727,1384377833,0,0),
(2000014,1021925462,1,0,'Batter','',232,65535,312,1209716810,0,0,0,1,'Your Batter was successful on %t!','Your Batter fades.','',0,0,'',0,'You cast Batter on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670727,1384367310,0,0),
(2000015,982308308,1,0,'Battering Onslaught','Strikes the target with melee damage for each increment of Pulverize maintained on that target. Additionally, the target is dazed for a short duration.',855,65535,315,0,0,0,0,1,'Your Battering Onslaught was successful on %t!','Your Battering Onslaught fades.','',0,0,'',3213,'You cast Battering Onslaught on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670727,1384377907,0,0),
(2000016,875639770,1,0,'Battle Frenzy','The Berserker goes into a Battle Frenzy at the sight of their own blood, healing when struck in combat for a short duration.',926,65535,317,0,0,0,0,0,'Your Battle Frenzy was successful on %t!','Your Battle Frenzy fades.','',0,1,'',3333,'You cast Battle Frenzy on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670728,1384377902,0,0),
(2000017,854618361,1,0,'Beastmaster''s Sight','The beastlord is able to see what creatures he or she can tame by focusing on nearby targets. This ability also innately increases the animalist''s stamina and agility by 4 points per rank.',577,65535,317,0,0,0,0,1,'Your Beastmaster''s Sight was successful on %t!','Your Beastmaster''s Sight fades.','',0,1,'',0,'You cast Beastmaster''s Sight on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670730,1384377833,0,0),
(2000018,1908834431,1,0,'Befriend Animal','',668,65535,315,0,0,0,0,1,'Your Befriend Animal was successful on %t!','Your Befriend Animal fades.','',0,0,'',0,'You cast Befriend Animal on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670730,1384377830,0,0),
(2000019,3766659495,1,0,'Belly Smash','Belly Smash can only be used when the target has been recently knocked down. If this attack strikes, the target suffers severe physical mitigation reduction for a short duration.',581,65535,315,0,0,0,0,1,'Your Belly Smash was successful on %t!','Your Belly Smash fades.','',0,1,'',3332,'You cast Belly Smash on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670732,1384377912,0,0),
(2000020,2703476495,1,0,'Forced Berserk','Causes your group to immediately go Berserk.  This effect stacks with other forms of Berserk.',356,65535,317,0,0,0,0,2,'Your Berserk was successful on %t!','Your Berserk fades.','',0,0,'',0,'You cast Berserk on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670732,1384377899,0,0),
(2000021,3999324707,1,0,'Bind Wound','Bind Wound restores warrior''s health out of combat. The warrior gains a bonus to all combat art damage after the next successful melee attack for a short duration. This ability grants 4 strength and stamina passively per rank.',327,65535,317,0,0,0,0,1,'Your Bind Wound was successful on %t!','Your Bind Wound fades.','',0,0,'Spells/AA/BindWound.lua',0,'You cast Bind Wound on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,'Unset',1384670733,1384377910,0,0),
(2000022,356613738,1,0,'Bird''s Eye','',60,65535,314,0,0,0,0,1,'Your Bird''s Eye was successful on %t!','Your Bird''s Eye fades.','',0,0,'',0,'You cast Bird''s Eye on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670734,1384377894,0,0),
(2000023,109396895,1,0,'Bladed Opening','A melee attack that deals additional damage if the target is above 80% health.',671,65535,65535,0,0,0,0,1,'Your Bladed Opening was successful on %t!','Your Bladed Opening fades.','',0,1,'',3472,'You cast Bladed Opening on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670737,1384377912,0,0),
(2000024,2961131881,1,0,'Blazing Shot','Inflicts heat damage from range and allows the ranger''s next multi-hit attack to inflict additional damage. This effect can increment up to 3 with each increment allowing more multi-hit attacks attacks to inflict the bonus damage. This ability can be used when the ranger is point blank and modifies only multi-hit attacks and attacks modified by Dexterous Attacks. Higher ranks of this ability reduce the base reuse time.',273,65535,315,0,0,0,0,1,'Your Blazing Shot was successful on %t!','Your Blazing Shot fades.','',0,1,'',3264,'You cast Blazing Shot on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670740,1384377910,0,0),
(2000025,872584025,1,0,'Bleedout','A replacement for Gushing Wound. This attack deals high damage up front and causes the target to bleed. If the target is bleeding when this combat art is used, it deals additional damage.',345,36,315,0,0,0,0,1,'Your Bleedout was successful on %t!','Your Bleedout fades.','',0,0,'',3057,'You cast Bleedout on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670740,1384377840,0,0),
(2000026,1346413673,1,0,'Blinding Dust','Inflicts poison damage to targets surrounding the brigand and blinds them, greatly reducing the chance that their attacks will land. Higher ranks lower the base reuse speed.',803,65535,313,0,0,0,0,1,'Your Blinding Dust was successful on %t!','Your Blinding Dust fades.','',0,1,'',3273,'You cast Blinding Dust on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670740,1384377901,0,0),
(2000027,1767293037,1,0,'Blindside','The beastlord attacks their enemy from the blindside and slips into stealth.',263,65535,315,0,0,0,0,1,'Your Blindside was successful on %t!','Your Blindside fades.','',0,0,'',2996,'You cast Blindside on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670740,1384377906,0,0),
(2000028,1668628383,1,0,'Block','',563,65535,317,0,0,0,0,0,'Your Block was successful on %t!','Your Block fades.','',0,0,'',1156,'You cast Block on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670740,1384377900,0,0),
(2000029,3085956600,1,0,'Bloodflurry','Inflicts multiple melee attacks to the target. This attack hits once per increment of Carnage on the target up to a maximum of five strikes.',383,65535,315,0,0,0,0,1,'Your Bloodflurry was successful on %t!','Your Bloodflurry fades.','',0,0,'',3266,'You cast Bloodflurry on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670742,1384377908,0,0),
(2000030,322414485,1,0,'Dodge and Strike','Bob and Weave allows the monk to dodge all incoming attacks.',854,65535,317,0,0,0,0,0,'Your Bob and Weave was successful on %t!','Your Bob and Weave fades.','',0,0,'',1557,'You cast Bob and Weave on %t.',1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670743,1384377839,0,0),
(2000031,1557214224,1,0,'Bonechiller Venom','Inflicts a small amount of cold damage that reduces the chance the target attacks multiple times.',799,65535,315,0,0,0,0,1,'Your Bonechiller Venom was successful on %t!','Your Bonechiller Venom fades.','',0,1,'',2997,'You cast Bonechiller Venom on %t.',1,0,0,0,0,0,0,0,0,0,3,0,0,0,0,1,1,0,0,'Unset',1384670747,1384377836,0,0),
(2000032,769994507,1,0,'Boot Dagger','A melee attack made from the side or behind that places the Thief into stealth if it strikes.',556,65535,65535,0,0,0,0,1,'Your Boot Dagger was successful on %t!','Your Boot Dagger fades.','',0,1,'',3489,'You cast Boot Dagger on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670747,1384377833,0,0),
(2000033,2990278234,1,0,'Bounty','The Predator receives a bounty for killing the targeted enemy, as long as they are more challenging than a green difficulty opponent. This ability also grants 4 agility and stamina passively per rank.',702,65535,65535,0,0,0,0,1,'Your Bounty was successful on %t!','Your Bounty fades.','',0,1,'',3473,'You cast Bounty on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670747,1384377901,0,0),
(2000034,4000962298,1,0,'Brawler''s Tenacity','The brawler is able to show their undying tenacity, granting them the ability to avoid death.',925,65535,317,0,0,0,0,0,'Your Brawler''s Tenacity was successful on %t!','Your Brawler''s Tenacity fades.','',0,1,'',3279,'You cast Brawler''s Tenacity on %t.',1,0,0,1,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670747,1384377917,0,0),
(2000035,2766998449,1,0,'Brutal Inspiration','Grants the bruiser an alternate ability to Close Mind that can be cast on a group or raid friend. The two abilities share a reuse time.  If the caster enters PVP combat, the duration of this effect will be reduced.',476,65535,316,0,0,0,0,1,'Your Brutal Inspiration was successful on %t!','Your Brutal Inspiration fades.','',0,0,'Spells/AA/BrutalInspiration.lua',3292,'You cast Brutal Inspiration on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670748,1384377904,0,0),
(2000036,1685132608,1,0,'Bump','A positional melee attack that shoves your target and places the Wayfarer into stealth. If your target is a humanoid, you have a chance to pickpocket them.',567,65535,65535,0,0,0,0,1,'Your Bump was successful on %t!','Your Bump fades.','',0,0,'',3435,'You cast Bump on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670750,1384377913,0,0),
(2000037,4179643856,1,1,'Carnage','Applies an incremental damage over time effect when the assassin uses their bleed attacks. This ability can increment up to 5 times.',496,65535,317,0,0,0,1,0,'Your Carnage was successful on %t!','Your Carnage fades.','',0,1,'',3469,'You cast Carnage on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670754,1384377904,0,0),
(2000038,1262464672,1,1,'Cat-Like Reflexes','Grants the ranger a chance to reduce their threat when attacking with ranged attacks.',231,65535,317,0,0,0,1,0,'Your Cat-Like Reflexes was successful on %t!','Your Cat-Like Reflexes fades.','',0,0,'',3483,'You cast Cat-Like Reflexes on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670754,1384377913,0,0),
(2000039,3547634278,1,0,'Champion''s Interception','Grants Champion''s Watch and Champion''s Interception. Champion''s Watch is a group spell that increments Champion''s Sight whenever a non-fighter is hit by an enemy. Champion''s Sight increments to 50. Champion''s Interception consumes Champion''s Sight and applies damage reduction to non-fighters in the group based on the number of increments of Champion''s Sight consumed. This spell can be toggled off early to gain some Champion''s Sight increments back. Champion''s Interception can be used through most control effects. Higher ranks lower the base reuse time.',858,65535,314,0,0,0,0,0,'Your Champion''s Interception was successful on %t!','Your Champion''s Interception fades.','',0,0,'',3207,'You cast Champion''s Interception on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670757,1384377906,0,0),
(2000040,1261767663,1,1,'Champion''s Stand','Reduces damage to all priests in the guardian''s raid.',624,65535,314,0,0,0,1,8,'Your Champion''s Stand was successful on %t!','Your Champion''s Stand fades.','',0,0,'',3206,'You cast Champion''s Stand on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670757,1384377906,0,0),
(2000041,3194500374,1,1,'Champion''s Watch','Whenever a non-fighter takes damage, the guardian builds triggers of Champion''s Sight.',858,65535,314,0,0,0,1,2,'Your Champion''s Watch was successful on %t!','Your Champion''s Watch fades.','',0,0,'',0,'You cast Champion''s Watch on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670757,1384377911,0,0),
(2000042,1601808198,1,0,'Change of Engagement','Inflicts moderate damage to the target. If the rogue is in front of the target, the target''s attributes are reduced. If the rogue is behind the target, the target''s maximum health is reduced.',928,65535,315,0,0,0,0,1,'Your Change of Engagement was successful on %t!','Your Change of Engagement fades.','',0,0,'',112,'You cast Change of Engagement on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670757,1384377899,0,0),
(2000043,1793784550,1,0,'Chaotic Blade','Inflicts melee damage on the target and heals the shadowknight. The damage and heal increase in effectiveness the closer the shadowknight is to death. Higher ranks lower the base reuse speed. This attack can be cast while casting other abilities.',381,65535,315,0,0,0,0,1,'Your Chaotic Blade was successful on %t!','Your Chaotic Blade fades.','',0,0,'',3208,'You cast Chaotic Blade on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670757,1384377906,0,0),
(2000044,848620636,1,0,'Charging Bite','',353,65535,315,0,0,0,0,1,'Your Charging Bite was successful on %t!','Your Charging Bite fades.','',0,0,'',0,'You cast Charging Bite on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670757,1384367301,0,0),
(2000045,2085833036,1,0,'Chi','Greatly increases the Tiger Sifu''s attack speed and Multi-Attack Chance, and improves speed of all casting times, recovery times, and reuse times.',614,65535,65535,0,0,0,0,0,'Your Chi was successful on %t!','Your Chi fades.','',0,1,'Spells/AA/Chi.lua',3280,'You cast Chi on %t.',1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670758,1384377910,0,0),
(2000046,2008120602,1,0,'Chilling Armor','Reduces incoming damage to the beastlord for a short duration.',253,65535,317,0,0,0,0,0,'Your Chilling Armor was successful on %t!','Your Chilling Armor fades.','',0,0,'',2998,'You cast Chilling Armor on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670758,1384377911,0,0),
(2000047,1480709694,1,0,'Chilling Strike','As an alternative to Velium Winds, you can use Chilling Strike as a melee attack.',152,14,315,0,0,0,0,1,'Your Chilling Strike was successful on %t!','Your Chilling Strike fades.','',0,0,'',3413,'You cast Chilling Strike on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670759,1384377830,0,0),
(2000048,673915569,1,0,'Circle of the Ancients','As an alternative to Wrath of the Ancients, you can use Circle of the Ancients as an area melee attack.',261,14,313,0,0,0,0,1,'Your Circle of the Ancients was successful on %t!','Your Circle of the Ancients fades.','',0,0,'',3414,'You cast Circle of the Ancients on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670759,1384377902,0,0),
(2000049,1748117260,1,0,'Combat Leadership','The Knight''s group will deal additional slashing damage on their next attack or spell.',555,65535,65535,0,0,0,0,2,'Your Combat Leadership was successful on %t!','Your Combat Leadership fades.','',0,1,'',3309,'You cast Combat Leadership on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670762,1384377913,0,0),
(2000050,4232998230,1,0,'Combat Mastery','Combat Mastery makes the brawler''s group always hit for their maximum damage when using melee or ranged attacks and combat arts.  In PVP combat, this will also make the caster''s group immune to taunt effects.',921,65535,314,0,0,0,0,2,'Your Combat Mastery was successful on %t!','Your Combat Mastery fades.','',0,0,'',77,'You cast Combat Mastery on %t.',1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670762,1384377831,0,0),
(2000051,542563927,1,0,'Consume Flesh','',346,65535,315,0,0,0,0,1,'Your Consume Flesh was successful on %t!','Your Consume Flesh fades.','',0,0,'',0,'You cast Consume Flesh on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670763,1384377900,0,0),
(2000052,3490349964,1,0,'Control Hate','If the bruiser''s offensive stance is active, it reduces your opponent''s hate towards you. Otherwise, hate is increased.',278,65535,315,0,0,0,0,1,'Your Control Hate was successful on %t!','Your Control Hate fades.','',0,0,'',3293,'You cast Control Hate on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670763,1384377906,0,0),
(2000053,2613113189,1,0,'Cornered','When the only way out is straight through....',926,65535,313,0,0,0,0,1,'Your Cornered was successful on %t!','Your Cornered fades.','',0,1,'',3490,'You cast Cornered on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670764,1384377909,0,0),
(2000054,4280020453,1,0,'Coule','The Fencer''s strike deals damage and reduces the accuracy and auto-attack damage of the target for a short duration.',690,65535,65535,0,0,0,0,1,'Your Coule was successful on %t!','Your Coule fades.','',0,1,'',3495,'You cast Coule on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670764,1384377901,0,0),
(2000055,962549907,1,0,'Counterblade','A melee attack that counters the next spell cast if it successfully hits.',606,65535,65535,0,0,0,0,1,'Your Counterblade was successful on %t!','Your Counterblade fades.','',0,1,'',3094,'You cast Counterblade on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670764,1384377917,0,0),
(2000056,1637564401,1,0,'Crane Flock','Crane Flock causes all auto-attacks made to attack up to 4 enemies surrounding the Crane Sensei. The Crane Sensei''s damage per second will be increased.',677,65535,65535,0,0,0,0,0,'Your Crane Flock was successful on %t!','Your Crane Flock fades.','',0,1,'',3281,'You cast Crane Flock on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670765,1384377901,0,0),
(2000057,4294945362,1,0,'Crane Sweep','A melee attack that knocks down all nearby enemies.',560,65535,65535,0,0,0,0,1,'Your Crane Sweep was successful on %t!','Your Crane Sweep fades.','',0,1,'',3282,'You cast Crane Sweep on %t.',1,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670765,1384377901,0,0),
(2000058,2297993924,1,1,'Crane Twirl','Provides a chance to inflict additional damage on all enemies surrounding the Crane Sensei. In addition, Crane Twirl grants the brawler a chance to strike multiple enemies within melee range with every auto-attack.',620,65535,65535,0,0,0,1,1,'Your Crane Twirl was successful on %t!','Your Crane Twirl fades.','',0,1,'',3283,'You cast Crane Twirl on %t.',1,0,0,1,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670765,1384377913,0,0),
(2000059,3982055509,1,0,'Crazed Roar','',353,65535,315,0,0,0,0,1,'Your Crazed Roar was successful on %t!','Your Crazed Roar fades.','',0,0,'',0,'You cast Crazed Roar on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670765,1384377894,0,0),
(2000060,2948013123,1,0,'Crushing Force','',508,65535,312,0,0,0,0,1,'Your Crushing Force was successful on %t!','Your Crushing Force fades.','',0,0,'',0,'You cast Crushing Force on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670768,1384291142,0,0),
(2000061,3090805959,1,0,'Crushing Hooves','',508,65535,315,0,0,0,0,1,'Your Crushing Hooves was successful on %t!','Your Crushing Hooves fades.','',0,0,'',0,'You cast Crushing Hooves on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670768,1384377901,0,0),
(2000062,3125516532,1,0,'Crushing Maw','',373,65535,315,0,0,0,0,1,'Your Crushing Maw was successful on %t!','Your Crushing Maw fades.','',0,0,'',0,'You cast Crushing Maw on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670768,1384291144,0,0),
(2000063,835642416,1,0,'Crushing Paws','',508,65535,315,0,0,0,0,1,'Your Crushing Paws was successful on %t!','Your Crushing Paws fades.','',0,0,'',0,'You cast Crushing Paws on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670768,1384377894,0,0),
(2000064,1218770625,1,0,'Cry of the Warrior','Cry of the Warrior allows the warrior to lock onto their target for a short duration and increases their hate position with the target.',920,65535,315,0,0,0,0,1,'Your Cry of the Warrior was successful on %t!','Your Cry of the Warrior fades.','',0,1,'',1546,'You cast Cry of the Warrior on %t.',1,0,0,0,0,0,4,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670769,1384377903,0,0),
(2000065,543270030,1,0,'Cunning','Clears most of the scout''s reuses.',755,65535,317,0,0,0,0,0,'Your Cunning was successful on %t!','Your Cunning fades.','',0,0,'',3713,'You cast Cunning on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670769,1384377907,0,0),
(2000066,2741887679,1,0,'Dance of Metal','The rogue strikes the same spot on the target with each combat art, granting them additional damage with each attack for up to 8 triggers.',929,65535,317,0,0,0,0,0,'Your Dance of Metal was successful on %t!','Your Dance of Metal fades.','',0,1,'',3496,'You cast Dance of Metal on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670771,1384377912,0,0),
(2000067,642799143,1,0,'Darksong Spin','A replacement for Darksong Blade. This attack inflicts two quick disease attacks to targets surrounding the dirge. Targets who are hit with the melee attacks suffer additional disease damage over time.',366,38,313,0,0,0,0,1,'Your Darksong Spin was successful on %t!','Your Darksong Spin fades.','',0,0,'',3089,'You cast Darksong Spin on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670775,1384377897,0,0),
(2000068,3541046798,1,0,'Dashing Flourish','Inflicts damage to targets surrounding the swashbuckler. Any target hit will have its weapon damage bonus reduced.',929,65535,313,0,0,0,0,1,'Your Dashing Flourish was successful on %t!','Your Dashing Flourish fades.','',0,1,'',3267,'You cast Dashing Flourish on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670776,1384377918,0,0),
(2000069,820381576,1,0,'Fire','An alternative form of Dawnstrike which executes a melee attack instead of a spell attack.',276,14,315,0,0,0,0,1,'Your Dawnstrike was successful on %t!','Your Dawnstrike fades.','',0,1,'',3395,'You cast Dawnstrike on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670777,1384377899,0,0),
(2000070,2162095041,1,0,'Dazing Bash','A crushing attack that temporarily dazes the enemy, preventing them from making autoattacks.',657,65535,65535,0,0,0,0,1,'Your Dazing Bash was successful on %t!','Your Dazing Bash fades.','',0,0,'Spells/AA/DazingBash.lua',3403,'You cast Dazing Bash on %t.',1,0,0,0,0,0,0,3,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670777,1384377910,0,0),
(2000071,363179645,1,0,'Debilitating Venom','',207,65535,312,0,0,0,0,1,'Your Debilitating Venom was successful on %t!','Your Debilitating Venom fades.','',0,0,'',0,'You cast Debilitating Venom on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670781,1384377900,0,0),
(2000072,1395155571,1,0,'Decimation','',263,65535,315,0,0,0,0,1,'Your Decimation was successful on %t!','Your Decimation fades.','',0,0,'',0,'You cast Decimation on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670781,1384377900,0,0),
(2000073,1249758172,1,0,'Defender''s Charge','Inflicts melee damage on the target. The damage is greatly increased if the guardian is not the enemy''s current target. Applies additional damage and damage reduction to the guardian when the guardian uses their next combat art. Higher ranks of this ability lower the base reuse time. The triggered effects can increment up to three times each.',929,65535,315,0,0,0,0,1,'Your Defender''s Charge was successful on %t!','Your Defender''s Charge fades.','',0,1,'',3205,'You cast Defender''s Charge on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670781,1384377918,0,0),
(2000074,4126992721,1,0,'Defensive Minded','A short duration buff which improves the guardian''s casting and reuse speed while also granting them a chance to dodge any incoming attack.',834,65535,317,0,0,0,0,0,'Your Defensive Minded was successful on %t!','Your Defensive Minded fades.','',0,1,'',1547,'You cast Defensive Minded on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670781,1384377910,0,0),
(2000075,2283593075,1,0,'Deft Disarm','The Fencer strikes strategically, reducing the target''s strength and wisdom.',654,65535,65535,0,0,0,0,1,'Your Deft Disarm was successful on %t!','Your Deft Disarm fades.','',0,1,'Spells/AA/DeftDisarm.lua',3497,'You cast Deft Disarm on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670781,1384377905,0,0),
(2000076,1584737512,1,0,'Demoralizing Swipe','',857,65535,65535,0,0,0,0,1,'Your Demoralizing Swipe was successful on %t!','Your Demoralizing Swipe fades.','',0,0,'',0,'You cast Demoralizing Swipe on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670782,1384377875,0,0),
(2000077,3532782036,1,1,'Den Mother''s Intervention','Protect''s the beastlord''s warder when it should have died. For a short duration following, the warder takes less damage.',667,65535,317,0,0,0,1,3,'Your Den Mother''s Intervention was successful on %t!','Your Den Mother''s Intervention fades.','',0,0,'',2999,'You cast Den Mother''s Intervention on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670782,1384377900,0,0),
(2000078,1951402479,1,0,'Dire Drain','',244,65535,315,0,0,0,0,1,'Your Dire Drain was successful on %t!','Your Dire Drain fades.','',0,0,'',0,'You cast Dire Drain on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670786,1384291127,0,0),
(2000079,771459756,1,0,'Dissipate','Dissipates a sizeable amount of Dissonance from the Shaper. Points in this ability passively increase the Shaper''s wisdom and stamina by 4 per point.',228,65535,317,0,0,0,0,1,'Your Dissipate was successful on %t!','Your Dissipate fades.','',0,0,'',0,'You cast Dissipate on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670786,1384377830,0,0),
(2000080,4188651438,1,0,'Divine Territory','Passively allows the paladin to build charges of Divine Justice when using spells or combat arts. Divine Justice increments at 3 per attack target and maxes at 60. Divine Territory inflicts divine damage to enemies surrounding the paladin based on the number of charges of Divine Justice the paladin has active. For each target struck, the paladin gains an increment of True Territory which increases their attack speed and Multi-Attack Chance. True Territory increments up to 8 times.',926,65535,313,0,0,0,0,1,'Your Divine Territory was successful on %t!','Your Divine Territory fades.','',0,0,'',3211,'You cast Divine Territory on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670788,1384377900,0,0),
(2000081,4195713251,1,0,'Dodge and Cover','Each member in the Wayfarer''s group is granted an augmentation which allows them to avoid one melee attack.',696,65535,65535,0,0,0,0,2,'Your Dodge and Cover was successful on %t!','Your Dodge and Cover fades.','',0,0,'',3439,'You cast Dodge and Cover on %t.',1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670788,1384377904,0,0),
(2000082,1450010866,1,0,'Downpour','Inflicts ranged damage to enemies surrounding the target.',363,65535,313,0,0,0,0,1,'Your Downpour was successful on %t!','Your Downpour fades.','',0,0,'',0,'You cast Downpour on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670791,1384377899,0,0),
(2000083,1263791720,1,1,'Dozekar''s Resilience','Passively applies a regenerating ward to the scout.',194,65535,317,0,0,0,1,0,'Your Dozekar''s Resilience was successful on %t!','Your Dozekar''s Resilience fades.','',0,0,'',3712,'You cast Dozekar''s Resilience on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670791,1384377902,0,0),
(2000084,3743447376,1,0,'Draconic Alacrity','',222,65535,314,0,0,0,0,1,'Your Draconic Alacrity was successful on %t!','Your Draconic Alacrity fades.','',0,0,'',0,'You cast Draconic Alacrity on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670791,1384377903,0,0),
(2000085,2940898783,1,0,'Draconic Flames','',234,65535,312,0,0,0,0,1,'Your Draconic Flames was successful on %t!','Your Draconic Flames fades.','',0,0,'',0,'You cast Draconic Flames on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670791,1384377903,0,0),
(2000086,2522131411,1,0,'Draconic Shout','Heals the fighter and increases his or her maximum health for a short duration. This can be used while under control effects.',16,65535,317,0,0,0,0,1,'Your Draconic Shout was successful on %t!','Your Draconic Shout fades.','',0,0,'',3716,'You cast Draconic Shout on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670791,1384377910,0,0),
(2000087,2722276767,1,0,'Drag','',127,65535,315,0,0,0,0,1,'Your Drag was successful on %t!','Your Drag fades.','',0,0,'',3294,'You cast Drag on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670791,1384377904,0,0),
(2000088,1520564206,1,0,'Dragon Claws','Increases the caster''s potency by a percentage of their base potency.',79,65535,317,0,0,0,0,0,'Your Dragon Claws was successful on %t!','Your Dragon Claws fades.','',0,0,'',3720,'You cast Dragon Claws on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670791,1384377833,0,0),
(2000089,3900779518,1,0,'Dragonwrath','Inflicts moderate damage, stuns and teleports the scout to their target.',807,65535,315,0,0,0,0,1,'Your Dragonwrath was successful on %t!','Your Dragonwrath fades.','',0,0,'',3719,'You cast Dragonwrath on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670793,1384377913,0,0),
(2000090,736776011,1,0,'Dragoon Spin','A melee attack that attacks nearby enemies surrounding the Dragoon.',306,65535,313,0,0,0,0,1,'Your Dragoon Spin was successful on %t!','Your Dragoon Spin fades.','',0,1,'Spells/AA/DragoonSpin.lua',3338,'You cast Dragoon Spin on %t.',1,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670793,1384377901,0,0),
(2000091,3046038248,1,0,'Dragoon''s Reflexes','The Dragoon parries all combat attacks and avoids all non-direct area effects for a short duration. Any combat arts used will drop the effect.',560,65535,65535,0,0,0,0,0,'Your Dragoon''s Reflexes was successful on %t!','Your Dragoon''s Reflexes fades.','',0,0,'',3340,'You cast Dragoon''s Reflexes on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670793,1384377901,0,0),
(2000092,1547919486,1,0,'Eagle Spin','A melee attack that spins your target around, exposing their back for a short duration.',652,65535,65535,0,0,0,0,1,'Your Eagle Spin was successful on %t!','Your Eagle Spin fades.','',0,0,'',0,'You cast Eagle Spin on %t.',1,0,0,1,0,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670793,1384377920,0,0),
(2000093,715439693,1,0,'Eagle''s Patience','The Eagle Expert can patiently watch their attackers, allowing them to absorb damage when they are at low health.',796,65535,317,0,0,0,0,0,'Your Eagle''s Patience was successful on %t!','Your Eagle''s Patience fades.','',0,0,'',3285,'You cast Eagle''s Patience on %t.',1,0,0,1,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670793,1384377901,0,0),
(2000094,3186590863,1,0,'Elnakii''s Swipe','Inflicts moderate damage to the target.',275,65535,315,0,0,0,0,1,'Your Elnakii''s Swipe was successful on %t!','Your Elnakii''s Swipe fades.','',0,1,'',3008,'You cast Elnakii''s Swipe on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670793,1384377910,0,0),
(2000095,487828728,1,0,'Enchanted Eyes','',60,65535,315,0,0,0,0,1,'Your Enchanted Eyes was successful on %t!','Your Enchanted Eyes fades.','',0,0,'',0,'You cast Enchanted Eyes on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670795,1384367311,0,0),
(2000096,2828484263,1,0,'Enfeebling Whirl','An area of effect melee attack which also reduces the strength and intelligence of each target that is struck.',826,65535,313,0,0,0,0,1,'Your Enfeebling Whirl was successful on %t!','Your Enfeebling Whirl fades.','',0,1,'',3501,'You cast Enfeebling Whirl on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670795,1384377836,0,0),
(2000097,2828235207,1,0,'Evasion','Distracts the current target, allowing the monk to reduce their hate position.',278,65535,315,0,0,0,0,1,'Your Evasion was successful on %t!','Your Evasion fades.','',0,0,'',3302,'You cast Evasion on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670799,1384377833,0,0),
(2000098,4182992056,1,0,'Evasive Maneuvers','The scout is able to trick their opponent by lowering their hate position with their current target.',831,65535,65535,2741805322,0,0,0,1,'Your Evasive Maneuvers was successful on %t!','Your Evasive Maneuvers fades.','',0,1,'',3441,'You cast Evasive Maneuvers on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670799,1384377831,0,0),
(2000099,3297151550,1,1,'Evasiveness','The Thief accrues less hate with enemies in combat, allowing him to get away with dealing greater amounts of damage without bringing attention to himself. This ability must be activated in order to take effect.',696,65535,65535,0,0,0,1,0,'Your Evasiveness was successful on %t!','Your Evasiveness fades.','',0,0,'',3498,'You cast Evasiveness on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670799,1384377833,0,0),
(2000100,362418749,1,1,'Exacting Venom','Whenever the raid strikes a death blow, the caster''s group will gain a chance to inflict additional damage. This also has a very small chance to increment when attacking. This increments up to 25 times, with each increment increasing the trigger chance. It is dispelled when any group member dies. Does not persist through zoning.',279,65535,314,0,0,0,1,8,'Your Exacting Venom was successful on %t!','Your Exacting Venom fades.','',0,1,'',3271,'You cast Exacting Venom on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670801,1384377902,0,0),
(2000101,318080976,1,0,'Executioner''s Wrath','A melee attack that grants the executioner a large chance to score a critical hit on their next attack after a successful hit with this attack.',612,65535,65535,0,0,0,0,1,'Your Executioner''s Wrath was successful on %t!','Your Executioner''s Wrath fades.','',0,0,'',3341,'You cast Executioner''s Wrath on %t.',1,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670801,1384377911,0,0),
(2000102,3983233956,1,0,'Experienced Insight','The warrior uses their insight to look for weakness in their enemy''s defenses, allowing them a chance to Strikethrough. The final rank adds a taunt effect.',924,65535,317,0,0,0,0,0,'Your Experienced Insight was successful on %t!','Your Experienced Insight fades.','',0,1,'',3342,'You cast Experienced Insight on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670801,1384377919,0,0),
(2000103,3363812126,1,0,'Exploit Weakness','Exploit Weakness grants an innate 5% chance to trigger on any attack that deals direct damage and lasts for 6 seconds. Once Weakness Detected has been applied, the predator can then use Exploit Weakness to inflict massive melee damage. This ability will do only minor damage if used when Weakness is not on the target.',927,65535,315,0,0,0,0,1,'Your Exploit Weakness was successful on %t!','Your Exploit Weakness fades.','',0,0,'',110,'You cast Exploit Weakness on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670801,1384377915,0,0),
(2000104,1032944526,1,0,'Explosive Arrow','A large direct damage arrow attack that explodes upon contact enveloping the target in flames which spread to nearby enemies.',811,65535,313,0,0,0,0,1,'Your Explosive Arrow was successful on %t!','Your Explosive Arrow fades.','',0,1,'',1522,'You cast Explosive Arrow on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670801,1384377909,0,0),
(2000105,3048629968,1,0,'Faithful Cry','A melee attack which also adds hate over time.  In addition, it will do extra damage over time while returning the health to the paladin.',848,65535,315,0,0,0,0,1,'Your Faithful Cry was successful on %t!','Your Faithful Cry fades.','',0,1,'',1553,'You cast Faithful Cry on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670804,1384377900,0,0),
(2000106,1283697881,1,0,'Vicious Feast','',334,65535,315,1624274802,0,0,0,1,'Your Feast was successful on %t!','Your Feast fades.','',0,0,'',0,'You cast Feast on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670804,1384377894,0,0),
(2000107,3011623592,1,0,'Feign','Allows the Thief to trick enemies into thinking that the Thief is dead, while avoiding area effect abilities that do not directly target the Thief. This effect can be cancelled by standing.',601,65535,65535,0,0,0,0,0,'Your Feign was successful on %t!','Your Feign fades.','',0,0,'Spells/AA/Feign.lua',0,'You cast Feign on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670806,1384377907,0,0),
(2000108,2782923244,1,0,'Feline Nurturing','',185,65535,314,0,0,0,0,1,'Your Feline Nurturing was successful on %t!','Your Feline Nurturing fades.','',0,0,'',0,'You cast Feline Nurturing on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670806,1384377899,0,0),
(2000109,3493622720,1,0,'Feral Consumption','',241,65535,315,0,0,0,0,1,'Your Feral Consumption was successful on %t!','Your Feral Consumption fades.','',0,0,'',0,'You cast Feral Consumption on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670806,1384367310,0,0),
(2000110,822958541,1,0,'Feral Intensity','Inflicts slashing damage and allows the beastlord''s next single target Primal to inflict additional damage. This effect can increment up to 3 with each increment allowing more primal attacks to inflict the bonus damage. Higher ranks of this ability reduce the base reuse time.',883,65535,315,0,0,0,0,1,'Your Feral Intensity was successful on %t!','Your Feral Intensity fades.','',0,1,'',3275,'You cast Feral Intensity on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670806,1384377905,0,0),
(2000111,3579604303,1,0,'Fierce Growl','',241,65535,314,0,0,0,0,1,'Your Fierce Growl was successful on %t!','Your Fierce Growl fades.','',0,0,'',0,'You cast Fierce Growl on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670806,1384377900,0,0),
(2000112,1177102570,1,0,'Fire Breath','',368,65535,312,0,0,0,0,1,'Your Fire Breath was successful on %t!','Your Fire Breath fades.','',0,0,'',0,'You cast Fire Breath on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670808,1384377894,0,0),
(2000113,3773638685,1,0,'Fluid Combination','Strikes the target with cold damage for each increment of Waveform maintained on that target. Additionally, the target is stifled for a short duration.',833,65535,315,0,0,0,0,1,'Your Fluid Combination was successful on %t!','Your Fluid Combination fades.','',0,0,'',3215,'You cast Fluid Combination on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670811,1384377907,0,0),
(2000114,2824741891,1,1,'Focused Assault','Greatly increases the damage of Healing Arrow but reduces the heal component.',881,65535,317,0,0,0,1,1,'Your Focused Assault was successful on %t!','Your Focused Assault fades.','',0,0,'',0,'You cast Focused Assault on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670812,1384377909,0,0),
(2000115,1043469036,1,0,'Frenzied Feeding','',185,65535,314,0,0,0,0,1,'Your Frenzied Feeding was successful on %t!','Your Frenzied Feeding fades.','',0,0,'',0,'You cast Frenzied Feeding on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670813,1384367311,0,0),
(2000116,3346841477,1,0,'Frontload','Trigger chances are doubled on all of your abilities that you maintain (including poisons) and all trigger chances on your equipment. Crafted poison types of all varieties that are triggered while Frontload is in effect cause additional poison damage.',371,65535,317,0,0,0,0,0,'Your Frontload was successful on %t!','Your Frontload fades.','',0,1,'',1181,'You cast Frontload on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670814,1384377833,0,0),
(2000117,3739772580,1,0,'Frostbite Slice','As an alternative to Frostbite, you can use Frostbite Slice as a melee attack.',229,14,315,0,0,0,0,1,'Your Frostbite Slice was successful on %t!','Your Frostbite Slice fades.','',0,1,'',3396,'You cast Frostbite Slice on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670814,1384377913,0,0),
(2000118,2986791478,1,0,'Frostwall','Frostwall greatly reduces all damage to the beastlord''s warder for a short duration.',195,65535,316,0,0,0,0,3,'Your Frostwall was successful on %t!','Your Frostwall fades.','',0,0,'',3009,'You cast Frostwall on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670814,1384377910,0,0),
(2000119,3599706686,1,0,'Furious Swipe','',349,65535,315,0,0,0,0,1,'Your Furious Swipe was successful on %t!','Your Furious Swipe fades.','',0,0,'',0,'You cast Furious Swipe on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670815,1384377900,0,0),
(2000120,1530591418,1,0,'Getaway','Instant stealth that can be used in combat that will also prevent the assassin from indirect area effects. When the stealth expires, the assassin''s movement speed is increased for a short duration.',557,65535,317,0,0,0,0,0,'Your Getaway was successful on %t!','Your Getaway fades.','',0,0,'',3470,'You cast Getaway on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670815,1384377833,0,0),
(2000121,3058677522,1,0,'Glacial Strike','As an alternative to Glacial Flames, you can use Glacial Strike as a melee attack.',235,14,315,0,0,0,0,1,'Your Glacial Strike was successful on %t!','Your Glacial Strike fades.','',0,0,'',3415,'You cast Glacial Strike on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670817,1384377900,0,0),
(2000122,1715087642,1,0,'Got Your Back','',357,65535,313,0,0,0,0,8,'Your Got Your Back was successful on %t!','Your Got Your Back fades.','',0,0,'',3343,'You cast Got Your Back on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670817,1384377900,0,0),
(2000123,664668634,1,0,'Gut Roar','Gut Roar will completely mitigate physical attacks at the berserker for an extremely short duration.',184,65535,313,0,0,0,0,0,'Your Gut Roar was successful on %t!','Your Gut Roar fades.','',0,0,'',3335,'You cast Gut Roar on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670820,1384377912,0,0),
(2000124,2193586092,1,0,'Hammer Divine Smite','A melee attack that knocks down the target on a successful hit.',621,65535,65535,0,0,0,0,1,'Your Hammer Divine Smite was successful on %t!','Your Hammer Divine Smite fades.','',0,1,'',3356,'You cast Hammer Divine Smite on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670820,1384377830,0,0),
(2000125,3477471595,1,0,'Hammer Ground','An area melee attack that deals little damage, but causes a tremor that knocks back anyone struck by it. Increased Ranks in Hammer Ground will increase the stun duration.',620,65535,65535,0,0,0,0,1,'Your Hammer Ground was successful on %t!','Your Hammer Ground fades.','',0,1,'',3313,'You cast Hammer Ground on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670820,1384377908,0,0),
(2000126,3295353018,1,0,'Harbinger of Justice','Harbinger of Justice is a single target alternate attack for Divine Territory. Inflicts divine damage to the target based on the number of charges of Divine Justice the paladin has active. Applies three increments of True Territory.',844,65535,315,0,0,0,0,1,'Your Harbinger of Justice was successful on %t!','Your Harbinger of Justice fades.','',0,0,'',3320,'You cast Harbinger of Justice on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670822,1384377901,0,0),
(2000127,2597552465,1,0,'Healing Barrage','A replacement for Healing Arrow. Inflicts damage to the target and nearby enemies from range and heals allies near the enemy''s target. Up to six allies within 15 meters can be healed.',360,12,313,0,0,0,0,1,'Your Healing Barrage was successful on %t!','Your Healing Barrage fades.','',0,0,'',0,'You cast Healing Barrage on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670826,1384377905,0,0),
(2000128,3222006176,1,0,'Hibernating Restoration','',185,65535,314,0,0,0,0,1,'Your Hibernating Restoration was successful on %t!','Your Hibernating Restoration fades.','',0,0,'',0,'You cast Hibernating Restoration on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670828,1384377901,0,0),
(2000129,1464989030,1,0,'Hidden Assault','A replacement for Hidden Shot, this deadly ranged stealth attack deals high damage to the target encounter. Rangers must be in stealth and have a bow equipped to perform this combat art.',382,37,312,2711101135,0,0,0,1,'Your Hidden Assault was successful on %t!','Your Hidden Assault fades.','',0,0,'',3060,'You cast Hidden Assault on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670828,1384377904,0,0),
(2000130,2319382063,1,0,'Hidden Openings','The monk notices an opening in their opponent''s defenses allowing them to strike a deadly blow.  The target, in turn, becomes infuriated at the monk by moving them up several hate positions.',855,65535,315,0,0,0,0,1,'Your Hidden Openings was successful on %t!','Your Hidden Openings fades.','',0,1,'',1558,'You cast Hidden Openings on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670828,1384377920,0,0),
(2000131,3774041482,1,0,'Hierophant Grasp','A melee attack that damages and roots those near the Hierophant, and dispels a root effect from the Hierophant if it strikes anyone. The root effect has a chance at breaking every time the target receives damage.',559,65535,65535,0,0,0,0,0,'Your Hierophant Grasp was successful on %t!','Your Hierophant Grasp fades.','',0,0,'',3380,'You cast Hierophant Grasp on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670828,1384377916,0,0),
(2000132,4020720750,1,0,'Honor Among Thieves','Allows the brigand to intercept damage for an ally. Some of that damage is converted into power gain.',354,65535,316,0,0,0,0,1,'Your Honor Among Thieves was successful on %t!','Your Honor Among Thieves fades.','',0,0,'',3491,'You cast Honor Among Thieves on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670832,1384377899,0,0),
(2000133,3934875548,1,0,'Hook Arrow','',240,65535,315,0,0,0,0,1,'Your Hook Arrow was successful on %t!','Your Hook Arrow fades.','',0,0,'',3484,'You cast Hook Arrow on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670832,1384377912,0,0),
(2000134,890251568,1,1,'Hostility','The brawler will have a chance to gain additional threat to the target encounter with each attack.',854,65535,317,0,0,0,1,0,'Your Hostility was successful on %t!','Your Hostility fades.','',0,0,'',3286,'You cast Hostility on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670833,1384377897,0,0),
(2000135,2851034674,1,0,'Icefall Strike','As an alternative to Icefall, you can use Icefall Strike as a melee attack.',256,14,315,0,0,0,0,1,'Your Icefall Strike was successful on %t!','Your Icefall Strike fades.','',0,1,'',3397,'You cast Icefall Strike on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670836,1384377836,0,0),
(2000136,1630953018,1,0,'Impenetrable','The Hunter parries all combat attacks for a short duration. While in effect, the Hunter cannot perform any other actions.',643,65535,65535,0,0,0,0,0,'Your Impenetrable was successful on %t!','Your Impenetrable fades.','',0,0,'',3474,'You cast Impenetrable on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670838,1384377833,0,0),
(2000137,3635424469,1,0,'Impenetrable Hide','',290,65535,314,0,0,0,0,1,'Your Impenetrable Hide was successful on %t!','Your Impenetrable Hide fades.','',0,0,'',0,'You cast Impenetrable Hide on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670838,1384367310,0,0),
(2000138,3507982576,1,0,'Impenetrable Will','For a short duration the bruiser will deflect incoming attacks and increase the amount of threat generated by taunt spells.',860,65535,317,0,0,0,0,0,'Your Impenetrable Will was successful on %t!','Your Impenetrable Will fades.','',0,0,'',3295,'You cast Impenetrable Will on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670838,1384377838,0,0),
(2000139,3594248388,1,1,'Improved Moderation','Grants the guardian a group hate reduction spell.',43,65535,314,0,0,0,1,2,'Your Improved Moderation was successful on %t!','Your Improved Moderation fades.','',0,0,'',3344,'You cast Improved Moderation on %t.',1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670838,1384377920,0,0),
(2000140,3627339916,1,0,'Impulse Shot','Inflicts ranged damage to the target and slows their movement speed for a short duration.',362,65535,315,0,0,0,0,1,'Your Impulse Shot was successful on %t!','Your Impulse Shot fades.','',0,0,'',0,'You cast Impulse Shot on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670839,1384377916,0,0),
(2000141,3633058267,1,0,'In Plain Sight','A replacement for Concealment. Allows the assassin to use stealth attacks when not in stealth and inflict additional damage with each combat art. Additionally, the assassin generates less hate for the duration of the ability.',231,38,317,0,0,0,0,0,'Your In Plain Sight was successful on %t!','Your In Plain Sight fades.','',0,0,'',3058,'You cast In Plain Sight on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670839,1384377838,0,0),
(2000142,3095496670,1,0,'Infectious Sting','',258,65535,312,0,0,0,0,1,'Your Infectious Sting was successful on %t!','Your Infectious Sting fades.','',0,0,'',0,'You cast Infectious Sting on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670841,1384377904,0,0),
(2000143,1473901876,1,0,'Inner Focus','The brawler focuses on their inner self allowing them to absorb 2 attacks which do over 25% of their maximum health.',857,65535,317,0,0,0,0,0,'Your Inner Focus was successful on %t!','Your Inner Focus fades.','',0,1,'',1556,'You cast Inner Focus on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670841,1384377831,0,0),
(2000144,1452271346,1,0,'Insect''s Might','',197,65535,314,0,0,0,0,1,'Your Insect''s Might was successful on %t!','Your Insect''s Might fades.','',0,0,'',0,'You cast Insect''s Might on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670841,1384377904,0,0),
(2000145,235516501,1,0,'Interrogation','Inflicts high melee damage to the target. The inquisitor charges their target if they are further away than 10 meters when initiating the attack. Higher ranks of this ability reduce the reuse time.',874,65535,315,0,0,0,0,1,'Your Interrogation was successful on %t!','Your Interrogation fades.','',0,1,'',3237,'You cast Interrogation on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670843,1384377897,0,0),
(2000146,784548055,1,1,'Intoxication','The Nightshade applies an extremely intoxicating poison. The next melee attack that lands will cause a victim severe disorientation, causing damage and reducing all of their combat and casting skills.',651,65535,65535,0,0,0,1,0,'Your Intoxication was successful on %t!','Your Intoxication fades.','',0,0,'',3475,'You cast Intoxication on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670845,1384377833,0,0),
(2000147,3866121882,1,0,'Invocation Strike','This alternative to Invocation and its upgrades is most appropriate for admonishing a foe at close range.',152,14,315,0,0,0,0,1,'Your Invocation Strike was successful on %t!','Your Invocation Strike fades.','',0,1,'',0,'You cast Invocation Strike on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670845,1384377902,0,0),
(2000148,1273184168,1,0,'Jeering Onslaught','Jeering Onslaught is a large damage area of effect based attack which also moves the berserker up several hate positions to the target it hits.',841,65535,313,0,0,0,0,1,'Your Jeering Onslaught was successful on %t!','Your Jeering Onslaught fades.','',0,1,'',1550,'You cast Jeering Onslaught on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670847,1384377900,0,0),
(2000149,1785103781,1,0,'Joust','A melee attack that teleports you to your target.',660,65535,65535,0,0,0,0,1,'Your Joust was successful on %t!','Your Joust fades.','',0,0,'',3314,'You cast Joust on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670847,1384377897,0,0),
(2000150,423376098,1,0,'Kaldrahir''s Growl','Kaldrahir''s Growl inflicts piercing damage onto the target instantly and over time.',868,65535,315,0,0,0,0,1,'Your Kaldrahir''s Growl was successful on %t!','Your Kaldrahir''s Growl fades.','',0,0,'',1730,'You cast Kaldrahir''s Growl on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670847,1384377908,0,0),
(2000151,4093775878,1,0,'Lance','A powerful, frontal melee attack that cannot be riposted and damages all targets in front of the crusader. It deals additional damage over time and snares the crusader''s opponent.',558,65535,65535,0,0,0,0,1,'Your Lance was successful on %t!','Your Lance fades.','',0,0,'',3315,'You cast Lance on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670852,1384377916,0,0),
(2000152,2822291254,1,0,'Last Man Standing','',925,65535,317,0,0,0,0,0,'Your Last Man Standing was successful on %t!','Your Last Man Standing fades.','',0,0,'',3345,'You cast Last Man Standing on %t.',1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670852,1384377904,0,0),
(2000153,1137059672,1,0,'Leaping Lunge','',353,65535,315,0,0,0,0,1,'Your Leaping Lunge was successful on %t!','Your Leaping Lunge fades.','',0,0,'',0,'You cast Leaping Lunge on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670852,1384377904,0,0),
(2000154,1597309997,1,0,'Lend Shielding','The Skald increases the block chance of them self or their ally for a short duration.',563,65535,65535,0,0,0,0,0,'Your Lend Shielding was successful on %t!','Your Lend Shielding fades.','',0,1,'Spells/AA/LendShielding.lua',3444,'You cast Lend Shielding on %t.',1,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670852,1384377902,0,0),
(2000155,3776811651,1,0,'Litany Circle','As an alternative to Litany, you can use Litany Circle as an area effect melee attack.',222,14,313,0,0,0,0,1,'Your Litany Circle was successful on %t!','Your Litany Circle fades.','',0,1,'',3360,'You cast Litany Circle on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670855,1384377902,0,0),
(2000156,1635743814,1,1,'Lunge Reversal','The next time the Fencer or an enemy attacking the Fencer uses a defensive maneuver to avoid an attack, the Fencer returns with a melee attack. This effect refreshes every 15 seconds.',672,65535,65535,0,0,0,1,1,'Your Lunge Reversal was successful on %t!','Your Lunge Reversal fades.','',0,1,'',3499,'You cast Lunge Reversal on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670858,1384377830,0,0),
(2000157,1836669047,1,0,'Magical Pyre','',235,65535,315,0,0,0,0,1,'Your Magical Pyre was successful on %t!','Your Magical Pyre fades.','',0,0,'',0,'You cast Magical Pyre on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670858,1384367301,0,0),
(2000158,3714459062,1,0,'Mantis Leap','Instantly teleports the Mantis Master to a target player or enemy. The next melee attacks will increase the Mantis Master''s hate position with the target.',627,65535,65535,0,0,0,0,0,'Your Mantis Leap was successful on %t!','Your Mantis Leap fades.','',0,0,'',3287,'You cast Mantis Leap on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670860,1384377913,0,0),
(2000159,1124249621,1,0,'Mantis Star','A ranged attack causing the target to lose max health, agility and strength.',663,65535,65535,0,0,0,0,1,'Your Mantis Star was successful on %t!','Your Mantis Star fades.','',0,1,'',3288,'You cast Mantis Star on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670860,1384377908,0,0),
(2000160,2734361947,1,0,'Marisha Kur''s Protection','Channels the energy of Marisha Kur to heal and cure the beastlord''s warder.',228,65535,316,0,0,0,0,3,'Your Marisha Kur''s Protection was successful on %t!','Your Marisha Kur''s Protection fades.','',0,0,'',3001,'You cast Marisha Kur''s Protection on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670860,1384377907,0,0),
(2000161,1121673199,1,0,'Martial Leap','The bruiser leaps to their ally if they''re outside of 10 meters and intercedes for them for a short duration. All non-fighters near the leap target will reduce their hate position with nearby enemies. This spell can be toggled off early.',854,65535,316,0,0,0,0,1,'Your Martial Leap was successful on %t!','Your Martial Leap fades.','',0,0,'',3212,'You cast Martial Leap on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670860,1384377912,0,0),
(2000162,4133642230,1,0,'Mangle','',241,65535,312,1124719197,0,0,0,1,'Your Maul was successful on %t!','Your Maul fades.','',0,0,'',0,'You cast Maul on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670862,1384377900,0,0),
(2000163,1495791920,1,0,'Mental Blast','',353,65535,315,0,0,0,0,1,'Your Mental Blast was successful on %t!','Your Mental Blast fades.','',0,0,'',0,'You cast Mental Blast on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670864,1384377900,0,0),
(2000164,692915647,1,0,'Mental Intrusion','',244,65535,312,0,0,0,0,1,'Your Mental Intrusion was successful on %t!','Your Mental Intrusion fades.','',0,0,'',0,'You cast Mental Intrusion on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670864,1384377900,0,0),
(2000165,403634565,1,0,'Mercy or Anger','A replacement for Beg for Mercy. The brigand or the target ally begs for forgiveness from enemy attacks, allowing the brigand to intervene and prevent some of the damage and decrease the encounter''s hate towards themselves or the non-fighter ally. If the target is a fighter, the brigand transfers their own threat to the fighter.',468,38,316,0,0,0,0,1,'Your Mercy or Anger was successful on %t!','Your Mercy or Anger fades.','',0,1,'',3062,'You cast Mercy or Anger on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670865,1384377905,0,0),
(2000166,2754277380,1,0,'Messenger''s Letter','A ranged bow attack that increases the enemy''s hate towards their current target.',682,65535,65535,0,0,0,0,1,'Your Messenger''s Letter was successful on %t!','Your Messenger''s Letter fades.','',0,0,'',3445,'You cast Messenger''s Letter on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670865,1384377903,0,0),
(2000167,2231770290,1,0,'Moon''s Howl','',199,65535,312,0,0,0,0,1,'Your Moon''s Howl was successful on %t!','Your Moon''s Howl fades.','',0,0,'',0,'You cast Moon''s Howl on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670869,1384377900,0,0),
(2000168,3349822454,1,0,'Moonlight Dive','',199,65535,315,0,0,0,0,1,'Your Moonlight Dive was successful on %t!','Your Moonlight Dive fades.','',0,0,'',0,'You cast Moonlight Dive on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670869,1384377899,0,0),
(2000169,4078816724,1,0,'Mystic Burst','',353,65535,315,0,0,0,0,1,'Your Mystic Burst was successful on %t!','Your Mystic Burst fades.','',0,0,'',0,'You cast Mystic Burst on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670874,1384377894,0,0),
(2000170,2511928111,1,0,'Nature Blade','A melee attack that increases the Naturalist''s attack speed if it hits.',643,65535,315,0,0,0,0,1,'Your Nature Blade was successful on %t!','Your Nature Blade fades.','',0,1,'',3382,'You cast Nature Blade on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670876,1384377909,0,0),
(2000171,1463398333,1,0,'Neophyte''s Kick','',9,65535,65535,0,0,0,0,1,'Your Neophyte''s Kick was successful on %t!','Your Neophyte''s Kick fades.','',0,0,'',0,'You cast Neophyte''s Kick on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670876,1384377850,0,0),
(2000172,3370873681,1,0,'Nerve Poison','',631,65535,312,0,0,0,0,1,'Your Nerve Poison was successful on %t!','Your Nerve Poison fades.','',0,0,'',0,'You cast Nerve Poison on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670876,1384377899,0,0),
(2000173,3349210594,1,1,'Neurotoxic Coating','Applies a toxic coating on the Nightshade''s armor. Anyone striking the Nightshade in combat suffers decreases in their combat and casting skills for a short duration.',691,65535,65535,0,0,0,1,0,'Your Neurotoxic Coating was successful on %t!','Your Neurotoxic Coating fades.','',0,0,'',3476,'You cast Neurotoxic Coating on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670876,1384377911,0,0),
(2000174,1613306986,1,0,'Nightblade','Inflicts poison damage from flanking or behind the target and allows the assassin''s next stealth attack to inflict additional damage. This effect can increment up to 3 with each increment allowing more stealth attacks to inflict the bonus damage. Higher ranks of this ability reduce the base reuse time.',838,65535,315,0,0,0,0,1,'Your Nightblade was successful on %t!','Your Nightblade fades.','',0,0,'',3265,'You cast Nightblade on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670878,1384377909,0,0),
(2000175,1465835280,1,0,'Northwind Barrier','Absorbs all damage inflicted on the warder and Animalist. A portion of the damage absorbed will be restored to the one receiving the damage. This ability can be cast while using other abilities.',850,65535,65535,0,0,0,0,0,'Your Northwind Barrier was successful on %t!','Your Northwind Barrier fades.','',0,0,'',3010,'You cast Northwind Barrier on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670878,1384377836,0,0),
(2000176,3718427387,1,0,'Noxious Emission','',279,65535,312,0,0,0,0,1,'Your Noxious Emission was successful on %t!','Your Noxious Emission fades.','',0,0,'',0,'You cast Noxious Emission on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670878,1384377900,0,0),
(2000177,3973598524,1,0,'Noxious Enfeeblement','Inflicts a small amount of poison damage that reduces the ability of your target to make a critical strike as well as reducing their attributes.',803,65535,315,0,0,0,0,1,'Your Noxious Enfeeblement was successful on %t!','Your Noxious Enfeeblement fades.','',0,1,'',1521,'You cast Noxious Enfeeblement on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670878,1384377836,0,0),
(2000178,2509503205,1,0,'Nullifying Staff','A melee attack that lowers the target''s mental resistance on a successful hit.',560,65535,65535,0,0,0,0,1,'Your Nullifying Staff was successful on %t!','Your Nullifying Staff fades.','',0,1,'Spells/AA/NullifyingStaff.lua',3100,'You cast Nullifying Staff on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670878,1384377909,0,0),
(2000179,1364873714,1,0,'Nurturing Presence','',219,65535,314,0,0,0,0,1,'Your Nurturing Presence was successful on %t!','Your Nurturing Presence fades.','',0,0,'',0,'You cast Nurturing Presence on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670878,1384367310,0,0),
(2000180,1889403680,1,0,'Partisan Cleave','Inflicts damage in area of effect. For every target hit by the attack, the warrior gains a small amount of Crit Bonus and damage reduction for a short duration.',884,65535,313,0,0,0,0,1,'Your Partisan Cleave was successful on %t!','Your Partisan Cleave fades.','',0,0,'',107,'You cast Partisan Cleave on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670882,1384377902,0,0),
(2000181,2660262412,1,0,'Perfect Counter','Perfect Counter applies a stoneskin to the warrior. When the stoneskin is triggered, the warrior gains the ability to inflict a portion of that damage back on their target.',905,65535,317,0,0,0,0,0,'Your Perfect Counter was successful on %t!','Your Perfect Counter fades.','',0,0,'',108,'You cast Perfect Counter on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670884,1384377907,0,0),
(2000182,1388047312,1,1,'Perseverance','When the berserker''s health drops below 50% they are healed and gain a small chance to absorb physical attacks for a short duration.',91,65535,65535,0,0,0,1,0,'Your Perseverance was successful on %t!','Your Perseverance fades.','',0,0,'',3336,'You cast Perseverance on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670884,1384377833,0,0),
(2000183,1740758622,1,1,'Persistence','The scout is able to prevent their own death.',267,65535,317,0,0,0,1,0,'Your Persistence was successful on %t!','Your Persistence fades.','',0,0,'',3714,'You cast Persistence on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670884,1384377833,0,0),
(2000184,637433615,1,0,'Phalanx','An attack that roots the target in place on a successful hit.',672,65535,65535,0,0,0,0,1,'Your Phalanx was successful on %t!','Your Phalanx fades.','',0,1,'',3406,'You cast Phalanx on %t.',1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670884,1384377900,0,0),
(2000185,1928093958,1,0,'Pick Pocket','Attempts to steal coin from a humanoid target. Pick Pocket cannot be cast if the target already had their pockets picked.',567,65535,65535,0,0,0,0,1,'Your Pick Pocket was successful on %t!','Your Pick Pocket fades.','',0,0,'',0,'You cast Pick Pocket on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670884,1384377830,0,0),
(2000186,724545002,1,0,'Piercing Fangs','',162,65535,312,0,0,0,0,1,'Your Piercing Fangs was successful on %t!','Your Piercing Fangs fades.','',0,0,'',0,'You cast Piercing Fangs on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670885,1384291127,0,0),
(2000187,1945814605,1,1,'Pirate''s Perception','Whenever the raid strikes a death blow, the caster''s group will gain a chance to inflict additional damage. This also has a very small chance to increment when attacking. This increments up to 25 times, with each increment increasing the trigger chance. It is dispelled when any group member dies. Does not persist through zoning.',302,65535,314,0,0,0,1,8,'Your Pirate''s Perception was successful on %t!','Your Pirate''s Perception fades.','',0,0,'',3268,'You cast Pirate''s Perception on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670885,1384377904,0,0),
(2000188,3372694755,1,0,'Placating Strike','A melee attack that deals little damage, but lowers your target''s hatred towards you.',589,65535,65535,0,0,0,0,1,'Your Placating Strike was successful on %t!','Your Placating Strike fades.','',0,1,'',3477,'You cast Placating Strike on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670885,1384377905,0,0),
(2000189,3242755972,1,0,'Plagueish Strike','As an alternative to Plague, you can use Plagueish Strike as a melee attack.',197,14,315,0,0,0,0,1,'Your Plagueish Strike was successful on %t!','Your Plagueish Strike fades.','',0,0,'',3417,'You cast Plagueish Strike on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670885,1384377902,0,0),
(2000190,1517440855,1,0,'Point Blank Shot','A short-ranged bow attack that knocks down the target on a successful hit.',694,65535,65535,0,0,0,0,1,'Your Point Blank Shot was successful on %t!','Your Point Blank Shot fades.','',0,1,'',3478,'You cast Point Blank Shot on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670887,1384377903,0,0),
(2000191,2963789172,1,0,'Poison Combination','A melee attack that can only be used on a poisoned target. It severely reduces the target''s poison resistance for a short duration.',693,65535,65535,0,0,0,0,1,'Your Poison Combination was successful on %t!','Your Poison Combination fades.','',0,0,'',3479,'You cast Poison Combination on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670887,1384377910,0,0),
(2000192,885069774,1,0,'Poison Secretions','',258,65535,315,0,0,0,0,1,'Your Poison Secretions was successful on %t!','Your Poison Secretions fades.','',0,0,'',0,'You cast Poison Secretions on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670887,1384377900,0,0),
(2000193,3377067475,1,1,'Poisoned Blades','Applies an incremental damage over time effect that reduces healing received when the brigand uses their flanking or rear attacks. This ability can increment up to 5 times.',240,65535,317,0,0,0,1,0,'Your Poisoned Blades was successful on %t!','Your Poisoned Blades fades.','',0,0,'',3492,'You cast Poisoned Blades on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670887,1384377905,0,0),
(2000194,1708088050,1,0,'Poisonous Fangs','',258,65535,312,0,0,0,0,1,'Your Poisonous Fangs was successful on %t!','Your Poisonous Fangs fades.','',0,0,'',0,'You cast Poisonous Fangs on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670887,1384377894,0,0),
(2000195,2305497779,1,0,'Predator''s Final Trick','The predator fools the surrounding enemies into thinking they are someone else, allowing them to temporarily bypass the stealth requirements of their abilities. No longer hiding behind a shroud of stealth, the predator gains increased Crit Bonus for the duration.',927,65535,317,0,0,0,0,0,'Your Predator''s Final Trick was successful on %t!','Your Predator''s Final Trick fades.','',0,1,'',3480,'You cast Predator''s Final Trick on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670889,1384377911,0,0),
(2000196,416766834,1,0,'Predator''s Final Trick','The predator fools the surrounding enemies into thinking they are someone else, allowing them to temporarily bypass the stealth requirements of their abilities. No longer hiding behind a shroud of stealth, the predator gains increased Crit Bonus for the duration.',804,65535,65535,0,0,0,0,0,'Your Predator''s Final Trick was successful on %t!','Your Predator''s Final Trick fades.','',0,1,'',3480,'You cast Predator''s Final Trick on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670889,1384377831,0,0),
(2000197,3795311855,1,0,'Pressure Point','A melee attack that also lowers the target''s crushing resistance.',664,65535,65535,0,0,0,0,1,'Your Pressure Point was successful on %t!','Your Pressure Point fades.','',0,1,'',3289,'You cast Pressure Point on %t.',1,0,0,1,0,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670889,1384377907,0,0),
(2000198,3109076540,1,0,'Primal Assault','In Feral Stance, all Primals used while Primal Assault is active will inflict additional damage. In Spiritual Stance, all Primals used will restore health and power to the group.',897,65535,65535,0,0,0,0,1,'Your Primal Assault was successful on %t!','Your Primal Assault fades.','',0,1,'',0,'You cast Primal Assault on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670889,1384377913,0,0),
(2000199,3261867705,1,0,'Primal Consumption','Inflicts cold damage to the target and restores power to the beastlord and their warder.',826,65535,65535,0,0,0,0,1,'Your Primal Consumption was successful on %t!','Your Primal Consumption fades.','',0,0,'',3011,'You cast Primal Consumption on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670889,1384377901,0,0),
(2000200,198995596,1,0,'Primordial Strike','A melee attack that deals moderate damage. It cannot be parried, deflected, riposted, or blocked.',669,65535,315,0,0,0,0,1,'Your Primordial Strike was successful on %t!','Your Primordial Strike fades.','',0,1,'',3383,'You cast Primordial Strike on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670890,1384377903,0,0),
(2000201,2111636572,1,0,'Pris de Fer','Pris de Fer deals moderate damage to the target. If the rogue uses a combat art while Pris de Fer is active, they will receive a short duration stoneskin that absorbs all damage. The stoneskin can only trigger once every two seconds.',924,65535,315,0,0,0,0,1,'Your Pris de Fer was successful on %t!','Your Pris de Fer fades.','',0,0,'',114,'You cast Pris de Fer on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670890,1384377841,0,0),
(2000202,3960345442,1,0,'Progressive Bleeding','Increases the Blademaster''s strength by 4 for each rank.',804,65535,65535,0,0,0,0,1,'Your Progressive Bleeding was successful on %t!','Your Progressive Bleeding fades.','',0,0,'',0,'You cast Progressive Bleeding on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670890,1384377831,0,0),
(2000203,3975239314,1,1,'Protecting Spirit','Whenever other players in the guardian''s raid take melee damage, the guardian will gain increased Crit Bonus.',844,65535,314,0,0,0,1,8,'Your Protecting Spirit was successful on %t!','Your Protecting Spirit fades.','',0,1,'',0,'You cast Protecting Spirit on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670890,1384377913,0,0),
(2000204,2872345187,1,0,'Provocation','Increases the fighter''s threat position with their enemy. This ability cannot be resisted. When in Recklessness, this ability decreases threat position instead.',171,65535,315,2042842194,0,0,0,1,'Your Provocation was successful on %t!','Your Provocation fades.','',0,0,'',3717,'You cast Provocation on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670890,1384377909,0,0),
(2000205,4037092241,1,0,'Provoking Stance','The Monk takes a provocative stance, adding hate positions to their single target and encounter taunts for a short duration. While active, Provoking Stance reduces all incoming damage.',928,65535,317,0,0,0,0,0,'Your Provoking Stance was successful on %t!','Your Provoking Stance fades.','',0,1,'',3303,'You cast Provoking Stance on %t.',1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670891,1384377836,0,0),
(2000206,3072956444,1,0,'Psionic Destruction','',85,65535,312,0,0,0,0,1,'Your Psionic Destruction was successful on %t!','Your Psionic Destruction fades.','',0,0,'',0,'You cast Psionic Destruction on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670891,1384377905,0,0),
(2000207,3224283274,1,0,'Psychic Assault','',160,65535,315,0,0,0,0,1,'Your Psychic Assault was successful on %t!','Your Psychic Assault fades.','',0,0,'',0,'You cast Psychic Assault on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670891,1384377900,0,0),
(2000208,3687976533,1,1,'Pulverize','Applies an incremental damage over time effect when the bruiser uses combat arts. While active, Pulverize lowers the target''s avoidance skills. This ability can increment up to 5 times.',213,65535,317,0,0,0,1,0,'Your Pulverize was successful on %t!','Your Pulverize fades.','',0,1,'',3297,'You cast Pulverize on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670891,1384377838,0,0),
(2000209,3461922683,1,0,'Rabid Bite','',353,65535,315,0,0,0,0,1,'Your Rabid Bite was successful on %t!','Your Rabid Bite fades.','',0,0,'',0,'You cast Rabid Bite on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670896,1384377903,0,0),
(2000210,3110047725,1,0,'Rabies','',238,65535,315,0,0,0,0,1,'Your Rabies was successful on %t!','Your Rabies fades.','',0,0,'',0,'You cast Rabies on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670896,1384367301,0,0),
(2000211,1091432823,1,1,'Raid Armament','As an alternative to Pledge of Armament, Raid Armament increases the physical mitigation of all non-fighter allies.',153,65535,314,0,0,0,1,8,'Your Raid Armament was successful on %t!','Your Raid Armament fades.','',0,1,'',1842,'You cast Raid Armament on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670898,1384377830,0,0),
(2000212,3152152711,1,0,'Ralissk''s Insight','Improves the amount of Savagery gained from Advantages and improves the beastlord''s potency for a short duration.',184,65535,317,0,0,0,0,0,'Your Ralissk''s Insight was successful on %t!','Your Ralissk''s Insight fades.','',0,1,'',3003,'You cast Ralissk''s Insight on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670898,1384377902,0,0),
(2000213,2818836599,1,0,'Ralissk''s Perception','Inflicts minor damage to the target encounter. For each target struck, the group gains increased damage for a single strike. With that strike, they will also gain a minor amount of health and power. This effect increments up to 24 times. Higher ranks lower the base reuse time.',928,65535,312,0,0,0,0,1,'Your Ralissk''s Perception was successful on %t!','Your Ralissk''s Perception fades.','',0,0,'',3274,'You cast Ralissk''s Perception on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670898,1384377839,0,0),
(2000214,2690025295,1,0,'Rampage','',212,65535,315,1433335062,0,0,0,1,'Your Rampage was successful on %t!','Your Rampage fades.','',0,0,'',0,'You cast Rampage on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670898,1384377900,0,0),
(2000215,2374863311,1,0,'Rampager''s Resilience','Prevents the berserker from dying when they take fatal damage. The berserker or one of their allies must strike a death blow within the duration of the triggered effect or the berserker will be unable to attack for a short duration. Higher ranks of this ability lower the base reuse time.',636,65535,317,0,0,0,0,0,'Your Rampager''s Resilience was successful on %t!','Your Rampager''s Resilience fades.','',0,0,'',3203,'You cast Rampager''s Resilience on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670898,1384377908,0,0),
(2000216,695605459,1,0,'Rapid Salvo','Fires a stream of arrows in a cone in front of the ranger. For every target the ranger strikes, they get an increment of Repeated Salvo, which deals additional damage with the next attack. Higher ranks of this ability reduce the reuse time. Repeated Salvo can increment up to 6 times.',361,65535,313,0,0,0,0,1,'Your Rapid Salvo was successful on %t!','Your Rapid Salvo fades.','',0,0,'',3263,'You cast Rapid Salvo on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670899,1384377839,0,0),
(2000217,2952705502,1,0,'Reprimand','Increases the monk''s threat with their target. Reprimand can be cast from long range.',815,65535,315,0,0,0,0,1,'Your Reprimand was successful on %t!','Your Reprimand fades.','',0,0,'',3304,'You cast Reprimand on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670903,1384377833,0,0),
(2000218,2344696798,1,0,'Reptilian Vigor','',494,65535,314,0,0,0,0,1,'Your Reptilian Vigor was successful on %t!','Your Reptilian Vigor fades.','',0,0,'',0,'You cast Reptilian Vigor on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670903,1384377903,0,0),
(2000219,2395655045,1,1,'Reversal','While a shield is equipped, the next time that the Gladiator successfully blocks/parries/ripostes an attack or an enemy blocks/parries/deflects/ripostes the Gladiator, the Gladiator returns with a counterattack. This effect refreshes every 30 seconds.',575,65535,65535,0,0,0,1,0,'Your Reversal was successful on %t!','Your Reversal fades.','',0,0,'',3349,'You cast Reversal on %t.',1,0,0,1,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670903,1384377901,0,0),
(2000220,2236929028,1,0,'Rhythm Blade','A melee attack that grants an increase in combat skills, focus, and casting techniques for a short duration if it hits.',589,65535,65535,0,0,0,0,1,'Your Rhythm Blade was successful on %t!','Your Rhythm Blade fades.','',0,1,'',3448,'You cast Rhythm Blade on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670903,1384377912,0,0),
(2000221,3243348366,1,0,'Round Bash','An attack that knocks down the target if it hits.',657,65535,65535,0,0,0,0,1,'Your Round Bash was successful on %t!','Your Round Bash fades.','',0,1,'',3450,'You cast Round Bash on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670909,1384377909,0,0),
(2000222,3941090027,1,1,'Safehouse','Safehouse is placed on an ally. When the Brigand receives enough damage to die while in combat or cancels Safehouse, they are instantly teleported to that ally in stealth. If Safehouse was used without a target, they are teleported to that location instead. Safehouse will fail to trigger the teleport if the location is greater than 200 meters away.',34,65535,315,0,0,0,1,1,'Your Safehouse was successful on %t!','Your Safehouse fades.','',0,0,'',1183,'You cast Safehouse on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670914,1384377838,0,0),
(2000223,344250485,1,0,'Saga of Bloodshed','Inflicts melee damage to enemies surrounding the berserker. For every target the spell hits, the berserker get an increment of Saga, which inflicts additional damage with the next strike and grants Crit Bonus to the berserker''s group. Higher ranks of this ability reduce the reuse time. Saga can increment up to 6 times.',862,65535,313,0,0,0,0,0,'Your Saga of Bloodshed was successful on %t!','Your Saga of Bloodshed fades.','',0,0,'',3204,'You cast Saga of Bloodshed on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670914,1384377906,0,0),
(2000224,79370812,1,0,'Savage Blaze','Increases the beastlord''s Savagery over time for a short duration.',273,65535,317,0,0,0,0,0,'Your Savage Blaze was successful on %t!','Your Savage Blaze fades.','',0,1,'',3004,'You cast Savage Blaze on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670916,1384377904,0,0),
(2000225,2387859054,1,0,'Savage Howl','Inflicts melee damage to all targets near the beastlord and reduces the beastlord''s threat position to all targets it hits.',913,65535,313,0,0,0,0,1,'Your Savage Howl was successful on %t!','Your Savage Howl fades.','',0,1,'',3005,'You cast Savage Howl on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670916,1384377838,0,0),
(2000226,2589878467,1,0,'Savage Mauling','',373,65535,315,0,0,0,0,1,'Your Savage Mauling was successful on %t!','Your Savage Mauling fades.','',0,0,'',0,'You cast Savage Mauling on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670916,1384291140,0,0),
(2000227,3414752264,1,0,'Savagery Freeze','Locks the beastlord''s Savagery for a short durtion. Nothing can raise or lower the beastlord''s current Savagery.',328,65535,317,0,0,0,0,0,'Your Savagery Freeze was successful on %t!','Your Savagery Freeze fades.','',0,1,'',3006,'You cast Savagery Freeze on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670918,1384377909,0,0),
(2000228,1243170740,1,0,'Seafury Thrust','Inflicts minor damage on the target. The next physical attacks against the target will do increased damage. Higher ranks of this ability will lower the base reuse time.',929,65535,315,0,0,0,0,1,'Your Seafury Thrust was successful on %t!','Your Seafury Thrust fades.','',0,0,'',3269,'You cast Seafury Thrust on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670918,1384377834,0,0),
(2000229,654132905,1,0,'Seeking Cascade','Rains a barrage of arrows down on the target and enemies near the target. Higher ranks of this ability lower the base reuse time.',362,65535,313,0,0,0,0,1,'Your Seeking Cascade was successful on %t!','Your Seeking Cascade fades.','',0,0,'',0,'You cast Seeking Cascade on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670918,1384377897,0,0),
(2000230,1828042987,1,0,'Sentinel Strike','Sentinel Strike is a large direct damage and hate increase combat art.  It also inflicts additional hate and damage overtime.',833,65535,315,0,0,0,0,1,'Your Sentinel Strike was successful on %t!','Your Sentinel Strike fades.','',0,1,'',1548,'You cast Sentinel Strike on %t.',1,0,0,0,0,1,1,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384670920,1384377902,0,0),
(2000231,2479136206,1,0,'Shadow Step','The assassin strikes with a deadly poison, moving quickly to their target if they are outside of 10 meters.',929,65535,315,0,0,0,0,1,'Your Shadow Step was successful on %t!','Your Shadow Step fades.','',0,1,'',0,'You cast Shadow Step on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670922,1384377911,0,0),
(2000232,2421499806,1,0,'Shadowknight''s Furor','When this ability is used, the shadowknight becomes furious and ripostes any attack made at them.  While this ability is active the shadowknight is also uninterruptable and does improved damage with all spells.  Also, each successful spell attack improves the shadowknight''s hate with the target.',851,65535,317,0,0,0,0,0,'Your Shadowknight''s Furor was successful on %t!','Your Shadowknight''s Furor fades.','',0,1,'',1555,'You cast Shadowknight''s Furor on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670922,1384377907,0,0),
(2000233,3759432898,1,1,'Shared Poison','A replacement for Apply Poison. This ability applies poison to the assassin''s group, allowing them to inflict additional damage over time when using melee or ranged attacks.',378,65535,314,0,0,0,1,2,'Your Shared Poison was successful on %t!','Your Shared Poison fades.','',0,1,'',2703,'You cast Shared Poison on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670924,1384377839,0,0),
(2000234,1675483041,1,0,'Shatter Rain','Fires a rain of arrows at the target that inflicts moderate damage to it and all nearby enemies. The arrows then shatter, and deal additional damage in the area of effect.',811,65535,313,0,0,0,0,1,'Your Shatter Rain was successful on %t!','Your Shatter Rain fades.','',0,0,'',0,'You cast Shatter Rain on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670924,1384377831,0,0),
(2000235,285176763,1,1,'Shoulder the Burden','Shoulder the Burden transfers threat from one of the guardian''s group members to the guardian.',345,65535,316,0,0,0,1,1,'Your Shoulder the Burden was successful on %t!','Your Shoulder the Burden fades.','',0,0,'',0,'You cast Shoulder the Burden on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670926,1384377906,0,0),
(2000236,2798591403,1,0,'Shred','Stuns and inflicts melee damage on the target enemy. The amount of damage is increased by the amount of Thug''s Poison increments on the target.',470,65535,315,0,0,0,0,1,'Your Shred was successful on %t!','Your Shred fades.','',0,0,'',3272,'You cast Shred on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670927,1384377906,0,0),
(2000237,2800082609,1,0,'Simian Restoration','',185,65535,314,0,0,0,0,1,'Your Simian Restoration was successful on %t!','Your Simian Restoration fades.','',0,0,'',0,'You cast Simian Restoration on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670929,1384367310,0,0),
(2000238,1223409565,1,0,'Simian Siphon','',193,65535,315,0,0,0,0,1,'Your Simian Siphon was successful on %t!','Your Simian Siphon fades.','',0,0,'',0,'You cast Simian Siphon on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670931,1384367337,0,0),
(2000239,1347119616,1,0,'Skull Crack','A melee attack that interrupts the target and decreases the focus, combat, and casting skills of the target for a short duration.',591,65535,65535,0,0,0,0,1,'Your Skull Crack was successful on %t!','Your Skull Crack fades.','',0,1,'',3366,'You cast Skull Crack on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670933,1384377904,0,0),
(2000240,1505925,1,0,'Sky''s Restoration','',185,65535,314,0,0,0,0,1,'Your Sky''s Restoration was successful on %t!','Your Sky''s Restoration fades.','',0,0,'',0,'You cast Sky''s Restoration on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670933,1384377894,0,0),
(2000241,1245856182,1,0,'Slice of Despair','',918,65535,65535,0,0,0,0,1,'Your Slice of Despair was successful on %t!','Your Slice of Despair fades.','',0,0,'',0,'You cast Slice of Despair on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670933,1384377875,0,0),
(2000242,1466149184,1,0,'Smoke Bomb','The Prowler creates a smoke cloud, damaging and interrupting enemies. Hate towards the Prowler by affected enemies is reduced. When the smoke lifts, the Prowler is placed into stealth.',696,65535,65535,0,0,0,0,1,'Your Smoke Bomb was successful on %t!','Your Smoke Bomb fades.','',0,1,'',3486,'You cast Smoke Bomb on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670935,1384377908,0,0),
(2000243,3380004867,1,0,'Snap Shot','The shaper fires a shot from close range at their enemy, knocking the target down and inflicting minor damage.',364,65535,315,0,0,0,0,1,'Your Snap Shot was successful on %t!','Your Snap Shot fades.','',0,0,'',0,'You cast Snap Shot on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670936,1384377907,0,0),
(2000244,3124507307,1,0,'Sneering Assault','Sneering Assault does a medium amount of damage while also adding additional hate and forces the fighter several positions up the hate list.',836,65535,65535,0,0,0,0,1,'Your Sneering Assault was successful on %t!','Your Sneering Assault fades.','',0,1,'',1545,'You cast Sneering Assault on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670938,1384377907,0,0),
(2000245,982097426,1,0,'Soak Hit','The bruiser absorbs the next hit on one of their allies, protecting them from harm.',563,65535,317,0,0,0,0,1,'Your Soak Hit was successful on %t!','Your Soak Hit fades.','',0,0,'',3298,'You cast Soak Hit on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670940,1384377912,0,0),
(2000246,2212804088,1,0,'Sonic Precision','',172,65535,314,0,0,0,0,1,'Your Sonic Precision was successful on %t!','Your Sonic Precision fades.','',0,0,'',0,'You cast Sonic Precision on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670940,1384377900,0,0),
(2000247,1874864251,1,0,'Sonic Shriek','',172,65535,312,0,0,0,0,1,'Your Sonic Shriek was successful on %t!','Your Sonic Shriek fades.','',0,0,'',0,'You cast Sonic Shriek on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670940,1384377903,0,0),
(2000248,2805714224,1,0,'Spellblade''s Counter','A skillful melee attack that interrupts the target and cannot be parried, riposted, blocked, or deflected.',590,65535,65535,0,0,0,0,1,'Your Spellblade''s Counter was successful on %t!','Your Spellblade''s Counter fades.','',0,1,'Spells/AA/SpellbladesCounter.lua',3105,'You cast Spellblade''s Counter on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670942,1384377833,0,0),
(2000249,1072467723,1,0,'Spinning Attack','',263,65535,312,0,0,0,0,1,'Your Spinning Attack was successful on %t!','Your Spinning Attack fades.','',0,0,'',0,'You cast Spinning Attack on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670944,1384377894,0,0),
(2000250,2010996894,1,0,'Spinning Flurry','A replacement for Flurry of Blades. Three quick attacks to all nearby targets. If the attacks land, all targets hit will have their physical mitigation reduced.',383,36,313,0,0,0,0,1,'Your Spinning Flurry was successful on %t!','Your Spinning Flurry fades.','',0,1,'',1660,'You cast Spinning Flurry on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670944,1384377910,0,0),
(2000251,4283616153,1,0,'Spinning Spear','A melee attack that strikes all enemies surrounding the Hunter.',660,65535,65535,0,0,0,0,1,'Your Spinning Spear was successful on %t!','Your Spinning Spear fades.','',0,1,'',3487,'You cast Spinning Spear on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670944,1384377910,0,0),
(2000252,1209975114,1,0,'Staggering Blow','Staggering Blow is a large direct damage based melee attack which also stuns non epic targets for a short duration.  Staggering Blow also causes the target to increase their hatred to the bruiser by 4 positions.',861,65535,315,0,0,0,0,1,'Your Staggering Blow was successful on %t!','Your Staggering Blow fades.','',0,1,'',3299,'You cast Staggering Blow on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670946,1384377904,0,0),
(2000253,306187386,1,0,'Stone Cold','Stone Cold reduces damage to the brawler''s group for a short duration.',860,65535,314,0,0,0,0,2,'Your Stone Cold was successful on %t!','Your Stone Cold fades.','',0,0,'',86,'You cast Stone Cold on %t.',1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670948,1384377909,0,0),
(2000254,750729066,1,0,'Stonewall','If a shield is equipped, the Paladin can use it to block the next few melee attacks. ',847,65535,317,0,0,0,0,0,'Your Stonewall was successful on %t!','Your Stonewall fades.','',0,1,'',1552,'You cast Stonewall on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670950,1384377899,0,0),
(2000255,252965807,1,0,'Strike of Corruption','As an alternative to Smite Corruption, you can use Strike of Corruption as a melee attack.',159,14,315,0,0,0,0,1,'Your Strike of Corruption was successful on %t!','Your Strike of Corruption fades.','',0,1,'',3362,'You cast Strike of Corruption on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670952,1384377830,0,0),
(2000256,2518327829,1,0,'Strike of Flames','As an alternative to Purifying Flames, you can use Strike of Flames as a melee attack.',190,14,315,0,0,0,0,1,'Your Strike of Flames was successful on %t!','Your Strike of Flames fades.','',0,0,'',3363,'You cast Strike of Flames on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670952,1384377830,0,0),
(2000257,225986149,1,0,'Strongarm','A replacement for Shenanigans. The brigand strong-arms their target, inflicting a powerful attack and increasing the target''s hate towards the brigand if the brigand is in a defensive stance.',333,65535,315,0,0,0,0,1,'Your Strongarm was successful on %t!','Your Strongarm fades.','',0,0,'',0,'You cast Strongarm on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670953,1384377903,0,0),
(2000258,182072522,1,0,'Sunder','Inflicts melee damage to the target. Whenever the target takes damage, Sunder has a chance to inflict additional melee damage to that target.',927,65535,315,1433335062,0,0,0,1,'Your Sunder was successful on %t!','Your Sunder fades.','',0,0,'',115,'You cast Sunder on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670957,1384377912,0,0),
(2000259,1521310698,1,0,'Superior Guard','',563,65535,317,0,0,0,0,0,'Your Superior Guard was successful on %t!','Your Superior Guard fades.','',0,0,'',3305,'You cast Superior Guard on %t.',1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670957,1384377908,0,0),
(2000260,2586775250,1,0,'Swarming Dive','',263,65535,312,0,0,0,0,1,'Your Swarming Dive was successful on %t!','Your Swarming Dive fades.','',0,0,'',0,'You cast Swarming Dive on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670957,1384291140,0,0),
(2000261,1426506853,1,0,'Swift Attack','A melee attack that increases the Avenger''s attack speed if it strikes an enemy.',589,65535,65535,0,0,0,0,1,'Your Swift Attack was successful on %t!','Your Swift Attack fades.','',0,1,'',3329,'You cast Swift Attack on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670959,1384377908,0,0),
(2000262,2336841152,1,0,'Tag Team','The brawler and target will both dodge all attacks for 8 seconds. If the brawler is alone or uses Tag Team on him or herself, he or she will be healed for 50% of his or her max health.',851,65535,316,0,0,0,0,1,'Your Tag Team was successful on %t!','Your Tag Team fades.','',0,0,'',87,'You cast Tag Team on %t.',1,1,1,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670959,1384377903,0,0),
(2000263,3529649000,1,0,'Tame Exotic Warder','Allows the beastlord to tame an exotic warder. The warder spell is added to the beastlord''s knowledge book and takes the appearance of the targeted creature. Using this ability on the same type of creature updates the appearance of the associated warder. Tame Exotic Warder can only be used on specific creature types. This ability also allows the beastlord to summon Exotic Warders and use Exotic Primal abilities.',931,65535,315,0,0,0,0,1,'Your Tame Exotic Warder was successful on %t!','Your Tame Exotic Warder fades.','',0,0,'',0,'You cast Tame Exotic Warder on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670959,1384377916,0,0),
(2000264,3360882760,1,0,'Territorial Regeneration','',185,65535,314,0,0,0,0,1,'Your Territorial Regeneration was successful on %t!','Your Territorial Regeneration fades.','',0,0,'',0,'You cast Territorial Regeneration on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670962,1384377900,0,0),
(2000265,1524768669,1,1,'Thief''s Prowess','Increases the Thief''s chance at reducing hate by enemies that are causing harm to the Thief.',661,65535,65535,0,0,0,1,0,'Your Thief''s Prowess was successful on %t!','Your Thief''s Prowess fades.','',0,0,'',3503,'You cast Thief''s Prowess on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670962,1384377833,0,0),
(2000266,3391338030,1,0,'Thieving Essence','Thieving Essence drains some of the target''s spell and combat art damage and gives it to the rogue''s group.',815,65535,315,0,0,0,0,1,'Your Thieving Essence was successful on %t!','Your Thieving Essence fades.','',0,1,'',1538,'You cast Thieving Essence on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670963,1384377831,0,0),
(2000267,3538368890,1,0,'Throat Bite','',931,65535,315,0,0,0,0,1,'Your Throat Bite was successful on %t!','Your Throat Bite fades.','',0,0,'',0,'You cast Throat Bite on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670963,1384377903,0,0),
(2000268,1702280710,1,0,'Thunderspike','A melee attack that deals additional magic damage.',607,65535,315,0,0,0,0,1,'Your Thunderspike was successful on %t!','Your Thunderspike fades.','',0,1,'Spells/AA/Thunderspike.lua',3391,'You cast Thunderspike on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670963,1384377914,0,0),
(2000269,2755929794,1,0,'Torporous Strike','A melee attack that reduces the target''s casting and recovery speed after using any spell or ability.',670,65535,65535,0,0,0,0,1,'Your Torporous Strike was successful on %t!','Your Torporous Strike fades.','',0,1,'Spells/AA/TorporousStrike.lua',3504,'You cast Torporous Strike on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670964,1384377901,0,0),
(2000270,815927086,1,0,'Touch of the Nightshade','A large poison based attack from the side or behind the target which also heals the assassin.',808,65535,315,0,0,0,0,1,'Your Touch of the Nightshade was successful on %t!','Your Touch of the Nightshade fades.','',0,1,'',1535,'You cast Touch of the Nightshade on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670966,1384377909,0,0),
(2000271,975221601,1,0,'Traumatic Swipe','A melee attack that reduces potency and greatly increases the recast time of all abilities of the enemy struck by this attack.',612,65535,65535,0,0,0,0,1,'Your Traumatic Swipe was successful on %t!','Your Traumatic Swipe fades.','',0,1,'Spells/AA/TraumaticSwipe.lua',3505,'You cast Traumatic Swipe on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670966,1384377899,0,0),
(2000272,2238235906,1,0,'Turnstrike','A melee attack that briefly renders the Bladesinger immune to area effect attacks unless they are the direct target of that effect.',643,65535,65535,0,0,0,0,1,'Your Turnstrike was successful on %t!','Your Turnstrike fades.','',0,0,'Spells/AA/Turnstrike.lua',3459,'You cast Turnstrike on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670968,1384377913,0,0),
(2000273,131828117,1,0,'U''lla''s Spinning Bite','Inflicts piercing damage to targets around the beastlord and stifles them for a short duration.',383,65535,313,0,0,0,0,1,'Your U''lla''s Spinning Bite was successful on %t!','Your U''lla''s Spinning Bite fades.','',0,0,'',3007,'You cast U''lla''s Spinning Bite on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670968,1384377833,0,0),
(2000274,3125528390,1,0,'Unbridled Rage','',212,65535,315,0,0,0,0,1,'Your Unbridled Rage was successful on %t!','Your Unbridled Rage fades.','',0,0,'',0,'You cast Unbridled Rage on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670968,1384377900,0,0),
(2000275,542764934,1,0,'Unchained Ferocity','Removes the casting and recovery times on the animalist''s warders. The animalist can use Advantages without Weakness being active for a limited number of attacks.',829,65535,317,0,0,0,0,0,'Your Unchained Ferocity was successful on %t!','Your Unchained Ferocity fades.','',0,0,'',3014,'You cast Unchained Ferocity on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670968,1384377903,0,0),
(2000276,70974816,1,0,'Uncontrolled Rampage','',217,65535,312,0,0,0,0,1,'Your Uncontrolled Rampage was successful on %t!','Your Uncontrolled Rampage fades.','',0,0,'',0,'You cast Uncontrolled Rampage on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670968,1384377901,0,0),
(2000277,127480758,1,0,'Unshakable Grip','Unshakable Grip allows the warrior to protect their allies from disarm, taunt and interrupt effects while increasing the warrior''s chance to riposte. The group''s Weapon Damage Bonus will also be increased.  In PVP combat, this will also make the caster''s group immune to taunt effects.',470,65535,314,0,0,0,0,2,'Your Unshakable Grip was successful on %t!','Your Unshakable Grip fades.','',0,0,'',105,'You cast Unshakable Grip on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670970,1384377913,0,0),
(2000278,2665981334,1,0,'Utter Destruction','A replacement for Demolish. A high damage attack that hits enemies surrounding the target and stifles them all for a short duration.',351,3,313,0,0,0,0,1,'Your Utter Destruction was successful on %t!','Your Utter Destruction fades.','',0,1,'',3044,'You cast Utter Destruction on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670972,1384377902,0,0),
(2000279,3144304133,1,1,'Venom Explosion','The brigand applies an extra layer of poison to their weapons, allowing them to deal damage to enemies surrounding their target when using back and flanking combat arts.',238,65535,317,0,0,0,1,0,'Your Venom Explosion was successful on %t!','Your Venom Explosion fades.','',0,0,'',3270,'You cast Venom Explosion on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670973,1384377919,0,0),
(2000280,4240837448,1,0,'Venom Spray','',494,65535,312,0,0,0,0,1,'Your Venom Spray was successful on %t!','Your Venom Spray fades.','',0,0,'',0,'You cast Venom Spray on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670973,1384377907,0,0),
(2000281,3997867398,1,0,'Vicious Charge','',85,65535,312,0,0,0,0,1,'Your Vicious Charge was successful on %t!','Your Vicious Charge fades.','',0,0,'',0,'You cast Vicious Charge on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670973,1384367301,0,0),
(2000282,2028566653,1,0,'Vicious Combination','A replacement for Knockout Combination. For a short duration, any combat arts that the bruiser lands will inflict additional damage with a chance to stun the target. The damage increases each time the effect triggers.',379,65535,317,0,0,0,0,0,'Your Vicious Combination was successful on %t!','Your Vicious Combination fades.','',0,1,'',3046,'You cast Vicious Combination on %t.',1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670973,1384377905,0,0),
(2000283,3391173577,1,0,'Vicious Feasting','',241,65535,315,0,0,0,0,1,'Your Vicious Feasting was successful on %t!','Your Vicious Feasting fades.','',0,0,'',0,'You cast Vicious Feasting on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670973,1384377894,0,0),
(2000284,2288738035,1,0,'Vicious Talons','',335,65535,312,0,0,0,0,1,'Your Vicious Talons was successful on %t!','Your Vicious Talons fades.','',0,0,'',0,'You cast Vicious Talons on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670973,1384377900,0,0),
(2000285,562615908,1,0,'Virulent Mist','',651,65535,312,0,0,0,0,1,'Your Virulent Mist was successful on %t!','Your Virulent Mist fades.','',0,0,'',0,'You cast Virulent Mist on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670975,1384367311,0,0),
(2000286,4234567796,1,0,'Walk the Plank','A melee attack that causes an enemy struck by this attack to spin, exposing their back to the Pirate for a short duration.',656,65535,65535,0,0,0,0,1,'Your Walk the Plank was successful on %t!','Your Walk the Plank fades.','',0,1,'',3506,'You cast Walk the Plank on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670977,1384377913,0,0),
(2000287,3538578962,1,0,'Wall of Force','The berserker will absorb the next 2 attacks which do more than 30% of the berserker''s health.',840,65535,317,0,0,0,0,0,'Your Wall of Force was successful on %t!','Your Wall of Force fades.','',0,1,'',1549,'You cast Wall of Force on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670977,1384377917,0,0),
(2000288,607081189,1,0,'Warring Restoration','',185,65535,314,0,0,0,0,1,'Your Warring Restoration was successful on %t!','Your Warring Restoration fades.','',0,0,'',0,'You cast Warring Restoration on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670979,1384367312,0,0),
(2000289,3497077306,1,1,'Waveform','Applies an incremental damage over time effect when the monk uses combat arts. While active, Waveform lowers the target''s weapon skills. This ability can increment up to 5 times.',831,65535,317,0,0,0,1,0,'Your Waveform was successful on %t!','Your Waveform fades.','',0,0,'',0,'You cast Waveform on %t.',1,0,0,1,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670979,1384377916,0,0),
(2000290,1101008743,1,0,'Weakness','',836,65535,317,2463145248,0,0,0,0,'Your Weakness was successful on %t!','Your Weakness fades.','',0,0,'Spells/Commoner/Weakness.lua',2963,'You cast Weakness on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1589245390,1384377900,0,0),
(2000291,3651786270,1,0,'Weakness: Alpha','',836,65535,317,0,0,0,0,1,'Your Weakness: Alpha was successful on %t!','Your Weakness: Alpha fades.','',0,0,'',0,'You cast Weakness: Alpha on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670981,1384377894,0,0),
(2000292,1084262308,1,0,'Weakness: Delta','',878,65535,317,0,0,0,0,1,'Your Weakness: Delta was successful on %t!','Your Weakness: Delta fades.','',0,0,'',0,'You cast Weakness: Delta on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670981,1384377900,0,0),
(2000293,933738290,1,0,'Weakness: Omega','',648,65535,317,0,0,0,0,1,'Your Weakness: Omega was successful on %t!','Your Weakness: Omega fades.','',0,0,'',0,'You cast Weakness: Omega on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670981,1384377901,0,0),
(2000294,2848137873,1,0,'Weakness: Zeta','',511,65535,317,0,0,0,0,1,'Your Weakness: Zeta was successful on %t!','Your Weakness: Zeta fades.','',0,0,'',0,'You cast Weakness: Zeta on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670981,1384377900,0,0),
(2000295,643653988,1,0,'Weighted Charge','',263,65535,312,0,0,0,0,1,'Your Weighted Charge was successful on %t!','Your Weighted Charge fades.','',0,0,'',0,'You cast Weighted Charge on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670981,1384377901,0,0),
(2000296,931906449,1,0,'Whirl of Permafrost','As an alternative to Winds of Permafrost, Whirl of Permafrost can be used as an area effect melee attack.',256,14,313,0,0,0,0,1,'Your Whirl of Permafrost was successful on %t!','Your Whirl of Permafrost fades.','',0,1,'',3400,'You cast Whirl of Permafrost on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670981,1384377903,0,0),
(2000297,3084003135,1,0,'Wild Beating','The bruiser deals large damage in area of effect, increasing hate position.',854,65535,313,0,0,0,0,1,'Your Wild Beating was successful on %t!','Your Wild Beating fades.','',0,1,'',3300,'You cast Wild Beating on %t.',1,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670983,1384377901,0,0),
(2000298,1228219002,1,0,'Wild Charge','',263,65535,315,0,0,0,0,1,'Your Wild Charge was successful on %t!','Your Wild Charge fades.','',0,0,'',0,'You cast Wild Charge on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670983,1384377899,0,0),
(2000299,835946976,1,0,'Wild Snapping','',375,65535,312,0,0,0,0,1,'Your Wild Snapping was successful on %t!','Your Wild Snapping fades.','',0,0,'',0,'You cast Wild Snapping on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670983,1384377899,0,0),
(2000300,1021389054,1,0,'Will to Survive','A melee attack which also reduces the health of the target by a small amount.',808,65535,315,0,0,0,0,1,'Your Will to Survive was successful on %t!','Your Will to Survive fades.','',0,1,'',3494,'You cast Will to Survive on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670984,1384377899,0,0),
(2000301,3780164644,1,0,'Winds of Retribution','Whenever the monk avoids an attack, they will gain one of three possible defensive bonuses. If one of those three effects is active, the monk can use this active ability to gain a powerful effect. Activating this ability removes the bonuses.',509,65535,317,0,0,0,0,1,'Your Winds of Retribution was successful on %t!','Your Winds of Retribution fades.','',0,0,'',0,'You cast Winds of Retribution on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670984,1384377839,0,0),
(2000302,1232632704,1,0,'Winds of Salvation','Pulls the target ally to the monk if they are outside of 10 meters away. The ally will be immune to most Area Effect abilities and takes less damage.',267,65535,316,0,0,0,0,1,'Your Winds of Salvation was successful on %t!','Your Winds of Salvation fades.','',0,0,'',3214,'You cast Winds of Salvation on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670984,1384377911,0,0),
(2000303,825104508,1,0,'Wing Beat','',300,65535,315,0,0,0,0,1,'Your Wing Beat was successful on %t!','Your Wing Beat fades.','',0,0,'',0,'You cast Wing Beat on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384670984,1384377894,0,0),
(2000304,2374432710,1,0,'Wreak Havoc','A replacement ability for Coverage. The ranger can execute stealth attacks while out of stealth. All stealth attacks executed will have their damage increased. Additionally, the ranger does not use ammo, cannot be interrupted and can use their abilities while moving.',189,65535,317,0,0,0,0,0,'Your Wreak Havoc was successful on %t!','Your Wreak Havoc fades.','',0,1,'',3059,'You cast Wreak Havoc on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670985,1384377913,0,0),
(2000305,2138638112,1,0,'Writhing Strike','This alternative to Torment and its upgrades is most appropriate for applying discipline at close range.',182,14,315,0,0,0,0,1,'Your Writhing Strike was successful on %t!','Your Writhing Strike fades.','',0,1,'',3364,'You cast Writhing Strike on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670985,1384377905,0,0),
(2000306,3522482435,1,0,'Yelinak''s Focus','Clears most of the fighter''s reuses.',622,65535,317,0,0,0,0,0,'Your Yelinak''s Focus was successful on %t!','Your Yelinak''s Focus fades.','',0,0,'',3713,'You cast Yelinak''s Focus on %t.',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670985,1384377902,0,0),
(2000307,3374113330,1,0,'Zealous Smite','Zealous Smite inflicts crushing damage upon the target encounter and cures the crusader''s allies. This spell cannot be resisted. This spell can be cast while under control effects.',837,65535,312,0,0,0,0,2,'Your Zealous Smite was successful on %t!','Your Zealous Smite fades.','',0,0,'',88,'You cast Zealous Smite on %t.',1,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384670985,1384377836,0,0),
(2000308,2512588022,0,0,'&quot;Protect Me!&quot;','The channeler orders their construct to absorb damage meant for them. The construct must be above 25% health for the interception to work or the spell to apply.',843,65535,317,0,0,0,0,3,'Your &quot;Protect Me!&quot; was successful on %t!','Your &quot;Protect Me!&quot; fades.','',1,0,'',0,'You cast &quot;Protect Me!&quot; on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671205,1384377910,0,1),
(2000309,438850384,0,0,'Abhorrent Verse','Causes the target to siphon threat from the troubador''s group for a short duration. Fighters in the group will not transfer their threat.',817,65535,314,0,0,0,0,1,'Your Abhorrent Verse was successful on %t!','Your Abhorrent Verse fades.','',1,0,'',3452,'You cast Abhorrent Verse on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671205,1384377912,0,1),
(2000310,3497172334,0,0,'Ablative Vegetation','',191,65535,315,0,0,0,0,0,'Your Ablative Vegetation was successful on %t!','Your Ablative Vegetation fades.','',1,0,'',0,'You cast Ablative Vegetation on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671205,1335553146,0,1),
(2000311,2019162435,0,0,'Acid Lick','',160,65535,315,0,0,0,0,1,'Your Acid Lick was successful on %t!','Your Acid Lick fades.','',1,0,'',0,'You cast Acid Lick on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671209,1384378116,0,1),
(2000312,3290088921,0,0,'Acidic Spittle','',238,65535,315,0,0,0,0,1,'Your Acidic Spittle was successful on %t!','Your Acidic Spittle fades.','',1,0,'',0,'You cast Acidic Spittle on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671210,1384378116,0,1),
(2000313,55752143,0,0,'Alarming Hiss','',295,65535,315,0,0,0,0,0,'Your Alarming Hiss was successful on %t!','Your Alarming Hiss fades.','',1,0,'',0,'You cast Alarming Hiss on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671213,1335552580,0,1),
(2000314,1296651569,0,1,'Allegro','Increases the casting speed of the Harbinger''s group.',568,65535,65535,0,0,0,1,2,'Your Allegro was successful on %t!','Your Allegro fades.','',1,1,'Spells/AA/Allegro.lua',3433,'You cast Allegro on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671215,1384377833,0,1),
(2000315,1988236065,0,0,'Ancestral Channeling','',17,65535,314,0,0,0,0,2,'Your Ancestral Channeling was successful on %t!','Your Ancestral Channeling fades.','',1,1,'Spells/AA/AncestralChanneling.lua',3401,'You cast Ancestral Channeling on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671219,1384377905,0,1),
(2000316,126216784,0,0,'Ancestral Support','Monitors the damage that the group inflicts and then wards them for a small percentage of that damage. This spell can be cast while moving and through control effects.',623,65535,314,0,0,0,0,2,'Your Ancestral Support was successful on %t!','Your Ancestral Support fades.','',1,0,'',3249,'You cast Ancestral Support on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671221,1384377838,0,1),
(2000317,1406486665,0,1,'Ancestry','Increases the trigger percentage of all of target ally''s spells.',41,65535,65535,0,0,0,1,1,'Your Ancestry was successful on %t!','Your Ancestry fades.','',1,1,'',3412,'You cast Ancestry on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671221,1384377908,0,1),
(2000318,2876480315,0,0,'Animal Form','',232,65535,316,0,0,0,0,1,'Your Animal Form was successful on %t!','Your Animal Form fades.','',1,0,'',3376,'You cast Animal Form on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671226,1384377907,0,1),
(2000319,165932799,0,0,'Animated Dagger','Quickly summons an animated dagger to deal instant damage to the Theurgist''s target.',658,65535,315,0,0,0,0,1,'Your Animated Dagger was successful on %t!','Your Animated Dagger fades.','',1,0,'',3144,'You cast Animated Dagger on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671226,1384377902,0,1),
(2000320,84683418,0,0,'Animist''s Evasion','Allows the Animist to drop their threat position with their target substantially.',650,65535,315,0,0,0,0,1,'Your Animist''s Evasion was successful on %t!','Your Animist''s Evasion fades.','',1,0,'',3168,'You cast Animist''s Evasion on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671226,1384377912,0,1),
(2000321,2708802690,0,0,'Antlered Charge','',353,65535,315,0,0,0,0,1,'Your Antlered Charge was successful on %t!','Your Antlered Charge fades.','',1,0,'',0,'You cast Antlered Charge on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671227,1335553145,0,1),
(2000322,1851283547,0,0,'Arc of Flame','',510,65535,315,0,0,0,0,1,'Your Arc of Flame was successful on %t!','Your Arc of Flame fades.','',1,0,'Spells/Traditions/ArcofFlame.lua',0,'You cast Arc of Flame on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671228,1384378116,0,1),
(2000323,3903537279,0,0,'Arcane Bewilderment','Bewilders the target forcing them to switch to another target while dropping the mage down the hate list.',890,65535,65535,0,0,0,0,1,'Your Arcane Bewilderment was successful on %t!','Your Arcane Bewilderment fades.','',1,1,'',3091,'You cast Arcane Bewilderment on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671228,1384377914,0,1),
(2000324,816148431,0,0,'Arch Heal','Replenishes a large amount of target ally''s health.',468,65535,316,0,0,0,0,1,'Your Arch Heal was successful on %t!','Your Arch Heal fades.','',1,0,'',3318,'You cast Arch Heal on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671229,1384377908,0,1),
(2000325,2885821725,0,0,'Armored Carapace','',153,65535,315,0,0,0,0,0,'Your Armored Carapace was successful on %t!','Your Armored Carapace fades.','',1,0,'',0,'You cast Armored Carapace on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671233,1335553147,0,1),
(2000326,2212156795,0,1,'Arms of Imagination','Grants a group friend the ability to strike multiple targets who are within their range and a small chance to flurry.',350,65535,316,0,0,0,1,1,'Your Arms of Imagination was successful on %t!','Your Arms of Imagination fades.','',1,1,'',3109,'You cast Arms of Imagination on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671233,1384377837,0,1),
(2000327,4147156108,0,1,'Aura of Health','Improves the maximum health of the warden''s ally.',885,65535,316,0,0,0,1,1,'Your Aura of Health was successful on %t!','Your Aura of Health fades.','',1,1,'',0,'You cast Aura of Health on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671237,1384377902,0,1),
(2000329,484372511,0,0,'Aura of the Crusader','Aura of the Crusader cures the crusader of any stifle, root, stun, fear, or target forcing effect and makes them immune to these effects for a short duration.  If the caster enters PVP combat, the duration of this immunity effect will be reduced.',845,65535,317,0,0,0,0,0,'Your Aura of the Crusader was successful on %t!','Your Aura of the Crusader fades.','',1,1,'',1551,'You cast Aura of the Crusader on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671239,1384377901,0,1),
(2000330,3462601281,0,0,'Avenging Ancestors','Avenging Ancestors deals damage instantly to targets surrounding the shaman. For each target hit, it will trigger additional damage every two seconds to the nearest six targets. The power of this spell increases drastically for each additional target.',922,65535,313,0,0,0,0,0,'Your Avenging Ancestors was successful on %t!','Your Avenging Ancestors fades.','',1,0,'',43,'You cast Avenging Ancestors on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671241,1384377903,0,1),
(2000331,1915603267,0,0,'Bagpipe Solo','Cures the group, restores health over time to the group and health to the group when they receive damage.',325,65535,314,0,0,0,0,2,'Your Bagpipe Solo was successful on %t!','Your Bagpipe Solo fades.','',1,1,'',3258,'You cast Bagpipe Solo on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671243,1384377909,0,1),
(2000332,3783315302,0,0,'Barrier of the Spirits','Wards the target based on the number of increments of Ferocity of Spirits. This spell can be cast while casting other spells.',925,65535,316,0,0,0,0,1,'Your Barrier of the Spirits was successful on %t!','Your Barrier of the Spirits fades.','',1,0,'',3252,'You cast Barrier of the Spirits on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671245,1384377902,0,1),
(2000333,2915932953,0,1,'Rallying Cry','Battle Cry grants the target improved Damage Per Second and a chance to flurry.  This will not stack with the Illusionist''s Illusory Arm spell.',819,65535,316,1124719197,0,0,1,1,'Your Battle Cry was successful on %t!','Your Battle Cry fades.','',1,0,'',1544,'You cast Battle Cry on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671245,1384377910,0,1),
(2000334,523573146,0,1,'Battle Leadership','Increases the combat and casting skills of the Knight''s group.',574,65535,65535,0,0,0,1,2,'Your Battle Leadership was successful on %t!','Your Battle Leadership fades.','',1,1,'',3307,'You cast Battle Leadership on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671245,1384377916,0,1),
(2000335,622083678,0,1,'Battle Prowess','Increases the priest''s weapon and combat art damage.  Battle Prowess will also allow the priest a chance to double attack with their primary weapon.  This spell will suspend while the priest''s healing based stance is active.',874,65535,317,0,0,0,1,1,'Your Battle Prowess was successful on %t!','Your Battle Prowess fades.','',1,1,'',0,'You cast Battle Prowess on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671245,1384377839,0,1),
(2000336,2945068668,0,0,'Berserk','',86,65535,317,0,0,0,0,1,'Your Berserk was successful on %t!','Your Berserk fades.','',1,0,'',0,'You cast Berserk on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671245,1384378116,0,1),
(2000337,453791905,0,0,'Bladedance','For a short duration, the Bladesinger''s group is protected against area effect abilities that do not directly target them.  If the caster enters PVP combat, the duration of this effect will be reduced.',588,65535,65535,0,0,0,0,1,'Your Bladedance was successful on %t!','Your Bladedance fades.','',1,0,'Spells/AA/Bladedance.lua',3434,'You cast Bladedance on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671247,1384377906,0,1),
(2000338,4175217364,0,0,'Blast of Devastation','The sorcerer focuses their energies into a frontal blast of energy which can damage up to 8 targets.',29,65535,313,0,0,0,0,1,'Your Blast of Devastation was successful on %t!','Your Blast of Devastation fades.','',1,0,'Spells/AA/BlastofDevastation.lua',3121,'You cast Blast of Devastation on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671247,1384377831,0,1),
(2000339,583582162,0,1,'Blazing Energy','Whenever the raid strikes a death blow, the caster''s group will gain increased AE Auto Attack and Attack Speed. This also has a very small chance to increment when attacking. This increments up to 25 times. It is dispelled when any group member dies. Does not persist through zoning.',273,65535,314,0,0,0,1,8,'Your Blazing Energy was successful on %t!','Your Blazing Energy fades.','',1,0,'',3229,'You cast Blazing Energy on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671249,1384377907,0,1),
(2000340,2840846889,0,1,'Blessings','A group enhancement that improves the trigger chances of the effects on your party''s equipped items.',516,65535,314,0,0,0,1,2,'Your Blessings was successful on %t!','Your Blessings fades.','',1,1,'',3368,'You cast Blessings on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671251,1384377906,0,1),
(2000341,3288770868,0,1,'Blood Pact','Your pet becomes immune to non-direct area effects in exchange for sacrificing your health and power.',328,65535,317,0,0,0,1,3,'Your Blood Pact was successful on %t!','Your Blood Pact fades.','',1,1,'Spells/AA/BloodPact.lua',3179,'You cast Blood Pact on %t.',0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384671251,1384377910,0,1),
(2000342,1073983703,0,0,'Blood Siphon','The Shadowknight siphons the blood of their group and converts it into a ward.',815,65535,317,0,0,0,0,0,'Your Blood Siphon was successful on %t!','Your Blood Siphon fades.','',1,1,'',3325,'You cast Blood Siphon on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671251,1384377841,0,1),
(2000343,964498219,0,0,'Bolt of Lightning','Instantly deals a significant amount of magic damage to a target.',233,14,315,0,0,0,0,1,'Your Bolt of Lightning was successful on %t!','Your Bolt of Lightning fades.','',1,0,'',0,'You cast Bolt of Lightning on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671254,1384378116,0,1),
(2000344,4208802512,0,0,'Bonebreaker','',275,65535,315,0,0,0,0,1,'Your Bonebreaker was successful on %t!','Your Bonebreaker fades.','',1,0,'',0,'You cast Bonebreaker on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671254,1384378116,0,1),
(2000345,2750494702,0,0,'Book Bash','',159,65535,315,0,0,0,0,1,'Your Book Bash was successful on %t!','Your Book Bash fades.','',1,0,'',0,'You cast Book Bash on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671254,1384378114,0,1),
(2000346,1734191191,0,1,'Cabalistic Conservation','The Cabalist''s group consumes less power when casting spells.',579,65535,65535,0,0,0,1,2,'Your Cabalistic Conservation was successful on %t!','Your Cabalistic Conservation fades.','',1,1,'',3145,'You cast Cabalistic Conservation on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671262,1384377833,0,1),
(2000347,1753282277,0,0,'Cadence of Destruction','Increases the bard''s potency over time. Once Cadence of Destruction wears off, the bard gains additional damage on their next attacks with Grand Finale.',817,65535,317,0,0,0,0,0,'Your Cadence of Destruction was successful on %t!','Your Cadence of Destruction fades.','',1,0,'',118,'You cast Cadence of Destruction on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671264,1384377903,0,1),
(2000348,3112496100,0,0,'Call Servant','Summons your primary pet to the immediate area.',255,65535,317,0,0,0,0,3,'Your Call Servant was successful on %t!','Your Call Servant fades.','',1,1,'Spells/CallServant.lua',0,'You cast Call Servant on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,'Unset',1589732532,1384377833,0,1),
(2000349,1848992474,0,0,'Calm','Mesmerizes target. If the target receives any damage, the mesmerize effect breaks. Increased ranks will increase the duration of this effect.',679,65535,312,0,0,0,0,1,'Your Calm was successful on %t!','Your Calm fades.','',1,0,'',3374,'You cast Calm on %t.',0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671264,1384377908,0,1),
(2000350,2288103967,0,0,'Cannibalize','Instantly converts health into power. For a short duration, your next hostile spell causes additional damage.',201,65535,317,0,0,0,0,0,'Your Cannibalize was successful on %t!','Your Cannibalize fades.','',1,0,'',3422,'You cast Cannibalize on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671264,1384377899,0,1),
(2000351,3511834753,0,0,'Cantankerous Kick','',331,65535,315,0,0,0,0,1,'Your Cantankerous Kick was successful on %t!','Your Cantankerous Kick fades.','',1,0,'',0,'You cast Cantankerous Kick on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671266,1384378116,0,1),
(2000352,986482802,0,1,'Casting Expertise','Increases the chance to Spell Multi-Attack along with the base and critical damage of the priest''s hostile spells. Also grants the priest improved casting speed for hostile based spells. This spell will suspend while the priest''s healing based stance is active.',876,65535,317,0,0,0,1,1,'Your Casting Expertise was successful on %t!','Your Casting Expertise fades.','',1,1,'',0,'You cast Casting Expertise on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671268,1384377906,0,1),
(2000353,1520386937,0,0,'Catalyst','Allows the Invoker to sacrifice health in order to guarantee that their next spell will critical and do additional critical damage.',621,65535,65535,0,0,0,0,1,'Your Catalyst was successful on %t!','Your Catalyst fades.','',1,0,'',3122,'You cast Catalyst on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671268,1384377830,0,1),
(2000354,2365018485,0,0,'Caustic Detonation','An alternate ability for Toxic Assault. Caustic Detonation inflicts disease damage to the targets surrounding the primary target. The damage is substantially higher with more charges of Toxic Aura.',651,65535,313,0,0,0,0,1,'Your Caustic Detonation was successful on %t!','Your Caustic Detonation fades.','',1,0,'',3225,'You cast Caustic Detonation on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671268,1384377910,0,1),
(2000355,979706733,0,1,'Cavalier''s Shout','The crusader gains a chance to increase their threat to the target encounter.',23,65535,317,0,0,0,1,1,'Your Cavalier''s Shout was successful on %t!','Your Cavalier''s Shout fades.','',1,0,'',3308,'You cast Cavalier''s Shout on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671268,1384377907,0,1),
(2000356,2177252207,0,0,'Channeled Focus','For a short duration, the target group receives a reduction to the power cost of their abilities. At its second rank, this ability grants improved trigger chance, attack speed and casting speed.  In PVP combat, this will also make the caster''s group immune to taunt effects.',755,65535,314,0,0,0,0,9,'Your Channeled Focus was successful on %t!','Your Channeled Focus fades.','',1,1,'',3107,'You cast Channeled Focus on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671272,1384377901,0,1),
(2000357,994240094,0,0,'Chaos Cloud','A replacement for Grave Sacrament. Increases the hatred of the shadowknight to targets in the area of effect. This spell grants an additional threat position.',237,5,313,0,0,0,0,1,'Your Chaos Cloud was successful on %t!','Your Chaos Cloud fades.','',1,0,'',3045,'You cast Chaos Cloud on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671272,1384377903,0,1),
(2000358,3821009337,0,0,'Charging Bite','',353,65535,315,0,0,0,0,1,'Your Charging Bite was successful on %t!','Your Charging Bite fades.','',1,0,'',0,'You cast Charging Bite on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671272,1384378116,0,1),
(2000359,422728268,0,0,'Charm Creature','Charms target. The opponent has a recurring chance to resist the charm throughout its duration. Higher ranks of this spell will decrease the chance at a periodic resist.',668,65535,313,0,0,0,0,1,'Your Charm Creature was successful on %t!','Your Charm Creature fades.','',1,0,'',3375,'You cast Charm Creature on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671274,1384377897,0,1),
(2000360,3659424627,0,0,'Chilling Invigoration','Grants the Inquisitor powerful reactive heal and damage shield on a long recast.',928,65535,316,0,0,0,0,1,'Your Chilling Invigoration was successful on %t!','Your Chilling Invigoration fades.','',1,0,'',3358,'You cast Chilling Invigoration on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671274,1384377838,0,1),
(2000361,1329750252,0,0,'Chip Essence','Inflicts poison damage on the target and heals the shaper.',216,65535,315,0,0,0,0,1,'Your Chip Essence was successful on %t!','Your Chip Essence fades.','',1,0,'',0,'You cast Chip Essence on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671274,1384377906,0,1),
(2000362,2535470953,0,0,'Chittering Shriek','',172,65535,314,0,0,0,0,1,'Your Chittering Shriek was successful on %t!','Your Chittering Shriek fades.','',1,0,'',0,'You cast Chittering Shriek on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671274,1384378116,0,1),
(2000363,556207279,0,0,'Chromatic Illusion','Inflicts mental damage surrounding the primary target of the spell. For every target the spell hits, the illusionist gets an increment of Mystic Illusion, which deals additional damage with the next attack and restore some power to the group. Higher ranks of this ability reduce the reuse time. Mystic Illusion can increment up to 6 times.',861,65535,313,0,0,0,0,1,'Your Chromatic Illusion was successful on %t!','Your Chromatic Illusion fades.','',1,1,'',3216,'You cast Chromatic Illusion on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671274,1384377904,0,1),
(2000364,896507638,0,0,'Chronosiphoning','Slows target''s casting speed, and increases the Chronomancer''s casting speed.',654,65535,65535,0,0,0,0,1,'Your Chronosiphoning was successful on %t!','Your Chronosiphoning fades.','',1,0,'Spells/AA/Chronosiphoning.lua',3093,'You cast Chronosiphoning on %t.',0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671276,1384377903,0,1),
(2000365,3071995639,0,0,'Churning Water','',511,65535,315,0,0,0,0,0,'Your Churning Water was successful on %t!','Your Churning Water fades.','',1,0,'',0,'You cast Churning Water on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671276,1335552491,0,1),
(2000366,3088209729,0,0,'Clamping Claw','',375,65535,315,0,0,0,0,0,'Your Clamping Claw was successful on %t!','Your Clamping Claw fades.','',1,0,'',0,'You cast Clamping Claw on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671276,1335552517,0,1),
(2000367,556786553,0,0,'Clash of Antlers','',361,65535,315,0,0,0,0,1,'Your Clash of Antlers was successful on %t!','Your Clash of Antlers fades.','',1,0,'',0,'You cast Clash of Antlers on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671278,1335553146,0,1),
(2000368,2208558796,0,0,'Clearwater Current','Applies a heal over time to the target ally. The heal multiplies in power by the number of ticks. Recasting this spell on the same target starts the process over. Higher ranks improve the base reuse speed.',881,65535,316,0,0,0,0,1,'Your Clearwater Current was successful on %t!','Your Clearwater Current fades.','',1,0,'',3242,'You cast Clearwater Current on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671278,1384377900,0,1),
(2000369,515532386,0,1,'Coagulate','Greatly increases the degree to which the Witchdoctor''s group can bleed before death.',698,65535,65535,0,0,0,1,2,'Your Coagulate was successful on %t!','Your Coagulate fades.','',1,0,'Spells/AA/Coagulate.lua',3402,'You cast Coagulate on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671278,1384377833,0,1),
(2000370,566716446,0,1,'Coerced Intensity','Whenever the raid strikes a death blow, the caster''s group will gain increased Crit Bonus. This also has a very small chance to increment when attacking. This increments up to 25 times. It is dispelled when any group member dies. Does not persist through zoning.',80,65535,314,0,0,0,1,8,'Your Coerced Intensity was successful on %t!','Your Coerced Intensity fades.','',1,1,'',3219,'You cast Coerced Intensity on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671278,1384377899,0,1),
(2000371,3426657644,0,1,'Coercive Healing','Enhances the primary specialty healing abilities of a single priest ally. Reactive heals gain an additional healing trigger and additional heal amount, Regenerative heals increase in heal amount, and Wards have increased damage absorption. This spell also enhances the casting speed and reuse speed of beneficial spells cast by the ally.',154,65535,316,0,0,0,1,1,'Your Coercive Healing was successful on %t!','Your Coercive Healing fades.','',1,0,'',3116,'You cast Coercive Healing on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671278,1384377908,0,1),
(2000372,3491920474,0,0,'Coercive Shout','The coercer''s target will gain a position hate increase to targets in Area of Effect. For a short duration, the target will riposte all incoming attacks.',881,65535,317,0,0,0,0,1,'Your Coercive Shout was successful on %t!','Your Coercive Shout fades.','',1,0,'',3117,'You cast Coercive Shout on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671278,1384377836,0,1),
(2000373,3171378471,0,0,'Concussive Blast','A powerful kinetic blast that targets an enemy and affects all surrounding enemies, stunning them for a short duration and inflicting magical damage. Their hate towards the Kineticist is reduced.',561,65535,313,0,0,0,0,1,'Your Concussive Blast was successful on %t!','Your Concussive Blast fades.','',1,0,'',3123,'You cast Concussive Blast on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671278,1384377901,0,1),
(2000374,593752196,0,0,'Confounding','A ranged kinetic attack that damages the target using your melee weapon and reduces its hate towards the Kineticist.',559,65535,65535,0,0,0,0,1,'Your Confounding was successful on %t!','Your Confounding fades.','',1,0,'',3124,'You cast Confounding on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671279,1384377830,0,1),
(2000375,3601331586,0,0,'Confront Fear','Instantly removes the sickness effects of a resurrection spell from an ally and cures them of any Fear effects.  Confront Fear also greatly speeds their regeneration if they were under resurrection sickness from the effects of a resurrection spell.  Has no effect on revived sickness.',46,65535,317,0,0,0,0,1,'Your Confront Fear was successful on %t!','Your Confront Fear fades.','',1,0,'',1184,'You cast Confront Fear on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671280,1384377900,0,1),
(2000376,1973361796,0,0,'Constricting Tentacle','',308,65535,315,0,0,0,0,1,'Your Constricting Tentacle was successful on %t!','Your Constricting Tentacle fades.','',0,0,'Spells/Traditions/ConstrictingTentacle.lua',1012,'You cast Constricting Tentacle on %t.',0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671281,1335552518,0,1),
(2000377,560617572,0,0,'Consume Construct','Consume some of the construct''s health to increase your power.',201,65535,317,0,0,0,0,3,'Your Consume Construct was successful on %t!','Your Consume Construct fades.','',1,0,'',0,'You cast Consume Construct on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671281,1384377897,0,1),
(2000378,1877562585,0,0,'Convert Power','Convert Power instantly switches the enchanter''s current health and power percentages. For a few seconds, the enchanter''s spells cost drastically less and they are immune to damage.',914,65535,317,0,0,0,0,0,'Your Convert Power was successful on %t!','Your Convert Power fades.','',1,0,'',637,'You cast Convert Power on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671286,1384377908,0,1),
(2000379,2305687111,0,1,'Countenance of Defiled Spirits','A replacement for Sinister Countenance. The defiler takes on a wraith form and increases their wisdom along with the group''s stamina, spell resistance and the ability to see invisible creatures. The defiler gains increased movement speed as well.',237,65535,314,0,0,0,1,2,'Your Countenance of Defiled Spirits was successful on %t!','Your Countenance of Defiled Spirits fades.','',1,0,'',2580,'You cast Countenance of Defiled Spirits on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671286,1384377833,0,1),
(2000380,348381894,0,0,'Crippling Claw','',345,65535,315,0,0,0,0,1,'Your Crippling Claw was successful on %t!','Your Crippling Claw fades.','',1,0,'',0,'You cast Crippling Claw on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671286,1384367278,0,1),
(2000381,827011312,0,0,'Crusader''s Faith','Returns a portion of the damage the crusader''s group does as health to the crusader.',924,65535,314,0,0,0,0,2,'Your Crusader''s Faith was successful on %t!','Your Crusader''s Faith fades.','',1,1,'',3310,'You cast Crusader''s Faith on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671287,1384377916,0,1),
(2000382,2125947580,0,0,'Crushing Vines','',188,65535,315,0,0,0,0,0,'Your Crushing Vines was successful on %t!','Your Crushing Vines fades.','',1,0,'',0,'You cast Crushing Vines on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671287,1335553145,0,1),
(2000383,828835320,0,0,'Cure Spells','Cures non-physical impairments on target ally. For each one removed, hate is increased towards the paladin by all nearby enemies.',150,65535,316,0,0,0,0,1,'Your Cure Spells was successful on %t!','Your Cure Spells fades.','',1,1,'',3319,'You cast Cure Spells on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671289,1384377908,0,1),
(2000384,2054530524,0,0,'Cyclone','The Warden summons a cyclone to protect their ally, granting them a short duration immunity to attacks.  If the caster enters PVP combat, the duration of this effect will be reduced.',511,65535,316,1624274802,0,0,0,1,'Your Cyclone was successful on %t!','Your Cyclone fades.','',1,0,'',3394,'You cast Cyclone on %t.',0,0,1,1,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671291,1384377907,0,1),
(2000385,533501304,0,0,'Dancing Shadows','',269,65535,315,0,0,0,0,0,'Your Dancing Shadows was successful on %t!','Your Dancing Shadows fades.','',1,0,'',0,'You cast Dancing Shadows on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671291,1335553147,0,1),
(2000386,1647229785,0,0,'Dark Aggravation','This ability grants the warlock an innate ability to infect their enemies with a dormant disease with every hostile spell. Dark Incubation has a 5% chance to trigger and lasts for 12 seconds. Once the target is infected, the warlock will be able to cast Dark Aggravation, dealing substantial damage to the target and surrounding enemies.',928,65535,315,0,0,0,0,1,'Your Dark Aggravation was successful on %t!','Your Dark Aggravation fades.','',1,0,'',3138,'You cast Dark Aggravation on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671291,1384377908,0,1),
(2000387,3334855076,0,0,'Dark Feast','',260,65535,315,0,0,0,0,0,'Your Dark Feast was successful on %t!','Your Dark Feast fades.','',1,0,'',0,'You cast Dark Feast on %t.',0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671291,1335475174,0,1),
(2000388,2620465116,0,0,'Dark Ritual','',212,65535,314,0,0,0,0,0,'Your Dark Ritual was successful on %t!','Your Dark Ritual fades.','',1,0,'',0,'You cast Dark Ritual on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671295,1335475238,0,1),
(2000389,1688304693,0,0,'Daydream','Inflicts mental damage on the target.',595,65535,65535,0,0,0,0,1,'Your Daydream was successful on %t!','Your Daydream fades.','',1,0,'',3095,'You cast Daydream on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671297,1384377916,0,1),
(2000390,1568056535,0,0,'Dazing Invocation','Inflicts poison damage on the target and dazes them for a short duration.',160,65535,315,0,0,0,0,1,'Your Dazing Invocation was successful on %t!','Your Dazing Invocation fades.','',1,0,'',0,'You cast Dazing Invocation on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671297,1384377830,0,1),
(2000391,528991859,0,0,'Deadly Dance','Reduces snare effects, increases In-Combat Run Speed and makes the bard''s group immune to root and interrupts, including motion. The bard''s hostile spells will increase the group''s potency based on the bard''s agility value.',900,65535,314,0,0,0,0,2,'Your Deadly Dance was successful on %t!','Your Deadly Dance fades.','',1,0,'',117,'You cast Deadly Dance on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671299,1384377912,0,1),
(2000392,3153664175,0,0,'Deadly Sting','',193,65535,315,0,0,0,0,1,'Your Deadly Sting was successful on %t!','Your Deadly Sting fades.','',1,0,'',0,'You cast Deadly Sting on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671299,1384378116,0,1),
(2000393,169022251,0,0,'Death Cries','A replacement spell for Deathward. This spell casts quicker and becomes far more powerful than Deathward when the target is below 50% health.',259,16,316,0,0,0,0,1,'Your Death Cries was successful on %t!','Your Death Cries fades.','',1,0,'',3423,'You cast Death Cries on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671301,1384377903,0,1),
(2000394,2633329725,0,0,'Death Grip','Inflicts disease damage on the target and reduces their chance to land melee attacks. This spell hits once per increment of Graverot on the target up to a maximum of five strikes.',867,65535,315,0,0,0,0,1,'Your Death Grip was successful on %t!','Your Death Grip fades.','',1,0,'',3234,'You cast Death Grip on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671301,1384377839,0,1),
(2000395,1336079432,0,0,'Debilitating Slime','',248,65535,315,0,0,0,0,1,'Your Debilitating Slime was successful on %t!','Your Debilitating Slime fades.','',1,0,'',0,'You cast Debilitating Slime on %t.',0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671303,1384378116,0,0),
(2000396,366306044,0,0,'Debilitating Venom','',193,65535,315,0,0,0,0,1,'Your Debilitating Venom was successful on %t!','Your Debilitating Venom fades.','',1,0,'',0,'You cast Debilitating Venom on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671303,1384367278,0,1),
(2000397,154548221,0,0,'Deific Reformation','Applies a heal to the templar''s two allies with the lowest health percentages. The heal amount is more powerful if the targets are below 25% health and most powerful if the targets are below 10% health. The targets must be within 50 meters of the templar.',164,65535,316,0,0,0,0,0,'Your Deific Reformation was successful on %t!','Your Deific Reformation fades.','',1,0,'',3235,'You cast Deific Reformation on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671305,1384377833,0,1),
(2000398,3190493656,0,0,'Desperate Stamp','',379,65535,315,0,0,0,0,2,'Your Desperate Stamp was successful on %t!','Your Desperate Stamp fades.','',1,0,'Spells/Traditions/DesperateStamp.lua',999,'You cast Desperate Stamp on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671309,1335552581,0,1),
(2000399,490896866,0,1,'Developer''s Tenacious Raid Buff','',931,65535,65535,0,0,0,1,1,'Your Developer''s Tenacious Raid Buff was successful on %t!','Your Developer''s Tenacious Raid Buff fades.','',1,0,'',0,'You cast Developer''s Tenacious Raid Buff on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671311,1384367296,0,1),
(2000400,3217972441,0,1,'Dexterous Sonata','A song which buffs the group''s ability to do additional critical damage from spells, heals, combat arts and weapon attacks.',813,65535,314,0,0,0,1,2,'Your Dexterous Sonata was successful on %t!','Your Dexterous Sonata fades.','',1,0,'',1542,'You cast Dexterous Sonata on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671313,1384377836,0,1),
(2000401,2313243379,0,0,'Digestive Ooze','',196,65535,315,0,0,0,0,1,'Your Digestive Ooze was successful on %t!','Your Digestive Ooze fades.','',1,0,'',0,'You cast Digestive Ooze on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671313,1384378116,0,1),
(2000402,583104298,0,1,'Dimensional Storage','Dimensional Storage allows the summoner to store a pet for later use.',907,65535,317,0,0,0,1,1,'Your Dimensional Storage was successful on %t!','Your Dimensional Storage fades.','',1,1,'',0,'You cast Dimensional Storage on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671313,1384377914,0,1),
(2000403,2281838826,0,0,'Discordant Note','',591,65535,317,0,0,0,0,1,'Your Discordant Note was successful on %t!','Your Discordant Note fades.','',1,0,'',0,'You cast Discordant Note on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671315,1384378116,0,1),
(2000404,1292975088,0,0,'Dive Bomb','',353,65535,315,0,0,0,0,1,'Your Dive Bomb was successful on %t!','Your Dive Bomb fades.','',1,0,'',0,'You cast Dive Bomb on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671320,1384378116,0,1),
(2000405,2773894264,0,1,'Divine Armor','Divine Armor will heal the cleric''s group friend when they receive damage.',839,65535,316,0,0,0,1,1,'Your Divine Armor was successful on %t!','Your Divine Armor fades.','',1,1,'',2884,'You cast Divine Armor on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671320,1384377899,0,1),
(2000406,1361220808,0,0,'Divine Aura','Divine Aura grants the Sentry immunity to most damage sources for 10 seconds. Any damage amounts in excess of 50% of the Sentry''s health total is not prevented.',614,65535,65535,0,0,0,0,1,'Your Divine Aura was successful on %t!','Your Divine Aura fades.','',1,0,'',3311,'You cast Divine Aura on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671320,1384377830,0,1),
(2000407,484172303,0,0,'Divine Aura','Divine Aura grants the Deacon immunity to most damage sources for 10 seconds. Any damage amounts in excess of 50% of the Deacon''s health total is not prevented.',614,65535,65535,0,0,0,0,1,'Your Divine Aura was successful on %t!','Your Divine Aura fades.','',1,0,'',0,'You cast Divine Aura on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671320,1384377911,0,1),
(2000408,3043579880,0,0,'Divine Castigation','Inflicts divine damage to your target.',559,65535,65535,0,0,0,0,1,'Your Divine Castigation was successful on %t!','Your Divine Castigation fades.','',1,0,'Spells/AA/DivineCastigation.lua',3351,'You cast Divine Castigation on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671320,1384377830,0,1),
(2000409,589674604,0,0,'Divine Demonstration','Inflict damage on the target encounter that cannot be outright resisted.',645,65535,65535,0,0,0,0,1,'Your Divine Demonstration was successful on %t!','Your Divine Demonstration fades.','',1,0,'Spells/AA/DivineDemonstration.lua',3352,'You cast Divine Demonstration on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671320,1384377903,0,1),
(2000410,4121170585,0,0,'Divine Despair','',913,65535,65535,0,0,0,0,1,'Your Divine Despair was successful on %t!','Your Divine Despair fades.','',1,0,'',0,'You cast Divine Despair on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671320,1384377875,0,1),
(2000411,939614946,0,0,'Divine Fate','A replacement for Healing Fate, this spell is an impairment placed upon an opponent that will grant health to the templar and allies when the opponent takes a certain amount of damage.',216,15,315,0,0,0,0,1,'Your Divine Fate was successful on %t!','Your Divine Fate fades.','',1,0,'',0,'You cast Divine Fate on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671320,1384377907,0,1),
(2000412,3407524969,0,0,'Divine Guidance','Greatly improves the maximum health of the cleric''s group and grants them a large heal when they take damage for a short duration.  If the caster enters PVP combat, the duration of this effect will be reduced.',800,65535,314,0,0,0,0,2,'Your Divine Guidance was successful on %t!','Your Divine Guidance fades.','',1,1,'',3353,'You cast Divine Guidance on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671320,1384377908,0,1),
(2000413,722321995,0,0,'Divine Recovery','Greatly increases casting speed and reduces recovery timers associated with spell and combat arts for the Arbiter''s group for a short duration.',635,65535,65535,0,0,0,0,2,'Your Divine Recovery was successful on %t!','Your Divine Recovery fades.','',1,0,'Spells/AA/DivineRecovery.lua',3354,'You cast Divine Recovery on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671320,1384377913,0,1),
(2000414,978216359,0,1,'Don''t Kill the Messenger','The Harbinger''s group gains critical percent chances for melee, ranged, spells, and heals.',605,65535,65535,0,0,0,1,2,'Your Don''t Kill the Messenger was successful on %t!','Your Don''t Kill the Messenger fades.','',1,1,'Spells/AA/DontKilltheMessenger.lua',3440,'You cast Don''t Kill the Messenger on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671324,1384377912,0,1),
(2000415,3127012535,0,0,'Dooming Depths','',246,65535,315,0,0,0,0,1,'Your Dooming Depths was successful on %t!','Your Dooming Depths fades.','',1,0,'',0,'You cast Dooming Depths on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671326,1384378114,0,1),
(2000416,1510081686,0,0,'Draconic Defiance','',368,65535,315,0,0,0,0,0,'Your Draconic Defiance was successful on %t!','Your Draconic Defiance fades.','',1,0,'',0,'You cast Draconic Defiance on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671326,1335553147,0,1),
(2000417,1063864708,0,0,'Draconic Recovery','Clears most of the mage''s reuses.',755,65535,317,0,0,0,0,1,'Your Draconic Recovery was successful on %t!','Your Draconic Recovery fades.','',1,0,'',3713,'You cast Draconic Recovery on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671326,1384377911,0,1),
(2000418,71401090,0,0,'E''ci''s Frozen Wrath','A replacement for Ice Comet. Deals massive cold damage to the target and enemies near that enemy. All affected targets will be knocked down and have their vision blurred.',252,29,313,0,0,0,0,1,'Your E''ci''s Frozen Wrath was successful on %t!','Your E''ci''s Frozen Wrath fades.','',1,0,'',3047,'You cast E''ci''s Frozen Wrath on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671326,1384377840,0,1),
(2000419,184851097,0,0,'Echoing Howl','Inflicts minor damage to the targets around the dirge. For each target struck, the dirge gains increased damage for a single strike. This effect increments up to 24 times. Each strike steals a minor amount of health. Higher ranks lower the base reuse time.',798,65535,313,0,0,0,0,1,'Your Echoing Howl was successful on %t!','Your Echoing Howl fades.','',1,0,'',3260,'You cast Echoing Howl on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671330,1384377911,0,1),
(2000420,4225720243,0,0,'Eerie Gaze','',160,65535,315,0,0,0,0,1,'Your Eerie Gaze was successful on %t!','Your Eerie Gaze fades.','',1,0,'',0,'You cast Eerie Gaze on %t.',0,0,0,0,0,0,2,4,0,0,0,0,0,0,0,1,0,0,0,'Unset',1613332187,1384378116,0,1),
(2000421,1261139855,0,0,'Electrical Storm','',511,65535,313,0,0,0,0,1,'Your Electrical Storm was successful on %t!','Your Electrical Storm fades.','',1,0,'',0,'You cast Electrical Storm on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671332,1384378116,0,1),
(2000422,1508150292,0,0,'Elemental Barrier','Summons an elemental barrier which reduces incoming damage and prevents certain movement impairing effects on all allies within the barrier.',37,65535,314,0,0,0,0,0,'Your Elemental Barrier was successful on %t!','Your Elemental Barrier fades.','',1,0,'',3177,'You cast Elemental Barrier on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671332,1384377911,0,1),
(2000423,2783083636,0,0,'Elemental Blast','The conjuror lends their minion elemental energies, allowing it to bombard its target with repeated blows.',510,65535,315,0,0,0,0,3,'Your Elemental Blast was successful on %t!','Your Elemental Blast fades.','',1,0,'',3176,'You cast Elemental Blast on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671332,1384377905,0,1),
(2000424,2126829397,0,0,'Elemental Toxicity','The summoner surrounds their allies with elemental and noxious energy, granting them all additional damage to the target encounter with each attack. This ability can trigger multiple times when Area of Effect spells are cast.',481,65535,314,0,0,0,0,1,'Your Elemental Toxicity was successful on %t!','Your Elemental Toxicity fades.','',1,0,'',3170,'You cast Elemental Toxicity on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671334,1384377909,0,1),
(2000425,3880266414,0,1,'Empathic Aura','Increases the healing amount of the Empathic''s group.',646,65535,65535,0,0,0,1,2,'Your Empathic Aura was successful on %t!','Your Empathic Aura fades.','',1,0,'Spells/AA/EmpathicAura.lua',3096,'You cast Empathic Aura on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671334,1384377830,0,1),
(2000426,2032975629,0,1,'Empathic Breeze','Non-fighter group members near the Empathic accrue less hate in combat.',583,65535,65535,0,0,0,1,2,'Your Empathic Breeze was successful on %t!','Your Empathic Breeze fades.','',1,0,'Spells/AA/EmpathicBreeze.lua',3097,'You cast Empathic Breeze on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671334,1384377907,0,1),
(2000427,418276431,0,1,'Enchanted Vigor','Enchanted Vigor increases the target''s potency and Damage Per Second by a portion of the Enchanter''s intelligence while doubling the power costs of the target''s abilities.',917,65535,317,0,0,0,1,1,'Your Enchanted Vigor was successful on %t!','Your Enchanted Vigor fades.','',1,0,'',638,'You cast Enchanted Vigor on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671336,1384377903,0,1),
(2000428,3138078362,0,0,'Enduring Hide','',358,65535,315,0,0,0,0,0,'Your Enduring Hide was successful on %t!','Your Enduring Hide fades.','',1,0,'',0,'You cast Enduring Hide on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671336,1335475238,0,1),
(2000429,3090046229,0,1,'Energizing Aura','The illusionist will radiate Crit Bonus to group members within 20 meters of them.',266,65535,314,0,0,0,1,1,'Your Energizing Aura was successful on %t!','Your Energizing Aura fades.','',1,0,'',3218,'You cast Energizing Aura on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671336,1384377900,0,1),
(2000430,2602290947,0,0,'Energizing Ballad','The troubador sings an Energizing Ballad for their ally, restoring power over time. This spell can be toggled off early.',174,65535,315,0,0,0,0,1,'Your Energizing Ballad was successful on %t!','Your Energizing Ballad fades.','',1,0,'',3453,'You cast Energizing Ballad on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671336,1384377915,0,1),
(2000431,2179029918,0,0,'Energy Clash','The summoner sends pure mana to their pet, who then inflicts damage and reduces or increases its threat position to the target depending on if the pet is a fighter pet or not.',908,65535,312,0,0,0,0,3,'Your Energy Clash was successful on %t!','Your Energy Clash fades.','',1,0,'',364,'You cast Energy Clash on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671336,1384377908,0,1),
(2000432,2952718217,0,0,'Energy Vortex','While active, Energy Vortex increases the lethality of all of the group''s damage spells and reduces the effects of all of the fury''s healing spells.',20,65535,317,0,0,0,0,2,'Your Energy Vortex was successful on %t!','Your Energy Vortex fades.','',1,1,'',3377,'You cast Energy Vortex on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671336,1384377909,0,1),
(2000433,448972997,0,0,'Energy Zap','',630,65535,315,0,0,0,0,1,'Your Energy Zap was successful on %t!','Your Energy Zap fades.','',1,0,'',0,'You cast Energy Zap on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671336,1384378114,0,1),
(2000434,134863388,0,0,'Engulfing Maw','',375,65535,315,0,0,0,0,0,'Your Engulfing Maw was successful on %t!','Your Engulfing Maw fades.','',1,0,'',0,'You cast Engulfing Maw on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671336,1335553141,0,1),
(2000435,2975127909,0,0,'Enraging Pheromone','',272,65535,315,0,0,0,0,1,'Your Enraging Pheromone was successful on %t!','Your Enraging Pheromone fades.','',1,0,'',0,'You cast Enraging Pheromone on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671336,1384378116,0,1),
(2000436,3067693892,0,0,'Equilibrium','Equilibrium protects the cleric''s non-fighter group members from death for a short duration.',796,65535,314,0,0,0,0,2,'Your Equilibrium was successful on %t!','Your Equilibrium fades.','',1,0,'',2886,'You cast Equilibrium on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671338,1384377905,0,1),
(2000437,1300844891,0,0,'Erupting Earth','',353,65535,315,0,0,0,0,0,'Your Erupting Earth was successful on %t!','Your Erupting Earth fades.','',1,0,'',0,'You cast Erupting Earth on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671338,1335552583,0,1),
(2000438,157054500,0,0,'Essence Siphon','A large direct damage spell which drains the target''s spell and combat art damage and also the target''s strength and intelligence.  They are then returned to the group as a short term buff.',852,65535,315,0,0,0,0,1,'Your Essence Siphon was successful on %t!','Your Essence Siphon fades.','',1,0,'',1554,'You cast Essence Siphon on %t.',0,0,0,0,0,0,4,0,1,0,0,0,0,0,0,1,1,0,0,'Unset',1384671340,1384377914,0,1),
(2000439,4114612463,0,0,'Eternal Damnation','A replacement for Netherealm. Creates a powerful negative energy field around the warlock that continously radiates. Anyone affected by the radiation will be dealt additional poison damage when struck with noxious spells, and targets near will also be damaged. This spell has a recurrent power cost.',20,65535,313,0,0,0,0,1,'Your Eternal Damnation was successful on %t!','Your Eternal Damnation fades.','',1,0,'',0,'You cast Eternal Damnation on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671340,1384377909,0,1),
(2000440,3865930719,0,0,'Ether Balance','The group''s attacks will have a chance to restore a very small amount of power to the group and inflict damage upon the target enemy. All damage and power restoration is attributed to the coercer. Applies 10 triggers when cast and the triggers are shared amongst the group. Higher ranks lower the base reuse time.',869,65535,314,0,0,0,0,2,'Your Ether Balance was successful on %t!','Your Ether Balance fades.','',1,1,'',3220,'You cast Ether Balance on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671340,1384377911,0,1),
(2000441,1539020526,0,0,'Ethernere Chains','The sorcerer summons shackles from the Ethernere to bind their target''s movement and prevent them from attacking. The chains deal direct damage and reduce the sorcerer''s threat position.',828,65535,315,0,0,0,0,1,'Your Ethernere Chains was successful on %t!','Your Ethernere Chains fades.','',1,0,'',196,'You cast Ethernere Chains on %t.',0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671340,1384377905,0,1),
(2000442,1787167736,0,1,'Eulogy of the Fallen','Whenever the raid strikes a death blow, the caster''s group will gain increased Multi-Attack Chance and weapon damage bonus. This also has a very small chance to increment when attacking. This increments up to 25 times. It is dispelled when any group member dies. Does not persist through zoning.',924,65535,314,0,0,0,1,8,'Your Eulogy of the Fallen was successful on %t!','Your Eulogy of the Fallen fades.','',1,0,'',3262,'You cast Eulogy of the Fallen on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671340,1384377909,0,1),
(2000443,3175165391,0,1,'Exorcise','The Exorcist channels their divine magic into pulsing divine damage, hitting up to 4 targets within 7.5 meters of the cleric. The cleric must be hated by at least one target within the 7.5 meter radius for the damage to trigger. While Exorcise is active, the cleric''s heals are greatly reduced. This spell can be toggled off.',651,65535,65535,0,0,0,1,0,'Your Exorcise was successful on %t!','Your Exorcise fades.','',1,0,'',3355,'You cast Exorcise on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671340,1384377910,0,1),
(2000444,2450377507,0,0,'Exuberant Encore','Restores health to the target when they receive damage. If the target is below 50% or falls below 50% health while this spell is active, they will gain damage reduction.',219,65535,316,0,0,0,0,1,'Your Exuberant Encore was successful on %t!','Your Exuberant Encore fades.','',1,0,'',3261,'You cast Exuberant Encore on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671342,1384377839,0,1),
(2000445,483308347,0,0,'Face of Horror','',268,65535,316,0,0,0,0,0,'Your Face of Horror was successful on %t!','Your Face of Horror fades.','',1,0,'',0,'You cast Face of Horror on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671342,1335477721,0,1),
(2000446,3912465385,0,1,'Facile Maneuvers','',243,65535,313,0,0,0,1,1,'Your Facile Maneuvers was successful on %t!','Your Facile Maneuvers fades.','',1,0,'',0,'You cast Facile Maneuvers on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671342,1384378116,0,1),
(2000447,1621159444,0,0,'Faith','Greatly reduces incoming damage to the paladin and reflects that damage on their attacker. Higher ranks of this ability lower the reuse speed.',863,65535,317,0,0,0,0,1,'Your Faith was successful on %t!','Your Faith fades.','',1,0,'',3210,'You cast Faith on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671342,1384377838,0,1),
(2000448,894342481,0,0,'Faith of the Fallen','Faith of the Fallen heals the target to full health and applies a ward equal to the amount healed.',873,65535,316,0,0,0,0,1,'Your Faith of the Fallen was successful on %t!','Your Faith of the Fallen fades.','',1,0,'',2889,'You cast Faith of the Fallen on %t.',0,1,1,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671342,1384377838,0,1),
(2000449,2579406986,0,0,'Fanatic''s Inspiration','A replacement for Fanatical Healing. Replenishes a large amount of target ally''s health and applies a short duration reactive heal.',468,12,316,0,0,0,0,1,'Your Fanatic''s Inspiration was successful on %t!','Your Fanatic''s Inspiration fades.','',1,0,'',3052,'You cast Fanatic''s Inspiration on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671343,1384377901,0,1),
(2000450,2533417967,0,0,'Fanatic''s Protection','Improves the amount of healing received by the target. This spell starts at five increments and decreases each time the target takes damage. Higher ranks of this ability reduce the base reuse time.',16,65535,316,0,0,0,0,1,'Your Fanatic''s Protection was successful on %t!','Your Fanatic''s Protection fades.','',1,0,'',3238,'You cast Fanatic''s Protection on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671343,1384377840,0,1),
(2000451,4132876975,0,1,'Fearless Morale','The Knight gains immunity to fear, and all group members gain 2% more to their melee damage, spell damage, health replenishment and wards.',268,65535,65535,0,0,0,1,2,'Your Fearless Morale was successful on %t!','Your Fearless Morale fades.','',1,0,'Spells/AA/FearlessMorale.lua',3312,'You cast Fearless Morale on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671347,1384377897,0,1),
(2000452,2624473755,0,0,'Fecund Wound','',369,65535,315,0,0,0,0,1,'Your Fecund Wound was successful on %t!','Your Fecund Wound fades.','',1,0,'',0,'You cast Fecund Wound on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671348,1384377832,0,1),
(2000453,1524648887,0,0,'Feral Speed','',334,65535,315,0,0,0,0,1,'Your Feral Speed was successful on %t!','Your Feral Speed fades.','',1,0,'',0,'You cast Feral Speed on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671348,1384378116,0,1),
(2000454,1958396921,0,0,'Fiendish Bite','',374,65535,315,0,0,0,0,1,'Your Fiendish Bite was successful on %t!','Your Fiendish Bite fades.','',1,0,'',0,'You cast Fiendish Bite on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671350,1384378116,0,1),
(2000455,2636379445,0,0,'Fiery Blast','The wizard stores up extra energy and then releases it in a single fiery blast at their target. The damage done by this spell is based on the amount of damage the wizard deals while Fiery Blast is active.',930,65535,315,0,0,0,0,0,'Your Fiery Blast was successful on %t!','Your Fiery Blast fades.','',1,0,'',3135,'You cast Fiery Blast on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671351,1384377836,0,1),
(2000456,3187759101,0,0,'Fiery Breath','',190,65535,315,0,0,0,0,0,'Your Fiery Breath was successful on %t!','Your Fiery Breath fades.','',1,0,'',0,'You cast Fiery Breath on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671351,1335553144,0,1),
(2000457,50334556,0,0,'Flapping Distraction','',476,65535,315,0,0,0,0,1,'Your Flapping Distraction was successful on %t!','Your Flapping Distraction fades.','',1,0,'',0,'You cast Flapping Distraction on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671355,1384378116,0,1),
(2000458,323683672,0,1,'Focus of Restoration','Increases the potency and Crit Bonus of the channeler''s heal spells. Their damage abilities have their Dissonance cost increased and damage lowered. This is the channeler''s heal stance.',155,65535,317,0,0,0,1,1,'Your Focus of Restoration was successful on %t!','Your Focus of Restoration fades.','',1,0,'',0,'You cast Focus of Restoration on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671357,1384377904,0,1),
(2000459,2374309295,0,0,'Focused Casting','Improves the caster''s critical damage and chance for a short duration.',300,65535,317,0,0,0,0,0,'Your Focused Casting was successful on %t!','Your Focused Casting fades.','',1,0,'Spells/AA/FocusedCasting.lua',3139,'You cast Focused Casting on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671357,1384377831,0,1),
(2000460,1765486081,0,1,'Focused Prayers','Focused Prayers allows the templar to heal and critical for more but hostile spells will take longer to cast and damage based spells will have reduced effectiveness.',871,65535,65535,0,0,0,1,0,'Your Focused Prayers was successful on %t!','Your Focused Prayers fades.','',1,1,'',1569,'You cast Focused Prayers on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671357,1384377907,0,1),
(2000461,3105684527,0,1,'Force of Nature','Whenever the target is in combat, they will be healed over time. This applies once per second.',876,65535,316,0,0,0,1,1,'Your Force of Nature was successful on %t!','Your Force of Nature fades.','',1,0,'',3245,'You cast Force of Nature on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671357,1384377901,0,1),
(2000462,2899673435,0,0,'Foreboding Keen','',172,65535,315,0,0,0,0,1,'Your Foreboding Keen was successful on %t!','Your Foreboding Keen fades.','',1,0,'',0,'You cast Foreboding Keen on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671359,1384378114,0,1),
(2000463,674378939,0,1,'Fortissimo','Increases your group''s damage per second.',670,65535,65535,0,0,0,1,2,'Your Fortissimo was successful on %t!','Your Fortissimo fades.','',1,1,'Spells/AA/Fortissimo.lua',3442,'You cast Fortissimo on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671361,1384377833,0,1),
(2000464,525062927,0,0,'Freehand Sorcery','The Sage''s next hostile spell will have its damage increased.',654,65535,65535,0,0,0,0,0,'Your Freehand Sorcery was successful on %t!','Your Freehand Sorcery fades.','',1,1,'',3125,'You cast Freehand Sorcery on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671361,1384377901,0,1),
(2000465,3576812,0,0,'Frenzied Claws','',335,65535,315,0,0,0,0,0,'Your Frenzied Claws was successful on %t!','Your Frenzied Claws fades.','',1,0,'',0,'You cast Frenzied Claws on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671361,1335553147,0,1),
(2000466,3799765082,0,0,'Frenzied Sweep','',11,65535,65535,0,0,0,0,1,'Your Frenzied Sweep was successful on %t!','Your Frenzied Sweep fades.','',1,0,'',0,'You cast Frenzied Sweep on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671361,1384367278,0,1),
(2000467,1666855172,0,0,'Frenzy','',351,65535,315,1433335062,0,0,0,1,'Your Frenzy was successful on %t!','Your Frenzy fades.','',1,0,'Spells/Traditions/Frenzy.lua',0,'You cast Frenzy on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671361,1384378116,0,1),
(2000468,1887734131,0,0,'Frozen Detonation','An alternate ability for Frozen Rain. Frozen Detonation inflicts cold damage to the targets surrounding the primary target. The damage is substantially higher with more charges of Frozen Solid.',902,65535,313,0,0,0,0,1,'Your Frozen Detonation was successful on %t!','Your Frozen Detonation fades.','',1,0,'',3222,'You cast Frozen Detonation on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671363,1384377900,0,1),
(2000469,3281761274,0,0,'Frozen Rain','Passively allows the wizard to build charges of Frozen Solid when using damage spells. The trigger chance on Frozen Solid is 33% at Rank 1, 66% at Rank 2 and 100% at Rank 3. Frozen Solid increments at 3 per attack target and maxes at 150. Frozen Rain inflicts cold damage to the wizard''s target. The damage is substantially higher with more charges of Frozen Solid.',256,65535,315,0,0,0,0,1,'Your Frozen Rain was successful on %t!','Your Frozen Rain fades.','',1,0,'',0,'You cast Frozen Rain on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671363,1384377913,0,1),
(2000470,3773479149,0,0,'Gather','',55,65535,65535,0,0,0,0,1,'Your Gather was successful on %t!','Your Gather fades.','',1,0,'',0,'You cast Gather on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671367,1384377850,0,1),
(2000471,2521022191,0,0,'Gaze of Writhing Agony','',268,65535,315,0,0,0,0,1,'Your Gaze of Writhing Agony was successful on %t!','Your Gaze of Writhing Agony fades.','',1,0,'',0,'You cast Gaze of Writhing Agony on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671367,1384378116,0,1),
(2000472,1091998488,0,1,'Glacial Assault','The warden will gain additional weapon damage and critically attack for more. In addition, melee attacks will do additional cold damage.  As a penalty, the warden will have heal for less.',888,65535,65535,0,0,0,1,0,'Your Glacial Assault was successful on %t!','Your Glacial Assault fades.','',1,1,'',1582,'You cast Glacial Assault on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671369,1384377913,0,1),
(2000473,1967956717,0,0,'Goblin Trickery','This attack causes loss of defense.',379,65535,316,0,0,0,0,1,'Your Goblin Trickery was successful on %t!','Your Goblin Trickery fades.','',1,1,'Spells/Traditions/GoblinTrickery.lua',0,'You cast Goblin Trickery on %t.',0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671371,1384378116,0,0),
(2000474,3055672929,0,0,'Golem''s Stomp','',52,65535,315,0,0,0,0,1,'Your Golem''s Stomp was successful on %t!','Your Golem''s Stomp fades.','',1,0,'',0,'You cast Golem''s Stomp on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671371,1384378116,0,1),
(2000475,2272324545,0,1,'Goop Spray','',247,65535,315,0,0,0,1,1,'Your Goop Spray was successful on %t!','Your Goop Spray fades.','',1,0,'',0,'You cast Goop Spray on %t.',0,0,0,0,1,0,3,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671371,1384378114,0,1),
(2000476,4192793818,0,0,'Grave Gaze','This attack causes a short stun.',160,65535,316,0,0,0,0,1,'Your Grave Gaze was successful on %t!','Your Grave Gaze fades.','',1,0,'Spells/Traditions/GraveGaze.lua',517,'You cast Grave Gaze on %t.',0,0,0,0,0,0,2,4,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671373,1384378116,0,1),
(2000477,1561678987,0,1,'Graverot','Applies an incremental damage over time effect when the necromancer casts spells. This ability can increment up to 5 times.',899,65535,317,0,0,0,1,0,'Your Graverot was successful on %t!','Your Graverot fades.','',1,1,'',3231,'You cast Graverot on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671375,1384377838,0,1),
(2000478,529112605,0,0,'Group Nuke','',3,65535,65535,0,0,0,0,1,'Your Group Nuke was successful on %t!','Your Group Nuke fades.','',1,0,'',0,'You cast Group Nuke on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671379,1384377887,0,1),
(2000479,3045855771,0,0,'Hail Storm','The wizard''s target is enveloped by a storm of ice that does damage over time. On termination, the target will do additional ice damage to nearby targets.',902,65535,315,0,0,0,0,1,'Your Hail Storm was successful on %t!','Your Hail Storm fades.','',1,0,'',1585,'You cast Hail Storm on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671379,1384377910,0,1),
(2000480,2115680463,0,0,'Hold','',205,65535,315,0,0,0,0,1,'Your Hangman''s Noose was successful on %t!','Your Hangman''s Noose fades.','',1,1,'',0,'You cast Hangman''s Noose on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671379,1384378116,0,1),
(2000481,1856747432,0,1,'Harmonization','While active, any persistent spells that do not directly heal or cause damage have their durations increased. Any persistent spells that heal or cause damage have their durations reduced, allowing their effects to occur faster.  This does not apply to spells which have both beneficial and hostile components.',325,65535,314,0,0,0,1,2,'Your Harmonization was successful on %t!','Your Harmonization fades.','',1,0,'',3454,'You cast Harmonization on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671381,1384377913,0,1),
(2000482,2719802600,0,0,'Hateful Respite','Hateful Respite allows you to absorb the next large incoming attack.  Once the attack is absorbed, the shadowknight does additional damage to targets in the area and adds additional hate to them.',260,65535,314,0,0,0,0,0,'Your Hateful Respite was successful on %t!','Your Hateful Respite fades.','',1,0,'',3326,'You cast Hateful Respite on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671383,1384377910,0,1),
(2000483,952436266,0,0,'Heal','',65535,65535,65535,2011726342,0,0,0,1,'Your Heal was successful on %t!','Your Heal fades.','',1,0,'',0,'You cast Heal on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671385,1384291124,0,1),
(2000484,1344697275,0,0,'Heat Blast','',480,65535,315,0,0,0,0,1,'Your Heat Blast was successful on %t!','Your Heat Blast fades.','',1,0,'',0,'You cast Heat Blast on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671388,1384378116,0,1),
(2000485,938230571,0,0,'Hellfire','Sends multiple fireballs to the target. This spell hits once per increment of Incineration on the target up to a maximum of three strikes. If it strikes a target with three increments of Incineration, the wizard''s ability modifier is drastically increased.',852,65535,315,0,0,0,0,1,'Your Hellfire was successful on %t!','Your Hellfire fades.','',1,0,'',3223,'You cast Hellfire on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671388,1384377897,0,1),
(2000486,3463800201,0,0,'Heretic''s Destruction','The paladin stirs their group to combat, granting an increase to the base and critical amounts of their abilities.  In PVP combat, this will also make the caster''s group immune to taunt effects.',929,65535,314,0,0,0,0,8,'Your Heretic''s Destruction was successful on %t!','Your Heretic''s Destruction fades.','',0,1,'',3321,'You cast Heretic''s Destruction on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671390,1384377902,0,1),
(2000487,456147367,0,1,'Heroic Storytelling','The Minstrel''s Heroic Storytelling grants the group a chance to resist stifle effects. While active, Heroic Storytelling reduces the amount of noxious and arcane damage the group receives.',159,65535,314,0,0,0,1,2,'Your Heroic Storytelling was successful on %t!','Your Heroic Storytelling fades.','',1,1,'',3443,'You cast Heroic Storytelling on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671391,1384377907,0,1),
(2000488,1659023233,0,0,'Hexation','Increases the resistibility of your opponent''s spells. Any trigger chances on their abilities are also reduced. Once the spell wears off the target will be immune to further Hexation for a short duration.',244,65535,315,0,0,0,0,1,'Your Hexation was successful on %t!','Your Hexation fades.','',1,0,'',3424,'You cast Hexation on %t.',0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671391,1384377914,0,1),
(2000489,3120260801,0,0,'Holy Shield','Holy Shield grants an ally immunity to hostile area effect abilities that do not directly target them for a short duration.',588,65535,65535,0,0,0,0,1,'Your Holy Shield was successful on %t!','Your Holy Shield fades.','',1,0,'Spells/AA/HolyShield.lua',3357,'You cast Holy Shield on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671396,1384377905,0,1),
(2000490,1112122823,0,0,'Howling with the Pack','Howling with the Pack makes the druid immune to certain control effects and heals the druid''s group every time the druid deals direct damage. The druid takes less damage while Howling with the Pack is active.',880,65535,314,0,0,0,0,0,'Your Howling with the Pack was successful on %t!','Your Howling with the Pack fades.','',1,0,'',2892,'You cast Howling with the Pack on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671399,1384377916,0,1),
(2000491,2188630368,0,1,'Hydromancer','Summons an inhabitant of the Plane of Water to aid the conjuror''s group. This pet is specialized in the recovery of health with an assortment of temporary beneficial group enhancements as you increase in level, including damage interception, group wards, and group area effect avoidance.',198,65535,317,0,0,0,1,0,'Your Hydromancer was successful on %t!','Your Hydromancer fades.','',1,0,'',3172,'You cast Hydromancer on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671399,1384377833,0,1),
(2000492,350567595,0,0,'Illusionary Instigation','Illusionary Instigation increases the target''s strikethrough, hate gain and taunt amounts for a short duration.',58,65535,316,0,0,0,0,1,'Your Illusionary Instigation was successful on %t!','Your Illusionary Instigation fades.','',1,0,'',3112,'You cast Illusionary Instigation on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671406,1384377899,0,1),
(2000493,81545277,0,0,'Illusionary Platemail','Disables Energizing Aura to increase the health and mitigation of scout and mage group members. Additionally, all mages and scouts will automatically reduce their threat by a percentage of the damage they inflict.',153,65535,314,0,0,0,0,2,'Your Illusionary Platemail was successful on %t!','Your Illusionary Platemail fades.','',1,0,'',3218,'You cast Illusionary Platemail on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671406,1384377908,0,1),
(2000494,1639904798,0,1,'Illusionary Vigor','Whenever the raid strikes a death blow, the caster''s group will gain increased Potency. This also has a very small chance to increment when attacking. This increments up to 25 times. It is dispelled when any group member dies. Does not persist through zoning.',128,65535,314,0,0,0,1,8,'Your Illusionary Vigor was successful on %t!','Your Illusionary Vigor fades.','',1,1,'',3217,'You cast Illusionary Vigor on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671406,1384377838,0,1),
(2000495,296364590,0,1,'Illusory Arm','Illusory Arm increases a single ally''s Damage Per Second.',2,65535,316,0,0,0,1,1,'Your Illusory Arm was successful on %t!','Your Illusory Arm fades.','',1,1,'',3113,'You cast Illusory Arm on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671406,1384377830,0,1),
(2000496,3513255830,0,1,'Illusory Barrier','A replacement for Spellshield. This barrier reduces damage and reflects damage back upon the target.',762,65535,316,0,0,0,1,1,'Your Illusory Barrier was successful on %t!','Your Illusory Barrier fades.','',1,0,'',3049,'You cast Illusory Barrier on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671406,1384377902,0,1),
(2000497,1490496104,0,0,'Immaculate Revival','Immaculate Revival resurrects the cleric and their grouped allies. This spell can be cast while the cleric is dead or alive. The reuse will be used even if nobody is resurrected.',7,65535,314,0,0,0,0,1,'Your Immaculate Revival was successful on %t!','Your Immaculate Revival fades.','',1,0,'',2887,'You cast Immaculate Revival on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671406,1384377908,0,1),
(2000498,615556056,0,1,'Immunities','Nearby group allies gain a chance to outright prevent hostile spells from landing on them.',587,65535,65535,0,0,0,1,2,'Your Immunities was successful on %t!','Your Immunities fades.','',1,1,'',3404,'You cast Immunities on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671408,1384377833,0,1),
(2000499,3048148921,0,0,'Immunization','For a short duration, target ally is immune to control effects.  If the caster enters PVP combat, the duration of this effect will be reduced.',74,65535,316,0,0,0,0,1,'Your Immunization was successful on %t!','Your Immunization fades.','',1,0,'',3416,'You cast Immunization on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671408,1384377910,0,1),
(2000500,1519575616,0,1,'Incineration','Applies an incremental damage over time effect when the wizard uses their single target heat spells. This ability can increment up to 3 times.',276,65535,317,0,0,0,1,1,'Your Incineration was successful on %t!','Your Incineration fades.','',1,0,'',0,'You cast Incineration on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671411,1384377914,0,1),
(2000501,4212272037,0,1,'Infusion','Every time the Stormcaller casts a beneficial spell on an ally, Infusion deals magic damage to a nearby enemy. This costs a small amount of power every time it triggers.',550,65535,313,0,0,0,1,1,'Your Infusion was successful on %t!','Your Infusion fades.','',1,0,'',3381,'You cast Infusion on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671411,1384377833,0,1),
(2000502,3310179592,0,0,'Intellectual Remedy','Intellectual Remedy is a short duration buff which improves the healing power of the coercer''s group members.',913,65535,314,0,0,0,0,2,'Your Intellectual Remedy was successful on %t!','Your Intellectual Remedy fades.','',1,1,'',1591,'You cast Intellectual Remedy on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671416,1384377836,0,1),
(2000503,2133539363,0,0,'Intimidating Growl','',172,65535,315,0,0,0,0,0,'Your Intimidating Growl was successful on %t!','Your Intimidating Growl fades.','',1,0,'Spells/Traditions/IntimidatingGrowl.lua',1012,'You cast Intimidating Growl on %t.',0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671416,1384378116,0,1),
(2000504,863136663,0,0,'Lashing Sting','',240,65535,315,0,0,0,0,0,'Your Lashing Sting was successful on %t!','Your Lashing Sting fades.','',1,0,'',0,'You cast Lashing Sting on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671425,1335552581,0,1),
(2000505,465180685,0,0,'Lashing Tail','',337,65535,315,0,0,0,0,1,'Your Lashing Tail was successful on %t!','Your Lashing Tail fades.','',1,0,'',0,'You cast Lashing Tail on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671425,1384378114,0,1),
(2000506,3932148994,0,0,'Lashing Tongue','',308,65535,315,0,0,0,0,1,'Your Lashing Tongue was successful on %t!','Your Lashing Tongue fades.','',1,1,'Spells/Traditions/LashingTongue.lua',1022,'You cast Lashing Tongue on %t.',0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1384671425,1384378116,0,0),
(2000507,3032971865,0,0,'Leaping Claws','',353,65535,315,0,0,0,0,1,'Your Leaping Claws was successful on %t!','Your Leaping Claws fades.','',1,0,'',0,'You cast Leaping Claws on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671426,1384378116,0,1),
(2000508,1665799777,0,0,'Leg Bite','The spirit pet''s next attack will interrupt the target, and cause piercing damage over-time.',628,65535,65535,0,0,0,0,3,'Your Leg Bite was successful on %t!','Your Leg Bite fades.','',0,1,'',3405,'You cast Leg Bite on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671426,1384377832,0,1),
(2000509,3249434839,0,0,'Legionnaire''s Conviction','Absorbs magical damage inflicted upon the Legionnaire and reflects a portion of that damage back upon their attacker.',629,65535,317,0,0,0,0,0,'Your Legionnaire''s Conviction was successful on %t!','Your Legionnaire''s Conviction fades.','',1,1,'',3316,'You cast Legionnaire''s Conviction on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671426,1384377912,0,1),
(2000510,1607132532,0,0,'Legionnaire''s Smite','The Legionnaire can quickly smite enemies with magic damage.',696,65535,65535,0,0,0,0,1,'Your Legionnaire''s Smite was successful on %t!','Your Legionnaire''s Smite fades.','',1,1,'Spells/AA/LegionnairesSmite.lua',3317,'You cast Legionnaire''s Smite on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671426,1384377906,0,1),
(2000511,3230389638,0,0,'Lifeburn','While this effect is active, you sacrifice your own health to deal massive disease damage to your target. This spell cannot be outright resisted.',3,65535,315,0,0,0,0,1,'Your Lifeburn was successful on %t!','Your Lifeburn fades.','',1,0,'',3180,'You cast Lifeburn on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671428,1384377908,0,1),
(2000512,2568041956,0,0,'Lightning Arc','',630,65535,315,0,0,0,0,1,'Your Lightning Arc was successful on %t!','Your Lightning Arc fades.','',1,0,'',0,'You cast Lightning Arc on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671429,1384378116,0,1),
(2000513,1126794325,0,0,'Lightning Siphon','Inflicts magic damage upon the target and heals the player in the raid with the lowest health percentage.',161,65535,315,0,0,0,0,1,'Your Lightning Siphon was successful on %t!','Your Lightning Siphon fades.','',1,0,'',3247,'You cast Lightning Siphon on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671429,1384377908,0,1),
(2000514,2767180689,0,1,'Luck of the Dirge','Increases the trigger chance of spells and combat arts of your group. The amount increased is based on the original trigger chance.  \nFor example, a 20% bonus that affects a 10% trigger chance will add an additional 2% trigger chance bonus.',23,65535,314,0,0,0,1,2,'Your Luck of the Dirge was successful on %t!','Your Luck of the Dirge fades.','',1,0,'',3436,'You cast Luck of the Dirge on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671432,1384377830,0,1),
(2000515,1261017334,0,0,'Mad Pummeling','',11,65535,65535,0,0,0,0,1,'Your Mad Pummeling was successful on %t!','Your Mad Pummeling fades.','',1,0,'',0,'You cast Mad Pummeling on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671435,1384367278,0,1),
(2000516,3377995677,0,0,'Magic Barrier','',11,65535,65535,0,0,0,0,1,'Your Magic Barrier was successful on %t!','Your Magic Barrier fades.','',1,0,'',0,'You cast Magic Barrier on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671435,1384378114,0,1),
(2000517,4181278196,0,0,'Magic Leash','The encounter that the pet has targeted has their hate decreased towards the pet if the pet is not a fighter. If the pet is a fighter, hate is increased instead and has a chance to increase hate position as well.',610,65535,65535,0,0,0,0,3,'Your Magic Leash was successful on %t!','Your Magic Leash fades.','',1,0,'',3146,'You cast Magic Leash on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671435,1384377833,0,1),
(2000518,2466550423,0,0,'Magmatic Displeasure','A bane of those who dwell in the cold Magmatic Displeasure deals a large amount of Cold damage to a single enemy.',273,65535,315,0,0,0,0,1,'Your Magmatic Displeasure was successful on %t!','Your Magmatic Displeasure fades.','',1,0,'',0,'You cast Magmatic Displeasure on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671437,1384377856,0,1),
(2000519,1315753487,0,0,'Magnetic Note','For a short duration, your ally''s current target is forced to target that ally.',704,65535,316,0,0,0,0,1,'Your Magnetic Note was successful on %t!','Your Magnetic Note fades.','',1,0,'',3437,'You cast Magnetic Note on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671437,1384377899,0,1),
(2000520,1361975139,0,0,'Majestic Shriek','',365,65535,315,0,0,0,0,0,'Your Majestic Shriek was successful on %t!','Your Majestic Shriek fades.','',1,0,'',0,'You cast Majestic Shriek on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671437,1335552524,0,1),
(2000521,142489526,0,0,'Maladroit','Maladroit reduces the target encounter''s chance to double attack.',204,65535,312,0,0,0,0,1,'Your Maladroit was successful on %t!','Your Maladroit fades.','',1,0,'',3361,'You cast Maladroit on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671437,1384377830,0,1),
(2000522,4163962041,0,0,'Malicious Spirits','The defiler summons tormented spirits that prevent the target encounter from striking multiple targets with their auto attacks along with reducing their damage.',930,65535,312,0,0,0,0,1,'Your Malicious Spirits was successful on %t!','Your Malicious Spirits fades.','',1,0,'',3425,'You cast Malicious Spirits on %t.',0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671439,1384377902,0,1),
(2000523,780167784,0,0,'Malignant Bite','',258,65535,315,0,0,0,0,0,'Your Malignant Bite was successful on %t!','Your Malignant Bite fades.','',1,0,'',0,'You cast Malignant Bite on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671439,1335552494,0,1),
(2000524,291643484,0,1,'Mamba of Blades','Whenever the raid strikes a death blow, the caster''s group will gain increased attack speed and doublecast. This also has a very small chance to increment when attacking. This increments up to 25 times. It is dispelled when any group member dies. Does not persist through zoning.',383,65535,314,0,0,0,1,8,'Your Mamba of Blades was successful on %t!','Your Mamba of Blades fades.','',1,0,'',3259,'You cast Mamba of Blades on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671439,1384377903,0,1),
(2000525,3692195046,0,1,'Mana Cure','',277,65535,316,0,0,0,1,1,'Your Mana Cure was successful on %t!','Your Mana Cure fades.','',1,1,'',3369,'You cast Mana Cure on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671440,1384377906,0,1),
(2000526,1945409072,0,0,'Mana Flow','The flow of Mana is always in favor towards Enchanters. The Enchanter sacrifices 10% of their health and power pool. When Mana Flow expires, the Enchanter and the target of Mana Flow recover 40% of their power. This ability adds 4 intelligence and stamina passively per rank.',580,65535,65535,0,0,0,0,1,'Your Mana Flow was successful on %t!','Your Mana Flow fades.','',1,0,'',3098,'You cast Mana Flow on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671440,1384377899,0,1),
(2000527,3684588517,0,0,'Manaburn','All of your remaining power is converted to pure damage. This spell cannot be outright resisted.',3,65535,315,0,0,0,0,1,'Your Manaburn was successful on %t!','Your Manaburn fades.','',1,0,'',3136,'You cast Manaburn on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671442,1384377920,0,1),
(2000528,3361520774,0,0,'Manashield','Allows the Battlemage to consume power to prevent the loss of health for a short duration.',581,65535,65535,0,0,0,0,0,'Your Manashield was successful on %t!','Your Manashield fades.','',1,0,'',3126,'You cast Manashield on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671442,1384377908,0,1),
(2000529,1116482863,0,0,'Manasoul','Manasoul restores power to the group instantly and every tick for a total of 10 ticks. This ability can be toggled off early and terminates if the enchanter''s health falls below 10%.',922,65535,314,0,0,0,0,0,'Your Manasoul was successful on %t!','Your Manasoul fades.','',1,0,'',639,'You cast Manasoul on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671442,1384377905,0,1),
(2000530,3189494436,0,0,'Manawall','Manawall blocks all incoming damage to the crusader for a short duration at the cost of the crusader''s power. This effect terminates if the crusader''s power would be depleted. This effect can be toggled off early.',201,65535,317,0,0,0,0,1,'Your Manawall was successful on %t!','Your Manawall fades.','',1,0,'',93,'You cast Manawall on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671443,1384377911,0,1),
(2000531,784965358,0,0,'Manaward','Applies a powerful ward of mana on your ally.  The coercer will apply the ward with any mana remaining over 5% of their maximum mana.  The total amount of mana applied is then reduced by 1.5.  This spell can only be cast in combat.',48,65535,314,0,0,0,0,1,'Your Manaward was successful on %t!','Your Manaward fades.','',1,0,'',3118,'You cast Manaward on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671443,1384377913,0,1),
(2000532,1687280085,0,0,'Marked Prey','',507,65535,315,0,0,0,0,1,'Your Marked Prey was successful on %t!','Your Marked Prey fades.','',1,0,'',0,'You cast Marked Prey on %t.',0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671446,1384378116,0,1),
(2000533,2911048005,0,1,'Master of Storms','Master of Storms grants the fury additional base and critical damage and improves the casting speed of hostile spells.  As a penalty, heal amount is lowered.',886,65535,317,0,0,0,1,0,'Your Master of Storms was successful on %t!','Your Master of Storms fades.','',1,1,'',1579,'You cast Master of Storms on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671446,1384377912,0,1),
(2000534,3657733681,0,0,'Mangle','This attack causes bleeding damage-over-time.',241,65535,316,1124719197,0,0,0,1,'Your Maul was successful on %t!','Your Maul fades.','',0,0,'',0,'%t has been Mauled.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671447,1384378116,0,1),
(2000535,2199554452,1,0,'Mangle','',241,65535,315,1124719197,0,0,0,1,'Your Maul was successful on %t!','Your Maul fades.','',1,1,'Spells/Traditions/Maul.lua',1012,'You cast Maul on %t.',1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,'DoT',1384671447,1384378114,0,0),
(2000536,3839828645,0,0,'Maximized Protection','Increases the value absorbed by Construct''s Interception and Overloaded Interception.',913,65535,317,0,0,0,0,3,'Your Maximized Protection was successful on %t!','Your Maximized Protection fades.','',1,0,'',0,'You cast Maximized Protection on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671447,1384377836,0,1),
(2000537,2024249153,0,0,'Mechanical Relic Radiation','',25,65535,315,0,0,0,0,1,'Your Mechanical Relic Radiation was successful on %t!','Your Mechanical Relic Radiation fades.','',1,0,'',0,'You cast Mechanical Relic Radiation on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671447,1384377840,0,1),
(2000538,1316571776,0,0,'Mechanical Relic Radiation','',25,65535,315,0,0,0,0,1,'Your Mechanical Relic Radiation was successful on %t!','Your Mechanical Relic Radiation fades.','',1,0,'',0,'You cast Mechanical Relic Radiation on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671447,1384377840,0,1),
(2000539,4207274390,0,1,'Mesmerizing Trance','A self augmentation that grants the Dreamweaver a chance to mesmerize anything attacking them.',591,65535,65535,0,0,0,1,0,'Your Mesmerizing Trance was successful on %t!','Your Mesmerizing Trance fades.','',1,0,'',3099,'You cast Mesmerizing Trance on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671451,1384377897,0,1),
(2000540,741800935,0,0,'Mighty Roar','',232,65535,315,0,0,0,0,2,'Your Mighty Roar was successful on %t!','Your Mighty Roar fades.','',1,0,'',0,'You cast Mighty Roar on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671451,1384367278,0,1),
(2000541,2137274981,0,0,'Mind Control','Grants the target three triggers deal damage and adjusts the target''s threat position with the encounter. Higher ranks of this ability lower the base reuse time.',855,65535,316,0,0,0,0,1,'Your Mind Control was successful on %t!','Your Mind Control fades.','',1,0,'',3221,'You cast Mind Control on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671451,1384377902,0,1),
(2000542,2746744210,0,1,'Minion''s Intent','Grants a spell to the summoner that increases the effectiveness of the fighter pet''s taunts and reduces the hate generation of the scout and mage pets.',912,65535,317,0,0,0,1,0,'Your Minion''s Intent was successful on %t!','Your Minion''s Intent fades.','',1,0,'',633,'You cast Minion''s Intent on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671453,1384377902,0,1),
(2000543,1387338558,0,0,'Mischievous Impairment','',580,65535,313,0,0,0,0,1,'Your Mischievous Impairment was successful on %t!','Your Mischievous Impairment fades.','',1,0,'',0,'You cast Mischievous Impairment on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671455,1384378116,0,1),
(2000544,3266496340,0,0,'Mystical Field','Mystical Field surrounds the sorcerer in arcane magicks, preventing them from being hit with Area of Effect abilities and being interrupted and allowing them to cast while moving for a short duration. Any enemy entering the field around the sorcerer will take magic damage. This spell drains power at a prodigious rate and can be toggled off early.  If the caster enters PVP combat, the duration of this effect will be reduced.',511,65535,317,0,0,0,0,0,'Your Mystical Field was successful on %t!','Your Mystical Field fades.','',1,0,'',197,'You cast Mystical Field on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671457,1384377902,0,1),
(2000545,2246766162,0,1,'Mystical Overflow','Inflicts additional magic damage on targets within a small radius of the target when a damage spell is cast. Mystical Overflow can hit targets that are not currently engaged and should be toggled off in situations where that effect is undesirable.',152,65535,317,0,0,0,1,0,'Your Mystical Overflow was successful on %t!','Your Mystical Overflow fades.','',1,1,'',198,'You cast Mystical Overflow on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671457,1384377831,0,1),
(2000546,2612381697,0,0,'Natural Cleanse','The Fury calls upon the forces of nature to cure their allies.',888,65535,314,0,0,0,0,8,'Your Natural Cleanse was successful on %t!','Your Natural Cleanse fades.','',1,1,'',3378,'You cast Natural Cleanse on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671457,1384377836,0,1),
(2000547,3117612265,0,0,'Natural Regeneration','',889,65535,316,0,0,0,0,1,'Your Natural Regeneration was successful on %t!','Your Natural Regeneration fades.','',1,0,'',3246,'You cast Natural Regeneration on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671457,1384377912,0,1),
(2000548,2823377088,0,1,'Nature Walk','Grants the Warden''s group immunity to Root and reduction to all movement speed penalties.',6,65535,314,0,0,0,1,2,'Your Nature Walk was successful on %t!','Your Nature Walk fades.','',1,1,'',3398,'You cast Nature Walk on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671457,1384377908,0,1),
(2000549,3625960098,0,1,'Nature''s Aura','Nature''s Aura empowers the warden with additional healing and their heals will critical for more.  In addition, the recovery time of beneficial spells will be reduced.  As a penalty, hostile spells will have increased casting and reuse time and will do less damage.',889,65535,65535,0,0,0,1,0,'Your Nature''s Aura was successful on %t!','Your Nature''s Aura fades.','',1,1,'',1583,'You cast Nature''s Aura on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671457,1384377841,0,1),
(2000550,881475839,0,1,'Nature''s Ferocity','Nature''s Ferocity improves the number of ticks, base and critical amount of the Fury''s heals.  As a penalty for these improvements, the fury will have increased casting and reuse speed for hostile spells.  Hostile spells will also do less damage.',887,65535,317,0,0,0,1,0,'Your Nature''s Ferocity was successful on %t!','Your Nature''s Ferocity fades.','',1,1,'',1580,'You cast Nature''s Ferocity on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671459,1384377900,0,1),
(2000551,4062811178,0,1,'Necrotic Lifeforce','Whenever the raid strikes a death blow, the caster''s group will gain increased health. This also has a very small chance to increment when attacking. This increments up to 25 times. It is dispelled when any group member dies. Does not persist through zoning.',206,65535,314,0,0,0,1,8,'Your Necrotic Lifeforce was successful on %t!','Your Necrotic Lifeforce fades.','',1,1,'',3232,'You cast Necrotic Lifeforce on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1578617251,1384377841,0,1),
(2000552,4193500135,0,0,'Necrotic Venom','This attack causes poison damage-over-time.',238,65535,316,0,0,0,0,1,'Your Necrotic Venom was successful on %t!','Your Necrotic Venom fades.','',1,0,'',0,'You cast Necrotic Venom on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671465,1384378116,0,1),
(2000553,4286519378,0,0,'Necrotic Venom','A necrotic bite that destroys flesh if left untreated.',258,65535,315,0,0,0,0,1,'Your Necrotic Venom was successful on %t!','Your Necrotic Venom fades.','',1,0,'',161,'You cast Necrotic Venom on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671465,1384378116,0,1),
(2000554,2768584764,0,0,'Noxious Barrier','Applies a 3 trigger stoneskin that will absorb any attack over 10 percent of the pet''s health.',164,65535,317,0,0,0,0,3,'Your Noxious Barrier was successful on %t!','Your Noxious Barrier fades.','',1,0,'',3181,'You cast Noxious Barrier on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671469,1384377907,0,1),
(2000555,3873400606,0,0,'Occult Bolt','Inflicts disease damage on the target and allows the warlock''s next noxious and elemental spells to inflict additional damage. This effect can increment up to 3 with each increment allowing more damage. Higher ranks of this ability reduce the base reuse time.',833,65535,315,0,0,0,0,1,'Your Occult Bolt was successful on %t!','Your Occult Bolt fades.','',1,0,'',3224,'You cast Occult Bolt on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671473,1384377911,0,1),
(2000556,3102829520,0,1,'Ooze Crawler','Summons an infectious ooze that curses nearby enemies with powerful debilitating effects.',197,65535,317,0,0,0,1,0,'Your Ooze Crawler was successful on %t!','Your Ooze Crawler fades.','',1,0,'',3178,'You cast Ooze Crawler on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671473,1384377902,0,1),
(2000557,1348450808,0,0,'Ornery Bite','',375,65535,315,0,0,0,0,1,'Your Ornery Bite was successful on %t!','Your Ornery Bite fades.','',1,0,'',0,'You cast Ornery Bite on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671474,1384378116,0,1),
(2000558,3634303060,0,0,'Overconfidence','Overconfidence reduces target encounter''s chance of responding to other encounters'' calls for help. If that encounter is in combat while Overconfidence is active, any attacks made against non-fighter allies causes the opponent to hate your allies less.  This spell does not cause any aggression.',184,65535,312,0,0,0,0,1,'Your Overconfidence was successful on %t!','Your Overconfidence fades.','',1,0,'',3370,'You cast Overconfidence on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671475,1384377907,0,1),
(2000559,1059624035,0,1,'Overloaded Interception','An alternate to Construct''s Interception. Orders your construct to absorb damage for the group. The value of the interpose is halved.',354,65535,314,0,0,0,1,2,'Your Overloaded Interception was successful on %t!','Your Overloaded Interception fades.','',1,0,'',0,'You cast Overloaded Interception on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671475,1384377904,0,1),
(2000560,2838832482,0,1,'Pact of Nature','',328,65535,316,0,0,0,1,1,'Your Pact of Nature was successful on %t!','Your Pact of Nature fades.','',1,0,'',3379,'You cast Pact of Nature on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671475,1384377908,0,1),
(2000561,1260897704,0,0,'Pall of the Elements','',928,65535,65535,0,0,0,0,1,'Your Pall of the Elements was successful on %t!','Your Pall of the Elements fades.','',1,0,'',0,'You cast Pall of the Elements on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671475,1384377875,0,1),
(2000562,3843958290,0,0,'Paper Cut','',345,65535,315,0,0,0,0,1,'Your Paper Cut was successful on %t!','Your Paper Cut fades.','',1,0,'',0,'You cast Paper Cut on %t.',0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671477,1384378114,0,1),
(2000563,1729303323,0,0,'Parasitic Infestation','',240,65535,315,0,0,0,0,1,'Your Parasitic Infestation was successful on %t!','Your Parasitic Infestation fades.','',1,0,'',0,'You cast Parasitic Infestation on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671477,1384378116,0,1),
(2000564,1087469630,0,0,'Peace of Mind','An enchantment placed on the group temporarily which allows them to do additional mental damage with any attack.',916,65535,314,0,0,0,0,2,'Your Peace of Mind was successful on %t!','Your Peace of Mind fades.','',0,1,'',1589,'You cast Peace of Mind on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671477,1384377916,0,1),
(2000565,4029841339,0,1,'Peaceful Aggression','Peaceful Aggression is an offensive based spell which grants the Templar improved Damage Per Second, additional chance to critical hostile spells and improved spell damage and critical amount.  The templar will, however, have longer casting times on heals and also reduced heal effectiveness.',870,65535,65535,0,0,0,1,0,'Your Peaceful Aggression was successful on %t!','Your Peaceful Aggression fades.','',1,0,'',1570,'You cast Peaceful Aggression on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671477,1384377902,0,1),
(2000566,2318536208,0,1,'Persecution','Persecution grants the inquisitor additional melee critical damage, melee damage, Multi-Attack Chance, and spell damage.  In return, the casting time of beneficial spells will be slowed and heals will be less effective.',865,65535,65535,0,0,0,1,0,'Your Persecution was successful on %t!','Your Persecution fades.','',1,1,'',1567,'You cast Persecution on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671483,1384377911,0,1),
(2000567,802167550,0,0,'Perseverance of the Divine','Perseverance of the Divine protects the target from harm, providing a two trigger stoneskin. Upon expiration, the target is granted a reactive heal based on the amount of damage prevented.',843,65535,316,0,0,0,0,1,'Your Perseverance of the Divine was successful on %t!','Your Perseverance of the Divine fades.','',1,0,'',2885,'You cast Perseverance of the Divine on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671483,1384377922,0,1),
(2000568,4158971320,0,1,'Pestilent Bite','',238,65535,317,0,0,0,1,1,'Your Pestilent Bite was successful on %t!','Your Pestilent Bite fades.','',1,0,'',0,'You cast Pestilent Bite on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671485,1384378116,0,1),
(2000569,2770270544,0,0,'Phantasmal Barrier','Applies a small ward to the defiler''s two allies with the lowest health percentages. The targets must be within 50 meters of the defiler. This spell can be cast while casting other spells.',851,65535,316,0,0,0,0,1,'Your Phantasmal Barrier was successful on %t!','Your Phantasmal Barrier fades.','',0,1,'',3255,'You cast Phantasmal Barrier on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671487,1384377911,0,1),
(2000570,2319602914,0,1,'Piercing Arrows','Increases the channeler''s damage while reducing the cast time of their beneficial spells and lowering their heal amounts. This is the channeler''s offensive stance.',361,65535,317,0,0,0,1,1,'Your Piercing Arrows was successful on %t!','Your Piercing Arrows fades.','',1,0,'',0,'You cast Piercing Arrows on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671489,1384377839,0,1),
(2000571,2177548034,0,0,'Piercing Thrust','',296,65535,313,0,0,0,0,1,'Your Piercing Thrust was successful on %t!','Your Piercing Thrust fades.','',1,0,'',0,'You cast Piercing Thrust on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671489,1384378114,0,1),
(2000572,48016313,0,0,'Piercing Vines','',376,65535,315,0,0,0,0,0,'Your Piercing Vines was successful on %t!','Your Piercing Vines fades.','',1,0,'',0,'You cast Piercing Vines on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671489,1335552415,0,1),
(2000573,837833437,0,0,'Pile On','',513,65535,315,0,0,0,0,1,'Your Pile On was successful on %t!','Your Pile On fades.','',1,0,'',0,'You cast Pile On on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671489,1384378116,0,1),
(2000574,4006787564,0,0,'Plaguebringer','Plaguebringer is a large disease based damage over time attack.',899,65535,315,0,0,0,0,1,'Your Plaguebringer was successful on %t!','Your Plaguebringer fades.','',1,0,'Spells/AA/Plaguebringer.lua',1586,'You cast Plaguebringer on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671489,1384377831,0,1),
(2000575,1536258578,0,0,'Planar Burst','Inflicts magic damage on the target and reduces their chance to strikethrough. This spell hits once per increment of Planar Wrack on the target up to a maximum of five strikes.',642,65535,315,0,0,0,0,1,'Your Planar Burst was successful on %t!','Your Planar Burst fades.','',1,0,'',3230,'You cast Planar Burst on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671489,1384377838,0,1),
(2000576,3920645677,0,1,'Planar Detonation','The conjuror summons additional energy from the planes of power, allowing them to deal damage to enemies surrounding their target when casting damaging spells.',263,65535,317,0,0,0,1,0,'Your Planar Detonation was successful on %t!','Your Planar Detonation fades.','',1,1,'',3226,'You cast Planar Detonation on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671489,1384377917,0,1),
(2000577,3238573457,0,0,'Planar Power','',198,65535,317,0,0,0,0,1,'Your Planar Power was successful on %t!','Your Planar Power fades.','',1,0,'',0,'You cast Planar Power on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671490,1384378116,0,1),
(2000578,3533844899,0,1,'Planar Wrack','Applies an incremental damage over time effect when the conjuror casts spells. This ability can increment up to 5 times.',160,65535,317,0,0,0,1,0,'Your Planar Wrack was successful on %t!','Your Planar Wrack fades.','',1,1,'',0,'You cast Planar Wrack on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671490,1384377902,0,1),
(2000579,2874679095,0,0,'Poison Barbs','',383,65535,316,0,0,0,0,0,'Your Poison Barbs was successful on %t!','Your Poison Barbs fades.','',1,0,'',0,'You cast Poison Barbs on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671491,1335477721,0,1),
(2000580,2034350497,0,0,'Poisonous Pinch','',258,65535,315,0,0,0,0,0,'Your Poisonous Pinch was successful on %t!','Your Poisonous Pinch fades.','',1,0,'',0,'You cast Poisonous Pinch on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671491,1335552421,0,1),
(2000581,3042831081,0,0,'Flash Cast','The Summoner is granted control of their pet, including movement, attack and using spells through the perspective of their pet. Your pet also gains Empower Servant, which instantly replenishes some of the power of any ability used. Some of that power is converted into a heal for your pet. This ability grants 4 intelligence and stamina passively per rank as well.',699,65535,313,0,0,0,0,1,'Your Possess Minion was successful on %t!','Your Possess Minion fades.','',1,1,'',0,'You cast Possess Minion on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671491,1384377901,0,1),
(2000582,4055703929,0,0,'Pounce','',353,65535,315,3167106577,0,0,0,1,'Your Pounce was successful on %t!','Your Pounce fades.','',1,0,'',0,'You cast Pounce on %t.',0,0,0,0,0,0,1,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',1384671491,1384378114,0,1),
(2000583,298013328,0,1,'Propagation','All spells cast by your allies have their trigger chances increased. This does not affect triggered effects that are embedded on equipment items.',128,65535,314,0,0,0,1,2,'Your Propagation was successful on %t!','Your Propagation fades.','',1,0,'',3141,'You cast Propagation on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671497,1384377910,0,1),
(2000584,2890384619,0,0,'Protective Instinct','Protective Instinct records the druid''s damage dealt to the target for 10 seconds.  When Protective Instinct expires, the druid''s group receives a regenerating ward.  This spell can be toggled off early to trigger the ward on demand. The ward lasts for 10 seconds and cannot be more than 30% of the druid''s maximum health.',900,65535,315,0,0,0,0,0,'Your Protective Instinct was successful on %t!','Your Protective Instinct fades.','',1,0,'',2891,'You cast Protective Instinct on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671498,1384377838,0,1),
(2000585,249045127,0,0,'Protozoaic Spasms','',204,65535,315,0,0,0,0,1,'Your Protozoaic Spasms was successful on %t!','Your Protozoaic Spasms fades.','',1,0,'',0,'You cast Protozoaic Spasms on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671498,1384378116,0,1),
(2000586,4011514477,0,0,'Pseudopod Smash','',504,65535,315,0,0,0,0,1,'Your Pseudopod Smash was successful on %t!','Your Pseudopod Smash fades.','',1,0,'',0,'You cast Pseudopod Smash on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671499,1384378116,0,1),
(2000587,4141876579,0,0,'Psychic Trauma','The enchanter inflicts mental trauma upon their targets, inflicting up to 20 hits (up to 10 hits in PVP combat) on their current target. This spell cannot be canceled once it begins.',474,65535,315,0,0,0,0,1,'Your Psychic Trauma was successful on %t!','Your Psychic Trauma fades.','',1,0,'',636,'You cast Psychic Trauma on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671499,1384377912,0,1),
(2000588,1299751165,0,0,'Rabid Bite','',207,65535,315,0,0,0,0,1,'Your Rabid Bite was successful on %t!','Your Rabid Bite fades.','',1,0,'',0,'You cast Rabid Bite on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671504,1384378116,0,1),
(2000589,3453159149,0,0,'Rabies','Infects the Blighter''s enemy with disease damage over time. When the first effect expires, the second is twice as powerful.',613,65535,65535,0,0,0,0,1,'Your Rabies was successful on %t!','Your Rabies fades.','',1,0,'',3407,'You cast Rabies on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671504,1384377899,0,1),
(2000590,3643526023,0,0,'Raging Whirlwind','An upgraded version of Tempest. Deals cold damage over time to opponents surrounding the target. Deals extra cold damage to elementals.',511,14,313,0,0,0,0,1,'Your Raging Whirlwind was successful on %t!','Your Raging Whirlwind fades.','',1,0,'',3050,'You cast Raging Whirlwind on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671504,1384377839,0,1),
(2000591,1557354452,0,0,'Ravaging Bite','',375,65535,315,0,0,0,0,1,'Your Ravaging Bite was successful on %t!','Your Ravaging Bite fades.','',1,0,'',0,'You cast Ravaging Bite on %t.',0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671504,1384378116,0,1),
(2000592,39653571,0,1,'Ravenous Protector','Ravenous Protector grants the mystic''s pet a chance to critically attack.  In addition, the mystic''s hostile spells will do additional damage, critical for more and cast faster.  As a penalty, the mystic''s beneficial spells will cast slower and heal or ward for less.',880,65535,317,0,0,0,1,0,'Your Ravenous Protector was successful on %t!','Your Ravenous Protector fades.','',1,1,'',1576,'You cast Ravenous Protector on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671504,1384377831,0,1),
(2000593,2965069893,0,0,'Razor Bite','',377,65535,315,0,0,0,0,1,'Your Razor Bite was successful on %t!','Your Razor Bite fades.','',0,1,'Spells/Traditions/RazorBite.lua',1010,'You cast Razor Bite on %t.',0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671506,1335552580,0,1),
(2000594,178471887,0,1,'Reanimate','Reanimates the pet when it should have died. The pet''s threat with all targets is reset.',384,65535,317,3191839982,0,0,1,3,'Your Reanimate was successful on %t!','Your Reanimate fades.','',1,0,'',3169,'You cast Reanimate on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671506,1384377830,0,1),
(2000595,4091784028,0,0,'Reaper''s Mist','Inflicts disease damage to enemies surrounding the Shadowknight. For every target the spell hits, the shadowknight get an increment of Reaping, which life taps with the next combat art and increases the group''s potency. Higher ranks of this ability reduce the reuse time. Reaping can increment up to 8 times.',261,65535,313,0,0,0,0,1,'Your Reaper''s Mist was successful on %t!','Your Reaper''s Mist fades.','',1,0,'',3209,'You cast Reaper''s Mist on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671506,1384377911,0,1),
(2000596,247956219,0,0,'Reaper''s Touch','A replacement for Harm Touch. This ability deals a great amount of disease damage to enemies surrounding the target. This attack can not be outright resisted. For a short duration after the attack, the shadowknight will transform into a netherlord and some of their area effect abilities will cast instantly.',247,65535,313,0,0,0,0,1,'Your Reaper''s Touch was successful on %t!','Your Reaper''s Touch fades.','',1,0,'',1786,'You cast Reaper''s Touch on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671506,1384377834,0,1),
(2000597,3600744464,0,1,'Reaver','All hostile spells that damage a target also heal the Shadowknight. This spell has a persistent health cost.  Any profession spell found in the spell book will also have its damage increased.',240,65535,317,0,0,0,1,0,'Your Reaver was successful on %t!','Your Reaver fades.','',1,0,'',3328,'You cast Reaver on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671506,1384377915,0,1),
(2000598,2123880489,0,0,'Rebirth','Rebirth will allow the Hierophant to resurrect themselves. This can only be cast while dead.',545,65535,65535,0,0,0,0,0,'Your Rebirth was successful on %t!','Your Rebirth fades.','',1,0,'',3385,'You cast Rebirth on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671506,1384377830,0,1),
(2000599,322658218,0,1,'Redemption of Faith','Redemption of Faith allows the inquisitor to cast faster and improves the amount their spells heal for.  In return, hostile spells have increased power and lower damage.',866,65535,65535,0,0,0,1,0,'Your Redemption of Faith was successful on %t!','Your Redemption of Faith fades.','',1,1,'',1568,'You cast Redemption of Faith on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671508,1384377907,0,1),
(2000600,2811544398,0,1,'Reprieve','Passively applies a regenerating ward to the priest.',194,65535,317,0,0,0,1,1,'Your Reprieve was successful on %t!','Your Reprieve fades.','',1,0,'',3712,'You cast Reprieve on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671516,1384377900,0,1),
(2000601,484676027,0,1,'Resonance','Extends the range of all spells cast by your group.',582,65535,314,0,0,0,1,2,'Your Resonance was successful on %t!','Your Resonance fades.','',0,1,'',3457,'You cast Resonance on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671518,1384377913,0,1),
(2000602,382878874,0,0,'Retreating Shell','',299,65535,315,0,0,0,0,0,'Your Retreating Shell was successful on %t!','Your Retreating Shell fades.','',1,0,'',0,'You cast Retreating Shell on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671518,1335553144,0,1),
(2000603,3945044217,0,0,'Reverberation','Inflicts minor damage to the targets around the troubador. For each target struck, the troubador gains increased damage to the encounter for a single strike. This effect increments up to 24 times. A small amount of power will be restored with this attack. Higher ranks lower the base reuse time.',798,65535,313,0,0,0,0,1,'Your Reverberation was successful on %t!','Your Reverberation fades.','',1,0,'',3257,'You cast Reverberation on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671518,1384377913,0,1),
(2000604,4021655980,0,0,'Rhythmic Overture','Rhythmic Overture monitors the bard''s damage over a short duration. Once the overture has been completed, the bard may cast Victorious Concerto which adds a portion of that damage as an additional effect to the group. Additional ranks improve the damage amount. This Alternate Advancement grants two abilities.',676,65535,315,0,0,0,0,0,'Your Rhythmic Overture was successful on %t!','Your Rhythmic Overture fades.','',1,0,'',3449,'You cast Rhythmic Overture on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671518,1384377907,0,1),
(2000605,791863215,0,0,'Ritual','The Ritualist''s next ward or health replenishment spell will have its amount increased.',705,65535,65535,0,0,0,0,0,'Your Ritual was successful on %t!','Your Ritual fades.','',1,0,'',3408,'You cast Ritual on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671522,1384377899,0,1),
(2000606,2975222284,0,0,'Ritual of Alacrity','Increases the casting speed, recovery speed, and lowers reuse timers of an ally for a short duration. This cannot be cast on the Ritualist.',619,65535,65535,0,0,0,0,1,'Your Ritual of Alacrity was successful on %t!','Your Ritual of Alacrity fades.','',1,0,'',3409,'You cast Ritual of Alacrity on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671524,1384377912,0,1),
(2000607,2605990265,0,1,'Ritual of Protection','Ritual of Protection allows the mystic to cast faster for beneficial spells.  In addition, they will heal and ward for more.  As a penalty, hostile spells will use additional power, have a longer recast and do less damage.',881,65535,317,0,0,0,1,0,'Your Ritual of Protection was successful on %t!','Your Ritual of Protection fades.','',1,1,'',1577,'You cast Ritual of Protection on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671524,1384377906,0,1),
(2000608,692586341,0,0,'Rocky Guise','',509,65535,315,0,0,0,1,0,'Your Rocky Guise was successful on %t!','Your Rocky Guise fades.','',1,0,'',0,'You cast Rocky Guise on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671526,1335552507,0,1),
(2000609,2266595807,0,0,'Root','',6,65535,65535,0,0,0,0,1,'Your Root was successful on %t!','Your Root fades.','',1,0,'',0,'You cast Root on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671526,1384377887,0,1),
(2000610,3290170673,0,0,'Rot Flesh','Inflicts minor damage on the target. The next magical attacks against the target will do increased damage. Higher ranks of this ability will lower the base reuse time.',803,65535,315,0,0,0,0,1,'Your Rot Flesh was successful on %t!','Your Rot Flesh fades.','',1,0,'',3233,'You cast Rot Flesh on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671526,1384377838,0,1),
(2000611,2437692586,0,0,'Rumbler','',353,65535,315,0,0,0,0,1,'Your Rumbler was successful on %t!','Your Rumbler fades.','',1,0,'',0,'You cast Rumbler on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671527,1384378116,0,1),
(2000612,372907160,0,1,'Run Like Hell','',8,65535,65535,0,0,0,1,1,'Your Run Like Hell was successful on %t!','Your Run Like Hell fades.','',1,0,'',0,'You cast Run Like Hell on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671527,1384367296,0,1),
(2000613,299718889,0,1,'Runes of Geomancy','Adds a small chance to trigger a Stoneskin effect that protects from Physical damage.',128,65535,65535,0,0,0,1,2,'Your Runes of Geomancy was successful on %t!','Your Runes of Geomancy fades.','',1,1,'',3175,'You cast Runes of Geomancy on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671528,1384377902,0,1),
(2000614,1514656218,0,1,'Sacred Follower','Sacred Follower is a buff which will apply to the priest''s pet.  It will increase the crit bonus and stamina of the pet while also increasing the pet''s accuracy and DPS.  This spell will suspend while the priest''s healing based stance is active.',875,65535,317,0,0,0,1,1,'Your Sacred Follower was successful on %t!','Your Sacred Follower fades.','',1,1,'',0,'You cast Sacred Follower on %t.',0,0,0,1,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671531,1384377905,0,1),
(2000615,3623335613,0,0,'Offering','Sacrifice allows the cleric to transfer their health to help save an ally.',922,65535,316,0,0,0,0,1,'Your Sacrifice was successful on %t!','Your Sacrifice fades.','',1,0,'',1564,'You cast Sacrifice on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671531,1384377913,0,1),
(2000616,3048601538,0,0,'Sanguine Sacrifice','The sorcerer uses their own blood to amplify the damage of their magic, restoring the power used to cast the spell instantly at the cost of their health. Sanguine Sacrifice has a recurring health cost of 1% every second.',928,65535,317,0,0,0,0,0,'Your Sanguine Sacrifice was successful on %t!','Your Sanguine Sacrifice fades.','',1,0,'',195,'You cast Sanguine Sacrifice on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671605,1384377831,0,1),
(2000617,197317220,0,0,'Sawtooth Swipe','',220,65535,314,0,0,0,0,1,'Your Sawtooth Swipe was successful on %t!','Your Sawtooth Swipe fades.','',1,0,'',0,'You cast Sawtooth Swipe on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671605,1384378114,0,1),
(2000618,2886799733,0,1,'Scaled Protection','Passively applies a regenerating ward to the mage.',194,65535,317,0,0,0,1,1,'Your Scaled Protection was successful on %t!','Your Scaled Protection fades.','',1,1,'',0,'You cast Scaled Protection on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671605,1384377897,0,1),
(2000619,2937355642,0,0,'Scaly Hide','',163,65535,315,0,0,0,0,1,'Your Scaly Hide was successful on %t!','Your Scaly Hide fades.','',1,0,'',0,'You cast Scaly Hide on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671605,1384378116,0,1),
(2000620,4273891518,0,0,'Scaly Rush','',353,65535,315,0,0,0,0,0,'Your Scaly Rush was successful on %t!','Your Scaly Rush fades.','',1,0,'',0,'You cast Scaly Rush on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671605,1335553144,0,1),
(2000621,4027472161,0,0,'Scissoring Claws','',337,65535,315,0,0,0,0,1,'Your Scissoring Claws was successful on %t!','Your Scissoring Claws fades.','',1,0,'Spells/Traditions/ScissoringClaws.lua',1014,'You cast Scissoring Claws on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671605,1335553144,0,1),
(2000622,1404539726,0,0,'Scourge','Dispels beneficial effects from an enemy. For each one removed, the target suffers disease damage.',612,65535,65535,0,0,0,0,1,'Your Scourge was successful on %t!','Your Scourge fades.','',1,0,'',3410,'You cast Scourge on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671605,1384377833,0,1),
(2000623,2369511573,0,0,'Screeching Alarm','',171,65535,315,0,0,0,0,2,'Your Screeching Alarm was successful on %t!','Your Screeching Alarm fades.','',1,0,'Spells/Traditions/ScreechingAlarm.lua',999,'You cast Screeching Alarm on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671605,1384378114,0,1),
(2000624,2348069321,0,1,'Seeping Poison','',238,65535,315,0,0,0,1,1,'Your Seeping Poison was successful on %t!','Your Seeping Poison fades.','',1,0,'',0,'You cast Seeping Poison on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671605,1384378116,0,1),
(2000625,676604305,0,0,'Self Reanimation','The necromancer can resurrect themself with their forbidden knowledge. This spell does not cause resurrection sickness.',7,65535,317,0,0,0,0,0,'Your Self Reanimation was successful on %t!','Your Self Reanimation fades.','',1,0,'',0,'You cast Self Reanimation on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671605,1384377904,0,1),
(2000626,1835438608,0,0,'Seraph''s Restoration','A replacement for Restoration. Replenishes a large amount of target ally''s health and applies a short duration reactive heal.',468,12,316,0,0,0,0,1,'Your Seraph''s Restoration was successful on %t!','Your Seraph''s Restoration fades.','',1,0,'',3053,'You cast Seraph''s Restoration on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671605,1384377906,0,1),
(2000627,3407210004,0,0,'Serene Symbol','Dispels beneficial elemental and noxious spell effects on the Serenicist''s target. Power is drained from the Serenicist for each beneficial spell effect removed.',13,65535,65535,0,0,0,0,1,'Your Serene Symbol was successful on %t!','Your Serene Symbol fades.','',1,0,'',3386,'You cast Serene Symbol on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671605,1384377916,0,1),
(2000628,1433498551,0,0,'Serenity','Serenity grants the Serenicist immunity to stun, interrupt, and some knockdown effects. Serenity can be cast while stunned.',243,65535,65535,0,0,0,0,0,'Your Serenity was successful on %t!','Your Serenity fades.','',1,0,'',3387,'You cast Serenity on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671623,1384377830,0,1),
(2000629,355107119,0,0,'Serpentine Grace','',304,65535,315,0,0,0,0,0,'Your Serpentine Grace was successful on %t!','Your Serpentine Grace fades.','',1,0,'',0,'You cast Serpentine Grace on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671623,1335553141,0,1),
(2000630,1877949106,0,1,'Servant''s Intervention','The summoner''s minion will prevent the summoner from dying if the minion is still alive. The pet will sacrifice their own health to heal the caster.',907,65535,317,0,0,0,1,3,'Your Servant''s Intervention was successful on %t!','Your Servant''s Intervention fades.','',1,0,'',634,'You cast Servant''s Intervention on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671623,1384377900,0,1),
(2000631,237735835,0,0,'Sever Hate','Wipes a few hate positions of aggression that an enemy has towards your targeted ally''s enemy.',542,65535,65535,0,0,0,0,1,'Your Sever Hate was successful on %t!','Your Sever Hate fades.','',1,0,'',3104,'You cast Sever Hate on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671623,1384377899,0,1),
(2000632,1009130270,0,0,'Shadowstep','The pet inflicts a magical damage strike upon the target. If the pet is a scout or a fighter, they teleport to the target as well.',556,65535,65535,0,0,0,0,1,'Your Shadowstep was successful on %t!','Your Shadowstep fades.','',1,0,'',55,'You cast Shadowstep on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671625,1384377907,0,1),
(2000633,2702808768,0,1,'Shapeshift: Tiger','Shapeshifts the Druid into a Tiger, granting a chance to trigger an additional bite attack with every melee hit.',232,65535,317,0,0,0,1,1,'Your Shapeshift: Tiger was successful on %t!','Your Shapeshift: Tiger fades.','',1,1,'',0,'You cast Shapeshift: Tiger on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671625,1384377910,0,1),
(2000634,940623738,0,1,'Shapeshift: Treant','Shapeshifts the Druid into a Treant, granting an increased amount to all heals.',187,65535,317,0,0,0,1,1,'Your Shapeshift: Treant was successful on %t!','Your Shapeshift: Treant fades.','',1,1,'',0,'You cast Shapeshift: Treant on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671626,1384377903,0,1),
(2000635,1326970860,0,1,'Shapeshift: Winter Wolf','Shapeshifts the Druid into a Winter Wolf, granting an increased chance at critical hits.',226,65535,317,0,0,0,1,1,'Your Shapeshift: Winter Wolf was successful on %t!','Your Shapeshift: Winter Wolf fades.','',1,1,'',0,'You cast Shapeshift: Winter Wolf on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671626,1384377830,0,1),
(2000636,3708345871,0,0,'Shatter Infections','For a short duration, the warden''s group will be cured of all hostile effects.',84,65535,314,0,0,0,0,2,'Your Shatter Infections was successful on %t!','Your Shatter Infections fades.','',1,0,'',3399,'You cast Shatter Infections on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671626,1384377902,0,1),
(2000637,1963290465,0,0,'Shell Slam','',353,65535,315,0,0,0,0,0,'Your Shell Slam was successful on %t!','Your Shell Slam fades.','',1,0,'',0,'You cast Shell Slam on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671627,1335552581,0,1),
(2000638,3472643671,0,1,'Shield Ally','Grants the Protector a chance to shield an ally from melee attacks, by allowing the target a chance to use the Protector''s avoidance check after their own avoidance check.',622,65535,65535,0,0,0,1,1,'Your Shield Ally was successful on %t!','Your Shield Ally fades.','',1,0,'',3365,'You cast Shield Ally on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671627,1384377909,0,1),
(2000639,2567348176,0,0,'Shockwave','The Perceptor commands their pet to knockdown all enemies surrounding it after its next successful attack.',627,65535,65535,0,0,0,0,3,'Your Shockwave was successful on %t!','Your Shockwave fades.','',0,1,'',3150,'You cast Shockwave on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671655,1384377917,0,1),
(2000640,2512146863,0,0,'Shredding Talons','',335,65535,315,0,0,0,0,0,'Your Shredding Talons was successful on %t!','Your Shredding Talons fades.','',1,0,'',0,'You cast Shredding Talons on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671655,1335553147,0,1),
(2000641,848567645,0,0,'Shriek','',171,65535,315,0,0,0,0,1,'Your Shriek was successful on %t!','Your Shriek fades.','',1,0,'',0,'You cast Shriek on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671655,1384378116,0,1),
(2000642,2485110984,0,1,'Shrink Servant','Reduces the overall size of your primary pet.',218,65535,317,0,0,0,1,1,'Your Shrink Servant was successful on %t!','Your Shrink Servant fades.','',1,1,'',0,'You cast Shrink Servant on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671655,1384377909,0,1),
(2000643,2985200260,0,0,'Side Swipe','',351,65535,315,0,0,0,0,1,'Your Side Swipe was successful on %t!','Your Side Swipe fades.','',0,0,'Spells/Traditions/SideSwipe.lua',2225,'You cast Side Swipe on %t.',0,0,0,0,0,0,1,4,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671657,1384378116,0,1),
(2000644,3080751277,0,0,'Sinuous Wings','',300,65535,315,0,0,0,0,1,'Your Sinuous Wings was successful on %t!','Your Sinuous Wings fades.','',1,0,'',0,'You cast Sinuous Wings on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671661,1384378116,0,1),
(2000645,3434403018,0,0,'Skitter','',157,65535,315,0,0,0,0,0,'Your Skitter was successful on %t!','Your Skitter fades.','',1,0,'',0,'You cast Skitter on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671663,1335553146,0,1),
(2000646,727707636,0,0,'Slime','',193,65535,315,0,0,0,0,1,'Your Slime was successful on %t!','Your Slime fades.','',1,0,'Spells/Traditions/Slime.lua',1010,'You cast Slime on %t.',0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671663,1384378116,0,1),
(2000647,174290244,0,1,'Slime trail','',197,65535,315,0,0,0,1,1,'Your Slime trail was successful on %t!','Your Slime trail fades.','',1,0,'',0,'You cast Slime trail on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671663,1384378159,0,1),
(2000648,2412879222,0,0,'Slithering Maw','',196,65535,315,0,0,0,0,0,'Your Slithering Maw was successful on %t!','Your Slithering Maw fades.','',1,0,'',0,'You cast Slithering Maw on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671663,1335552411,0,1),
(2000649,1172627712,0,0,'Smite Evil','Smites enemies in an area around the paladin with powerful divine damage that cannot be outright resisted.',549,65535,313,0,0,0,0,1,'Your Smite Evil was successful on %t!','Your Smite Evil fades.','',1,0,'',3322,'You cast Smite Evil on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671665,1384377833,0,1),
(2000650,674218122,0,0,'Smite Heretic','A replacement for Heresy. Whenever a member of the target encounter attacks, they will receive divine damage and be knocked down.',159,13,312,0,0,0,0,1,'Your Smite Heretic was successful on %t!','Your Smite Heretic fades.','',1,0,'',3051,'You cast Smite Heretic on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671665,1384377899,0,1),
(2000651,1020896130,0,0,'Smothering Pages','',193,65535,315,0,0,0,0,1,'Your Smothering Pages was successful on %t!','Your Smothering Pages fades.','',1,0,'',0,'You cast Smothering Pages on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671665,1384367278,0,1),
(2000652,3905758479,0,0,'Snapping Beak','',338,65535,315,0,0,0,0,1,'Your Snapping Beak was successful on %t!','Your Snapping Beak fades.','',1,0,'Spells/Traditions/SnappingBeak.lua',1010,'You cast Snapping Beak on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671665,1335552449,0,1),
(2000653,3976890087,1,0,'Snapping Mandible','',375,65535,315,0,0,0,0,1,'Your Snapping Mandible was successful on %t!','Your Snapping Mandible fades.','',1,1,'Spells/Traditions/SnappingMandible.lua',1014,'You cast Snapping Mandible on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671665,1335553146,0,0),
(2000654,1546619349,0,0,'Snapping Maw','',375,65535,315,0,0,0,0,1,'Your Snapping Maw was successful on %t!','Your Snapping Maw fades.','',1,0,'',0,'You cast Snapping Maw on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671665,1384367278,0,1),
(2000655,3569701164,0,1,'Song of Shielding','Grants the bard a chance to avoid an attack for the target of the spell.  This does not stack with similar spells granted through Alternate Advancements.',911,65535,316,0,0,0,1,1,'Your Song of Shielding was successful on %t!','Your Song of Shielding fades.','',1,0,'',0,'You cast Song of Shielding on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671668,1384377906,0,1),
(2000656,2257491913,0,0,'Songspinner''s Note','Songspinner''s Note deals minor piercing damage to the target. The bard''s group will receive an augmentation based on the bard''s position relative to their target.',891,65535,315,0,0,0,0,1,'Your Songspinner''s Note was successful on %t!','Your Songspinner''s Note fades.','',1,0,'',116,'You cast Songspinner''s Note on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671669,1384377914,0,1),
(2000657,1073502077,0,0,'Sonic Barrier','The dirge creates a wall of sound around their target, preventing damage for a short number of hits. The target must be below 50% health for Sonic Barrier to take effect.',925,65535,316,0,0,0,0,1,'Your Sonic Barrier was successful on %t!','Your Sonic Barrier fades.','',1,0,'',3438,'You cast Sonic Barrier on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671669,1384377902,0,1),
(2000658,2171059379,0,0,'Sonic Interference','Reduces the duration of target encounter''s non-damaging hostile abilities while dealing damage over time and granting a chance to interrupt.',255,65535,312,0,0,0,0,1,'Your Sonic Interference was successful on %t!','Your Sonic Interference fades.','',1,1,'',3458,'You cast Sonic Interference on %t.',0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671669,1384377899,0,1),
(2000659,504321835,0,0,'Sonic Roar','',168,65535,312,0,0,0,0,1,'Your Sonic Roar was successful on %t!','Your Sonic Roar fades.','',1,0,'',0,'You cast Sonic Roar on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671669,1384378116,0,1),
(2000660,4188880994,0,0,'Soul Ward','Sacrifices the Defiler''s current health to 10% of their maximum health. The amount of health sacrificed is converted into a ward on target ally. Soul Ward can only be cast while in combat.',198,65535,316,0,0,0,0,1,'Your Soul Ward was successful on %t!','Your Soul Ward fades.','',1,0,'',3427,'You cast Soul Ward on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671671,1384377905,0,1),
(2000661,417860132,0,0,'Soulburn','Soulburn uses the summoner''s companion''s health to inflict damage on their current target.',926,65535,315,0,0,0,0,3,'Your Soulburn was successful on %t!','Your Soulburn fades.','',1,0,'',635,'You cast Soulburn on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671671,1384377903,0,1),
(2000662,655524638,0,1,'Soulclaim','Soulclaim restores power to the group when any member of the raid strikes a death blow. For a short duration after the death blow, group members will also receive increased Crit Bonus.',845,65535,314,0,0,0,1,8,'Your Soulclaim was successful on %t!','Your Soulclaim fades.','',1,0,'',104,'You cast Soulclaim on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671671,1384377899,0,1),
(2000663,1168710372,0,0,'Spellbind','Increases the caster''s potency by a percentage of their base potency.',269,65535,317,0,0,0,0,0,'Your Spellbind was successful on %t!','Your Spellbind fades.','',1,1,'Spells/AA/Spellbind.lua',3720,'You cast Spellbind on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671674,1384377917,0,1),
(2000664,39147856,0,0,'Spiked Tail','',339,65535,315,0,0,0,0,1,'Your Spiked Tail was successful on %t!','Your Spiked Tail fades.','',1,0,'',0,'You cast Spiked Tail on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671674,1384378116,0,1),
(2000665,544045933,0,0,'Spirit Aegis','Spirit Aegis applies a powerful ward on the shaman''s group, preventing damage for a short duration. The ward amount is not shared between group members.',872,65535,314,0,0,0,0,2,'Your Spirit Aegis was successful on %t!','Your Spirit Aegis fades.','',1,0,'',44,'You cast Spirit Aegis on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671674,1384377918,0,1),
(2000666,786489434,0,0,'Spirit Dance','Resurrects up to 8 dead allies in an area around the mystic. You must have a dead ally targeted to cast this spell.',45,65535,313,0,0,0,0,6,'Your Spirit Dance was successful on %t!','Your Spirit Dance fades.','',1,0,'',3420,'You cast Spirit Dance on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671674,1384377903,0,1),
(2000667,961762742,0,1,'Spiritfire','Increases the shaman''s accuracy and Damage Per Second. When the shaman is damaged, their attacker may take disease damage.',861,65535,317,0,0,0,1,0,'Your Spiritfire was successful on %t!','Your Spiritfire fades.','',1,1,'',45,'You cast Spiritfire on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671676,1384377831,0,1),
(2000668,3680992079,0,1,'Spiritual Ally','Spiritual Ally grants the defiler''s pet a disease damage proc and grants the defiler improved spell damage and critical spell damage.  In return, the casting speed of beneficial spells will be increased along with reduced healing and warding.',883,65535,317,0,0,0,1,0,'Your Spiritual Ally was successful on %t!','Your Spiritual Ally fades.','',1,1,'',1576,'You cast Spiritual Ally on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671677,1384377916,0,1),
(2000669,3244797095,0,1,'Spiritual Sacrifice','This spell is applied to the target ally and cannot be cast on the defiler. It reduces the defilers max health and grants the target a health increase. If the target ally dies while this spell is active, their group will receive damage reduction for a short duration. This spell has no reuse if it is toggled off manually. This spell can be cast while casting other spells.',7,65535,316,0,0,0,1,1,'Your Spiritual Sacrifice was successful on %t!','Your Spiritual Sacrifice fades.','',1,0,'',3429,'You cast Spiritual Sacrifice on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671678,1384377906,0,1),
(2000670,2491207063,0,0,'Spiritwrath','A replacement for Putrefy. This spell inflicts poison damage and reduces the target''s attributes. The damage over time, STR, AGI and INT components are multiplied by the amount of increments of this spell the caster has active on the target.',169,65535,315,0,0,0,0,1,'Your Spiritwrath was successful on %t!','Your Spiritwrath fades.','',1,0,'',2575,'You cast Spiritwrath on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671678,1384377915,0,1),
(2000671,1942711600,0,0,'Spore Cloud','',612,65535,65535,0,0,0,0,0,'Your Spore Cloud was successful on %t!','Your Spore Cloud fades.','',1,0,'',0,'You cast Spore Cloud on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671678,1335477721,0,1),
(2000672,3794855887,0,0,'Stampede of the Herd','Shapechanges the Mystic''s group into stags and grants additional crushing damage to every melee attack for a short duration.  In PVP combat, this will also make the caster''s group immune to taunt effects.',830,65535,314,0,0,0,0,2,'Your Stampede of the Herd was successful on %t!','Your Stampede of the Herd fades.','',1,0,'',3421,'You cast Stampede of the Herd on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671678,1384377836,0,1),
(2000673,1352567010,0,0,'Stasis','',329,65535,315,0,0,0,0,0,'Your Stasis was successful on %t!','Your Stasis fades.','',1,0,'',0,'You cast Stasis on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671679,1335474975,0,1),
(2000674,3304838874,0,0,'Static Discharge','Fires a cone of lightning in a frontal arc from the Invoker that can strike up to 4 enemies.',560,65535,313,0,0,0,0,1,'Your Static Discharge was successful on %t!','Your Static Discharge fades.','',1,0,'Spells/AA/StaticDischarge.lua',3128,'You cast Static Discharge on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1555773845,1384377903,0,1),
(2000675,3907050915,0,0,'Static Pulse','',505,65535,314,3820670534,0,0,0,1,'Your Static Pulse was successful on %t!','Your Static Pulse fades.','',1,0,'',0,'You cast Static Pulse on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671679,1384378116,0,1),
(2000676,1446521125,0,1,'Static Shield','Enemies who strike you will receive magic damage.',272,65535,65535,0,0,0,1,0,'Your Static Shield was successful on %t!','Your Static Shield fades.','',1,1,'',3129,'You cast Static Shield on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671679,1384377903,0,1),
(2000677,1387232357,0,0,'Steamy Breath','',185,65535,315,0,0,0,0,1,'Your Steamy Breath was successful on %t!','Your Steamy Breath fades.','',1,0,'',0,'You cast Steamy Breath on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671679,1384378116,0,1),
(2000678,3187930658,0,0,'Sticky Webbing','',369,65535,315,0,0,0,0,1,'Your Sticky Webbing was successful on %t!','Your Sticky Webbing fades.','',0,0,'Spells/Traditions/StickyWebbing.lua',1022,'You cast Sticky Webbing on %t.',0,0,0,0,0,0,2,3,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671679,1384378116,0,0),
(2000679,1817595085,0,0,'Stone Shaping','Roots the tagret in place.',308,65535,315,0,0,0,0,1,'Your Stone Shaping was successful on %t!','Your Stone Shaping fades.','',1,0,'',0,'You cast Stone Shaping on %t.',0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671679,1384377830,0,1),
(2000680,1737312830,0,0,'Stoneskins','Provides a double-hit stoneskin for every ally in the conjuror''s group. Damage greater than 50% of an ally''s health maximum still goes through.',329,65535,314,0,0,0,0,2,'Your Stoneskins was successful on %t!','Your Stoneskins fades.','',1,0,'',3173,'You cast Stoneskins on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671680,1384377908,0,1),
(2000681,884656083,0,0,'Stoney Hide','',329,65535,315,0,0,0,0,0,'Your Stoney Hide was successful on %t!','Your Stoney Hide fades.','',1,0,'',0,'You cast Stoney Hide on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671680,1335552588,0,1),
(2000682,538291605,0,0,'Stormbearer''s Fury','Inflicts magic damage to enemies surrounding the fury''s target. Higher ranks of this ability lower the base reuse time.',852,65535,313,0,0,0,0,1,'Your Stormbearer''s Fury was successful on %t!','Your Stormbearer''s Fury fades.','',1,0,'',3243,'You cast Stormbearer''s Fury on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671682,1384377905,0,1),
(2000683,2548023916,0,0,'Stunning Note','',595,65535,315,0,0,0,0,1,'Your Stunning Note was successful on %t!','Your Stunning Note fades.','',1,0,'',0,'You cast Stunning Note on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671682,1384378116,0,1),
(2000684,365376240,0,0,'Suffocating Winds','',243,65535,315,0,0,0,0,1,'Your Suffocating Winds was successful on %t!','Your Suffocating Winds fades.','',1,0,'',0,'You cast Suffocating Winds on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671684,1384378116,0,1),
(2000685,617351944,0,1,'Summon Animated Tome','Summons an Animate Tome familiar to aid the Sorcerer, granting a bonus to critical spell damage.',159,65535,317,0,0,0,1,1,'Your Summon Animated Tome was successful on %t!','Your Summon Animated Tome fades.','',1,1,'Spells/AA/SummonAnimatedTome.lua',3132,'You cast Summon Animated Tome on %t.',0,0,0,0,1,0,0,0,0,2000685,0,0,0,0,0,1,1,0,0,'Unset',1384671684,1384377909,0,1),
(2000686,3183827634,0,1,'Summon Drake','Summons a Drake familiar to aid the Sorcerer, granting a bonus to reuse speed of spells.',157,65535,317,0,0,0,1,1,'Your Summon Drake was successful on %t!','Your Summon Drake fades.','',1,1,'Spells/AA/SummonDrake.lua',3130,'You cast Summon Drake on %t.',0,0,0,0,1,0,0,0,0,2000685,0,0,0,0,0,1,1,0,0,'Unset',1384671684,1384377904,0,1),
(2000687,3401738788,0,1,'Summon Gargoyle','Summons a Gargoyle familiar to aid the Sorcerer, granting a reduction in the amount of hate caused by the Sorcerer.',329,65535,317,0,0,0,1,0,'Your Summon Gargoyle was successful on %t!','Your Summon Gargoyle fades.','',1,1,'Spells/AA/SummonGargoyle.lua',3131,'You cast Summon Gargoyle on %t.',0,0,0,0,1,0,0,0,0,2000685,0,0,0,0,0,1,1,0,0,'Unset',1384671684,1384377905,0,1),
(2000688,3833809685,0,1,'Summon Spirit Companion','Summons a spirit companion to aid the Shaman and grants the Shaman a spell that shrinks their companion. This also adds physical mitigation along with 4 wisdom and stamina passively per point spent.',578,65535,65535,0,0,0,1,0,'Your Summon Spirit Companion was successful on %t!','Your Summon Spirit Companion fades.','',1,1,'',3411,'You cast Summon Spirit Companion on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671684,1384377833,0,1),
(2000689,133282909,0,0,'Supplication of the Fallen','Allows the priest to resurrect their group or raid while out of combat.',873,65535,314,0,0,0,0,6,'Your Supplication of the Fallen was successful on %t!','Your Supplication of the Fallen fades.','',1,0,'',3367,'You cast Supplication of the Fallen on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671684,1384377907,0,1),
(2000690,899765305,0,0,'Surging Maw','',353,65535,315,0,0,0,0,0,'Your Surging Maw was successful on %t!','Your Surging Maw fades.','',1,0,'',0,'You cast Surging Maw on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671685,1335552435,0,1),
(2000691,2580091283,0,0,'Surprise Bite','',353,65535,315,0,0,0,0,1,'Your Surprise Bite was successful on %t!','Your Surprise Bite fades.','',1,0,'',0,'You cast Surprise Bite on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671685,1384378116,0,1),
(2000692,3714789982,0,0,'Swarming Teeth','',363,65535,315,0,0,0,0,0,'Your Swarming Teeth was successful on %t!','Your Swarming Teeth fades.','',1,0,'',0,'You cast Swarming Teeth on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671685,1335552522,0,1),
(2000693,1913330188,0,1,'Symbiosis','The Animist and their pet work together in tandem. If the pet is a fighter, the pet takes a percentage of the caster''s threat for themselves. If the pet is not a fighter, the Animist takes some of the threat from the pet.',581,65535,317,0,0,0,1,1,'Your Symbiosis was successful on %t!','Your Symbiosis fades.','',1,0,'',0,'You cast Symbiosis on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671688,1384377910,0,1),
(2000694,974166807,0,0,'Tail Whip','',217,65535,315,0,0,0,0,0,'Your Tail Whip was successful on %t!','Your Tail Whip fades.','',1,0,'',0,'You cast Tail Whip on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671690,1335553147,0,1),
(2000695,186520162,0,0,'Tainted Breath','',11,65535,65535,0,0,0,0,0,'Your Tainted Breath was successful on %t!','Your Tainted Breath fades.','',1,0,'',0,'You cast Tainted Breath on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671690,1335475269,0,1),
(2000696,994499125,0,0,'Taloned Rage','',335,65535,313,0,0,0,0,9,'Your Taloned Rage was successful on %t!','Your Taloned Rage fades.','',1,0,'Spells/Traditions/TalonedRage.lua',1015,'You cast Taloned Rage on %t.',0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1384671690,1384272094,0,0),
(2000697,3565905812,0,0,'Tangled Web','',217,65535,316,0,0,0,0,1,'Your Tangled Web was successful on %t!','Your Tangled Web fades.','',1,0,'',0,'You cast Tangled Web on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671690,1384367282,0,1),
(2000698,649967858,0,0,'Tashiana','Greatly reduces all of the target''s magical resistances for a short duration.',35,65535,315,0,0,0,0,1,'Your Tashiana was successful on %t!','Your Tashiana fades.','',1,0,'',1182,'You cast Tashiana on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671692,1384377909,0,1),
(2000699,3007169725,0,0,'Tearing Beak','',380,65535,315,0,0,0,0,1,'Your Tearing Beak was successful on %t!','Your Tearing Beak fades.','',1,0,'Spells/Traditions/TearingBeak.lua',1014,'You cast Tearing Beak on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1384671692,1335552535,0,1),
(2000700,2193337000,0,0,'Test Nuke','',3,65535,65535,0,0,0,0,1,'Your Test Nuke was successful on %t!','Your Test Nuke fades.','',1,0,'',0,'You cast Test Nuke on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671696,1384377887,0,1),
(2000701,2542238556,0,0,'Theurgist''s Detonation','The Theurgist releases a blast of mystical energies, dealing massive damage to all enemies near them.',620,65535,65535,0,0,0,0,1,'Your Theurgist''s Detonation was successful on %t!','Your Theurgist''s Detonation fades.','',1,0,'',3152,'You cast Theurgist''s Detonation on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671698,1384377910,0,1),
(2000702,3186775825,0,0,'Thought Snap','All enemies in target encounter that are not targeting a fighter ally are forced to target a random fighter ally for a short duration.',51,65535,312,0,0,0,0,1,'Your Thought Snap was successful on %t!','Your Thought Snap fades.','',1,0,'',3119,'You cast Thought Snap on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671700,1384377902,0,1),
(2000703,2213171679,0,0,'Thunderclap','A quick casting and uninterruptable spell that strikes the target with a bolt of lightning.',878,65535,315,0,0,0,0,1,'Your Thunderclap was successful on %t!','Your Thunderclap fades.','',1,0,'Spells/AA/Thunderclap.lua',3133,'You cast Thunderclap on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671702,1384377910,0,1),
(2000704,1565334818,0,0,'Tidal Wave','',235,65535,315,0,0,0,0,1,'Your Tidal Wave was successful on %t!','Your Tidal Wave fades.','',1,0,'',0,'You cast Tidal Wave on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671702,1384378114,0,1),
(2000705,2304840099,0,1,'Time Compression','You are able to compress a single ally''s perception of time, improving the casting, recovery, and reuse speed of their abilities. You cannot cast this spell on yourself.',53,65535,316,0,0,0,1,1,'Your Time Compression was successful on %t!','Your Time Compression fades.','',1,0,'',3114,'You cast Time Compression on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671702,1384377911,0,1),
(2000706,3020295062,0,0,'Time Warp','Time Warp allows the group to have their spells double attack for five seconds along with increasing the amount of triggers of their spells. Time Warp takes five seconds to prepare once cast.',88,65535,316,0,0,0,0,2,'Your Time Warp was successful on %t!','Your Time Warp fades.','',1,0,'',3115,'You cast Time Warp on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671702,1384377913,0,1),
(2000707,4031903609,0,0,'Tortoise Shell','Doubles the effectiveness of the Animalist''s shield. All area effect abilities that do not directly target the Animalist''s group are avoided and increases their health regeneration, as long as they are near the Animalist.  If the caster enters PVP combat, the duration of this effect will be reduced.',657,65535,313,0,0,0,0,2,'Your Tortoise Shell was successful on %t!','Your Tortoise Shell fades.','',1,0,'',3392,'You cast Tortoise Shell on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671704,1384377913,0,1),
(2000708,1466584059,0,0,'Totemic Protection','Totemic Protection heals the group based on the amount of damage the target group member receives. Unless the target of Totemic Protection is the shaman, the target does not receive the heal.',868,65535,314,0,0,0,0,1,'Your Totemic Protection was successful on %t!','Your Totemic Protection fades.','',1,0,'',40,'You cast Totemic Protection on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671704,1384377914,0,1),
(2000709,2421103160,0,0,'Touch of Empathy','Touch of Empathy reduces an enemy''s hate towards an ally. The enemy affected is the ally''s current target. This spell fails if that ally does not have an enemy or an implied enemy targeted.',559,65535,65535,0,0,0,0,1,'Your Touch of Empathy was successful on %t!','Your Touch of Empathy fades.','',1,0,'',3106,'You cast Touch of Empathy on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671704,1384377908,0,1),
(2000710,1914875295,0,0,'Touch of the Wildfire','A bane of those who dwell in the cold Touch of the Wildfire deals a large amount of Cold damage to a group of enemies.',273,65535,312,0,0,0,0,1,'Your Touch of the Wildfire was successful on %t!','Your Touch of the Wildfire fades.','',1,0,'',0,'You cast Touch of the Wildfire on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671704,1384377856,0,1),
(2000711,2144745124,0,0,'Toxic Assault','Passively allows the warlock to build charges of Toxic Aura when using damage spells. The trigger chance on Toxic Aura is 33% at Rank 1, 66% at Rank 2 and 100% at Rank 3. Toxic Aura increments at 3 per attack target and maxes at 180. Toxic Assault inflicts disease damage to the warlock''s target. The damage is substantially higher with more charges of Toxic Aura.',898,65535,315,0,0,0,0,1,'Your Toxic Assault was successful on %t!','Your Toxic Assault fades.','',1,0,'',3225,'You cast Toxic Assault on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671704,1384377902,0,1),
(2000712,2607333177,0,0,'Transference','Transfers health from the pet to an ally.',629,65535,65535,2950599749,0,0,0,3,'Your Transference was successful on %t!','Your Transference fades.','',1,0,'',3153,'You cast Transference on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671708,1384377904,0,1),
(2000713,4148717798,0,0,'Tremors','',508,65535,315,0,0,0,0,0,'Your Tremors was successful on %t!','Your Tremors fades.','',1,0,'',0,'You cast Tremors on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671708,1335553145,0,1),
(2000714,2634923339,0,0,'True Faith','The Templar is able to call upon divine assistance to protect their target from harm.',917,65535,316,0,0,0,0,1,'Your True Faith was successful on %t!','Your True Faith fades.','',1,0,'',3371,'You cast True Faith on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671708,1384377831,0,1),
(2000715,3220444947,0,0,'Truespirit Rift','Summons a healing rift on the target ally. The rift will stay open for a duration and heal nearby allies.',181,65535,314,0,0,0,0,1,'Your Truespirit Rift was successful on %t!','Your Truespirit Rift fades.','',1,0,'',0,'You cast Truespirit Rift on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671708,1384377901,0,1),
(2000716,2194318360,0,0,'Tunare''s Grace','Grants the druid an additional group cure spell. Grants group members a damage effect when cured.',497,65535,314,0,0,0,0,2,'Your Tunare''s Grace was successful on %t!','Your Tunare''s Grace fades.','',1,0,'',3393,'You cast Tunare''s Grace on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671708,1384377914,0,1),
(2000717,1624083660,0,0,'Umbral Barrier','A replacement for Umbral Warding. Applies a powerful ward for a short duration on the mystic''s group that prevents damage to them until the ward has absorbed its maximum amount of damage. This spell can be cast while moving, and cannot be interrupted.',192,16,314,0,0,0,0,2,'Your Umbral Barrier was successful on %t!','Your Umbral Barrier fades.','',1,0,'',3055,'You cast Umbral Barrier on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671710,1384377897,0,1),
(2000718,1873473899,0,0,'Uncontrollable Wrath','A replacement spell for Wrath. This version can be cast on the move and deals damage appropriate to the priest who casts the spell.',169,14,315,0,0,0,0,1,'Your Uncontrollable Wrath was successful on %t!','Your Uncontrollable Wrath fades.','',1,0,'',3711,'You cast Uncontrollable Wrath on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671712,1384377905,0,1),
(2000719,2116806940,0,1,'Undaunted','The priest is able to prevent their own death.',267,65535,317,0,0,0,1,0,'Your Undaunted was successful on %t!','Your Undaunted fades.','',1,0,'',3714,'You cast Undaunted on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671712,1384377902,0,1),
(2000720,2026451796,0,1,'Undeath','The mage is able to prevent their own death.',267,65535,317,0,0,0,1,0,'Your Undeath was successful on %t!','Your Undeath fades.','',1,0,'',3714,'You cast Undeath on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671714,1384377911,0,1),
(2000721,123865715,0,1,'Unflinching Servant','The Perceptor''s pet becomes immune to most control spells and all area effect abilities that do not directly target it. However, the Perceptor''s pet also cannot use any of its combat arts or spells.',614,65535,65535,0,0,0,1,3,'Your Unflinching Servant was successful on %t!','Your Unflinching Servant fades.','',1,0,'',3167,'You cast Unflinching Servant on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671716,1384377904,0,1),
(2000722,4050328764,0,0,'Unyielding Retribution','Grants the priest additional Crit Bonus. This spell''s duration will refresh if the priest uses a combat art or damage spell.',836,65535,317,0,0,0,0,0,'Your Unyielding Retribution was successful on %t!','Your Unyielding Retribution fades.','',1,0,'',3715,'You cast Unyielding Retribution on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671720,1384377907,0,1),
(2000723,2079430997,0,1,'Upbeat Tempo','A song which grants the target an additional health or damage over time update.  In addition, it improves the casting speed, recovery and reuse time of the target.  This cannot be stacked with the illusionist spell Time Compression.',818,65535,316,0,0,0,1,1,'Your Upbeat Tempo was successful on %t!','Your Upbeat Tempo fades.','',1,0,'',1523,'You cast Upbeat Tempo on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671720,1384377905,0,1),
(2000724,1698739816,0,1,'Vacuous','A group enchantment that causes all hate increase and decrease abilities that modify an amount of hate to be more effective.',556,65535,314,0,0,0,1,2,'Your Vacuous was successful on %t!','Your Vacuous fades.','',1,0,'',0,'You cast Vacuous on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671722,1384377838,0,1),
(2000725,900595594,0,0,'Veil of Notes','The bard surrounds themselves with a veil of sound, allowing them to reduce incoming damage while avoiding auto-attacks and, at rank 10, indirect Area of Effect abilities.  If the caster enters PVP combat, the duration of this effect will be reduced.',812,65535,317,0,0,0,0,0,'Your Veil of Notes was successful on %t!','Your Veil of Notes fades.','',1,0,'',3460,'You cast Veil of Notes on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671731,1384377831,0,1),
(2000726,2807249065,0,0,'Venomous Beak','',259,65535,315,0,0,0,0,0,'Your Venomous Beak was successful on %t!','Your Venomous Beak fades.','',1,0,'',0,'You cast Venomous Beak on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671733,1335553146,0,1),
(2000727,2913258479,0,0,'Venomous Bite','A venomous bite that slowly drains power. (Classic)',259,65535,315,0,0,0,0,1,'Your Venomous Bite was successful on %t!','Your Venomous Bite fades.','',1,1,'Spells/Traditions/VenomousBite.lua',459,'%t has been struck by a Venomous Bite.',0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,1,0,0,0,'DoT',1384671733,1335552419,0,0),
(2000728,391646170,0,0,'Victorious Concerto','Rhythmic Overture monitors the bard''s damage over a short duration. Once the overture has been completed, the bard may cast Victorious Concerto which adds a portion of that damage as an additional effect to the group. Additional ranks improve the damage amount. This Alternate Advancement grants two abilities.',926,65535,314,0,0,0,0,2,'Your Victorious Concerto was successful on %t!','Your Victorious Concerto fades.','',1,0,'',0,'You cast Victorious Concerto on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671737,1384377838,0,1),
(2000729,161784156,0,0,'Viney Grasp','',308,65535,315,0,0,0,0,0,'Your Viney Grasp was successful on %t!','Your Viney Grasp fades.','',1,0,'',0,'You cast Viney Grasp on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671737,1335552414,0,1),
(2000730,268515495,0,0,'Volatility','Reduces target encounter''s spell range and radius, and adds it to the warlock''s own benefit.',540,65535,314,0,0,0,0,1,'Your Volatility was successful on %t!','Your Volatility fades.','',1,0,'',3142,'You cast Volatility on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671742,1384377912,0,1),
(2000731,1749869465,0,1,'Ward of Sages','Provides the Sage with a regenerating ward that absorbs all non-physical damage.',203,65535,317,0,0,0,1,0,'Your Ward of Sages was successful on %t!','Your Ward of Sages fades.','',1,1,'',3134,'You cast Ward of Sages on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671743,1384377912,0,1),
(2000732,1617023654,0,1,'Ward''s Bane','Inflicts damage to the target and nearby enemies when they strike the caster''s primary wards.',850,65535,317,0,0,0,1,0,'Your Ward''s Bane was successful on %t!','Your Ward''s Bane fades.','',1,1,'',3373,'You cast Ward''s Bane on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671744,1384377838,0,1),
(2000733,1114516213,0,1,'Warding Spirit','Warding Spirit improves the potential and critical amount of heals and ward based spells.  Non damaging debuffs will also cast faster.  As a penalty, damage based spells will have additional casting time, use additional power and do less damage.',882,65535,317,0,0,0,1,0,'Your Warding Spirit was successful on %t!','Your Warding Spirit fades.','',1,1,'',1575,'You cast Warding Spirit on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671745,1384377836,0,1),
(2000734,1893052287,0,1,'Weakness','',511,65535,317,2463145248,0,0,1,1,'Your Weakness was successful on %t!','Your Weakness fades.','',1,0,'',0,'You cast Weakness on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671746,1384377894,0,1),
(2000735,319094219,0,0,'Whirl of Tentacles','',212,65535,315,0,0,0,0,0,'Your Whirl of Tentacles was successful on %t!','Your Whirl of Tentacles fades.','',1,0,'',0,'You cast Whirl of Tentacles on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671747,1335552432,0,1),
(2000736,486087573,0,0,'Whirling Death','',207,65535,65535,0,0,0,0,1,'Your Whirling Death was successful on %t!','Your Whirling Death fades.','',1,0,'',0,'You cast Whirling Death on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671747,1384378116,0,1),
(2000737,2859784441,0,1,'Whispers of War','',905,65535,65535,0,0,0,1,1,'Your Whispers of War was successful on %t!','Your Whispers of War fades.','',1,0,'',0,'You cast Whispers of War on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671747,1384378116,0,1),
(2000738,549951745,0,0,'Wild Growth','',187,65535,315,0,0,0,0,0,'Your Wild Growth was successful on %t!','Your Wild Growth fades.','',1,0,'',0,'You cast Wild Growth on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671747,1335553145,0,1),
(2000739,447397750,0,1,'Windblade','Grants a short radius damage effect to the warden''s group. Higher ranks of this ability improve the trigger chance.',470,65535,314,0,0,0,1,2,'Your Windblade was successful on %t!','Your Windblade fades.','',1,1,'',3239,'You cast Windblade on %t.',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671750,1384377905,0,1),
(2000740,1884970353,0,0,'Windrider','',353,65535,315,0,0,0,0,1,'Your Windrider was successful on %t!','Your Windrider fades.','',1,0,'',0,'You cast Windrider on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671750,1384367286,0,1),
(2000741,3317919629,0,0,'Winds of Growth','Heals the warden''s two allies with the lowest health percentages. The targets must be within 50 meters of the warden.',876,65535,316,0,0,0,0,1,'Your Winds of Growth was successful on %t!','Your Winds of Growth fades.','',1,1,'',3240,'You cast Winds of Growth on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671750,1384377905,0,1),
(2000742,1914997359,0,0,'Wing Buffet','',300,65535,312,0,0,0,0,1,'Your Wing Buffet was successful on %t!','Your Wing Buffet fades.','',1,0,'',0,'You cast Wing Buffet on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671752,1384378116,0,1),
(2000743,2429719930,0,0,'Wing Sweep','',300,65535,315,0,0,0,0,1,'Your Wing Sweep was successful on %t!','Your Wing Sweep fades.','',1,0,'',0,'You cast Wing Sweep on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671752,1384378114,0,1),
(2000744,1990432193,0,0,'Winged Venom','',207,65535,315,0,0,0,0,1,'Your Winged Venom was successful on %t!','Your Winged Venom fades.','',1,0,'Spells/Traditions/WingedVenom.lua',0,'You cast Winged Venom on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671752,1384378116,0,1),
(2000745,664793954,0,0,'Wondrous Distraction','A bash that mesmerizes an enemy it strikes. Any damage to that target will break the mesmerize effect. Increased ranks will increase the duration of this attack.',563,65535,65535,0,0,0,0,1,'Your Wondrous Distraction was successful on %t!','Your Wondrous Distraction fades.','',1,1,'Spells/AA/WondrousDistraction.lua',3372,'You cast Wondrous Distraction on %t.',0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671752,1384377915,0,1),
(2000746,1179622105,0,0,'Wraithwall','Wards the target from all damage. Only absorbs damage that would cause the target to fall below 20% health. Higher ranks of this ability lower the reuse time.',881,65535,316,0,0,0,0,1,'Your Wraithwall was successful on %t!','Your Wraithwall fades.','',1,0,'',3256,'You cast Wraithwall on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671754,1384377839,0,1),
(2000747,4225723331,0,0,'Wrath of Nature','The druid uses their knowledge of nature to call forth a powerful storm of lightning.',878,65535,312,0,0,0,0,1,'Your Wrath of Nature was successful on %t!','Your Wrath of Nature fades.','',1,1,'',1578,'You cast Wrath of Nature on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671754,1384377841,0,1),
(2000748,965448652,0,0,'Wuoshi''s Recovery','Clears most of the priest''s reuses.',755,65535,317,0,0,0,0,0,'Your Wuoshi''s Recovery was successful on %t!','Your Wuoshi''s Recovery fades.','',1,0,'',3713,'You cast Wuoshi''s Recovery on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671754,1384377832,0,1),
(2000749,1925910223,0,1,'Xelgad''s Conversion','',931,65535,65535,0,0,0,1,1,'Your Xelgad''s Conversion was successful on %t!','Your Xelgad''s Conversion fades.','',1,0,'',0,'You cast Xelgad''s Conversion on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671754,1384377889,0,1),
(2000750,4063328000,0,1,'Xelgad''s Evil Raid Debuff','',931,65535,65535,0,0,0,1,1,'Your Xelgad''s Evil Raid Debuff was successful on %t!','Your Xelgad''s Evil Raid Debuff fades.','',1,0,'',0,'You cast Xelgad''s Evil Raid Debuff on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384671754,1384377887,0,1),
(2000751,1174384862,0,1,'Yaulp','Increases the Cleric''s attack speed, combat attack damage, and chances to strike twice, while lowering spellcasting skills until this spell is canceled. This also adds physical mitigation along with 4 wisdom and stamina passively per point spent.',608,65535,65535,0,0,0,1,0,'Your Yaulp was successful on %t!','Your Yaulp fades.','',1,0,'',3373,'You cast Yaulp on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384671754,1384377906,0,1),
(2000752,362362192,0,0,'Sanctify','Improves the amount of maximum health of the target. This spell starts at five increments and decreases each time the target takes damage. Higher ranks of this ability reduce the base reuse time.',260,65535,316,0,0,0,0,1,'Your Sanctify was successful on %t!','Your Sanctify fades.','',1,0,'',3236,'You cast Sanctify on %t.',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,'Unset',1384899842,1384377908,0,1),
(2000753,3312213527,0,0,'Shockwave','',217,65535,315,0,0,0,0,1,'Your Shockwave was successful on %t!','Your Shockwave fades.','',1,1,'',0,'You cast Shockwave on %t.',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1384900619,1384378116,0,1),
(2550000,0,0,0,'Fur Pluck','',668,65535,318,0,0,0,0,1,'','','',1,0,'Spells/FurPluck.lua',0,'You pluck some fur from %t.',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1529719263,0,0,1),
(2550001,0,0,0,'Corrosive Strike','Deals instant poison damage to the targeted enemy.',161,25,315,193411854,613995491,5,0,1,'Your Dissolve was successful on %t!','Your Dissolve fades.','',1,0,'Spells/Mage/Sorcerer/Warlock/Dissolve.lua',1952,'You cast Dissolve on %t.',0,0,0,1,0,0,0,0,0,240104,0,0,0,0,0,0,0,0,0,'Unset',1566171856,0,0,1),
(2550002,0,0,0,'HO Template','',0,0,0,0,0,0,0,1,'','','',0,0,'Spells/Commoner/HOTemplate.lua',0,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1583455401,0,0,1),
(2550003,2246100996,3,0,'Constant Heat','Constant Heat allows you to counter Minor Heat Spike, Heat Spike, Major Heat Spike, Minor Heat Loss, Heat Loss, and Major Heat Loss.  Progress is increased, but durability is lowered.',424,65535,65535,935416212,3881305672,5,0,0,'','','',0,0,'',213,'',3,0,0,0,1,0,0,0,0,9021,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550004,1577897253,3,0,'Angle Joint','Angle Joint allows you to counter Small Red Bead, Orange Bead, and White Bead.  Progress is increased at the cost of some of your power.',413,65535,65535,1151456682,3108933728,5,0,0,'','','',0,0,'',234,'',3,0,0,0,1,0,0,0,0,9009,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550005,801169572,3,0,'Awareness','Awareness allows you to counter Puff of Steam, Billow of Steam, and Gale of Steam.  Progress is increased at the cost of some of your power.',423,65535,65535,935416212,3881305672,5,0,0,'','','',0,0,'',213,'',3,0,0,0,1,0,0,0,0,9062,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550006,2921875529,3,0,'Nimble','Nimble allows you to counter Small Material Catch, Material Catch, and Extensive Material Catch.  Progress is increased, but durability is lowered.',420,65535,65535,2710531826,2082133324,5,0,0,'','','',1,0,'',41,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550007,1092513455,3,0,'Concentrate','Concentrate allows you to counter Minor Distraction, Distraction, and Major Distraction.  Progress is increased at the cost of some of your power.',414,65535,65535,2639209773,1039865549,5,0,0,'','','',0,0,'',187,'',3,0,0,0,0,0,0,0,0,9059,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550008,1515367075,3,0,'Anneal','Anneal allows you to counter Minor Hardened Metal, Hardened Metal, and Extensive Hardened Metal.  Progress is increased, but the chance of a success is lowered by a small amount.',426,65535,65535,3395302654,4032608519,10,0,0,'','','',0,0,'',186,'',3,0,0,0,1,0,0,0,0,9018,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550009,436718780,3,0,'Measure','Measure allows you to counter Minor Mismeasurement, Mismeasurement, and Major Mismeasurement.  Progress is increased, but the chance of a success is lowered.',410,65535,65535,1677747280,3076004370,10,0,0,'','','',0,0,'',208,'',3,0,0,0,1,0,0,0,0,9011,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550010,459404190,3,0,'Strikes','Strikes allows you to counter Red Hot Metal, Orange Hot Metal, and White Hot Metal. Progress is increased, but durability is lowered.',411,65535,65535,1151456682,3108933728,5,0,0,'','','',0,0,'',205,'',3,0,0,0,1,0,0,0,0,9039,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550011,2779377452,3,0,'Focus of Spirit','Focus of Spirit allows you to counter Minor Paradigm Shift, Paradigm Shift, and Major Paradigm Shift.  Progress is increased, but the chance of a success is lowered.',422,65535,65535,2463992638,3330500131,5,0,0,'','','',0,0,'',193,'',3,0,0,0,1,0,0,0,0,9015,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550012,183757758,3,0,'Theory','Theory allows you to counter Minor Mis-Calibration, Mis-Calibration, Major Mis-Calibration, Minor Mis-calculation, Mis-calculation, and Major Mis-calculation.  Progress is increased, but durability is lowered.',403,65535,65535,2817699641,2557647574,5,0,0,'','','',1,0,'',189,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550013,2589376130,3,0,'Cutting','Cutting allows you to counter Minor Knot, Knot, Major Knot, Minor Unyielding Board, Unyielding Board, and Major Unyielding Board.  Progress is increased, but durability is lowered.',407,65535,65535,1677747280,3076004370,10,0,0,'','','',1,0,'',248,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550014,2481611100,3,0,'Notation','Notation allows you to counter Uncommon Symbols, Strange Symbols, and Exotic Symbols.  Progress is increased, but the chance of a success is lowered.',396,65535,65535,2949308177,773137566,5,0,0,'','','',0,0,'',189,'',3,0,0,0,1,0,0,0,0,9067,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550015,505166383,3,0,'Knots','Knots allows you to counter Minor Frayed Material, Frayed Material, Substantial Frayed Material, Trivial Knotting, Knotting, and Liberal Knotting.  Progress is increased at the cost of some of your power.',418,65535,65535,2710531826,2082133324,5,0,0,'','','',0,0,'',286,'',3,0,0,0,1,0,0,0,0,9006,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550016,233769783,3,0,'Stitching','Stitching allows you to counter Negligible Loose Material, Loose Material, and Substantial Loose Material.  Progress is increased, but the chance of a success is lowered by a small amount.',417,65535,65535,2710531826,2082133324,5,0,0,'','','',0,0,'',211,'',3,0,0,0,1,0,0,0,0,9042,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550017,529889333,3,0,'Lettering','Lettering allows you to counter Common Writing, Uncommon Writing, and Outlandish Writing.  Progress is increased at the cost of some of your power.',400,65535,65535,2949308177,773137566,5,0,0,'','','',0,0,'',188,'',3,0,0,0,1,0,0,0,0,9012,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550018,401734213,3,0,'Dovetail Joint','Dovetail Joint allows you to counter Minor Loose Joint, Loose Joint, Major Loose Joint, Minor Misalignment, Misalignment, and Major Misalignment.  Progress is increased, but durability is lowered.',405,65535,65535,2639209773,1039865549,5,0,0,'','','',1,0,'',207,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550019,4122759557,2,0,'Call of the Overlord','Returns you to Freeport.',230,65535,317,0,0,0,0,0,'','','',1,0,'',0,'',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550020,2993900090,2,0,'Call of Qeynos','Returns you to Qeynos.',230,65535,317,0,0,0,0,0,'','','',1,0,'',0,'',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550021,2510511123,1,0,'Orc Master''s Rage','Constant menace to the strength of Freeport, these monstrous humanoids seek only to enslave and destroy.  They dominate the valleys and caverns throughout the Commonlands of D''Lere, building fortifications to grab territory for themselves.  They represent an undeniable threat to all free races in the land.  Taking orcs as your foe will grant you special tactical abilities to use against them in combat.',190,2,315,1408356869,0,0,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550022,2916850356,1,0,'Gnoll Master''s Rage','Sworn enemies of noble Qeynos, these dog-like humanoids infest hills and caverns throughout the continent of Karan.  Fiercely tribal, they sustain themselves through raiding farms and outposts.  Their warlike nature and large numbers make them a constant threat to trade and travel.  Taking gnolls as your foe will grant you special tactical abilities to use against them in combat.',190,2,315,1408356869,0,0,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550023,2162977223,0,0,'Orc Master''s Smite','Constant menace to the strength of Freeport, these monstrous humanoids seek only to enslave and destroy.  They dominate the valleys and caverns throughout the Commonlands of D''Lere, building fortifications to grab territory for themselves.  They represent an undeniable threat to all free races in the land.  Taking orcs as your foe will grant you special tactical abilities to use against them in combat.',152,14,65535,2463145248,0,19,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550024,2510122033,0,0,'Gnoll Master''s Smite','Sworn enemies of noble Qeynos, these dog-like humanoids infest hills and caverns throughout the continent of Karan.  Fiercely tribal, they sustain themselves through raiding farms and outposts.  Their warlike nature and large numbers make them a constant threat to trade and travel.  Taking gnolls as your foe will grant you special tactical abilities to use against them in combat.',152,14,65535,2463145248,0,19,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550025,2277621721,0,0,'Traumaheilung','Heilt BeeintrÃ¤chtigungen eines VerbÃ¼ndeten, die durch einem Trauma verursacht wurden, und erhÃ¶ht kurzfristig seine RÃ¼stungsklasse.',147,13,315,3341842907,0,65,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550026,3558124173,0,0,'Cloak of Venril','An augmentation which grants invisibility to the chosen ally. If the invisibility is broken a Lifetap is cast upon the attacking enemy.',165,0,315,2894715199,0,163,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550027,3171057010,0,0,'Distorted Visions','Augmentation which grants Invisibility to an ally. Also places a brief Defensive skill increase on the ally when the invisibility expires.',165,0,315,2662430630,0,155,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550028,195479104,1,1,'Sneak','Allows you to move undetected.',341,38,317,1921433074,0,15,1,0,'Your Sneak was successful on %t!','Your Sneak fades.','',0,1,'Spells/Sneak.lua',41,'You cast Sneak on %t.',1,0,0,0,1,0,0,0,0,2550028,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,0),
(2550029,130862803,1,0,'Hunt','Allows stealthed movement and the ability to see hidden enemies.',191,38,317,3167106577,0,88,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550030,2766297544,0,0,'Shard of Essence','Summons an item to an ally that sacrifices Health for Power.',486,27,315,2042842194,0,238,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550031,1056122845,0,0,'Fade','An augmentation which grants invisibility to the chosen ally. If the invisibility is broken a Lifetap is cast upon the attacking enemy.',165,0,315,2894715199,0,230,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550032,293410905,1,1,'Walk Lightly','Allows stealthed movement at an increased movement rate.',341,38,317,1311635100,0,85,0,0,'','','',1,0,'Spells/WalkLightly.lua',41,'',1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550033,3256983565,0,0,'Watery Abeyance','An augmentation that grants water breathing and increases an ally''s swimming ability.',165,65535,315,2581053277,0,185,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550034,993930956,0,0,'Sacrificial Heart','Summons a bauble for the chosen ally which restores power over time at the cost of health.',486,27,315,2894715199,0,238,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550035,2970387406,1,0,'Assault','An area of effect attack that damages enemies near you.',302,3,313,1408356869,0,35,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550037,649188514,0,0,'Aspect of the Shark','Grants water breathing and additional variable Slashing damage to an ally.',335,65535,315,1624274802,0,185,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550038,453163503,0,0,'Ephemeral Apparition','Grants invisibility and slightly increases non-combat Power regeneration, also slightly decreases moment speed on one ally. \r\n \r\nThe Illusionist can one focus on one ally at a time.',165,0,315,2898101972,0,163,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550039,1456108164,0,0,'Veil of Mist','Augmentation that renders an ally invisible. This augmentation also decreases Movement Speed.\r\n \r\nThis augmentation may only be placed on the Coercer or one ally at a time.',165,0,315,2042842194,0,178,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550040,2813036738,0,0,'Sliver of Essence','Summons an item to an ally that sacrifices Health for Power.',486,27,315,2042842194,0,168,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550041,1667805694,0,0,'Ignore','Augmentation that renders an ally invisible.\r\n \r\nThis augmentation may only be placed on the Coercer or one ally at a time.',165,0,315,2950599749,0,163,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550042,165434135,1,0,'Cheap Shot','Briefly stuns  the target on a successful hit. Hitting the target again will break the stun.',217,41,315,1921433074,0,30,0,0,'','','',0,1,'',0,'',1,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550043,798386262,0,0,'Dark Heart','Summons a bauble which restores power over time at the cost of health.',486,27,315,2894715199,0,168,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550044,752805010,0,0,'Altered Vision','Augmentation which grants Invisibility to an ally. Also places a brief Defensive skill increase on the ally when the invisibility expires.',165,0,315,2662430630,0,218,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550045,2283061412,0,0,'Spirit Shroud','Augmentation which grants Invisibility to an ally. If the Invisibility is broken due to an enemy attack, it causes a short duration Stun effect.',165,0,315,193411854,0,232,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550046,534802969,0,0,'Watery Horror','Augmentation, placed on an ally, that grants water-breathing and a reactive ability that has a chance to deal Disease damage over-time to an attacker.',224,65535,315,3191839982,0,198,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550047,309603404,0,0,'Distortion Field','Grants invisibility and slightly increases non-combat Power regeneration.\r\n \r\nThe Illusionist can one focus on one ally at a time.',165,65535,315,2898101972,0,228,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550048,2707595813,0,0,'Disregard','Augmentation that renders an ally invisible.\r\n \r\nThis augmentation may only be placed on the Coercer or one ally at a time.',165,0,315,2950599749,0,238,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550049,1746081253,0,0,'Aqueous Spirit','Grants water breathing and increases the defense skill of the chosen ally.',227,65535,315,3467160477,0,185,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550050,1549920298,0,0,'Nereid''s Kiss','Augmentation which grants Water breathing and increases Arcane damage mitigation of an ally.',211,65535,315,1040683335,0,185,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550051,4052241859,0,0,'Dregs','An augmentation that grants water breathing and increases the Elemental resistance of the Inquisitors ally.',347,65535,315,1829443087,3587918036,185,0,1,'Your Dregs was successful on %t!','Your Dregs fades.','',1,1,'Spells/Dregs.lua',784,'You cast Dregs on %t.',0,0,0,0,1,1,0,0,0,2550051,0,0,0,0,0,1,0,0,0,'Buff',0,0,140178,1),
(2550052,2353463770,1,0,'Snoop','Allows improved stealthed movement.',341,38,317,1514256692,0,88,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550053,2492579915,0,0,'Cloak of Mist','Augmentation that renders an ally invisible.\r\n \r\nThis augmentation may only be placed on the Conjurer or one ally at a time.',165,0,315,2042842194,0,228,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550054,1616411488,0,0,'Aspect of Vul','Augmentation which grants Invisibility to an ally. If the Invisibility is broken due to an enemy attack, it causes a short duration Stun effect.',165,0,315,193411854,0,163,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550055,647569501,0,0,'Illusory Shroud','An augmentation that grants invisibility to the Illusionist and allies.',231,65535,314,2898101972,0,190,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550056,3953551081,3,0,'Round Brilliant Cut','Round Brilliant Cut allows you to counter Small Impurities, Impurities, and Major Impurities.  Progress is increased at the cost of some of your power.',421,65535,65535,2463992638,3330500131,5,0,0,'','','',1,0,'',190,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550057,3550557682,3,0,'Mind over Matter','Mind Over Matter allows you to counter Minor Magical Anomaly, Magical Anomaly, Major Magical Anomaly, Minor Magical Influx, Magical Influx, and Major Magical Influx.  Progress is increased, but durability is lowered.',419,65535,65535,2463992638,3330500131,5,0,0,'','','',0,0,'',187,'',3,0,0,0,1,0,0,0,0,9072,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550058,3176562095,3,0,'Tempering','Tempering allows you to counter Red Hot Material, Orange Hot Material, and White Hot Material.  Progress is increased at the cost of some of your power.',428,65535,65535,3395302654,4032608519,10,0,0,'','','',1,0,'',204,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550059,3506761992,3,0,'Metallurgy','Metallurgy allows you to counter Minor Impurity Bubble, Impurity Bubble, and Major Impurity Bubble.  Progress is increased, but the chance of a success is lowered by a small amount.',406,65535,65535,2639209773,1039865549,5,0,0,'','','',0,0,'',186,'',3,0,0,0,1,0,0,0,0,9074,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550060,3968460840,3,0,'Spellbinding','Spellbinding allows you to counter Minor Mystic Anomaly, Mystic Anomaly, Major Mystic Anomaly, Common Spectral Influx, Spectral Influx, and Stellar Spectral Infux.  Progress is increased, but durability is lowered.',399,65535,65535,2949308177,773137566,5,0,0,'','','',1,0,'',191,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550061,4248359478,3,0,'Experiment','Experiment allows you to counter Emulsing, Solvolysis, and Catacaustic.  Progress is increased at the cost of some of your power.',404,65535,65535,2817699641,2557647574,5,0,0,'','','',0,0,'',199,'',3,0,0,0,1,0,0,0,0,9001,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550062,4000840260,3,0,'Seasoning','Seasoning allows you to counter Minor Flavor Loss, Flavor Loss, and Major Flavor Loss.  Progress is increased, but the chance of a success is lowered.',130,65535,65535,935416212,3881305672,5,0,0,'','','',0,0,'',216,'',3,0,0,0,1,0,0,0,0,9058,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550063,2024427955,0,0,'Orc Master''s Strike','Constant menace to the strength of Freeport, these monstrous humanoids seek only to enslave and destroy.  They dominate the valleys and caverns throughout the Commonlands of D''Lere, building fortifications to grab territory for themselves.  They represent an undeniable threat to all free races in the land.  Taking orcs as your foe will grant you special tactical abilities to use against them in combat.',152,25,65535,3820670534,0,9,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550064,4253184752,3,0,'Isothermic','Isothermic allows you to counter Slight Heat Wave, Heat Wave, Hefty Heat Wave, Slight Heat Depletion, Heat Depletion, and Hefty Heat Depletion.  Progress is increased, but the chance of a success is lowered.',401,65535,65535,1151456682,3108933728,5,0,0,'','','',1,0,'',0,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550065,3505573806,3,0,'Reaction','Reactions allows you to counter Exothermic Reaction, Endothermic Reaction, and Electrophilic Reaction.  Progress is increased, but the chance of a success is lowered by a small amount.',402,65535,65535,2817699641,2557647574,5,0,0,'','','',1,0,'',245,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550066,4023253832,3,0,'Hardening','Hardening allows you to counter Water Quench, Saltwater Quench, Oil Quench, Minor Soft Metal, Soft Metal, and Extensive Soft Metal.  Progress is increased, but durability is lowered.',427,65535,65535,3395302654,4032608519,10,0,0,'','','',0,0,'',204,'',3,0,0,0,1,0,0,0,0,9070,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550067,3407016137,3,0,'Handwork','Handwork allows you to counter Minor Kickback, Kickback, and Major Kickback.  Progress is increased at the cost of some of your power.',415,65535,65535,1677747280,3076004370,10,0,0,'','','',0,0,'',207,'',3,0,0,0,1,0,0,0,0,9095,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550068,4162349586,0,0,'Gnoll Master''s Strike','Sworn enemies of noble Qeynos, these dog-like humanoids infest hills and caverns throughout the continent of Karan.  Fiercely tribal, they sustain themselves through raiding farms and outposts.  Their warlike nature and large numbers make them a constant threat to trade and travel.  Taking gnolls as your foe will grant you special tactical abilities to use against them in combat.',152,25,65535,3820670534,0,9,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550069,1680966540,3,0,'Analyze','Analyze allows you to counter Emulsing, Solvolysis, and Catacaustic.  Durability is increased at the cost of some of your power.',404,65535,65535,2817699641,2557647574,50,0,0,'','','',0,0,'',199,'',3,0,0,0,1,0,0,0,0,9001,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550070,1017167510,3,0,'Center of Spirit','Center of Spirit allows you to counter Minor Paradigm Shift, Paradigm Shift, and Major Paradigm Shift.  Durability is increased, but the chance of a success is lowered.',422,65535,65535,2463992638,3330500131,50,0,0,'','','',0,0,'',193,'',3,0,0,0,1,0,0,0,0,9015,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550071,2258381199,3,0,'Calligraphy','Calligraphy allows you to counter Common Writing, Uncommon Writing, and Outlandish Writing.  Durability is increased at the cost of some of your power.',400,65535,65535,2949308177,773137566,50,0,0,'','','',0,0,'',188,'',3,0,0,0,1,0,0,0,0,9012,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550072,2482682372,3,0,'Conceptualize','Conceptualize allows you to counter Minor Mis-Calibration, Mis-Calibration, Major Mis-Calibration, Minor Mis-calculation, Mis-calculation, and Major Mis-calculation.  Durability is increased, but progress is lowered.',403,65535,65535,2817699641,2557647574,50,0,0,'','','',1,0,'',189,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550073,1252549704,3,0,'Telekinesis','Telekinesis allows you to counter Minor Magical Anomaly, Magical Anomaly, Major Magical Anomaly, Minor Magical Influx, Magical Influx, and Major Magical Influx.  Durability is increased, but progress is lowered.',419,65535,65535,2463992638,3330500131,50,0,0,'','','',1,0,'',187,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550074,182661350,3,0,'Jot Down','Jot down allows you to counter Uncommon Symbols, Strange Symbols, and Exotic Symbols.  Durability is increased, but the chance of a success is lowered.',396,65535,65535,2949308177,773137566,50,0,0,'','','',1,0,'',189,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550075,1924085587,3,0,'Square Cut','Square Cut allows you to counter Small Impurities, Impurities, and Major Impurities.  Durability is increased at the cost of some of your power.',421,65535,65535,2463992638,3330500131,50,0,0,'','','',1,0,'',190,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550076,1241226772,3,0,'Synthesis','Synthesis allows you to counter Exothermic Reaction, Endothermic Reaction, and Electrophilic Reaction.  Durability is increased at the cost of some of your power.',402,65535,65535,2817699641,2557647574,50,0,0,'','','',0,0,'',245,'',3,0,0,0,1,0,0,0,0,9086,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550077,1971370386,3,0,'Spell Weaving','Spell Weaving allows you to counter Minor Mystic Anomaly, Mystic Anomaly, Major Mystic Anomaly, Common Spectral Influx, Spectral Influx, and Stellar Spectral Infux.  Durability is increased, but progress is lowered.',399,65535,65535,2949308177,773137566,50,0,0,'','','',1,0,'',191,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550078,3368142048,4,1,'Toughened Hide','All ogres have a thick hide that is tough to pierce or slice.  This hide assists the ogre defensively in battle.\r\n \r\n\"You thought you were going to hurt me with that knitting needle, rogue?  Next time bring a big boys weapon!\"\r\n \r\nEnhancement, placed upon you, which increases your Defense skill by 5.',329,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/ToughenedHide.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550079,3279910827,4,1,'Rallosian Conditioning','During the rise of the second Rallosian empire, techniques were introduced to improve the stamina of its soldiers.  Those techniques are still in use to this day.\r\n \r\n\"Victory goes to the warrior who can continue the fight.  There are no water breaks on the battlefield!\"\r\n \r\nEnhancement, placed upon you, which provides you with 5 additional Stamina.',218,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/RallosianConditioning.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550080,1190436187,0,0,'Summon Shadows','Summons shadows around a single ally while slightly reducing their movement. \r\n \r\nYou can only focus the shadows on one ally at a time.',165,0,315,2533124061,0,90,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550081,2254243362,4,0,'Rallosian Readiness','The second rallosian army took great pride in the quality of their equipment and armor.  Some of those crafting ideas are still used to this day.\r\n \r\n\"Maintain your armor, keep it ready for battle!  Take care of it and it will take care of you.\"\r\n \r\nEnhancement, placed upon you, which increases your Metalshaping skill by 5.',411,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/RallosianReadiness.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550082,2642246586,2,0,'Murdunk''s Tactics','Murdunk, the grand general who lead the invasion on the Plane of Earth, taught many his men many tactics to use in combat.  Some of these techniques are still used to this day.\r\n \r\n\"The Great General''s tactics are without fault.  It is the soldier who falls that is imperfect!\"\r\n \r\nEnhancement, placed upon you, which provides a chance to proc an extra Slashing damage attack during combat.',264,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/MurdunksTactics.lua',270,'',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'CombatBuff',0,0,0,1),
(2550083,96168278,4,0,'Blessing of Rallos','As the favored creation of Ralloz Zek, the ogres have been bestowed with incredible strength.\r\n \r\n\"The Warlord as gifted us with great strength... let''s use it to see who can throw a gnome the farthest!\"\r\n \r\nEnhancement, placed upon you, which increases your Strength by 5.',291,65535,65535,0,0,0,0,0,'','','',1,0,'',0,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550084,900916105,4,0,'War Ready','It is typical for ogres just prior to battle to work themselves up into a state of ferocity.  This excited state seems to increase the health of the ogre.\r\n \r\n\"Crush them all!  Break their bones!  Leave none alive!\"\r\n \r\nEnhancement, placed upon you, which increases your maximum Health pool by 3 percent.',184,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/WarReady.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550085,4198465229,2,0,'Battlefield Command','Ogres are impressive figures on the battlefield.  Their bellowed instructions serve to enhance the defensive abilities of those they are guiding.\r\n \r\n\"Watch your back!  Fill the breach!  Get that filthy Halfling out of the food crate!\"\r\n \r\nEnhancement, placed upon target ally, which increases their Defense skill by 5.',324,65535,65535,0,0,0,0,2,'','','',1,0,'Spells/BattlefieldCommand.lua',258,'',2,0,1,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'CombatBuff',0,0,0,1),
(2550086,1810018319,2,0,'Battle Rest','Ogres are famous for getting the most out of short spans of rest time.  They have learned to recover health and vigor quickly in such moments of down time.\r\n \r\n\"The true soldier knows that during war there are only two things you need to be doing: fighting or resting.  If you aren''t doing one, you better be doing the other.\"\r\n \r\nAugmentation, placed upon you, which increases your Health regeneration out of combat and increases your Strength by 2.',327,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/BattleRest.lua',258,'',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2550087,58072255,4,1,'Lifted Curse','With the disappearance of the gods, the curse of stupidity placed on the ogres has been lifted.  Some ogres have reached a level of commendable intelligence.\r\n \r\n\"Some think it is strange to see an ogre reading from the ancient tomes.  I say things are finally getting back to the way they should be!\"\r\n \r\nEnhancement, placed upon you, which increases your Intelligence by 5.',262,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/LiftedCurse.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550088,3322401093,4,0,'Oggokian Trade','A common trade worked by ogres is the crafting of weapons.  Many destructive and dangerous instruments have been created on the anvils of Oggok.\r\n \r\n\"Check out the size of the axe head on this one, boys!  I bet I could split at least three dwarves in one swing with this!\"\r\n \r\nEnhancement, placed upon you, which increases your Metalworking skill by 5.',429,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/OggokianTrade.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550089,3394933213,1,0,'Lurk','Allows stealthed movement. If damage is taken the brigand will feign death and is granted increased stamina.',341,38,317,1519965519,0,225,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550090,2669989873,1,0,'Bootleg','A group stealth that grants increased strength and agility on dissipation.',370,38,314,2663054519,0,195,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550091,2017194019,1,0,'Chant of Shadows','Allows stealthed movement at an increased movement speed. If damage is taken, the aggressor suffers disease damage over time and the dirge is granted increased intelligence.',341,38,317,340921594,0,225,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550092,2942462129,1,0,'Stalk Prey','Allows stealthed movement and the ability to see hidden enemies. If the ranger is damaged the enemy is reduced in speed and the ranger is granted an increased piercing resistance.',278,38,317,1400160844,0,225,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550093,749636251,1,0,'Stealthy Burglary','A greatly effective group stealth that allows the group to move at greater stealth speed.',341,38,314,1519965519,0,195,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550094,2696635064,0,0,'Valim''s Dark Song','Allows stealthed movement at an increased movement speed and deals disease damage over time to enemies that damage the dirge.',200,38,317,340921594,0,155,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550095,2389044574,1,0,'Dazzling Shroud','Allows stealthed movement and mesmerizes enemies that damage the swashbuckler.',269,38,317,2663054519,0,155,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550096,1364722674,1,0,'Lie in Wait','Allows stealthed movement.  If damage is taken the aggressor is mesmerized and the swashbuckler is granted increased strength.',370,38,317,2663054519,0,225,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550097,490109539,1,0,'Freeboot','Places the swashbuckler''s group into stealth. Freeboot has a longer duration than smuggle.',370,38,314,2663054519,0,128,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550098,27915089,1,0,'Disappear','An out of combat stealth, it also increases your movement rate.',165,38,317,2711101135,0,250,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550099,1508459875,1,0,'Offering','Allows a monk to take damage instead of the target.',332,5,315,2011726342,0,193,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550100,3461695264,1,0,'Murderer''s Flight','Allows stealthed movement, the ability to see hidden enemies, and grants a burst of speed if damage is taken.',341,38,317,2711101135,0,155,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550101,180154884,1,0,'Vanish','An out of combat stealth, it also increases your movement rate.',165,38,317,2711101135,0,180,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550102,1043775140,0,0,'Mala''s Silent Hymn','Allows stealthed movement at an increased movement speed and briefly stops enemy attacks if they damage the troubador.',269,38,317,296246391,0,155,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550103,741932023,1,0,'Craven Walk','Allows stealthed movement and causes the brigand to feign death if damage is taken.',231,38,317,1519965519,0,155,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550104,3392325999,0,0,'Mala''s Voiceless Discant','Allows stealthed movement at an increased movement speed. If damage is taken, the aggressor will briefly stop attacking and the troubador is granted increased agility.',183,38,317,296246391,0,225,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550105,1391209573,0,0,'Elemental Aid','Cures Elemental impairments and heals an ally.',149,13,315,3341842907,0,95,0,0,'','','',1,0,'Spells/ElementalAid.lua',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550107,1276516430,1,0,'Espionage','Allows stealthed movement and the ability to see hidden enemies. If damage is taken, the assassin is granted a burst of speed and increased agility.',341,38,317,2711101135,0,225,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550108,3030525254,1,0,'Huntsman''s Trap','Allows stealthed movement, the ability to see hidden enemies, and snares enemies if the ranger is attacked.',375,38,317,1400160844,0,155,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550109,1428669152,4,1,'Elven Reflexes','Elves of all types are extremely dexterious and agile.\r\n \r\n\"In a world where lives are ended in a blink of an eye, quick reflexes are what seperate the swift from the dead.\"\r\n  \r\nIncrease Agility',348,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/ElvenReflexes.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550110,250280681,4,0,'Sinister Cunning','Dark Elves are incredibly intelligent and the plans they conceive are far more dangerous than most people can comprehend.\r\n \r\n\"It is only a matter of time before the Teir''Dal nation rises up to lead this world!\"\r\n  \r\nIncrease Intelligence',474,65535,65535,0,0,0,0,0,'','','',1,0,'',0,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550111,1748752765,4,1,'Pursuit of the Arcane','The Teir''Dal nation has always been facinated with ancient magics and arcane abilities.  It is quite common to find them in deep study of ancient texts and scrolls.\r\n \r\n\"This Academy library is no match for the Library K''Lorn!  These humans know nothing of the arcane!\"\r\n \r\nIncrease Scribing tradeskill rank.',159,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/PursuitoftheArcane.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550112,3305517443,2,0,'Wrath of the Teir''Dal','In combat the Dark Elves tap into deep pools of hatred and release it with a fury upon their enemies.\r\n \r\n\"None shall stand against the Teir''Dal empire!  You will all be brought to your knees!\"\r\n  \r\nDefensive Divine damage proc',198,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/WrathoftheTeirDal.lua',516,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'CombatBuff',0,0,0,1),
(2550113,1676205563,4,1,'Poison Crafter','The Dark Elves have discovered and improved many different methods of poisoning the body through alchemy.  Sometimes the skill is used to extract information, other times it is to kill rivals quickly.\r\n \r\n\"To slowly destroy a foe without his knowledge, to draw the death out slowly.  That is the way of a true manipulator of toxins.\"\r\n \r\nIncrease Chemistry tradeskill rank.',238,65535,65535,0,0,0,1,0,'','','',1,1,'Spells/PoisonCrafter.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550114,1630922326,4,1,'Strength of Will','Once a Dark Elf''s mind is set on something it is very difficulty to turn them away from that idea.\r\n \r\n\"Innoruuk himself will not dissuade me from destroying that man!\"\r\n  \r\nIncrease Mental resistance.',245,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/StrengthofWill.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550115,2069697705,2,0,'Fueled by Hate','The dark powers of Hate energize the Teir''Dal to carry out their sinister plans.\r\n \r\n\"I can feel it wash over me, strengthening me, empowering me!\"\r\n \r\nRegenerate Power while outside of combat, increase resistance to Magic.',218,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/FueledbyHate.lua',0,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,1),
(2550116,2420653896,4,0,'Innoruuk''s Cauldron','Teir''Dal believe that even though Innorruk is silent for now, his power and Hate can still be drawn upon for their nefarious plots.\r\n \r\n\"Hate will spread across Norrath, be it by His hand or our own, it will be done!\"\r\n \r\nIncrease maximum Power.',207,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/InnoruuksCauldron.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550117,1654695493,2,0,'Shadow Shroud','The Teir''Dal have learned to hide within and bend the shadows to conceal themselves when it suits their purposes.\r\n \r\n\"The very light turns itself from me.  The darkness enshrouds me.\"\r\n  \r\nStationary Hide',370,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/ShadowShroud.lua',41,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,1),
(2550118,3479884258,2,0,'Embrace of Hate','The Dark Elves continued devotion to Hate has gifted them with the ability to surround themselves with its dark protections.\r\n \r\n\"Let all Hate guide you.  Let it protect you.  Let it consume you!\"\r\n  \r\nWards against magic damage.',260,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/EmbraceofHate.lua',54,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'CombatBuff',0,0,0,1),
(2550119,4009246105,0,0,'Veil of the Unseen','Augmentation that grants invisibility to an ally. This augmentation also decreases Movement Speed.\r\n \r\nThis augmentation can only be placed on the Enchanter or a single ally at a time.',165,0,315,287643040,0,69,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550120,2047699487,0,0,'Mind Jolt','Deals instant Mental damage to an opponent.\r\n \r\n\"Nothing like a nice jolt to the brain to get their attention!\" - Zibbleflig',216,25,315,287643040,0,85,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550121,1249209723,1,0,'Orc Master''s Sinister Strike','Constant menace to the strength of Freeport, these monstrous humanoids seek only to enslave and destroy.  They dominate the valleys and caverns throughout the Commonlands of D''Lere, building fortifications to grab territory for themselves.  They represent an undeniable threat to all free races in the land.  Taking orcs as your foe will grant you special tactical abilities to use against them in combat.',366,40,315,1921433074,0,29,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550122,1939598907,1,0,'Gnoll Master''s Sinister Strike','Sworn enemies of noble Qeynos, these dog-like humanoids infest hills and caverns throughout the continent of Karan.  Fiercely tribal, they sustain themselves through raiding farms and outposts.  Their warlike nature and large numbers make them a constant threat to trade and travel.  Taking gnolls as your foe will grant you special tactical abilities to use against them in combat.',366,40,315,1921433074,0,29,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550123,4103470477,1,0,'Zombie Master''s Sinister Strike','Called forth from death by necromantic power, zombies are a constant threat to the living.  Usually more powerful than some of the lesser forms of undead, they are still trapped behind death''s veil.  This makes them relatively stupid and slow to react.  But it also makes them uncaring, merciless agents of destruction.  Taking zombies as your foe will grant you special tactical abilities to use against them in combat.',366,40,315,1921433074,0,29,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550124,2875313704,1,0,'Skeleton Master''s Sinister Strike','Ripped from their graves by evil magic or torturing curse, skeletons are the most common form of undead found on Norrath.  They plague every graveyard and ruin, attacking anyone careless enough to wander too close.  Free from pain or fear, they wander the land slaying all that lives.  Taking skeletons as your foe will grant you special tactical abilities to use against them in combat.',366,40,315,1921433074,0,29,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550125,629365070,1,0,'Ghost Master''s Sinister Strike','Mere shadows of a previous life, ghosts still represent a formidable presence in the world.  The disasters of the cataclysm claimed numerous lives, and thus these haunts are far more common than they once were.  They lurk in both cities and dungeons, taking lives to satisfy the swirling emotions that give them form.  Taking ghosts as your foe will grant you special tactical abilities to use against them in combat.',366,40,315,1921433074,0,29,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550126,1883820864,0,0,'Invisibility','Grants invisibility to an ally and slightly reduces their movement. \r\n \r\nYou can only cover one ally with invisibility at a time.',165,0,315,2120065377,0,90,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550127,925446571,4,0,'Hunter''s Instinct','Kerra scouts make exceptional hunters and trackers.  Their heightened senses of smell and hearing assist Kerran scouts in tracking down their prey.\r\n \r\n\"It is only a matter of time before I find you.  There is always a trail of scent, sight, or sound to follow.\"\r\n \r\n Increase Scout''s Tracking rank.',191,65535,65535,3167106577,0,0,1,0,'','','',0,1,'Spells/HuntersInstinct.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550128,2052443738,4,1,'Warm Fur','All Kerra are covered in fur, some more thickly than others.  This fur helps keep them warm during the cold nights upon the Stonebrunt Mountains.\r\n \r\n\"It is a wish all races could be gifted with such fine fur.  Wait, I take that back... I''ve seen dwarves covered in hair... it wasn''t pretty.\"  \r\n \r\nIncrease resistance to Cold.',253,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/WarmFur.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550129,25780192,4,1,'Fleetness of Foot','Kerra are incredibly agile.  Some are naturally faster than others.\r\n \r\n\"Always keep your eye on a Kerran enemy.  You blink and they could be stabbing you in the back!\"\r\n \r\nIncrease Agility',304,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/FleetnessofFoot.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550130,1377542515,3,0,'Crafting','Crafting allows you to counter Minor Kickback, Kickback, and Major Kickback.  Durability is increased at the cost of some of your power.',415,65535,65535,1677747280,0,55,0,0,'','','',1,0,'',207,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550131,3175531226,2,1,'Eyes of the Night','As part of their feline traits, some Kerra have developed vision for seeing in exteremely low light.\r\n \r\n\"I can see you in the night, when the moon is black, and stars give no light.\"\r\n \r\nUltravision',167,65535,65535,0,0,0,1,0,'','','',1,0,'Spells/EyesoftheNight.lua',0,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,1),
(2550132,2004790270,3,0,'Spice Up','Spice Up allows you to counter Minor Flavor Loss, Flavor Loss, and Major Flavor Loss.  Durability is increased, but the chance of a success is lowered.',130,65535,65535,935416212,0,55,0,0,'','','',1,0,'',216,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550133,551112886,4,1,'Ancestral Protection','Kerra are very closely tied to their ancestors, even if they have passed on from this life.  It is not uncommon for a Kerran to receive spiritual protection from an attack of divine power.\r\n \r\nIncrease resistance to Divine.',245,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/AncestralProtection.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550134,56618808,3,0,'Chipping','Chipping allows you to counter Minor Knot, Knot, Major Knot, Minor Unyielding Board, Unyielding Board, and Major Unyielding Board.  Durability is increased, but progress is lowered.',407,65535,65535,1677747280,0,55,0,0,'','','',1,0,'',248,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550135,1434095503,4,0,'Spirtual Enlightenment','Kerra are very in touch with the primal spirit world around them.  Their regular contact with their ancestors from the past have gifted them with increased wisdom.\r\n \r\n\"Our forebearers are not truly gone as most seem to think.  They are still here, wanting to help us, to speak with us, to teach us.\"\r\n \r\nIncrease Wisdom',155,65535,65535,0,0,0,0,0,'','','',1,0,'',0,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550136,2198772998,3,0,'Weigh','Weigh allows you to counter Minor Mismeasurement, Mismeasurement, and Major Mismeasurement.  Durability is increased, but the chance of a success is lowered.',410,65535,65535,1677747280,0,55,0,0,'','','',1,0,'',208,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550137,2398661631,3,0,'Tee Joint','Tee Joint allows you to counter Minor Loose Joint, Loose Joint, Major Loose Joint, Minor Misalignment, Misalignment, and Major Misalignment.  Durability is increased, but the chance of a success is lowered.',405,65535,65535,2639209773,0,55,0,0,'','','',0,0,'',207,'',3,0,0,0,0,0,0,0,0,9093,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550138,2070716734,4,0,'Timber Shaper','The creation of staves, bows, and arrows is a common practice among Kerra tribes.  They are quite famous for the exotic bows they create.\r\n \r\n\"The spirits of the trees may be primitive but they are very alive.  Give respect and thanks when take from them.\"\r\n \r\nIncrease Fletching tradeskill rank',187,65535,65535,0,0,0,0,0,'','','',1,0,'',0,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550139,3421466063,2,0,'Commune with the Spirits','Kerra are very spiritual and can reach out and speak to their ancient ancestors.  Doing so increases their wisdom and aids in recovering mental energy.\r\n \r\n\"The spirits are calming, peaceful presences.  They have much to share with us if we would only take the time to listen.\"\r\n \r\nIncrease Power regeneration outside of combat, increase Wisdom',476,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/CommuneWiththeSpirits.lua',0,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,1),
(2550140,3066671390,3,0,'Realization','Realization allows you to counter Puff of Steam, Billow of Steam, and Gale of Steam.  Durability is increased at the cost of some of your power.',423,65535,65535,935416212,0,55,0,0,'','','',0,0,'',213,'',3,0,0,0,1,0,0,0,0,9062,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550141,333197666,4,0,'Gift of the Land','Kerra believe that anything that comes from the land is a gift from nature and should be respected.  It is common for a Kerran to study alchemy.\r\n \r\n\"Take only what you need from the land.  Do not waste the resources we''ve been given, lest you will find the gift revoked because of your carelessness.\"\r\n \r\nIncrease Chemistry tradeskill rank',191,65535,65535,0,0,0,0,0,'','','',1,0,'',0,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550142,1208852658,3,0,'Geology','Geology allows you to counter Minor Impurity Bubble, Impurity Bubble, and Major Impurity Bubble.  Durability is increased, but progress is lowered.',406,65535,65535,2639209773,0,55,0,0,'','','',1,0,'',186,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550143,3109496225,2,0,'Unsheathed Claws','Kerra are born with sharp, strong claws.  Young kerra learn early on how to use these to their advantage in a fight.\r\n \r\nOffensive Slash damage proc.',247,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/UnsheathedClaws.lua',270,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,1),
(2550144,485071294,3,0,'Slow Simmer','Slow Simmer allows you to counter Minor Heat Spike, Heat Spike, Major Heat Spike, Minor Heat Loss, Heat Loss, and Major Heat Loss.  Durability is increased, but progress is lowered.',424,65535,65535,935416212,0,55,0,0,'','','',0,0,'',213,'',3,0,0,0,1,0,0,0,0,9021,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550145,3625402133,3,0,'Consider','Consider allows you to counter Minor Distraction, Distraction, and Major Distraction.  Durability is increased at the cost of some of your power.',414,65535,65535,2639209773,0,55,0,0,'','','',1,0,'',187,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550146,3277585177,3,0,'Indurate','Indurate allows you to counter Minor Hardened Metal, Hardened Metal, and Extensive Hardened Metal.  Durability is increased at the cost of some of your power.',426,65535,65535,3395302654,4032608519,50,0,0,'','','',1,0,'',186,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550147,3339033759,3,0,'Bridle Joint','Bridle Joint allows you to counter Small Red Bead, Orange Bead, and White Bead.  Durability is increased at the cost of some of your power.',413,65535,65535,1151456682,3108933728,50,0,0,'','','',0,0,'',234,'',3,0,0,0,1,0,0,0,0,9009,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550148,2266327957,3,0,'Binding','Binding allows you to counter Minor Frayed Material, Frayed Material, Substantial Frayed Material, Trivial Knotting, Knotting, and Liberal Knotting.  Durability is increased at the cost of some of your power.',418,65535,65535,2710531826,2082133324,50,0,0,'','','',0,0,'',286,'',3,0,0,0,1,0,0,0,0,9006,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550149,1992600306,3,0,'Vitrify','Vitrify allows you to counter Water Quench, Saltwater Quench, Oil Quench, Minor Soft Metal, Soft Metal, and Extensive Soft Metal.  Durability is increased, but progress is lowered.',428,65535,65535,3395302654,4032608519,50,0,0,'','','',1,0,'',204,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550150,1686840138,3,0,'Steady Heat','Steady Heat allows you to counter Slight Heat Wave, Heat Wave, Hefty Heat Wave, Slight Heat Depletion, Heat Depletion, and Hefty Heat Depletion.  Durability is increased, but the chance of a success is lowered.',401,65535,65535,1151456682,3108933728,50,0,0,'','','',0,0,'',41,'',3,0,0,0,1,0,0,0,0,9081,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550151,2498124429,3,0,'Embroider','Embroider allows you to counter Negligible Loose Material, Loose Material, and Substantial Loose Material.  Durability is increased, but progress is lowered.',417,65535,65535,2710531826,2082133324,50,0,0,'','','',1,0,'',211,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550152,924916211,3,0,'Dexterous','Dexterous allows you to counter Small Material Catch, Material Catch, and Extensive Material Catch.  Durability is increased, but the chance of a success is lowered.',420,65535,65535,2710531826,2082133324,50,0,0,'','','',0,0,'',41,'',3,0,0,0,1,0,0,0,0,9028,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550153,610216981,3,0,'Strengthening','Strengthening allows you to counter Red Hot Material, Orange Hot Material, and White Hot Material.  Durability is increased, but the chance of a success is lowered.',428,65535,65535,3395302654,4032608519,50,0,0,'','','',0,0,'',204,'',3,0,0,0,1,0,0,0,0,9082,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550154,2187895332,3,0,'Hammering','Hammering allows you to counter Red Hot Metal, Orange Hot Metal, and White Hot Metal.  Durability is increased, but progress is lowered.',411,65535,65535,1151456682,3108933728,50,0,0,'','','',0,0,'',205,'',3,0,0,0,1,0,0,0,0,9039,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550156,1112280764,0,0,'Zombie Master''s Smite','Called forth from death by necromantic power, zombies are a constant threat to the living.  Usually more powerful than some of the lesser forms of undead, they are still trapped behind death''s veil.  This makes them relatively stupid and slow to react.  But it also makes them uncaring, merciless agents of destruction.  Taking zombies as your foe will grant you special tactical abilities to use against them in combat.',152,14,65535,2463145248,0,19,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550157,177157671,0,0,'Ghost Master''s Smite','Mere shadows of a previous life, ghosts still represent a formidable presence in the world.  The disasters of the cataclysm claimed numerous lives, and thus these haunts are far more common than they once were.  They lurk in both cities and dungeons, taking lives to satisfy the swirling emotions that give them form.  Taking ghosts as your foe will grant you special tactical abilities to use against them in combat.',152,14,65535,2463145248,0,19,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550158,2747214937,0,0,'Skeleton Master''s Smite','Ripped from their graves by evil magic or torturing curse, skeletons are the most common form of undead found on Norrath.  They plague every graveyard and ruin, attacking anyone careless enough to wander too close.  Free from pain or fear, they wander the land slaying all that lives.  Taking skeletons as your foe will grant you special tactical abilities to use against them in combat.',152,14,65535,2463145248,0,19,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550159,3586333603,3,0,'Convergence of Spirit','Convergence of Spirit allows you to counter Minor Paradigm Shift, Paradigm Shift, and Major Paradigm Shift.  Durability is increased, but the chance of a success is lowered.',422,65535,65535,2463992638,0,155,0,0,'','','',1,0,'',193,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550160,2748039549,3,0,'Psychokenesis','Psychokenesis allows you to counter Minor Magical Anomaly, Magical Anomaly, Major Magical Anomaly, Minor Magical Influx, Magical Influx, and Major Magical Influx.  Durability is increased, but progress is lowered.',419,65535,65535,2463992638,0,155,0,0,'','','',1,0,'',187,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550161,2613875302,3,0,'Radiant Cut','Radiant Cut allows you to counter Small Impurities, Impurities, and Major Impurities.  Durability is increased at the cost of some of your power.',421,65535,65535,2463992638,0,155,0,0,'','','',1,0,'',190,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550162,3271944926,0,0,'Renic''s Healthburst','Replenishes Health instantly for an ally. Clerics using this spell are trained to reduce casting time.',158,12,315,3341842907,0,50,0,0,'','','',1,0,'Spells/RenicsHealthburst.lua',53,'',0,0,0,0,1,0,0,0,0,110012,0,0,0,0,0,1,0,0,0,'Heal',0,0,0,1),
(2550163,1564429588,0,0,'Nomsoe''s Blessing of Transal','Augmentation that increases the Health pool of all party members. Also has a chance to briefly increase Armor Class and Strength when a party member is attacked. Templars using this spell are trained to increase the chances of the secondary augmentation.',144,65535,314,2581053277,0,100,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550164,2220560340,1,0,'Fiddy''s Fancy Encore','Greatly increases parry skill.',304,40,317,1514256692,0,100,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550165,1786205753,0,0,'Caulria''s Symbol of Vitae','Augmentation that heals an ally when they are attacked, but has a limited number of heals before expiring. Templars using this spell are trained to increase Arcane mitigations as part of this augmentation.',185,12,315,2581053277,0,100,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550166,1372671501,0,0,'Vansted''s Strengthening Resolve','Augmentation that increases Stamina, Strength, and Armor Class.',146,48,314,3341842907,0,50,0,2,'','','',1,0,'Spells/VanstedsStrengtheningResolve.lua',54,'',0,0,0,0,1,1,0,0,0,110002,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,1),
(2550167,910135473,0,0,'Tonmerk''s Mending Aura','Removes Trauma impairments and briefly increases Armor Class for all party members.',147,13,315,2581053277,0,100,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550168,260117430,0,0,'Kazlo''s Frigid Bolts','Deals instant Cold damage to the opponent and its surrounding allies. Also does additional over-time Cold damage.',169,29,312,2533124061,0,50,0,9,'','','',1,0,'Spells/KazlosFrigidBolts.lua',128,'',0,0,0,0,0,1,0,0,0,210016,0,0,0,0,0,1,0,0,0,'DoT',0,0,0,1),
(2550169,1894936935,1,0,'Hanns''s Quick Stab','A quick attack that deals low damage and costs no power.',338,36,315,1514256692,0,50,0,1,'','','',1,1,'Spells/HannssQuickStab.lua',254,'',1,0,0,0,0,0,0,0,0,310018,0,0,0,0,0,1,0,0,0,'DD',0,0,0,0),
(2550170,3832353865,0,0,'Jahnda''s Lambent Pulse','Deals instant Mental damage to an opponent. If this opponent is Undead, it deals additional Divine damage over-time and decreases Strength.',182,14,315,2581053277,0,100,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550171,190765174,0,0,'Salmekia''s Smiting Spark','Deals instant Magic damage to an opponent.',152,14,315,3282420779,0,50,0,1,'','','',1,0,'Spells/SalmekiasSmitingSpark.lua',63,'',0,0,0,0,0,0,0,0,0,110014,0,0,0,0,0,1,0,0,0,'DD',0,0,0,1),
(2550172,678749996,0,0,'Gerael''s Curative Arc','Removes Noxious impairments from all party members.',148,13,315,3282420779,0,50,0,2,'','','',1,0,'Spells/GeraelsCurativeArc.lua',137,'',0,0,1,0,0,1,0,0,0,110005,0,0,0,0,0,1,0,0,0,'Cure',0,0,0,1),
(2550173,1447824368,1,0,'Fiddy''s Handy Distraction','This ability reduces your hate level with the target.',278,41,315,1514256692,0,50,0,1,'','','',1,1,'Spells/FiddysHandyDistraction.lua',2607,'',1,0,0,0,0,0,0,0,0,310007,0,0,0,0,0,1,0,0,0,'Detaunt',0,0,0,0),
(2550174,859980323,0,0,'Daedet''s Group Antidote','Removes Noxious impairments from all party members.',148,13,314,3341842907,0,50,0,2,'','','',1,0,'Spells/DaedetsGroupAntidote.lua',137,'',0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Cure',0,0,0,1),
(2550175,2648532003,0,0,'Janall''s Beryl Healing','Replenishes a large amount of Health instantly and removes lesser Noxious impairments on an ally.',468,16,315,3282420779,0,50,0,0,'','','',1,0,'Spells/JanallsBerylHealing.lua',138,'',0,0,0,0,1,0,0,0,0,110011,0,0,0,0,0,1,0,0,0,'Heal',0,0,0,1),
(2550176,1301835176,1,0,'Locke''s Careless Sideswipe','A flanking attack that deals extra damage over time.',339,40,315,1514256692,0,50,0,1,'','','',0,1,'Spells/LockesCarelessSideswipe.lua',51,'',1,0,0,0,0,0,0,0,0,310020,0,0,0,0,0,0,0,0,0,'DoT',0,0,0,0),
(2550177,2799688694,1,0,'Captain Rohand''s Bruising','An attack that knocks down the enemy. It deals additional crushing damage over time.',374,36,315,1514256692,0,100,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550178,3974645885,0,0,'Gehna''s Healing Arc','Replenishes a large amount of Health instantly for an ally. Clerics using this spell are trained to reduce casting time.',468,16,315,3341842907,0,50,0,0,'','','',1,0,'Spells/GehnasHealingArc.lua',138,'',0,0,0,0,1,0,0,0,0,110011,0,0,0,0,0,1,0,0,0,'Heal',0,0,0,1),
(2550179,4291779202,0,0,'Tayil''s Searing Orb','Deals Heat damage over-time and decreases Magic, Heat, and Poison mitigations of the opponent.',190,28,315,2533124061,0,15,0,1,'','','',1,0,'Spells/TayilsSearingOrb.lua',0,'',0,0,0,1,0,0,0,0,0,210015,0,0,0,0,0,1,0,0,0,'DoT',0,0,0,1),
(2550180,936940118,1,0,'Mrylokar''s Unwelcoming Invitation','An area of effect melee attack. It deals low damage, and decreases piercing, crushing, and slashing mitigation on those it hits.',343,36,313,1514256692,0,100,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550181,2134689360,0,0,'Atreba''s Ethereal Bindings','Prevents your enemy from moving. Sorcerers using this spell are trained to cast it quicker.',166,24,315,2533124061,0,50,0,0,'','','',1,0,'Spells/AtrebasEtherealBindings.lua',170,'',0,0,0,0,0,0,0,0,0,210003,0,0,0,0,0,1,0,0,0,'Root',0,0,0,1),
(2550182,1252044307,1,1,'Elisi''s Swift Sneak','Allows you to move undetected.  Has a fast casting time.',341,38,317,1514256692,0,50,1,0,'','','',1,0,'Spells/ElisisSwiftSneak.lua',41,'',1,0,0,0,0,0,0,0,0,2550028,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,0),
(2550183,1536369781,1,0,'Hanns''s Foil Storm','Three quick attacks. If the first or second attack misses, the next ones will miss automatically.',296,36,315,1514256692,0,100,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550184,741706265,0,1,'El''Arad''s Shielding','An augmentation that increases the Power pool, Health pool, and Trauma mitigation of the Sorcerer. Also grants a small chance for replenishment of Power over-time whenever the Sorcerer is attacked.',163,65535,317,2533124061,0,50,1,0,'','','',1,0,'Spells/ElAradsShielding.lua',21,'',0,0,0,0,1,0,0,0,0,210021,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,1),
(2550185,1403109866,0,0,'Te''alla''s Healing Earth','Replenishes Health instantly and removes lesser Elemental impairments on an ally.',158,12,315,3282420779,0,50,0,0,'','','',1,0,'Spells/TeallasHealingEarth.lua',53,'',0,0,0,0,1,0,0,0,0,110012,0,0,0,0,0,1,0,0,0,'Heal',0,0,0,1),
(2550186,495558007,1,0,'Vladiminn''s Unfair Advantage','This ability lowers an enemy''s defense for a short time.',310,41,315,1921433074,0,50,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550187,3245064483,1,0,'Holly''s Entangling Trap','This ability slows a target''s movement and when the effect fades it slows attack speed for a short time.',308,40,315,3167106577,0,50,0,1,'','','',1,1,'Spells/HollysEntanglingTrap.lua',173,'',1,0,0,0,0,0,0,0,0,310005,0,0,0,0,0,1,0,0,0,'Snare',0,0,0,0),
(2550188,2908824971,1,0,'Hager''s Befuddling Strike','A quick attack that deals low damage, and stifles the target on a successful hit.',338,36,315,3167106577,0,50,0,1,'','','',1,1,'Spells/HagersBefuddlingStrike.lua',254,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',0,0,0,0),
(2550189,1269272064,3,0,'Fixation of Spirit','Fixation of Spirit allows you to counter Minor Paradigm Shift, Paradigm Shift, and Major Paradigm Shift.  Progress is increased, but the chance of a success is lowered.',422,65535,65535,2463992638,0,105,0,0,'','','',1,0,'',193,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550190,1034900702,3,0,'Precognition','Precognition allows you to counter Minor Magical Anomaly, Magical Anomaly, Major Magical Anomaly, Minor Magical Influx, Magical Influx, and Major Magical Influx.  Progress is increased, but durability is lowered.',419,65535,65535,2463992638,0,105,0,0,'','','',1,0,'',187,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550191,1227401402,1,0,'Elaa''s Relentless Ambush','A stealth attack that deals great damage. It can only be used while in stealth. It has a shorter cast and recast time.',301,40,315,3167106577,0,50,0,1,'','','',1,1,'Spells/ElaasRelentlessAmbush.lua',55,'',1,0,0,0,0,0,0,0,0,310000,0,0,0,0,0,1,0,0,0,'DD',0,0,0,0),
(2550192,94898117,3,0,'Oval Cut','Oval Cut allows you to counter Small Impurities, Impurities, and Major Impurities.  Progress is increased at the cost of some of your power.',421,65535,65535,2463992638,0,105,0,0,'','','',1,0,'',190,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550193,4053473561,3,0,'Scribing','Scribe allows you to counter Common Writing, Uncommon Writing, and Outlandish Writing.  Progress is increased at the cost of some of your power.',400,65535,65535,2949308177,773137566,100,0,0,'','','',1,0,'',188,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550194,3535376411,0,0,'Nostahla''s Lucid Barrier','Augmentation that increases the Sorcerer and allies'' Strength and Intelligence. Also increases Magic and Elemental mitigations.',479,24,314,2662430630,0,100,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550195,2112094320,3,0,'Record','Record allows you to counter Uncommon Symbols, Strange Symbols, and Exotic Symbols.  Progress is increased, but the chance of a success is lowered.',396,65535,65535,2949308177,773137566,100,0,0,'','','',1,0,'',189,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550196,738679878,2,0,'Catalogue Creature','',42,65535,65535,0,0,0,0,1,'','','',1,0,'Spells/CatalogueCreature.lua',0,'%t is being catalogued.',2,0,0,0,0,0,0,0,0,0,1,0,0,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550197,42436868,3,0,'Incantation','Incantation allows you to counter Minor Mystic Anomaly, Mystic Anomaly, Major Mystic Anomaly, Common Spectral Influx, Spectral Influx, and Stellar Spectral Infux.  Progress is increased, but durability is lowered.',399,65535,65535,2949308177,773137566,100,0,0,'','','',0,0,'',191,'',3,0,0,0,1,0,0,0,0,9043,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550198,2619550444,0,0,'Skeleton Master''s Strike','Ripped from their graves by evil magic or torturing curse, skeletons are the most common form of undead found on Norrath.  They plague every graveyard and ruin, attacking anyone careless enough to wander too close.  Free from pain or fear, they wander the land slaying all that lives.  Taking skeletons as your foe will grant you special tactical abilities to use against them in combat.',152,25,65535,3820670534,0,9,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550199,4002503879,0,0,'Gahlith''s Frostfire','Deals instant Cold damage and briefly reduces movement speed on an opponent.',481,28,315,2662430630,0,100,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550200,2320718974,0,0,'Daenor''s Lingering Frost','Impairment that stuns an opponent and deals Cold damage over-time during the stun.',195,29,315,2662430630,0,100,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550201,1945821882,0,0,'Zombie Master''s Strike','Called forth from death by necromantic power, zombies are a constant threat to the living.  Usually more powerful than some of the lesser forms of undead, they are still trapped behind death''s veil.  This makes them relatively stupid and slow to react.  But it also makes them uncaring, merciless agents of destruction.  Taking zombies as your foe will grant you special tactical abilities to use against them in combat.',152,25,65535,3820670534,0,9,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550202,1822685151,0,0,'Elemental Amending','Cures an ally''s Elemental impairments while augmenting the ally''s Elemental resistances for a short time.',149,13,315,3282420779,366253016,95,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550203,703831974,0,0,'Naedra''s Arduous Concentration','Converts the Wizard''s Health into power. Wizards using this spell are trained to gain more Power and are also able to remove Elemental impairments that affect them.',170,24,317,2662430630,0,100,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550204,206818585,0,0,'Ghost Master''s Strike','Mere shadows of a previous life, ghosts still represent a formidable presence in the world.  The disasters of the cataclysm claimed numerous lives, and thus these haunts are far more common than they once were.  They lurk in both cities and dungeons, taking lives to satisfy the swirling emotions that give them form.  Taking ghosts as your foe will grant you special tactical abilities to use against them in combat.',152,25,65535,3820670534,0,9,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550205,3060017956,0,0,'Hammerwind''s Stinging Sand','Impairment that deals Divine damage over-time, decreases Agility, and decreases defensive skills on an opponent.',369,14,315,1624274802,0,100,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550206,1223959720,0,0,'Dyleena''s Aching Chill','Impairment that deals instant Cold damage and reduces movement speed on an opponent.',256,14,315,1624274802,0,100,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550207,992604334,0,0,'Nemar''s Renewal of Winter','Replenishes Health over-time, and increases Arcane and Cold mitigations for an ally.',191,16,315,1624274802,0,100,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550208,2325733382,1,0,'Vhalen''s Immobilizing Shriek','This ability roots the target for a short time.',295,40,315,1311635100,0,50,0,1,'','','',1,1,'Spells/VhalensImmobilizingShriek.lua',140,'',1,0,0,0,0,0,0,0,0,310005,0,0,0,0,0,1,0,0,0,'Root',0,0,0,0),
(2550209,551820457,1,0,'Caskin''s Ringing Swipe','A flanking attack that deals moderate damage. It deals additional mental damage over time.',339,40,315,1311635100,0,50,0,1,'','','',1,1,'Spells/CaskinsRingingSwipe.lua',515,'',1,0,0,0,0,0,1,0,0,310020,0,0,0,0,0,1,0,0,0,'DoT',0,0,0,0),
(2550210,495845478,1,0,'Denon''s Deafening Strike','A quick attack that deals low damage and decreases mental mitigation.',338,36,315,1311635100,0,50,0,1,'','','',1,1,'Spells/DenonsDeafeningStrike.lua',484,'',1,0,0,0,0,0,1,0,0,310018,0,0,0,0,0,1,0,0,0,'DD',0,0,0,0),
(2550211,2909190298,1,0,'Kelkarn''s Opening Act','This ability lowers an enemy''s defense and damage capability for a short time.',310,41,315,1311635100,0,50,0,1,'','','',1,1,'Spells/KelkarnsOpeningAct.lua',1227,'',1,0,0,0,0,0,0,0,0,310003,0,0,0,0,0,1,0,0,0,'Debuff',0,0,0,0),
(2550212,2207653843,0,0,'Brishan''s Quillshield','Augmentation, placed on all party members, that deals instant Divine damage to an attacking opponent.',188,15,315,1624274802,0,100,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550213,1934307782,2,0,'Domination','Humans believe they can be the dominant force in the world at this time.  This belief fuels them in battle and seems to increase their potency in combat.\r\n \r\n\"The world is ready to be shaped.  The only question is whose design to follow.\"\r\n \r\nOffensive Divine proc',343,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/Domination.lua',592,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'CombatBuff',0,0,0,1),
(2550214,1305113988,0,0,'Elianas'' Salve of the Spiritist','Removes Noxious impairments from all party members.',148,13,315,3343700951,0,50,0,1,'','','',1,0,'Spells/ElianasSalveoftheSpiritist.lua',137,'',0,0,1,0,1,1,0,0,0,110005,0,0,0,0,0,1,0,0,0,'Cure',0,0,0,1),
(2550215,1596532259,0,0,'Tlona''s Dark Omen','Augmentation that increases the Health pool, Power pool, Agility, Wisdom, and defensive skills on an ally.',272,13,315,3191839982,0,200,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550216,3504813719,0,0,'Tainted Orison','Cures Arcane impairments and grants Power over-time to an ally.\r\n \r\n\"What are you doing!? You''re sure not killing those miserable, low-down, good-for-nothing Fay folk!\" - Grubbo Chaley, Enchanted Lands',150,13,315,3191839982,0,140,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550219,527893940,1,0,'Goblin Master''s Sinister Strike','Grubby, twisted humanoids who only value what their appetite demands, goblins are considered vermin by most civilized peoples.  Their large numbers and vile habits reinforce this perception making them almost universally detested.  The goblins don''t seem to mind.  They continue to reproduce, building veritable armies of grasping, hoarding, filthy creatures.  Taking goblins as your foe will grant you special tactical abilities to use against them in combat.',366,40,315,1921433074,0,29,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550220,2929272210,0,0,'Gaurus'' Crippling Sphere','Impairment that deals Disease damage over-time, decreases attack speed, and decreases movement speed on an opponent.',239,15,315,3191839982,0,150,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550221,2499774809,0,0,'Golem Master''s Smite','Emotionless magical constructs motivated only to serve, golems present an intermittent but deadly obstacle to the recovery of the Shattered Lands.  Often left behind when their makers perished, these beings continue to carry out their tasks, regardless of the harm to others.  They cannot be reasoned with.  They cannot be taught.  Because of this, they must be destroyed.  Taking golems as your foe will grant you special tactical abilities to use against them in combat.',152,14,65535,2463145248,0,19,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550222,2285990199,0,0,'Drandamir''s Draining Fog','Impairment that decreases attack speed and melee damage output on an opponent.',193,15,315,3191839982,0,100,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550223,2831439339,0,0,'Giant Master''s Smite','Immensely powerful and arrogant, giants refuse to see other races as anything but insects.  Their incredible size and strength make them formidable opponents for even the strongest heroes.  In the past, they have formed the vanguard of armies bent on the conquest and destruction of all civilization.  Now, their unending hunger and greed pose a constant threat to farming, hunting and trade.  Taking giants as your foe will grant you special tactical abilities to use against them in combat.',152,14,65535,2463145248,613995491,19,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550224,3285839782,0,0,'Vhalen''s Stirring Tune','Increases Strength, Agility, Stamina, and maximum health for the group',173,38,314,1311635100,0,100,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550225,202590768,0,0,'Lizardman Master''s Smite','Reptilian slaves of the god of fear, lizardmen exist under primitive and ferocious conditions.  Cannibalistic, murderous and treacherous, they see all other creatures as potential food.  They attack in zealous frenzy with little care for their own lives.  For in serving fear, they know that no real hope exists.  Taking lizardmen as your foe will grant you special tactical abilities to use against them in combat.',152,14,65535,2463145248,0,19,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550226,1746889107,1,0,'Giant Master''s Sinister Strike','Immensely powerful and arrogant, giants refuse to see other races as anything but insects.  Their incredible size and strength make them formidable opponents for even the strongest heroes.  In the past, they have formed the vanguard of armies bent on the conquest and destruction of all civilization.  Now, their unending hunger and greed pose a constant threat to farming, hunting and trade.  Taking giants as your foe will grant you special tactical abilities to use against them in combat.',366,40,315,1921433074,0,29,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550227,1503519248,0,0,'Niv''s Song of Harmony','Increases strength, agility, stamina, and melee capability of the group. It also increases hate with nearby enemies.',173,38,314,296246391,0,150,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550228,1056747138,3,0,'Results','Results allows you to counter Exothermic Reaction, Endothermic Reaction, and Electrophilic Reaction.  Progress is increased, but the chance of a success is lowered.',402,65535,65535,2817699641,2557647574,100,0,0,'','','',1,0,'',245,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550229,4094274960,3,0,'Estimate','Estimate allows you to counter Minor Mismeasurement, Mismeasurement, and Major Mismeasurement.  Progress is increased, but the chance of a success is lowered.',410,65535,65535,1677747280,0,105,0,0,'','','',1,0,'',208,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550230,622629349,3,0,'Whittling','Whittling allows you to counter Minor Kickback, Kickback, and Major Kickback.  Progress is increased at the cost of some of your power.',415,65535,65535,1677747280,0,105,0,0,'','','',0,0,'',207,'',3,0,0,0,1,0,0,0,0,9095,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550231,1951981486,3,0,'Chiseling','Chiseling allows you to counter Minor Knot, Knot, Major Knot, Minor Unyielding Board, Unyielding Board, and Major Unyielding Board.  Progress is increased, but durability is lowered.',407,65535,65535,1677747280,0,105,0,0,'','','',1,0,'',248,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550232,1076242789,3,0,'Quickness','Quickness allows you to counter Small Material Catch, Material Catch, and Extensive Material Catch.  Progress is increased, but the chance of a success is lowered.',420,65535,65535,2710531826,2082133324,100,0,0,'','','',1,0,'',41,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550233,3823200795,3,0,'Weaving','Weaving allows you to counter Negligible Loose Material, Loose Material, and Substantial Loose Material.  Progress is increased, but durability is lowered.',417,65535,65535,2710531826,2082133324,100,0,0,'','','',1,0,'',211,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550234,495572387,0,0,'Aldalad''s Mending Chant','Replenishes a large amount of Health instantly and removes lesser Trauma impairments from an ally.',468,16,315,3343700951,0,50,0,1,'','','',1,0,'Spells/AldaladsMendingChant.lua',138,'',0,0,0,0,1,0,0,0,0,110011,0,0,0,0,0,1,0,0,0,'Heal',0,0,0,1),
(2550235,3841821330,3,0,'Assumption','Assumption allows you to counter Minor Mis-Calibration, Mis-Calibration, Major Mis-Calibration, Minor Mis-calculation, Mis-calculation, and Major Mis-calculation.  Progress is increased, but durability is lowered.',403,65535,65535,2817699641,2557647574,100,0,0,'','','',1,0,'',189,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550236,4027734787,3,0,'Cord','Cord allows you to counter Minor Frayed Material, Frayed Material, Substantial Frayed Material, Trivial Knotting, Knotting, and Liberal Knotting.  Progress is increased at the cost of some of your power.',418,65535,65535,2710531826,2082133324,100,0,0,'','','',1,0,'',286,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550237,322351898,3,0,'Assay','Assay allows you to counter Emulsing, Solvolysis, and Catacaustic.  Progress is increased at the cost of some of your power.',404,65535,65535,2817699641,0,105,0,0,'','','',1,0,'',199,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550238,29596260,3,0,'Set','Set allows you to counter Water Quench, Saltwater Quench, Oil Quench, Minor Soft Metal, Soft Metal, and Extensive Soft Metal.  Progress is increased, but durability is lowered.',427,65535,65535,3395302654,0,105,0,0,'','','',1,0,'',204,'',3,0,0,0,0,0,0,0,0,9070,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550239,4117729970,3,0,'Forging','Forging allows you to counter Red Hot Metal, Orange Hot Metal, and White Hot Metal.  Progress is increased, but durability is lowered.',411,65535,65535,1151456682,0,105,0,0,'','','',1,0,'',0,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550240,3025980303,3,0,'Modling','Molding allows you to counter Minor Hardened Metal, Hardened Metal, and Extensive Hardened Metal.  Progress is increased at the cost of some of your power.',426,65535,65535,3395302654,0,105,0,0,'','','',1,0,'',186,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550241,327947228,3,0,'Glowing Metal','Glowing Metal allows you to counter Slight Heat Wave, Heat Wave, Hefty Heat Wave, Slight Heat Depletion, Heat Depletion, and Hefty Heat Depletion.  Progress is increased, but the chance of a success is lowered.',401,65535,65535,1151456682,0,105,0,0,'','','',1,0,'',0,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550242,2952965129,3,0,'Lap Joint','Lap Joint allows you to counter Small Red Bead, Orange Bead, and White Bead.  Progress is increased at the cost of some of your power.',413,65535,65535,1151456682,0,105,0,0,'','','',1,0,'',0,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550243,1398283395,3,0,'Toughen','Toughen allows you to counter Red Hot Material, Orange Hot Material, and White Hot Material.  Progress is increased, but the chance of a success is lowered.',428,65535,65535,3395302654,0,105,0,0,'','','',1,0,'',204,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550244,1436681067,0,0,'Kasine''s Sanctified Prayer','Blesses your weapon, granting an instant Divine damage ability that has the possibility to be triggered each melee attack.',470,0,317,90523872,0,100,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550245,213647856,0,0,'Telamina''s Pulsating Feedback','Deals Magic damage over-time, decreases Magic mitigation, and reduces movement speed on an opponent.',168,28,315,2120065377,0,50,0,1,'','','',1,0,'Spells/TelaminasPulsatingFeedback.lua',35,'',0,0,0,0,0,0,2,0,0,210015,0,0,0,0,0,1,0,0,0,'DoT',0,0,0,1),
(2550246,2921100284,2,0,'Firiona''s Zeal','The great paladin princess, Firiona Vie, is an example to all high elves.  Many have learned to tap into the same zeal she demonstrated in combat.\r\n \r\n\"Battle is not an activity to be sought for.  However, when one must do so, enter the fight in the name of the Mother of All and fight for kin and country with great courage.\"\r\n \r\nOffensive Divine proc.',343,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/FirionasZeal.lua',592,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'CombatBuff',0,0,0,1),
(2550247,1672022154,0,0,'Vhalen''s Aria of Inspiration','Augmentation that has a chance to grant all group members additional instant mental damage and interrupt casting on a successful attack',200,40,314,296246391,0,200,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550248,114431314,4,1,'Estoric Study','High elves feel they are the custodians and caretakers of the delicate art of magic.  Many spend their entire lives in the pursuit of understanding the nature of magic.\r\n \r\n\"Magic is a gift to be used for the betterment of society, not as a channel for power to be taken for granted.\"\r\n \r\nIncrease Scribing tradeskill rank.',159,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/EstoricStudy.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550249,2645883905,4,0,'Tenet of Takish''Hiz','The ancient capitol of the high elf kingdom was a great center of learning and knowledge.  High elves have continued the traditions and lessons first taught there in order to better understand the nature of magic.\r\n \r\n\"Understand magic so that those who seek you harm will be unable to employ it against you.\"\r\n \r\nIncrease resistance to Magic.',159,65535,65535,0,0,0,0,0,'','','',1,0,'',0,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550250,3942879949,0,0,'Camtur''s Energizing Aura','Augmentation that increases the Power pool, Health pool, and Armor Class of the Summoner. Summoners using this spell are also trained in enhancing their minion''s Health pool and Arcane mitigations.',163,65535,317,2120065377,0,50,1,0,'','','',1,0,'Spells/CamtursEnergizingAura.lua',21,'',0,0,0,0,1,0,0,0,0,210021,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,1),
(2550251,1420612698,4,1,'Apperception','High intelligence is a trait shared by all high elves.  Koada''Dal have a difficult time dealing with races that are not as enlightened as themselves.\r\n \r\n\"Those races that refuse to better themselves through study are only impeding their own cultural growth.\"\r\n \r\nIncrease Intelligence',474,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Apperception.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550252,4119019647,4,0,'Gilding of Felwithe','High elves take great pride in their works of jewelcraft and gem adornments.  It is quite common to find these creations imbued with magical enchantments.\r\n \r\n\"The precision and skill used to create such a beautiful work of jewelry should truly be commended.\"\r\n \r\nIncrease Jewelcrafting tradeskill rank',163,65535,65535,0,0,0,0,0,'','','',1,0,'',0,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550253,2876593278,4,1,'Strength of the Koada''Dal','When in times of need and crisis, high elves are able to draw upon their mental reserves in order to increase their power.\r\n \r\nIncrease maximum Power',218,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/StrengthoftheKoadaDal.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550254,3334552302,0,0,'Cassindra''s Chant of Clarity','Increases power replenishment and intelligence for the party.',200,41,314,1311635100,0,100,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550255,4072088059,4,0,'Elven Reflexes','Elves of all types are extremely dexterious and agile.\r\n \r\n\"In a world where lives are ended in a blink of an eye, quick reflexes are what seperate the swift from the dead.\"\r\n \r\nIncrease Agility',348,65535,65535,0,0,0,0,0,'','','',1,0,'',0,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550256,3776195124,1,0,'Belious''s Triple Threat','Three high damage mental attacks that reduces enemy mental resistance. If any attack misses, then the series of attacks halts.',381,36,315,296246391,0,128,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550257,3004265880,0,0,'Sonius'' Boon of the Magus','Augmentation that increases the Power pool, Health pool, and Magic mitigation for all party members.',164,27,314,2120065377,0,50,1,0,'','','',1,0,'Spells/SoniusBoonoftheMagus.lua',132,'',0,0,0,0,1,1,0,0,0,210007,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,1),
(2550258,1784158955,4,1,'Gift of Tunare','High elves are the creation of Tunare and as such have been gifted with exceptional wisdom.\r\n \r\n\"To take for granted the gift that Mother Tunare has bestowed upon is an offense.  We must cherish our blessing and nurture it.\"\r\n \r\nIncrease Wisdom',209,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/GiftofTunare.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550259,4080452986,1,0,'Elemental Master''s Sinister Strike','Summoned from planes of primordial power, elementals are inhuman foes that mercilessly fulfill their masters'' commands.  The rending of the cataclysms, however, exposed the violent core of nature, and many elementals passed unchecked into the world.  Now they roam freely, dealing death and misery to a living world they cannot comprehend.  Taking elementals as your foe will grant you special tactical abilities to use against them in combat.',366,40,315,1921433074,0,29,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550260,3683965130,0,0,'Alin''s Melodic Refrain','Ranged mental damage effect to all enemies in an encounter.',173,40,312,296246391,0,148,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550261,1851381077,4,1,'Graceful Movements','High elves are extremely flowing and graceful in their actions and movements.  The speed and fluidity of their motions are deceptive in battle and help increase their avoidance to attack.\r\n \r\n\"Swordplay has been said to be a dance of death.  Those that know the moves will prevail.\"\r\n \r\nIncrease Avoidance',158,65535,65535,0,0,0,1,0,'','','',1,1,'Spells/GracefulMovements.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550262,1341323433,2,0,'Harmonious Mind','High elves believe it is extremely important to maintain a balanced and clear mind free of stress.  This helps them achieve greater wisdom and regeneration of mental energy.\r\n \r\n\"When yielding to outside influence the mind cannot achieve its full potential.\"\r\n \r\nIncrease Power regeneration outside of combat, increase Wisdom.',262,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/HarmoniousMind.lua',0,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,1),
(2550263,2422638718,0,0,'Gimble''s Shocking Blast','Deals instant Magic damage and applies an interrupt to an opponent.',161,25,315,2120065377,0,50,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550264,305801608,1,0,'Centaur Master''s Sinister Strike','Children of the Thundering Steppes, centaurs are a wildly tribal type of creature that is uninterested in the complications of civilization.  In fact, they often war upon others to establish territorial boundaries between themselves and those they view as weak.  Their nomadic culture clashes constantly with city life, often at a bloody cost.  Taking centaurs as your foe will grant you special tactical abilities to use against them in combat.',366,40,315,1921433074,0,29,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550265,3709436627,0,0,'Arcane Aid','Cures Magic, Mental, and Divine ailments from the target an ally, also increases Arcane mitigation briefly.',150,13,315,2581053277,0,140,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550266,4120281455,0,0,'Treant Master''s Smite','Ancient arboreal beings of immense wisdom, treants share nature''s lack of mercy.  They act in unison with the wild of the world, fighting to revert the land to a primordial state.  Although some races understand the treants'' desires for preservation, few can meet the expectations of these ever-living beings.  Thus, the lives of mortals mean nothing more than the other beasts trapped in nature''s cycles.  Taking treants as your foe will grant you special tactical abilities to use against them in combat.',152,14,65535,2463145248,0,19,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550267,2367967777,0,0,'Plorsin''s Elemental Salve','Removes Elemental impairments and places a small Health replenishment on all party members.',149,13,315,2581053277,0,150,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550268,3777939998,1,0,'Jyson''s Twirling Fists','A twirling attack that attacks all enemies near you.',302,3,313,3856706740,0,50,0,1,'','','',1,1,'Spells/JysonsTwirlingFists.lua',1292,'',1,0,0,0,0,1,0,0,0,2550035,0,0,0,0,0,1,0,0,0,'DD',0,0,0,0),
(2550269,607375639,1,0,'Grafe''s Measured Strike','An extra attack that inflicts some damage.  It has a unique recast timer.',302,0,315,3809066846,0,50,0,1,'','','',1,1,'Spells/GrafesMeasuredStrike.lua',1260,'',1,0,0,0,0,0,0,0,0,2550269,0,0,0,0,0,1,0,0,0,'DD',0,0,0,0),
(2550270,4021041439,1,0,'Herion''s Challenge','Increases your hate level with the target.  Has a reduced recast timer.',289,2,315,3809066846,0,50,0,1,'','','',1,1,'Spells/HerionsChallenge.lua',61,'',1,0,0,0,0,0,0,0,0,10016,0,0,0,0,0,1,0,0,0,'Taunt',0,0,0,0),
(2550271,3532362062,1,0,'Theron''s Heartening Call','Increases the party''s attack techniques and stamina.',184,5,314,3809066846,0,50,1,2,'','','',1,1,'Spells/TheronsHearteningCall.lua',1293,'',1,0,1,0,1,1,0,0,0,10000,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,0),
(2550272,1712119589,1,0,'Zarn''s Arrogant Challenge','Taunts all enemies in a single encounter.  Has an increased radius.',289,2,312,3809066846,0,50,0,9,'','','',1,1,'Spells/ZarnsArrogantChallenge.lua',1302,'',1,0,0,0,0,0,0,0,0,10012,0,0,0,0,0,1,0,0,0,'Taunt',0,0,0,0),
(2550273,3569353939,4,1,'Faydwer Fashions','Wood elves incorporate the beauty of nature into their tailored clothes.  Leaves, flowers, and moss are regular additions to their clothing.\r\n \r\n\"Is there anything more beautiful than nature?  Why would we not want to blend it with our clothing?\"\r\n \r\nIncrease Tailoring tradeskill ability.',417,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/FaydwerFashions.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550274,88919670,2,0,'Precision in Combat','Wood elves are very precise in battle.  They have trained to be very accurate, inflicting more damage by striking unprotected  areas of their opponent.\r\n \r\n\"We do not have the great strength of the larger races, but we make up for it by knowing where to hit!\"\r\n \r\nOffensive Pierce damage proc.',381,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/PrecisioninCombat.lua',270,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'CombatBuff',0,0,0,1),
(2550275,2586044551,4,1,'Herbal Protection','Because of their steady diet of herbs, roots, and other natural remedies, wood elves tend to be resistant to disease and illness.  \r\n \r\n\"Disease is far more deadly than a sword or bow but few actively protect against it.\"\r\n \r\nIncrease resistance to Disease',208,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/HerbalProtection.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550276,3851594097,4,0,'Elven Reflexes','Elves of all types are extremely dexterious and agile.\r\n \r\n\"In a world where lives are ended in a blink of an eye, quick reflexes are what seperate the swift from the dead.\"\r\n \r\nIncrease Agility',348,65535,65535,0,0,0,0,0,'','','',1,0,'',0,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550277,1240758341,2,0,'Forage','Wood elves are well skilled in finding edible roots, fruit, and vegetables while out in the forests.  They have learned to feed on these things to help recover health after a battle.\r\n \r\n\"Mother Tunare has provided for us.  You just need to know where to find it!\"\r\n \r\nIncrease Health regeneration outside of combat, increase Stamina',151,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/Forage.lua',0,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,1),
(2550278,2577047329,2,0,'Camouflage','The Feir''Dal are at home in the forests and woods of Norrath.  They are able to blend in with the foliage when they don''t wish to be seen.\r\n \r\n\"Stay within the trees!  They will protect us and hide us within their leaves!\" \r\n \r\nStationary Hide',165,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/Camouflage.lua',41,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,1),
(2550279,3691210721,4,0,'Gift of the Faydark','Wood elves are very accomplished bowyers and fletchers.  They take great care to use only what they need from the trees to make their bows and arrows.\r\n \r\n\"The forests deserve respect.  They were here before any of us and they''ll be here after we are gone.\"\r\n \r\nIncrease Fletching tradeskill rank',187,65535,65535,0,0,0,0,0,'','','',1,0,'',0,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550280,231362187,4,1,'Spell Shrug','No one quite knows why, but dwarves seem to be able to shake off the effects of magic attacks with ease.\r\n \r\n\"Magic?  Never really liked the stuff... Fortunately, it seems to think the same way about me!  We just leave each other alone.\"\r\n \r\nIncrease resistance to Magic.',257,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/SpellShrug.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550281,2969255644,2,0,'Vital Provisions','Dwarves know what is important to bring with them on their travels - a weapon, good boots, and plenty of ale!\r\n \r\n\"If I can only have two of the three, I''m walking barefoot!\"\r\n \r\nSummon Drink',151,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/VitalProvisions.lua',232,'',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2550282,3707606299,4,1,'Fortitude of Kaladim','It''s been said that during combat a dwarf is harder to break than the walls of his ancient home of Kaladim.\r\n \r\n\"Hrmpf.  I just ain''t too keen on dyin'' and don''t plan on it happenin'' any time soon.\"\r\n  \r\nIncrease Defense',146,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/FortitudeofKaladim.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550283,1495988839,2,0,'Butcherblock Body','Dwarves bodies seem as strongly built as the mountains their forefathers called home.  Some say more so.\r\n \r\n\"Bah!  The day the mountain starts cryin'' after you start diggin'' into it is the day a dwarf should shed a tear over a little blood!\"\r\n  \r\nIncrease Health regeneration when out of combat, increase Strength',327,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/ButcherblockBody.lua',0,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,1),
(2550284,1010787124,4,1,'Master of the Tumpy Tonic','A favorite hobby of the Dwarves is brewing up a batch of their favorite beverage.  Some have become experts at making highly intoxicating drinks.\r\n \r\n\"What good is a victory party if there isn''t any ale?!  Someone''s got to bring the brew!\"\r\n  \r\nIncrease Artistry tradeskill rank',151,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/MasteroftheTumpyTonic.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550285,488584590,2,0,'Stormhammer','Dwarves have passed down from generation to generation the combat technique known as the Stormhammer, named for the great King Kazon Stormhammer.\r\n \r\n\"My grandpappy told stories of ole'' King Kazon.  Great fighter, leader, and not too shabby with the stein if you know what I mean!\"\r\n \r\nOffensive Divine proc',305,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/Stormhammer.lua',592,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'CombatBuff',0,0,0,1),
(2550286,1245554408,4,1,'Weapon Forger','Dwarves are reknown smiths and seem to able to will the metals of Norrath into impossible shapes and uses.\r\n \r\n\"Smithing''s great.  It''s hard to hear the naggin'' of the missus with the hammer ringin'' in yer ears.\" \r\n \r\nIncrease Metalworking tradeskill rank',411,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/WeaponForger.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550287,476917716,4,1,'Hearty Constitution','The dwarves are known for their amazing ability to fight off most illnesses with relative ease.\r\n \r\n\"I think I caught a cold once.  I didn''t much like it so I let it go on its way.\"\r\n  \r\nIncrease resistance to Disease.',208,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/HeartyConstitution.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550288,466122195,1,0,'Giant Master''s Rage','Immensely powerful and arrogant, giants refuse to see other races as anything but insects.  Their incredible size and strength make them formidable opponents for even the strongest heroes.  In the past, they have formed the vanguard of armies bent on the conquest and destruction of all civilization.  Now, their unending hunger and greed pose a constant threat to farming, hunting and trade.  Taking giants as your foe will grant you special tactical abilities to use against them in combat.',190,2,315,1408356869,0,0,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550289,837680918,0,0,'Oluran''s Ward of Totem','Augmentation that increases the Health pool, Power pool, Divine mitigations, and Noxious mitigations for all party members.',144,65535,314,3467160477,0,100,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550290,3461692536,0,0,'Arcane Lavation','Cures magic, mental, and divine ailments while also healing the afflicted ally.',147,13,315,3467160477,0,140,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550291,963566902,2,0,'Natural Regeneration','Iksar have been blessed with a natural ability to quickly heal and regenerate lost health.\r\n \r\n\"To bleed is to be mortal.  To regenerate is to be victorious!\"\r\n \r\nIncrease Health regeneration outside of combat, increase Strength, increase Agility',150,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/NaturalRegeneration.lua',258,'',2,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Buff',0,0,0,0),
(2550292,1762274976,1,0,'Eolorn''s Entrailing Bleed','A piercing attack, it deals extra damage over time, and additional damage when the effect expires.',311,36,315,3167106577,0,100,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550293,1492589831,2,0,'Infusion','As a method of self defense, Erudites can infuse their body with energy that reactive strikes out to damage their aggressors.\r\n \r\n\"The technique of infusing one''s body with energy is dangerous and can be somewhat painful at times.  It is only used in worst of circumstances.\"\r\n \r\nDefensive Magic proc',278,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/Infusion.lua',62,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'CombatBuff',0,0,0,1),
(2550294,4233118030,2,0,'Ward of Glyphs','Erudites can focus the power contained within the markings of their bodies into shields of protective magic.\r\n \r\n\"When words and discussions fail the situation has become grave indeed.\"\r\n \r\nSelf Rune spell',357,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/WardofGlyphs.lua',54,'',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'CombatBuff',0,0,0,1),
(2550295,3145270115,4,0,'Trained Mind','The Erudites are constantly honing and training their minds.  They have become masters at controlling their thoughts and as such are very resistant to mental attacks focused upon them.\r\n \r\n\"If one is truly in control of their mental faculties, no being can force themselves upon your mind.\"\r\n \r\nIncrease resistance to Mental',476,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/TrainedMind.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550296,1877097762,4,0,'Path of Learning','Intelligence is the most valued quality in Erudite society.\r\n \r\n\"Those that do not choose to walk the path of learning are doing a grave disservice to themselves and their people.\"\r\n \r\nIncrease Intelligence',262,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/PathofLearning.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550297,7969640,3,0,'Pinch of Salt','Pinch of Salt allows you to counter Minor Flavor Loss, Flavor Loss, and Major Flavor Loss.  Progress is increased, but the chance of a success is lowered.',130,65535,65535,935416212,0,105,0,0,'','','',0,0,'',216,'',3,0,0,0,1,0,0,0,0,9058,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550298,428473263,4,0,'Erud''s Teachings','The lessons and teachings of the races originator, Erud the Father, are studied intensely, from the youngest child to the eldest of sages.  Drawing upon these lessons expands the mental power at an Erudite''s disposal.\r\n \r\n\"All principles of learning and knowledge can trace their roots to Erud''s teachings.  Heretic and Highman alike recognize the great wisdom his works contain.\"\r\n \r\nIncrease maximum Power',159,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/ErudsTeachings.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550299,1948787638,4,0,'Chemist','An outlet of Erudite study is the creation and experimentation of different chemical to magic and other elements.  Many amazing potions and discoveries have been made within an Erudite facility.\r\n \r\n\"Alchemy should not been an undertaking of the simpler races.  It is far too dangerous for mere dabblers, as many next of kin have come to find out.\"\r\n \r\nIncrease Chemistry tradeskill rank',159,65535,65535,0,0,0,1,0,'','','',0,0,'Spells/Chemist.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550300,3401735330,2,1,'Summon Wisp','As young Erudites progress on the path of learning they are taught lessons and routines to practice.  One such practice is creating a globe of controllable light made of mana.\r\n \r\n\"Not a true wisp of naturally origins but a similiar appearing creation.  Adult Erudites still conjuror the wisp for nostalgia or to easily impress the simpler races.\"\r\n \r\nSummon non-combatant wisp',235,65535,65535,0,0,0,1,0,'','','',1,0,'Spells/SummonWisp.lua',571,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,1),
(2550301,214676010,4,0,'Scholarly Pursuit','It is highly common for an Erudite to pursue a lifestyle of intense study and learning.  They are constantly researching and experting, seeking knowledge in all things.\r\n \r\n\"A mind not spent in study is wasted on frivolous activity.  You cannot better yourself if your days are spent swinging some farming implement or passing out in taverns.\"\r\n \r\nIncrease Scribing tradeksill rank',328,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/ScholarlyPursuit.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550302,4039210668,1,0,'Slate''s Invigorating Threat','An extra attack that increases hate with the target and increases the guardian''s attack speed on a successful hit.',326,3,315,1209716810,0,150,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550303,2299068930,1,0,'Elegant Blade','A stealth attack that deals great damage. It can only be used while in stealth.',372,40,315,296246391,0,35,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550304,3251536264,3,0,'Foresight','Foresight allows you to counter Puff of Steam, Billow of Steam, and Gale of Steam.  Progress is increased at the cost of some of your power.',423,65535,65535,935416212,0,105,0,0,'','','',1,0,'',213,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550305,1810802984,3,0,'Rapid Boil','Rapid Boil allows you to counter Minor Heat Spike, Heat Spike, Major Heat Spike, Minor Heat Loss, Heat Loss, and Major Heat Loss.  Progress is increased, but durability is lowered.',424,65535,65535,935416212,0,105,0,0,'','','',1,0,'',213,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550306,608105557,1,0,'Seloxia''s Daunting Cry','Increases hate towards the guardian and lowers the damage and attack speed of all enemies in an encounter.',295,2,312,1209716810,0,150,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550307,4089301942,1,0,'Brugal''s Boastful Blow','A special attack that increases your hate level with the target.',351,2,315,1433335062,0,100,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550308,2876429818,1,0,'Briteblade''s Command','Increases defense skill and stamina of the party.',295,5,314,1209716810,0,150,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550309,2743248770,4,0,'Knowledge of the Ether','Erudites are very familiar with the existence and nature of magic.  With such knowledge they are prepared to defend against harmful spells used against them.\r\n \r\n\"To defend against dangerous sorceries one must be fully knowledgable in their construction and usage.\"\r\n \r\nIncrease resistance to Magic',474,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/KnowledgeoftheEther.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550310,4104279996,1,0,'Anrey''s Precise Strike','Launches an extra attack that ignores the targets armor class.',377,3,315,1209716810,0,150,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550311,2854753613,2,0,'Ethereal Absorption','Erudites have perfected a technique of replenshing their mental energy by drawing from the magical essence around them.\r\n \r\n\"One must train themselves over many long years to take advantage of the delicate flows of energy that eternally flow around us.\"\r\n \r\nIncrease Power regeneration outside of combat, increase Intelligence',244,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/EtherealAbsorption.lua',132,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,1),
(2550312,2505281471,1,1,'Uthros'' Defiant Cry','Increases you and your allies spell avoidance, slashing, crushing, and piercing techniques for a short time.',184,5,314,1124719197,0,50,1,2,'','','',1,1,'Spells/UthrosDefiantCry.lua',1746,'',1,0,0,0,1,1,0,0,0,30047,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,0),
(2550313,2891664227,1,0,'Taron''s Bleeding Blades','An area of effect attack that deals slashing damage over time on all enemies that it hits.',302,3,313,1124719197,0,50,0,1,'','','',1,1,'Spells/TaronsBleedingBlades.lua',91,'',1,0,0,0,0,1,1,0,0,30008,0,0,0,0,0,1,0,0,0,'DoT',0,0,0,0),
(2550314,79119100,1,0,'Braksan''s Crippling Slam','Stuns the enemy for a short time. It requires a shield to be equipped.',297,5,315,1209716810,0,100,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550315,3164161673,1,0,'Slate''s Protective Stance','Slightly decreases offense  skills and  increases defense and parry skills.',294,65535,317,1209716810,0,100,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550316,1167969542,1,0,'Braksan''s Vicious Swing','An extra attack that deals damage',302,0,315,1124719197,0,50,0,1,'','','',1,1,'Spells/BraksansViciousSwing.lua',376,'',1,0,0,0,0,0,0,0,0,10019,0,0,0,0,0,1,0,0,0,'DD',0,0,0,0),
(2550317,877774293,1,0,'Saren''s Crushing Blow','An attack that deals crushing damage and interrupts the target.',292,4,315,1124719197,0,50,0,1,'','','',1,1,'Spells/SarensCrushingBlow.lua',415,'',1,0,0,0,0,0,0,0,0,10007,0,0,0,0,0,1,0,0,0,'DD',0,0,0,0),
(2550318,2462022008,1,0,'Briteblade''s Thunderous Crash','Deals crushing damage and drains power over time on a successful hit.',349,0,315,1209716810,0,100,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550319,1451643808,1,0,'Ghost Master''s Rage','Mere shadows of a previous life, ghosts still represent a formidable presence in the world.  The disasters of the cataclysm claimed numerous lives, and thus these haunts are far more common than they once were.  They lurk in both cities and dungeons, taking lives to satisfy the swirling emotions that give them form.  Taking ghosts as your foe will grant you special tactical abilities to use against them in combat.',190,2,315,1408356869,0,0,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550320,2030799557,1,0,'Kisa''s Ruinous Blast','An extra attack that decreases the target''s attack techniques and agility on a successful hit.',186,0,315,1209716810,0,100,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550321,2930839785,1,0,'Zombie Master''s Rage','Called forth from death by necromantic power, zombies are a constant threat to the living.  Usually more powerful than some of the lesser forms of undead, they are still trapped behind death''s veil.  This makes them relatively stupid and slow to react.  But it also makes them uncaring, merciless agents of destruction.  Taking zombies as your foe will grant you special tactical abilities to use against them in combat.',190,2,315,1408356869,0,0,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550322,892713100,1,0,'Skeleton Master''s Rage','Ripped from their graves by evil magic or torturing curse, skeletons are the most common form of undead found on Norrath.  They plague every graveyard and ruin, attacking anyone careless enough to wander too close.  Free from pain or fear, they wander the land slaying all that lives.  Taking skeletons as your foe will grant you special tactical abilities to use against them in combat.',190,2,315,1408356869,0,0,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550323,2653096161,0,0,'Giant Master''s Strike','Immensely powerful and arrogant, giants refuse to see other races as anything but insects.  Their incredible size and strength make them formidable opponents for even the strongest heroes.  In the past, they have formed the vanguard of armies bent on the conquest and destruction of all civilization.  Now, their unending hunger and greed pose a constant threat to farming, hunting and trade.  Taking giants as your foe will grant you special tactical abilities to use against them in combat.',152,25,65535,3820670534,0,9,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550324,1821883227,0,0,'Treant Master''s Strike','Ancient arboreal beings of immense wisdom, treants share nature''s lack of mercy.  They act in unison with the wild of the world, fighting to revert the land to a primordial state.  Although some races understand the treants'' desires for preservation, few can meet the expectations of these ever-living beings.  Thus, the lives of mortals mean nothing more than the other beasts trapped in nature''s cycles.  Taking treants as your foe will grant you special tactical abilities to use against them in combat.',152,25,65535,3820670534,0,9,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550325,1213563744,0,0,'Centaur Master''s Strike','Children of the Thundering Steppes, centaurs are a wildly tribal type of creature that is uninterested in the complications of civilization.  In fact, they often war upon others to establish territorial boundaries between themselves and those they view as weak.  Their nomadic culture clashes constantly with city life, often at a bloody cost.  Taking centaurs as your foe will grant you special tactical abilities to use against them in combat.',152,25,65535,3820670534,0,9,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550326,3871636655,1,0,'Hager''s Camouflage','Allows faster stealthed movement and the ability to see hidden enemies.',191,38,317,3167106577,0,100,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550327,523350547,0,0,'Tevalian''s Lingering Fascination','Impairment that mesmerizes an opponent. Illusionists using this spell are trained to increase the impairment''s duration.',477,27,315,2898101972,0,100,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550328,3756615923,0,0,'Daedet''s Boon of Arbitration','Augmentation, placed on all party members, that replenishes Health, increases Noxious mitigation, and increases Armor Class on an ally when they are successfully attacked.',180,12,314,2581053277,0,200,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550329,1972380210,0,0,'Fozzin''s Propitious Visions','Augmentation that grants Power over-time to an ally. Illusionists using this spell are trained to increase the augmentation''s duration.',475,65535,315,2898101972,0,150,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550330,2345227426,0,0,'Kelian''s Healing Spirit','Replenishes Health instantly and removes lesser Noxious impairments from an ally.',158,12,315,3343700951,0,50,0,1,'','','',1,0,'Spells/KeliansHealingSpirit.lua',53,'',0,0,0,0,1,0,0,0,0,110012,0,0,0,0,0,1,0,0,0,'Heal',0,0,0,1),
(2550331,1750145128,0,1,'Basten''s Runes of Surety','An augmentation that increases the Power pool, Health pool, and Armor Class of the Enchanter. Also grants a small chance for replenishment of Power over-time whenever the Enchanter is attacked.',163,65535,317,287643040,0,50,1,0,'','','',1,0,'Spells/BastensRunesofSurety.lua',21,'',0,0,0,0,1,0,0,0,0,210021,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,1),
(2550332,493597000,0,0,'Koldhagon''s Bolt of Lethargy','Deals Mental damage over-time, decreases Arcane mitigations, and reduces movement speed on an opponent.',476,29,315,2898101972,0,100,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550333,1639861822,1,0,'Lu''Sun''s Spinning Kick','A spinning kick that deals crushing damage to the target.',292,4,315,3856706740,0,50,0,1,'','','',1,1,'Spells/LuSunsSpinningKick.lua',1285,'',1,0,0,0,0,0,0,0,0,10007,0,0,0,0,0,1,0,0,0,'DD',0,0,0,0),
(2550334,905571715,0,0,'Blink','Reduces Hate towards the Enchanter from opponents in the immediate area and randomly teleports the Enchanter to a random location nearby.',477,27,315,287643040,0,80,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550335,1523190620,1,0,'Raltur''s Siphoning Strike','Melee attack deals disease damage and siphons some health from the target.',470,0,315,2741805322,0,100,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550336,158128963,2,0,'Filth Forage','Ratonga are not picky eaters, they''ll eat anything available to them.  It is more important for them to regain health and survive than to worry about it tasting good.\r\n \r\n\"Surface creatures are stupid!  Why throw away something that is perfectly edible?!\"\r\n \r\nAugmentation, placed upon you, which increases your out of combat Health regeneration and provides 2 additional Agility.',327,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/FilthForage.lua',258,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,1),
(2550337,622989771,1,0,'Velan''s Devastating Assault','Has a chance to launch 2 attacks. If the first attack misses the second attack will miss as well.',330,3,315,3067436248,0,150,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550338,1716900876,1,0,'Grom''s Fierce Uppercut','Deals high damage to the target and costs health instead of power.',326,3,315,3067436248,0,100,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550339,1976108244,1,0,'Fairy Master''s Rage','Mischievous pranksters who freely wield their considerable magic power, fairies represent a variable danger to the mortal races.  One can never say whether a fairy will laughingly force its victim sneeze or whether it will strike out in fiery anger.  This volatility makes these magical beings highly unpredictable and thus dangerous to the more established races.  Taking fairies as your foe will grant you special tactical abilities to use against them in combat.',190,2,315,1408356869,0,0,0,0,'','','',0,0,'',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550340,1132751829,3,0,'Cure','Cure allows you to counter Minor Weak Material, Weak Material, and Major Weak Material.  Progress is increased at the cost of power.',408,65535,65535,2530063117,2896808154,5,0,0,'','','',0,0,'',0,'',3,0,0,0,1,0,0,0,0,9026,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550341,1105801746,3,0,'Chisel','Chisel allows you to counter Minor Knotted Wood, Knotted Wood, and Major Knotted Wood.  Progress is increased but the chance of success is lowered.',407,65535,65535,1703539708,1478114179,100,0,0,'','','',1,0,'',248,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550342,2951172926,3,0,'Carve','Carve allows you to counter Minor Knotted Wood, Knotted Wood, and Major Knotted Wood.  Progress is increased but the chance of success is lowered.',407,65535,65535,1703539708,1478114179,5,0,0,'','','',0,0,'',248,'',3,0,0,0,1,0,0,0,0,9013,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550343,1447262350,3,0,'Enamel','Enamel allows you to counter Minor Blemished, Blemished, and Major Blemished.  Durability is increased but progress is lowered.',402,65535,65535,1703539708,1478114179,100,0,0,'','','',1,0,'',245,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550344,57572545,3,0,'Braid','Braid allows you to counter Minor Loose Weave, Loose Weave, and Major Loose Weave.  Progress is increased but the chance of success is lowered.',418,65535,65535,2530063117,2896808154,5,0,0,'','','',0,0,'',286,'',3,0,0,0,1,0,0,0,0,9007,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550345,2590453115,3,0,'Entwine','Entwine allows you to counter Minor Loose Weave, Loose Weave, and Major Loose Weave.  Durability is increased but the chance of success is lowered.',418,65535,65535,2530063117,2896808154,50,0,0,'','','',0,0,'',286,'',3,0,0,0,1,0,0,0,0,9007,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550346,87617088,3,0,'Coalesce','Coalesce allows you to counter Minor Liquefy, Liquefy, and Major Liquefy.  Progress is increased but the chance of success is lowered.',421,65535,65535,574366497,2591116872,5,0,0,'','','',0,0,'',190,'',3,0,0,0,1,0,0,0,0,9017,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550347,1698066171,3,0,'Fasten','Fasten allows you to counter Minor Rip, Ripped, and Major Rip.  Durability is increased but progress is lowered.',417,65535,65535,2530063117,2896808154,50,0,0,'','','',1,0,'',211,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550348,3982499309,3,0,'Interlace','Interlace allows you to counter Minor Loose Weave, Loose Weave, and Major Loose Weave.  Progress is increased but the chance of success is lowered.',418,65535,65535,2530063117,2896808154,100,0,0,'','','',1,0,'',286,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550349,3258001159,3,0,'Furbish','Furbish allows you to counter Minor Splintered, Splintered, and Major Splintered.  Durability is increased at the cost of power.',408,65535,65535,1703539708,1478114179,50,0,0,'','','',1,0,'',0,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550350,3040221073,3,0,'Scour','Scour allows you to counter Minor Splintered, Splintered, and Major Splintered.  Progress is increased at the cost of power.',408,65535,65535,1703539708,1478114179,100,0,0,'','','',0,0,'',0,'',3,0,0,0,1,0,0,0,0,9065,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550351,305225325,3,0,'Seam','Seam allows you to counter Minor Rip, Ripped, and Major Rip.  Progress is increased but durability is lowered.',417,65535,65535,2530063117,2896808154,100,0,0,'','','',0,0,'',211,'',3,0,0,0,1,0,0,0,0,9068,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550352,2911505145,3,0,'Strengthen','Strengthen allows you to counter Minor Weak Material, Weak Material, and Major Weak Material.  Progress is increased at the cost of power.',408,65535,65535,2530063117,2896808154,100,0,0,'','','',1,0,'',0,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550353,3092060578,3,0,'Stain','Stain allows you to counter Minor Blemished, Blemished, and Major Blemished.  Progress is increased but durability is lowered.',402,65535,65535,1703539708,1478114179,10,0,0,'','','',0,0,'',200,'',3,0,0,0,1,0,0,0,0,9076,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550354,4232003393,3,0,'Stitch','Stitch allows you to counter Minor Rip, Ripped, and Major Rip.  Progress is increased but durability is lowered.',417,65535,65535,2530063117,2896808154,5,0,0,'','','',0,0,'',211,'',3,0,0,0,1,0,0,0,0,9068,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550355,921567876,3,0,'Whittle','Whittle allows you to counter Minor Knotted Wood, Knotted Wood, and Major Knotted Wood.  Durability is increased but the chance of success is lowered.',407,65535,65535,1703539708,1478114179,50,0,0,'','','',0,0,'',248,'',3,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550356,558123032,3,0,'Laminate','Laminate allows you to counter Minor Blemished, Blemished, and Major Blemished.  Durability is increased but progress is lowered.',402,65535,65535,1703539708,1478114179,50,0,0,'','','',1,0,'',245,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550357,1530427069,3,0,'Sand','Sand allows you to counter Minor Splintered, Splintered, and Major Splintered.  Progress is increased at the cost of power.',408,65535,65535,1703539708,1478114179,5,0,0,'','','',0,0,'',207,'',3,0,0,0,1,0,0,0,0,9065,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550358,96102220,3,0,'Form','Form allows you to counter Minor Rough Edges, Rough Edges, and Major Rough Edges.  Progress is increased but durability is lowered.',416,65535,65535,2812765109,1386343008,100,0,0,'','','',1,0,'',0,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550359,3666688623,3,0,'Preserve','Preserve allows you to counter Minor Weak Material, Weak Material, and Major Weak Material.  Durability is increased at the cost of power.',408,65535,65535,2530063117,2896808154,50,0,0,'','','',0,0,'',0,'',3,0,0,0,1,0,0,0,0,9026,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550360,556013198,3,0,'Test','Test allows you to counter Minor Negative Result, Negative Result, and Major Negative Result.  Progress is increased but durability is lowered.',396,65535,65535,574366497,2591116872,5,0,0,'','','',0,0,'',189,'',3,0,0,0,1,0,0,0,0,9033,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550361,368325171,3,0,'Formulate','Formulate allows you to counter Minor Density, Density, Major Density.  Progress is increased but the chance of success is lowered.',411,65535,65535,2812765109,1386343008,100,0,0,'','','',1,0,'',0,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550362,3089975092,3,0,'Examine','Examine allows you to counter Minor Negative Result, Negative Result, and Major Negative Result.  Durability is increased but progress is lowered.',396,65535,65535,574366497,2591116872,50,0,0,'','','',0,0,'',189,'',3,0,0,0,1,0,0,0,0,9033,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550363,1925011418,3,0,'Mint','Mint allows you to counter Minor Rough Edges, Rough Edges, and Major Rough Edges.  Durability is increased but progress is lowered.',416,65535,65535,2812765109,1386343008,50,0,0,'','','',1,0,'',0,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550364,1878483665,3,0,'Permeate','Permeate allows you to counter Minor Dull Luster, Dull Luster, and Major Dull Luster.  Progress is increased at the cost of some power.',425,65535,65535,2812765109,1386343008,100,0,0,'','','',0,0,'',202,'',3,0,0,0,1,0,0,0,0,9044,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550365,3946221420,3,0,'Saturate','Saturate allows you to counter Minor Liquefy, Liquefy, and Major Liquefy.  Progress is increased but the chance of success is lowered.',421,65535,65535,574366497,2591116872,100,0,0,'','','',1,0,'',190,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550366,418402887,3,0,'Infuse','Infuse allows you to counter Minor Dull Luster, Dull Luster, and Major Dull Luster.  Durability is increased at the cost of some power.',425,65535,65535,2812765109,1386343008,50,0,0,'','','',0,0,'',202,'',3,0,0,0,1,0,0,0,0,9044,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550367,3954443872,3,0,'Mold','Mold allows you to counter Minor Rough Edges, Rough Edges, and Major Rough Edges.  Progress is increased but durability is lowered.',416,65535,65535,2812765109,1386343008,5,0,0,'','','',0,0,'',237,'',3,0,0,0,1,0,0,0,0,9052,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550368,2620506106,3,0,'Consolidate','Consolidate allows you to counter Minor Liquefy, Liquefy, and Major Liquefy.  Durability is increased but the chance of success is lowered.',421,65535,65535,574366497,2591116872,50,0,0,'','','',0,0,'',190,'',3,0,0,0,1,0,0,0,0,9017,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550369,1518883661,3,0,'Stir','Stir allows you to counter Minor Congeal, Congeal, and Major Congeal.  Progress is increased at the cost of power.',402,65535,65535,574366497,2591116872,5,0,0,'','','',0,0,'',245,'',3,0,0,0,1,0,0,0,0,9000,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550370,3475666850,3,0,'Inspect','Inspect allows you to counter Minor Negative Result, Negative Result, and Major Negative Result.  Progress is increased but durability is lowered.',396,65535,65535,574366497,2591116872,100,0,0,'','','',1,0,'',189,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550371,1660093093,3,0,'Concoct','Concoct allows you to counter Minor Density, Density, Major Density.  Durability is increased but the chance of success is lowered.',411,65535,65535,2812765109,1386343008,50,0,0,'','','',1,0,'',0,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550372,2180580349,3,0,'Imbue','Imbue allows you to counter Minor Dull Luster, Dull Luster, and Major Dull Luster.  Progress is increased at the cost of some power.',425,65535,65535,2812765109,1386343008,5,0,0,'','','',1,0,'',0,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550373,4227486495,3,0,'Fabricate','Fabricate allows you to counter Minor Density, Density, Major Density.  Progress is increased but the chance of success is lowered.',411,65535,65535,2812765109,1386343008,5,0,0,'','','',0,0,'',204,'',3,0,0,0,1,0,0,0,0,9023,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550374,3280012023,3,0,'Agitate','Agitate allows you to counter Minor Congeal, Congeal, and Major Congeal.  Durability is increased at the cost of power.',402,65535,65535,574366497,2591116872,50,0,0,'','','',0,0,'',245,'',3,0,0,0,1,0,0,0,0,9000,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550375,3028693601,3,0,'Blend','Blend allows you to counter Minor Congeal, Congeal, and Major Congeal.  Progress is increased at the cost of power.',402,65535,65535,574366497,2591116872,100,0,0,'','','',1,0,'',245,'',3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550376,3175509697,0,0,'Pandrus'' Tellurian Hero','Summons a Tellurian Hero minion to do the Conjurer''s bidding.',485,29,317,2042842194,882983852,100,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550377,0,2,0,'Exploding Warts','',279,0,313,0,0,0,0,1,'Your test was successful on %t!','Your test fades.','',0,0,'Spells/ExplodingWarts.lua',2,'',2,0,0,0,0,1,3,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',1667839186,0,0,0),
(2550378,0,0,0,'Ensnare','Ice Snare proc.',0,0,0,1921433074,0,0,0,1,'','','',0,0,'Spells/Procs/Ensnare.lua',131,'',0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550379,0,0,0,'Blink','Blink teleport proc',0,0,0,287643040,0,0,0,0,'','','',0,0,'Spells/Procs/Blink.lua',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550380,0,0,0,'Dingle','New spell.',0,0,0,0,0,0,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550381,0,0,0,'test','New spell.',0,0,0,0,0,0,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550382,0,1,0,'Toughness','Increases your physical mitigation for a short time.',294,5,317,1408356869,0,20,0,0,'','Your Toughness fades.','',0,1,'Spells/Fighter/Toughness.lua',1253,'',1,0,0,1,1,0,0,0,0,2550382,0,0,0,0,0,1,0,0,0,'CombatBuff',0,0,0,0),
(2550383,0,1,0,'Evade','Evade proc.',0,0,0,1921433074,0,0,0,1,'','','',0,0,'Spells/Commoner/Evade.lua',0,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Detaunt',0,0,0,0),
(2550384,0,1,1,'Pre-Alpha Melee Buff','Melee damage proc based on caster''s Strength score.',302,0,317,0,418532101,1,0,0,'','','',0,1,'Spells/Commoner/PreAlphaMeleeBuff.lua',0,'',1,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,'Buff',0,0,0,0),
(2550385,0,0,1,'T2 Named Buff Package','Buff Package for T2 Named NPCs',16,0,0,0,0,0,1,0,'','','',0,1,'Spells/NPC/Blackbark.lua',270,'',0,0,0,0,1,0,0,0,1,0,0,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550386,0,0,1,'LordRison','Lord Rison Buff Package',16,0,0,0,0,0,1,0,'','','',0,1,'Spells/NPC/LordRison.lua',270,'',0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550387,0,0,0,'Searfang','Buff package for Tark and Sarkin Searfang',16,0,0,0,0,0,1,0,'','','',0,1,'Spells/Commoner/Searfang.lua',270,'',0,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550388,0,0,0,'Renux','Renux the Undying buff package',16,0,0,0,0,0,1,0,'','','',0,1,'Spells/Commoner/Renux.lua',270,'',0,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550389,0,0,1,'T1 Named Buff Package','Buff Package for T1 Heroic Named',16,0,0,0,0,0,1,0,'','','',0,1,'Spells/Commoner/T1NamedBuffPackage.lua',270,'',0,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550390,0,0,1,'Aglaemantis Cold Touch','New spell.',253,0,314,0,0,0,1,0,'','','',0,1,'Spells/Commoner/AglaemantisColdTouch.lua',546,'',0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,0),
(2550391,0,0,0,'Enlightenment','Arcane Enlightenment power proc.',15,0,0,0,0,0,0,0,'','','',0,1,'Spells/Commoner/Enlightenment.lua',678,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550392,0,0,0,'Blessed Strike','Crusader Blessed Weapon proc.',0,0,0,0,0,0,0,1,'','','',0,0,'Spells/Commoner/BlessedStrike.lua',63,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',0,0,0,0),
(2550393,0,0,0,'Abate','Slow proc for Summoner- Immobilize',166,0,315,0,0,0,0,0,'','','',0,0,'Spells/Commoner/Quicksand.lua',0,'',0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,'Snare',0,0,0,0),
(2550396,0,2,0,'Swipe','Swipe proc for Blade Furry',349,0,315,3167106577,0,1,0,1,'','','',0,1,'Spells/Commoner/Swipe.lua',1010,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550398,0,1,0,'Shroud','Shroud subspell for Shrouded Strike',341,65535,317,0,0,0,0,0,'','','',0,1,'Spells/Commoner/Shroud.lua',261,'',4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,0),
(2550399,0,0,0,'Escape to Kugup','froglok questline spell for pond stone',0,65535,0,0,0,0,0,0,'','','',1,0,'Spells/EscapetoKugup.lua',101,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550400,0,0,0,'Poison Web','',369,65535,315,0,0,0,0,1,'Your Poison Web was successful on %t!','Your Poison Web fades.','',1,1,'Spells/Traditions/PoisonWeb.lua',1022,'You cast Poison Web on %t.',0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,1,0,0,0,'DoT',1693359477,0,0,0),
(2550401,0,4,0,'Fighter Archetype','Fighter archetype innate attribute buff.',2,65535,65535,1408356869,0,1,0,0,'Fighter Archetype successful.','Fighter Archetype cancelled.','',0,0,'Spells/Commoner/FighterArchetype.lua',0,'Fighter Archetype casting.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550402,0,4,0,'Priest Archetype','Priest archetype innate attribute buff.',2,65535,65535,0,0,0,0,0,'Priest archetype successful.','Priest archetype cancelled.','',0,0,'Spells/Commoner/PriestArchetype.lua',0,'Priest archetype casting.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550403,0,4,0,'Mage Archetype','Mage archetype innate attribute buff',2,65535,65535,0,0,0,0,0,'Mage archetype successful.','Mage archetype cancelled.','',0,0,'Spells/Commoner/MageArchetype.lua',0,'Mage archetype casting.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550404,0,4,0,'Scout Archetype','Scout archetype innate attribute buff.',2,65535,65535,0,0,0,1,0,'Scout archetype successful.','Scout archetype cancelled.','',0,0,'Spells/Commoner/ScoutArchetype.lua',0,'Scout archetype casting.',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550405,0,1,0,'Headbutt','Bonewatcher''s power drain attack\r\n10-12 power drain and 4-6 head on hit, 8-9 power and 3 heat on dot tick.',349,0,315,0,0,0,0,1,'','','',1,1,'Spells/Headbutt.lua',1013,'',1,0,0,0,0,0,4,0,0,0,0,0,0,0,0,1,0,0,0,'DoT',0,0,0,0),
(2550406,0,0,0,'Necrotic Venom','Spider venom that breaks down flesh. (Classic)',259,65535,315,0,0,0,0,1,'Your Venomous Bite was successful on %t!','Your Venomous Bite fades.','',1,1,'Spells/Traditions/NecroticVenom.lua',161,'%t is feeling sick from Necrotic Venom.',0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,1,0,0,0,'DoT',1693278595,0,0,0),
(2550407,0,1,0,'Vicious Bite','A bleeding bite from the jaws of some beast. (Classic)',375,65535,315,0,0,0,0,1,'Your Vicious Bite was successful on %t!','Your Vicious Bite fades.','',1,1,'Spells/Traditions/ViciousBite.lua',1012,'You cast Vicious Bite on %t.',1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,'DoT',1693295460,0,0,0),
(2550408,0,1,0,'Thrash','Deals slashing damage over time and stifles the target for a short duration.',217,65535,315,0,0,0,0,1,'Your Thrash was successful on %t!','Your Thrash fades.','',1,1,'Spells/Traditions/Thrash.lua',1020,'% is being Thrashed!',1,0,0,0,0,0,1,2,0,2550408,0,0,0,0,0,1,0,0,0,'DoT',1693351543,0,0,0),
(2550409,0,1,0,'Shadow Venom','',207,65535,315,0,0,0,0,1,'Your Shadow Venom was successful on %t!','Your Shadow Venom fades.','',1,1,'Spells/Traditions/ShadowVenom.lua',1012,'You cast Shadow Venom on %t.',1,0,0,0,0,0,3,0,0,0,0,0,0,0,0,1,0,0,0,'DoT',1693360713,0,0,0),
(2550410,0,1,0,'Gaping Wound','Melee Dot',345,0,315,0,0,0,0,1,'Your Gaping Wound was successful on %t!','Your Gaping Woundfades.','',0,0,'Spells/Fighter/GapingWound.lua',452,'You cast Gaping Wound on %t.',1,0,0,1,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,'DoT',1693361645,0,0,1),
(2550411,0,1,0,'Wavering Strike','A melee attack that does some extra damage.',302,0,315,0,0,0,0,1,'Your Wavering Strike was successful on %t!','Your Wavering Strike fades.','',1,1,'Spells/Fighter/WaveringStrike.lua',346,'You cast Wavering Strike on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1693362221,0,0,0),
(2550412,0,0,0,'Blind','New spell.',0,0,0,0,0,0,0,0,'','','',1,0,'Spells/Commoner/Blind.lua',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550413,0,0,0,'test blank','New spell.',0,0,0,0,0,0,0,0,'','','',1,0,'Spells/Commoner/testblank.lua',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550414,0,0,0,'Poisonous Pinch','Centipede venom that breaks down flesh. (Classic)',259,65535,315,0,0,0,0,1,'Your Poisonous Pinch was successful on %t!','Your Poisonous Pinch fades.','',1,1,'Spells/Traditions/PoisonousPinch.lua',161,'%t is feeling sick from Poisonous Pinch.',0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,1,0,0,0,'DoT',1694328178,0,0,0),
(2550415,0,0,0,'Explosive Warts','A frog''s warts explode dealing disease damage in an area of effect.',238,0,313,0,0,0,0,1,'','','',1,1,'Spells/Commoner/ExplosiveWarts.lua',804,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',0,0,0,0),
(2550416,0,0,0,'Fierce Bite',' A bite attack that does slashing damage.',375,0,315,0,0,0,0,1,'','','',1,1,'Spells/Commoner/FierceBite.lua',1010,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',0,0,0,0),
(2550417,0,4,1,'In Awe!','You can not believe your eyes!',5,65535,315,0,0,0,0,0,'','','',0,0,'Spells/Commoner/Stunned.lua',0,'',0,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,0),
(2550418,0,0,0,'Infectious Touch','Necrotic magics drain your life away. (Classic)',207,65535,315,0,0,0,0,1,'Your Infectious Touch was successful on %t!','Your Infectious Touch fades.','',1,0,'Spells/Traditions/InfectiousTouch.lua',655,'You cast Infectious Touch on %t.',0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1695536413,0,0,1),
(2550419,0,1,0,'Badger Thrash','A rapid attack striking many times. (Classic)',330,65535,315,0,0,0,0,1,'Your Badger Thrash was successful on %t!','Your Badger Thrash fades.','',1,0,'Spells/Traditions/BadgerThrash.lua',1011,'You cast Badger Thrash on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1695581424,0,0,1),
(2550420,0,1,0,'Snake Poison','',207,65535,315,0,0,0,0,1,'Your Snake Poison was successful on %t!','Your Snake Poison fades.','',1,0,'Spells/Traditions/SnakePoison.lua',1012,'You cast Snake Poison on %t.',1,0,0,0,0,0,3,0,0,0,0,0,0,0,0,1,0,0,0,'DoT',1695598321,0,0,1),
(2550421,0,1,0,'Choke','A constricting tail attack that deals crushing damage.',494,0,315,0,0,0,0,1,'Your Choke was successful on %t!','Your Choke fades.','',1,0,'Spells/Traditions/Choke.lua',1014,'You cast Choke on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1695598579,0,0,1),
(2550422,0,4,1,'Apprehended','You have been apprehended by unbreakable bonds.',166,0,315,0,0,0,1,1,'','','',0,0,'Spells/Commoner/Apprehended.lua',0,'',0,0,0,0,1,0,2,0,1,0,1,0,0,0,0,1,0,0,0,'Debuff',0,0,0,0),
(2550423,0,1,0,'Spider Poison','',207,65535,315,0,0,0,0,1,'Your Spider Poison was successful on %t!','Your Spider Poison fades.','',1,0,'Spells/Traditions/SpiderPoison.lua',1012,'You cast Spider Poison on %t.',1,0,0,0,0,0,3,0,0,0,0,0,0,0,0,1,0,0,0,'DoT',1695657462,0,0,1),
(2550424,0,1,0,'Multi Leg Stamp','A rapid attack striking many times. (Classic)',330,65535,315,0,0,0,0,1,'Your Multi Leg Stamp was successful on %t!','Your Multi Leg Stamp fades.','',1,0,'Spells/Traditions/MultiLegStamp.lua',1011,'You cast Multi Leg Stamp on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1695657657,0,0,1),
(2550425,0,1,0,'Pulverize Rock','A smashing attack that deals crushing damage.',288,0,315,0,0,0,0,1,'Your Pulverize Rock was successful on %t!','Your Pulverize Rockfades.','',1,0,'Spells/Traditions/PulverizeRock.lua',1014,'You cast Pulverize Rock on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1695699307,0,0,1),
(2550426,0,1,0,'The Overlord''s Will','The will of the Overlord has decreed his fray unworthy.',204,65535,315,0,0,0,0,1,'%t has been smitten by the Overlord''s will.','','',1,0,'Spells/Commoner/TheOverlordsWill.lua',1262,'',0,0,0,0,1,0,3,0,0,0,0,0,0,0,0,1,0,0,0,'DD',0,0,0,0),
(2550427,0,1,0,'Thrusting Strike','A smashing attack that deals crushing damage.',288,0,315,0,0,0,0,1,'Your Thrusting Strike was successful on %t!','Your Thrusting Strike fades.','',1,1,'Spells/Traditions/ThrustingStrike.lua',1014,'You cast Thrusting Strike on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1695700153,0,0,0),
(2550428,0,1,0,'Obsidian Shards','Razor shards of obsidian explode in an area of effect.',169,0,313,0,0,0,0,1,'Your Obsidian Shards was successful on %t!','Your Obsidian Shards fades.','',1,1,'Spells/Traditions/ObsidianShards.lua',1015,'You cast Obsidian Shards on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1695700334,0,0,0),
(2550429,0,1,0,'Wild Swing','A melee attack that does some extra damage. NPC version.',302,0,315,1408356869,0,0,0,1,'Your Wild Swing was successful on %t!','Your Wild Swing fades.','',1,1,'Spells/Fighter/WildSwingNPC.lua',51,'You cast Wild Swing on %t.',1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,1,0,0,0,'DD',1695700655,0,0,0),
(2550430,0,1,0,'Quick Strike','A quick attack that deals high damage. NPC version.',338,36,315,1921433074,0,0,0,1,'Your Quick Strike was successful on %t!','Your Quick Strike fades.','',1,1,'Spells/Scout/QuickStrike.lua',254,'You cast Quick Strike on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1695716502,0,0,0),
(2550431,0,1,0,'Stab','A high damage piercing attack.',339,0,315,0,0,0,0,1,'Your Stab was successful on %t!','Your Stab fades.','',1,1,'Spells/Traditions/Stab.lua',1014,'You cast Stab on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1695845003,0,0,0),
(2550432,0,1,0,'Despair','Deals mental damage over time and stifles the target for a short duration.',160,65535,315,2950599749,0,0,0,1,'Your Despair was successful on %t!','Your Despair fades.','',1,1,'Spells/Traditions/Despair.lua',1020,'% is overwhelmed with Despair!',1,0,0,0,0,0,2,2,0,0,0,0,0,0,0,1,0,0,0,'DoT',1695845246,0,0,0),
(2550433,0,0,1,'Slaverjaw Power Drain','Slaverjaw Power Drain',184,0,317,0,0,0,1,0,'','','',1,1,'Spells/Commoner/SlaverjawPowerDrain.lua',999,'',0,0,0,0,1,0,2,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,0),
(2550434,0,0,0,'Smite','Deals instant divine damage to target enemy. NPC version.\r\n\r\n \r\n\r\n\"May your prayers be backed by weapons.\" - a priest of War',152,14,315,2463145248,0,0,0,1,'Your Smite was successful on %t!','Your Smite fades.','',1,0,'Spells/Priest/Smite.lua',63,'You cast Smite on %t.',0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1695861044,0,0,1),
(2550435,0,0,0,'Potion Heal','Pot Heal',0,0,0,0,0,0,0,0,'','','',0,1,'Spells/Commoner/RemedyoftheGarden.lua',53,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Heal',0,0,0,0),
(2550436,0,0,0,'Pot Cure Elemental','New spell.',0,0,0,0,0,0,0,0,'','','',0,1,'Spells/Commoner/PotCureElemental.lua',137,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Cure',0,0,0,0),
(2550437,0,0,0,'Pot Cure Trauma','New spell.',0,0,0,0,0,0,0,0,'','','',0,1,'Spells/Commoner/PotCureTrauma.lua',137,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Cure',1696902879,0,0,0),
(2550438,0,0,0,'Pot Cure Nox','New spell.',0,0,0,0,0,0,0,0,'','','',0,1,'Spells/Commoner/PotCureNox.lua',137,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Cure',1696904946,0,0,0),
(2550439,0,0,0,'Pot Cure Arcane','New spell.',0,0,0,0,0,0,0,0,'','','',0,1,'Spells/Commoner/PotCureArcane.lua',137,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Cure',1696905115,0,0,0),
(2550440,0,0,0,'Blight of the Morning','',238,0,317,0,0,0,0,0,'','','',0,1,'Spells/Commoner/BlightoftheMorning.lua',458,'',0,0,0,0,1,0,0,0,0,2550440,0,0,0,0,0,1,0,0,0,'CombatBuff',0,0,0,0),
(2550441,0,0,0,'Poison','Poison.',238,0,315,0,0,0,0,1,'','','',0,1,'Spells/Commoner/Poison.lua',459,'',0,0,0,0,0,0,3,0,0,2550441,0,0,0,0,0,1,0,0,0,'DoT',0,0,0,0),
(2550442,0,1,0,'Dull Claw Clamp','',375,65535,315,0,0,0,0,1,'Your Dull Claw Clamp hits %t!','Your Dull Claw Clamp fades.','',1,1,'Spells/Traditions/DullClawClamp.lua',1014,'You cast Dull Claw Clamp on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1697126485,0,0,0),
(2550443,0,1,0,'Stinging Barrage','A rapid series of poisonous tail attacks.',330,0,315,0,0,0,0,1,'','','',1,1,'Spells/Commoner/StingingBarrage.lua',161,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DoT',0,0,0,0),
(2550444,0,1,0,'Scorpionic Poison','',207,65535,315,0,0,0,0,1,'Your Scorpionic Poison was successful on %t!','Your Scorpionic Poison fades.','',1,1,'Spells/Traditions/ScorpionicPoison.lua',1012,'You cast Scorpionic Poison on %t.',1,0,0,0,0,0,3,0,0,0,0,0,0,0,0,1,0,0,0,'DoT',1697809806,0,0,0),
(2550445,0,1,0,'Pincer Strike','A pincer attack that deals piercing damage.',338,0,315,0,0,0,0,1,'Your Pincer Strike was successful on %t!','Your Pincer Strike fades.','',1,1,'Spells/Traditions/PincerStrike.lua',1014,'You cast Pincer Strike on %t.',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',1697810102,0,0,0),
(2550446,0,0,0,'Minor Healing','Instantly heals some of target ally''s health.\n\n \n\n\"They pray for peace, but we''d rather have healing.\" - an unknown soldier',158,12,316,2463145248,366253016,15,0,2,'Your Minor Healing was successful on %t!','Your Minor Healing fades.','',1,0,'Spells/Priest/MinorHealingUlrich.lua',53,'You cast Minor Healing on %t.',0,0,0,1,1,0,0,0,0,110012,0,0,0,0,0,1,0,0,0,'Unset',1698651759,0,0,0),
(2550447,0,0,0,'A Fancy Firework','Claim reward A Fancy Firework',0,0,0,0,0,0,0,0,'','Fancy Firework','',0,1,'Spells/Commoner/AFancyFirework.lua',996,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2550448,0,0,0,'The 5-Year Firework','Claim reward The 5-Year Firework',0,0,0,0,0,0,0,0,'','The 5-Year Firework','',0,1,'Spells/Commoner/The5YearFirework.lua',1599,'The 5-Year Firework',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2550450,0,0,0,'TerraTHUD','New spell.',0,0,0,0,0,0,0,1,'Knockback','Butts','',0,1,'Spells/Commoner/TerraTHUD.lua',0,'Knockback',0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550451,0,2,0,'Fiery Breath','Ladon''s Fire Breath',368,0,315,0,0,0,0,1,'','','',1,1,'Spells/Commoner/LadonFieryBreath.lua',82,'',0,0,0,0,0,1,4,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550452,0,0,0,'Mending Spirit','New spell.',0,0,0,3343700951,0,0,0,0,'','','',1,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Unset',0,0,0,1),
(2550454,0,4,1,'Blood of Halas','Increases cold resistance by 3%.',149,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Commoner/BloodofHalas.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550455,0,2,0,'Halasian Staple','Summons 5 lager.',151,65535,315,0,0,0,0,0,'','','',1,0,'Spells/Commoner/HalasianStaple.lua',232,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2550456,0,4,1,'Strength of the North','+5 Strength',89,65535,65535,0,0,0,1,0,'','','',1,1,'Spells/Commoner/StrengthoftheNorth.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550457,0,4,1,'Remembrance of Halas','+5 Defense',89,65535,65535,0,0,0,1,0,'','','',1,1,'Spells/Commoner/RemembranceofHalas.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550458,0,4,1,'Strong Jawed','+ 2% crush resistance',48,65535,65535,0,0,0,1,0,'','','',1,1,'Spells/StrongJawed.lua',0,'',4,0,0,0,1,0,0,0,0,0,0,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550459,0,2,0,'War Wounds','+5% HP regen, +2 STA',184,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/Commoner/WarWounds.lua',258,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,1),
(2550460,0,4,1,'Teachings of Tundra Jack','+5 Tracking.',772,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/TeachingsofTundraJack.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550461,0,0,0,'Cold Retribution','Attacks deal additional cold damage.',256,65535,317,0,0,0,0,0,'','','',1,0,'Spells/Commoner/ColdRetribution.lua',486,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'CombatBuff',0,0,0,1),
(2550462,0,2,1,'Camouflage','Allows the Ayr''Dal to hide while remaining still.',165,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/Commoner/Camouflage.lua',41,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,1),
(2550463,0,2,1,'Perseverance','+5 Sta.',655,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Commoner/Perseverance.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550464,0,4,1,'Sinister Cunning','Dark Elves are incredibly intelligent and the plans they conceive are far more dangerous than most people can comprehend. \"It is only a matter of time before the Teir''Dal nation rises up to lead this world!\" Increase Intelligence',474,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Commoner/SinisterCunning.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550465,0,0,1,'Dual Breed','+ 3% Power, +2 Sta.',474,65535,317,0,0,0,0,0,'','','',1,0,'Spells/Commoner/DualBreed.lua',0,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,1),
(2550466,0,4,0,'Spiritual Enlightenment','+5 Wis',4,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Commoner/SpiritualEnlightenment.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550467,0,4,1,'Light on the Feet','+2% Avoidance',304,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Commoner/LightontheFeet.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550468,0,2,0,'Always Prepared','Summon food.',151,65535,317,0,0,0,0,0,'','','',1,0,'Spells/Commoner/AlwaysPrepared.lua',232,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2550469,0,2,0,'Halfling Grand Tactics','Allows the Halfling to hide while remaining still.',165,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/Commoner/HalflingGrandTactics.lua',41,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,1),
(2550470,0,2,0,'Lunch Time','+5% HP regen, +2 AGI',211,65535,317,0,0,0,0,0,'','','',1,0,'Spells/Commoner/LunchTime.lua',258,'',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Buff',0,0,0,1),
(2550471,0,2,0,'Protection of the Lucky Cabbage','Wards against melee damage.',294,65535,317,0,0,0,0,0,'','','',1,0,'Spells/Commoner/ProtectionoftheLuckyCabbage.lua',258,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,1),
(2550472,0,2,0,'Distracting Hoax','Decrease hate.',278,65535,315,0,0,0,0,0,'','','',1,0,'Spells/Commoner/DistractingHoax.lua',61,'',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Detaunt',0,0,0,1),
(2550473,0,2,0,'Mischief Maker','Mental damage proc',202,65535,317,0,0,0,0,0,'','','',1,0,'Spells/Commoner/MischiefMaker.lua',132,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'CombatBuff',0,0,0,1),
(2550474,0,2,1,'Blessing of Zek','+5 STR.',89,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Commoner/BlessingofZek.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550475,0,4,1,'Endurance','+5 STA.',655,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Commoner/Endurance.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550476,0,4,1,'Brell''s Blessing','+3% HP',468,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Commoner/BrellsBlessing.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550477,0,4,1,'Increased Immunities','+3% Disease Resist',148,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Commoner/IncreasedImmunities.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,0,0,0,0,'Unset',0,0,0,0),
(2550478,0,2,0,'Pitiful Plea','Decrease aggro.',278,65535,65535,0,0,0,0,1,'','','',1,0,'Spells/Commoner/PitifulPlea.lua',61,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Detaunt',0,0,0,1),
(2550479,0,2,0,'Concealed Presence','Allows the ratonga to hide while remaining still.',165,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/Commoner/ConcealedPresence.lua',41,'',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Buff',0,0,0,1),
(2550480,0,4,1,'Rodent Reflexes','+5 Agility',90,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Commoner/RodentReflexes.lua',0,'',0,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550481,0,2,0,'Dark Agenda','Poison damage proc.',238,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/Commoner/DarkAgenda.lua',458,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'CombatBuff',0,0,0,1),
(2550482,0,4,1,'Toxic Tolerance','+3% Poison resist',148,65535,65535,0,0,0,0,0,'','','',0,1,'Spells/Commoner/ToxicTolerance.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550483,0,4,1,'Physical Adaptability','+3 Defense',89,65535,65535,0,0,0,0,0,'','','',0,1,'Spells/Commoner/PhysicalAdaptability.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550484,0,4,1,'Environmental Adaptability: Heat','+3% Heat Resist',274,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Commoner/EnvironmentalAdaptabilityHeat.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550485,0,4,1,'Environmental Adaptability: Cold','+3% Cold Resist',253,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Commoner/EnvironmentalAdaptabilityCold.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550486,0,4,1,'Metallurgy','+5 Metalshaping',411,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Commoner/Metallurgy.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550487,0,2,0,'Leadership','+5 Defense to group',324,65535,65535,0,0,0,0,2,'','','',1,0,'Spells/Commoner/Leadership.lua',258,'',2,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'CombatBuff',0,0,0,1),
(2550488,0,4,1,'Determination','+3% Max Power',201,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Commoner/Determination.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550489,0,4,1,'Natural Regeneration','Trolls have a natural ability to quickly heal and regenerate lost health.\r\n\r\n+5% health regen, +3 STR, +3 STA',655,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Commoner/NaturalRegeneration.lua',258,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550490,0,4,1,'Gift of Innothule','+3% Disease resist',224,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Commoner/GiftofInnothule.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550491,0,2,0,'Grobb Grub','Summon food',151,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/Commoner/GrobbGrub.lua',232,'',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,1),
(2550492,0,2,0,'Swamp Breath','Trolls are skilled swimmers and are able to spend long periods of time underwater without needing to take a breath of air.',632,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/Commoner/SwampBreath.lua',123,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,1),
(2550493,0,4,1,'Bog Bully','+5 STR',89,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Commoner/BogBully.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550494,0,2,0,'Brutal Barshings','Crushing damage proc.',356,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/Commoner/BrutalBarshings.lua',270,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'CombatBuff',0,0,0,1),
(2550495,0,4,1,'Resilience','+5 STA',218,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Commoner/Resilience.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550496,0,4,1,'Sniffle Stopper','+3% Disease resist',148,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Commoner/SniffleStopper.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550497,0,2,0,'Power Surge','+5 Power regen, +2 AGI',244,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/Commoner/PowerSurge.lua',132,'',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,1),
(2550498,0,2,0,'Lost in the Crowd','Hide(no movement)',165,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/Commoner/LostintheCrowd.lua',41,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,1),
(2550499,0,2,0,'Confusing Babble','Deaggro',278,65535,65535,0,0,0,0,1,'','','',1,0,'Spells/Commoner/ConfusingBabble.lua',61,'',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Detaunt',0,0,0,1),
(2550500,0,2,0,'Gnomish Innovation','Heat damage proc',273,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/Commoner/GnomishInnovation.lua',455,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'CombatBuff',0,0,0,1),
(2550501,0,4,1,'Singed Eyebrows','+3% Fire resist',274,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Commoner/SingedEyebrows.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550502,0,4,1,'Toughened Scales','+5 Defense',329,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Commoner/ToughenedScales.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550503,0,4,1,'Honed Body','+5 AGI',90,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Commoner/HonedBody.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550504,0,4,1,'Greenmist Salvation','+3% Disease resist',148,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Commoner/GreenmistSalvation.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550505,0,2,0,'Sebilisan Strike','Crushing damage proc',356,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/Commoner/SebilisanStrike.lua',0,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'CombatBuff',0,0,0,1),
(2550506,0,2,0,'Defensive Coloration','Hide(no movement)',165,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/Commoner/DefensiveColoration.lua',41,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,1),
(2550507,0,4,1,'Tunare''s Footsteps','Increases tracking skill',772,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Commoner/TunaresFootsteps.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550508,0,4,1,'Wind Warrior','+2% Avoidance',246,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Commoner/WindWarrior.lua',0,'',4,0,0,0,1,0,0,0,0,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550509,0,4,1,'Natural Acrobat','+5 AGI',90,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Commoner/NaturalAcrobat.lua',0,'',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550510,0,2,0,'Astounding Leap','Detaunt + Random Teleport',854,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/Commoner/AstoundingLeap.lua',101,'',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Detaunt',0,0,0,1),
(2550511,0,2,0,'Crusader''s Respite','+5% HP regen, +2 WIS',185,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/Commoner/CrusadersRespite.lua',1259,'',2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,1),
(2550512,0,4,1,'Cold Blooded','+3% heat resist',48,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Commoner/ColdBlooded.lua',0,'',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550513,0,2,0,'Cutaneous Neurotoxin','Reactive poison proc',238,65535,65535,0,0,0,0,0,'','','',1,0,'Spells/Commoner/CutaneousNeurotoxin.lua',458,'',2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'CombatBuff',0,0,0,1),
(2550514,0,4,1,'Swamp Denizen','+3% Poison resist',208,65535,65535,0,0,0,1,0,'','','',0,1,'Spells/Commoner/SwampDenizen.lua',0,'',4,0,0,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550515,0,0,0,'El''Arad''s Replenishing','Replenishes power over time.',211,65535,317,0,0,0,0,0,'','','',0,0,'Spells/Commoner/ElAradsReplenishing.lua',132,'',4,0,0,0,1,0,0,0,0,2550515,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550516,0,0,0,'Gimble''s Shocking Burst','Deals instant magic damage and interrupts the targeted enemy. ',161,25,315,2120065377,0,50,0,1,'','','',1,0,'Spells/Commoner/GimblesShockingBurst.lua',18,'',0,0,0,0,0,0,0,0,0,210009,0,0,0,0,0,1,0,0,0,'DD',0,0,0,1),
(2550517,0,0,0,'Mespha''s Brain Burst','Deals instant mental damage and interrupts the targeted enemy',161,25,315,287643040,0,50,0,1,'','','',1,0,'Spells/MesphasBrainBurst.lua',18,'',0,0,0,0,0,0,0,0,0,210009,0,0,0,0,0,1,0,0,0,'DD',0,0,0,1),
(2550518,0,0,0,'Camtur''s Energizing Aura(pet)','Augmentation that increases the Power pool, Health pool, and Armor Class of the Summoner. Summoners using this spell are also trained in enhancing their minion''s Health pool and Arcane mitigations.',163,65535,317,2120065377,0,50,1,3,'','','',0,0,'Spells/Commoner/CamtursEnergizingAurapet.lua',0,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,0),
(2550519,0,0,0,'Esdia''s Arcane Fetters','Roots the mage''s target in place, preventing them from movement. Every hostile spell or damage received by the target has a chance at breaking the effect.',52,24,315,287643040,0,50,0,1,'','','',1,0,'Spells/Commoner/EsdiasArcaneFetters.lua',170,'',0,0,0,0,0,0,0,0,0,210003,0,0,0,0,0,1,0,0,0,'Root',0,0,0,1),
(2550520,0,0,0,'Unsar''s Soothing Runes ','Cures impairments on the caster''s group.',150,65535,314,287643040,0,50,0,2,'','','',1,0,'Spells/Commoner/UnsarsSoothingRunes.lua',137,'',0,0,0,0,1,1,0,0,0,210019,0,0,0,0,0,1,0,0,0,'Cure',0,0,0,1),
(2550521,0,0,0,'Sorel''s Withering Limbs','An impairment that decreases the target''s strength and stamina.',193,16,315,3343700951,0,50,0,1,'','','',1,0,'Spells/Commoner/SorelsWitheringLimbs.lua',166,'',0,0,0,0,0,0,0,0,0,110016,0,0,0,0,0,1,0,0,0,'Debuff',0,0,0,1),
(2550522,0,1,0,'Vladaminn''s Unfair Advantage','Decreases target''s defense for a short time.  This attack costs no power.',310,41,315,3167106577,0,50,0,1,'','','',1,1,'Spells/Commoner/VladaminnsUnfairAdvantage.lua',1227,'',1,0,0,0,0,0,1,0,0,310003,0,0,0,0,0,1,0,0,0,'Debuff',0,0,0,0),
(2550523,0,1,0,'Velan''s Taunting Cry','Increases the hate of all enemies in an encounter towards the fighter.  Additional hate towards primary target.',295,2,312,3856706740,0,50,0,1,'','','',1,1,'Spells/Commoner/VelansTauntingCry.lua',1302,'',1,0,0,0,0,1,0,0,0,10012,0,0,0,0,0,1,0,0,0,'Taunt',0,0,0,0),
(2550524,0,1,0,'Beslin''s Boastful Posture','Increases the target''s hate towards the fighter while providing a bonus to the brawler''s attack speed.',289,2,315,3856706740,0,50,0,1,'','','',1,1,'Spells/Commoner/BeslinsBoastfulPosture.lua',61,'',1,0,0,0,0,0,0,0,0,10016,0,0,0,0,0,1,0,0,0,'Taunt',0,0,0,0),
(2550525,0,0,0,'Test Pet','Testing pet scripts',115,0,0,0,0,0,1,0,'','','',0,0,'Spells/Commoner/TestPet.lua',165,'',0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550526,0,1,0,'Tainted Claws','New spell.',335,0,315,0,0,0,0,1,'','','',1,0,'Spells/Commoner/TaintedClaws.lua',222,'',1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',0,0,0,0),
(2550531,0,0,0,'Reforming Soul','Heals target for 25.0% of max health upon termination.',156,15,315,1829443087,366253016,0,0,1,'Your Reforming Soul was successful on %t!','Your Reforming Soul fades.','',0,0,'Spells/Commoner/ReformingSoul.lua',396,'You cast Reforming Soul on %t.',4,0,0,0,1,0,0,0,0,2550531,1,0,0,0,0,1,0,0,0,'Heal',0,0,0,0),
(2550532,0,0,0,'Searing Heat','Igneous Apprentice Poison DoT',279,0,315,0,0,0,0,1,'','','',1,0,'Spells/Pet/SearingHeat.lua',328,'',4,0,0,0,0,0,3,0,0,2550532,0,0,0,0,0,1,0,0,0,'DoT',0,0,0,1),
(2550533,0,0,0,'Igneous Flames','Low damage fire DD with interrupt.  ',273,0,315,0,0,0,0,1,'','','',1,0,'Spells/Pet/IgneousFlames.lua',164,'',4,0,0,0,0,0,0,0,0,2550533,0,0,0,0,0,1,0,0,0,'DD',0,0,0,1),
(2550534,0,0,0,'Flameshock','Fire Pet DD',481,0,315,0,0,0,0,1,'','','',1,0,'Spells/Pet/Flameshock.lua',78,'',4,0,0,0,0,0,0,0,0,2550534,0,0,0,0,0,1,0,0,0,'DD',0,0,0,1),
(2550535,0,0,0,'Touch of the Igneii','Fire pet group damage shield and power buff\r\n\r\n',274,0,314,0,0,0,1,1,'','','',1,0,'Spells/Pet/TouchoftheIgneii.lua',455,'',4,0,1,0,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Buff',0,0,0,1),
(2550536,0,0,0,'Call Vulrich','New spell.',0,0,0,0,0,0,1,0,'','','',0,0,'Spells/Commoner/CallVulrich.lua',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',0,0,0,0),
(2550537,0,0,0,'Redemption','Minor increase in the allies Health pool for a brief period of time.',183,0,315,1829443087,366253016,0,0,1,'','','',0,0,'Spells/Priest/Cleric/Inquisitor/RedemptionReactive.lua',652,'',0,1,0,1,1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,'Heal',0,0,0,0),
(2550539,0,0,0,'Blood of the Wolf','',8,0,315,0,0,0,0,0,'','','',0,0,'Spells/BloodoftheWolf.lua',17,'',4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'Unset',1746468602,0,0,0),
(2550540,0,0,0,'Webbing of Agelidaes','Agelidaes Poison DoT + Root',369,24,312,0,0,5,0,9,'Your OWebbing of Agelidaes was successful on %t!','Your Webbing of Agelidaes fades.','',1,0,'Spells/Mage/AgelidaesWebbing.lua',230,'You cast Webbing of Agelidaes on %t.',0,0,0,1,0,1,3,0,0,2550540,0,0,0,0,0,1,0,0,0,'Root',1748462266,0,0,0),
(2550541,0,1,0,'Pounce','Agelidae''s Knockdown Attack',353,0,315,0,0,0,0,1,'','','',0,0,'Spells/Commoner/Pounce.lua',1016,'',1,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,'DD',0,0,0,0);
